// GENERATED CODE - DO NOT EDIT

// Copyright 2019 The Flutter team. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

import 'dart:ui' as ui;
import 'package:flutter/material.dart';
import 'src/google_fonts_base.dart';
import 'src/google_fonts_descriptor.dart';
import 'src/google_fonts_variant.dart';

/// A collection of properties used to specify custom behavior of the
/// GoogleFonts library.
class _Config {
  /// Whether or not the GoogleFonts library can make requests to
  /// [fonts.google.com](https://fonts.google.com/) to retrieve font files.
  var allowRuntimeFetching = true;
}

/// Provides configuration, and static methods to obtain [TextStyle]s and [TextTheme]s.
///
/// {@youtube 560 315 https://www.youtube.com/watch?v=8Vzv2CdbEY0}
///
/// Obtain a map of available fonts with [asMap]. Retrieve a font by family name
/// with [getFont]. Retrieve a text theme by its font family name [getTextTheme].
///
/// Check out the [README](https://github.com/material-foundation/flutter-packages/blob/main/packages/google_fonts/README.md) for more info.
class GoogleFonts {
  /// Configuration for the [GoogleFonts] library.
  ///
  /// Use this to define custom behavior of the GoogleFonts library in your app.
  /// For example, if you do not want the GoogleFonts library to make any HTTP
  /// requests for fonts, add the following snippet to your app's `main` method.
  ///
  /// ```dart
  /// GoogleFonts.config.allowRuntimeFetching = false;
  /// ```
  static final config = _Config();

  /// Get a map of all available fonts.
  ///
  /// Returns a map where the key is the name of the font family and the value
  /// is the corresponding [GoogleFonts] method.
  static Map<
      String,
      TextStyle Function({
        TextStyle? textStyle,
        Color? color,
        Color? backgroundColor,
        double? fontSize,
        FontWeight? fontWeight,
        FontStyle? fontStyle,
        double? letterSpacing,
        double? wordSpacing,
        TextBaseline? textBaseline,
        double? height,
        Locale? locale,
        Paint? foreground,
        Paint? background,
        List<ui.Shadow>? shadows,
        List<ui.FontFeature>? fontFeatures,
        TextDecoration? decoration,
        Color? decorationColor,
        TextDecorationStyle? decorationStyle,
        double? decorationThickness,
      })> asMap() => const {
        'ABeeZee': GoogleFonts.aBeeZee,
        'Abel': GoogleFonts.abel,
        'Abhaya Libre': GoogleFonts.abhayaLibre,
        'Aboreto': GoogleFonts.aboreto,
        'Abril Fatface': GoogleFonts.abrilFatface,
        'Abyssinica SIL': GoogleFonts.abyssinicaSil,
        'Aclonica': GoogleFonts.aclonica,
        'Acme': GoogleFonts.acme,
        'Actor': GoogleFonts.actor,
        'Adamina': GoogleFonts.adamina,
        'Advent Pro': GoogleFonts.adventPro,
        'Aguafina Script': GoogleFonts.aguafinaScript,
        'Akaya Kanadaka': GoogleFonts.akayaKanadaka,
        'Akaya Telivigala': GoogleFonts.akayaTelivigala,
        'Akronim': GoogleFonts.akronim,
        'Akshar': GoogleFonts.akshar,
        'Aladin': GoogleFonts.aladin,
        'Alata': GoogleFonts.alata,
        'Alatsi': GoogleFonts.alatsi,
        'Albert Sans': GoogleFonts.albertSans,
        'Aldrich': GoogleFonts.aldrich,
        'Alef': GoogleFonts.alef,
        'Alegreya': GoogleFonts.alegreya,
        'Alegreya SC': GoogleFonts.alegreyaSc,
        'Alegreya Sans': GoogleFonts.alegreyaSans,
        'Alegreya Sans SC': GoogleFonts.alegreyaSansSc,
        'Aleo': GoogleFonts.aleo,
        'Alex Brush': GoogleFonts.alexBrush,
        'Alexandria': GoogleFonts.alexandria,
        'Alfa Slab One': GoogleFonts.alfaSlabOne,
        'Alice': GoogleFonts.alice,
        'Alike': GoogleFonts.alike,
        'Alike Angular': GoogleFonts.alikeAngular,
        'Alkalami': GoogleFonts.alkalami,
        'Alkatra': GoogleFonts.alkatra,
        'Allan': GoogleFonts.allan,
        'Allerta': GoogleFonts.allerta,
        'Allerta Stencil': GoogleFonts.allertaStencil,
        'Allison': GoogleFonts.allison,
        'Allura': GoogleFonts.allura,
        'Almarai': GoogleFonts.almarai,
        'Almendra': GoogleFonts.almendra,
        'Almendra Display': GoogleFonts.almendraDisplay,
        'Almendra SC': GoogleFonts.almendraSc,
        'Alumni Sans': GoogleFonts.alumniSans,
        'Alumni Sans Collegiate One': GoogleFonts.alumniSansCollegiateOne,
        'Alumni Sans Inline One': GoogleFonts.alumniSansInlineOne,
        'Alumni Sans Pinstripe': GoogleFonts.alumniSansPinstripe,
        'Amarante': GoogleFonts.amarante,
        'Amaranth': GoogleFonts.amaranth,
        'Amatic SC': GoogleFonts.amaticSc,
        'Amethysta': GoogleFonts.amethysta,
        'Amiko': GoogleFonts.amiko,
        'Amiri': GoogleFonts.amiri,
        'Amiri Quran': GoogleFonts.amiriQuran,
        'Amita': GoogleFonts.amita,
        'Anaheim': GoogleFonts.anaheim,
        'Andada Pro': GoogleFonts.andadaPro,
        'Andika': GoogleFonts.andika,
        'Anek Bangla': GoogleFonts.anekBangla,
        'Anek Devanagari': GoogleFonts.anekDevanagari,
        'Anek Gujarati': GoogleFonts.anekGujarati,
        'Anek Gurmukhi': GoogleFonts.anekGurmukhi,
        'Anek Kannada': GoogleFonts.anekKannada,
        'Anek Latin': GoogleFonts.anekLatin,
        'Anek Malayalam': GoogleFonts.anekMalayalam,
        'Anek Odia': GoogleFonts.anekOdia,
        'Anek Tamil': GoogleFonts.anekTamil,
        'Anek Telugu': GoogleFonts.anekTelugu,
        'Angkor': GoogleFonts.angkor,
        'Annie Use Your Telescope': GoogleFonts.annieUseYourTelescope,
        'Anonymous Pro': GoogleFonts.anonymousPro,
        'Antic': GoogleFonts.antic,
        'Antic Didone': GoogleFonts.anticDidone,
        'Antic Slab': GoogleFonts.anticSlab,
        'Anton': GoogleFonts.anton,
        'Antonio': GoogleFonts.antonio,
        'Anuphan': GoogleFonts.anuphan,
        'Anybody': GoogleFonts.anybody,
        'Arapey': GoogleFonts.arapey,
        'Arbutus': GoogleFonts.arbutus,
        'Arbutus Slab': GoogleFonts.arbutusSlab,
        'Architects Daughter': GoogleFonts.architectsDaughter,
        'Archivo': GoogleFonts.archivo,
        'Archivo Black': GoogleFonts.archivoBlack,
        'Archivo Narrow': GoogleFonts.archivoNarrow,
        'Are You Serious': GoogleFonts.areYouSerious,
        'Aref Ruqaa': GoogleFonts.arefRuqaa,
        'Aref Ruqaa Ink': GoogleFonts.arefRuqaaInk,
        'Arima': GoogleFonts.arima,
        'Arimo': GoogleFonts.arimo,
        'Arizonia': GoogleFonts.arizonia,
        'Armata': GoogleFonts.armata,
        'Arsenal': GoogleFonts.arsenal,
        'Artifika': GoogleFonts.artifika,
        'Arvo': GoogleFonts.arvo,
        'Arya': GoogleFonts.arya,
        'Asap': GoogleFonts.asap,
        'Asap Condensed': GoogleFonts.asapCondensed,
        'Asar': GoogleFonts.asar,
        'Asset': GoogleFonts.asset,
        'Assistant': GoogleFonts.assistant,
        'Astloch': GoogleFonts.astloch,
        'Asul': GoogleFonts.asul,
        'Athiti': GoogleFonts.athiti,
        'Atkinson Hyperlegible': GoogleFonts.atkinsonHyperlegible,
        'Atma': GoogleFonts.atma,
        'Atomic Age': GoogleFonts.atomicAge,
        'Aubrey': GoogleFonts.aubrey,
        'Audiowide': GoogleFonts.audiowide,
        'Autour One': GoogleFonts.autourOne,
        'Average': GoogleFonts.average,
        'Average Sans': GoogleFonts.averageSans,
        'Averia Gruesa Libre': GoogleFonts.averiaGruesaLibre,
        'Averia Libre': GoogleFonts.averiaLibre,
        'Averia Sans Libre': GoogleFonts.averiaSansLibre,
        'Averia Serif Libre': GoogleFonts.averiaSerifLibre,
        'Azeret Mono': GoogleFonts.azeretMono,
        'B612': GoogleFonts.b612,
        'B612 Mono': GoogleFonts.b612Mono,
        'BIZ UDGothic': GoogleFonts.bizUDGothic,
        'BIZ UDMincho': GoogleFonts.bizUDMincho,
        'BIZ UDPGothic': GoogleFonts.bizUDPGothic,
        'BIZ UDPMincho': GoogleFonts.bizUDPMincho,
        'Babylonica': GoogleFonts.babylonica,
        'Bad Script': GoogleFonts.badScript,
        'Bahiana': GoogleFonts.bahiana,
        'Bahianita': GoogleFonts.bahianita,
        'Bai Jamjuree': GoogleFonts.baiJamjuree,
        'Bakbak One': GoogleFonts.bakbakOne,
        'Ballet': GoogleFonts.ballet,
        'Baloo 2': GoogleFonts.baloo2,
        'Baloo Bhai 2': GoogleFonts.balooBhai2,
        'Baloo Bhaijaan 2': GoogleFonts.balooBhaijaan2,
        'Baloo Bhaina 2': GoogleFonts.balooBhaina2,
        'Baloo Chettan 2': GoogleFonts.balooChettan2,
        'Baloo Da 2': GoogleFonts.balooDa2,
        'Baloo Paaji 2': GoogleFonts.balooPaaji2,
        'Baloo Tamma 2': GoogleFonts.balooTamma2,
        'Baloo Tammudu 2': GoogleFonts.balooTammudu2,
        'Baloo Thambi 2': GoogleFonts.balooThambi2,
        'Balsamiq Sans': GoogleFonts.balsamiqSans,
        'Balthazar': GoogleFonts.balthazar,
        'Bangers': GoogleFonts.bangers,
        'Barlow': GoogleFonts.barlow,
        'Barlow Condensed': GoogleFonts.barlowCondensed,
        'Barlow Semi Condensed': GoogleFonts.barlowSemiCondensed,
        'Barriecito': GoogleFonts.barriecito,
        'Barrio': GoogleFonts.barrio,
        'Basic': GoogleFonts.basic,
        'Baskervville': GoogleFonts.baskervville,
        'Battambang': GoogleFonts.battambang,
        'Baumans': GoogleFonts.baumans,
        'Bayon': GoogleFonts.bayon,
        'Be Vietnam Pro': GoogleFonts.beVietnamPro,
        'Beau Rivage': GoogleFonts.beauRivage,
        'Bebas Neue': GoogleFonts.bebasNeue,
        'Belgrano': GoogleFonts.belgrano,
        'Bellefair': GoogleFonts.bellefair,
        'Belleza': GoogleFonts.belleza,
        'Bellota': GoogleFonts.bellota,
        'Bellota Text': GoogleFonts.bellotaText,
        'BenchNine': GoogleFonts.benchNine,
        'Benne': GoogleFonts.benne,
        'Bentham': GoogleFonts.bentham,
        'Berkshire Swash': GoogleFonts.berkshireSwash,
        'Besley': GoogleFonts.besley,
        'Beth Ellen': GoogleFonts.bethEllen,
        'Bevan': GoogleFonts.bevan,
        'BhuTuka Expanded One': GoogleFonts.bhuTukaExpandedOne,
        'Big Shoulders Display': GoogleFonts.bigShouldersDisplay,
        'Big Shoulders Inline Display': GoogleFonts.bigShouldersInlineDisplay,
        'Big Shoulders Inline Text': GoogleFonts.bigShouldersInlineText,
        'Big Shoulders Stencil Display': GoogleFonts.bigShouldersStencilDisplay,
        'Big Shoulders Stencil Text': GoogleFonts.bigShouldersStencilText,
        'Big Shoulders Text': GoogleFonts.bigShouldersText,
        'Bigelow Rules': GoogleFonts.bigelowRules,
        'Bigshot One': GoogleFonts.bigshotOne,
        'Bilbo': GoogleFonts.bilbo,
        'Bilbo Swash Caps': GoogleFonts.bilboSwashCaps,
        'BioRhyme': GoogleFonts.bioRhyme,
        'BioRhyme Expanded': GoogleFonts.bioRhymeExpanded,
        'Birthstone': GoogleFonts.birthstone,
        'Birthstone Bounce': GoogleFonts.birthstoneBounce,
        'Biryani': GoogleFonts.biryani,
        'Bitter': GoogleFonts.bitter,
        'Black And White Picture': GoogleFonts.blackAndWhitePicture,
        'Black Han Sans': GoogleFonts.blackHanSans,
        'Black Ops One': GoogleFonts.blackOpsOne,
        'Blaka': GoogleFonts.blaka,
        'Blaka Hollow': GoogleFonts.blakaHollow,
        'Blaka Ink': GoogleFonts.blakaInk,
        'Blinker': GoogleFonts.blinker,
        'Bodoni Moda': GoogleFonts.bodoniModa,
        'Bokor': GoogleFonts.bokor,
        'Bona Nova': GoogleFonts.bonaNova,
        'Bonbon': GoogleFonts.bonbon,
        'Bonheur Royale': GoogleFonts.bonheurRoyale,
        'Boogaloo': GoogleFonts.boogaloo,
        'Bowlby One': GoogleFonts.bowlbyOne,
        'Bowlby One SC': GoogleFonts.bowlbyOneSc,
        'Braah One': GoogleFonts.braahOne,
        'Brawler': GoogleFonts.brawler,
        'Bree Serif': GoogleFonts.breeSerif,
        'Bruno Ace': GoogleFonts.brunoAce,
        'Bruno Ace SC': GoogleFonts.brunoAceSc,
        'Brygada 1918': GoogleFonts.brygada1918,
        'Bubblegum Sans': GoogleFonts.bubblegumSans,
        'Bubbler One': GoogleFonts.bubblerOne,
        'Buda': GoogleFonts.buda,
        'Buenard': GoogleFonts.buenard,
        'Bungee': GoogleFonts.bungee,
        'Bungee Hairline': GoogleFonts.bungeeHairline,
        'Bungee Inline': GoogleFonts.bungeeInline,
        'Bungee Outline': GoogleFonts.bungeeOutline,
        'Bungee Shade': GoogleFonts.bungeeShade,
        'Bungee Spice': GoogleFonts.bungeeSpice,
        'Butcherman': GoogleFonts.butcherman,
        'Butterfly Kids': GoogleFonts.butterflyKids,
        'Cabin': GoogleFonts.cabin,
        'Cabin Condensed': GoogleFonts.cabinCondensed,
        'Cabin Sketch': GoogleFonts.cabinSketch,
        'Caesar Dressing': GoogleFonts.caesarDressing,
        'Cagliostro': GoogleFonts.cagliostro,
        'Cairo': GoogleFonts.cairo,
        'Cairo Play': GoogleFonts.cairoPlay,
        'Caladea': GoogleFonts.caladea,
        'Calistoga': GoogleFonts.calistoga,
        'Calligraffitti': GoogleFonts.calligraffitti,
        'Cambay': GoogleFonts.cambay,
        'Cambo': GoogleFonts.cambo,
        'Candal': GoogleFonts.candal,
        'Cantarell': GoogleFonts.cantarell,
        'Cantata One': GoogleFonts.cantataOne,
        'Cantora One': GoogleFonts.cantoraOne,
        'Capriola': GoogleFonts.capriola,
        'Caramel': GoogleFonts.caramel,
        'Carattere': GoogleFonts.carattere,
        'Cardo': GoogleFonts.cardo,
        'Carlito': GoogleFonts.carlito,
        'Carme': GoogleFonts.carme,
        'Carrois Gothic': GoogleFonts.carroisGothic,
        'Carrois Gothic SC': GoogleFonts.carroisGothicSc,
        'Carter One': GoogleFonts.carterOne,
        'Castoro': GoogleFonts.castoro,
        'Castoro Titling': GoogleFonts.castoroTitling,
        'Catamaran': GoogleFonts.catamaran,
        'Caudex': GoogleFonts.caudex,
        'Caveat': GoogleFonts.caveat,
        'Caveat Brush': GoogleFonts.caveatBrush,
        'Cedarville Cursive': GoogleFonts.cedarvilleCursive,
        'Ceviche One': GoogleFonts.cevicheOne,
        'Chakra Petch': GoogleFonts.chakraPetch,
        'Changa': GoogleFonts.changa,
        'Changa One': GoogleFonts.changaOne,
        'Chango': GoogleFonts.chango,
        'Charis SIL': GoogleFonts.charisSil,
        'Charm': GoogleFonts.charm,
        'Charmonman': GoogleFonts.charmonman,
        'Chathura': GoogleFonts.chathura,
        'Chau Philomene One': GoogleFonts.chauPhilomeneOne,
        'Chela One': GoogleFonts.chelaOne,
        'Chelsea Market': GoogleFonts.chelseaMarket,
        'Chenla': GoogleFonts.chenla,
        'Cherish': GoogleFonts.cherish,
        'Cherry Cream Soda': GoogleFonts.cherryCreamSoda,
        'Cherry Swash': GoogleFonts.cherrySwash,
        'Chewy': GoogleFonts.chewy,
        'Chicle': GoogleFonts.chicle,
        'Chilanka': GoogleFonts.chilanka,
        'Chivo': GoogleFonts.chivo,
        'Chivo Mono': GoogleFonts.chivoMono,
        'Chonburi': GoogleFonts.chonburi,
        'Cinzel': GoogleFonts.cinzel,
        'Cinzel Decorative': GoogleFonts.cinzelDecorative,
        'Clicker Script': GoogleFonts.clickerScript,
        'Climate Crisis': GoogleFonts.climateCrisis,
        'Coda': GoogleFonts.coda,
        'Coda Caption': GoogleFonts.codaCaption,
        'Codystar': GoogleFonts.codystar,
        'Coiny': GoogleFonts.coiny,
        'Combo': GoogleFonts.combo,
        'Comfortaa': GoogleFonts.comfortaa,
        'Comforter': GoogleFonts.comforter,
        'Comforter Brush': GoogleFonts.comforterBrush,
        'Comic Neue': GoogleFonts.comicNeue,
        'Coming Soon': GoogleFonts.comingSoon,
        'Comme': GoogleFonts.comme,
        'Commissioner': GoogleFonts.commissioner,
        'Concert One': GoogleFonts.concertOne,
        'Condiment': GoogleFonts.condiment,
        'Content': GoogleFonts.content,
        'Contrail One': GoogleFonts.contrailOne,
        'Convergence': GoogleFonts.convergence,
        'Cookie': GoogleFonts.cookie,
        'Copse': GoogleFonts.copse,
        'Corben': GoogleFonts.corben,
        'Corinthia': GoogleFonts.corinthia,
        'Cormorant': GoogleFonts.cormorant,
        'Cormorant Garamond': GoogleFonts.cormorantGaramond,
        'Cormorant Infant': GoogleFonts.cormorantInfant,
        'Cormorant SC': GoogleFonts.cormorantSc,
        'Cormorant Unicase': GoogleFonts.cormorantUnicase,
        'Cormorant Upright': GoogleFonts.cormorantUpright,
        'Courgette': GoogleFonts.courgette,
        'Courier Prime': GoogleFonts.courierPrime,
        'Cousine': GoogleFonts.cousine,
        'Coustard': GoogleFonts.coustard,
        'Covered By Your Grace': GoogleFonts.coveredByYourGrace,
        'Crafty Girls': GoogleFonts.craftyGirls,
        'Creepster': GoogleFonts.creepster,
        'Crete Round': GoogleFonts.creteRound,
        'Crimson Pro': GoogleFonts.crimsonPro,
        'Crimson Text': GoogleFonts.crimsonText,
        'Croissant One': GoogleFonts.croissantOne,
        'Crushed': GoogleFonts.crushed,
        'Cuprum': GoogleFonts.cuprum,
        'Cute Font': GoogleFonts.cuteFont,
        'Cutive': GoogleFonts.cutive,
        'Cutive Mono': GoogleFonts.cutiveMono,
        'DM Mono': GoogleFonts.dmMono,
        'DM Sans': GoogleFonts.dmSans,
        'DM Serif Display': GoogleFonts.dmSerifDisplay,
        'DM Serif Text': GoogleFonts.dmSerifText,
        'Damion': GoogleFonts.damion,
        'Dancing Script': GoogleFonts.dancingScript,
        'Dangrek': GoogleFonts.dangrek,
        'Darker Grotesque': GoogleFonts.darkerGrotesque,
        'Darumadrop One': GoogleFonts.darumadropOne,
        'David Libre': GoogleFonts.davidLibre,
        'Dawning of a New Day': GoogleFonts.dawningOfANewDay,
        'Days One': GoogleFonts.daysOne,
        'Dekko': GoogleFonts.dekko,
        'Dela Gothic One': GoogleFonts.delaGothicOne,
        'Delicious Handrawn': GoogleFonts.deliciousHandrawn,
        'Delius': GoogleFonts.delius,
        'Delius Swash Caps': GoogleFonts.deliusSwashCaps,
        'Delius Unicase': GoogleFonts.deliusUnicase,
        'Della Respira': GoogleFonts.dellaRespira,
        'Denk One': GoogleFonts.denkOne,
        'Devonshire': GoogleFonts.devonshire,
        'Dhurjati': GoogleFonts.dhurjati,
        'Didact Gothic': GoogleFonts.didactGothic,
        'Diplomata': GoogleFonts.diplomata,
        'Diplomata SC': GoogleFonts.diplomataSc,
        'Do Hyeon': GoogleFonts.doHyeon,
        'Dokdo': GoogleFonts.dokdo,
        'Domine': GoogleFonts.domine,
        'Donegal One': GoogleFonts.donegalOne,
        'Dongle': GoogleFonts.dongle,
        'Doppio One': GoogleFonts.doppioOne,
        'Dorsa': GoogleFonts.dorsa,
        'Dosis': GoogleFonts.dosis,
        'DotGothic16': GoogleFonts.dotGothic16,
        'Dr Sugiyama': GoogleFonts.drSugiyama,
        'Duru Sans': GoogleFonts.duruSans,
        'DynaPuff': GoogleFonts.dynaPuff,
        'Dynalight': GoogleFonts.dynalight,
        'EB Garamond': GoogleFonts.ebGaramond,
        'Eagle Lake': GoogleFonts.eagleLake,
        'East Sea Dokdo': GoogleFonts.eastSeaDokdo,
        'Eater': GoogleFonts.eater,
        'Economica': GoogleFonts.economica,
        'Eczar': GoogleFonts.eczar,
        'Edu NSW ACT Foundation': GoogleFonts.eduNswActFoundation,
        'Edu QLD Beginner': GoogleFonts.eduQldBeginner,
        'Edu SA Beginner': GoogleFonts.eduSaBeginner,
        'Edu TAS Beginner': GoogleFonts.eduTasBeginner,
        'Edu VIC WA NT Beginner': GoogleFonts.eduVicWaNtBeginner,
        'El Messiri': GoogleFonts.elMessiri,
        'Electrolize': GoogleFonts.electrolize,
        'Elsie': GoogleFonts.elsie,
        'Elsie Swash Caps': GoogleFonts.elsieSwashCaps,
        'Emblema One': GoogleFonts.emblemaOne,
        'Emilys Candy': GoogleFonts.emilysCandy,
        'Encode Sans': GoogleFonts.encodeSans,
        'Encode Sans Condensed': GoogleFonts.encodeSansCondensed,
        'Encode Sans Expanded': GoogleFonts.encodeSansExpanded,
        'Encode Sans SC': GoogleFonts.encodeSansSc,
        'Encode Sans Semi Condensed': GoogleFonts.encodeSansSemiCondensed,
        'Encode Sans Semi Expanded': GoogleFonts.encodeSansSemiExpanded,
        'Engagement': GoogleFonts.engagement,
        'Englebert': GoogleFonts.englebert,
        'Enriqueta': GoogleFonts.enriqueta,
        'Ephesis': GoogleFonts.ephesis,
        'Epilogue': GoogleFonts.epilogue,
        'Erica One': GoogleFonts.ericaOne,
        'Esteban': GoogleFonts.esteban,
        'Estonia': GoogleFonts.estonia,
        'Euphoria Script': GoogleFonts.euphoriaScript,
        'Ewert': GoogleFonts.ewert,
        'Exo': GoogleFonts.exo,
        'Exo 2': GoogleFonts.exo2,
        'Expletus Sans': GoogleFonts.expletusSans,
        'Explora': GoogleFonts.explora,
        'Fahkwang': GoogleFonts.fahkwang,
        'Familjen Grotesk': GoogleFonts.familjenGrotesk,
        'Fanwood Text': GoogleFonts.fanwoodText,
        'Farro': GoogleFonts.farro,
        'Farsan': GoogleFonts.farsan,
        'Fascinate': GoogleFonts.fascinate,
        'Fascinate Inline': GoogleFonts.fascinateInline,
        'Faster One': GoogleFonts.fasterOne,
        'Fasthand': GoogleFonts.fasthand,
        'Fauna One': GoogleFonts.faunaOne,
        'Faustina': GoogleFonts.faustina,
        'Federant': GoogleFonts.federant,
        'Federo': GoogleFonts.federo,
        'Felipa': GoogleFonts.felipa,
        'Fenix': GoogleFonts.fenix,
        'Festive': GoogleFonts.festive,
        'Figtree': GoogleFonts.figtree,
        'Finger Paint': GoogleFonts.fingerPaint,
        'Finlandica': GoogleFonts.finlandica,
        'Fira Code': GoogleFonts.firaCode,
        'Fira Mono': GoogleFonts.firaMono,
        'Fira Sans': GoogleFonts.firaSans,
        'Fira Sans Condensed': GoogleFonts.firaSansCondensed,
        'Fira Sans Extra Condensed': GoogleFonts.firaSansExtraCondensed,
        'Fjalla One': GoogleFonts.fjallaOne,
        'Fjord One': GoogleFonts.fjordOne,
        'Flamenco': GoogleFonts.flamenco,
        'Flavors': GoogleFonts.flavors,
        'Fleur De Leah': GoogleFonts.fleurDeLeah,
        'Flow Block': GoogleFonts.flowBlock,
        'Flow Circular': GoogleFonts.flowCircular,
        'Flow Rounded': GoogleFonts.flowRounded,
        'Foldit': GoogleFonts.foldit,
        'Fondamento': GoogleFonts.fondamento,
        'Fontdiner Swanky': GoogleFonts.fontdinerSwanky,
        'Forum': GoogleFonts.forum,
        'Fragment Mono': GoogleFonts.fragmentMono,
        'Francois One': GoogleFonts.francoisOne,
        'Frank Ruhl Libre': GoogleFonts.frankRuhlLibre,
        'Fraunces': GoogleFonts.fraunces,
        'Freckle Face': GoogleFonts.freckleFace,
        'Fredericka the Great': GoogleFonts.frederickaTheGreat,
        'Fredoka': GoogleFonts.fredoka,
        'Freehand': GoogleFonts.freehand,
        'Fresca': GoogleFonts.fresca,
        'Frijole': GoogleFonts.frijole,
        'Fruktur': GoogleFonts.fruktur,
        'Fugaz One': GoogleFonts.fugazOne,
        'Fuggles': GoogleFonts.fuggles,
        'Fuzzy Bubbles': GoogleFonts.fuzzyBubbles,
        'GFS Didot': GoogleFonts.gfsDidot,
        'GFS Neohellenic': GoogleFonts.gfsNeohellenic,
        'Gabriela': GoogleFonts.gabriela,
        'Gaegu': GoogleFonts.gaegu,
        'Gafata': GoogleFonts.gafata,
        'Gajraj One': GoogleFonts.gajrajOne,
        'Galada': GoogleFonts.galada,
        'Galdeano': GoogleFonts.galdeano,
        'Galindo': GoogleFonts.galindo,
        'Gamja Flower': GoogleFonts.gamjaFlower,
        'Gantari': GoogleFonts.gantari,
        'Gayathri': GoogleFonts.gayathri,
        'Gelasio': GoogleFonts.gelasio,
        'Gemunu Libre': GoogleFonts.gemunuLibre,
        'Genos': GoogleFonts.genos,
        'Gentium Book Plus': GoogleFonts.gentiumBookPlus,
        'Gentium Plus': GoogleFonts.gentiumPlus,
        'Geo': GoogleFonts.geo,
        'Georama': GoogleFonts.georama,
        'Geostar': GoogleFonts.geostar,
        'Geostar Fill': GoogleFonts.geostarFill,
        'Germania One': GoogleFonts.germaniaOne,
        'Gideon Roman': GoogleFonts.gideonRoman,
        'Gidugu': GoogleFonts.gidugu,
        'Gilda Display': GoogleFonts.gildaDisplay,
        'Girassol': GoogleFonts.girassol,
        'Give You Glory': GoogleFonts.giveYouGlory,
        'Glass Antiqua': GoogleFonts.glassAntiqua,
        'Glegoo': GoogleFonts.glegoo,
        'Gloock': GoogleFonts.gloock,
        'Gloria Hallelujah': GoogleFonts.gloriaHallelujah,
        'Glory': GoogleFonts.glory,
        'Gluten': GoogleFonts.gluten,
        'Goblin One': GoogleFonts.goblinOne,
        'Gochi Hand': GoogleFonts.gochiHand,
        'Goldman': GoogleFonts.goldman,
        'Golos Text': GoogleFonts.golosText,
        'Gorditas': GoogleFonts.gorditas,
        'Gothic A1': GoogleFonts.gothicA1,
        'Gotu': GoogleFonts.gotu,
        'Goudy Bookletter 1911': GoogleFonts.goudyBookletter1911,
        'Gowun Batang': GoogleFonts.gowunBatang,
        'Gowun Dodum': GoogleFonts.gowunDodum,
        'Graduate': GoogleFonts.graduate,
        'Grand Hotel': GoogleFonts.grandHotel,
        'Grandstander': GoogleFonts.grandstander,
        'Grape Nuts': GoogleFonts.grapeNuts,
        'Gravitas One': GoogleFonts.gravitasOne,
        'Great Vibes': GoogleFonts.greatVibes,
        'Grechen Fuemen': GoogleFonts.grechenFuemen,
        'Grenze': GoogleFonts.grenze,
        'Grenze Gotisch': GoogleFonts.grenzeGotisch,
        'Grey Qo': GoogleFonts.greyQo,
        'Griffy': GoogleFonts.griffy,
        'Gruppo': GoogleFonts.gruppo,
        'Gudea': GoogleFonts.gudea,
        'Gugi': GoogleFonts.gugi,
        'Gulzar': GoogleFonts.gulzar,
        'Gupter': GoogleFonts.gupter,
        'Gurajada': GoogleFonts.gurajada,
        'Gwendolyn': GoogleFonts.gwendolyn,
        'Habibi': GoogleFonts.habibi,
        'Hachi Maru Pop': GoogleFonts.hachiMaruPop,
        'Hahmlet': GoogleFonts.hahmlet,
        'Halant': GoogleFonts.halant,
        'Hammersmith One': GoogleFonts.hammersmithOne,
        'Hanalei': GoogleFonts.hanalei,
        'Hanalei Fill': GoogleFonts.hanaleiFill,
        'Handlee': GoogleFonts.handlee,
        'Hanken Grotesk': GoogleFonts.hankenGrotesk,
        'Hanuman': GoogleFonts.hanuman,
        'Happy Monkey': GoogleFonts.happyMonkey,
        'Harmattan': GoogleFonts.harmattan,
        'Headland One': GoogleFonts.headlandOne,
        'Heebo': GoogleFonts.heebo,
        'Henny Penny': GoogleFonts.hennyPenny,
        'Hepta Slab': GoogleFonts.heptaSlab,
        'Herr Von Muellerhoff': GoogleFonts.herrVonMuellerhoff,
        'Hi Melody': GoogleFonts.hiMelody,
        'Hina Mincho': GoogleFonts.hinaMincho,
        'Hind': GoogleFonts.hind,
        'Hind Guntur': GoogleFonts.hindGuntur,
        'Hind Madurai': GoogleFonts.hindMadurai,
        'Hind Siliguri': GoogleFonts.hindSiliguri,
        'Hind Vadodara': GoogleFonts.hindVadodara,
        'Holtwood One SC': GoogleFonts.holtwoodOneSc,
        'Homemade Apple': GoogleFonts.homemadeApple,
        'Homenaje': GoogleFonts.homenaje,
        'Hubballi': GoogleFonts.hubballi,
        'Hurricane': GoogleFonts.hurricane,
        'IBM Plex Mono': GoogleFonts.ibmPlexMono,
        'IBM Plex Sans': GoogleFonts.ibmPlexSans,
        'IBM Plex Sans Arabic': GoogleFonts.ibmPlexSansArabic,
        'IBM Plex Sans Condensed': GoogleFonts.ibmPlexSansCondensed,
        'IBM Plex Sans Devanagari': GoogleFonts.ibmPlexSansDevanagari,
        'IBM Plex Sans Hebrew': GoogleFonts.ibmPlexSansHebrew,
        'IBM Plex Sans JP': GoogleFonts.ibmPlexSansJp,
        'IBM Plex Sans KR': GoogleFonts.ibmPlexSansKr,
        'IBM Plex Sans Thai': GoogleFonts.ibmPlexSansThai,
        'IBM Plex Sans Thai Looped': GoogleFonts.ibmPlexSansThaiLooped,
        'IBM Plex Serif': GoogleFonts.ibmPlexSerif,
        'IM Fell DW Pica': GoogleFonts.imFellDwPica,
        'IM Fell DW Pica SC': GoogleFonts.imFellDwPicaSc,
        'IM Fell Double Pica': GoogleFonts.imFellDoublePica,
        'IM Fell Double Pica SC': GoogleFonts.imFellDoublePicaSc,
        'IM Fell English': GoogleFonts.imFellEnglish,
        'IM Fell English SC': GoogleFonts.imFellEnglishSc,
        'IM Fell French Canon': GoogleFonts.imFellFrenchCanon,
        'IM Fell French Canon SC': GoogleFonts.imFellFrenchCanonSc,
        'IM Fell Great Primer': GoogleFonts.imFellGreatPrimer,
        'IM Fell Great Primer SC': GoogleFonts.imFellGreatPrimerSc,
        'Ibarra Real Nova': GoogleFonts.ibarraRealNova,
        'Iceberg': GoogleFonts.iceberg,
        'Iceland': GoogleFonts.iceland,
        'Imbue': GoogleFonts.imbue,
        'Imperial Script': GoogleFonts.imperialScript,
        'Imprima': GoogleFonts.imprima,
        'Inconsolata': GoogleFonts.inconsolata,
        'Inder': GoogleFonts.inder,
        'Indie Flower': GoogleFonts.indieFlower,
        'Ingrid Darling': GoogleFonts.ingridDarling,
        'Inika': GoogleFonts.inika,
        'Inknut Antiqua': GoogleFonts.inknutAntiqua,
        'Inria Sans': GoogleFonts.inriaSans,
        'Inria Serif': GoogleFonts.inriaSerif,
        'Inspiration': GoogleFonts.inspiration,
        'Instrument Sans': GoogleFonts.instrumentSans,
        'Instrument Serif': GoogleFonts.instrumentSerif,
        'Inter': GoogleFonts.inter,
        'Inter Tight': GoogleFonts.interTight,
        'Irish Grover': GoogleFonts.irishGrover,
        'Island Moments': GoogleFonts.islandMoments,
        'Istok Web': GoogleFonts.istokWeb,
        'Italiana': GoogleFonts.italiana,
        'Italianno': GoogleFonts.italianno,
        'Itim': GoogleFonts.itim,
        'Jacques Francois': GoogleFonts.jacquesFrancois,
        'Jacques Francois Shadow': GoogleFonts.jacquesFrancoisShadow,
        'Jaldi': GoogleFonts.jaldi,
        'JetBrains Mono': GoogleFonts.jetBrainsMono,
        'Jim Nightshade': GoogleFonts.jimNightshade,
        'Joan': GoogleFonts.joan,
        'Jockey One': GoogleFonts.jockeyOne,
        'Jolly Lodger': GoogleFonts.jollyLodger,
        'Jomhuria': GoogleFonts.jomhuria,
        'Jomolhari': GoogleFonts.jomolhari,
        'Josefin Sans': GoogleFonts.josefinSans,
        'Josefin Slab': GoogleFonts.josefinSlab,
        'Jost': GoogleFonts.jost,
        'Joti One': GoogleFonts.jotiOne,
        'Jua': GoogleFonts.jua,
        'Judson': GoogleFonts.judson,
        'Julee': GoogleFonts.julee,
        'Julius Sans One': GoogleFonts.juliusSansOne,
        'Junge': GoogleFonts.junge,
        'Jura': GoogleFonts.jura,
        'Just Another Hand': GoogleFonts.justAnotherHand,
        'Just Me Again Down Here': GoogleFonts.justMeAgainDownHere,
        'K2D': GoogleFonts.k2d,
        'Kadwa': GoogleFonts.kadwa,
        'Kaisei Decol': GoogleFonts.kaiseiDecol,
        'Kaisei HarunoUmi': GoogleFonts.kaiseiHarunoUmi,
        'Kaisei Opti': GoogleFonts.kaiseiOpti,
        'Kaisei Tokumin': GoogleFonts.kaiseiTokumin,
        'Kalam': GoogleFonts.kalam,
        'Kameron': GoogleFonts.kameron,
        'Kanit': GoogleFonts.kanit,
        'Kantumruy Pro': GoogleFonts.kantumruyPro,
        'Karantina': GoogleFonts.karantina,
        'Karla': GoogleFonts.karla,
        'Karma': GoogleFonts.karma,
        'Katibeh': GoogleFonts.katibeh,
        'Kaushan Script': GoogleFonts.kaushanScript,
        'Kavivanar': GoogleFonts.kavivanar,
        'Kavoon': GoogleFonts.kavoon,
        'Kdam Thmor Pro': GoogleFonts.kdamThmorPro,
        'Keania One': GoogleFonts.keaniaOne,
        'Kelly Slab': GoogleFonts.kellySlab,
        'Kenia': GoogleFonts.kenia,
        'Khand': GoogleFonts.khand,
        'Khmer': GoogleFonts.khmer,
        'Khula': GoogleFonts.khula,
        'Kings': GoogleFonts.kings,
        'Kirang Haerang': GoogleFonts.kirangHaerang,
        'Kite One': GoogleFonts.kiteOne,
        'Kiwi Maru': GoogleFonts.kiwiMaru,
        'Klee One': GoogleFonts.kleeOne,
        'Knewave': GoogleFonts.knewave,
        'KoHo': GoogleFonts.koHo,
        'Kodchasan': GoogleFonts.kodchasan,
        'Koh Santepheap': GoogleFonts.kohSantepheap,
        'Kolker Brush': GoogleFonts.kolkerBrush,
        'Konkhmer Sleokchher': GoogleFonts.konkhmerSleokchher,
        'Kosugi': GoogleFonts.kosugi,
        'Kosugi Maru': GoogleFonts.kosugiMaru,
        'Kotta One': GoogleFonts.kottaOne,
        'Koulen': GoogleFonts.koulen,
        'Kranky': GoogleFonts.kranky,
        'Kreon': GoogleFonts.kreon,
        'Kristi': GoogleFonts.kristi,
        'Krona One': GoogleFonts.kronaOne,
        'Krub': GoogleFonts.krub,
        'Kufam': GoogleFonts.kufam,
        'Kulim Park': GoogleFonts.kulimPark,
        'Kumar One': GoogleFonts.kumarOne,
        'Kumar One Outline': GoogleFonts.kumarOneOutline,
        'Kumbh Sans': GoogleFonts.kumbhSans,
        'Kurale': GoogleFonts.kurale,
        'La Belle Aurore': GoogleFonts.laBelleAurore,
        'Labrada': GoogleFonts.labrada,
        'Lacquer': GoogleFonts.lacquer,
        'Laila': GoogleFonts.laila,
        'Lakki Reddy': GoogleFonts.lakkiReddy,
        'Lalezar': GoogleFonts.lalezar,
        'Lancelot': GoogleFonts.lancelot,
        'Langar': GoogleFonts.langar,
        'Lateef': GoogleFonts.lateef,
        'Lato': GoogleFonts.lato,
        'Lavishly Yours': GoogleFonts.lavishlyYours,
        'League Gothic': GoogleFonts.leagueGothic,
        'League Script': GoogleFonts.leagueScript,
        'League Spartan': GoogleFonts.leagueSpartan,
        'Leckerli One': GoogleFonts.leckerliOne,
        'Ledger': GoogleFonts.ledger,
        'Lekton': GoogleFonts.lekton,
        'Lemon': GoogleFonts.lemon,
        'Lemonada': GoogleFonts.lemonada,
        'Lexend': GoogleFonts.lexend,
        'Lexend Deca': GoogleFonts.lexendDeca,
        'Lexend Exa': GoogleFonts.lexendExa,
        'Lexend Giga': GoogleFonts.lexendGiga,
        'Lexend Mega': GoogleFonts.lexendMega,
        'Lexend Peta': GoogleFonts.lexendPeta,
        'Lexend Tera': GoogleFonts.lexendTera,
        'Lexend Zetta': GoogleFonts.lexendZetta,
        'Libre Barcode 128': GoogleFonts.libreBarcode128,
        'Libre Barcode 128 Text': GoogleFonts.libreBarcode128Text,
        'Libre Barcode 39': GoogleFonts.libreBarcode39,
        'Libre Barcode 39 Extended': GoogleFonts.libreBarcode39Extended,
        'Libre Barcode 39 Extended Text':
            GoogleFonts.libreBarcode39ExtendedText,
        'Libre Barcode 39 Text': GoogleFonts.libreBarcode39Text,
        'Libre Barcode EAN13 Text': GoogleFonts.libreBarcodeEan13Text,
        'Libre Baskerville': GoogleFonts.libreBaskerville,
        'Libre Bodoni': GoogleFonts.libreBodoni,
        'Libre Caslon Display': GoogleFonts.libreCaslonDisplay,
        'Libre Caslon Text': GoogleFonts.libreCaslonText,
        'Libre Franklin': GoogleFonts.libreFranklin,
        'Licorice': GoogleFonts.licorice,
        'Life Savers': GoogleFonts.lifeSavers,
        'Lilita One': GoogleFonts.lilitaOne,
        'Lily Script One': GoogleFonts.lilyScriptOne,
        'Limelight': GoogleFonts.limelight,
        'Linden Hill': GoogleFonts.lindenHill,
        'Literata': GoogleFonts.literata,
        'Liu Jian Mao Cao': GoogleFonts.liuJianMaoCao,
        'Livvic': GoogleFonts.livvic,
        'Lobster': GoogleFonts.lobster,
        'Lobster Two': GoogleFonts.lobsterTwo,
        'Londrina Outline': GoogleFonts.londrinaOutline,
        'Londrina Shadow': GoogleFonts.londrinaShadow,
        'Londrina Sketch': GoogleFonts.londrinaSketch,
        'Londrina Solid': GoogleFonts.londrinaSolid,
        'Long Cang': GoogleFonts.longCang,
        'Lora': GoogleFonts.lora,
        'Love Light': GoogleFonts.loveLight,
        'Love Ya Like A Sister': GoogleFonts.loveYaLikeASister,
        'Loved by the King': GoogleFonts.lovedByTheKing,
        'Lovers Quarrel': GoogleFonts.loversQuarrel,
        'Luckiest Guy': GoogleFonts.luckiestGuy,
        'Lusitana': GoogleFonts.lusitana,
        'Lustria': GoogleFonts.lustria,
        'Luxurious Roman': GoogleFonts.luxuriousRoman,
        'Luxurious Script': GoogleFonts.luxuriousScript,
        'M PLUS 1': GoogleFonts.mPlus1,
        'M PLUS 1 Code': GoogleFonts.mPlus1Code,
        'M PLUS 1p': GoogleFonts.mPlus1p,
        'M PLUS 2': GoogleFonts.mPlus2,
        'M PLUS Code Latin': GoogleFonts.mPlusCodeLatin,
        'M PLUS Rounded 1c': GoogleFonts.mPlusRounded1c,
        'Ma Shan Zheng': GoogleFonts.maShanZheng,
        'Macondo': GoogleFonts.macondo,
        'Macondo Swash Caps': GoogleFonts.macondoSwashCaps,
        'Mada': GoogleFonts.mada,
        'Magra': GoogleFonts.magra,
        'Maiden Orange': GoogleFonts.maidenOrange,
        'Maitree': GoogleFonts.maitree,
        'Major Mono Display': GoogleFonts.majorMonoDisplay,
        'Mako': GoogleFonts.mako,
        'Mali': GoogleFonts.mali,
        'Mallanna': GoogleFonts.mallanna,
        'Mandali': GoogleFonts.mandali,
        'Manjari': GoogleFonts.manjari,
        'Manrope': GoogleFonts.manrope,
        'Mansalva': GoogleFonts.mansalva,
        'Manuale': GoogleFonts.manuale,
        'Marcellus': GoogleFonts.marcellus,
        'Marcellus SC': GoogleFonts.marcellusSc,
        'Marck Script': GoogleFonts.marckScript,
        'Margarine': GoogleFonts.margarine,
        'Marhey': GoogleFonts.marhey,
        'Markazi Text': GoogleFonts.markaziText,
        'Marko One': GoogleFonts.markoOne,
        'Marmelad': GoogleFonts.marmelad,
        'Martel': GoogleFonts.martel,
        'Martel Sans': GoogleFonts.martelSans,
        'Martian Mono': GoogleFonts.martianMono,
        'Marvel': GoogleFonts.marvel,
        'Mate': GoogleFonts.mate,
        'Mate SC': GoogleFonts.mateSc,
        'Maven Pro': GoogleFonts.mavenPro,
        'McLaren': GoogleFonts.mcLaren,
        'Mea Culpa': GoogleFonts.meaCulpa,
        'Meddon': GoogleFonts.meddon,
        'MedievalSharp': GoogleFonts.medievalSharp,
        'Medula One': GoogleFonts.medulaOne,
        'Meera Inimai': GoogleFonts.meeraInimai,
        'Megrim': GoogleFonts.megrim,
        'Meie Script': GoogleFonts.meieScript,
        'Meow Script': GoogleFonts.meowScript,
        'Merienda': GoogleFonts.merienda,
        'Merriweather': GoogleFonts.merriweather,
        'Merriweather Sans': GoogleFonts.merriweatherSans,
        'Metal': GoogleFonts.metal,
        'Metal Mania': GoogleFonts.metalMania,
        'Metamorphous': GoogleFonts.metamorphous,
        'Metrophobic': GoogleFonts.metrophobic,
        'Michroma': GoogleFonts.michroma,
        'Milonga': GoogleFonts.milonga,
        'Miltonian': GoogleFonts.miltonian,
        'Miltonian Tattoo': GoogleFonts.miltonianTattoo,
        'Mina': GoogleFonts.mina,
        'Mingzat': GoogleFonts.mingzat,
        'Miniver': GoogleFonts.miniver,
        'Miriam Libre': GoogleFonts.miriamLibre,
        'Mirza': GoogleFonts.mirza,
        'Miss Fajardose': GoogleFonts.missFajardose,
        'Mitr': GoogleFonts.mitr,
        'Mochiy Pop One': GoogleFonts.mochiyPopOne,
        'Mochiy Pop P One': GoogleFonts.mochiyPopPOne,
        'Modak': GoogleFonts.modak,
        'Modern Antiqua': GoogleFonts.modernAntiqua,
        'Mogra': GoogleFonts.mogra,
        'Mohave': GoogleFonts.mohave,
        'Molengo': GoogleFonts.molengo,
        'Molle': GoogleFonts.molle,
        'Monda': GoogleFonts.monda,
        'Monofett': GoogleFonts.monofett,
        'Monoton': GoogleFonts.monoton,
        'Monsieur La Doulaise': GoogleFonts.monsieurLaDoulaise,
        'Montaga': GoogleFonts.montaga,
        'Montagu Slab': GoogleFonts.montaguSlab,
        'MonteCarlo': GoogleFonts.monteCarlo,
        'Montez': GoogleFonts.montez,
        'Montserrat': GoogleFonts.montserrat,
        'Montserrat Alternates': GoogleFonts.montserratAlternates,
        'Montserrat Subrayada': GoogleFonts.montserratSubrayada,
        'Moo Lah Lah': GoogleFonts.mooLahLah,
        'Moon Dance': GoogleFonts.moonDance,
        'Moul': GoogleFonts.moul,
        'Moulpali': GoogleFonts.moulpali,
        'Mountains of Christmas': GoogleFonts.mountainsOfChristmas,
        'Mouse Memoirs': GoogleFonts.mouseMemoirs,
        'Mr Bedfort': GoogleFonts.mrBedfort,
        'Mr Dafoe': GoogleFonts.mrDafoe,
        'Mr De Haviland': GoogleFonts.mrDeHaviland,
        'Mrs Saint Delafield': GoogleFonts.mrsSaintDelafield,
        'Mrs Sheppards': GoogleFonts.mrsSheppards,
        'Ms Madi': GoogleFonts.msMadi,
        'Mukta': GoogleFonts.mukta,
        'Mukta Mahee': GoogleFonts.muktaMahee,
        'Mukta Malar': GoogleFonts.muktaMalar,
        'Mukta Vaani': GoogleFonts.muktaVaani,
        'Mulish': GoogleFonts.mulish,
        'Murecho': GoogleFonts.murecho,
        'MuseoModerno': GoogleFonts.museoModerno,
        'My Soul': GoogleFonts.mySoul,
        'Mynerve': GoogleFonts.mynerve,
        'Mystery Quest': GoogleFonts.mysteryQuest,
        'NTR': GoogleFonts.ntr,
        'Nabla': GoogleFonts.nabla,
        'Nanum Brush Script': GoogleFonts.nanumBrushScript,
        'Nanum Gothic': GoogleFonts.nanumGothic,
        'Nanum Gothic Coding': GoogleFonts.nanumGothicCoding,
        'Nanum Myeongjo': GoogleFonts.nanumMyeongjo,
        'Nanum Pen Script': GoogleFonts.nanumPenScript,
        'Neonderthaw': GoogleFonts.neonderthaw,
        'Nerko One': GoogleFonts.nerkoOne,
        'Neucha': GoogleFonts.neucha,
        'Neuton': GoogleFonts.neuton,
        'New Rocker': GoogleFonts.newRocker,
        'New Tegomin': GoogleFonts.newTegomin,
        'News Cycle': GoogleFonts.newsCycle,
        'Newsreader': GoogleFonts.newsreader,
        'Niconne': GoogleFonts.niconne,
        'Niramit': GoogleFonts.niramit,
        'Nixie One': GoogleFonts.nixieOne,
        'Nobile': GoogleFonts.nobile,
        'Nokora': GoogleFonts.nokora,
        'Norican': GoogleFonts.norican,
        'Nosifer': GoogleFonts.nosifer,
        'Notable': GoogleFonts.notable,
        'Nothing You Could Do': GoogleFonts.nothingYouCouldDo,
        'Noticia Text': GoogleFonts.noticiaText,
        'Noto Color Emoji': GoogleFonts.notoColorEmoji,
        'Noto Emoji': GoogleFonts.notoEmoji,
        'Noto Kufi Arabic': GoogleFonts.notoKufiArabic,
        'Noto Music': GoogleFonts.notoMusic,
        'Noto Naskh Arabic': GoogleFonts.notoNaskhArabic,
        'Noto Nastaliq Urdu': GoogleFonts.notoNastaliqUrdu,
        'Noto Rashi Hebrew': GoogleFonts.notoRashiHebrew,
        'Noto Sans': GoogleFonts.notoSans,
        'Noto Sans Adlam': GoogleFonts.notoSansAdlam,
        'Noto Sans Adlam Unjoined': GoogleFonts.notoSansAdlamUnjoined,
        'Noto Sans Anatolian Hieroglyphs':
            GoogleFonts.notoSansAnatolianHieroglyphs,
        'Noto Sans Arabic': GoogleFonts.notoSansArabic,
        'Noto Sans Armenian': GoogleFonts.notoSansArmenian,
        'Noto Sans Avestan': GoogleFonts.notoSansAvestan,
        'Noto Sans Balinese': GoogleFonts.notoSansBalinese,
        'Noto Sans Bamum': GoogleFonts.notoSansBamum,
        'Noto Sans Bassa Vah': GoogleFonts.notoSansBassaVah,
        'Noto Sans Batak': GoogleFonts.notoSansBatak,
        'Noto Sans Bengali': GoogleFonts.notoSansBengali,
        'Noto Sans Bhaiksuki': GoogleFonts.notoSansBhaiksuki,
        'Noto Sans Brahmi': GoogleFonts.notoSansBrahmi,
        'Noto Sans Buginese': GoogleFonts.notoSansBuginese,
        'Noto Sans Buhid': GoogleFonts.notoSansBuhid,
        'Noto Sans Canadian Aboriginal': GoogleFonts.notoSansCanadianAboriginal,
        'Noto Sans Carian': GoogleFonts.notoSansCarian,
        'Noto Sans Caucasian Albanian': GoogleFonts.notoSansCaucasianAlbanian,
        'Noto Sans Chakma': GoogleFonts.notoSansChakma,
        'Noto Sans Cham': GoogleFonts.notoSansCham,
        'Noto Sans Cherokee': GoogleFonts.notoSansCherokee,
        'Noto Sans Coptic': GoogleFonts.notoSansCoptic,
        'Noto Sans Cuneiform': GoogleFonts.notoSansCuneiform,
        'Noto Sans Cypriot': GoogleFonts.notoSansCypriot,
        'Noto Sans Deseret': GoogleFonts.notoSansDeseret,
        'Noto Sans Devanagari': GoogleFonts.notoSansDevanagari,
        'Noto Sans Display': GoogleFonts.notoSansDisplay,
        'Noto Sans Duployan': GoogleFonts.notoSansDuployan,
        'Noto Sans Egyptian Hieroglyphs':
            GoogleFonts.notoSansEgyptianHieroglyphs,
        'Noto Sans Elbasan': GoogleFonts.notoSansElbasan,
        'Noto Sans Elymaic': GoogleFonts.notoSansElymaic,
        'Noto Sans Ethiopic': GoogleFonts.notoSansEthiopic,
        'Noto Sans Georgian': GoogleFonts.notoSansGeorgian,
        'Noto Sans Glagolitic': GoogleFonts.notoSansGlagolitic,
        'Noto Sans Gothic': GoogleFonts.notoSansGothic,
        'Noto Sans Grantha': GoogleFonts.notoSansGrantha,
        'Noto Sans Gujarati': GoogleFonts.notoSansGujarati,
        'Noto Sans Gunjala Gondi': GoogleFonts.notoSansGunjalaGondi,
        'Noto Sans Gurmukhi': GoogleFonts.notoSansGurmukhi,
        'Noto Sans Hanifi Rohingya': GoogleFonts.notoSansHanifiRohingya,
        'Noto Sans Hanunoo': GoogleFonts.notoSansHanunoo,
        'Noto Sans Hatran': GoogleFonts.notoSansHatran,
        'Noto Sans Hebrew': GoogleFonts.notoSansHebrew,
        'Noto Sans Imperial Aramaic': GoogleFonts.notoSansImperialAramaic,
        'Noto Sans Indic Siyaq Numbers': GoogleFonts.notoSansIndicSiyaqNumbers,
        'Noto Sans Inscriptional Pahlavi':
            GoogleFonts.notoSansInscriptionalPahlavi,
        'Noto Sans Inscriptional Parthian':
            GoogleFonts.notoSansInscriptionalParthian,
        'Noto Sans Javanese': GoogleFonts.notoSansJavanese,
        'Noto Sans Kaithi': GoogleFonts.notoSansKaithi,
        'Noto Sans Kannada': GoogleFonts.notoSansKannada,
        'Noto Sans Kayah Li': GoogleFonts.notoSansKayahLi,
        'Noto Sans Kharoshthi': GoogleFonts.notoSansKharoshthi,
        'Noto Sans Khmer': GoogleFonts.notoSansKhmer,
        'Noto Sans Khojki': GoogleFonts.notoSansKhojki,
        'Noto Sans Khudawadi': GoogleFonts.notoSansKhudawadi,
        'Noto Sans Lao': GoogleFonts.notoSansLao,
        'Noto Sans Lao Looped': GoogleFonts.notoSansLaoLooped,
        'Noto Sans Lepcha': GoogleFonts.notoSansLepcha,
        'Noto Sans Limbu': GoogleFonts.notoSansLimbu,
        'Noto Sans Linear A': GoogleFonts.notoSansLinearA,
        'Noto Sans Linear B': GoogleFonts.notoSansLinearB,
        'Noto Sans Lisu': GoogleFonts.notoSansLisu,
        'Noto Sans Lycian': GoogleFonts.notoSansLycian,
        'Noto Sans Lydian': GoogleFonts.notoSansLydian,
        'Noto Sans Mahajani': GoogleFonts.notoSansMahajani,
        'Noto Sans Malayalam': GoogleFonts.notoSansMalayalam,
        'Noto Sans Mandaic': GoogleFonts.notoSansMandaic,
        'Noto Sans Manichaean': GoogleFonts.notoSansManichaean,
        'Noto Sans Marchen': GoogleFonts.notoSansMarchen,
        'Noto Sans Masaram Gondi': GoogleFonts.notoSansMasaramGondi,
        'Noto Sans Math': GoogleFonts.notoSansMath,
        'Noto Sans Mayan Numerals': GoogleFonts.notoSansMayanNumerals,
        'Noto Sans Medefaidrin': GoogleFonts.notoSansMedefaidrin,
        'Noto Sans Meetei Mayek': GoogleFonts.notoSansMeeteiMayek,
        'Noto Sans Mende Kikakui': GoogleFonts.notoSansMendeKikakui,
        'Noto Sans Meroitic': GoogleFonts.notoSansMeroitic,
        'Noto Sans Miao': GoogleFonts.notoSansMiao,
        'Noto Sans Modi': GoogleFonts.notoSansModi,
        'Noto Sans Mongolian': GoogleFonts.notoSansMongolian,
        'Noto Sans Mono': GoogleFonts.notoSansMono,
        'Noto Sans Mro': GoogleFonts.notoSansMro,
        'Noto Sans Multani': GoogleFonts.notoSansMultani,
        'Noto Sans Myanmar': GoogleFonts.notoSansMyanmar,
        'Noto Sans NKo': GoogleFonts.notoSansNKo,
        'Noto Sans Nabataean': GoogleFonts.notoSansNabataean,
        'Noto Sans Nag Mundari': GoogleFonts.notoSansNagMundari,
        'Noto Sans Nandinagari': GoogleFonts.notoSansNandinagari,
        'Noto Sans New Tai Lue': GoogleFonts.notoSansNewTaiLue,
        'Noto Sans Newa': GoogleFonts.notoSansNewa,
        'Noto Sans Nushu': GoogleFonts.notoSansNushu,
        'Noto Sans Ogham': GoogleFonts.notoSansOgham,
        'Noto Sans Ol Chiki': GoogleFonts.notoSansOlChiki,
        'Noto Sans Old Hungarian': GoogleFonts.notoSansOldHungarian,
        'Noto Sans Old Italic': GoogleFonts.notoSansOldItalic,
        'Noto Sans Old North Arabian': GoogleFonts.notoSansOldNorthArabian,
        'Noto Sans Old Permic': GoogleFonts.notoSansOldPermic,
        'Noto Sans Old Persian': GoogleFonts.notoSansOldPersian,
        'Noto Sans Old Sogdian': GoogleFonts.notoSansOldSogdian,
        'Noto Sans Old South Arabian': GoogleFonts.notoSansOldSouthArabian,
        'Noto Sans Old Turkic': GoogleFonts.notoSansOldTurkic,
        'Noto Sans Oriya': GoogleFonts.notoSansOriya,
        'Noto Sans Osage': GoogleFonts.notoSansOsage,
        'Noto Sans Osmanya': GoogleFonts.notoSansOsmanya,
        'Noto Sans Pahawh Hmong': GoogleFonts.notoSansPahawhHmong,
        'Noto Sans Palmyrene': GoogleFonts.notoSansPalmyrene,
        'Noto Sans Pau Cin Hau': GoogleFonts.notoSansPauCinHau,
        'Noto Sans Phags Pa': GoogleFonts.notoSansPhagsPa,
        'Noto Sans Phoenician': GoogleFonts.notoSansPhoenician,
        'Noto Sans Psalter Pahlavi': GoogleFonts.notoSansPsalterPahlavi,
        'Noto Sans Rejang': GoogleFonts.notoSansRejang,
        'Noto Sans Runic': GoogleFonts.notoSansRunic,
        'Noto Sans Samaritan': GoogleFonts.notoSansSamaritan,
        'Noto Sans Saurashtra': GoogleFonts.notoSansSaurashtra,
        'Noto Sans Sharada': GoogleFonts.notoSansSharada,
        'Noto Sans Shavian': GoogleFonts.notoSansShavian,
        'Noto Sans Siddham': GoogleFonts.notoSansSiddham,
        'Noto Sans SignWriting': GoogleFonts.notoSansSignWriting,
        'Noto Sans Sinhala': GoogleFonts.notoSansSinhala,
        'Noto Sans Sogdian': GoogleFonts.notoSansSogdian,
        'Noto Sans Sora Sompeng': GoogleFonts.notoSansSoraSompeng,
        'Noto Sans Soyombo': GoogleFonts.notoSansSoyombo,
        'Noto Sans Sundanese': GoogleFonts.notoSansSundanese,
        'Noto Sans Syloti Nagri': GoogleFonts.notoSansSylotiNagri,
        'Noto Sans Symbols': GoogleFonts.notoSansSymbols,
        'Noto Sans Symbols 2': GoogleFonts.notoSansSymbols2,
        'Noto Sans Syriac': GoogleFonts.notoSansSyriac,
        'Noto Sans Tagalog': GoogleFonts.notoSansTagalog,
        'Noto Sans Tagbanwa': GoogleFonts.notoSansTagbanwa,
        'Noto Sans Tai Le': GoogleFonts.notoSansTaiLe,
        'Noto Sans Tai Tham': GoogleFonts.notoSansTaiTham,
        'Noto Sans Tai Viet': GoogleFonts.notoSansTaiViet,
        'Noto Sans Takri': GoogleFonts.notoSansTakri,
        'Noto Sans Tamil': GoogleFonts.notoSansTamil,
        'Noto Sans Tamil Supplement': GoogleFonts.notoSansTamilSupplement,
        'Noto Sans Tangsa': GoogleFonts.notoSansTangsa,
        'Noto Sans Telugu': GoogleFonts.notoSansTelugu,
        'Noto Sans Thaana': GoogleFonts.notoSansThaana,
        'Noto Sans Thai': GoogleFonts.notoSansThai,
        'Noto Sans Thai Looped': GoogleFonts.notoSansThaiLooped,
        'Noto Sans Tifinagh': GoogleFonts.notoSansTifinagh,
        'Noto Sans Tirhuta': GoogleFonts.notoSansTirhuta,
        'Noto Sans Ugaritic': GoogleFonts.notoSansUgaritic,
        'Noto Sans Vai': GoogleFonts.notoSansVai,
        'Noto Sans Wancho': GoogleFonts.notoSansWancho,
        'Noto Sans Warang Citi': GoogleFonts.notoSansWarangCiti,
        'Noto Sans Yi': GoogleFonts.notoSansYi,
        'Noto Sans Zanabazar Square': GoogleFonts.notoSansZanabazarSquare,
        'Noto Serif': GoogleFonts.notoSerif,
        'Noto Serif Ahom': GoogleFonts.notoSerifAhom,
        'Noto Serif Armenian': GoogleFonts.notoSerifArmenian,
        'Noto Serif Balinese': GoogleFonts.notoSerifBalinese,
        'Noto Serif Bengali': GoogleFonts.notoSerifBengali,
        'Noto Serif Devanagari': GoogleFonts.notoSerifDevanagari,
        'Noto Serif Display': GoogleFonts.notoSerifDisplay,
        'Noto Serif Dogra': GoogleFonts.notoSerifDogra,
        'Noto Serif Ethiopic': GoogleFonts.notoSerifEthiopic,
        'Noto Serif Georgian': GoogleFonts.notoSerifGeorgian,
        'Noto Serif Grantha': GoogleFonts.notoSerifGrantha,
        'Noto Serif Gujarati': GoogleFonts.notoSerifGujarati,
        'Noto Serif Gurmukhi': GoogleFonts.notoSerifGurmukhi,
        'Noto Serif HK': GoogleFonts.notoSerifHk,
        'Noto Serif Hebrew': GoogleFonts.notoSerifHebrew,
        'Noto Serif Kannada': GoogleFonts.notoSerifKannada,
        'Noto Serif Khmer': GoogleFonts.notoSerifKhmer,
        'Noto Serif Khojki': GoogleFonts.notoSerifKhojki,
        'Noto Serif Lao': GoogleFonts.notoSerifLao,
        'Noto Serif Malayalam': GoogleFonts.notoSerifMalayalam,
        'Noto Serif Myanmar': GoogleFonts.notoSerifMyanmar,
        'Noto Serif NP Hmong': GoogleFonts.notoSerifNpHmong,
        'Noto Serif Oriya': GoogleFonts.notoSerifOriya,
        'Noto Serif Sinhala': GoogleFonts.notoSerifSinhala,
        'Noto Serif Tamil': GoogleFonts.notoSerifTamil,
        'Noto Serif Tangut': GoogleFonts.notoSerifTangut,
        'Noto Serif Telugu': GoogleFonts.notoSerifTelugu,
        'Noto Serif Thai': GoogleFonts.notoSerifThai,
        'Noto Serif Tibetan': GoogleFonts.notoSerifTibetan,
        'Noto Serif Toto': GoogleFonts.notoSerifToto,
        'Noto Serif Yezidi': GoogleFonts.notoSerifYezidi,
        'Noto Traditional Nushu': GoogleFonts.notoTraditionalNushu,
        'Nova Cut': GoogleFonts.novaCut,
        'Nova Flat': GoogleFonts.novaFlat,
        'Nova Mono': GoogleFonts.novaMono,
        'Nova Oval': GoogleFonts.novaOval,
        'Nova Round': GoogleFonts.novaRound,
        'Nova Script': GoogleFonts.novaScript,
        'Nova Slim': GoogleFonts.novaSlim,
        'Nova Square': GoogleFonts.novaSquare,
        'Numans': GoogleFonts.numans,
        'Nunito': GoogleFonts.nunito,
        'Nunito Sans': GoogleFonts.nunitoSans,
        'Nuosu SIL': GoogleFonts.nuosuSil,
        'Odibee Sans': GoogleFonts.odibeeSans,
        'Odor Mean Chey': GoogleFonts.odorMeanChey,
        'Offside': GoogleFonts.offside,
        'Oi': GoogleFonts.oi,
        'Old Standard TT': GoogleFonts.oldStandardTt,
        'Oldenburg': GoogleFonts.oldenburg,
        'Ole': GoogleFonts.ole,
        'Oleo Script': GoogleFonts.oleoScript,
        'Oleo Script Swash Caps': GoogleFonts.oleoScriptSwashCaps,
        'Oooh Baby': GoogleFonts.ooohBaby,
        'Open Sans': GoogleFonts.openSans,
        'Open Sans Condensed': GoogleFonts.openSansCondensed,
        'Oranienbaum': GoogleFonts.oranienbaum,
        'Orbitron': GoogleFonts.orbitron,
        'Oregano': GoogleFonts.oregano,
        'Orelega One': GoogleFonts.orelegaOne,
        'Orienta': GoogleFonts.orienta,
        'Original Surfer': GoogleFonts.originalSurfer,
        'Oswald': GoogleFonts.oswald,
        'Outfit': GoogleFonts.outfit,
        'Over the Rainbow': GoogleFonts.overTheRainbow,
        'Overlock': GoogleFonts.overlock,
        'Overlock SC': GoogleFonts.overlockSc,
        'Overpass': GoogleFonts.overpass,
        'Overpass Mono': GoogleFonts.overpassMono,
        'Ovo': GoogleFonts.ovo,
        'Oxanium': GoogleFonts.oxanium,
        'Oxygen': GoogleFonts.oxygen,
        'Oxygen Mono': GoogleFonts.oxygenMono,
        'PT Mono': GoogleFonts.ptMono,
        'PT Sans': GoogleFonts.ptSans,
        'PT Sans Caption': GoogleFonts.ptSansCaption,
        'PT Sans Narrow': GoogleFonts.ptSansNarrow,
        'PT Serif': GoogleFonts.ptSerif,
        'PT Serif Caption': GoogleFonts.ptSerifCaption,
        'Pacifico': GoogleFonts.pacifico,
        'Padauk': GoogleFonts.padauk,
        'Padyakke Expanded One': GoogleFonts.padyakkeExpandedOne,
        'Palanquin': GoogleFonts.palanquin,
        'Palanquin Dark': GoogleFonts.palanquinDark,
        'Pangolin': GoogleFonts.pangolin,
        'Paprika': GoogleFonts.paprika,
        'Parisienne': GoogleFonts.parisienne,
        'Passero One': GoogleFonts.passeroOne,
        'Passion One': GoogleFonts.passionOne,
        'Passions Conflict': GoogleFonts.passionsConflict,
        'Pathway Extreme': GoogleFonts.pathwayExtreme,
        'Pathway Gothic One': GoogleFonts.pathwayGothicOne,
        'Patrick Hand': GoogleFonts.patrickHand,
        'Patrick Hand SC': GoogleFonts.patrickHandSc,
        'Pattaya': GoogleFonts.pattaya,
        'Patua One': GoogleFonts.patuaOne,
        'Pavanam': GoogleFonts.pavanam,
        'Paytone One': GoogleFonts.paytoneOne,
        'Peddana': GoogleFonts.peddana,
        'Peralta': GoogleFonts.peralta,
        'Permanent Marker': GoogleFonts.permanentMarker,
        'Petemoss': GoogleFonts.petemoss,
        'Petit Formal Script': GoogleFonts.petitFormalScript,
        'Petrona': GoogleFonts.petrona,
        'Philosopher': GoogleFonts.philosopher,
        'Phudu': GoogleFonts.phudu,
        'Piazzolla': GoogleFonts.piazzolla,
        'Piedra': GoogleFonts.piedra,
        'Pinyon Script': GoogleFonts.pinyonScript,
        'Pirata One': GoogleFonts.pirataOne,
        'Plaster': GoogleFonts.plaster,
        'Play': GoogleFonts.play,
        'Playball': GoogleFonts.playball,
        'Playfair Display': GoogleFonts.playfairDisplay,
        'Playfair Display SC': GoogleFonts.playfairDisplaySc,
        'Plus Jakarta Sans': GoogleFonts.plusJakartaSans,
        'Podkova': GoogleFonts.podkova,
        'Poiret One': GoogleFonts.poiretOne,
        'Poller One': GoogleFonts.pollerOne,
        'Poltawski Nowy': GoogleFonts.poltawskiNowy,
        'Poly': GoogleFonts.poly,
        'Pompiere': GoogleFonts.pompiere,
        'Pontano Sans': GoogleFonts.pontanoSans,
        'Poor Story': GoogleFonts.poorStory,
        'Poppins': GoogleFonts.poppins,
        'Port Lligat Sans': GoogleFonts.portLligatSans,
        'Port Lligat Slab': GoogleFonts.portLligatSlab,
        'Potta One': GoogleFonts.pottaOne,
        'Pragati Narrow': GoogleFonts.pragatiNarrow,
        'Praise': GoogleFonts.praise,
        'Prata': GoogleFonts.prata,
        'Preahvihear': GoogleFonts.preahvihear,
        'Press Start 2P': GoogleFonts.pressStart2p,
        'Pridi': GoogleFonts.pridi,
        'Princess Sofia': GoogleFonts.princessSofia,
        'Prociono': GoogleFonts.prociono,
        'Prompt': GoogleFonts.prompt,
        'Prosto One': GoogleFonts.prostoOne,
        'Proza Libre': GoogleFonts.prozaLibre,
        'Public Sans': GoogleFonts.publicSans,
        'Puppies Play': GoogleFonts.puppiesPlay,
        'Puritan': GoogleFonts.puritan,
        'Purple Purse': GoogleFonts.purplePurse,
        'Qahiri': GoogleFonts.qahiri,
        'Quando': GoogleFonts.quando,
        'Quantico': GoogleFonts.quantico,
        'Quattrocento': GoogleFonts.quattrocento,
        'Quattrocento Sans': GoogleFonts.quattrocentoSans,
        'Questrial': GoogleFonts.questrial,
        'Quicksand': GoogleFonts.quicksand,
        'Quintessential': GoogleFonts.quintessential,
        'Qwigley': GoogleFonts.qwigley,
        'Qwitcher Grypen': GoogleFonts.qwitcherGrypen,
        'Racing Sans One': GoogleFonts.racingSansOne,
        'Radio Canada': GoogleFonts.radioCanada,
        'Radley': GoogleFonts.radley,
        'Rajdhani': GoogleFonts.rajdhani,
        'Rakkas': GoogleFonts.rakkas,
        'Raleway': GoogleFonts.raleway,
        'Raleway Dots': GoogleFonts.ralewayDots,
        'Ramabhadra': GoogleFonts.ramabhadra,
        'Ramaraja': GoogleFonts.ramaraja,
        'Rambla': GoogleFonts.rambla,
        'Rammetto One': GoogleFonts.rammettoOne,
        'Rampart One': GoogleFonts.rampartOne,
        'Ranchers': GoogleFonts.ranchers,
        'Rancho': GoogleFonts.rancho,
        'Ranga': GoogleFonts.ranga,
        'Rasa': GoogleFonts.rasa,
        'Rationale': GoogleFonts.rationale,
        'Ravi Prakash': GoogleFonts.raviPrakash,
        'Readex Pro': GoogleFonts.readexPro,
        'Recursive': GoogleFonts.recursive,
        'Red Hat Display': GoogleFonts.redHatDisplay,
        'Red Hat Mono': GoogleFonts.redHatMono,
        'Red Hat Text': GoogleFonts.redHatText,
        'Red Rose': GoogleFonts.redRose,
        'Redacted': GoogleFonts.redacted,
        'Redacted Script': GoogleFonts.redactedScript,
        'Redressed': GoogleFonts.redressed,
        'Reem Kufi': GoogleFonts.reemKufi,
        'Reem Kufi Fun': GoogleFonts.reemKufiFun,
        'Reem Kufi Ink': GoogleFonts.reemKufiInk,
        'Reenie Beanie': GoogleFonts.reenieBeanie,
        'Reggae One': GoogleFonts.reggaeOne,
        'Revalia': GoogleFonts.revalia,
        'Rhodium Libre': GoogleFonts.rhodiumLibre,
        'Ribeye': GoogleFonts.ribeye,
        'Ribeye Marrow': GoogleFonts.ribeyeMarrow,
        'Righteous': GoogleFonts.righteous,
        'Risque': GoogleFonts.risque,
        'Road Rage': GoogleFonts.roadRage,
        'Roboto': GoogleFonts.roboto,
        'Roboto Condensed': GoogleFonts.robotoCondensed,
        'Roboto Flex': GoogleFonts.robotoFlex,
        'Roboto Mono': GoogleFonts.robotoMono,
        'Roboto Serif': GoogleFonts.robotoSerif,
        'Roboto Slab': GoogleFonts.robotoSlab,
        'Rochester': GoogleFonts.rochester,
        'Rock Salt': GoogleFonts.rockSalt,
        'RocknRoll One': GoogleFonts.rocknRollOne,
        'Rokkitt': GoogleFonts.rokkitt,
        'Romanesco': GoogleFonts.romanesco,
        'Ropa Sans': GoogleFonts.ropaSans,
        'Rosario': GoogleFonts.rosario,
        'Rosarivo': GoogleFonts.rosarivo,
        'Rouge Script': GoogleFonts.rougeScript,
        'Rowdies': GoogleFonts.rowdies,
        'Rozha One': GoogleFonts.rozhaOne,
        'Rubik': GoogleFonts.rubik,
        'Rubik 80s Fade': GoogleFonts.rubik80sFade,
        'Rubik Beastly': GoogleFonts.rubikBeastly,
        'Rubik Bubbles': GoogleFonts.rubikBubbles,
        'Rubik Burned': GoogleFonts.rubikBurned,
        'Rubik Dirt': GoogleFonts.rubikDirt,
        'Rubik Distressed': GoogleFonts.rubikDistressed,
        'Rubik Gemstones': GoogleFonts.rubikGemstones,
        'Rubik Glitch': GoogleFonts.rubikGlitch,
        'Rubik Iso': GoogleFonts.rubikIso,
        'Rubik Marker Hatch': GoogleFonts.rubikMarkerHatch,
        'Rubik Maze': GoogleFonts.rubikMaze,
        'Rubik Microbe': GoogleFonts.rubikMicrobe,
        'Rubik Mono One': GoogleFonts.rubikMonoOne,
        'Rubik Moonrocks': GoogleFonts.rubikMoonrocks,
        'Rubik Pixels': GoogleFonts.rubikPixels,
        'Rubik Puddles': GoogleFonts.rubikPuddles,
        'Rubik Spray Paint': GoogleFonts.rubikSprayPaint,
        'Rubik Storm': GoogleFonts.rubikStorm,
        'Rubik Vinyl': GoogleFonts.rubikVinyl,
        'Rubik Wet Paint': GoogleFonts.rubikWetPaint,
        'Ruda': GoogleFonts.ruda,
        'Rufina': GoogleFonts.rufina,
        'Ruge Boogie': GoogleFonts.rugeBoogie,
        'Ruluko': GoogleFonts.ruluko,
        'Rum Raisin': GoogleFonts.rumRaisin,
        'Ruslan Display': GoogleFonts.ruslanDisplay,
        'Russo One': GoogleFonts.russoOne,
        'Ruthie': GoogleFonts.ruthie,
        'Rye': GoogleFonts.rye,
        'STIX Two Text': GoogleFonts.stixTwoText,
        'Sacramento': GoogleFonts.sacramento,
        'Sahitya': GoogleFonts.sahitya,
        'Sail': GoogleFonts.sail,
        'Saira': GoogleFonts.saira,
        'Saira Condensed': GoogleFonts.sairaCondensed,
        'Saira Extra Condensed': GoogleFonts.sairaExtraCondensed,
        'Saira Semi Condensed': GoogleFonts.sairaSemiCondensed,
        'Saira Stencil One': GoogleFonts.sairaStencilOne,
        'Salsa': GoogleFonts.salsa,
        'Sanchez': GoogleFonts.sanchez,
        'Sancreek': GoogleFonts.sancreek,
        'Sansita': GoogleFonts.sansita,
        'Sansita Swashed': GoogleFonts.sansitaSwashed,
        'Sarabun': GoogleFonts.sarabun,
        'Sarala': GoogleFonts.sarala,
        'Sarina': GoogleFonts.sarina,
        'Sarpanch': GoogleFonts.sarpanch,
        'Sassy Frass': GoogleFonts.sassyFrass,
        'Satisfy': GoogleFonts.satisfy,
        'Sawarabi Gothic': GoogleFonts.sawarabiGothic,
        'Sawarabi Mincho': GoogleFonts.sawarabiMincho,
        'Scada': GoogleFonts.scada,
        'Scheherazade New': GoogleFonts.scheherazadeNew,
        'Schibsted Grotesk': GoogleFonts.schibstedGrotesk,
        'Schoolbell': GoogleFonts.schoolbell,
        'Scope One': GoogleFonts.scopeOne,
        'Seaweed Script': GoogleFonts.seaweedScript,
        'Secular One': GoogleFonts.secularOne,
        'Sedgwick Ave': GoogleFonts.sedgwickAve,
        'Sedgwick Ave Display': GoogleFonts.sedgwickAveDisplay,
        'Sen': GoogleFonts.sen,
        'Send Flowers': GoogleFonts.sendFlowers,
        'Sevillana': GoogleFonts.sevillana,
        'Seymour One': GoogleFonts.seymourOne,
        'Shadows Into Light': GoogleFonts.shadowsIntoLight,
        'Shadows Into Light Two': GoogleFonts.shadowsIntoLightTwo,
        'Shalimar': GoogleFonts.shalimar,
        'Shantell Sans': GoogleFonts.shantellSans,
        'Shanti': GoogleFonts.shanti,
        'Share': GoogleFonts.share,
        'Share Tech': GoogleFonts.shareTech,
        'Share Tech Mono': GoogleFonts.shareTechMono,
        'Shippori Antique': GoogleFonts.shipporiAntique,
        'Shippori Antique B1': GoogleFonts.shipporiAntiqueB1,
        'Shippori Mincho': GoogleFonts.shipporiMincho,
        'Shippori Mincho B1': GoogleFonts.shipporiMinchoB1,
        'Shojumaru': GoogleFonts.shojumaru,
        'Short Stack': GoogleFonts.shortStack,
        'Shrikhand': GoogleFonts.shrikhand,
        'Siemreap': GoogleFonts.siemreap,
        'Sigmar': GoogleFonts.sigmar,
        'Sigmar One': GoogleFonts.sigmarOne,
        'Signika': GoogleFonts.signika,
        'Signika Negative': GoogleFonts.signikaNegative,
        'Silkscreen': GoogleFonts.silkscreen,
        'Simonetta': GoogleFonts.simonetta,
        'Single Day': GoogleFonts.singleDay,
        'Sintony': GoogleFonts.sintony,
        'Sirin Stencil': GoogleFonts.sirinStencil,
        'Six Caps': GoogleFonts.sixCaps,
        'Skranji': GoogleFonts.skranji,
        'Slabo 13px': GoogleFonts.slabo13px,
        'Slabo 27px': GoogleFonts.slabo27px,
        'Slackey': GoogleFonts.slackey,
        'Smokum': GoogleFonts.smokum,
        'Smooch': GoogleFonts.smooch,
        'Smooch Sans': GoogleFonts.smoochSans,
        'Smythe': GoogleFonts.smythe,
        'Sniglet': GoogleFonts.sniglet,
        'Snippet': GoogleFonts.snippet,
        'Snowburst One': GoogleFonts.snowburstOne,
        'Sofadi One': GoogleFonts.sofadiOne,
        'Sofia': GoogleFonts.sofia,
        'Sofia Sans': GoogleFonts.sofiaSans,
        'Sofia Sans Condensed': GoogleFonts.sofiaSansCondensed,
        'Sofia Sans Extra Condensed': GoogleFonts.sofiaSansExtraCondensed,
        'Sofia Sans Semi Condensed': GoogleFonts.sofiaSansSemiCondensed,
        'Solitreo': GoogleFonts.solitreo,
        'Solway': GoogleFonts.solway,
        'Song Myung': GoogleFonts.songMyung,
        'Sono': GoogleFonts.sono,
        'Sonsie One': GoogleFonts.sonsieOne,
        'Sora': GoogleFonts.sora,
        'Sorts Mill Goudy': GoogleFonts.sortsMillGoudy,
        'Source Code Pro': GoogleFonts.sourceCodePro,
        'Source Sans 3': GoogleFonts.sourceSans3,
        'Source Sans Pro': GoogleFonts.sourceSansPro,
        'Source Serif 4': GoogleFonts.sourceSerif4,
        'Source Serif Pro': GoogleFonts.sourceSerifPro,
        'Space Grotesk': GoogleFonts.spaceGrotesk,
        'Space Mono': GoogleFonts.spaceMono,
        'Special Elite': GoogleFonts.specialElite,
        'Spectral': GoogleFonts.spectral,
        'Spectral SC': GoogleFonts.spectralSc,
        'Spicy Rice': GoogleFonts.spicyRice,
        'Spinnaker': GoogleFonts.spinnaker,
        'Spirax': GoogleFonts.spirax,
        'Splash': GoogleFonts.splash,
        'Spline Sans': GoogleFonts.splineSans,
        'Spline Sans Mono': GoogleFonts.splineSansMono,
        'Squada One': GoogleFonts.squadaOne,
        'Square Peg': GoogleFonts.squarePeg,
        'Sree Krushnadevaraya': GoogleFonts.sreeKrushnadevaraya,
        'Sriracha': GoogleFonts.sriracha,
        'Srisakdi': GoogleFonts.srisakdi,
        'Staatliches': GoogleFonts.staatliches,
        'Stalemate': GoogleFonts.stalemate,
        'Stalinist One': GoogleFonts.stalinistOne,
        'Stardos Stencil': GoogleFonts.stardosStencil,
        'Stick': GoogleFonts.stick,
        'Stick No Bills': GoogleFonts.stickNoBills,
        'Stint Ultra Condensed': GoogleFonts.stintUltraCondensed,
        'Stint Ultra Expanded': GoogleFonts.stintUltraExpanded,
        'Stoke': GoogleFonts.stoke,
        'Strait': GoogleFonts.strait,
        'Style Script': GoogleFonts.styleScript,
        'Stylish': GoogleFonts.stylish,
        'Sue Ellen Francisco': GoogleFonts.sueEllenFrancisco,
        'Suez One': GoogleFonts.suezOne,
        'Sulphur Point': GoogleFonts.sulphurPoint,
        'Sumana': GoogleFonts.sumana,
        'Sunflower': GoogleFonts.sunflower,
        'Sunshiney': GoogleFonts.sunshiney,
        'Supermercado One': GoogleFonts.supermercadoOne,
        'Sura': GoogleFonts.sura,
        'Suranna': GoogleFonts.suranna,
        'Suravaram': GoogleFonts.suravaram,
        'Suwannaphum': GoogleFonts.suwannaphum,
        'Swanky and Moo Moo': GoogleFonts.swankyAndMooMoo,
        'Syncopate': GoogleFonts.syncopate,
        'Syne': GoogleFonts.syne,
        'Syne Mono': GoogleFonts.syneMono,
        'Syne Tactile': GoogleFonts.syneTactile,
        'Tai Heritage Pro': GoogleFonts.taiHeritagePro,
        'Tajawal': GoogleFonts.tajawal,
        'Tangerine': GoogleFonts.tangerine,
        'Tapestry': GoogleFonts.tapestry,
        'Taprom': GoogleFonts.taprom,
        'Tauri': GoogleFonts.tauri,
        'Taviraj': GoogleFonts.taviraj,
        'Teko': GoogleFonts.teko,
        'Telex': GoogleFonts.telex,
        'Tenali Ramakrishna': GoogleFonts.tenaliRamakrishna,
        'Tenor Sans': GoogleFonts.tenorSans,
        'Text Me One': GoogleFonts.textMeOne,
        'Texturina': GoogleFonts.texturina,
        'Thasadith': GoogleFonts.thasadith,
        'The Girl Next Door': GoogleFonts.theGirlNextDoor,
        'The Nautigal': GoogleFonts.theNautigal,
        'Tienne': GoogleFonts.tienne,
        'Tillana': GoogleFonts.tillana,
        'Tilt Neon': GoogleFonts.tiltNeon,
        'Tilt Prism': GoogleFonts.tiltPrism,
        'Tilt Warp': GoogleFonts.tiltWarp,
        'Timmana': GoogleFonts.timmana,
        'Tinos': GoogleFonts.tinos,
        'Tiro Bangla': GoogleFonts.tiroBangla,
        'Tiro Devanagari Hindi': GoogleFonts.tiroDevanagariHindi,
        'Tiro Devanagari Marathi': GoogleFonts.tiroDevanagariMarathi,
        'Tiro Devanagari Sanskrit': GoogleFonts.tiroDevanagariSanskrit,
        'Tiro Gurmukhi': GoogleFonts.tiroGurmukhi,
        'Tiro Kannada': GoogleFonts.tiroKannada,
        'Tiro Tamil': GoogleFonts.tiroTamil,
        'Tiro Telugu': GoogleFonts.tiroTelugu,
        'Titan One': GoogleFonts.titanOne,
        'Titillium Web': GoogleFonts.titilliumWeb,
        'Tomorrow': GoogleFonts.tomorrow,
        'Tourney': GoogleFonts.tourney,
        'Trade Winds': GoogleFonts.tradeWinds,
        'Train One': GoogleFonts.trainOne,
        'Trirong': GoogleFonts.trirong,
        'Trispace': GoogleFonts.trispace,
        'Trocchi': GoogleFonts.trocchi,
        'Trochut': GoogleFonts.trochut,
        'Truculenta': GoogleFonts.truculenta,
        'Trykker': GoogleFonts.trykker,
        'Tulpen One': GoogleFonts.tulpenOne,
        'Turret Road': GoogleFonts.turretRoad,
        'Twinkle Star': GoogleFonts.twinkleStar,
        'Ubuntu': GoogleFonts.ubuntu,
        'Ubuntu Condensed': GoogleFonts.ubuntuCondensed,
        'Ubuntu Mono': GoogleFonts.ubuntuMono,
        'Uchen': GoogleFonts.uchen,
        'Ultra': GoogleFonts.ultra,
        'Unbounded': GoogleFonts.unbounded,
        'Uncial Antiqua': GoogleFonts.uncialAntiqua,
        'Underdog': GoogleFonts.underdog,
        'Unica One': GoogleFonts.unicaOne,
        'UnifrakturCook': GoogleFonts.unifrakturCook,
        'UnifrakturMaguntia': GoogleFonts.unifrakturMaguntia,
        'Unkempt': GoogleFonts.unkempt,
        'Unlock': GoogleFonts.unlock,
        'Unna': GoogleFonts.unna,
        'Updock': GoogleFonts.updock,
        'Urbanist': GoogleFonts.urbanist,
        'VT323': GoogleFonts.vt323,
        'Vampiro One': GoogleFonts.vampiroOne,
        'Varela': GoogleFonts.varela,
        'Varela Round': GoogleFonts.varelaRound,
        'Varta': GoogleFonts.varta,
        'Vast Shadow': GoogleFonts.vastShadow,
        'Vazirmatn': GoogleFonts.vazirmatn,
        'Vesper Libre': GoogleFonts.vesperLibre,
        'Viaoda Libre': GoogleFonts.viaodaLibre,
        'Vibes': GoogleFonts.vibes,
        'Vibur': GoogleFonts.vibur,
        'Vidaloka': GoogleFonts.vidaloka,
        'Viga': GoogleFonts.viga,
        'Vina Sans': GoogleFonts.vinaSans,
        'Voces': GoogleFonts.voces,
        'Volkhov': GoogleFonts.volkhov,
        'Vollkorn': GoogleFonts.vollkorn,
        'Vollkorn SC': GoogleFonts.vollkornSc,
        'Voltaire': GoogleFonts.voltaire,
        'Vujahday Script': GoogleFonts.vujahdayScript,
        'Waiting for the Sunrise': GoogleFonts.waitingForTheSunrise,
        'Wallpoet': GoogleFonts.wallpoet,
        'Walter Turncoat': GoogleFonts.walterTurncoat,
        'Warnes': GoogleFonts.warnes,
        'Water Brush': GoogleFonts.waterBrush,
        'Waterfall': GoogleFonts.waterfall,
        'Wellfleet': GoogleFonts.wellfleet,
        'Wendy One': GoogleFonts.wendyOne,
        'Whisper': GoogleFonts.whisper,
        'WindSong': GoogleFonts.windSong,
        'Wire One': GoogleFonts.wireOne,
        'Wix Madefor Display': GoogleFonts.wixMadeforDisplay,
        'Wix Madefor Text': GoogleFonts.wixMadeforText,
        'Work Sans': GoogleFonts.workSans,
        'Xanh Mono': GoogleFonts.xanhMono,
        'Yaldevi': GoogleFonts.yaldevi,
        'Yanone Kaffeesatz': GoogleFonts.yanoneKaffeesatz,
        'Yantramanav': GoogleFonts.yantramanav,
        'Yatra One': GoogleFonts.yatraOne,
        'Yellowtail': GoogleFonts.yellowtail,
        'Yeon Sung': GoogleFonts.yeonSung,
        'Yeseva One': GoogleFonts.yesevaOne,
        'Yesteryear': GoogleFonts.yesteryear,
        'Yomogi': GoogleFonts.yomogi,
        'Yrsa': GoogleFonts.yrsa,
        'Ysabeau': GoogleFonts.ysabeau,
        'Yuji Boku': GoogleFonts.yujiBoku,
        'Yuji Mai': GoogleFonts.yujiMai,
        'Yuji Syuku': GoogleFonts.yujiSyuku,
        'Yusei Magic': GoogleFonts.yuseiMagic,
        'ZCOOL KuaiLe': GoogleFonts.zcoolKuaiLe,
        'ZCOOL QingKe HuangYou': GoogleFonts.zcoolQingKeHuangYou,
        'ZCOOL XiaoWei': GoogleFonts.zcoolXiaoWei,
        'Zen Antique': GoogleFonts.zenAntique,
        'Zen Antique Soft': GoogleFonts.zenAntiqueSoft,
        'Zen Dots': GoogleFonts.zenDots,
        'Zen Kaku Gothic Antique': GoogleFonts.zenKakuGothicAntique,
        'Zen Kaku Gothic New': GoogleFonts.zenKakuGothicNew,
        'Zen Kurenaido': GoogleFonts.zenKurenaido,
        'Zen Loop': GoogleFonts.zenLoop,
        'Zen Maru Gothic': GoogleFonts.zenMaruGothic,
        'Zen Old Mincho': GoogleFonts.zenOldMincho,
        'Zen Tokyo Zoo': GoogleFonts.zenTokyoZoo,
        'Zeyada': GoogleFonts.zeyada,
        'Zhi Mang Xing': GoogleFonts.zhiMangXing,
        'Zilla Slab': GoogleFonts.zillaSlab,
        'Zilla Slab Highlight': GoogleFonts.zillaSlabHighlight,
      };

  /// Get a map of all available fonts and their associated text themes.
  ///
  /// Returns a map where the key is the name of the font family and the value
  /// is the corresponding [GoogleFonts] `TextTheme` method.
  static Map<String, TextTheme Function([TextTheme?])> _asMapOfTextThemes() =>
      const {
        'ABeeZee': GoogleFonts.aBeeZeeTextTheme,
        'Abel': GoogleFonts.abelTextTheme,
        'Abhaya Libre': GoogleFonts.abhayaLibreTextTheme,
        'Aboreto': GoogleFonts.aboretoTextTheme,
        'Abril Fatface': GoogleFonts.abrilFatfaceTextTheme,
        'Abyssinica SIL': GoogleFonts.abyssinicaSilTextTheme,
        'Aclonica': GoogleFonts.aclonicaTextTheme,
        'Acme': GoogleFonts.acmeTextTheme,
        'Actor': GoogleFonts.actorTextTheme,
        'Adamina': GoogleFonts.adaminaTextTheme,
        'Advent Pro': GoogleFonts.adventProTextTheme,
        'Aguafina Script': GoogleFonts.aguafinaScriptTextTheme,
        'Akaya Kanadaka': GoogleFonts.akayaKanadakaTextTheme,
        'Akaya Telivigala': GoogleFonts.akayaTelivigalaTextTheme,
        'Akronim': GoogleFonts.akronimTextTheme,
        'Akshar': GoogleFonts.aksharTextTheme,
        'Aladin': GoogleFonts.aladinTextTheme,
        'Alata': GoogleFonts.alataTextTheme,
        'Alatsi': GoogleFonts.alatsiTextTheme,
        'Albert Sans': GoogleFonts.albertSansTextTheme,
        'Aldrich': GoogleFonts.aldrichTextTheme,
        'Alef': GoogleFonts.alefTextTheme,
        'Alegreya': GoogleFonts.alegreyaTextTheme,
        'Alegreya SC': GoogleFonts.alegreyaScTextTheme,
        'Alegreya Sans': GoogleFonts.alegreyaSansTextTheme,
        'Alegreya Sans SC': GoogleFonts.alegreyaSansScTextTheme,
        'Aleo': GoogleFonts.aleoTextTheme,
        'Alex Brush': GoogleFonts.alexBrushTextTheme,
        'Alexandria': GoogleFonts.alexandriaTextTheme,
        'Alfa Slab One': GoogleFonts.alfaSlabOneTextTheme,
        'Alice': GoogleFonts.aliceTextTheme,
        'Alike': GoogleFonts.alikeTextTheme,
        'Alike Angular': GoogleFonts.alikeAngularTextTheme,
        'Alkalami': GoogleFonts.alkalamiTextTheme,
        'Alkatra': GoogleFonts.alkatraTextTheme,
        'Allan': GoogleFonts.allanTextTheme,
        'Allerta': GoogleFonts.allertaTextTheme,
        'Allerta Stencil': GoogleFonts.allertaStencilTextTheme,
        'Allison': GoogleFonts.allisonTextTheme,
        'Allura': GoogleFonts.alluraTextTheme,
        'Almarai': GoogleFonts.almaraiTextTheme,
        'Almendra': GoogleFonts.almendraTextTheme,
        'Almendra Display': GoogleFonts.almendraDisplayTextTheme,
        'Almendra SC': GoogleFonts.almendraScTextTheme,
        'Alumni Sans': GoogleFonts.alumniSansTextTheme,
        'Alumni Sans Collegiate One':
            GoogleFonts.alumniSansCollegiateOneTextTheme,
        'Alumni Sans Inline One': GoogleFonts.alumniSansInlineOneTextTheme,
        'Alumni Sans Pinstripe': GoogleFonts.alumniSansPinstripeTextTheme,
        'Amarante': GoogleFonts.amaranteTextTheme,
        'Amaranth': GoogleFonts.amaranthTextTheme,
        'Amatic SC': GoogleFonts.amaticScTextTheme,
        'Amethysta': GoogleFonts.amethystaTextTheme,
        'Amiko': GoogleFonts.amikoTextTheme,
        'Amiri': GoogleFonts.amiriTextTheme,
        'Amiri Quran': GoogleFonts.amiriQuranTextTheme,
        'Amita': GoogleFonts.amitaTextTheme,
        'Anaheim': GoogleFonts.anaheimTextTheme,
        'Andada Pro': GoogleFonts.andadaProTextTheme,
        'Andika': GoogleFonts.andikaTextTheme,
        'Anek Bangla': GoogleFonts.anekBanglaTextTheme,
        'Anek Devanagari': GoogleFonts.anekDevanagariTextTheme,
        'Anek Gujarati': GoogleFonts.anekGujaratiTextTheme,
        'Anek Gurmukhi': GoogleFonts.anekGurmukhiTextTheme,
        'Anek Kannada': GoogleFonts.anekKannadaTextTheme,
        'Anek Latin': GoogleFonts.anekLatinTextTheme,
        'Anek Malayalam': GoogleFonts.anekMalayalamTextTheme,
        'Anek Odia': GoogleFonts.anekOdiaTextTheme,
        'Anek Tamil': GoogleFonts.anekTamilTextTheme,
        'Anek Telugu': GoogleFonts.anekTeluguTextTheme,
        'Angkor': GoogleFonts.angkorTextTheme,
        'Annie Use Your Telescope': GoogleFonts.annieUseYourTelescopeTextTheme,
        'Anonymous Pro': GoogleFonts.anonymousProTextTheme,
        'Antic': GoogleFonts.anticTextTheme,
        'Antic Didone': GoogleFonts.anticDidoneTextTheme,
        'Antic Slab': GoogleFonts.anticSlabTextTheme,
        'Anton': GoogleFonts.antonTextTheme,
        'Antonio': GoogleFonts.antonioTextTheme,
        'Anuphan': GoogleFonts.anuphanTextTheme,
        'Anybody': GoogleFonts.anybodyTextTheme,
        'Arapey': GoogleFonts.arapeyTextTheme,
        'Arbutus': GoogleFonts.arbutusTextTheme,
        'Arbutus Slab': GoogleFonts.arbutusSlabTextTheme,
        'Architects Daughter': GoogleFonts.architectsDaughterTextTheme,
        'Archivo': GoogleFonts.archivoTextTheme,
        'Archivo Black': GoogleFonts.archivoBlackTextTheme,
        'Archivo Narrow': GoogleFonts.archivoNarrowTextTheme,
        'Are You Serious': GoogleFonts.areYouSeriousTextTheme,
        'Aref Ruqaa': GoogleFonts.arefRuqaaTextTheme,
        'Aref Ruqaa Ink': GoogleFonts.arefRuqaaInkTextTheme,
        'Arima': GoogleFonts.arimaTextTheme,
        'Arimo': GoogleFonts.arimoTextTheme,
        'Arizonia': GoogleFonts.arizoniaTextTheme,
        'Armata': GoogleFonts.armataTextTheme,
        'Arsenal': GoogleFonts.arsenalTextTheme,
        'Artifika': GoogleFonts.artifikaTextTheme,
        'Arvo': GoogleFonts.arvoTextTheme,
        'Arya': GoogleFonts.aryaTextTheme,
        'Asap': GoogleFonts.asapTextTheme,
        'Asap Condensed': GoogleFonts.asapCondensedTextTheme,
        'Asar': GoogleFonts.asarTextTheme,
        'Asset': GoogleFonts.assetTextTheme,
        'Assistant': GoogleFonts.assistantTextTheme,
        'Astloch': GoogleFonts.astlochTextTheme,
        'Asul': GoogleFonts.asulTextTheme,
        'Athiti': GoogleFonts.athitiTextTheme,
        'Atkinson Hyperlegible': GoogleFonts.atkinsonHyperlegibleTextTheme,
        'Atma': GoogleFonts.atmaTextTheme,
        'Atomic Age': GoogleFonts.atomicAgeTextTheme,
        'Aubrey': GoogleFonts.aubreyTextTheme,
        'Audiowide': GoogleFonts.audiowideTextTheme,
        'Autour One': GoogleFonts.autourOneTextTheme,
        'Average': GoogleFonts.averageTextTheme,
        'Average Sans': GoogleFonts.averageSansTextTheme,
        'Averia Gruesa Libre': GoogleFonts.averiaGruesaLibreTextTheme,
        'Averia Libre': GoogleFonts.averiaLibreTextTheme,
        'Averia Sans Libre': GoogleFonts.averiaSansLibreTextTheme,
        'Averia Serif Libre': GoogleFonts.averiaSerifLibreTextTheme,
        'Azeret Mono': GoogleFonts.azeretMonoTextTheme,
        'B612': GoogleFonts.b612TextTheme,
        'B612 Mono': GoogleFonts.b612MonoTextTheme,
        'BIZ UDGothic': GoogleFonts.bizUDGothicTextTheme,
        'BIZ UDMincho': GoogleFonts.bizUDMinchoTextTheme,
        'BIZ UDPGothic': GoogleFonts.bizUDPGothicTextTheme,
        'BIZ UDPMincho': GoogleFonts.bizUDPMinchoTextTheme,
        'Babylonica': GoogleFonts.babylonicaTextTheme,
        'Bad Script': GoogleFonts.badScriptTextTheme,
        'Bahiana': GoogleFonts.bahianaTextTheme,
        'Bahianita': GoogleFonts.bahianitaTextTheme,
        'Bai Jamjuree': GoogleFonts.baiJamjureeTextTheme,
        'Bakbak One': GoogleFonts.bakbakOneTextTheme,
        'Ballet': GoogleFonts.balletTextTheme,
        'Baloo 2': GoogleFonts.baloo2TextTheme,
        'Baloo Bhai 2': GoogleFonts.balooBhai2TextTheme,
        'Baloo Bhaijaan 2': GoogleFonts.balooBhaijaan2TextTheme,
        'Baloo Bhaina 2': GoogleFonts.balooBhaina2TextTheme,
        'Baloo Chettan 2': GoogleFonts.balooChettan2TextTheme,
        'Baloo Da 2': GoogleFonts.balooDa2TextTheme,
        'Baloo Paaji 2': GoogleFonts.balooPaaji2TextTheme,
        'Baloo Tamma 2': GoogleFonts.balooTamma2TextTheme,
        'Baloo Tammudu 2': GoogleFonts.balooTammudu2TextTheme,
        'Baloo Thambi 2': GoogleFonts.balooThambi2TextTheme,
        'Balsamiq Sans': GoogleFonts.balsamiqSansTextTheme,
        'Balthazar': GoogleFonts.balthazarTextTheme,
        'Bangers': GoogleFonts.bangersTextTheme,
        'Barlow': GoogleFonts.barlowTextTheme,
        'Barlow Condensed': GoogleFonts.barlowCondensedTextTheme,
        'Barlow Semi Condensed': GoogleFonts.barlowSemiCondensedTextTheme,
        'Barriecito': GoogleFonts.barriecitoTextTheme,
        'Barrio': GoogleFonts.barrioTextTheme,
        'Basic': GoogleFonts.basicTextTheme,
        'Baskervville': GoogleFonts.baskervvilleTextTheme,
        'Battambang': GoogleFonts.battambangTextTheme,
        'Baumans': GoogleFonts.baumansTextTheme,
        'Bayon': GoogleFonts.bayonTextTheme,
        'Be Vietnam Pro': GoogleFonts.beVietnamProTextTheme,
        'Beau Rivage': GoogleFonts.beauRivageTextTheme,
        'Bebas Neue': GoogleFonts.bebasNeueTextTheme,
        'Belgrano': GoogleFonts.belgranoTextTheme,
        'Bellefair': GoogleFonts.bellefairTextTheme,
        'Belleza': GoogleFonts.bellezaTextTheme,
        'Bellota': GoogleFonts.bellotaTextTheme,
        'Bellota Text': GoogleFonts.bellotaTextTextTheme,
        'BenchNine': GoogleFonts.benchNineTextTheme,
        'Benne': GoogleFonts.benneTextTheme,
        'Bentham': GoogleFonts.benthamTextTheme,
        'Berkshire Swash': GoogleFonts.berkshireSwashTextTheme,
        'Besley': GoogleFonts.besleyTextTheme,
        'Beth Ellen': GoogleFonts.bethEllenTextTheme,
        'Bevan': GoogleFonts.bevanTextTheme,
        'BhuTuka Expanded One': GoogleFonts.bhuTukaExpandedOneTextTheme,
        'Big Shoulders Display': GoogleFonts.bigShouldersDisplayTextTheme,
        'Big Shoulders Inline Display':
            GoogleFonts.bigShouldersInlineDisplayTextTheme,
        'Big Shoulders Inline Text':
            GoogleFonts.bigShouldersInlineTextTextTheme,
        'Big Shoulders Stencil Display':
            GoogleFonts.bigShouldersStencilDisplayTextTheme,
        'Big Shoulders Stencil Text':
            GoogleFonts.bigShouldersStencilTextTextTheme,
        'Big Shoulders Text': GoogleFonts.bigShouldersTextTextTheme,
        'Bigelow Rules': GoogleFonts.bigelowRulesTextTheme,
        'Bigshot One': GoogleFonts.bigshotOneTextTheme,
        'Bilbo': GoogleFonts.bilboTextTheme,
        'Bilbo Swash Caps': GoogleFonts.bilboSwashCapsTextTheme,
        'BioRhyme': GoogleFonts.bioRhymeTextTheme,
        'BioRhyme Expanded': GoogleFonts.bioRhymeExpandedTextTheme,
        'Birthstone': GoogleFonts.birthstoneTextTheme,
        'Birthstone Bounce': GoogleFonts.birthstoneBounceTextTheme,
        'Biryani': GoogleFonts.biryaniTextTheme,
        'Bitter': GoogleFonts.bitterTextTheme,
        'Black And White Picture': GoogleFonts.blackAndWhitePictureTextTheme,
        'Black Han Sans': GoogleFonts.blackHanSansTextTheme,
        'Black Ops One': GoogleFonts.blackOpsOneTextTheme,
        'Blaka': GoogleFonts.blakaTextTheme,
        'Blaka Hollow': GoogleFonts.blakaHollowTextTheme,
        'Blaka Ink': GoogleFonts.blakaInkTextTheme,
        'Blinker': GoogleFonts.blinkerTextTheme,
        'Bodoni Moda': GoogleFonts.bodoniModaTextTheme,
        'Bokor': GoogleFonts.bokorTextTheme,
        'Bona Nova': GoogleFonts.bonaNovaTextTheme,
        'Bonbon': GoogleFonts.bonbonTextTheme,
        'Bonheur Royale': GoogleFonts.bonheurRoyaleTextTheme,
        'Boogaloo': GoogleFonts.boogalooTextTheme,
        'Bowlby One': GoogleFonts.bowlbyOneTextTheme,
        'Bowlby One SC': GoogleFonts.bowlbyOneScTextTheme,
        'Braah One': GoogleFonts.braahOneTextTheme,
        'Brawler': GoogleFonts.brawlerTextTheme,
        'Bree Serif': GoogleFonts.breeSerifTextTheme,
        'Bruno Ace': GoogleFonts.brunoAceTextTheme,
        'Bruno Ace SC': GoogleFonts.brunoAceScTextTheme,
        'Brygada 1918': GoogleFonts.brygada1918TextTheme,
        'Bubblegum Sans': GoogleFonts.bubblegumSansTextTheme,
        'Bubbler One': GoogleFonts.bubblerOneTextTheme,
        'Buda': GoogleFonts.budaTextTheme,
        'Buenard': GoogleFonts.buenardTextTheme,
        'Bungee': GoogleFonts.bungeeTextTheme,
        'Bungee Hairline': GoogleFonts.bungeeHairlineTextTheme,
        'Bungee Inline': GoogleFonts.bungeeInlineTextTheme,
        'Bungee Outline': GoogleFonts.bungeeOutlineTextTheme,
        'Bungee Shade': GoogleFonts.bungeeShadeTextTheme,
        'Bungee Spice': GoogleFonts.bungeeSpiceTextTheme,
        'Butcherman': GoogleFonts.butchermanTextTheme,
        'Butterfly Kids': GoogleFonts.butterflyKidsTextTheme,
        'Cabin': GoogleFonts.cabinTextTheme,
        'Cabin Condensed': GoogleFonts.cabinCondensedTextTheme,
        'Cabin Sketch': GoogleFonts.cabinSketchTextTheme,
        'Caesar Dressing': GoogleFonts.caesarDressingTextTheme,
        'Cagliostro': GoogleFonts.cagliostroTextTheme,
        'Cairo': GoogleFonts.cairoTextTheme,
        'Cairo Play': GoogleFonts.cairoPlayTextTheme,
        'Caladea': GoogleFonts.caladeaTextTheme,
        'Calistoga': GoogleFonts.calistogaTextTheme,
        'Calligraffitti': GoogleFonts.calligraffittiTextTheme,
        'Cambay': GoogleFonts.cambayTextTheme,
        'Cambo': GoogleFonts.camboTextTheme,
        'Candal': GoogleFonts.candalTextTheme,
        'Cantarell': GoogleFonts.cantarellTextTheme,
        'Cantata One': GoogleFonts.cantataOneTextTheme,
        'Cantora One': GoogleFonts.cantoraOneTextTheme,
        'Capriola': GoogleFonts.capriolaTextTheme,
        'Caramel': GoogleFonts.caramelTextTheme,
        'Carattere': GoogleFonts.carattereTextTheme,
        'Cardo': GoogleFonts.cardoTextTheme,
        'Carlito': GoogleFonts.carlitoTextTheme,
        'Carme': GoogleFonts.carmeTextTheme,
        'Carrois Gothic': GoogleFonts.carroisGothicTextTheme,
        'Carrois Gothic SC': GoogleFonts.carroisGothicScTextTheme,
        'Carter One': GoogleFonts.carterOneTextTheme,
        'Castoro': GoogleFonts.castoroTextTheme,
        'Castoro Titling': GoogleFonts.castoroTitlingTextTheme,
        'Catamaran': GoogleFonts.catamaranTextTheme,
        'Caudex': GoogleFonts.caudexTextTheme,
        'Caveat': GoogleFonts.caveatTextTheme,
        'Caveat Brush': GoogleFonts.caveatBrushTextTheme,
        'Cedarville Cursive': GoogleFonts.cedarvilleCursiveTextTheme,
        'Ceviche One': GoogleFonts.cevicheOneTextTheme,
        'Chakra Petch': GoogleFonts.chakraPetchTextTheme,
        'Changa': GoogleFonts.changaTextTheme,
        'Changa One': GoogleFonts.changaOneTextTheme,
        'Chango': GoogleFonts.changoTextTheme,
        'Charis SIL': GoogleFonts.charisSilTextTheme,
        'Charm': GoogleFonts.charmTextTheme,
        'Charmonman': GoogleFonts.charmonmanTextTheme,
        'Chathura': GoogleFonts.chathuraTextTheme,
        'Chau Philomene One': GoogleFonts.chauPhilomeneOneTextTheme,
        'Chela One': GoogleFonts.chelaOneTextTheme,
        'Chelsea Market': GoogleFonts.chelseaMarketTextTheme,
        'Chenla': GoogleFonts.chenlaTextTheme,
        'Cherish': GoogleFonts.cherishTextTheme,
        'Cherry Cream Soda': GoogleFonts.cherryCreamSodaTextTheme,
        'Cherry Swash': GoogleFonts.cherrySwashTextTheme,
        'Chewy': GoogleFonts.chewyTextTheme,
        'Chicle': GoogleFonts.chicleTextTheme,
        'Chilanka': GoogleFonts.chilankaTextTheme,
        'Chivo': GoogleFonts.chivoTextTheme,
        'Chivo Mono': GoogleFonts.chivoMonoTextTheme,
        'Chonburi': GoogleFonts.chonburiTextTheme,
        'Cinzel': GoogleFonts.cinzelTextTheme,
        'Cinzel Decorative': GoogleFonts.cinzelDecorativeTextTheme,
        'Clicker Script': GoogleFonts.clickerScriptTextTheme,
        'Climate Crisis': GoogleFonts.climateCrisisTextTheme,
        'Coda': GoogleFonts.codaTextTheme,
        'Coda Caption': GoogleFonts.codaCaptionTextTheme,
        'Codystar': GoogleFonts.codystarTextTheme,
        'Coiny': GoogleFonts.coinyTextTheme,
        'Combo': GoogleFonts.comboTextTheme,
        'Comfortaa': GoogleFonts.comfortaaTextTheme,
        'Comforter': GoogleFonts.comforterTextTheme,
        'Comforter Brush': GoogleFonts.comforterBrushTextTheme,
        'Comic Neue': GoogleFonts.comicNeueTextTheme,
        'Coming Soon': GoogleFonts.comingSoonTextTheme,
        'Comme': GoogleFonts.commeTextTheme,
        'Commissioner': GoogleFonts.commissionerTextTheme,
        'Concert One': GoogleFonts.concertOneTextTheme,
        'Condiment': GoogleFonts.condimentTextTheme,
        'Content': GoogleFonts.contentTextTheme,
        'Contrail One': GoogleFonts.contrailOneTextTheme,
        'Convergence': GoogleFonts.convergenceTextTheme,
        'Cookie': GoogleFonts.cookieTextTheme,
        'Copse': GoogleFonts.copseTextTheme,
        'Corben': GoogleFonts.corbenTextTheme,
        'Corinthia': GoogleFonts.corinthiaTextTheme,
        'Cormorant': GoogleFonts.cormorantTextTheme,
        'Cormorant Garamond': GoogleFonts.cormorantGaramondTextTheme,
        'Cormorant Infant': GoogleFonts.cormorantInfantTextTheme,
        'Cormorant SC': GoogleFonts.cormorantScTextTheme,
        'Cormorant Unicase': GoogleFonts.cormorantUnicaseTextTheme,
        'Cormorant Upright': GoogleFonts.cormorantUprightTextTheme,
        'Courgette': GoogleFonts.courgetteTextTheme,
        'Courier Prime': GoogleFonts.courierPrimeTextTheme,
        'Cousine': GoogleFonts.cousineTextTheme,
        'Coustard': GoogleFonts.coustardTextTheme,
        'Covered By Your Grace': GoogleFonts.coveredByYourGraceTextTheme,
        'Crafty Girls': GoogleFonts.craftyGirlsTextTheme,
        'Creepster': GoogleFonts.creepsterTextTheme,
        'Crete Round': GoogleFonts.creteRoundTextTheme,
        'Crimson Pro': GoogleFonts.crimsonProTextTheme,
        'Crimson Text': GoogleFonts.crimsonTextTextTheme,
        'Croissant One': GoogleFonts.croissantOneTextTheme,
        'Crushed': GoogleFonts.crushedTextTheme,
        'Cuprum': GoogleFonts.cuprumTextTheme,
        'Cute Font': GoogleFonts.cuteFontTextTheme,
        'Cutive': GoogleFonts.cutiveTextTheme,
        'Cutive Mono': GoogleFonts.cutiveMonoTextTheme,
        'DM Mono': GoogleFonts.dmMonoTextTheme,
        'DM Sans': GoogleFonts.dmSansTextTheme,
        'DM Serif Display': GoogleFonts.dmSerifDisplayTextTheme,
        'DM Serif Text': GoogleFonts.dmSerifTextTextTheme,
        'Damion': GoogleFonts.damionTextTheme,
        'Dancing Script': GoogleFonts.dancingScriptTextTheme,
        'Dangrek': GoogleFonts.dangrekTextTheme,
        'Darker Grotesque': GoogleFonts.darkerGrotesqueTextTheme,
        'Darumadrop One': GoogleFonts.darumadropOneTextTheme,
        'David Libre': GoogleFonts.davidLibreTextTheme,
        'Dawning of a New Day': GoogleFonts.dawningOfANewDayTextTheme,
        'Days One': GoogleFonts.daysOneTextTheme,
        'Dekko': GoogleFonts.dekkoTextTheme,
        'Dela Gothic One': GoogleFonts.delaGothicOneTextTheme,
        'Delicious Handrawn': GoogleFonts.deliciousHandrawnTextTheme,
        'Delius': GoogleFonts.deliusTextTheme,
        'Delius Swash Caps': GoogleFonts.deliusSwashCapsTextTheme,
        'Delius Unicase': GoogleFonts.deliusUnicaseTextTheme,
        'Della Respira': GoogleFonts.dellaRespiraTextTheme,
        'Denk One': GoogleFonts.denkOneTextTheme,
        'Devonshire': GoogleFonts.devonshireTextTheme,
        'Dhurjati': GoogleFonts.dhurjatiTextTheme,
        'Didact Gothic': GoogleFonts.didactGothicTextTheme,
        'Diplomata': GoogleFonts.diplomataTextTheme,
        'Diplomata SC': GoogleFonts.diplomataScTextTheme,
        'Do Hyeon': GoogleFonts.doHyeonTextTheme,
        'Dokdo': GoogleFonts.dokdoTextTheme,
        'Domine': GoogleFonts.domineTextTheme,
        'Donegal One': GoogleFonts.donegalOneTextTheme,
        'Dongle': GoogleFonts.dongleTextTheme,
        'Doppio One': GoogleFonts.doppioOneTextTheme,
        'Dorsa': GoogleFonts.dorsaTextTheme,
        'Dosis': GoogleFonts.dosisTextTheme,
        'DotGothic16': GoogleFonts.dotGothic16TextTheme,
        'Dr Sugiyama': GoogleFonts.drSugiyamaTextTheme,
        'Duru Sans': GoogleFonts.duruSansTextTheme,
        'DynaPuff': GoogleFonts.dynaPuffTextTheme,
        'Dynalight': GoogleFonts.dynalightTextTheme,
        'EB Garamond': GoogleFonts.ebGaramondTextTheme,
        'Eagle Lake': GoogleFonts.eagleLakeTextTheme,
        'East Sea Dokdo': GoogleFonts.eastSeaDokdoTextTheme,
        'Eater': GoogleFonts.eaterTextTheme,
        'Economica': GoogleFonts.economicaTextTheme,
        'Eczar': GoogleFonts.eczarTextTheme,
        'Edu NSW ACT Foundation': GoogleFonts.eduNswActFoundationTextTheme,
        'Edu QLD Beginner': GoogleFonts.eduQldBeginnerTextTheme,
        'Edu SA Beginner': GoogleFonts.eduSaBeginnerTextTheme,
        'Edu TAS Beginner': GoogleFonts.eduTasBeginnerTextTheme,
        'Edu VIC WA NT Beginner': GoogleFonts.eduVicWaNtBeginnerTextTheme,
        'El Messiri': GoogleFonts.elMessiriTextTheme,
        'Electrolize': GoogleFonts.electrolizeTextTheme,
        'Elsie': GoogleFonts.elsieTextTheme,
        'Elsie Swash Caps': GoogleFonts.elsieSwashCapsTextTheme,
        'Emblema One': GoogleFonts.emblemaOneTextTheme,
        'Emilys Candy': GoogleFonts.emilysCandyTextTheme,
        'Encode Sans': GoogleFonts.encodeSansTextTheme,
        'Encode Sans Condensed': GoogleFonts.encodeSansCondensedTextTheme,
        'Encode Sans Expanded': GoogleFonts.encodeSansExpandedTextTheme,
        'Encode Sans SC': GoogleFonts.encodeSansScTextTheme,
        'Encode Sans Semi Condensed':
            GoogleFonts.encodeSansSemiCondensedTextTheme,
        'Encode Sans Semi Expanded':
            GoogleFonts.encodeSansSemiExpandedTextTheme,
        'Engagement': GoogleFonts.engagementTextTheme,
        'Englebert': GoogleFonts.englebertTextTheme,
        'Enriqueta': GoogleFonts.enriquetaTextTheme,
        'Ephesis': GoogleFonts.ephesisTextTheme,
        'Epilogue': GoogleFonts.epilogueTextTheme,
        'Erica One': GoogleFonts.ericaOneTextTheme,
        'Esteban': GoogleFonts.estebanTextTheme,
        'Estonia': GoogleFonts.estoniaTextTheme,
        'Euphoria Script': GoogleFonts.euphoriaScriptTextTheme,
        'Ewert': GoogleFonts.ewertTextTheme,
        'Exo': GoogleFonts.exoTextTheme,
        'Exo 2': GoogleFonts.exo2TextTheme,
        'Expletus Sans': GoogleFonts.expletusSansTextTheme,
        'Explora': GoogleFonts.exploraTextTheme,
        'Fahkwang': GoogleFonts.fahkwangTextTheme,
        'Familjen Grotesk': GoogleFonts.familjenGroteskTextTheme,
        'Fanwood Text': GoogleFonts.fanwoodTextTextTheme,
        'Farro': GoogleFonts.farroTextTheme,
        'Farsan': GoogleFonts.farsanTextTheme,
        'Fascinate': GoogleFonts.fascinateTextTheme,
        'Fascinate Inline': GoogleFonts.fascinateInlineTextTheme,
        'Faster One': GoogleFonts.fasterOneTextTheme,
        'Fasthand': GoogleFonts.fasthandTextTheme,
        'Fauna One': GoogleFonts.faunaOneTextTheme,
        'Faustina': GoogleFonts.faustinaTextTheme,
        'Federant': GoogleFonts.federantTextTheme,
        'Federo': GoogleFonts.federoTextTheme,
        'Felipa': GoogleFonts.felipaTextTheme,
        'Fenix': GoogleFonts.fenixTextTheme,
        'Festive': GoogleFonts.festiveTextTheme,
        'Figtree': GoogleFonts.figtreeTextTheme,
        'Finger Paint': GoogleFonts.fingerPaintTextTheme,
        'Finlandica': GoogleFonts.finlandicaTextTheme,
        'Fira Code': GoogleFonts.firaCodeTextTheme,
        'Fira Mono': GoogleFonts.firaMonoTextTheme,
        'Fira Sans': GoogleFonts.firaSansTextTheme,
        'Fira Sans Condensed': GoogleFonts.firaSansCondensedTextTheme,
        'Fira Sans Extra Condensed':
            GoogleFonts.firaSansExtraCondensedTextTheme,
        'Fjalla One': GoogleFonts.fjallaOneTextTheme,
        'Fjord One': GoogleFonts.fjordOneTextTheme,
        'Flamenco': GoogleFonts.flamencoTextTheme,
        'Flavors': GoogleFonts.flavorsTextTheme,
        'Fleur De Leah': GoogleFonts.fleurDeLeahTextTheme,
        'Flow Block': GoogleFonts.flowBlockTextTheme,
        'Flow Circular': GoogleFonts.flowCircularTextTheme,
        'Flow Rounded': GoogleFonts.flowRoundedTextTheme,
        'Foldit': GoogleFonts.folditTextTheme,
        'Fondamento': GoogleFonts.fondamentoTextTheme,
        'Fontdiner Swanky': GoogleFonts.fontdinerSwankyTextTheme,
        'Forum': GoogleFonts.forumTextTheme,
        'Fragment Mono': GoogleFonts.fragmentMonoTextTheme,
        'Francois One': GoogleFonts.francoisOneTextTheme,
        'Frank Ruhl Libre': GoogleFonts.frankRuhlLibreTextTheme,
        'Fraunces': GoogleFonts.frauncesTextTheme,
        'Freckle Face': GoogleFonts.freckleFaceTextTheme,
        'Fredericka the Great': GoogleFonts.frederickaTheGreatTextTheme,
        'Fredoka': GoogleFonts.fredokaTextTheme,
        'Freehand': GoogleFonts.freehandTextTheme,
        'Fresca': GoogleFonts.frescaTextTheme,
        'Frijole': GoogleFonts.frijoleTextTheme,
        'Fruktur': GoogleFonts.frukturTextTheme,
        'Fugaz One': GoogleFonts.fugazOneTextTheme,
        'Fuggles': GoogleFonts.fugglesTextTheme,
        'Fuzzy Bubbles': GoogleFonts.fuzzyBubblesTextTheme,
        'GFS Didot': GoogleFonts.gfsDidotTextTheme,
        'GFS Neohellenic': GoogleFonts.gfsNeohellenicTextTheme,
        'Gabriela': GoogleFonts.gabrielaTextTheme,
        'Gaegu': GoogleFonts.gaeguTextTheme,
        'Gafata': GoogleFonts.gafataTextTheme,
        'Gajraj One': GoogleFonts.gajrajOneTextTheme,
        'Galada': GoogleFonts.galadaTextTheme,
        'Galdeano': GoogleFonts.galdeanoTextTheme,
        'Galindo': GoogleFonts.galindoTextTheme,
        'Gamja Flower': GoogleFonts.gamjaFlowerTextTheme,
        'Gantari': GoogleFonts.gantariTextTheme,
        'Gayathri': GoogleFonts.gayathriTextTheme,
        'Gelasio': GoogleFonts.gelasioTextTheme,
        'Gemunu Libre': GoogleFonts.gemunuLibreTextTheme,
        'Genos': GoogleFonts.genosTextTheme,
        'Gentium Book Plus': GoogleFonts.gentiumBookPlusTextTheme,
        'Gentium Plus': GoogleFonts.gentiumPlusTextTheme,
        'Geo': GoogleFonts.geoTextTheme,
        'Georama': GoogleFonts.georamaTextTheme,
        'Geostar': GoogleFonts.geostarTextTheme,
        'Geostar Fill': GoogleFonts.geostarFillTextTheme,
        'Germania One': GoogleFonts.germaniaOneTextTheme,
        'Gideon Roman': GoogleFonts.gideonRomanTextTheme,
        'Gidugu': GoogleFonts.giduguTextTheme,
        'Gilda Display': GoogleFonts.gildaDisplayTextTheme,
        'Girassol': GoogleFonts.girassolTextTheme,
        'Give You Glory': GoogleFonts.giveYouGloryTextTheme,
        'Glass Antiqua': GoogleFonts.glassAntiquaTextTheme,
        'Glegoo': GoogleFonts.glegooTextTheme,
        'Gloock': GoogleFonts.gloockTextTheme,
        'Gloria Hallelujah': GoogleFonts.gloriaHallelujahTextTheme,
        'Glory': GoogleFonts.gloryTextTheme,
        'Gluten': GoogleFonts.glutenTextTheme,
        'Goblin One': GoogleFonts.goblinOneTextTheme,
        'Gochi Hand': GoogleFonts.gochiHandTextTheme,
        'Goldman': GoogleFonts.goldmanTextTheme,
        'Golos Text': GoogleFonts.golosTextTextTheme,
        'Gorditas': GoogleFonts.gorditasTextTheme,
        'Gothic A1': GoogleFonts.gothicA1TextTheme,
        'Gotu': GoogleFonts.gotuTextTheme,
        'Goudy Bookletter 1911': GoogleFonts.goudyBookletter1911TextTheme,
        'Gowun Batang': GoogleFonts.gowunBatangTextTheme,
        'Gowun Dodum': GoogleFonts.gowunDodumTextTheme,
        'Graduate': GoogleFonts.graduateTextTheme,
        'Grand Hotel': GoogleFonts.grandHotelTextTheme,
        'Grandstander': GoogleFonts.grandstanderTextTheme,
        'Grape Nuts': GoogleFonts.grapeNutsTextTheme,
        'Gravitas One': GoogleFonts.gravitasOneTextTheme,
        'Great Vibes': GoogleFonts.greatVibesTextTheme,
        'Grechen Fuemen': GoogleFonts.grechenFuemenTextTheme,
        'Grenze': GoogleFonts.grenzeTextTheme,
        'Grenze Gotisch': GoogleFonts.grenzeGotischTextTheme,
        'Grey Qo': GoogleFonts.greyQoTextTheme,
        'Griffy': GoogleFonts.griffyTextTheme,
        'Gruppo': GoogleFonts.gruppoTextTheme,
        'Gudea': GoogleFonts.gudeaTextTheme,
        'Gugi': GoogleFonts.gugiTextTheme,
        'Gulzar': GoogleFonts.gulzarTextTheme,
        'Gupter': GoogleFonts.gupterTextTheme,
        'Gurajada': GoogleFonts.gurajadaTextTheme,
        'Gwendolyn': GoogleFonts.gwendolynTextTheme,
        'Habibi': GoogleFonts.habibiTextTheme,
        'Hachi Maru Pop': GoogleFonts.hachiMaruPopTextTheme,
        'Hahmlet': GoogleFonts.hahmletTextTheme,
        'Halant': GoogleFonts.halantTextTheme,
        'Hammersmith One': GoogleFonts.hammersmithOneTextTheme,
        'Hanalei': GoogleFonts.hanaleiTextTheme,
        'Hanalei Fill': GoogleFonts.hanaleiFillTextTheme,
        'Handlee': GoogleFonts.handleeTextTheme,
        'Hanken Grotesk': GoogleFonts.hankenGroteskTextTheme,
        'Hanuman': GoogleFonts.hanumanTextTheme,
        'Happy Monkey': GoogleFonts.happyMonkeyTextTheme,
        'Harmattan': GoogleFonts.harmattanTextTheme,
        'Headland One': GoogleFonts.headlandOneTextTheme,
        'Heebo': GoogleFonts.heeboTextTheme,
        'Henny Penny': GoogleFonts.hennyPennyTextTheme,
        'Hepta Slab': GoogleFonts.heptaSlabTextTheme,
        'Herr Von Muellerhoff': GoogleFonts.herrVonMuellerhoffTextTheme,
        'Hi Melody': GoogleFonts.hiMelodyTextTheme,
        'Hina Mincho': GoogleFonts.hinaMinchoTextTheme,
        'Hind': GoogleFonts.hindTextTheme,
        'Hind Guntur': GoogleFonts.hindGunturTextTheme,
        'Hind Madurai': GoogleFonts.hindMaduraiTextTheme,
        'Hind Siliguri': GoogleFonts.hindSiliguriTextTheme,
        'Hind Vadodara': GoogleFonts.hindVadodaraTextTheme,
        'Holtwood One SC': GoogleFonts.holtwoodOneScTextTheme,
        'Homemade Apple': GoogleFonts.homemadeAppleTextTheme,
        'Homenaje': GoogleFonts.homenajeTextTheme,
        'Hubballi': GoogleFonts.hubballiTextTheme,
        'Hurricane': GoogleFonts.hurricaneTextTheme,
        'IBM Plex Mono': GoogleFonts.ibmPlexMonoTextTheme,
        'IBM Plex Sans': GoogleFonts.ibmPlexSansTextTheme,
        'IBM Plex Sans Arabic': GoogleFonts.ibmPlexSansArabicTextTheme,
        'IBM Plex Sans Condensed': GoogleFonts.ibmPlexSansCondensedTextTheme,
        'IBM Plex Sans Devanagari': GoogleFonts.ibmPlexSansDevanagariTextTheme,
        'IBM Plex Sans Hebrew': GoogleFonts.ibmPlexSansHebrewTextTheme,
        'IBM Plex Sans JP': GoogleFonts.ibmPlexSansJpTextTheme,
        'IBM Plex Sans KR': GoogleFonts.ibmPlexSansKrTextTheme,
        'IBM Plex Sans Thai': GoogleFonts.ibmPlexSansThaiTextTheme,
        'IBM Plex Sans Thai Looped': GoogleFonts.ibmPlexSansThaiLoopedTextTheme,
        'IBM Plex Serif': GoogleFonts.ibmPlexSerifTextTheme,
        'IM Fell DW Pica': GoogleFonts.imFellDwPicaTextTheme,
        'IM Fell DW Pica SC': GoogleFonts.imFellDwPicaScTextTheme,
        'IM Fell Double Pica': GoogleFonts.imFellDoublePicaTextTheme,
        'IM Fell Double Pica SC': GoogleFonts.imFellDoublePicaScTextTheme,
        'IM Fell English': GoogleFonts.imFellEnglishTextTheme,
        'IM Fell English SC': GoogleFonts.imFellEnglishScTextTheme,
        'IM Fell French Canon': GoogleFonts.imFellFrenchCanonTextTheme,
        'IM Fell French Canon SC': GoogleFonts.imFellFrenchCanonScTextTheme,
        'IM Fell Great Primer': GoogleFonts.imFellGreatPrimerTextTheme,
        'IM Fell Great Primer SC': GoogleFonts.imFellGreatPrimerScTextTheme,
        'Ibarra Real Nova': GoogleFonts.ibarraRealNovaTextTheme,
        'Iceberg': GoogleFonts.icebergTextTheme,
        'Iceland': GoogleFonts.icelandTextTheme,
        'Imbue': GoogleFonts.imbueTextTheme,
        'Imperial Script': GoogleFonts.imperialScriptTextTheme,
        'Imprima': GoogleFonts.imprimaTextTheme,
        'Inconsolata': GoogleFonts.inconsolataTextTheme,
        'Inder': GoogleFonts.inderTextTheme,
        'Indie Flower': GoogleFonts.indieFlowerTextTheme,
        'Ingrid Darling': GoogleFonts.ingridDarlingTextTheme,
        'Inika': GoogleFonts.inikaTextTheme,
        'Inknut Antiqua': GoogleFonts.inknutAntiquaTextTheme,
        'Inria Sans': GoogleFonts.inriaSansTextTheme,
        'Inria Serif': GoogleFonts.inriaSerifTextTheme,
        'Inspiration': GoogleFonts.inspirationTextTheme,
        'Instrument Sans': GoogleFonts.instrumentSansTextTheme,
        'Instrument Serif': GoogleFonts.instrumentSerifTextTheme,
        'Inter': GoogleFonts.interTextTheme,
        'Inter Tight': GoogleFonts.interTightTextTheme,
        'Irish Grover': GoogleFonts.irishGroverTextTheme,
        'Island Moments': GoogleFonts.islandMomentsTextTheme,
        'Istok Web': GoogleFonts.istokWebTextTheme,
        'Italiana': GoogleFonts.italianaTextTheme,
        'Italianno': GoogleFonts.italiannoTextTheme,
        'Itim': GoogleFonts.itimTextTheme,
        'Jacques Francois': GoogleFonts.jacquesFrancoisTextTheme,
        'Jacques Francois Shadow': GoogleFonts.jacquesFrancoisShadowTextTheme,
        'Jaldi': GoogleFonts.jaldiTextTheme,
        'JetBrains Mono': GoogleFonts.jetBrainsMonoTextTheme,
        'Jim Nightshade': GoogleFonts.jimNightshadeTextTheme,
        'Joan': GoogleFonts.joanTextTheme,
        'Jockey One': GoogleFonts.jockeyOneTextTheme,
        'Jolly Lodger': GoogleFonts.jollyLodgerTextTheme,
        'Jomhuria': GoogleFonts.jomhuriaTextTheme,
        'Jomolhari': GoogleFonts.jomolhariTextTheme,
        'Josefin Sans': GoogleFonts.josefinSansTextTheme,
        'Josefin Slab': GoogleFonts.josefinSlabTextTheme,
        'Jost': GoogleFonts.jostTextTheme,
        'Joti One': GoogleFonts.jotiOneTextTheme,
        'Jua': GoogleFonts.juaTextTheme,
        'Judson': GoogleFonts.judsonTextTheme,
        'Julee': GoogleFonts.juleeTextTheme,
        'Julius Sans One': GoogleFonts.juliusSansOneTextTheme,
        'Junge': GoogleFonts.jungeTextTheme,
        'Jura': GoogleFonts.juraTextTheme,
        'Just Another Hand': GoogleFonts.justAnotherHandTextTheme,
        'Just Me Again Down Here': GoogleFonts.justMeAgainDownHereTextTheme,
        'K2D': GoogleFonts.k2dTextTheme,
        'Kadwa': GoogleFonts.kadwaTextTheme,
        'Kaisei Decol': GoogleFonts.kaiseiDecolTextTheme,
        'Kaisei HarunoUmi': GoogleFonts.kaiseiHarunoUmiTextTheme,
        'Kaisei Opti': GoogleFonts.kaiseiOptiTextTheme,
        'Kaisei Tokumin': GoogleFonts.kaiseiTokuminTextTheme,
        'Kalam': GoogleFonts.kalamTextTheme,
        'Kameron': GoogleFonts.kameronTextTheme,
        'Kanit': GoogleFonts.kanitTextTheme,
        'Kantumruy Pro': GoogleFonts.kantumruyProTextTheme,
        'Karantina': GoogleFonts.karantinaTextTheme,
        'Karla': GoogleFonts.karlaTextTheme,
        'Karma': GoogleFonts.karmaTextTheme,
        'Katibeh': GoogleFonts.katibehTextTheme,
        'Kaushan Script': GoogleFonts.kaushanScriptTextTheme,
        'Kavivanar': GoogleFonts.kavivanarTextTheme,
        'Kavoon': GoogleFonts.kavoonTextTheme,
        'Kdam Thmor Pro': GoogleFonts.kdamThmorProTextTheme,
        'Keania One': GoogleFonts.keaniaOneTextTheme,
        'Kelly Slab': GoogleFonts.kellySlabTextTheme,
        'Kenia': GoogleFonts.keniaTextTheme,
        'Khand': GoogleFonts.khandTextTheme,
        'Khmer': GoogleFonts.khmerTextTheme,
        'Khula': GoogleFonts.khulaTextTheme,
        'Kings': GoogleFonts.kingsTextTheme,
        'Kirang Haerang': GoogleFonts.kirangHaerangTextTheme,
        'Kite One': GoogleFonts.kiteOneTextTheme,
        'Kiwi Maru': GoogleFonts.kiwiMaruTextTheme,
        'Klee One': GoogleFonts.kleeOneTextTheme,
        'Knewave': GoogleFonts.knewaveTextTheme,
        'KoHo': GoogleFonts.koHoTextTheme,
        'Kodchasan': GoogleFonts.kodchasanTextTheme,
        'Koh Santepheap': GoogleFonts.kohSantepheapTextTheme,
        'Kolker Brush': GoogleFonts.kolkerBrushTextTheme,
        'Konkhmer Sleokchher': GoogleFonts.konkhmerSleokchherTextTheme,
        'Kosugi': GoogleFonts.kosugiTextTheme,
        'Kosugi Maru': GoogleFonts.kosugiMaruTextTheme,
        'Kotta One': GoogleFonts.kottaOneTextTheme,
        'Koulen': GoogleFonts.koulenTextTheme,
        'Kranky': GoogleFonts.krankyTextTheme,
        'Kreon': GoogleFonts.kreonTextTheme,
        'Kristi': GoogleFonts.kristiTextTheme,
        'Krona One': GoogleFonts.kronaOneTextTheme,
        'Krub': GoogleFonts.krubTextTheme,
        'Kufam': GoogleFonts.kufamTextTheme,
        'Kulim Park': GoogleFonts.kulimParkTextTheme,
        'Kumar One': GoogleFonts.kumarOneTextTheme,
        'Kumar One Outline': GoogleFonts.kumarOneOutlineTextTheme,
        'Kumbh Sans': GoogleFonts.kumbhSansTextTheme,
        'Kurale': GoogleFonts.kuraleTextTheme,
        'La Belle Aurore': GoogleFonts.laBelleAuroreTextTheme,
        'Labrada': GoogleFonts.labradaTextTheme,
        'Lacquer': GoogleFonts.lacquerTextTheme,
        'Laila': GoogleFonts.lailaTextTheme,
        'Lakki Reddy': GoogleFonts.lakkiReddyTextTheme,
        'Lalezar': GoogleFonts.lalezarTextTheme,
        'Lancelot': GoogleFonts.lancelotTextTheme,
        'Langar': GoogleFonts.langarTextTheme,
        'Lateef': GoogleFonts.lateefTextTheme,
        'Lato': GoogleFonts.latoTextTheme,
        'Lavishly Yours': GoogleFonts.lavishlyYoursTextTheme,
        'League Gothic': GoogleFonts.leagueGothicTextTheme,
        'League Script': GoogleFonts.leagueScriptTextTheme,
        'League Spartan': GoogleFonts.leagueSpartanTextTheme,
        'Leckerli One': GoogleFonts.leckerliOneTextTheme,
        'Ledger': GoogleFonts.ledgerTextTheme,
        'Lekton': GoogleFonts.lektonTextTheme,
        'Lemon': GoogleFonts.lemonTextTheme,
        'Lemonada': GoogleFonts.lemonadaTextTheme,
        'Lexend': GoogleFonts.lexendTextTheme,
        'Lexend Deca': GoogleFonts.lexendDecaTextTheme,
        'Lexend Exa': GoogleFonts.lexendExaTextTheme,
        'Lexend Giga': GoogleFonts.lexendGigaTextTheme,
        'Lexend Mega': GoogleFonts.lexendMegaTextTheme,
        'Lexend Peta': GoogleFonts.lexendPetaTextTheme,
        'Lexend Tera': GoogleFonts.lexendTeraTextTheme,
        'Lexend Zetta': GoogleFonts.lexendZettaTextTheme,
        'Libre Barcode 128': GoogleFonts.libreBarcode128TextTheme,
        'Libre Barcode 128 Text': GoogleFonts.libreBarcode128TextTextTheme,
        'Libre Barcode 39': GoogleFonts.libreBarcode39TextTheme,
        'Libre Barcode 39 Extended':
            GoogleFonts.libreBarcode39ExtendedTextTheme,
        'Libre Barcode 39 Extended Text':
            GoogleFonts.libreBarcode39ExtendedTextTextTheme,
        'Libre Barcode 39 Text': GoogleFonts.libreBarcode39TextTextTheme,
        'Libre Barcode EAN13 Text': GoogleFonts.libreBarcodeEan13TextTextTheme,
        'Libre Baskerville': GoogleFonts.libreBaskervilleTextTheme,
        'Libre Bodoni': GoogleFonts.libreBodoniTextTheme,
        'Libre Caslon Display': GoogleFonts.libreCaslonDisplayTextTheme,
        'Libre Caslon Text': GoogleFonts.libreCaslonTextTextTheme,
        'Libre Franklin': GoogleFonts.libreFranklinTextTheme,
        'Licorice': GoogleFonts.licoriceTextTheme,
        'Life Savers': GoogleFonts.lifeSaversTextTheme,
        'Lilita One': GoogleFonts.lilitaOneTextTheme,
        'Lily Script One': GoogleFonts.lilyScriptOneTextTheme,
        'Limelight': GoogleFonts.limelightTextTheme,
        'Linden Hill': GoogleFonts.lindenHillTextTheme,
        'Literata': GoogleFonts.literataTextTheme,
        'Liu Jian Mao Cao': GoogleFonts.liuJianMaoCaoTextTheme,
        'Livvic': GoogleFonts.livvicTextTheme,
        'Lobster': GoogleFonts.lobsterTextTheme,
        'Lobster Two': GoogleFonts.lobsterTwoTextTheme,
        'Londrina Outline': GoogleFonts.londrinaOutlineTextTheme,
        'Londrina Shadow': GoogleFonts.londrinaShadowTextTheme,
        'Londrina Sketch': GoogleFonts.londrinaSketchTextTheme,
        'Londrina Solid': GoogleFonts.londrinaSolidTextTheme,
        'Long Cang': GoogleFonts.longCangTextTheme,
        'Lora': GoogleFonts.loraTextTheme,
        'Love Light': GoogleFonts.loveLightTextTheme,
        'Love Ya Like A Sister': GoogleFonts.loveYaLikeASisterTextTheme,
        'Loved by the King': GoogleFonts.lovedByTheKingTextTheme,
        'Lovers Quarrel': GoogleFonts.loversQuarrelTextTheme,
        'Luckiest Guy': GoogleFonts.luckiestGuyTextTheme,
        'Lusitana': GoogleFonts.lusitanaTextTheme,
        'Lustria': GoogleFonts.lustriaTextTheme,
        'Luxurious Roman': GoogleFonts.luxuriousRomanTextTheme,
        'Luxurious Script': GoogleFonts.luxuriousScriptTextTheme,
        'M PLUS 1': GoogleFonts.mPlus1TextTheme,
        'M PLUS 1 Code': GoogleFonts.mPlus1CodeTextTheme,
        'M PLUS 1p': GoogleFonts.mPlus1pTextTheme,
        'M PLUS 2': GoogleFonts.mPlus2TextTheme,
        'M PLUS Code Latin': GoogleFonts.mPlusCodeLatinTextTheme,
        'M PLUS Rounded 1c': GoogleFonts.mPlusRounded1cTextTheme,
        'Ma Shan Zheng': GoogleFonts.maShanZhengTextTheme,
        'Macondo': GoogleFonts.macondoTextTheme,
        'Macondo Swash Caps': GoogleFonts.macondoSwashCapsTextTheme,
        'Mada': GoogleFonts.madaTextTheme,
        'Magra': GoogleFonts.magraTextTheme,
        'Maiden Orange': GoogleFonts.maidenOrangeTextTheme,
        'Maitree': GoogleFonts.maitreeTextTheme,
        'Major Mono Display': GoogleFonts.majorMonoDisplayTextTheme,
        'Mako': GoogleFonts.makoTextTheme,
        'Mali': GoogleFonts.maliTextTheme,
        'Mallanna': GoogleFonts.mallannaTextTheme,
        'Mandali': GoogleFonts.mandaliTextTheme,
        'Manjari': GoogleFonts.manjariTextTheme,
        'Manrope': GoogleFonts.manropeTextTheme,
        'Mansalva': GoogleFonts.mansalvaTextTheme,
        'Manuale': GoogleFonts.manualeTextTheme,
        'Marcellus': GoogleFonts.marcellusTextTheme,
        'Marcellus SC': GoogleFonts.marcellusScTextTheme,
        'Marck Script': GoogleFonts.marckScriptTextTheme,
        'Margarine': GoogleFonts.margarineTextTheme,
        'Marhey': GoogleFonts.marheyTextTheme,
        'Markazi Text': GoogleFonts.markaziTextTextTheme,
        'Marko One': GoogleFonts.markoOneTextTheme,
        'Marmelad': GoogleFonts.marmeladTextTheme,
        'Martel': GoogleFonts.martelTextTheme,
        'Martel Sans': GoogleFonts.martelSansTextTheme,
        'Martian Mono': GoogleFonts.martianMonoTextTheme,
        'Marvel': GoogleFonts.marvelTextTheme,
        'Mate': GoogleFonts.mateTextTheme,
        'Mate SC': GoogleFonts.mateScTextTheme,
        'Maven Pro': GoogleFonts.mavenProTextTheme,
        'McLaren': GoogleFonts.mcLarenTextTheme,
        'Mea Culpa': GoogleFonts.meaCulpaTextTheme,
        'Meddon': GoogleFonts.meddonTextTheme,
        'MedievalSharp': GoogleFonts.medievalSharpTextTheme,
        'Medula One': GoogleFonts.medulaOneTextTheme,
        'Meera Inimai': GoogleFonts.meeraInimaiTextTheme,
        'Megrim': GoogleFonts.megrimTextTheme,
        'Meie Script': GoogleFonts.meieScriptTextTheme,
        'Meow Script': GoogleFonts.meowScriptTextTheme,
        'Merienda': GoogleFonts.meriendaTextTheme,
        'Merriweather': GoogleFonts.merriweatherTextTheme,
        'Merriweather Sans': GoogleFonts.merriweatherSansTextTheme,
        'Metal': GoogleFonts.metalTextTheme,
        'Metal Mania': GoogleFonts.metalManiaTextTheme,
        'Metamorphous': GoogleFonts.metamorphousTextTheme,
        'Metrophobic': GoogleFonts.metrophobicTextTheme,
        'Michroma': GoogleFonts.michromaTextTheme,
        'Milonga': GoogleFonts.milongaTextTheme,
        'Miltonian': GoogleFonts.miltonianTextTheme,
        'Miltonian Tattoo': GoogleFonts.miltonianTattooTextTheme,
        'Mina': GoogleFonts.minaTextTheme,
        'Mingzat': GoogleFonts.mingzatTextTheme,
        'Miniver': GoogleFonts.miniverTextTheme,
        'Miriam Libre': GoogleFonts.miriamLibreTextTheme,
        'Mirza': GoogleFonts.mirzaTextTheme,
        'Miss Fajardose': GoogleFonts.missFajardoseTextTheme,
        'Mitr': GoogleFonts.mitrTextTheme,
        'Mochiy Pop One': GoogleFonts.mochiyPopOneTextTheme,
        'Mochiy Pop P One': GoogleFonts.mochiyPopPOneTextTheme,
        'Modak': GoogleFonts.modakTextTheme,
        'Modern Antiqua': GoogleFonts.modernAntiquaTextTheme,
        'Mogra': GoogleFonts.mograTextTheme,
        'Mohave': GoogleFonts.mohaveTextTheme,
        'Molengo': GoogleFonts.molengoTextTheme,
        'Molle': GoogleFonts.molleTextTheme,
        'Monda': GoogleFonts.mondaTextTheme,
        'Monofett': GoogleFonts.monofettTextTheme,
        'Monoton': GoogleFonts.monotonTextTheme,
        'Monsieur La Doulaise': GoogleFonts.monsieurLaDoulaiseTextTheme,
        'Montaga': GoogleFonts.montagaTextTheme,
        'Montagu Slab': GoogleFonts.montaguSlabTextTheme,
        'MonteCarlo': GoogleFonts.monteCarloTextTheme,
        'Montez': GoogleFonts.montezTextTheme,
        'Montserrat': GoogleFonts.montserratTextTheme,
        'Montserrat Alternates': GoogleFonts.montserratAlternatesTextTheme,
        'Montserrat Subrayada': GoogleFonts.montserratSubrayadaTextTheme,
        'Moo Lah Lah': GoogleFonts.mooLahLahTextTheme,
        'Moon Dance': GoogleFonts.moonDanceTextTheme,
        'Moul': GoogleFonts.moulTextTheme,
        'Moulpali': GoogleFonts.moulpaliTextTheme,
        'Mountains of Christmas': GoogleFonts.mountainsOfChristmasTextTheme,
        'Mouse Memoirs': GoogleFonts.mouseMemoirsTextTheme,
        'Mr Bedfort': GoogleFonts.mrBedfortTextTheme,
        'Mr Dafoe': GoogleFonts.mrDafoeTextTheme,
        'Mr De Haviland': GoogleFonts.mrDeHavilandTextTheme,
        'Mrs Saint Delafield': GoogleFonts.mrsSaintDelafieldTextTheme,
        'Mrs Sheppards': GoogleFonts.mrsSheppardsTextTheme,
        'Ms Madi': GoogleFonts.msMadiTextTheme,
        'Mukta': GoogleFonts.muktaTextTheme,
        'Mukta Mahee': GoogleFonts.muktaMaheeTextTheme,
        'Mukta Malar': GoogleFonts.muktaMalarTextTheme,
        'Mukta Vaani': GoogleFonts.muktaVaaniTextTheme,
        'Mulish': GoogleFonts.mulishTextTheme,
        'Murecho': GoogleFonts.murechoTextTheme,
        'MuseoModerno': GoogleFonts.museoModernoTextTheme,
        'My Soul': GoogleFonts.mySoulTextTheme,
        'Mynerve': GoogleFonts.mynerveTextTheme,
        'Mystery Quest': GoogleFonts.mysteryQuestTextTheme,
        'NTR': GoogleFonts.ntrTextTheme,
        'Nabla': GoogleFonts.nablaTextTheme,
        'Nanum Brush Script': GoogleFonts.nanumBrushScriptTextTheme,
        'Nanum Gothic': GoogleFonts.nanumGothicTextTheme,
        'Nanum Gothic Coding': GoogleFonts.nanumGothicCodingTextTheme,
        'Nanum Myeongjo': GoogleFonts.nanumMyeongjoTextTheme,
        'Nanum Pen Script': GoogleFonts.nanumPenScriptTextTheme,
        'Neonderthaw': GoogleFonts.neonderthawTextTheme,
        'Nerko One': GoogleFonts.nerkoOneTextTheme,
        'Neucha': GoogleFonts.neuchaTextTheme,
        'Neuton': GoogleFonts.neutonTextTheme,
        'New Rocker': GoogleFonts.newRockerTextTheme,
        'New Tegomin': GoogleFonts.newTegominTextTheme,
        'News Cycle': GoogleFonts.newsCycleTextTheme,
        'Newsreader': GoogleFonts.newsreaderTextTheme,
        'Niconne': GoogleFonts.niconneTextTheme,
        'Niramit': GoogleFonts.niramitTextTheme,
        'Nixie One': GoogleFonts.nixieOneTextTheme,
        'Nobile': GoogleFonts.nobileTextTheme,
        'Nokora': GoogleFonts.nokoraTextTheme,
        'Norican': GoogleFonts.noricanTextTheme,
        'Nosifer': GoogleFonts.nosiferTextTheme,
        'Notable': GoogleFonts.notableTextTheme,
        'Nothing You Could Do': GoogleFonts.nothingYouCouldDoTextTheme,
        'Noticia Text': GoogleFonts.noticiaTextTextTheme,
        'Noto Color Emoji': GoogleFonts.notoColorEmojiTextTheme,
        'Noto Emoji': GoogleFonts.notoEmojiTextTheme,
        'Noto Kufi Arabic': GoogleFonts.notoKufiArabicTextTheme,
        'Noto Music': GoogleFonts.notoMusicTextTheme,
        'Noto Naskh Arabic': GoogleFonts.notoNaskhArabicTextTheme,
        'Noto Nastaliq Urdu': GoogleFonts.notoNastaliqUrduTextTheme,
        'Noto Rashi Hebrew': GoogleFonts.notoRashiHebrewTextTheme,
        'Noto Sans': GoogleFonts.notoSansTextTheme,
        'Noto Sans Adlam': GoogleFonts.notoSansAdlamTextTheme,
        'Noto Sans Adlam Unjoined': GoogleFonts.notoSansAdlamUnjoinedTextTheme,
        'Noto Sans Anatolian Hieroglyphs':
            GoogleFonts.notoSansAnatolianHieroglyphsTextTheme,
        'Noto Sans Arabic': GoogleFonts.notoSansArabicTextTheme,
        'Noto Sans Armenian': GoogleFonts.notoSansArmenianTextTheme,
        'Noto Sans Avestan': GoogleFonts.notoSansAvestanTextTheme,
        'Noto Sans Balinese': GoogleFonts.notoSansBalineseTextTheme,
        'Noto Sans Bamum': GoogleFonts.notoSansBamumTextTheme,
        'Noto Sans Bassa Vah': GoogleFonts.notoSansBassaVahTextTheme,
        'Noto Sans Batak': GoogleFonts.notoSansBatakTextTheme,
        'Noto Sans Bengali': GoogleFonts.notoSansBengaliTextTheme,
        'Noto Sans Bhaiksuki': GoogleFonts.notoSansBhaiksukiTextTheme,
        'Noto Sans Brahmi': GoogleFonts.notoSansBrahmiTextTheme,
        'Noto Sans Buginese': GoogleFonts.notoSansBugineseTextTheme,
        'Noto Sans Buhid': GoogleFonts.notoSansBuhidTextTheme,
        'Noto Sans Canadian Aboriginal':
            GoogleFonts.notoSansCanadianAboriginalTextTheme,
        'Noto Sans Carian': GoogleFonts.notoSansCarianTextTheme,
        'Noto Sans Caucasian Albanian':
            GoogleFonts.notoSansCaucasianAlbanianTextTheme,
        'Noto Sans Chakma': GoogleFonts.notoSansChakmaTextTheme,
        'Noto Sans Cham': GoogleFonts.notoSansChamTextTheme,
        'Noto Sans Cherokee': GoogleFonts.notoSansCherokeeTextTheme,
        'Noto Sans Coptic': GoogleFonts.notoSansCopticTextTheme,
        'Noto Sans Cuneiform': GoogleFonts.notoSansCuneiformTextTheme,
        'Noto Sans Cypriot': GoogleFonts.notoSansCypriotTextTheme,
        'Noto Sans Deseret': GoogleFonts.notoSansDeseretTextTheme,
        'Noto Sans Devanagari': GoogleFonts.notoSansDevanagariTextTheme,
        'Noto Sans Display': GoogleFonts.notoSansDisplayTextTheme,
        'Noto Sans Duployan': GoogleFonts.notoSansDuployanTextTheme,
        'Noto Sans Egyptian Hieroglyphs':
            GoogleFonts.notoSansEgyptianHieroglyphsTextTheme,
        'Noto Sans Elbasan': GoogleFonts.notoSansElbasanTextTheme,
        'Noto Sans Elymaic': GoogleFonts.notoSansElymaicTextTheme,
        'Noto Sans Ethiopic': GoogleFonts.notoSansEthiopicTextTheme,
        'Noto Sans Georgian': GoogleFonts.notoSansGeorgianTextTheme,
        'Noto Sans Glagolitic': GoogleFonts.notoSansGlagoliticTextTheme,
        'Noto Sans Gothic': GoogleFonts.notoSansGothicTextTheme,
        'Noto Sans Grantha': GoogleFonts.notoSansGranthaTextTheme,
        'Noto Sans Gujarati': GoogleFonts.notoSansGujaratiTextTheme,
        'Noto Sans Gunjala Gondi': GoogleFonts.notoSansGunjalaGondiTextTheme,
        'Noto Sans Gurmukhi': GoogleFonts.notoSansGurmukhiTextTheme,
        'Noto Sans Hanifi Rohingya':
            GoogleFonts.notoSansHanifiRohingyaTextTheme,
        'Noto Sans Hanunoo': GoogleFonts.notoSansHanunooTextTheme,
        'Noto Sans Hatran': GoogleFonts.notoSansHatranTextTheme,
        'Noto Sans Hebrew': GoogleFonts.notoSansHebrewTextTheme,
        'Noto Sans Imperial Aramaic':
            GoogleFonts.notoSansImperialAramaicTextTheme,
        'Noto Sans Indic Siyaq Numbers':
            GoogleFonts.notoSansIndicSiyaqNumbersTextTheme,
        'Noto Sans Inscriptional Pahlavi':
            GoogleFonts.notoSansInscriptionalPahlaviTextTheme,
        'Noto Sans Inscriptional Parthian':
            GoogleFonts.notoSansInscriptionalParthianTextTheme,
        'Noto Sans Javanese': GoogleFonts.notoSansJavaneseTextTheme,
        'Noto Sans Kaithi': GoogleFonts.notoSansKaithiTextTheme,
        'Noto Sans Kannada': GoogleFonts.notoSansKannadaTextTheme,
        'Noto Sans Kayah Li': GoogleFonts.notoSansKayahLiTextTheme,
        'Noto Sans Kharoshthi': GoogleFonts.notoSansKharoshthiTextTheme,
        'Noto Sans Khmer': GoogleFonts.notoSansKhmerTextTheme,
        'Noto Sans Khojki': GoogleFonts.notoSansKhojkiTextTheme,
        'Noto Sans Khudawadi': GoogleFonts.notoSansKhudawadiTextTheme,
        'Noto Sans Lao': GoogleFonts.notoSansLaoTextTheme,
        'Noto Sans Lao Looped': GoogleFonts.notoSansLaoLoopedTextTheme,
        'Noto Sans Lepcha': GoogleFonts.notoSansLepchaTextTheme,
        'Noto Sans Limbu': GoogleFonts.notoSansLimbuTextTheme,
        'Noto Sans Linear A': GoogleFonts.notoSansLinearATextTheme,
        'Noto Sans Linear B': GoogleFonts.notoSansLinearBTextTheme,
        'Noto Sans Lisu': GoogleFonts.notoSansLisuTextTheme,
        'Noto Sans Lycian': GoogleFonts.notoSansLycianTextTheme,
        'Noto Sans Lydian': GoogleFonts.notoSansLydianTextTheme,
        'Noto Sans Mahajani': GoogleFonts.notoSansMahajaniTextTheme,
        'Noto Sans Malayalam': GoogleFonts.notoSansMalayalamTextTheme,
        'Noto Sans Mandaic': GoogleFonts.notoSansMandaicTextTheme,
        'Noto Sans Manichaean': GoogleFonts.notoSansManichaeanTextTheme,
        'Noto Sans Marchen': GoogleFonts.notoSansMarchenTextTheme,
        'Noto Sans Masaram Gondi': GoogleFonts.notoSansMasaramGondiTextTheme,
        'Noto Sans Math': GoogleFonts.notoSansMathTextTheme,
        'Noto Sans Mayan Numerals': GoogleFonts.notoSansMayanNumeralsTextTheme,
        'Noto Sans Medefaidrin': GoogleFonts.notoSansMedefaidrinTextTheme,
        'Noto Sans Meetei Mayek': GoogleFonts.notoSansMeeteiMayekTextTheme,
        'Noto Sans Mende Kikakui': GoogleFonts.notoSansMendeKikakuiTextTheme,
        'Noto Sans Meroitic': GoogleFonts.notoSansMeroiticTextTheme,
        'Noto Sans Miao': GoogleFonts.notoSansMiaoTextTheme,
        'Noto Sans Modi': GoogleFonts.notoSansModiTextTheme,
        'Noto Sans Mongolian': GoogleFonts.notoSansMongolianTextTheme,
        'Noto Sans Mono': GoogleFonts.notoSansMonoTextTheme,
        'Noto Sans Mro': GoogleFonts.notoSansMroTextTheme,
        'Noto Sans Multani': GoogleFonts.notoSansMultaniTextTheme,
        'Noto Sans Myanmar': GoogleFonts.notoSansMyanmarTextTheme,
        'Noto Sans NKo': GoogleFonts.notoSansNKoTextTheme,
        'Noto Sans Nabataean': GoogleFonts.notoSansNabataeanTextTheme,
        'Noto Sans Nag Mundari': GoogleFonts.notoSansNagMundariTextTheme,
        'Noto Sans Nandinagari': GoogleFonts.notoSansNandinagariTextTheme,
        'Noto Sans New Tai Lue': GoogleFonts.notoSansNewTaiLueTextTheme,
        'Noto Sans Newa': GoogleFonts.notoSansNewaTextTheme,
        'Noto Sans Nushu': GoogleFonts.notoSansNushuTextTheme,
        'Noto Sans Ogham': GoogleFonts.notoSansOghamTextTheme,
        'Noto Sans Ol Chiki': GoogleFonts.notoSansOlChikiTextTheme,
        'Noto Sans Old Hungarian': GoogleFonts.notoSansOldHungarianTextTheme,
        'Noto Sans Old Italic': GoogleFonts.notoSansOldItalicTextTheme,
        'Noto Sans Old North Arabian':
            GoogleFonts.notoSansOldNorthArabianTextTheme,
        'Noto Sans Old Permic': GoogleFonts.notoSansOldPermicTextTheme,
        'Noto Sans Old Persian': GoogleFonts.notoSansOldPersianTextTheme,
        'Noto Sans Old Sogdian': GoogleFonts.notoSansOldSogdianTextTheme,
        'Noto Sans Old South Arabian':
            GoogleFonts.notoSansOldSouthArabianTextTheme,
        'Noto Sans Old Turkic': GoogleFonts.notoSansOldTurkicTextTheme,
        'Noto Sans Oriya': GoogleFonts.notoSansOriyaTextTheme,
        'Noto Sans Osage': GoogleFonts.notoSansOsageTextTheme,
        'Noto Sans Osmanya': GoogleFonts.notoSansOsmanyaTextTheme,
        'Noto Sans Pahawh Hmong': GoogleFonts.notoSansPahawhHmongTextTheme,
        'Noto Sans Palmyrene': GoogleFonts.notoSansPalmyreneTextTheme,
        'Noto Sans Pau Cin Hau': GoogleFonts.notoSansPauCinHauTextTheme,
        'Noto Sans Phags Pa': GoogleFonts.notoSansPhagsPaTextTheme,
        'Noto Sans Phoenician': GoogleFonts.notoSansPhoenicianTextTheme,
        'Noto Sans Psalter Pahlavi':
            GoogleFonts.notoSansPsalterPahlaviTextTheme,
        'Noto Sans Rejang': GoogleFonts.notoSansRejangTextTheme,
        'Noto Sans Runic': GoogleFonts.notoSansRunicTextTheme,
        'Noto Sans Samaritan': GoogleFonts.notoSansSamaritanTextTheme,
        'Noto Sans Saurashtra': GoogleFonts.notoSansSaurashtraTextTheme,
        'Noto Sans Sharada': GoogleFonts.notoSansSharadaTextTheme,
        'Noto Sans Shavian': GoogleFonts.notoSansShavianTextTheme,
        'Noto Sans Siddham': GoogleFonts.notoSansSiddhamTextTheme,
        'Noto Sans SignWriting': GoogleFonts.notoSansSignWritingTextTheme,
        'Noto Sans Sinhala': GoogleFonts.notoSansSinhalaTextTheme,
        'Noto Sans Sogdian': GoogleFonts.notoSansSogdianTextTheme,
        'Noto Sans Sora Sompeng': GoogleFonts.notoSansSoraSompengTextTheme,
        'Noto Sans Soyombo': GoogleFonts.notoSansSoyomboTextTheme,
        'Noto Sans Sundanese': GoogleFonts.notoSansSundaneseTextTheme,
        'Noto Sans Syloti Nagri': GoogleFonts.notoSansSylotiNagriTextTheme,
        'Noto Sans Symbols': GoogleFonts.notoSansSymbolsTextTheme,
        'Noto Sans Symbols 2': GoogleFonts.notoSansSymbols2TextTheme,
        'Noto Sans Syriac': GoogleFonts.notoSansSyriacTextTheme,
        'Noto Sans Tagalog': GoogleFonts.notoSansTagalogTextTheme,
        'Noto Sans Tagbanwa': GoogleFonts.notoSansTagbanwaTextTheme,
        'Noto Sans Tai Le': GoogleFonts.notoSansTaiLeTextTheme,
        'Noto Sans Tai Tham': GoogleFonts.notoSansTaiThamTextTheme,
        'Noto Sans Tai Viet': GoogleFonts.notoSansTaiVietTextTheme,
        'Noto Sans Takri': GoogleFonts.notoSansTakriTextTheme,
        'Noto Sans Tamil': GoogleFonts.notoSansTamilTextTheme,
        'Noto Sans Tamil Supplement':
            GoogleFonts.notoSansTamilSupplementTextTheme,
        'Noto Sans Tangsa': GoogleFonts.notoSansTangsaTextTheme,
        'Noto Sans Telugu': GoogleFonts.notoSansTeluguTextTheme,
        'Noto Sans Thaana': GoogleFonts.notoSansThaanaTextTheme,
        'Noto Sans Thai': GoogleFonts.notoSansThaiTextTheme,
        'Noto Sans Thai Looped': GoogleFonts.notoSansThaiLoopedTextTheme,
        'Noto Sans Tifinagh': GoogleFonts.notoSansTifinaghTextTheme,
        'Noto Sans Tirhuta': GoogleFonts.notoSansTirhutaTextTheme,
        'Noto Sans Ugaritic': GoogleFonts.notoSansUgariticTextTheme,
        'Noto Sans Vai': GoogleFonts.notoSansVaiTextTheme,
        'Noto Sans Wancho': GoogleFonts.notoSansWanchoTextTheme,
        'Noto Sans Warang Citi': GoogleFonts.notoSansWarangCitiTextTheme,
        'Noto Sans Yi': GoogleFonts.notoSansYiTextTheme,
        'Noto Sans Zanabazar Square':
            GoogleFonts.notoSansZanabazarSquareTextTheme,
        'Noto Serif': GoogleFonts.notoSerifTextTheme,
        'Noto Serif Ahom': GoogleFonts.notoSerifAhomTextTheme,
        'Noto Serif Armenian': GoogleFonts.notoSerifArmenianTextTheme,
        'Noto Serif Balinese': GoogleFonts.notoSerifBalineseTextTheme,
        'Noto Serif Bengali': GoogleFonts.notoSerifBengaliTextTheme,
        'Noto Serif Devanagari': GoogleFonts.notoSerifDevanagariTextTheme,
        'Noto Serif Display': GoogleFonts.notoSerifDisplayTextTheme,
        'Noto Serif Dogra': GoogleFonts.notoSerifDograTextTheme,
        'Noto Serif Ethiopic': GoogleFonts.notoSerifEthiopicTextTheme,
        'Noto Serif Georgian': GoogleFonts.notoSerifGeorgianTextTheme,
        'Noto Serif Grantha': GoogleFonts.notoSerifGranthaTextTheme,
        'Noto Serif Gujarati': GoogleFonts.notoSerifGujaratiTextTheme,
        'Noto Serif Gurmukhi': GoogleFonts.notoSerifGurmukhiTextTheme,
        'Noto Serif HK': GoogleFonts.notoSerifHkTextTheme,
        'Noto Serif Hebrew': GoogleFonts.notoSerifHebrewTextTheme,
        'Noto Serif Kannada': GoogleFonts.notoSerifKannadaTextTheme,
        'Noto Serif Khmer': GoogleFonts.notoSerifKhmerTextTheme,
        'Noto Serif Khojki': GoogleFonts.notoSerifKhojkiTextTheme,
        'Noto Serif Lao': GoogleFonts.notoSerifLaoTextTheme,
        'Noto Serif Malayalam': GoogleFonts.notoSerifMalayalamTextTheme,
        'Noto Serif Myanmar': GoogleFonts.notoSerifMyanmarTextTheme,
        'Noto Serif NP Hmong': GoogleFonts.notoSerifNpHmongTextTheme,
        'Noto Serif Oriya': GoogleFonts.notoSerifOriyaTextTheme,
        'Noto Serif Sinhala': GoogleFonts.notoSerifSinhalaTextTheme,
        'Noto Serif Tamil': GoogleFonts.notoSerifTamilTextTheme,
        'Noto Serif Tangut': GoogleFonts.notoSerifTangutTextTheme,
        'Noto Serif Telugu': GoogleFonts.notoSerifTeluguTextTheme,
        'Noto Serif Thai': GoogleFonts.notoSerifThaiTextTheme,
        'Noto Serif Tibetan': GoogleFonts.notoSerifTibetanTextTheme,
        'Noto Serif Toto': GoogleFonts.notoSerifTotoTextTheme,
        'Noto Serif Yezidi': GoogleFonts.notoSerifYezidiTextTheme,
        'Noto Traditional Nushu': GoogleFonts.notoTraditionalNushuTextTheme,
        'Nova Cut': GoogleFonts.novaCutTextTheme,
        'Nova Flat': GoogleFonts.novaFlatTextTheme,
        'Nova Mono': GoogleFonts.novaMonoTextTheme,
        'Nova Oval': GoogleFonts.novaOvalTextTheme,
        'Nova Round': GoogleFonts.novaRoundTextTheme,
        'Nova Script': GoogleFonts.novaScriptTextTheme,
        'Nova Slim': GoogleFonts.novaSlimTextTheme,
        'Nova Square': GoogleFonts.novaSquareTextTheme,
        'Numans': GoogleFonts.numansTextTheme,
        'Nunito': GoogleFonts.nunitoTextTheme,
        'Nunito Sans': GoogleFonts.nunitoSansTextTheme,
        'Nuosu SIL': GoogleFonts.nuosuSilTextTheme,
        'Odibee Sans': GoogleFonts.odibeeSansTextTheme,
        'Odor Mean Chey': GoogleFonts.odorMeanCheyTextTheme,
        'Offside': GoogleFonts.offsideTextTheme,
        'Oi': GoogleFonts.oiTextTheme,
        'Old Standard TT': GoogleFonts.oldStandardTtTextTheme,
        'Oldenburg': GoogleFonts.oldenburgTextTheme,
        'Ole': GoogleFonts.oleTextTheme,
        'Oleo Script': GoogleFonts.oleoScriptTextTheme,
        'Oleo Script Swash Caps': GoogleFonts.oleoScriptSwashCapsTextTheme,
        'Oooh Baby': GoogleFonts.ooohBabyTextTheme,
        'Open Sans': GoogleFonts.openSansTextTheme,
        'Open Sans Condensed': GoogleFonts.openSansCondensedTextTheme,
        'Oranienbaum': GoogleFonts.oranienbaumTextTheme,
        'Orbitron': GoogleFonts.orbitronTextTheme,
        'Oregano': GoogleFonts.oreganoTextTheme,
        'Orelega One': GoogleFonts.orelegaOneTextTheme,
        'Orienta': GoogleFonts.orientaTextTheme,
        'Original Surfer': GoogleFonts.originalSurferTextTheme,
        'Oswald': GoogleFonts.oswaldTextTheme,
        'Outfit': GoogleFonts.outfitTextTheme,
        'Over the Rainbow': GoogleFonts.overTheRainbowTextTheme,
        'Overlock': GoogleFonts.overlockTextTheme,
        'Overlock SC': GoogleFonts.overlockScTextTheme,
        'Overpass': GoogleFonts.overpassTextTheme,
        'Overpass Mono': GoogleFonts.overpassMonoTextTheme,
        'Ovo': GoogleFonts.ovoTextTheme,
        'Oxanium': GoogleFonts.oxaniumTextTheme,
        'Oxygen': GoogleFonts.oxygenTextTheme,
        'Oxygen Mono': GoogleFonts.oxygenMonoTextTheme,
        'PT Mono': GoogleFonts.ptMonoTextTheme,
        'PT Sans': GoogleFonts.ptSansTextTheme,
        'PT Sans Caption': GoogleFonts.ptSansCaptionTextTheme,
        'PT Sans Narrow': GoogleFonts.ptSansNarrowTextTheme,
        'PT Serif': GoogleFonts.ptSerifTextTheme,
        'PT Serif Caption': GoogleFonts.ptSerifCaptionTextTheme,
        'Pacifico': GoogleFonts.pacificoTextTheme,
        'Padauk': GoogleFonts.padaukTextTheme,
        'Padyakke Expanded One': GoogleFonts.padyakkeExpandedOneTextTheme,
        'Palanquin': GoogleFonts.palanquinTextTheme,
        'Palanquin Dark': GoogleFonts.palanquinDarkTextTheme,
        'Pangolin': GoogleFonts.pangolinTextTheme,
        'Paprika': GoogleFonts.paprikaTextTheme,
        'Parisienne': GoogleFonts.parisienneTextTheme,
        'Passero One': GoogleFonts.passeroOneTextTheme,
        'Passion One': GoogleFonts.passionOneTextTheme,
        'Passions Conflict': GoogleFonts.passionsConflictTextTheme,
        'Pathway Extreme': GoogleFonts.pathwayExtremeTextTheme,
        'Pathway Gothic One': GoogleFonts.pathwayGothicOneTextTheme,
        'Patrick Hand': GoogleFonts.patrickHandTextTheme,
        'Patrick Hand SC': GoogleFonts.patrickHandScTextTheme,
        'Pattaya': GoogleFonts.pattayaTextTheme,
        'Patua One': GoogleFonts.patuaOneTextTheme,
        'Pavanam': GoogleFonts.pavanamTextTheme,
        'Paytone One': GoogleFonts.paytoneOneTextTheme,
        'Peddana': GoogleFonts.peddanaTextTheme,
        'Peralta': GoogleFonts.peraltaTextTheme,
        'Permanent Marker': GoogleFonts.permanentMarkerTextTheme,
        'Petemoss': GoogleFonts.petemossTextTheme,
        'Petit Formal Script': GoogleFonts.petitFormalScriptTextTheme,
        'Petrona': GoogleFonts.petronaTextTheme,
        'Philosopher': GoogleFonts.philosopherTextTheme,
        'Phudu': GoogleFonts.phuduTextTheme,
        'Piazzolla': GoogleFonts.piazzollaTextTheme,
        'Piedra': GoogleFonts.piedraTextTheme,
        'Pinyon Script': GoogleFonts.pinyonScriptTextTheme,
        'Pirata One': GoogleFonts.pirataOneTextTheme,
        'Plaster': GoogleFonts.plasterTextTheme,
        'Play': GoogleFonts.playTextTheme,
        'Playball': GoogleFonts.playballTextTheme,
        'Playfair Display': GoogleFonts.playfairDisplayTextTheme,
        'Playfair Display SC': GoogleFonts.playfairDisplayScTextTheme,
        'Plus Jakarta Sans': GoogleFonts.plusJakartaSansTextTheme,
        'Podkova': GoogleFonts.podkovaTextTheme,
        'Poiret One': GoogleFonts.poiretOneTextTheme,
        'Poller One': GoogleFonts.pollerOneTextTheme,
        'Poltawski Nowy': GoogleFonts.poltawskiNowyTextTheme,
        'Poly': GoogleFonts.polyTextTheme,
        'Pompiere': GoogleFonts.pompiereTextTheme,
        'Pontano Sans': GoogleFonts.pontanoSansTextTheme,
        'Poor Story': GoogleFonts.poorStoryTextTheme,
        'Poppins': GoogleFonts.poppinsTextTheme,
        'Port Lligat Sans': GoogleFonts.portLligatSansTextTheme,
        'Port Lligat Slab': GoogleFonts.portLligatSlabTextTheme,
        'Potta One': GoogleFonts.pottaOneTextTheme,
        'Pragati Narrow': GoogleFonts.pragatiNarrowTextTheme,
        'Praise': GoogleFonts.praiseTextTheme,
        'Prata': GoogleFonts.prataTextTheme,
        'Preahvihear': GoogleFonts.preahvihearTextTheme,
        'Press Start 2P': GoogleFonts.pressStart2pTextTheme,
        'Pridi': GoogleFonts.pridiTextTheme,
        'Princess Sofia': GoogleFonts.princessSofiaTextTheme,
        'Prociono': GoogleFonts.procionoTextTheme,
        'Prompt': GoogleFonts.promptTextTheme,
        'Prosto One': GoogleFonts.prostoOneTextTheme,
        'Proza Libre': GoogleFonts.prozaLibreTextTheme,
        'Public Sans': GoogleFonts.publicSansTextTheme,
        'Puppies Play': GoogleFonts.puppiesPlayTextTheme,
        'Puritan': GoogleFonts.puritanTextTheme,
        'Purple Purse': GoogleFonts.purplePurseTextTheme,
        'Qahiri': GoogleFonts.qahiriTextTheme,
        'Quando': GoogleFonts.quandoTextTheme,
        'Quantico': GoogleFonts.quanticoTextTheme,
        'Quattrocento': GoogleFonts.quattrocentoTextTheme,
        'Quattrocento Sans': GoogleFonts.quattrocentoSansTextTheme,
        'Questrial': GoogleFonts.questrialTextTheme,
        'Quicksand': GoogleFonts.quicksandTextTheme,
        'Quintessential': GoogleFonts.quintessentialTextTheme,
        'Qwigley': GoogleFonts.qwigleyTextTheme,
        'Qwitcher Grypen': GoogleFonts.qwitcherGrypenTextTheme,
        'Racing Sans One': GoogleFonts.racingSansOneTextTheme,
        'Radio Canada': GoogleFonts.radioCanadaTextTheme,
        'Radley': GoogleFonts.radleyTextTheme,
        'Rajdhani': GoogleFonts.rajdhaniTextTheme,
        'Rakkas': GoogleFonts.rakkasTextTheme,
        'Raleway': GoogleFonts.ralewayTextTheme,
        'Raleway Dots': GoogleFonts.ralewayDotsTextTheme,
        'Ramabhadra': GoogleFonts.ramabhadraTextTheme,
        'Ramaraja': GoogleFonts.ramarajaTextTheme,
        'Rambla': GoogleFonts.ramblaTextTheme,
        'Rammetto One': GoogleFonts.rammettoOneTextTheme,
        'Rampart One': GoogleFonts.rampartOneTextTheme,
        'Ranchers': GoogleFonts.ranchersTextTheme,
        'Rancho': GoogleFonts.ranchoTextTheme,
        'Ranga': GoogleFonts.rangaTextTheme,
        'Rasa': GoogleFonts.rasaTextTheme,
        'Rationale': GoogleFonts.rationaleTextTheme,
        'Ravi Prakash': GoogleFonts.raviPrakashTextTheme,
        'Readex Pro': GoogleFonts.readexProTextTheme,
        'Recursive': GoogleFonts.recursiveTextTheme,
        'Red Hat Display': GoogleFonts.redHatDisplayTextTheme,
        'Red Hat Mono': GoogleFonts.redHatMonoTextTheme,
        'Red Hat Text': GoogleFonts.redHatTextTextTheme,
        'Red Rose': GoogleFonts.redRoseTextTheme,
        'Redacted': GoogleFonts.redactedTextTheme,
        'Redacted Script': GoogleFonts.redactedScriptTextTheme,
        'Redressed': GoogleFonts.redressedTextTheme,
        'Reem Kufi': GoogleFonts.reemKufiTextTheme,
        'Reem Kufi Fun': GoogleFonts.reemKufiFunTextTheme,
        'Reem Kufi Ink': GoogleFonts.reemKufiInkTextTheme,
        'Reenie Beanie': GoogleFonts.reenieBeanieTextTheme,
        'Reggae One': GoogleFonts.reggaeOneTextTheme,
        'Revalia': GoogleFonts.revaliaTextTheme,
        'Rhodium Libre': GoogleFonts.rhodiumLibreTextTheme,
        'Ribeye': GoogleFonts.ribeyeTextTheme,
        'Ribeye Marrow': GoogleFonts.ribeyeMarrowTextTheme,
        'Righteous': GoogleFonts.righteousTextTheme,
        'Risque': GoogleFonts.risqueTextTheme,
        'Road Rage': GoogleFonts.roadRageTextTheme,
        'Roboto': GoogleFonts.robotoTextTheme,
        'Roboto Condensed': GoogleFonts.robotoCondensedTextTheme,
        'Roboto Flex': GoogleFonts.robotoFlexTextTheme,
        'Roboto Mono': GoogleFonts.robotoMonoTextTheme,
        'Roboto Serif': GoogleFonts.robotoSerifTextTheme,
        'Roboto Slab': GoogleFonts.robotoSlabTextTheme,
        'Rochester': GoogleFonts.rochesterTextTheme,
        'Rock Salt': GoogleFonts.rockSaltTextTheme,
        'RocknRoll One': GoogleFonts.rocknRollOneTextTheme,
        'Rokkitt': GoogleFonts.rokkittTextTheme,
        'Romanesco': GoogleFonts.romanescoTextTheme,
        'Ropa Sans': GoogleFonts.ropaSansTextTheme,
        'Rosario': GoogleFonts.rosarioTextTheme,
        'Rosarivo': GoogleFonts.rosarivoTextTheme,
        'Rouge Script': GoogleFonts.rougeScriptTextTheme,
        'Rowdies': GoogleFonts.rowdiesTextTheme,
        'Rozha One': GoogleFonts.rozhaOneTextTheme,
        'Rubik': GoogleFonts.rubikTextTheme,
        'Rubik 80s Fade': GoogleFonts.rubik80sFadeTextTheme,
        'Rubik Beastly': GoogleFonts.rubikBeastlyTextTheme,
        'Rubik Bubbles': GoogleFonts.rubikBubblesTextTheme,
        'Rubik Burned': GoogleFonts.rubikBurnedTextTheme,
        'Rubik Dirt': GoogleFonts.rubikDirtTextTheme,
        'Rubik Distressed': GoogleFonts.rubikDistressedTextTheme,
        'Rubik Gemstones': GoogleFonts.rubikGemstonesTextTheme,
        'Rubik Glitch': GoogleFonts.rubikGlitchTextTheme,
        'Rubik Iso': GoogleFonts.rubikIsoTextTheme,
        'Rubik Marker Hatch': GoogleFonts.rubikMarkerHatchTextTheme,
        'Rubik Maze': GoogleFonts.rubikMazeTextTheme,
        'Rubik Microbe': GoogleFonts.rubikMicrobeTextTheme,
        'Rubik Mono One': GoogleFonts.rubikMonoOneTextTheme,
        'Rubik Moonrocks': GoogleFonts.rubikMoonrocksTextTheme,
        'Rubik Pixels': GoogleFonts.rubikPixelsTextTheme,
        'Rubik Puddles': GoogleFonts.rubikPuddlesTextTheme,
        'Rubik Spray Paint': GoogleFonts.rubikSprayPaintTextTheme,
        'Rubik Storm': GoogleFonts.rubikStormTextTheme,
        'Rubik Vinyl': GoogleFonts.rubikVinylTextTheme,
        'Rubik Wet Paint': GoogleFonts.rubikWetPaintTextTheme,
        'Ruda': GoogleFonts.rudaTextTheme,
        'Rufina': GoogleFonts.rufinaTextTheme,
        'Ruge Boogie': GoogleFonts.rugeBoogieTextTheme,
        'Ruluko': GoogleFonts.rulukoTextTheme,
        'Rum Raisin': GoogleFonts.rumRaisinTextTheme,
        'Ruslan Display': GoogleFonts.ruslanDisplayTextTheme,
        'Russo One': GoogleFonts.russoOneTextTheme,
        'Ruthie': GoogleFonts.ruthieTextTheme,
        'Rye': GoogleFonts.ryeTextTheme,
        'STIX Two Text': GoogleFonts.stixTwoTextTextTheme,
        'Sacramento': GoogleFonts.sacramentoTextTheme,
        'Sahitya': GoogleFonts.sahityaTextTheme,
        'Sail': GoogleFonts.sailTextTheme,
        'Saira': GoogleFonts.sairaTextTheme,
        'Saira Condensed': GoogleFonts.sairaCondensedTextTheme,
        'Saira Extra Condensed': GoogleFonts.sairaExtraCondensedTextTheme,
        'Saira Semi Condensed': GoogleFonts.sairaSemiCondensedTextTheme,
        'Saira Stencil One': GoogleFonts.sairaStencilOneTextTheme,
        'Salsa': GoogleFonts.salsaTextTheme,
        'Sanchez': GoogleFonts.sanchezTextTheme,
        'Sancreek': GoogleFonts.sancreekTextTheme,
        'Sansita': GoogleFonts.sansitaTextTheme,
        'Sansita Swashed': GoogleFonts.sansitaSwashedTextTheme,
        'Sarabun': GoogleFonts.sarabunTextTheme,
        'Sarala': GoogleFonts.saralaTextTheme,
        'Sarina': GoogleFonts.sarinaTextTheme,
        'Sarpanch': GoogleFonts.sarpanchTextTheme,
        'Sassy Frass': GoogleFonts.sassyFrassTextTheme,
        'Satisfy': GoogleFonts.satisfyTextTheme,
        'Sawarabi Gothic': GoogleFonts.sawarabiGothicTextTheme,
        'Sawarabi Mincho': GoogleFonts.sawarabiMinchoTextTheme,
        'Scada': GoogleFonts.scadaTextTheme,
        'Scheherazade New': GoogleFonts.scheherazadeNewTextTheme,
        'Schibsted Grotesk': GoogleFonts.schibstedGroteskTextTheme,
        'Schoolbell': GoogleFonts.schoolbellTextTheme,
        'Scope One': GoogleFonts.scopeOneTextTheme,
        'Seaweed Script': GoogleFonts.seaweedScriptTextTheme,
        'Secular One': GoogleFonts.secularOneTextTheme,
        'Sedgwick Ave': GoogleFonts.sedgwickAveTextTheme,
        'Sedgwick Ave Display': GoogleFonts.sedgwickAveDisplayTextTheme,
        'Sen': GoogleFonts.senTextTheme,
        'Send Flowers': GoogleFonts.sendFlowersTextTheme,
        'Sevillana': GoogleFonts.sevillanaTextTheme,
        'Seymour One': GoogleFonts.seymourOneTextTheme,
        'Shadows Into Light': GoogleFonts.shadowsIntoLightTextTheme,
        'Shadows Into Light Two': GoogleFonts.shadowsIntoLightTwoTextTheme,
        'Shalimar': GoogleFonts.shalimarTextTheme,
        'Shantell Sans': GoogleFonts.shantellSansTextTheme,
        'Shanti': GoogleFonts.shantiTextTheme,
        'Share': GoogleFonts.shareTextTheme,
        'Share Tech': GoogleFonts.shareTechTextTheme,
        'Share Tech Mono': GoogleFonts.shareTechMonoTextTheme,
        'Shippori Antique': GoogleFonts.shipporiAntiqueTextTheme,
        'Shippori Antique B1': GoogleFonts.shipporiAntiqueB1TextTheme,
        'Shippori Mincho': GoogleFonts.shipporiMinchoTextTheme,
        'Shippori Mincho B1': GoogleFonts.shipporiMinchoB1TextTheme,
        'Shojumaru': GoogleFonts.shojumaruTextTheme,
        'Short Stack': GoogleFonts.shortStackTextTheme,
        'Shrikhand': GoogleFonts.shrikhandTextTheme,
        'Siemreap': GoogleFonts.siemreapTextTheme,
        'Sigmar': GoogleFonts.sigmarTextTheme,
        'Sigmar One': GoogleFonts.sigmarOneTextTheme,
        'Signika': GoogleFonts.signikaTextTheme,
        'Signika Negative': GoogleFonts.signikaNegativeTextTheme,
        'Silkscreen': GoogleFonts.silkscreenTextTheme,
        'Simonetta': GoogleFonts.simonettaTextTheme,
        'Single Day': GoogleFonts.singleDayTextTheme,
        'Sintony': GoogleFonts.sintonyTextTheme,
        'Sirin Stencil': GoogleFonts.sirinStencilTextTheme,
        'Six Caps': GoogleFonts.sixCapsTextTheme,
        'Skranji': GoogleFonts.skranjiTextTheme,
        'Slabo 13px': GoogleFonts.slabo13pxTextTheme,
        'Slabo 27px': GoogleFonts.slabo27pxTextTheme,
        'Slackey': GoogleFonts.slackeyTextTheme,
        'Smokum': GoogleFonts.smokumTextTheme,
        'Smooch': GoogleFonts.smoochTextTheme,
        'Smooch Sans': GoogleFonts.smoochSansTextTheme,
        'Smythe': GoogleFonts.smytheTextTheme,
        'Sniglet': GoogleFonts.snigletTextTheme,
        'Snippet': GoogleFonts.snippetTextTheme,
        'Snowburst One': GoogleFonts.snowburstOneTextTheme,
        'Sofadi One': GoogleFonts.sofadiOneTextTheme,
        'Sofia': GoogleFonts.sofiaTextTheme,
        'Sofia Sans': GoogleFonts.sofiaSansTextTheme,
        'Sofia Sans Condensed': GoogleFonts.sofiaSansCondensedTextTheme,
        'Sofia Sans Extra Condensed':
            GoogleFonts.sofiaSansExtraCondensedTextTheme,
        'Sofia Sans Semi Condensed':
            GoogleFonts.sofiaSansSemiCondensedTextTheme,
        'Solitreo': GoogleFonts.solitreoTextTheme,
        'Solway': GoogleFonts.solwayTextTheme,
        'Song Myung': GoogleFonts.songMyungTextTheme,
        'Sono': GoogleFonts.sonoTextTheme,
        'Sonsie One': GoogleFonts.sonsieOneTextTheme,
        'Sora': GoogleFonts.soraTextTheme,
        'Sorts Mill Goudy': GoogleFonts.sortsMillGoudyTextTheme,
        'Source Code Pro': GoogleFonts.sourceCodeProTextTheme,
        'Source Sans 3': GoogleFonts.sourceSans3TextTheme,
        'Source Sans Pro': GoogleFonts.sourceSansProTextTheme,
        'Source Serif 4': GoogleFonts.sourceSerif4TextTheme,
        'Source Serif Pro': GoogleFonts.sourceSerifProTextTheme,
        'Space Grotesk': GoogleFonts.spaceGroteskTextTheme,
        'Space Mono': GoogleFonts.spaceMonoTextTheme,
        'Special Elite': GoogleFonts.specialEliteTextTheme,
        'Spectral': GoogleFonts.spectralTextTheme,
        'Spectral SC': GoogleFonts.spectralScTextTheme,
        'Spicy Rice': GoogleFonts.spicyRiceTextTheme,
        'Spinnaker': GoogleFonts.spinnakerTextTheme,
        'Spirax': GoogleFonts.spiraxTextTheme,
        'Splash': GoogleFonts.splashTextTheme,
        'Spline Sans': GoogleFonts.splineSansTextTheme,
        'Spline Sans Mono': GoogleFonts.splineSansMonoTextTheme,
        'Squada One': GoogleFonts.squadaOneTextTheme,
        'Square Peg': GoogleFonts.squarePegTextTheme,
        'Sree Krushnadevaraya': GoogleFonts.sreeKrushnadevarayaTextTheme,
        'Sriracha': GoogleFonts.srirachaTextTheme,
        'Srisakdi': GoogleFonts.srisakdiTextTheme,
        'Staatliches': GoogleFonts.staatlichesTextTheme,
        'Stalemate': GoogleFonts.stalemateTextTheme,
        'Stalinist One': GoogleFonts.stalinistOneTextTheme,
        'Stardos Stencil': GoogleFonts.stardosStencilTextTheme,
        'Stick': GoogleFonts.stickTextTheme,
        'Stick No Bills': GoogleFonts.stickNoBillsTextTheme,
        'Stint Ultra Condensed': GoogleFonts.stintUltraCondensedTextTheme,
        'Stint Ultra Expanded': GoogleFonts.stintUltraExpandedTextTheme,
        'Stoke': GoogleFonts.stokeTextTheme,
        'Strait': GoogleFonts.straitTextTheme,
        'Style Script': GoogleFonts.styleScriptTextTheme,
        'Stylish': GoogleFonts.stylishTextTheme,
        'Sue Ellen Francisco': GoogleFonts.sueEllenFranciscoTextTheme,
        'Suez One': GoogleFonts.suezOneTextTheme,
        'Sulphur Point': GoogleFonts.sulphurPointTextTheme,
        'Sumana': GoogleFonts.sumanaTextTheme,
        'Sunflower': GoogleFonts.sunflowerTextTheme,
        'Sunshiney': GoogleFonts.sunshineyTextTheme,
        'Supermercado One': GoogleFonts.supermercadoOneTextTheme,
        'Sura': GoogleFonts.suraTextTheme,
        'Suranna': GoogleFonts.surannaTextTheme,
        'Suravaram': GoogleFonts.suravaramTextTheme,
        'Suwannaphum': GoogleFonts.suwannaphumTextTheme,
        'Swanky and Moo Moo': GoogleFonts.swankyAndMooMooTextTheme,
        'Syncopate': GoogleFonts.syncopateTextTheme,
        'Syne': GoogleFonts.syneTextTheme,
        'Syne Mono': GoogleFonts.syneMonoTextTheme,
        'Syne Tactile': GoogleFonts.syneTactileTextTheme,
        'Tai Heritage Pro': GoogleFonts.taiHeritageProTextTheme,
        'Tajawal': GoogleFonts.tajawalTextTheme,
        'Tangerine': GoogleFonts.tangerineTextTheme,
        'Tapestry': GoogleFonts.tapestryTextTheme,
        'Taprom': GoogleFonts.tapromTextTheme,
        'Tauri': GoogleFonts.tauriTextTheme,
        'Taviraj': GoogleFonts.tavirajTextTheme,
        'Teko': GoogleFonts.tekoTextTheme,
        'Telex': GoogleFonts.telexTextTheme,
        'Tenali Ramakrishna': GoogleFonts.tenaliRamakrishnaTextTheme,
        'Tenor Sans': GoogleFonts.tenorSansTextTheme,
        'Text Me One': GoogleFonts.textMeOneTextTheme,
        'Texturina': GoogleFonts.texturinaTextTheme,
        'Thasadith': GoogleFonts.thasadithTextTheme,
        'The Girl Next Door': GoogleFonts.theGirlNextDoorTextTheme,
        'The Nautigal': GoogleFonts.theNautigalTextTheme,
        'Tienne': GoogleFonts.tienneTextTheme,
        'Tillana': GoogleFonts.tillanaTextTheme,
        'Tilt Neon': GoogleFonts.tiltNeonTextTheme,
        'Tilt Prism': GoogleFonts.tiltPrismTextTheme,
        'Tilt Warp': GoogleFonts.tiltWarpTextTheme,
        'Timmana': GoogleFonts.timmanaTextTheme,
        'Tinos': GoogleFonts.tinosTextTheme,
        'Tiro Bangla': GoogleFonts.tiroBanglaTextTheme,
        'Tiro Devanagari Hindi': GoogleFonts.tiroDevanagariHindiTextTheme,
        'Tiro Devanagari Marathi': GoogleFonts.tiroDevanagariMarathiTextTheme,
        'Tiro Devanagari Sanskrit': GoogleFonts.tiroDevanagariSanskritTextTheme,
        'Tiro Gurmukhi': GoogleFonts.tiroGurmukhiTextTheme,
        'Tiro Kannada': GoogleFonts.tiroKannadaTextTheme,
        'Tiro Tamil': GoogleFonts.tiroTamilTextTheme,
        'Tiro Telugu': GoogleFonts.tiroTeluguTextTheme,
        'Titan One': GoogleFonts.titanOneTextTheme,
        'Titillium Web': GoogleFonts.titilliumWebTextTheme,
        'Tomorrow': GoogleFonts.tomorrowTextTheme,
        'Tourney': GoogleFonts.tourneyTextTheme,
        'Trade Winds': GoogleFonts.tradeWindsTextTheme,
        'Train One': GoogleFonts.trainOneTextTheme,
        'Trirong': GoogleFonts.trirongTextTheme,
        'Trispace': GoogleFonts.trispaceTextTheme,
        'Trocchi': GoogleFonts.trocchiTextTheme,
        'Trochut': GoogleFonts.trochutTextTheme,
        'Truculenta': GoogleFonts.truculentaTextTheme,
        'Trykker': GoogleFonts.trykkerTextTheme,
        'Tulpen One': GoogleFonts.tulpenOneTextTheme,
        'Turret Road': GoogleFonts.turretRoadTextTheme,
        'Twinkle Star': GoogleFonts.twinkleStarTextTheme,
        'Ubuntu': GoogleFonts.ubuntuTextTheme,
        'Ubuntu Condensed': GoogleFonts.ubuntuCondensedTextTheme,
        'Ubuntu Mono': GoogleFonts.ubuntuMonoTextTheme,
        'Uchen': GoogleFonts.uchenTextTheme,
        'Ultra': GoogleFonts.ultraTextTheme,
        'Unbounded': GoogleFonts.unboundedTextTheme,
        'Uncial Antiqua': GoogleFonts.uncialAntiquaTextTheme,
        'Underdog': GoogleFonts.underdogTextTheme,
        'Unica One': GoogleFonts.unicaOneTextTheme,
        'UnifrakturCook': GoogleFonts.unifrakturCookTextTheme,
        'UnifrakturMaguntia': GoogleFonts.unifrakturMaguntiaTextTheme,
        'Unkempt': GoogleFonts.unkemptTextTheme,
        'Unlock': GoogleFonts.unlockTextTheme,
        'Unna': GoogleFonts.unnaTextTheme,
        'Updock': GoogleFonts.updockTextTheme,
        'Urbanist': GoogleFonts.urbanistTextTheme,
        'VT323': GoogleFonts.vt323TextTheme,
        'Vampiro One': GoogleFonts.vampiroOneTextTheme,
        'Varela': GoogleFonts.varelaTextTheme,
        'Varela Round': GoogleFonts.varelaRoundTextTheme,
        'Varta': GoogleFonts.vartaTextTheme,
        'Vast Shadow': GoogleFonts.vastShadowTextTheme,
        'Vazirmatn': GoogleFonts.vazirmatnTextTheme,
        'Vesper Libre': GoogleFonts.vesperLibreTextTheme,
        'Viaoda Libre': GoogleFonts.viaodaLibreTextTheme,
        'Vibes': GoogleFonts.vibesTextTheme,
        'Vibur': GoogleFonts.viburTextTheme,
        'Vidaloka': GoogleFonts.vidalokaTextTheme,
        'Viga': GoogleFonts.vigaTextTheme,
        'Vina Sans': GoogleFonts.vinaSansTextTheme,
        'Voces': GoogleFonts.vocesTextTheme,
        'Volkhov': GoogleFonts.volkhovTextTheme,
        'Vollkorn': GoogleFonts.vollkornTextTheme,
        'Vollkorn SC': GoogleFonts.vollkornScTextTheme,
        'Voltaire': GoogleFonts.voltaireTextTheme,
        'Vujahday Script': GoogleFonts.vujahdayScriptTextTheme,
        'Waiting for the Sunrise': GoogleFonts.waitingForTheSunriseTextTheme,
        'Wallpoet': GoogleFonts.wallpoetTextTheme,
        'Walter Turncoat': GoogleFonts.walterTurncoatTextTheme,
        'Warnes': GoogleFonts.warnesTextTheme,
        'Water Brush': GoogleFonts.waterBrushTextTheme,
        'Waterfall': GoogleFonts.waterfallTextTheme,
        'Wellfleet': GoogleFonts.wellfleetTextTheme,
        'Wendy One': GoogleFonts.wendyOneTextTheme,
        'Whisper': GoogleFonts.whisperTextTheme,
        'WindSong': GoogleFonts.windSongTextTheme,
        'Wire One': GoogleFonts.wireOneTextTheme,
        'Wix Madefor Display': GoogleFonts.wixMadeforDisplayTextTheme,
        'Wix Madefor Text': GoogleFonts.wixMadeforTextTextTheme,
        'Work Sans': GoogleFonts.workSansTextTheme,
        'Xanh Mono': GoogleFonts.xanhMonoTextTheme,
        'Yaldevi': GoogleFonts.yaldeviTextTheme,
        'Yanone Kaffeesatz': GoogleFonts.yanoneKaffeesatzTextTheme,
        'Yantramanav': GoogleFonts.yantramanavTextTheme,
        'Yatra One': GoogleFonts.yatraOneTextTheme,
        'Yellowtail': GoogleFonts.yellowtailTextTheme,
        'Yeon Sung': GoogleFonts.yeonSungTextTheme,
        'Yeseva One': GoogleFonts.yesevaOneTextTheme,
        'Yesteryear': GoogleFonts.yesteryearTextTheme,
        'Yomogi': GoogleFonts.yomogiTextTheme,
        'Yrsa': GoogleFonts.yrsaTextTheme,
        'Ysabeau': GoogleFonts.ysabeauTextTheme,
        'Yuji Boku': GoogleFonts.yujiBokuTextTheme,
        'Yuji Mai': GoogleFonts.yujiMaiTextTheme,
        'Yuji Syuku': GoogleFonts.yujiSyukuTextTheme,
        'Yusei Magic': GoogleFonts.yuseiMagicTextTheme,
        'ZCOOL KuaiLe': GoogleFonts.zcoolKuaiLeTextTheme,
        'ZCOOL QingKe HuangYou': GoogleFonts.zcoolQingKeHuangYouTextTheme,
        'ZCOOL XiaoWei': GoogleFonts.zcoolXiaoWeiTextTheme,
        'Zen Antique': GoogleFonts.zenAntiqueTextTheme,
        'Zen Antique Soft': GoogleFonts.zenAntiqueSoftTextTheme,
        'Zen Dots': GoogleFonts.zenDotsTextTheme,
        'Zen Kaku Gothic Antique': GoogleFonts.zenKakuGothicAntiqueTextTheme,
        'Zen Kaku Gothic New': GoogleFonts.zenKakuGothicNewTextTheme,
        'Zen Kurenaido': GoogleFonts.zenKurenaidoTextTheme,
        'Zen Loop': GoogleFonts.zenLoopTextTheme,
        'Zen Maru Gothic': GoogleFonts.zenMaruGothicTextTheme,
        'Zen Old Mincho': GoogleFonts.zenOldMinchoTextTheme,
        'Zen Tokyo Zoo': GoogleFonts.zenTokyoZooTextTheme,
        'Zeyada': GoogleFonts.zeyadaTextTheme,
        'Zhi Mang Xing': GoogleFonts.zhiMangXingTextTheme,
        'Zilla Slab': GoogleFonts.zillaSlabTextTheme,
        'Zilla Slab Highlight': GoogleFonts.zillaSlabHighlightTextTheme,
      };

  /// Retrieve a font by family name.
  ///
  /// Applies the given font family from Google Fonts to the given [textStyle]
  /// and returns the resulting [TextStyle].
  ///
  /// Note: [fontFamily] is case-sensitive.
  ///
  /// Parameter [fontFamily] must not be `null`. Throws if no font by name
  /// [fontFamily] exists.
  static TextStyle getFont(
    String fontFamily, {
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = GoogleFonts.asMap();
    if (!fonts.containsKey(fontFamily)) {
      throw Exception("No font family by name '$fontFamily' was found.");
    }
    return fonts[fontFamily]!(
      textStyle: textStyle,
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
    );
  }

  /// Retrieve a text theme by its font family name.
  ///
  /// Applies the given font family from Google Fonts to the given [textTheme]
  /// and returns the resulting [textTheme].
  ///
  /// Note: [fontFamily] is case-sensitive.
  ///
  /// Parameter [fontFamily] must not be `null`. Throws if no font by name
  /// [fontFamily] exists.
  static TextTheme getTextTheme(String fontFamily, [TextTheme? textTheme]) {
    final fonts = _asMapOfTextThemes();
    if (!fonts.containsKey(fontFamily)) {
      throw Exception("No font family by name '$fontFamily' was found.");
    }
    return fonts[fontFamily]!(textTheme);
  }

  /// Applies the ABeeZee font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/ABeeZee
  static TextStyle aBeeZee({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4ed0069c1454d476c52e8d8c43ffdbdd648c6a3d382da8cf078b3bb45ff82479',
        30600,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fb76fef50d4920b8ae51fa41329989b7dff2d0f0208d37b34127645a85352fa2',
        32116,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ABeeZee',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the ABeeZee font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/ABeeZee
  static TextTheme aBeeZeeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.aBeeZee(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.aBeeZee(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.aBeeZee(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.aBeeZee(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.aBeeZee(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.aBeeZee(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.aBeeZee(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.aBeeZee(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.aBeeZee(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.aBeeZee(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.aBeeZee(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.aBeeZee(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.aBeeZee(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.aBeeZee(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.aBeeZee(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Abel font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Abel
  static TextStyle abel({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fbef0740397e2ca38a05f204f7129be38b2ab6bb3994a69e14d3a245e489aece',
        32648,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Abel',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Abel font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Abel
  static TextTheme abelTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.abel(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.abel(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.abel(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.abel(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.abel(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.abel(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.abel(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.abel(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.abel(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.abel(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.abel(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.abel(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.abel(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.abel(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.abel(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Abhaya Libre font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Abhaya+Libre
  static TextStyle abhayaLibre({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '50e5cb049d0e3e04e498852e95102fe5883c78e1f92b34455e8ee053826f9c66',
        260860,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '84a6d3b4e0c34e7d6250b09a7e403e729d20b11d9d9b2cbd9cccd39ea2d95ce9',
        260976,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fc5ba43fd560019994cbef12d484793b0bb0ec58ea16c1964d342caec8023346',
        260144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '668223a249ceff3d577d8e116471dfaf79440271ba99b3f5fd74aba6260ef866',
        259828,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0a2994a83922a275a5e31d364a484804f3c98a6ee47106b8d3a7cfe0d981a548',
        259032,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AbhayaLibre',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Abhaya Libre font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Abhaya+Libre
  static TextTheme abhayaLibreTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.abhayaLibre(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.abhayaLibre(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.abhayaLibre(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.abhayaLibre(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.abhayaLibre(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.abhayaLibre(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.abhayaLibre(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.abhayaLibre(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.abhayaLibre(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.abhayaLibre(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.abhayaLibre(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.abhayaLibre(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.abhayaLibre(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.abhayaLibre(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.abhayaLibre(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Aboreto font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Aboreto
  static TextStyle aboreto({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0077414ca4d77ab34c9aaae57c9b5de9e28b475d0ca8bcd9af3da80ffdad2726',
        34204,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Aboreto',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Aboreto font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Aboreto
  static TextTheme aboretoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.aboreto(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.aboreto(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.aboreto(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.aboreto(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.aboreto(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.aboreto(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.aboreto(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.aboreto(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.aboreto(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.aboreto(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.aboreto(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.aboreto(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.aboreto(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.aboreto(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.aboreto(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Abril Fatface font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Abril+Fatface
  static TextStyle abrilFatface({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9c67883c76234315fcefa9a0a99620e0818f0b7a3fa98634bcb7935a18c61e92',
        56208,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AbrilFatface',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Abril Fatface font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Abril+Fatface
  static TextTheme abrilFatfaceTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.abrilFatface(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.abrilFatface(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.abrilFatface(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.abrilFatface(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.abrilFatface(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.abrilFatface(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.abrilFatface(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.abrilFatface(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.abrilFatface(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.abrilFatface(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.abrilFatface(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.abrilFatface(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.abrilFatface(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.abrilFatface(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.abrilFatface(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Abyssinica SIL font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Abyssinica+SIL
  static TextStyle abyssinicaSil({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '24c82694d36fa880dfd9972fae017e9f5ef8506b62562ef6918e2c2364c47336',
        210132,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AbyssinicaSIL',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Abyssinica SIL font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Abyssinica+SIL
  static TextTheme abyssinicaSilTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.abyssinicaSil(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.abyssinicaSil(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.abyssinicaSil(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.abyssinicaSil(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.abyssinicaSil(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.abyssinicaSil(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.abyssinicaSil(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.abyssinicaSil(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.abyssinicaSil(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.abyssinicaSil(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.abyssinicaSil(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.abyssinicaSil(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.abyssinicaSil(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.abyssinicaSil(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.abyssinicaSil(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Aclonica font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Aclonica
  static TextStyle aclonica({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd08d5411909adfa9d768acc3fe8f0251bfa60ba7733280d9303c246485d09425',
        53112,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Aclonica',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Aclonica font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Aclonica
  static TextTheme aclonicaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.aclonica(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.aclonica(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.aclonica(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.aclonica(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.aclonica(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.aclonica(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.aclonica(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.aclonica(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.aclonica(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.aclonica(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.aclonica(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.aclonica(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.aclonica(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.aclonica(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.aclonica(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Acme font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Acme
  static TextStyle acme({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bcee0555968b2f5a138a387888020ead2e9adb025b1fd6cca3b00276f055d7b9',
        21392,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Acme',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Acme font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Acme
  static TextTheme acmeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.acme(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.acme(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.acme(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.acme(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.acme(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.acme(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.acme(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.acme(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.acme(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.acme(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.acme(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.acme(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.acme(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.acme(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.acme(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Actor font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Actor
  static TextStyle actor({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '62d4580d4d42de39d74b4087814e559b5480f30604b8d5d2929f391cda48adda',
        32508,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Actor',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Actor font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Actor
  static TextTheme actorTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.actor(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.actor(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.actor(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.actor(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.actor(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.actor(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.actor(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.actor(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.actor(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.actor(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.actor(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.actor(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.actor(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.actor(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.actor(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Adamina font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Adamina
  static TextStyle adamina({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e123026cff37baee8a9e66a14d3cb57d9a5e1c7cebc75b143e4955e88e6be1a3',
        34172,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Adamina',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Adamina font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Adamina
  static TextTheme adaminaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.adamina(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.adamina(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.adamina(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.adamina(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.adamina(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.adamina(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.adamina(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.adamina(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.adamina(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.adamina(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.adamina(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.adamina(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.adamina(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.adamina(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.adamina(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Advent Pro font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Advent+Pro
  static TextStyle adventPro({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ce9979c234e0c1d90b25e8f06c704ee0d4fafbd5780ef53af53854ed0d2ecf7b',
        73416,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '44745309e74f60336bf767486ea83d1daecca1a4c3cc6c187e7aa2e66c37aa86',
        73488,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '873394e2e6e4a503b7593cda8746f9c1f61034a77b1f35d0ee4a14025ebbe1eb',
        73408,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4475c155bc812d4535ab7a44b0095deb79b39d3860593bc966daacc48b9dc357',
        73280,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2e274ea9646fcab15479a2cae0fe8eb55d61d8c920a7e8b82d8cbff7b01caec5',
        73344,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '914754a0ce423ac0e90086e08073d64c82fea1ec9c1ac35a5af6379e5590db41',
        73264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1ccce1cb87e81b241a1923736ae45f7bc658ce86338f46fd676a04e425156254',
        73108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5d4a861e60b254b10cd4be99651f41b80a7dd8a2f8df94809ad9e0d40be881ba',
        73148,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '749f44093f9065ddfa3b269f7e44ed44d6e0ee65f85ccce4103351e53699cf72',
        73060,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '77572ed292e6ba3e3c2b1413686e87f2c434788d0948f3fccb0daf7eab3bb3b8',
        75344,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '41afdee12b798dd2dfddc8230cb464e17aa6051b4552cb4daef8b711a8deb55f',
        75428,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '65e27b22430388822c79c9b428693e3e19dea2d66d4e4dc38879801c6b0ec628',
        75340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1e5b30a3be8d527cd77118615060ad8e7d7c9d120f5ec32c185003a1a39a2c4f',
        75148,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c30ec5e46e6fb31b0bde1713e6c3a5e3bb2a796d99d8f57bd8f00c837240ff31',
        75252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8e9304db5e4ed5c6fd04b94ce950c1fdb2f1f250818ee3928ee06d3ea113544c',
        75180,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e9d1960f44afb72dde461712bd4b82734a2277aa31ce63778631e1250d0eb7c4',
        75000,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '772ac0b0c9c05860dd6a06e828d65461b628161680834b1fab49cd7cf81f9d2d',
        75088,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e915394d19e431a81af5f5687a06bbf292a1b4bba8719fea121a9dd0214cf9a4',
        74964,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AdventPro',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Advent Pro font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Advent+Pro
  static TextTheme adventProTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.adventPro(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.adventPro(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.adventPro(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.adventPro(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.adventPro(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.adventPro(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.adventPro(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.adventPro(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.adventPro(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.adventPro(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.adventPro(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.adventPro(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.adventPro(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.adventPro(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.adventPro(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Aguafina Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Aguafina+Script
  static TextStyle aguafinaScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '67d457ebe8c906c7a08c078f6e2b8334724664ebd83cdcc015444afd7bc947f1',
        44884,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AguafinaScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Aguafina Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Aguafina+Script
  static TextTheme aguafinaScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.aguafinaScript(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.aguafinaScript(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.aguafinaScript(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.aguafinaScript(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.aguafinaScript(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.aguafinaScript(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.aguafinaScript(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.aguafinaScript(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.aguafinaScript(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.aguafinaScript(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.aguafinaScript(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.aguafinaScript(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.aguafinaScript(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.aguafinaScript(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.aguafinaScript(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Akaya Kanadaka font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Akaya+Kanadaka
  static TextStyle akayaKanadaka({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ae7b926a2c06f3a871d8f8927aee721c0caaa9a0b8193531c2c7c919d4ff6e8a',
        204196,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AkayaKanadaka',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Akaya Kanadaka font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Akaya+Kanadaka
  static TextTheme akayaKanadakaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.akayaKanadaka(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.akayaKanadaka(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.akayaKanadaka(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.akayaKanadaka(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.akayaKanadaka(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.akayaKanadaka(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.akayaKanadaka(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.akayaKanadaka(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.akayaKanadaka(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.akayaKanadaka(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.akayaKanadaka(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.akayaKanadaka(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.akayaKanadaka(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.akayaKanadaka(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.akayaKanadaka(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Akaya Telivigala font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Akaya+Telivigala
  static TextStyle akayaTelivigala({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '69b20a196e4a5f48efc33d7ec372bb02a6bc4cadbe3600b7341bccbefd8ad707',
        319968,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AkayaTelivigala',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Akaya Telivigala font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Akaya+Telivigala
  static TextTheme akayaTelivigalaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.akayaTelivigala(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.akayaTelivigala(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.akayaTelivigala(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.akayaTelivigala(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.akayaTelivigala(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.akayaTelivigala(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.akayaTelivigala(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.akayaTelivigala(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.akayaTelivigala(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.akayaTelivigala(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.akayaTelivigala(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.akayaTelivigala(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.akayaTelivigala(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.akayaTelivigala(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.akayaTelivigala(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Akronim font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Akronim
  static TextStyle akronim({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2092a1a3699c69bb9776d37189bc8601dbdf4546f015d3c2c2cc826eb5162915',
        105652,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Akronim',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Akronim font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Akronim
  static TextTheme akronimTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.akronim(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.akronim(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.akronim(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.akronim(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.akronim(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.akronim(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.akronim(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.akronim(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.akronim(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.akronim(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.akronim(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.akronim(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.akronim(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.akronim(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.akronim(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Akshar font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Akshar
  static TextStyle akshar({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0e820b80836bfafb14d1822dca072524922ae409262897b87489fe315d9221dd',
        119084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7786a61b9b2b2457b6513aabd5b8122998d08aaed1de65d7c971276481ab320c',
        119740,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1488c52e8afd8271fbe50d5b59b9db44b176c54368b69a579eb8853fa284748b',
        119900,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fb2bf224538ec29047717b92ce3cae90a2f1102d252a1afe7af5bb96485b939b',
        120052,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ca1c65c76e3be7226d31d3d59a9aaa0f6d85e71be8837472bea4eb92b126213c',
        120000,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Akshar',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Akshar font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Akshar
  static TextTheme aksharTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.akshar(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.akshar(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.akshar(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.akshar(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.akshar(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.akshar(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.akshar(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.akshar(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.akshar(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.akshar(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.akshar(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.akshar(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.akshar(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.akshar(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.akshar(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Aladin font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Aladin
  static TextStyle aladin({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '55d0d65ec7e0251db1d8e2f46bb9ee8ec36ad55237f1c834897e75a9a75ba405',
        39832,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Aladin',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Aladin font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Aladin
  static TextTheme aladinTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.aladin(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.aladin(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.aladin(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.aladin(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.aladin(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.aladin(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.aladin(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.aladin(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.aladin(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.aladin(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.aladin(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.aladin(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.aladin(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.aladin(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.aladin(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Alata font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alata
  static TextStyle alata({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4d6d1a876ec561e28b937360e72c7a923c4e70d6b296d0e02ab975f905541542',
        63888,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Alata',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Alata font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alata
  static TextTheme alataTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.alata(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.alata(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.alata(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.alata(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.alata(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.alata(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.alata(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.alata(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.alata(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.alata(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.alata(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.alata(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.alata(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.alata(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.alata(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Alatsi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alatsi
  static TextStyle alatsi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9d0fb3f76a4356859b1290a86bdcaa2d07b4924e58af54062df6a7e4c4f62689',
        88900,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Alatsi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Alatsi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alatsi
  static TextTheme alatsiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.alatsi(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.alatsi(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.alatsi(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.alatsi(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.alatsi(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.alatsi(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.alatsi(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.alatsi(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.alatsi(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.alatsi(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.alatsi(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.alatsi(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.alatsi(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.alatsi(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.alatsi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Albert Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Albert+Sans
  static TextStyle albertSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '54a007a5eea0c9be80b85b85de65b5757e40a53f181ac48237113e0908a9fbe1',
        44564,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1443a5a2128ccf4625103e26180132ae5d10677582e66ff7bc8dbe9737241047',
        44668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0a9f40c255e15a8d81c58c9c0fe8d46156a765d3db6a4bde0547323070a62c73',
        44620,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7ed6dcdfccb8a8593acc745f79d66fb2cd6131781c13e413c1289f2744062615',
        44560,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '86c35dcde6fd6a3c6589330b2f873d22744f87ec2b77e5d55af7e2a5695720c9',
        44552,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4ea4bf6b0777a9eaf35b3b50fac8c7cab4477f590e23ef4a51fb0c8afbfad306',
        44532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9a50f6ec5ee4075a430aa437152f8c25b35720aab417d581a147a4d255f79362',
        44472,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1bd44561e7627a1e41ac1053ee90bdd610500dab5af4546ea0fe8dc5cb845018',
        44604,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bd782f1f4887e9191885e6517f136e00797ab8668b2585e23c826cfda536a6ed',
        44572,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e1ec42a421e5df094bb01c478404ac97a84df568d33aec4226d57859f23db71d',
        49676,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e8b8b885a0d01a5f3ced4a14af18bd528716bade127c6c88a82fcff8ef4a0f05',
        49744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '68729606728a20b565eb14c81f0fd5a121d29367fa7a2be5554ea0d266a6c088',
        49672,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '68d5a3d5b302916f065bf9973c8c34f5479b85ee50254c4c62ee0fd7db9155b8',
        49532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '475a8e1c14248e5028486de3a8fad10f76346615046b7a65dce32b8abd9b2b44',
        49632,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1dac8f43b181aac125a8ad2e138b2aed82b7fec8c2b416b4436a2007699f43b3',
        49624,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '975996804e4e42b5a43e7f0a76df4a33e3337c084b656fd0f10d2c8e02826cbf',
        49524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '48fcb6eb47b8977312fd817bba291a293c5af817318066863b2fd6e5d57db786',
        49676,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e4496eb28e10ee5a255f8e863f962424cc2a34b510c480f4b6625b59b943fd63',
        49596,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AlbertSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Albert Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Albert+Sans
  static TextTheme albertSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.albertSans(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.albertSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.albertSans(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.albertSans(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.albertSans(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.albertSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.albertSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.albertSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.albertSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.albertSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.albertSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.albertSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.albertSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.albertSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.albertSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Aldrich font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Aldrich
  static TextStyle aldrich({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b0d9febf96b39ccb564cc9710fa842a7bf1e8abd45fad6615cfb788fc17a13d5',
        25440,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Aldrich',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Aldrich font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Aldrich
  static TextTheme aldrichTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.aldrich(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.aldrich(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.aldrich(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.aldrich(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.aldrich(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.aldrich(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.aldrich(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.aldrich(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.aldrich(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.aldrich(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.aldrich(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.aldrich(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.aldrich(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.aldrich(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.aldrich(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Alef font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alef
  static TextStyle alef({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '34ced41c88a6c966490ce1a85c40eab4c9fdb1d6f20114da8edba261c0180a55',
        57172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6c0fdebc49a6f30dd1912bf2f08920758704b733176699bf177607ce23ba91a0',
        58820,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Alef',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Alef font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alef
  static TextTheme alefTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.alef(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.alef(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.alef(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.alef(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.alef(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.alef(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.alef(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.alef(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.alef(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.alef(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.alef(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.alef(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.alef(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.alef(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.alef(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Alegreya font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alegreya
  static TextStyle alegreya({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '52c57d4634c08bab444b3085533c5ed72f8141117b91fc2a19e55d8b9c82c1b3',
        161920,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd66315f95dd17004927b3ac5a5a0b15678cd999e297b99d083a411b3553fea4c',
        163388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2864185324c76741f7618c96d513ef421135641952ac00dde808487815895afd',
        164720,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '82b4aeeafcf5e3ac0b94879dab79d8aa6e345e853d8cc3675e2f57df7fbd1edc',
        164572,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '28df28c4851b91d886c22780862fecac37153fdf62e261e9254573342aa294f4',
        165184,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4e36cfcb5d3c2171cd4f3990fc6b3319cc942a153323d95f5571c81655c540cf',
        164696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f3cd48dd98aca02a49f3d5135507c9d12443105d88c20f71e1f2e8be397a3515',
        161024,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e60a185aa31508f057243142a3956e9f4f0c307306d2461544a96bf2f35b5ec7',
        162076,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '66d923f19d7409efed07b734d0b023f3ca54fb92659bee394fbda3af37678be5',
        162056,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '55c6b7ea58482a974a6219f5712f968772b09dda3cc5cdef27c85e267b826170',
        163596,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '50dfff4b0a2a1ca0fa3801c41505b7f3df28e345ffc2ad497df6552602867045',
        164208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '60f00096645be3a965344cb0e383661ec693e9bec7e31a9c8cfb4045690dec69',
        163748,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Alegreya',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Alegreya font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alegreya
  static TextTheme alegreyaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.alegreya(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.alegreya(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.alegreya(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.alegreya(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.alegreya(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.alegreya(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.alegreya(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.alegreya(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.alegreya(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.alegreya(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.alegreya(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.alegreya(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.alegreya(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.alegreya(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.alegreya(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Alegreya SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alegreya+SC
  static TextStyle alegreyaSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c9484a508b55eb8eb6e8cecce0a0dd01b22893def0247245c207c2d3557f4520',
        221956,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ad1445afc298d8dcc5e5375ed0701fc5ecdee507a66e6711b49f7c16f6c51475',
        228040,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '70149b5096ea2f1019a9275f544ea40aa0b6c6de9e0af224d2db64860d0cb595',
        221400,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '380cbbdb49a7920b1c64fd52d9cec0d845a90081379f3e311718e8236c096d77',
        226976,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5d72f0cbf01d553236b99c25b7d93c4f7dfa376b5ea2b9a68d0fb9fc8978574a',
        218680,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '220bf264f4dc23ee359a69242cd3be905a01654bbe5787ec686d66d0bb84d366',
        225592,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2cd28305dde134872ff3b095b19da66fa34cc358400769b2a129b2c7c8ef3d87',
        217252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '66b4862bee541f0b94f90af2a20d0f2f890118fa443d2b215166b2970ffb551f',
        220544,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2a7cde33f7f214537e307b01bcf3346929a345550221574af80e5cb03bfc9077',
        214424,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0db199068d1a0890c97023f7eca9ac3899099f7ad3af2b646ed75a1f8bc34ab7',
        219916,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AlegreyaSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Alegreya SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alegreya+SC
  static TextTheme alegreyaScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.alegreyaSc(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.alegreyaSc(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.alegreyaSc(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.alegreyaSc(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.alegreyaSc(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.alegreyaSc(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.alegreyaSc(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.alegreyaSc(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.alegreyaSc(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.alegreyaSc(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.alegreyaSc(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.alegreyaSc(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.alegreyaSc(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.alegreyaSc(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.alegreyaSc(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Alegreya Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alegreya+Sans
  static TextStyle alegreyaSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8d0e59e05f84bec4ce68d241dbdfa8b1eeff985301ae04cd22c8c514abf77b9d',
        124052,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'bac8ce3d4443fed88ec013859456317a1ad8d24e8b2d7c9b377afaa15ec637d3',
        129040,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '698c3b511f6218fcd375d39c3f8c74d7a6761087e679758027ea5fe066e9243a',
        126780,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e83c8c6689a19ca21cee0a46a616d85bdbd8d71a3cb7c50f68afd25a65d1ccfe',
        129828,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c204b2f8ad4a91b88b6217b24e5deb10eff4307677899d187280e79a361ab533',
        126856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fed2193199a6365ae0d55f324b29056944d3f98b228eb4ac70a1425a3a636f5a',
        129460,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '71dedcf7e6714c202080ec7669e3e5e933884f389078001f14d3a9dcbfb8acc0',
        127264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5b3a79ce30711cd50ca94d33b2404f154206d01c0274e3d31e27d6846cbc2fd7',
        130636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f64b022e8b5109439835bf42f246086abba5106a9aba190c4cfd1ed6691438d8',
        127144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4b2eb1030f4dcc0c08db2633f56b838456106f838c6e701296f3c537ed35c70b',
        130300,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a14f7bc1d806ae9f704637e7f7a916e82e09f44726e9b706ef83a7365cda3118',
        127160,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'eace86cda23b5d42c8b1a946bd5c38b9cd874b9cf8c3fbe1900b2bdfa55f0546',
        130176,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2989679eb764c7070e7eb56ca862f49282ca3cc1f1c5d90756ffd91b1327739e',
        125248,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a877fb889f6aa458ea1e321773121959a8a8278a715ac5a30f3fbdf39d8a1b3e',
        128996,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AlegreyaSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Alegreya Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alegreya+Sans
  static TextTheme alegreyaSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.alegreyaSans(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.alegreyaSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.alegreyaSans(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.alegreyaSans(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.alegreyaSans(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.alegreyaSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.alegreyaSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.alegreyaSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.alegreyaSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.alegreyaSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.alegreyaSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.alegreyaSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.alegreyaSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.alegreyaSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.alegreyaSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Alegreya Sans SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alegreya+Sans+SC
  static TextStyle alegreyaSansSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fa96c9ec18d4b6f4b3bf6668d7c8121e41c9089164331136c6f5bb48a4a42208',
        151440,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '297426e98a068ad1b58b52361173181330392de38d707821000888b2b60c90db',
        155464,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd27609d8069136c03abbb6960fb8138ddf4068023fc89f9e80b52a4e19d92c69',
        155284,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8afd38384720cacbeb72732f5935c538d4f1b21803d37382a71a2d0f545644bc',
        156796,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '80d79bf445e7110b689cb486b7a54978b6a059c06a92e78dcfe07c2164e616a8',
        156572,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0e4f6f8a6c630a226b85f22c76da36a6f961d2cabd26d9819bfb549097a28005',
        156828,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4f7e7fec167c7c04b9e9c0517b3061d678beaa4f248357c3931f4473bf6d50d0',
        156876,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1a7e871c8804c9a0df56d003af691ee74248d1d77d8c331ca416ec5b275a8820',
        157932,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '53a2a550eebec78401ad84f14e720d5b07cf31735d2814daea83c3e36a205a14',
        157436,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '51f31cee882b2adc11d69ebe07a0bf2d5eb916cdd058d2aea6f13fd45699a44e',
        157784,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c810a1642e52acf2fc2eb88c32dc7aae8d45cb3d4debfd46d9019688f8da30ce',
        157688,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd850a11abcaad9887ad4dbf359e7d56e92935d449ea2d282fd7b8ed203b3dc34',
        158468,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0d5566617757a1e2ca2ca8934938d246b1bcc7eec37d4abf64faa199d5dd211b',
        156868,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '27ee0cca89ca354a1bdeeafa2dd46712f106eb0152b45ce96b2ca44279f4cbc6',
        158056,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AlegreyaSansSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Alegreya Sans SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alegreya+Sans+SC
  static TextTheme alegreyaSansScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.alegreyaSansSc(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.alegreyaSansSc(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.alegreyaSansSc(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.alegreyaSansSc(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.alegreyaSansSc(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.alegreyaSansSc(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.alegreyaSansSc(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.alegreyaSansSc(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.alegreyaSansSc(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.alegreyaSansSc(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.alegreyaSansSc(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.alegreyaSansSc(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.alegreyaSansSc(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.alegreyaSansSc(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.alegreyaSansSc(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Aleo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Aleo
  static TextStyle aleo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f1ed2ab50bb0cbcdfdaa8a17794451274a0eef72d5999ffb1a67fac0919bad37',
        35800,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd173d2b99e2112fbb3377e7b00e8ab1e378f088d37101d53f32a2380741b29db',
        45124,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '810f3506e12833adc40f85683b0e48e7ab95c58bfb9d6897b05816d7af1d5f3e',
        65892,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '53979c3561ba3e33e60e1470fec4bff2ef9a708ccee2d116359d31ee669c68e9',
        68788,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6d23aaa77877b2c671ea9971643323fcf507d28dc66a6a21e6406ba5601097f6',
        60744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6472c795d6d5a1324555750ba1402c98d84c262f9413c91d94c055b635ed8c1f',
        64516,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Aleo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Aleo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Aleo
  static TextTheme aleoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.aleo(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.aleo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.aleo(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.aleo(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.aleo(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.aleo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.aleo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.aleo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.aleo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.aleo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.aleo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.aleo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.aleo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.aleo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.aleo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Alex Brush font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alex+Brush
  static TextStyle alexBrush({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '20f20a3ed637f2b0ec78effca5e4d8d1544a18129a6c184eaefd1a16b6e4a03b',
        76384,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AlexBrush',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Alex Brush font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alex+Brush
  static TextTheme alexBrushTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.alexBrush(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.alexBrush(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.alexBrush(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.alexBrush(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.alexBrush(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.alexBrush(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.alexBrush(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.alexBrush(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.alexBrush(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.alexBrush(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.alexBrush(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.alexBrush(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.alexBrush(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.alexBrush(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.alexBrush(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Alexandria font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alexandria
  static TextStyle alexandria({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9b6815b2a80bef6cc7cf1417bf0ab1da07b35a5895091ae968ad5a1dd6fbdf4c',
        101496,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dbc709565e116d6f45ad3197c34bdc2737ae422cc26a70958b7ab6fb48d3e2aa',
        101972,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e4ecf07ee412d45628ac91a1c08fceb01fa188b4f5044bccf5f7702beb881cde',
        101936,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2e3111e55cca474072cf85b56df2df4d48874c2666a2d3b57c2613ccd7606a9b',
        101580,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7d3fdc9002c28252eac2c6e012b1213e70c801b1ec542d476a34f4753ea27143',
        102848,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a41df93995df23aca1d67fef8887eb48280ff7e6ebde4e2e7185fdcb63ddccdc',
        102956,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '640f146379762b2692dd459ae6e2530f75f01d9aaf3e928b9f8c3c12882dbf63',
        102888,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '684a064f3030d179ae1a1e995f0814ac85d8044228291a831963bed424b3065c',
        102936,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7ebd3f2bda7cadbd784b284dece25740d21c8b88cb2e24e5a85a77c0303f419c',
        102720,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Alexandria',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Alexandria font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alexandria
  static TextTheme alexandriaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.alexandria(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.alexandria(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.alexandria(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.alexandria(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.alexandria(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.alexandria(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.alexandria(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.alexandria(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.alexandria(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.alexandria(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.alexandria(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.alexandria(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.alexandria(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.alexandria(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.alexandria(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Alfa Slab One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alfa+Slab+One
  static TextStyle alfaSlabOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '74947f8da3cf383b59c3241c2f6800655593849b02f185006f2018b1d883dbc0',
        59060,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AlfaSlabOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Alfa Slab One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alfa+Slab+One
  static TextTheme alfaSlabOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.alfaSlabOne(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.alfaSlabOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.alfaSlabOne(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.alfaSlabOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.alfaSlabOne(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.alfaSlabOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.alfaSlabOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.alfaSlabOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.alfaSlabOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.alfaSlabOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.alfaSlabOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.alfaSlabOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.alfaSlabOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.alfaSlabOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.alfaSlabOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Alice font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alice
  static TextStyle alice({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e749db529af801dece7d5ddc3cc139ea81e17fcf1da06f09dab98e4e72b28afc',
        89536,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Alice',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Alice font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alice
  static TextTheme aliceTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.alice(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.alice(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.alice(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.alice(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.alice(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.alice(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.alice(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.alice(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.alice(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.alice(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.alice(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.alice(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.alice(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.alice(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.alice(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Alike font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alike
  static TextStyle alike({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f4a83c00aa9e628112f3eb3abf06d241dcbf8709bb948a31ef1a35da1e7e8668',
        34688,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Alike',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Alike font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alike
  static TextTheme alikeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.alike(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.alike(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.alike(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.alike(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.alike(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.alike(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.alike(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.alike(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.alike(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.alike(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.alike(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.alike(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.alike(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.alike(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.alike(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Alike Angular font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alike+Angular
  static TextStyle alikeAngular({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7c0ee7a3210c78d42eefd23fe8caeee6156110556cbbf376cdd11be7658bbb51',
        31548,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AlikeAngular',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Alike Angular font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alike+Angular
  static TextTheme alikeAngularTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.alikeAngular(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.alikeAngular(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.alikeAngular(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.alikeAngular(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.alikeAngular(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.alikeAngular(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.alikeAngular(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.alikeAngular(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.alikeAngular(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.alikeAngular(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.alikeAngular(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.alikeAngular(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.alikeAngular(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.alikeAngular(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.alikeAngular(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Alkalami font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alkalami
  static TextStyle alkalami({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5029cad74704c5c2113426243c68574047c74fbf772096805717ddd9c2dd132d',
        123592,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Alkalami',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Alkalami font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alkalami
  static TextTheme alkalamiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.alkalami(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.alkalami(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.alkalami(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.alkalami(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.alkalami(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.alkalami(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.alkalami(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.alkalami(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.alkalami(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.alkalami(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.alkalami(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.alkalami(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.alkalami(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.alkalami(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.alkalami(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Alkatra font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alkatra
  static TextStyle alkatra({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '006aa1cf290a6de355508ee70592add5dee5dcdf43d47085a01a733cb5bb8e33',
        507432,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '39dccff4c7a394a81a9a737a7d103feb88b30ce3391b4ca921b7c237538bae17',
        508816,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2b0c037b299139fcc55583b65177472ceeff5d0449d60f32a51bb7a2566dfcb3',
        508868,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c18ca8b0e467523a56b3fef0f87ab159b47dff04c427e255238cd744810097c5',
        508092,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Alkatra',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Alkatra font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alkatra
  static TextTheme alkatraTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.alkatra(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.alkatra(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.alkatra(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.alkatra(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.alkatra(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.alkatra(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.alkatra(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.alkatra(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.alkatra(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.alkatra(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.alkatra(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.alkatra(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.alkatra(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.alkatra(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.alkatra(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Allan font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Allan
  static TextStyle allan({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6af8f59b73a97c889439b898eba9bdd1c0f9059b2956d93f1dc71e7ece4d93ea',
        28924,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6e1c058c7e2a98326e1ae63cef4238e826976fb6008082c497872c59c7c7eeea',
        43028,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Allan',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Allan font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Allan
  static TextTheme allanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.allan(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.allan(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.allan(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.allan(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.allan(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.allan(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.allan(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.allan(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.allan(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.allan(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.allan(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.allan(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.allan(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.allan(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.allan(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Allerta font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Allerta
  static TextStyle allerta({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '966ff64339f556e7b5cd72638a17f46ce434fcaa9a36e04017cf34540c27e5cc',
        15184,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Allerta',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Allerta font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Allerta
  static TextTheme allertaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.allerta(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.allerta(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.allerta(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.allerta(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.allerta(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.allerta(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.allerta(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.allerta(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.allerta(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.allerta(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.allerta(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.allerta(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.allerta(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.allerta(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.allerta(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Allerta Stencil font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Allerta+Stencil
  static TextStyle allertaStencil({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fc7944a84a58458e35f26073bbd84a073d657632f2910be8cafe52a9fd9a6a95',
        15648,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AllertaStencil',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Allerta Stencil font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Allerta+Stencil
  static TextTheme allertaStencilTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.allertaStencil(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.allertaStencil(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.allertaStencil(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.allertaStencil(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.allertaStencil(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.allertaStencil(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.allertaStencil(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.allertaStencil(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.allertaStencil(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.allertaStencil(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.allertaStencil(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.allertaStencil(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.allertaStencil(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.allertaStencil(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.allertaStencil(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Allison font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Allison
  static TextStyle allison({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd9a2afdaf9e19bae8275d7e758caa167d7378dd4def732cf707de5cb8da6c5c7',
        93716,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Allison',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Allison font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Allison
  static TextTheme allisonTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.allison(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.allison(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.allison(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.allison(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.allison(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.allison(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.allison(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.allison(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.allison(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.allison(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.allison(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.allison(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.allison(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.allison(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.allison(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Allura font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Allura
  static TextStyle allura({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3b5353357aea06f994a046e80e1192ed063817f8483972994ce0458f748835cc',
        109228,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Allura',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Allura font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Allura
  static TextTheme alluraTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.allura(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.allura(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.allura(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.allura(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.allura(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.allura(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.allura(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.allura(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.allura(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.allura(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.allura(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.allura(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.allura(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.allura(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.allura(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Almarai font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Almarai
  static TextStyle almarai({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '82a22b76b0460a3bc66a94d16aae567637288d1c3c77a5cc5a1c71f235eba150',
        85828,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8123e9cd0c430e569e83475765af4fb01bb148d60534df3f96fb2669bae2c6bc',
        85912,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '52025e83b24d3c5cf43ee005e784af9dbbe14cfd4eb77b6546cdf90d86cb0bda',
        85696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e2a1cb321bae24a4995bb6c3ff42b26355de1915c89be5465448a4bded2bbb33',
        86588,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Almarai',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Almarai font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Almarai
  static TextTheme almaraiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.almarai(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.almarai(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.almarai(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.almarai(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.almarai(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.almarai(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.almarai(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.almarai(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.almarai(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.almarai(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.almarai(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.almarai(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.almarai(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.almarai(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.almarai(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Almendra font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Almendra
  static TextStyle almendra({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c89f19adbceeb351c7c89568fbeabd3c801df1e262f84242fbd01284dfe5ae97',
        57300,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '40a5892e1283273ad00379928c370f78309c9a17627ceb57f678606ef2646daa',
        32852,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6064dade838bed7b29151972ff2740044097f5ca6a1ed9450043b766a07506cc',
        34200,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '44a9959853400a337d8d6c8e144e74380d13740a0b357b4169d241ba05c6fcfc',
        32964,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Almendra',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Almendra font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Almendra
  static TextTheme almendraTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.almendra(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.almendra(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.almendra(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.almendra(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.almendra(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.almendra(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.almendra(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.almendra(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.almendra(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.almendra(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.almendra(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.almendra(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.almendra(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.almendra(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.almendra(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Almendra Display font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Almendra+Display
  static TextStyle almendraDisplay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '83d146faecfa0ccf42536ddc4acf30eeb3ca34f6ebc1c923c80e72a8c611b70b',
        36816,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AlmendraDisplay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Almendra Display font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Almendra+Display
  static TextTheme almendraDisplayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.almendraDisplay(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.almendraDisplay(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.almendraDisplay(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.almendraDisplay(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.almendraDisplay(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.almendraDisplay(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.almendraDisplay(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.almendraDisplay(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.almendraDisplay(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.almendraDisplay(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.almendraDisplay(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.almendraDisplay(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.almendraDisplay(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.almendraDisplay(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.almendraDisplay(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Almendra SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Almendra+SC
  static TextStyle almendraSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3b0cd7a2defa989eceb6b6b654282f035287cccc700f5a5a62fa002c94807152',
        33560,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AlmendraSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Almendra SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Almendra+SC
  static TextTheme almendraScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.almendraSc(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.almendraSc(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.almendraSc(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.almendraSc(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.almendraSc(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.almendraSc(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.almendraSc(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.almendraSc(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.almendraSc(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.almendraSc(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.almendraSc(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.almendraSc(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.almendraSc(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.almendraSc(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.almendraSc(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Alumni Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alumni+Sans
  static TextStyle alumniSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '964b1adcd76b6c17b940944548871145339a1e4d4d73bd617b2807e10b6b07ad',
        63948,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '523ea4a4be84452aec7cb167b926cc98cc63b086bc84fcb365ca58231f164a91',
        64160,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3a8a27615378d9205bf7488c94e901eaa5dc06a07b2aaf37c86940dc00aa89c9',
        64148,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '85ea2eaf4231d3084dbee44b4156108dabc72f7ec75697493509ae7a8d29a11d',
        64208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '74ae9c63424c75a5c7befc7ef5ec853c04b3c80a4cbb28d49bf787c300242db5',
        65004,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '86eb1ffa7917a8e5fdf639648f6331d3f1c9a3a0925918d5e3c055b94963f816',
        65760,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '260dbce0e67d2c8e2927e03360ed6db7a7afd20c6a152181f0a83197109dc794',
        65732,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1740bc61b53bb27d1dfadd4cc0d7fc1e683c3bda393a43d5395729b8b962e38a',
        65784,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7113d0a080855484c6e76c019b73266a910e96a96e32aa906cd23dc02268ed62',
        65476,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'bfdbbbe08a6dc854aa12f8b72d8e2d6abfb9c33e1f25bc9e01304e2c50b0dfe0',
        66616,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9c263ad9d87d46f4b18cb408b85e30cd6584be8e13984b6a65fb6644470e131a',
        66772,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd6f8650bd87ba55aa93f329d6ecd39d2c61eba1458e766205956d198ccd6ff01',
        66716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ddfa5772f9876e577993d7410487dcd4c8091dd773cfb0a220f2974b5985d5d3',
        66640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '11f4b5840181d2477b10a0c4d2750759f1f4e4e3cb41a85dffe2167618d4b642',
        67532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '38e373a2f5d385c5130818b436ecc461684bacd60a06e88ace1580c50c274591',
        68384,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '44eb05621e005f1f857cb09af5ee2424bb6cdaa6a21eafc77ab3d9dcd37e1e86',
        68292,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a5f7fac04ef17561c4bece1bbd10e123c2765375d9c423581415fca05d1dd9ca',
        68360,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '219dc689e3537bd34e7d8a54a0f63567fe0e8f60a391b2345d8d3e6493cd0962',
        68168,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AlumniSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Alumni Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alumni+Sans
  static TextTheme alumniSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.alumniSans(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.alumniSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.alumniSans(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.alumniSans(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.alumniSans(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.alumniSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.alumniSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.alumniSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.alumniSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.alumniSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.alumniSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.alumniSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.alumniSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.alumniSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.alumniSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Alumni Sans Collegiate One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alumni+Sans+Collegiate+One
  static TextStyle alumniSansCollegiateOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1a4340fe32bf91efee0a7f2daa2a2ffc1f12bbb5b67ff8cea1a3c16a2ae6214f',
        110172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c6642c64039fbdf167cee0eccf6a0245aef1d1d93e26483418bf827f889c77bf',
        116612,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AlumniSansCollegiateOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Alumni Sans Collegiate One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alumni+Sans+Collegiate+One
  static TextTheme alumniSansCollegiateOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.alumniSansCollegiateOne(
          textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.alumniSansCollegiateOne(
          textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.alumniSansCollegiateOne(
          textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.alumniSansCollegiateOne(
          textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.alumniSansCollegiateOne(
          textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.alumniSansCollegiateOne(
          textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.alumniSansCollegiateOne(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.alumniSansCollegiateOne(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.alumniSansCollegiateOne(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.alumniSansCollegiateOne(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.alumniSansCollegiateOne(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.alumniSansCollegiateOne(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.alumniSansCollegiateOne(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.alumniSansCollegiateOne(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.alumniSansCollegiateOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Alumni Sans Inline One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alumni+Sans+Inline+One
  static TextStyle alumniSansInlineOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4650c5bf3131ed0fb46502f58edbf6022ac283a93a76142a4e939bcf13eb0292',
        72184,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c34244c2705ebbb7dc5cccb65bc25edf97bd2bc3cc4c019697583e7c23be2609',
        76124,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AlumniSansInlineOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Alumni Sans Inline One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alumni+Sans+Inline+One
  static TextTheme alumniSansInlineOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.alumniSansInlineOne(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.alumniSansInlineOne(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.alumniSansInlineOne(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.alumniSansInlineOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.alumniSansInlineOne(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.alumniSansInlineOne(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.alumniSansInlineOne(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.alumniSansInlineOne(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.alumniSansInlineOne(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.alumniSansInlineOne(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.alumniSansInlineOne(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.alumniSansInlineOne(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.alumniSansInlineOne(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.alumniSansInlineOne(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.alumniSansInlineOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Alumni Sans Pinstripe font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alumni+Sans+Pinstripe
  static TextStyle alumniSansPinstripe({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '91bbe00afe72f0c71b9f0918130ae560a7952dabb003dfa9d389a0f2afd920e9',
        76104,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4029d2bcae2ff604d6a89f2e310b66b0e181d27d20c9de8c4d4dfaa88457efde',
        80984,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AlumniSansPinstripe',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Alumni Sans Pinstripe font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alumni+Sans+Pinstripe
  static TextTheme alumniSansPinstripeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.alumniSansPinstripe(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.alumniSansPinstripe(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.alumniSansPinstripe(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.alumniSansPinstripe(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.alumniSansPinstripe(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.alumniSansPinstripe(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.alumniSansPinstripe(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.alumniSansPinstripe(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.alumniSansPinstripe(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.alumniSansPinstripe(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.alumniSansPinstripe(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.alumniSansPinstripe(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.alumniSansPinstripe(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.alumniSansPinstripe(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.alumniSansPinstripe(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Amarante font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Amarante
  static TextStyle amarante({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a429147d4b4024562801d9dc3eb8869b757b41dde1af156fa1eb432ff47f92ee',
        69428,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Amarante',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Amarante font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Amarante
  static TextTheme amaranteTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.amarante(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.amarante(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.amarante(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.amarante(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.amarante(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.amarante(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.amarante(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.amarante(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.amarante(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.amarante(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.amarante(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.amarante(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.amarante(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.amarante(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.amarante(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Amaranth font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Amaranth
  static TextStyle amaranth({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3686273f732592e770fead7f911c7d7a8f281e98c325dbf7fccddd3da291aa62',
        41744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3c6a40add2c4b1adc53423a1cf451bdfa8e293d34ba6c9e46cb61591fa434140',
        46900,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '37bf53dc84920307ac64820d8a30124f16c8b56f72082e6c5accf66fdb6267ab',
        41216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9a21fadfc70d4e1272aee014ef3fcf8829c70c5c96324492b3e7f93bcaf62502',
        46680,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Amaranth',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Amaranth font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Amaranth
  static TextTheme amaranthTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.amaranth(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.amaranth(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.amaranth(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.amaranth(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.amaranth(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.amaranth(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.amaranth(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.amaranth(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.amaranth(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.amaranth(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.amaranth(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.amaranth(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.amaranth(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.amaranth(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.amaranth(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Amatic SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Amatic+SC
  static TextStyle amaticSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0aa2708434e42321de8ebdee7c28337f11f8a72dbaefaf3e8b74d8b73898b934',
        103564,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '702ee59e1cf56041e86b1611f4ff6572688b94c9e227aca589b5cdbaf7d347d1',
        101212,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AmaticSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Amatic SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Amatic+SC
  static TextTheme amaticScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.amaticSc(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.amaticSc(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.amaticSc(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.amaticSc(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.amaticSc(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.amaticSc(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.amaticSc(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.amaticSc(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.amaticSc(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.amaticSc(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.amaticSc(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.amaticSc(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.amaticSc(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.amaticSc(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.amaticSc(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Amethysta font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Amethysta
  static TextStyle amethysta({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cdc0246bf774ad00a0c305ed9853782f799293cfff59e08f7b38c5f156f3726b',
        20232,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Amethysta',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Amethysta font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Amethysta
  static TextTheme amethystaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.amethysta(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.amethysta(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.amethysta(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.amethysta(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.amethysta(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.amethysta(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.amethysta(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.amethysta(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.amethysta(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.amethysta(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.amethysta(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.amethysta(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.amethysta(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.amethysta(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.amethysta(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Amiko font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Amiko
  static TextStyle amiko({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b3e56ced59b11ce9474df6f7ba4315fc04083bbbd39ac720e9f14d842fab3b78',
        122308,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '223ae4f44ff22c32095018b5df4ec7fc3f9800d1860964812fe19ac3e3682d82',
        121800,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e59c0515a445bb871d186032eb247daa110f70c4baba542544c9378a593ca41d',
        121316,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Amiko',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Amiko font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Amiko
  static TextTheme amikoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.amiko(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.amiko(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.amiko(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.amiko(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.amiko(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.amiko(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.amiko(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.amiko(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.amiko(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.amiko(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.amiko(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.amiko(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.amiko(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.amiko(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.amiko(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Amiri font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Amiri
  static TextStyle amiri({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '82b49c37cfb90dd8fff8aab7508c2078bb32a200648acb2237dc02c30f4492ad',
        403728,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '635b094bdc2448d6d35f9ebe9ce0ac4a5437ff07d83fd42100f515cd94428cf0',
        401896,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '53c460187d4f6d8fa2bde7a1a6587ca6487f807c31b094037164bb58e3b2bd4c',
        379988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'aa51030c8eda6555d210cf652976f140b8c4c47e521a2ab4b16e72d2907852cc',
        377412,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Amiri',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Amiri font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Amiri
  static TextTheme amiriTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.amiri(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.amiri(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.amiri(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.amiri(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.amiri(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.amiri(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.amiri(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.amiri(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.amiri(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.amiri(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.amiri(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.amiri(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.amiri(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.amiri(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.amiri(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Amiri Quran font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Amiri+Quran
  static TextStyle amiriQuran({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ea739f8e8952722a477a1a50b5dade52f993df8e48a3cffaa6d0ac5ab35f632f',
        192332,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AmiriQuran',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Amiri Quran font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Amiri+Quran
  static TextTheme amiriQuranTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.amiriQuran(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.amiriQuran(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.amiriQuran(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.amiriQuran(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.amiriQuran(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.amiriQuran(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.amiriQuran(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.amiriQuran(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.amiriQuran(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.amiriQuran(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.amiriQuran(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.amiriQuran(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.amiriQuran(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.amiriQuran(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.amiriQuran(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Amita font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Amita
  static TextStyle amita({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3cc2396707f06b62198d8e4411f1a7cef80227e98718887369fd879715fcb58f',
        132428,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd73a96ce44869b2d166232e154d0c96cbf8de8ec3581d38fa8f3d5f0b407dd64',
        132364,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Amita',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Amita font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Amita
  static TextTheme amitaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.amita(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.amita(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.amita(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.amita(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.amita(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.amita(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.amita(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.amita(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.amita(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.amita(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.amita(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.amita(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.amita(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.amita(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.amita(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Anaheim font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anaheim
  static TextStyle anaheim({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5f20dc30b8de25a3b4110660e82f540abb5e93fcb0a316430d07a0c0fb2a65da',
        25804,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Anaheim',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Anaheim font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anaheim
  static TextTheme anaheimTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.anaheim(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.anaheim(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.anaheim(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.anaheim(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.anaheim(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.anaheim(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.anaheim(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.anaheim(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.anaheim(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.anaheim(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.anaheim(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.anaheim(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.anaheim(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.anaheim(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.anaheim(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Andada Pro font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Andada+Pro
  static TextStyle andadaPro({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '127855ac19fff1cbb37e2d194534b819da0c91580acb1d0b097e9874cccc8ce4',
        90996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7390dd3a9faabd8b338e73aad5231a9ceeaeacd19bbc5b943fc89c473d53acda',
        91100,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6fa9b6ccb871320d6c5ca2a3214a3e9bb8d207aee61300e73915f5403f99f49e',
        91132,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bd367c9f316cee8f97596c80bd1704f398ccd26b90f57008271d376f0ef90ce0',
        91100,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8308cbab6ad9b6fefe16b7e56f09f2e4f6e6e6f880c179fba562856574319e6a',
        91164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5b1186f658c25ab439a280b26c7300fbeb8aa704d0b69efa1ee89901391af090',
        89860,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5dc0a65e0e3be30dab4617e34091e1fe1eed6fb427d7ebb3b77b19508f8488e3',
        89932,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fb7e19bb8f1e3dc1abd7db3b2daad692560011baa166a5255a348f5079afe37f',
        89940,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e8feedfe10684ac5efdd94c1ec410649cec9354f380974ab519e16a2f7ded70a',
        89872,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ab4152eb78fad2c20011214fc543ad0edee9ec7bd10ee43e8bc6cd01a7405c9d',
        89924,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AndadaPro',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Andada Pro font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Andada+Pro
  static TextTheme andadaProTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.andadaPro(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.andadaPro(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.andadaPro(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.andadaPro(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.andadaPro(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.andadaPro(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.andadaPro(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.andadaPro(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.andadaPro(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.andadaPro(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.andadaPro(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.andadaPro(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.andadaPro(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.andadaPro(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.andadaPro(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Andika font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Andika
  static TextStyle andika({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aa89f7c86a9ce85528fcbf29f52ea88903bd95e65c16666f0b534d199bf168b7',
        321288,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1b109d4a84cdfe960d2c4c2bb495c59d85286cb6c498bdb4200815c761b1d733',
        344736,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e09bb3be60fd30559102d9b31e60d06c6b2673fea3289de097a0e869423ccadf',
        322828,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c164d7fe2c796a182403e29a49c5599b9b5c7bf72e1330947eb87703a92f96a0',
        345560,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Andika',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Andika font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Andika
  static TextTheme andikaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.andika(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.andika(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.andika(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.andika(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.andika(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.andika(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.andika(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.andika(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.andika(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.andika(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.andika(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.andika(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.andika(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.andika(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.andika(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Anek Bangla font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anek+Bangla
  static TextStyle anekBangla({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6c3fd627054e62cf0b0ea49c83524a3fb447b7488ae8db26a13b7e79b23fda83',
        240136,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '78a9fd820b483384a4f556b61da35d3759ca129686acd1d20127782e86dbf6d6',
        241300,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '501ab880a2b2abe0a0e6e7184ce1b88828b4134bdfad7aa700f8a5cc3366eef5',
        241456,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9632e4f8f213e39b5649d2e9e4db894e0b0dcabac7f0318930993b0989878585',
        241944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '61efa971b7370c15640b114e967a9ddfb4f20aa4da813ee1e8e7eff53e6184c8',
        241936,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '48ab047c25b731bbaf210bea557fc04d2371421c5a3edbc54e40abc21980bd11',
        242376,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0254a40f4fd42182aab5d9bf0e3af103d2d6fd2477626d0e8fcdc2c42cbfaa93',
        243892,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3ba5fcdf46cbf1e0605c122897447d18d48773046fa0f9ca818673cff2bd5aaf',
        244440,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AnekBangla',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Anek Bangla font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anek+Bangla
  static TextTheme anekBanglaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.anekBangla(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.anekBangla(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.anekBangla(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.anekBangla(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.anekBangla(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.anekBangla(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.anekBangla(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.anekBangla(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.anekBangla(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.anekBangla(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.anekBangla(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.anekBangla(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.anekBangla(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.anekBangla(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.anekBangla(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Anek Devanagari font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anek+Devanagari
  static TextStyle anekDevanagari({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0bc0187d28bf231609c939b14cb3cef93bbf138598ca19e1efdc1e55d735627d',
        404280,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '25c8cb78a2ac78dc00ae5705f8fe3586f3f5ac4e87db41592ce12c2ff56c9300',
        404944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8526bd1b827854e945f67104e3bdafff0016165688ed7f62f20491780fc73546',
        405416,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ac8aa77520934aec810245a99b9089ae1aebac242bb918792fd35c6c295c040a',
        406240,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '38b6a223f72a1be64ab0a01b939013f6e57dc6ebe164d9cbfae3648a3ca6b839',
        406116,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a2fad1e50e1a37bf4d122922c9de2098b3a277a825a985dc48a49a1ec30dfb8a',
        406884,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '38d41cd66281e991c712a10002f7bb4fbb281cb4a6d57335a80dc583349fac35',
        410184,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3483a4f99b1d7849e7d5ed14bab14f0096079cdab5ba1d79eef3840db61f7bef',
        411564,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AnekDevanagari',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Anek Devanagari font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anek+Devanagari
  static TextTheme anekDevanagariTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.anekDevanagari(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.anekDevanagari(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.anekDevanagari(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.anekDevanagari(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.anekDevanagari(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.anekDevanagari(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.anekDevanagari(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.anekDevanagari(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.anekDevanagari(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.anekDevanagari(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.anekDevanagari(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.anekDevanagari(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.anekDevanagari(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.anekDevanagari(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.anekDevanagari(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Anek Gujarati font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anek+Gujarati
  static TextStyle anekGujarati({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4f6b493a0c88e173cf2b29804db486acbfc5e518f09228313ec5ac242c46d65f',
        285304,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8f1d3ebca3427bb401a2fe10647a9c0f027aa3f2cc4ca05b41e72366cd19a67a',
        286428,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '57812ef90d39b948b0f59dbe2c77f749a84eb9362d3a5c052ed143145c563556',
        286340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b9bbdbf4252e14947dc39df987510addff8e7dbdd9a884cd78b75fac4a9da078',
        286592,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '050f224a79c5a834c852b9c02f1c26a824f9b82d3ea7284a50e15df5a172e16c',
        286384,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '625c2e99d58e6097101111532c70c27dfa75c66bf04eca4d823007c0ca834465',
        288056,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f526e52e6e0b2d41ef85710d763c403de2478dea677d4d76b8955726b1e19b29',
        290028,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0e8354f5e1bd21d5e5c2480b7901a6ac5f35fa15b8cf0eb8cf56c84e6223e68c',
        291780,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AnekGujarati',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Anek Gujarati font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anek+Gujarati
  static TextTheme anekGujaratiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.anekGujarati(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.anekGujarati(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.anekGujarati(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.anekGujarati(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.anekGujarati(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.anekGujarati(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.anekGujarati(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.anekGujarati(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.anekGujarati(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.anekGujarati(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.anekGujarati(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.anekGujarati(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.anekGujarati(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.anekGujarati(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.anekGujarati(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Anek Gurmukhi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anek+Gurmukhi
  static TextStyle anekGurmukhi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ab85332df30caad4defdaea0b3066888f2afc8c08500716eb6a5bdbe48bf9123',
        83508,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0ca94e0a7b5793e3ee59694adc8b549e45fa0f076c9b27d6686a84f5a1246350',
        83752,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e2d3b18a180793427e9e1fd4f74d7f1c443ddd908c3116cb159dc6fd41d499cf',
        83752,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1c7fa2e13e7d8f8a51f393f18541c6e3340872c5f1a98cc542796d99f8d5d095',
        83848,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8b1b72ac04e67c5f131386939117035ada9294f9b45d38dc7e634bc8f525498f',
        83544,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '56de10b4b21c4fede11ce2f27dde3f7d8b1cac3da677b97420a99754b0f82980',
        83816,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '169508ee548cee83163764b3d2887d30564629b9bf2b3423f5cbe90350a9ef76',
        83960,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '58dd596495be3efda772dcb4d6e0943df2e0084817bd0db5290f51f3d0b8465d',
        84364,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AnekGurmukhi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Anek Gurmukhi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anek+Gurmukhi
  static TextTheme anekGurmukhiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.anekGurmukhi(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.anekGurmukhi(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.anekGurmukhi(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.anekGurmukhi(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.anekGurmukhi(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.anekGurmukhi(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.anekGurmukhi(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.anekGurmukhi(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.anekGurmukhi(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.anekGurmukhi(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.anekGurmukhi(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.anekGurmukhi(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.anekGurmukhi(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.anekGurmukhi(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.anekGurmukhi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Anek Kannada font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anek+Kannada
  static TextStyle anekKannada({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8c9862a330e23c4a125603156e06457ba5d00062799bfe475811d1966c5cdd09',
        240420,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '14501eb4c9145f55e451715a4df95b68e62cd61dbf1b84eea22492ab3b72ec53',
        243224,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '26e54f81043a7d870fb80a0946e8f21de0784bd53ed084df7174e7297eacc440',
        243348,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8914270e2bb27f583432857609824f565d26896cef1de96f86b34f4b9dd5e56e',
        243676,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '22b2bb4411790711b61dd1c6fdbd084272119974f41504d99c48ba913a391176',
        243840,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a82f0a7a6708f33c9a43b91207dfebe9d8f2fddab3acd4836db8e1b290bc83c8',
        245148,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1446498de02fbd7f0bfbffca4f5775fd1c7d168ef7f5b6c22e55dd202d8cc4c4',
        246408,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '62c1db9a9241f0213c61795038c24ef4fa0f52b3cebcb84ea23d3b1af45f0088',
        247240,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AnekKannada',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Anek Kannada font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anek+Kannada
  static TextTheme anekKannadaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.anekKannada(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.anekKannada(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.anekKannada(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.anekKannada(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.anekKannada(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.anekKannada(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.anekKannada(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.anekKannada(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.anekKannada(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.anekKannada(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.anekKannada(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.anekKannada(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.anekKannada(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.anekKannada(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.anekKannada(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Anek Latin font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anek+Latin
  static TextStyle anekLatin({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1c0115d9627ed8d3eaa20bb8fbaeb1dbffc46a764eaa133f97013205235272c7',
        104136,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '647dce6a4132d380ad5880db1da0337806ecdc08d02dd6b98aaed492e8e5e162',
        104848,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5de818eefa80af379c7c56d43f53c7cc8465cbaadbed6bed99677c67cb280d99',
        105012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '23dfc8104f756db4b09ccbfa84b31f14f1b94ecb7634defb055b22d55bc03062',
        104996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '472354a9c7522a35326d5ef3c306470826002bf1be4f776881714df0332a3791',
        104928,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2a7ec7b6f4b70a304fb59799515e598394aab63008515b5ad9fee4f51f2cc97f',
        105276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ef3e85a834ca8f8f4f0583eb25af80e1d0be483db93e6866ecc9b47d630a9d25',
        105448,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ac4b84bf492a74d7a11a51a07c1e4d5d701a980358bafb3c22e73ef95bb64a53',
        105388,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AnekLatin',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Anek Latin font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anek+Latin
  static TextTheme anekLatinTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.anekLatin(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.anekLatin(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.anekLatin(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.anekLatin(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.anekLatin(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.anekLatin(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.anekLatin(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.anekLatin(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.anekLatin(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.anekLatin(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.anekLatin(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.anekLatin(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.anekLatin(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.anekLatin(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.anekLatin(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Anek Malayalam font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anek+Malayalam
  static TextStyle anekMalayalam({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c8f751fb0c621883b3e33f8642de428b172a23a0e1ab622c33dce7b449b260ea',
        107536,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5969c950db6387018c0eb70ba1e41a2193e8a2b2d092bd2a8e98cfeec4b39f43',
        107804,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd8d0727872857ab06b7bcc271088f0990338b1552c19be06c71efbd498d09575',
        107844,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ce96415310dc73fbef1d44216f7879d61ae1d2d4a8c780d8c2176102ed301131',
        107796,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3f0117d17bb8715f339af13ec763d7f6bdad462ec3dcda3d2c56b8f777beafa9',
        106992,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0906cf3d1af1ef081887fc287ccb672d7564d35f86879d27607ff3c3502d356e',
        107200,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f6a12cf6fd2532cfff0d1a6eaba3661bcc9604608f9399936df344e44bbb60df',
        109832,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3f4718714e158f83dbb10b1bc3d0be86c90f2dec6298b0cb8e30b61ed36f3468',
        110232,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AnekMalayalam',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Anek Malayalam font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anek+Malayalam
  static TextTheme anekMalayalamTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.anekMalayalam(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.anekMalayalam(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.anekMalayalam(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.anekMalayalam(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.anekMalayalam(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.anekMalayalam(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.anekMalayalam(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.anekMalayalam(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.anekMalayalam(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.anekMalayalam(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.anekMalayalam(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.anekMalayalam(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.anekMalayalam(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.anekMalayalam(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.anekMalayalam(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Anek Odia font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anek+Odia
  static TextStyle anekOdia({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd93d9d4eb54d67b8eaef680e51cbcf7243bfbe6dd4aa29a0bd1e2b8799d1d052',
        163140,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1b08889e9a62ccc6c38eb85b76e1ab3f1645b22abfcbb3cee74a088a47c32570',
        164252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8ccba9768773c422ffe8119aa33f85a02b09bce1ae7fc86877f12fa84a990cf9',
        164388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1f19cb70f8bcc7fc64e1d86c60e7bee04e7e6b0e8a15a76fbf1b8a1f576d6712',
        164332,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5962616f70a508f27d29997054b1e8dc6838550ac7230829dd43b8116b5360e6',
        164036,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '756d3eed77c9c65178513dc25ab4aeb8b13880ad59eaf9c1dbd9044f140aedd0',
        164360,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f901dc66a6159f0fa11c9cea5e5f65b6c4771f563047e4ca0beee46e422e1bbe',
        164712,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5b716c49bba4a6e83ad95c38caa665f4ee26dc57e8fdd2ad5c5e8c67bec59c4b',
        164816,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AnekOdia',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Anek Odia font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anek+Odia
  static TextTheme anekOdiaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.anekOdia(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.anekOdia(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.anekOdia(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.anekOdia(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.anekOdia(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.anekOdia(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.anekOdia(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.anekOdia(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.anekOdia(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.anekOdia(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.anekOdia(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.anekOdia(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.anekOdia(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.anekOdia(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.anekOdia(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Anek Tamil font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anek+Tamil
  static TextStyle anekTamil({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b1db05c794a93ad2f0a6d609fd141cddeb1a61b699c437c462c9c24bce9e6975',
        98556,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '748cce3e358622607b832be1e84551eb67673f64d68603ebcff3e6e90c4a6bf8',
        98940,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2ac5f8a005a4dd50a921950cbca9ce025963b94b5147559628aa25f608b7e46f',
        98912,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0e9985f49352fec194621b96b2f13c97a39d2f7fad1bbf6b1ea739d505d43b76',
        98964,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5716782d18dbbf18b249c4f32ec9a3eb1254f62e437ee00244296597ab132390',
        102776,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '06f65d7d7c37ae8f018a01b058eef39bdffa75a7afd49df24a6da5a34248f608',
        103068,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c194f457a9ea658a4c4362500f2ec874daf76ca0bbcd4281352283a0792848a4',
        104496,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f77befe464d9125e73181a80a0d8cc1ca2457d84cf2bcae25a3fe9c667269751',
        104944,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AnekTamil',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Anek Tamil font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anek+Tamil
  static TextTheme anekTamilTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.anekTamil(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.anekTamil(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.anekTamil(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.anekTamil(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.anekTamil(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.anekTamil(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.anekTamil(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.anekTamil(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.anekTamil(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.anekTamil(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.anekTamil(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.anekTamil(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.anekTamil(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.anekTamil(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.anekTamil(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Anek Telugu font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anek+Telugu
  static TextStyle anekTelugu({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9330d53ef394715ade39d971437dd73bf66c077513467829c7528bacb9ac89ad',
        306056,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '55d3194231a8afb34cf6cc06c9e1f3a98abfe45516278b9763a4b29f290fe76d',
        308840,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '95532eca141f794d1458fdb3c42192873f135d693a2c0b06e6ad3af7b72d3cf6',
        308472,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '769b3065754f665dbf74fae04f5fe33464b86f45916c93ab4eefbe1429a38a42',
        308572,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '11b1ed2340fa798b214fbe6fe5f57e8b889a2348693c530665b315c8067f47af',
        308172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c0fd55d8180d9b8aed59f506c7a57c7a8ff987d0686ed37d21478bfc8d2a0989',
        308964,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f907ee030ac09a1010d7d31f5884e0dfca0b23b93de0a88a99a6f1cce04ac6e4',
        310200,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '04e24acd960b57e5925583de52079635a55f7371f9803eeb5555df753514b1d9',
        310964,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AnekTelugu',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Anek Telugu font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anek+Telugu
  static TextTheme anekTeluguTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.anekTelugu(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.anekTelugu(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.anekTelugu(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.anekTelugu(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.anekTelugu(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.anekTelugu(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.anekTelugu(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.anekTelugu(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.anekTelugu(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.anekTelugu(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.anekTelugu(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.anekTelugu(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.anekTelugu(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.anekTelugu(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.anekTelugu(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Angkor font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Angkor
  static TextStyle angkor({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd9a2d2cba1c7487e703bf379ecdce28396729e54702f9c3623c0a16cbf900154',
        38724,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Angkor',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Angkor font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Angkor
  static TextTheme angkorTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.angkor(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.angkor(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.angkor(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.angkor(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.angkor(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.angkor(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.angkor(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.angkor(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.angkor(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.angkor(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.angkor(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.angkor(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.angkor(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.angkor(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.angkor(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Annie Use Your Telescope font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Annie+Use+Your+Telescope
  static TextStyle annieUseYourTelescope({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ff1575b5a063d09826bf441c2dc27619c4187c98c907003f3cd80e546a8b6915',
        35952,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AnnieUseYourTelescope',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Annie Use Your Telescope font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Annie+Use+Your+Telescope
  static TextTheme annieUseYourTelescopeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.annieUseYourTelescope(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.annieUseYourTelescope(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.annieUseYourTelescope(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.annieUseYourTelescope(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.annieUseYourTelescope(
          textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.annieUseYourTelescope(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.annieUseYourTelescope(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.annieUseYourTelescope(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.annieUseYourTelescope(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.annieUseYourTelescope(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.annieUseYourTelescope(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.annieUseYourTelescope(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.annieUseYourTelescope(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.annieUseYourTelescope(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.annieUseYourTelescope(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Anonymous Pro font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anonymous+Pro
  static TextStyle anonymousPro({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '081f36c2edbd80b4a96997bdd985999dab018d0c1735edf36329ab603148258c',
        47292,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e9e045b28fc60e1f94b3a4c75009ba35d377129a7cb650621b08d2dee98429e5',
        49384,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '17ff337f134c8ac8d93bc157bd1d6b8f3f493a09bf3cb84a4c34d1824d7edde7',
        46980,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '47dfbc3cf4b4554c464c3420d6c8e42033d01450296705a5fe207287cc6afd9c',
        49108,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AnonymousPro',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Anonymous Pro font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anonymous+Pro
  static TextTheme anonymousProTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.anonymousPro(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.anonymousPro(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.anonymousPro(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.anonymousPro(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.anonymousPro(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.anonymousPro(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.anonymousPro(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.anonymousPro(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.anonymousPro(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.anonymousPro(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.anonymousPro(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.anonymousPro(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.anonymousPro(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.anonymousPro(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.anonymousPro(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Antic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Antic
  static TextStyle antic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b8397fbf4e6ab293dd34d5a1ae6230e13c401b9d182ca1993c4a1a6aa7410238',
        37584,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Antic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Antic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Antic
  static TextTheme anticTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.antic(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.antic(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.antic(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.antic(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.antic(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.antic(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.antic(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.antic(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.antic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.antic(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.antic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.antic(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.antic(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.antic(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.antic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Antic Didone font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Antic+Didone
  static TextStyle anticDidone({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e9d67d68d8e18677c34d73fe7fe4104402ad32dd69b2ffb1cc4018e5c0e791e8',
        34000,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AnticDidone',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Antic Didone font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Antic+Didone
  static TextTheme anticDidoneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.anticDidone(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.anticDidone(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.anticDidone(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.anticDidone(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.anticDidone(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.anticDidone(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.anticDidone(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.anticDidone(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.anticDidone(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.anticDidone(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.anticDidone(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.anticDidone(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.anticDidone(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.anticDidone(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.anticDidone(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Antic Slab font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Antic+Slab
  static TextStyle anticSlab({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f5b8fded4efad3094f3b441a77f4ed0d70f0cb36c863a78948f418d5486a1471',
        31252,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AnticSlab',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Antic Slab font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Antic+Slab
  static TextTheme anticSlabTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.anticSlab(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.anticSlab(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.anticSlab(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.anticSlab(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.anticSlab(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.anticSlab(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.anticSlab(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.anticSlab(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.anticSlab(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.anticSlab(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.anticSlab(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.anticSlab(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.anticSlab(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.anticSlab(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.anticSlab(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Anton font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anton
  static TextStyle anton({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1cac14046e308fb2d413c940504165948086c9edd4f49adfd8420e4973894989',
        87404,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Anton',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Anton font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anton
  static TextTheme antonTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.anton(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.anton(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.anton(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.anton(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.anton(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.anton(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.anton(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.anton(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.anton(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.anton(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.anton(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.anton(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.anton(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.anton(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.anton(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Antonio font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Antonio
  static TextStyle antonio({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9543dfa9322d8739ca8db99a828a1c37d10ad5d2937f868670a955d925f4e6a6',
        36664,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e55c7f2ed74b7c42df03f90e377a253c01d6884834e03c435e0c3045ba28d376',
        36744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dfd2861fbc21c4ac22010754a12b4aa8cee1f4dd76ff78c1cc38b0e28589e4a8',
        36756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7c8e7e8999b27d9b13fc07bc812df95c2050d4cc850489cb9bdb2c8fd8aa0345',
        36672,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0ca0f550ce547cd7801b42b48c07340f96c2ad6f69228c904e9d517f6f514948',
        36748,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bc1ed518b7d3d53117c61116c3bc3fc37fbbf54d4d96f7bac95b6b08482ff868',
        36732,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9bea1c566ac5e92ba1e01dcbdd8112186e3fe475f348ac09bf8a1a8aa3cddeef',
        36772,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Antonio',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Antonio font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Antonio
  static TextTheme antonioTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.antonio(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.antonio(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.antonio(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.antonio(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.antonio(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.antonio(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.antonio(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.antonio(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.antonio(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.antonio(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.antonio(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.antonio(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.antonio(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.antonio(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.antonio(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Anuphan font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anuphan
  static TextStyle anuphan({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cd47f3b4668fa2ea83632a23330bf1abe85e4f74c4d42c4d7c79cb2fbd997de1',
        109888,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e75f1a3971189df6a1041fe01757b64815b957fb0ae7c7ef4e48706114a3124c',
        110200,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1b4abcd364cc96ea7868a90e0124dc2e873df033d3cd060b017bdad11cdac90b',
        110068,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'efeadd4e490310829527b631ef62b4f2a28d87d28075bfad98fbbf3c97cc0014',
        109576,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1082c078ad8592a5223ee52cab08994f97d09ff9960bb04a4f493dee44c27331',
        110160,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '366781bfcc9ba31fb2f5f2f79559316b0b845895a56a83a6b4f6ef6c859c25cd',
        110080,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8baedffc23caa1c33e7238245329e499b00edc34ec08de9820f3e4566a89acee',
        109880,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Anuphan',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Anuphan font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anuphan
  static TextTheme anuphanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.anuphan(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.anuphan(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.anuphan(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.anuphan(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.anuphan(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.anuphan(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.anuphan(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.anuphan(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.anuphan(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.anuphan(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.anuphan(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.anuphan(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.anuphan(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.anuphan(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.anuphan(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Anybody font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anybody
  static TextStyle anybody({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ac29a5ad92a93b0a58ad70b34d8c224b6b2833f7d8d05c9d57e76ba021ed8654',
        59196,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9acb8ae69ecce97e1d7afaeb97ec696c11a4870510fb81a9951c3b83a091dfc2',
        59396,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '59e4e28ccdf8ca37c04250f88a96be8d753ab1ea22e15f55087529ee0868f121',
        59452,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e014c0cdb2a235b483a000eddc98c167e9879f147f87414d53114bd3c533429f',
        59548,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a98ca25bb0aa62dbcc53cdc48af3c1d183c6603fa4302cb8736fb2ec260f1c36',
        59608,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9d995e39b94de13679107b248e553d0a75eee118aa7c0805a4f81f4a30d2dbab',
        59840,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '06ebee36a6b0e741ef8783515f7d36af25f0a6ebac78abcf3a9338968d21a227',
        59860,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '23dca5346d63c81b910d82e539d8688d46299867a59c2094a97f960f541dc971',
        60220,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1031eb36e95198059f991780c55ca1bb92d7d566eafb9b6a7c043950af241b18',
        60276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c3f5a6f11c5368ffb5a83f013e01ec8e6520f9b098f1edcd9c924275eefd7890',
        60544,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '27ed66c91163b409d5baafe1ced9d6e2e3252ff254346363232a23a65acad459',
        60800,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f83218c7e5ee78646866c3f5edaf87b4216f4a785f115e09b6b2adb780f65a30',
        60812,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '75fa18ec60ce0be603a3363532f40f299298c35f198a2ec0b8d48e6b97aba096',
        60808,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '20a9989184a1deb8f96388cff42a363596601345ce1903606ac2fb8c9e048626',
        60868,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '315d0f909041d8a8a1ad67159ca78e72306256ae6122e8938947766acefc4329',
        61180,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f1c7aae7b73d263efead2701ca513d9bcdb4e50a3380aaf3596bc333f94d9033',
        61140,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f83f585f47288d1f75da135d9fc28b7248f21057ce416bc9a81cf87e98ba1031',
        61516,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '21c625200859cc21156ff16c41a4ad203d6b46fc6173b7a1099fadc6ed345497',
        61476,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Anybody',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Anybody font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anybody
  static TextTheme anybodyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.anybody(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.anybody(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.anybody(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.anybody(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.anybody(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.anybody(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.anybody(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.anybody(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.anybody(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.anybody(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.anybody(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.anybody(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.anybody(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.anybody(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.anybody(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Arapey font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Arapey
  static TextStyle arapey({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8dcb113d8c3f16a124e56ea34d4486f28192f9eea9a0e9b86d784a332dc1dde7',
        24096,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3bf34afbf43de8a92261f42fcf6d19a0eeef2e1fae33ec84fe054c5465fd802b',
        26812,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Arapey',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Arapey font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Arapey
  static TextTheme arapeyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.arapey(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.arapey(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.arapey(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.arapey(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.arapey(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.arapey(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.arapey(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.arapey(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.arapey(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.arapey(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.arapey(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.arapey(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.arapey(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.arapey(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.arapey(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Arbutus font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Arbutus
  static TextStyle arbutus({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ee31618abcc9f54bd2df9278b59d54f3d7b78fdcce78392dfcdca21e1ba91a05',
        78780,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Arbutus',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Arbutus font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Arbutus
  static TextTheme arbutusTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.arbutus(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.arbutus(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.arbutus(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.arbutus(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.arbutus(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.arbutus(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.arbutus(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.arbutus(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.arbutus(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.arbutus(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.arbutus(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.arbutus(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.arbutus(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.arbutus(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.arbutus(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Arbutus Slab font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Arbutus+Slab
  static TextStyle arbutusSlab({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '04431538aed147aa226942f7676d1d7c0ec00b5de643a138cdf981e387f8296c',
        36956,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ArbutusSlab',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Arbutus Slab font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Arbutus+Slab
  static TextTheme arbutusSlabTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.arbutusSlab(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.arbutusSlab(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.arbutusSlab(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.arbutusSlab(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.arbutusSlab(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.arbutusSlab(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.arbutusSlab(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.arbutusSlab(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.arbutusSlab(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.arbutusSlab(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.arbutusSlab(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.arbutusSlab(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.arbutusSlab(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.arbutusSlab(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.arbutusSlab(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Architects Daughter font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Architects+Daughter
  static TextStyle architectsDaughter({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '87659fc9ea9955f9b1fd8cf5cd2f5282c8ed2783cd6e720f958dd37a6a920fc4',
        28660,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ArchitectsDaughter',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Architects Daughter font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Architects+Daughter
  static TextTheme architectsDaughterTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.architectsDaughter(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.architectsDaughter(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.architectsDaughter(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.architectsDaughter(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.architectsDaughter(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.architectsDaughter(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.architectsDaughter(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.architectsDaughter(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.architectsDaughter(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.architectsDaughter(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.architectsDaughter(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.architectsDaughter(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.architectsDaughter(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.architectsDaughter(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.architectsDaughter(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Archivo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Archivo
  static TextStyle archivo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cdf2b7fe0624a03655189f6d69af9aaf273f50a027e5ac86ac9787a4ade55cec',
        111924,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dbbe298211a31369246e4b486cafc9fde16a8deef967a7187970aab2012e5517',
        112024,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '765a57442dc26b38758504d3bb2c18c40395c2d15ca03ba79c73ec900b8748d9',
        112024,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fd0e80370e3fd603e9f717e83eb37aba39e16febdeb262d65baa3fc8a188e8e3',
        112036,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '509704200f2b001811798575b8dfb2d08e5f2b1399d086ec74952d1c8ceaec8a',
        112116,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fae6ab6c0a7a9fed261713b6217cab1c599c77f045fc8b1bb11db97b39d17c6d',
        111852,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a7129619aab18718ed5cb53e036f3cfa76ba1311b93cf57364108e9856932359',
        111928,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4489ee578f9e831634d93f4259a41478a7417c7067a185e05b9d7bc2e82cf03d',
        111928,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3261b4795058bfa613c359fb4c0f8dc48aea785af65f39946a3eb1b51ab2f452',
        111284,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1fe6239e4ef35efc300b795793daf655e03d1c34a70be2163984bdbe04e56d46',
        123560,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd4cee88ed16b3a9e8fe09d89e10f01aa06e76492cc92d41ddaa0cecc0a4cb490',
        123660,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '01a3540e20193a1c823faf9031d79cf08f37c8df9cd21712b671a0148a08b00a',
        123540,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '334dda3f94aea2878d621590c069b9369ad66926596a8b80601860f872b5e7ab',
        123400,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5cd4ebca7a924116f1b16d36300b902e12030e73e97d98067a4da9ea84268b58',
        123484,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8d7899731adf63770491887bc5929a460f3649fd8778c498f4e85a9abda304b0',
        123348,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f59a25b1bc97f42ae253439e9b956ce22b140119e99b29066f5517ff2b4788fb',
        123324,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5ae7277cef1c98eb83275909da467766c84b524bb5b725414ca7258c177d1b50',
        123612,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8bfdf769fe6a374f09351a824f76c1c55b7ec1c5b244959dbc29991e505d3f42',
        123296,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Archivo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Archivo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Archivo
  static TextTheme archivoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.archivo(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.archivo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.archivo(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.archivo(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.archivo(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.archivo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.archivo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.archivo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.archivo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.archivo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.archivo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.archivo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.archivo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.archivo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.archivo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Archivo Black font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Archivo+Black
  static TextStyle archivoBlack({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cb9584812618e21cc2f47b20558d7de558b494bb64d9623415cf292feb6d1c85',
        44844,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ArchivoBlack',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Archivo Black font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Archivo+Black
  static TextTheme archivoBlackTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.archivoBlack(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.archivoBlack(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.archivoBlack(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.archivoBlack(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.archivoBlack(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.archivoBlack(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.archivoBlack(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.archivoBlack(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.archivoBlack(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.archivoBlack(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.archivoBlack(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.archivoBlack(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.archivoBlack(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.archivoBlack(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.archivoBlack(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Archivo Narrow font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Archivo+Narrow
  static TextStyle archivoNarrow({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '87579d5f7c8e291f72865575e99bafd42ddf2a976033ac75b61f13b93bd19d71',
        58336,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '170894a98b4ff5152409dcda4ac23e89be885964ce12e174d2aab15a412270d3',
        58732,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '36eaf8f0a1bc9df263eb6647c32435e43559b90b778f41661fe0694f650b64fe',
        58752,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2a372c78164626347bf5e9b7901b1f6ff5de669e3526460d13a21be209df752f',
        58316,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b2f53270fa26eb7b7317c2a6e46660fab24f02bf48a56be47cad9280003ed0a9',
        60812,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '632f244776126b5f558e797d5537f0de20cb5c47106aec136f039abed8e9a8de',
        61104,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '708113ac8f976d691607f563eee91f0f7873cc97bb9d0b8f7e6224446565871c',
        61108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1e0b86c3e6c8db797a7ec86c89a950b587c763f650389cf18b233005721a498d',
        60708,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ArchivoNarrow',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Archivo Narrow font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Archivo+Narrow
  static TextTheme archivoNarrowTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.archivoNarrow(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.archivoNarrow(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.archivoNarrow(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.archivoNarrow(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.archivoNarrow(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.archivoNarrow(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.archivoNarrow(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.archivoNarrow(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.archivoNarrow(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.archivoNarrow(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.archivoNarrow(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.archivoNarrow(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.archivoNarrow(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.archivoNarrow(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.archivoNarrow(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Are You Serious font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Are+You+Serious
  static TextStyle areYouSerious({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7f5c158df53c0056890d3850938a75e61af027316853dc7eaa83dc29d32341f4',
        149320,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AreYouSerious',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Are You Serious font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Are+You+Serious
  static TextTheme areYouSeriousTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.areYouSerious(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.areYouSerious(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.areYouSerious(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.areYouSerious(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.areYouSerious(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.areYouSerious(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.areYouSerious(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.areYouSerious(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.areYouSerious(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.areYouSerious(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.areYouSerious(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.areYouSerious(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.areYouSerious(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.areYouSerious(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.areYouSerious(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Aref Ruqaa font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Aref+Ruqaa
  static TextStyle arefRuqaa({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ee5d099cdd37221896c5168f36a91e7ed66cba3ff30da3ba74aaddfddfd53a0e',
        108040,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b6e533cd4e2e04a879aa03f33ae815af69fad4518eb47833d64fbdc163d033a6',
        121028,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ArefRuqaa',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Aref Ruqaa font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Aref+Ruqaa
  static TextTheme arefRuqaaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.arefRuqaa(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.arefRuqaa(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.arefRuqaa(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.arefRuqaa(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.arefRuqaa(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.arefRuqaa(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.arefRuqaa(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.arefRuqaa(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.arefRuqaa(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.arefRuqaa(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.arefRuqaa(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.arefRuqaa(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.arefRuqaa(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.arefRuqaa(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.arefRuqaa(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Aref Ruqaa Ink font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Aref+Ruqaa+Ink
  static TextStyle arefRuqaaInk({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a49d3e3a6b5981ccbe114cde7291fbab546ab2517c56cbc9aed71dc4a1706d77',
        565012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '87f2d8d6c0e34a409b5b2df40b762e1f91b3f0c07c5870e6b30feb8b67d53dca',
        627808,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ArefRuqaaInk',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Aref Ruqaa Ink font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Aref+Ruqaa+Ink
  static TextTheme arefRuqaaInkTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.arefRuqaaInk(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.arefRuqaaInk(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.arefRuqaaInk(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.arefRuqaaInk(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.arefRuqaaInk(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.arefRuqaaInk(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.arefRuqaaInk(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.arefRuqaaInk(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.arefRuqaaInk(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.arefRuqaaInk(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.arefRuqaaInk(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.arefRuqaaInk(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.arefRuqaaInk(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.arefRuqaaInk(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.arefRuqaaInk(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Arima font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Arima
  static TextStyle arima({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3f53624e0a3b1ac13805174ee559ba3412c4871de8265b89c7068b90fe788ab5',
        191192,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '88c42f9d784e4b8eca201dc55885f4084b0eba223131443724a308ae72cc5c16',
        191812,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5dbbf2f1c6ccea41e27a782d0eeb61c3b5014ac023fc80684ddf78bca9fc946c',
        192192,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8480f252378e4b5baa8d892747be8df704ae4b258ab1b425c01b337dd8730703',
        192164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4929f43046fe323074cdad119f09ef05dab0ad09d54aeb3754bf2579e039f213',
        192568,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a29b89383081bceee9e1af386b022fcc9a25b40b577e6afd28c774048b0b8420',
        192412,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '64dc4250fa5875a42506e7ccb750eb55537d31dc24ae3528789d7df8e8170f65',
        192356,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Arima',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Arima font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Arima
  static TextTheme arimaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.arima(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.arima(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.arima(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.arima(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.arima(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.arima(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.arima(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.arima(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.arima(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.arima(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.arima(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.arima(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.arima(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.arima(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.arima(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Arimo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Arimo
  static TextStyle arimo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dbc3f5256cfcb1aa62736daaab3bea7dc85c7c68028cd408671a796537da3a0e',
        315684,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a853459fe429fbc56342801939f6abd1bd18700830e2f34895d3ea74cf90ed56',
        318660,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4c91b9aff501566727a4386c973afa730f2ca6af63776681e73bbefb062c86ab',
        319656,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ae8ae33dbafc8b8759404c8f812d36fe44067f5c6b90b38495a2be5daa57c5da',
        316204,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '963985e80cf691a33ca6b4879232d4b34d3f8f631f0c6353d60a1595a519a6bf',
        337860,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '393deb90793814a70d0bdcbbf8e1c16c3f86fa348de25b6f915b12f86a284e75',
        342400,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '15fd3e30d1fcc180ad52f205cb4d1e56a2ee66633ffb716a034a2d522cd6be3b',
        342948,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4232c2585c5833abe3d7e3adb1dc11dd367cdeefd26135499eb04c5d2c697096',
        339292,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Arimo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Arimo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Arimo
  static TextTheme arimoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.arimo(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.arimo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.arimo(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.arimo(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.arimo(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.arimo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.arimo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.arimo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.arimo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.arimo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.arimo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.arimo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.arimo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.arimo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.arimo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Arizonia font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Arizonia
  static TextStyle arizonia({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7cdbff2a2b1155329f26fe8a352a224277129963887327eaac835a804511ba19',
        87984,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Arizonia',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Arizonia font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Arizonia
  static TextTheme arizoniaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.arizonia(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.arizonia(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.arizonia(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.arizonia(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.arizonia(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.arizonia(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.arizonia(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.arizonia(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.arizonia(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.arizonia(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.arizonia(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.arizonia(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.arizonia(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.arizonia(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.arizonia(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Armata font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Armata
  static TextStyle armata({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7653dd9ee79fc9669bf68296b378d9f94a37e2f8fe2a8501ed2bb072ad55de82',
        49964,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Armata',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Armata font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Armata
  static TextTheme armataTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.armata(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.armata(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.armata(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.armata(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.armata(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.armata(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.armata(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.armata(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.armata(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.armata(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.armata(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.armata(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.armata(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.armata(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.armata(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Arsenal font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Arsenal
  static TextStyle arsenal({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b5f695f889f166bd03a347f103b3bc671e167458595c8d02994b7fa1763e3e86',
        76692,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a5f085824395aaea9d08f1baad23b3fe697f8214a27e871c4ef04df58d3559ea',
        82296,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a8ba6c5b0c941ce0588b8095560c835724c810d579d505f01e9eedf7fae53cf9',
        77208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '56f6907247178ab293265b7dd74616db07072abca641f4a05046a57665fc0ce8',
        82340,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Arsenal',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Arsenal font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Arsenal
  static TextTheme arsenalTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.arsenal(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.arsenal(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.arsenal(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.arsenal(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.arsenal(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.arsenal(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.arsenal(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.arsenal(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.arsenal(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.arsenal(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.arsenal(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.arsenal(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.arsenal(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.arsenal(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.arsenal(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Artifika font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Artifika
  static TextStyle artifika({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2d366647b42c50a5c4a1a96ac78630df49d1bedb60e89f5b32bd9e187b3e3c15',
        36888,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Artifika',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Artifika font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Artifika
  static TextTheme artifikaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.artifika(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.artifika(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.artifika(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.artifika(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.artifika(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.artifika(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.artifika(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.artifika(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.artifika(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.artifika(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.artifika(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.artifika(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.artifika(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.artifika(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.artifika(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Arvo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Arvo
  static TextStyle arvo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '06604b28f68ab6bd331ce34e39d3d25e5571d234dd859a67002a03b52ff54434',
        20668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'be30ff68b3a6569309e4cdb97520171f9c2b00644bda658aea76c6a3cd1211d0',
        21104,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4e8ee167cbaa92f9e5bd0961c8a405a38520bd3e0ac487d94ffc7122d75a98ea',
        20556,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5ead9ae374f4c2b25c767d68c772879cb84f33c5ddf213b4608c2cc7639d61ed',
        21668,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Arvo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Arvo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Arvo
  static TextTheme arvoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.arvo(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.arvo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.arvo(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.arvo(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.arvo(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.arvo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.arvo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.arvo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.arvo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.arvo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.arvo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.arvo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.arvo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.arvo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.arvo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Arya font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Arya
  static TextStyle arya({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a939aada447f5c1bc764a8f9960c6424d3f38d85972df751c73e54c7362afc64',
        107792,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '00ca32f8ce8b566199068fbd0a93b788998d103f60dfe43263e2959b328245db',
        107528,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Arya',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Arya font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Arya
  static TextTheme aryaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.arya(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.arya(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.arya(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.arya(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.arya(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.arya(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.arya(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.arya(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.arya(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.arya(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.arya(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.arya(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.arya(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.arya(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.arya(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Asap font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Asap
  static TextStyle asap({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8fccb0ee85a7742d98908cc83e2aa19ba81ea4c25657757944df0ac1eaae98c6',
        77220,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '31e4bd467607dbd1d5ef80146a91bf0febbf7294ae6679ff600df1b25de7e3b9',
        77304,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e1fbec51cce53295fd5274652d8d2251dd72a2cc96263ff9da3240b943711a1d',
        77284,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b197130508d6c7f7b8db1f061138f34cf228877c66a40dcc34622006324a02ca',
        77240,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1a865d024a894c304f2c820ff664972e4129ecc318dca67b7c1e2fa014473e2f',
        77240,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '22491ca0a499063225d0cd77bade261dfbd8653737ab7089319059c88f42a241',
        77328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '05dc46469b1decac35e426cf2ab3b6b0179c08dfc53dd61e5c156a5f2569fd0c',
        77044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fb8e5542f11956c6cddccb3e82c9179820dc3b8a0f7fdd940196a498d31050ae',
        77216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a68490602bf01bc8e0a3c7277686c6bb8154d9bc54631143df3d483a9d8436aa',
        77100,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '37178735b8bd328ef23076e6bb94f77a2d637ec6ff935905fcf9a91db571c7fc',
        84476,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fc9060619a84da4583e3328cc778f25dc7a636c5bfafa0700a965b2af47e7e4a',
        84468,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3a48a72fc2f98776afdc3ea7e5f891f93f8f5900aa5b68a60b340f4a2b0691af',
        84396,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b92844300351246b171f1f78eac59e99bbea5e15379c3844e91ca57d71d356e6',
        84304,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '76ce4de9e0ecaaffe129cfa5c22b40ea0228992edaecdb42a96a7f2d02045ec0',
        84396,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5bc68a75cb402dab5838d52394e13ee50ae3e47569dcd6cc785ec757f971862a',
        84448,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9ce190dee7f495773da96d8d79958c68ae84d753b4a2127cc9896e6d500d73ef',
        84256,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9a784dc7d197e79cf3f5bb2a833d9428bdb5c3fcf8a582a0a34f34d51b678365',
        84388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0658c93a7f0a20fc5a6d0efeac631f5033eff17ffee1d7fb1235b02eb8d7995b',
        84360,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Asap',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Asap font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Asap
  static TextTheme asapTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.asap(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.asap(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.asap(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.asap(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.asap(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.asap(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.asap(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.asap(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.asap(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.asap(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.asap(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.asap(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.asap(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.asap(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.asap(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Asap Condensed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Asap+Condensed
  static TextStyle asapCondensed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cff41cb2fe9e2f1e7cf4686f8b4174675210afed246067a63eaa8131472154dc',
        70008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '73ba0e68e7409bf170f35d1b9b2d472b471771e780a6dda6a164b51ae2709945',
        76424,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2a67660e18d33305f1b614ea83d4b4c1ef9d8f1e7ea532a91e998fe60c886058',
        70168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '77a3bb28081243365088daaa795208e27d24b80ff5f1d42535e07355efe01951',
        76860,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '287d23bd152264f0e69499ace18ef73101ceb4c2f205f444061487c46113605a',
        71444,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8ed7f52e14e1c0ada801e7c04634272113f5db4dff1eab4b0a3f4c8ce8b88eb9',
        77800,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '74f34fcf38b816a8a8c6646f674d5ffd574a4653954959cc070cfb4b23104085',
        71636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3e637e88750b51d2078163a2e01f839644d2f20f233491057de61b46e0432690',
        77676,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '150379b430c0f101463f7e470f721a6dec852c68f49027a20bb9aa53135f1b81',
        72064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'de948503fe3ce2a16bc1abbd41c556d04fa2bd6cf634c1bb241038a0fc21bd43',
        77944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9a5854e1b13826ca480b8d3c50241514095b6421f5f093d59be25ccf932c5843',
        72116,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7c30dbc2e30259376d066e96f8488f483b4d34e7aebe280b2ef970d20679d5cc',
        78364,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ec93946f086d6d75040b54cfa627f1fde7d15d2cbe64f89a797b30c5a933fe01',
        72284,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '95f2c5aeec797312bedae15f0ed45f22035d5e427aa6a0a9069f6cbb31b64fb6',
        77896,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b0ceef37e9be39e015a2b83e7e49114db4bfc2f00a6e1b2efbc4ca39780f6490',
        72504,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4d96e9ff4f289ecefc1de6bc57bfe7b6a5d3d8c27283ca482462078da2ae4022',
        78436,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AsapCondensed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Asap Condensed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Asap+Condensed
  static TextTheme asapCondensedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.asapCondensed(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.asapCondensed(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.asapCondensed(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.asapCondensed(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.asapCondensed(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.asapCondensed(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.asapCondensed(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.asapCondensed(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.asapCondensed(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.asapCondensed(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.asapCondensed(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.asapCondensed(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.asapCondensed(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.asapCondensed(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.asapCondensed(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Asar font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Asar
  static TextStyle asar({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9f5c57c47471c19a020f356b7153fa11a8ceb320745319fd004076634bfebd4e',
        399888,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Asar',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Asar font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Asar
  static TextTheme asarTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.asar(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.asar(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.asar(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.asar(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.asar(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.asar(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.asar(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.asar(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.asar(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.asar(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.asar(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.asar(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.asar(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.asar(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.asar(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Asset font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Asset
  static TextStyle asset({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '590f0e7d49f7b0a93d4c0a42e85b33e1ccc03395228859ffacd9a16769817730',
        48040,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Asset',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Asset font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Asset
  static TextTheme assetTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.asset(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.asset(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.asset(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.asset(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.asset(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.asset(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.asset(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.asset(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.asset(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.asset(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.asset(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.asset(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.asset(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.asset(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.asset(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Assistant font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Assistant
  static TextStyle assistant({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f28488ab014bdfd98c208e1333f017e7df733170a47454b4e06bdcc9634f1048',
        47472,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e84f598d0f695a2eff4274bb1c0ee3161417631009d2d255bcf350dda0dd41a3',
        47700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '74eed00eb58c95d62107019c6db7cbc3e82b61c32dbcfa41b73804fb01392bc7',
        47692,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '571721e6f096baff44cf55b1c08ba2f51774bdfceffae28ed35dcb3cb9b84c8c',
        47640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '48513533bec634e8f6ef4bae2a8b4d6238c72a6327c2396c3d33cb8e5e78c63d',
        47716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd794fc350a5e9a95a7d3dcd8b0f2e73875a31af117132823f18b8795e614a31a',
        47652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4bfece19aadcac1e47b9eb19c30b618f3813e63326b81358ae7ce3c805596332',
        47532,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Assistant',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Assistant font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Assistant
  static TextTheme assistantTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.assistant(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.assistant(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.assistant(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.assistant(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.assistant(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.assistant(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.assistant(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.assistant(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.assistant(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.assistant(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.assistant(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.assistant(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.assistant(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.assistant(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.assistant(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Astloch font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Astloch
  static TextStyle astloch({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a7a7c68cac2873d07058859ca8ea09c343c2d86b4856fc4228d747cc66738e71',
        49252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a5d9efacd4b695ad23eea17dc7c59305ddc3ce9db72cb9508be52cb932ea6de0',
        50852,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Astloch',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Astloch font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Astloch
  static TextTheme astlochTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.astloch(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.astloch(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.astloch(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.astloch(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.astloch(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.astloch(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.astloch(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.astloch(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.astloch(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.astloch(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.astloch(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.astloch(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.astloch(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.astloch(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.astloch(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Asul font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Asul
  static TextStyle asul({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4feba4db5d8e0b1cf68e5b07dc1722f0167acd191ffb56e0ea11dea93b12dbcd',
        31008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f94c10cb7b5ea59055ef4efe754a091874f873c8b7a82dfe3d577cdcb4939c22',
        30988,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Asul',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Asul font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Asul
  static TextTheme asulTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.asul(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.asul(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.asul(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.asul(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.asul(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.asul(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.asul(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.asul(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.asul(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.asul(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.asul(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.asul(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.asul(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.asul(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.asul(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Athiti font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Athiti
  static TextStyle athiti({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '696cbfd50124dc9018b35cd34f14c2087a57e8a1a4f5b85412930f5a8b0d927d',
        96028,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bc712088d5e10d28733039df5b64a70792596852e2b3476d106d3ab0eb764c98',
        94860,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2616631b1611fdb8b7ce24b5a7ca2fcc9ed30c586f57109005e4dae361cfae1c',
        95952,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2a3112766cdc5e82e50149f5422d4e7ac6d90ba554076d429c00c361725c6c1c',
        96036,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd486640632fcfc522d9013c7ae37991f4da6fd251dfc845736f1534208999d89',
        95560,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '389e4c7f43470ba0f7a9fb90fcb73eb264aae54974e0befa5bdc6258c4fc16c9',
        96436,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Athiti',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Athiti font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Athiti
  static TextTheme athitiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.athiti(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.athiti(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.athiti(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.athiti(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.athiti(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.athiti(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.athiti(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.athiti(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.athiti(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.athiti(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.athiti(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.athiti(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.athiti(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.athiti(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.athiti(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Atkinson Hyperlegible font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Atkinson+Hyperlegible
  static TextStyle atkinsonHyperlegible({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ee6c7c3c6598f81ae3ec64565252b7f85f2031e129fa9d4ee4a0c12839889264',
        35304,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0c3580a9c2f9fc899b61f5a7eca7e6fd73982d2cea63a100232d524b9278495b',
        35728,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0fc08c96a91a8628172873529de9df0edb16de404ff7c2c109df2ca7745b0820',
        35496,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9d2a564178567b3fccc75106d67b487e6b583dd2028056142b62788671a8af5f',
        36056,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AtkinsonHyperlegible',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Atkinson Hyperlegible font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Atkinson+Hyperlegible
  static TextTheme atkinsonHyperlegibleTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.atkinsonHyperlegible(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.atkinsonHyperlegible(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.atkinsonHyperlegible(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.atkinsonHyperlegible(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.atkinsonHyperlegible(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.atkinsonHyperlegible(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.atkinsonHyperlegible(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.atkinsonHyperlegible(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.atkinsonHyperlegible(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.atkinsonHyperlegible(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.atkinsonHyperlegible(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.atkinsonHyperlegible(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.atkinsonHyperlegible(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.atkinsonHyperlegible(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.atkinsonHyperlegible(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Atma font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Atma
  static TextStyle atma({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '21d24feb8932a5ec944a0bb087e8c1e33ca1c507249ea04a9a1abbd0a6d211de',
        189740,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '70176c593f928f5d887f72a285ffdd740818e7ae96648878f721b78f2ce65c56',
        191388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1f7bd4f49bac741683b8f145d6f52956bbe0f8614ca0beb0b7105ff30c5a8748',
        190840,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7929b2c30b891226514c0e917a60ac5cc650b0fb94dc4aaa7006836720159776',
        189940,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a61d48250e608b03a3e0ec56a2bd28e07a880b144acfcbd757ad6bad3d563a66',
        186912,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Atma',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Atma font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Atma
  static TextTheme atmaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.atma(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.atma(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.atma(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.atma(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.atma(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.atma(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.atma(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.atma(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.atma(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.atma(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.atma(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.atma(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.atma(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.atma(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.atma(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Atomic Age font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Atomic+Age
  static TextStyle atomicAge({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a9f2142938d6ee0e74907390e66d9ea05265c756dc4b93fa8e81a160ca449ab1',
        40672,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AtomicAge',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Atomic Age font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Atomic+Age
  static TextTheme atomicAgeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.atomicAge(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.atomicAge(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.atomicAge(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.atomicAge(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.atomicAge(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.atomicAge(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.atomicAge(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.atomicAge(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.atomicAge(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.atomicAge(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.atomicAge(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.atomicAge(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.atomicAge(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.atomicAge(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.atomicAge(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Aubrey font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Aubrey
  static TextStyle aubrey({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8ca62b5d441c31bf4bb2af48b336acbd0c109ead24d4b7dcc734c428d66b7f1a',
        32668,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Aubrey',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Aubrey font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Aubrey
  static TextTheme aubreyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.aubrey(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.aubrey(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.aubrey(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.aubrey(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.aubrey(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.aubrey(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.aubrey(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.aubrey(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.aubrey(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.aubrey(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.aubrey(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.aubrey(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.aubrey(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.aubrey(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.aubrey(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Audiowide font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Audiowide
  static TextStyle audiowide({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7e9ec109a765df96029af9e206207a6c0bc739bbd1476dd01f15eb6de459b07b',
        46484,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Audiowide',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Audiowide font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Audiowide
  static TextTheme audiowideTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.audiowide(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.audiowide(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.audiowide(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.audiowide(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.audiowide(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.audiowide(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.audiowide(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.audiowide(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.audiowide(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.audiowide(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.audiowide(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.audiowide(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.audiowide(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.audiowide(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.audiowide(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Autour One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Autour+One
  static TextStyle autourOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '835e4cf3882094e87b1cc6738455d27c58666e50595b7304fe641bb9d371bddf',
        56644,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AutourOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Autour One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Autour+One
  static TextTheme autourOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.autourOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.autourOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.autourOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.autourOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.autourOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.autourOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.autourOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.autourOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.autourOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.autourOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.autourOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.autourOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.autourOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.autourOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.autourOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Average font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Average
  static TextStyle average({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '22aaa82479b458375c6ae410aa74bb669225d52d9782cb3f301ac70db520b723',
        51556,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Average',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Average font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Average
  static TextTheme averageTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.average(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.average(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.average(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.average(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.average(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.average(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.average(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.average(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.average(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.average(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.average(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.average(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.average(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.average(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.average(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Average Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Average+Sans
  static TextStyle averageSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'db7e01f028c635aef313afbb32495c914fa586be304b27ef0f93996e1d861d76',
        40392,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AverageSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Average Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Average+Sans
  static TextTheme averageSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.averageSans(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.averageSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.averageSans(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.averageSans(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.averageSans(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.averageSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.averageSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.averageSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.averageSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.averageSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.averageSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.averageSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.averageSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.averageSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.averageSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Averia Gruesa Libre font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Averia+Gruesa+Libre
  static TextStyle averiaGruesaLibre({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '879c55ff64c5c857842f76d67c79f6a96ed3e5a90b4dc3bee62a508b87ce77da',
        110136,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AveriaGruesaLibre',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Averia Gruesa Libre font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Averia+Gruesa+Libre
  static TextTheme averiaGruesaLibreTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.averiaGruesaLibre(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.averiaGruesaLibre(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.averiaGruesaLibre(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.averiaGruesaLibre(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.averiaGruesaLibre(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.averiaGruesaLibre(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.averiaGruesaLibre(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.averiaGruesaLibre(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.averiaGruesaLibre(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.averiaGruesaLibre(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.averiaGruesaLibre(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.averiaGruesaLibre(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.averiaGruesaLibre(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.averiaGruesaLibre(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.averiaGruesaLibre(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Averia Libre font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Averia+Libre
  static TextStyle averiaLibre({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7e7822881be83db88a6a6674b8ef18760d8fb01b44cc07898b1b686204f22c24',
        106720,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '478d586176da94e754eda5ef0481c71000c7a82be20445a3f04dbf2ecf276ba5',
        132056,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e5dbc6d83b9f1a68d3be7cc777ec96e097a2a02ae5ca2a3f18f39e720f6e379b',
        107020,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c592b4893f6fa2059fdbf44bf1a29bf18ef204851d4775bf3ec3878283c54d4e',
        127372,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '41216d0ca8e7db003bdafb5f53bd3425def86c7321217f68da77baf0feac4769',
        110832,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '20f2ca7436a510cc1acc4be8a1340bb9a981f734e07ae1049d66c576d3112871',
        134260,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AveriaLibre',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Averia Libre font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Averia+Libre
  static TextTheme averiaLibreTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.averiaLibre(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.averiaLibre(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.averiaLibre(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.averiaLibre(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.averiaLibre(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.averiaLibre(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.averiaLibre(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.averiaLibre(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.averiaLibre(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.averiaLibre(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.averiaLibre(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.averiaLibre(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.averiaLibre(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.averiaLibre(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.averiaLibre(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Averia Sans Libre font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Averia+Sans+Libre
  static TextStyle averiaSansLibre({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f43b980899fbc0ad129c49237f36a2076ad9eb2c44ed5d2a23716fd4f46fb09a',
        106264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '813ba1a2a72ae8743892a407d7e08722e3b6bf741fb4aaff118dbbf899d00d6e',
        132696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0c2df70769b1c1296c22f0f3662b1ab6e2ddfd965c362367520152b6b7d8d491',
        106888,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '34fe21ecb0fd3fd41b365d43957d002f9a55e235dbf6e498de79f1991fcab2a3',
        127404,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd21143e34828cbea15e0e25b4d60a1d5d54497462a6bfc593c81f47f113bb09d',
        111544,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '21d1bb981da69b3f53a010c0400d9da53258f3ee566789ced34dd4aa405462e0',
        134372,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AveriaSansLibre',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Averia Sans Libre font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Averia+Sans+Libre
  static TextTheme averiaSansLibreTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.averiaSansLibre(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.averiaSansLibre(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.averiaSansLibre(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.averiaSansLibre(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.averiaSansLibre(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.averiaSansLibre(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.averiaSansLibre(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.averiaSansLibre(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.averiaSansLibre(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.averiaSansLibre(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.averiaSansLibre(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.averiaSansLibre(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.averiaSansLibre(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.averiaSansLibre(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.averiaSansLibre(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Averia Serif Libre font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Averia+Serif+Libre
  static TextStyle averiaSerifLibre({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd3a467f0e37820449e1475e6383de9c38241c60381309645688c3ba3557b502a',
        108484,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '45c314aaa2c85ba19ad5a3f9ac64410a7db1b583780387869df22b1c3e387777',
        134468,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b4488ef076b0b60a6ed348d12a5ee756214a3cc9e37832056a75f719ea90cb7e',
        108508,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c70379414feb6e1da3ea3d5f3d93bcc16459abc62ae2954246a5e9437aadd4e9',
        129480,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '62f7ac807e87023da6b428ceb6c9fbbf59117d77ae1805975a74e6d904953d0a',
        112472,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '99c96dec4d9ce146602048e4c0c532937c6b75678d8317e6221f510a78cec9a0',
        136700,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AveriaSerifLibre',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Averia Serif Libre font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Averia+Serif+Libre
  static TextTheme averiaSerifLibreTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.averiaSerifLibre(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.averiaSerifLibre(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.averiaSerifLibre(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.averiaSerifLibre(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.averiaSerifLibre(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.averiaSerifLibre(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.averiaSerifLibre(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.averiaSerifLibre(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.averiaSerifLibre(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.averiaSerifLibre(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.averiaSerifLibre(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.averiaSerifLibre(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.averiaSerifLibre(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.averiaSerifLibre(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.averiaSerifLibre(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Azeret Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Azeret+Mono
  static TextStyle azeretMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e376dc172013c157a84376a8c103e21fe0e00136117c6ede635f6d7041a80aec',
        36332,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c84e04b76228e1699753b6ffb045442da0eaddbf69ac68e7515e489eb598bd37',
        36372,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '63beec477c3111e9c6848ee48d05bb30c9b38791bdbc6203fcf3addf0cd8b929',
        36292,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c8fbb726b1e15b8e6fd5f0d01fe74eac5612c451126e6d18de2dd79dd45f2076',
        36252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '56c6b02d6b8bf9d5af614b87f65a169dc173dafaba91555b009bf4f286cad919',
        36316,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4345cabf13b67f88be2af61e58df98c0bb3703ad05996c9539f67a48a8a86757',
        36208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ccb4627d3e722e6ba1e1d577ab03f583dc5d265e58392d24ccd68abbe41d1a3a',
        36120,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a33c609257c09b9acdee6a95cfe187feb019e1038db2a4d3c8bdc2b84255dc22',
        36292,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1f82d72f542e396469f795d3e8bc382fc38d7354781b2ac386b8339d8b813e82',
        36340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '568788fb7b88d3ac1b1da81d4b3fe391c5160c524f5627f28fc64196e0defbb2',
        37464,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6c4852ffbc91796e558d139523b059f4b7c9f217bb213c7c8cf66ecb95440033',
        37556,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '47c8f756184a4ab76ffb1da899a7c8c24446c8a024cc92fb0b8398171acfadfb',
        37452,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3b34f251e08faac5a23373adad83969c247110c5ee90b114665d379470db790a',
        37360,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'df19d816542b6967040cdc509d395151af7a58579d2af43517043785b4a23b03',
        37516,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0dbb7dff740e5d9edc0234e99338ceccc7127bd36046387cd67e599b3c5a49d1',
        37484,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '039eeeaa5d4fb10910a83d7566140f0ea3cd1039ba7582740a5a55f7b9867d0f',
        37256,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '749d9513d509c099a2e28225af6c2e73bf900a7694957228b9531714d4b6bbec',
        37432,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8ece4e25cbe91414408b36478a19ee0a7bcfd8f0bc546f2bb4f4404a00ef5b21',
        37488,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AzeretMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Azeret Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Azeret+Mono
  static TextTheme azeretMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.azeretMono(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.azeretMono(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.azeretMono(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.azeretMono(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.azeretMono(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.azeretMono(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.azeretMono(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.azeretMono(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.azeretMono(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.azeretMono(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.azeretMono(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.azeretMono(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.azeretMono(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.azeretMono(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.azeretMono(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the B612 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/B612
  static TextStyle b612({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4d0347457a725a93a2de2b562174a4b53958bc94347bce5dadf7c220d4d18742',
        89040,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'aec7755bb68cd9fe7939fe6a51bb5a19fb8328a23038e03476d09e62c1acc917',
        92724,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2585f7be03fe5213564bf53b9cafc085be0080aead7fc2c19224098f7b595309',
        88692,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '23dc0ce0dd72a74b7beda1106ffd47f011134d17ef56a5009c64005c7d81c90d',
        91732,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'B612',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the B612 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/B612
  static TextTheme b612TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.b612(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.b612(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.b612(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.b612(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.b612(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.b612(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.b612(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.b612(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.b612(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.b612(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.b612(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.b612(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.b612(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.b612(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.b612(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the B612 Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/B612+Mono
  static TextStyle b612Mono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '935a9de8c5697c8c22fc2e56c14db9d801f38264e677aa95a9b8c89698f60db7',
        86192,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3c02e7bb121c758ae4fe699a54db9ef5f1ae2cd310f0d838f307961db5205c15',
        88680,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f338ed1e45a339fab8ddcd7d8a593d155a270679757aa775d906b77d0331dd56',
        85168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b405e3bda420eb48b4b1eb6570ee6c69bf93e31fa6089c9d6a6561fbedb662d9',
        87484,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'B612Mono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the B612 Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/B612+Mono
  static TextTheme b612MonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.b612Mono(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.b612Mono(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.b612Mono(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.b612Mono(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.b612Mono(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.b612Mono(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.b612Mono(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.b612Mono(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.b612Mono(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.b612Mono(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.b612Mono(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.b612Mono(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.b612Mono(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.b612Mono(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.b612Mono(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the BIZ UDGothic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/BIZ+UDGothic
  static TextStyle bizUDGothic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f0e93ce9e3edfc58d2874908e14b36b77a6f6dde51e7e1d919b99b27018b1621',
        3462768,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aa66342f3412d3890b66d95543e0d0fa9fac466c227e596b9a36cf3ec1267387',
        3447448,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BIZUDGothic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the BIZ UDGothic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/BIZ+UDGothic
  static TextTheme bizUDGothicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bizUDGothic(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.bizUDGothic(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bizUDGothic(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.bizUDGothic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.bizUDGothic(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.bizUDGothic(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bizUDGothic(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bizUDGothic(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bizUDGothic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bizUDGothic(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bizUDGothic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bizUDGothic(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bizUDGothic(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bizUDGothic(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bizUDGothic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the BIZ UDMincho font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/BIZ+UDMincho
  static TextStyle bizUDMincho({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '21d82615f77606049eedc67b0fcd7f77e577205149a7ee760ce72b3c754bcb5f',
        4846784,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '381c0870df44c7afdca590c94c24a747aa561dfe1200836120d677b7053a95a0',
        5793964,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BIZUDMincho',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the BIZ UDMincho font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/BIZ+UDMincho
  static TextTheme bizUDMinchoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bizUDMincho(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.bizUDMincho(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bizUDMincho(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.bizUDMincho(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.bizUDMincho(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.bizUDMincho(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bizUDMincho(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bizUDMincho(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bizUDMincho(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bizUDMincho(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bizUDMincho(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bizUDMincho(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bizUDMincho(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bizUDMincho(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bizUDMincho(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the BIZ UDPGothic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/BIZ+UDPGothic
  static TextStyle bizUDPGothic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a26fb489634661b9a37169f543981eebbcd68733278d658d47ea8da3e79a9b72',
        3508468,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '500f1b0bf26984fc036b37aec0c59069ac0d3b29a5e4d44d0c20e3f2421ff59d',
        3492684,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BIZUDPGothic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the BIZ UDPGothic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/BIZ+UDPGothic
  static TextTheme bizUDPGothicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bizUDPGothic(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.bizUDPGothic(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bizUDPGothic(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.bizUDPGothic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.bizUDPGothic(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.bizUDPGothic(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bizUDPGothic(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bizUDPGothic(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bizUDPGothic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bizUDPGothic(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bizUDPGothic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bizUDPGothic(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bizUDPGothic(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bizUDPGothic(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bizUDPGothic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the BIZ UDPMincho font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/BIZ+UDPMincho
  static TextStyle bizUDPMincho({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '64122b93abc388b67fb2884647d5e4af73218977ee45f967803028d11d960f1f',
        4919472,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6c2ab6a5e06df519617abeb26e0f249d54a68f22dc145947cdc38dfc233cb6b6',
        5880052,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BIZUDPMincho',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the BIZ UDPMincho font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/BIZ+UDPMincho
  static TextTheme bizUDPMinchoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bizUDPMincho(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.bizUDPMincho(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bizUDPMincho(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.bizUDPMincho(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.bizUDPMincho(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.bizUDPMincho(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bizUDPMincho(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bizUDPMincho(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bizUDPMincho(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bizUDPMincho(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bizUDPMincho(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bizUDPMincho(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bizUDPMincho(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bizUDPMincho(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bizUDPMincho(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Babylonica font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Babylonica
  static TextStyle babylonica({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '75ec9d48dc4312873b400a3a00a1d2ec7c06f917423ecff9d08400ad7197df19',
        333852,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Babylonica',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Babylonica font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Babylonica
  static TextTheme babylonicaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.babylonica(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.babylonica(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.babylonica(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.babylonica(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.babylonica(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.babylonica(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.babylonica(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.babylonica(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.babylonica(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.babylonica(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.babylonica(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.babylonica(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.babylonica(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.babylonica(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.babylonica(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bad Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bad+Script
  static TextStyle badScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c62d8477f536f5e0939e0a67dae8aab90bcc8d72c5fc36642a8cc668250c761b',
        50028,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BadScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bad Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bad+Script
  static TextTheme badScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.badScript(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.badScript(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.badScript(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.badScript(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.badScript(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.badScript(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.badScript(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.badScript(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.badScript(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.badScript(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.badScript(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.badScript(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.badScript(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.badScript(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.badScript(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bahiana font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bahiana
  static TextStyle bahiana({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5c5521386859d5ed8cd450a36fc6a896f8c2e9f86f48f4f0635d0423a2f2c1ff',
        46648,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Bahiana',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bahiana font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bahiana
  static TextTheme bahianaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bahiana(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.bahiana(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bahiana(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.bahiana(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.bahiana(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.bahiana(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bahiana(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bahiana(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bahiana(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bahiana(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bahiana(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bahiana(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bahiana(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bahiana(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bahiana(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bahianita font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bahianita
  static TextStyle bahianita({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '72554c00db8338dfcea172622a0db9f2db2c772327aebbcc776d8a0eb2ad04b2',
        92180,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Bahianita',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bahianita font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bahianita
  static TextTheme bahianitaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bahianita(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.bahianita(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bahianita(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.bahianita(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.bahianita(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.bahianita(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bahianita(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bahianita(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bahianita(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bahianita(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bahianita(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bahianita(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bahianita(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bahianita(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bahianita(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bai Jamjuree font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bai+Jamjuree
  static TextStyle baiJamjuree({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '45ef472a0bd6f81b528804dc98f3ba4b56e789d55d793ab3b6a88a638646b28c',
        78044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '17f2cce743e3276c95ff6383c235328f5e97b8889c4d1e93a2073edcad336f82',
        83600,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '134cfc83d825085fb79694e5b4a0791a44d50367d6bfbaa0aff3cd3ea735330e',
        78384,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3e459a85b71ea5fe1a2a7779a731cb5f137f710ee70d565935001f6fbcee666a',
        83780,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '477ceaa5c1f1bbdfc31023cad25ab089ed1689737e4078f64b88141dde2874dc',
        78416,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fcc54ca860ceb502e5a24cf34c84d1f4ed451c3a60c56206115af44be3998af0',
        83856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0d1630b17316408ccb87e59aa817256f20270197833d9fce7dc84f8fdaffe519',
        78428,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '254fc13896c665383d6192c9a5cb1efe824a2d28b0511698edb6f2befad1df31',
        83944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9c0fd790fb689c4ce76399c8f4edda636d9ecf05aafe376bdb33923444917cdd',
        78412,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3fbdadddca86a1635e36cc7bce48f51f4fbbd72c5d0c1b8e425ad2322cc14614',
        83776,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '949fc9581d9010403dfffcd8e1f13ff58ddf3a32eb5390b060081045fc31059a',
        78104,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8709e86b66d84a0be9bcb6b71d5512d832c861ba549b3678f2dca36d699d9e22',
        83360,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BaiJamjuree',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bai Jamjuree font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bai+Jamjuree
  static TextTheme baiJamjureeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.baiJamjuree(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.baiJamjuree(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.baiJamjuree(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.baiJamjuree(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.baiJamjuree(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.baiJamjuree(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.baiJamjuree(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.baiJamjuree(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.baiJamjuree(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.baiJamjuree(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.baiJamjuree(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.baiJamjuree(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.baiJamjuree(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.baiJamjuree(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.baiJamjuree(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bakbak One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bakbak+One
  static TextStyle bakbakOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3330722dc74dbd09aed21bf32ff32064bd34bdc07730b30d71793060af24fe23',
        146444,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BakbakOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bakbak One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bakbak+One
  static TextTheme bakbakOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bakbakOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.bakbakOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bakbakOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.bakbakOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.bakbakOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.bakbakOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bakbakOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bakbakOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bakbakOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bakbakOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bakbakOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bakbakOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bakbakOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bakbakOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bakbakOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ballet font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ballet
  static TextStyle ballet({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '87f0ea4972b584ca3d1332a774e0ec310711a3948ce047ed82d65fe544d7ec4b',
        74396,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Ballet',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ballet font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ballet
  static TextTheme balletTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ballet(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.ballet(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ballet(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.ballet(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.ballet(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.ballet(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ballet(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ballet(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ballet(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ballet(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ballet(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ballet(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ballet(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ballet(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ballet(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Baloo 2 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+2
  static TextStyle baloo2({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1dd9aa2ae3fcfca39b719419895ed061e4b83fad335026b19163713febbf64e7',
        418624,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '30d0ef827a145ec1b4e759bb351d70e347a09fbceb574764d8bb088cbfc69205',
        418932,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b29c9d9297ccbbb6c10ace915f149e7efc4e98d361bf3a57db884bfd9108a5ba',
        418840,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6947207f2b071dd6c6c1a9b039a1199f04133b82bec9699e2737ad7829b0cb20',
        418712,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e90dda6c0117ce701312a925f3101f38e9a12ab33ec7d5aa216bd848c71d6e1d',
        418320,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Baloo2',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Baloo 2 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+2
  static TextTheme baloo2TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.baloo2(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.baloo2(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.baloo2(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.baloo2(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.baloo2(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.baloo2(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.baloo2(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.baloo2(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.baloo2(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.baloo2(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.baloo2(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.baloo2(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.baloo2(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.baloo2(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.baloo2(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Baloo Bhai 2 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Bhai+2
  static TextStyle balooBhai2({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e45ae2a6eca066862596bf6c29ea728b74e78dae82ed0f87912eebeee9b45b6d',
        419804,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '405b99625a014e9405ef1969de757dbbba054508047b2c240870ddf2856c7c59',
        419928,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b9efecef2987f91d88548539742a446f93809617a7328c5409072b3829f86b14',
        420176,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '15eb67ffb090874c980452b58131ecef72323fa3f6c59d9e124e7f155cca8c23',
        420052,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e799286f24e30b5f2dc567b9c5a4be9c1c7792b9c5f794ad0521f1bf77565acf',
        419568,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BalooBhai2',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Baloo Bhai 2 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Bhai+2
  static TextTheme balooBhai2TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.balooBhai2(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.balooBhai2(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.balooBhai2(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.balooBhai2(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.balooBhai2(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.balooBhai2(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.balooBhai2(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.balooBhai2(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.balooBhai2(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.balooBhai2(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.balooBhai2(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.balooBhai2(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.balooBhai2(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.balooBhai2(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.balooBhai2(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Baloo Bhaijaan 2 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Bhaijaan+2
  static TextStyle balooBhaijaan2({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2ae0282bcb031523a8ffbc1382bb5023a8b93a35b453a6db617efa4a43a63dbe',
        174200,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0de12c99840870a28b4f32fc8741066fee5638bc651079b854717b920f157bda',
        174444,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '35855dc31beb3539e000ee6a7a2ff5c43ba35a3b3d292ae5003e1195ed309091',
        174464,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b8998c845b57831e31b41c66c64d0baba9725acd534947defbc2343d6cb166bc',
        174452,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c56937f9461885a0969649c880746fc59936f684e3add10a35e3ea31670b3982',
        174288,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BalooBhaijaan2',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Baloo Bhaijaan 2 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Bhaijaan+2
  static TextTheme balooBhaijaan2TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.balooBhaijaan2(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.balooBhaijaan2(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.balooBhaijaan2(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.balooBhaijaan2(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.balooBhaijaan2(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.balooBhaijaan2(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.balooBhaijaan2(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.balooBhaijaan2(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.balooBhaijaan2(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.balooBhaijaan2(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.balooBhaijaan2(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.balooBhaijaan2(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.balooBhaijaan2(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.balooBhaijaan2(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.balooBhaijaan2(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Baloo Bhaina 2 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Bhaina+2
  static TextStyle balooBhaina2({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0832fa87455d3cca29878393351ffbcea86b011e177bc647d7ba3e2b17bcfe8a',
        273820,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'caafbdfdc0153490136a0233f1a9d7d446c570d3c8ebe6fc32e5edd3efb27d1a',
        274868,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6eaead4a981b2103bddc8d32d0d7b24d37ebd4c846d528ff8f05b9c909022032',
        274900,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6a305e0ee2a4e4f81a89095d283c42a2c97b0f3b63fad5d4e60b15aae0499651',
        274736,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fa1b7700931356d571db1748306911563caf81b0b443e70f573d35dcf3ec8907',
        273220,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BalooBhaina2',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Baloo Bhaina 2 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Bhaina+2
  static TextTheme balooBhaina2TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.balooBhaina2(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.balooBhaina2(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.balooBhaina2(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.balooBhaina2(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.balooBhaina2(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.balooBhaina2(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.balooBhaina2(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.balooBhaina2(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.balooBhaina2(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.balooBhaina2(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.balooBhaina2(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.balooBhaina2(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.balooBhaina2(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.balooBhaina2(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.balooBhaina2(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Baloo Chettan 2 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Chettan+2
  static TextStyle balooChettan2({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '63d7edfbecbbd855477e15e57ed40e1275c42a8c993fdea082f9c412d1a6c184',
        191080,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '70758135fc9506e60b6ef3d26a9e1c470b2ac34a0a10908fa15f0576b12ea19b',
        191676,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '76ccc4f28e6e8c8caef3181d5de5a11b17133c53d40fe4b38244576d81875f17',
        191668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1561186e908560ba2f923bdaf8d1ead4b19ba0d2a8234fa89de8aa5d088c8d83',
        191576,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3861f755bdff31e18353b324332cdf299d14f9c71d280560929a892845f71413',
        191428,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BalooChettan2',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Baloo Chettan 2 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Chettan+2
  static TextTheme balooChettan2TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.balooChettan2(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.balooChettan2(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.balooChettan2(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.balooChettan2(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.balooChettan2(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.balooChettan2(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.balooChettan2(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.balooChettan2(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.balooChettan2(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.balooChettan2(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.balooChettan2(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.balooChettan2(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.balooChettan2(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.balooChettan2(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.balooChettan2(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Baloo Da 2 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Da+2
  static TextStyle balooDa2({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ab0638e4332ca0dbccd60d93a1c5fd9db87cad3549c2c0c148291c8d73d7e142',
        269996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cf40df6f4e7c2eb445a8fc21520cc7340b62f2a38a176edd6cb414ea57217cd2',
        270528,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6b65d1b3074efc7bbb9db5c5fe08d59d37656e48f0a4e7a5892568805f37ba28',
        270676,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fe4edd178c895a7f91bf72deb4d17fb5f754499ddb6e7e96639b41477ad339e5',
        270356,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '04f8bca02b0d43ab51f699948239901b6a2b2849b0d5845847c9c5b5a3b68b1f',
        269480,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BalooDa2',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Baloo Da 2 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Da+2
  static TextTheme balooDa2TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.balooDa2(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.balooDa2(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.balooDa2(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.balooDa2(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.balooDa2(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.balooDa2(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.balooDa2(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.balooDa2(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.balooDa2(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.balooDa2(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.balooDa2(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.balooDa2(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.balooDa2(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.balooDa2(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.balooDa2(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Baloo Paaji 2 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Paaji+2
  static TextStyle balooPaaji2({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aaae37523569f50a6fe4dfa43c43a71723f5cf0e2b87c02a7178ce64a252a501',
        148084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '97e048fd66ab39a38ae3ab8ec04b743cb1dcbb6c18942fa871140c189da47d04',
        148324,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '553648157df28ad69648bf6c25f25f7f1d8876ce5f77087dcad4d41729236948',
        148316,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e559b2bbdb2dbc76089601e43d0c5c19b235125cee4e1979dd8531d2e6219fc8',
        148188,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f0c3d89e57c9444cd06b330332e54fdd9da085bb3d5347af0e5686122e08f4b2',
        148120,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BalooPaaji2',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Baloo Paaji 2 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Paaji+2
  static TextTheme balooPaaji2TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.balooPaaji2(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.balooPaaji2(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.balooPaaji2(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.balooPaaji2(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.balooPaaji2(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.balooPaaji2(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.balooPaaji2(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.balooPaaji2(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.balooPaaji2(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.balooPaaji2(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.balooPaaji2(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.balooPaaji2(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.balooPaaji2(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.balooPaaji2(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.balooPaaji2(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Baloo Tamma 2 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Tamma+2
  static TextStyle balooTamma2({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ee798ec75bd29dfb630f261d0be047f2b5ce534eaa972ca7df3cd5c7102dbca1',
        280440,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3d43e2b14baa4f6de103fcf6a0cce91e499d339a9f5040c536a7271a7fbf446b',
        281528,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ea17ef097230c9cc324ee2eb48132c2ca0bfc13c86a46a3bb3742c14eade8f8b',
        281668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '08ebf4e63a43e38d23dfea89c2e53dd6463cd8bf5a3e62cfb4ec52adc49676be',
        281592,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7563dd47595aedc323115d2edd2d23f00e9488415eb8162e26b7c0ce40c23a3f',
        280984,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BalooTamma2',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Baloo Tamma 2 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Tamma+2
  static TextTheme balooTamma2TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.balooTamma2(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.balooTamma2(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.balooTamma2(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.balooTamma2(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.balooTamma2(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.balooTamma2(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.balooTamma2(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.balooTamma2(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.balooTamma2(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.balooTamma2(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.balooTamma2(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.balooTamma2(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.balooTamma2(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.balooTamma2(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.balooTamma2(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Baloo Tammudu 2 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Tammudu+2
  static TextStyle balooTammudu2({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c965d3fe4a4d20b3a4cd7a2bf39b2f5da28bd7b5ba93db98eba3080bc84a0ab1',
        388492,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9e33396233747427377d7308f9a79c20f938331752ff55c36b3e5d2f9c1e0acf',
        389948,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'adb9d226339277032390cd85f55c800e681dd1be581b84f20fe56ffdce33104a',
        389924,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5740e6464a843338e21e025724aecca4f5ece97fbd6c08c754392e1dff97daaa',
        389872,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e20bfe440241f8dd1892bd23c001714fc230041a7479186e6c0c9fa5ce90e15d',
        388168,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BalooTammudu2',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Baloo Tammudu 2 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Tammudu+2
  static TextTheme balooTammudu2TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.balooTammudu2(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.balooTammudu2(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.balooTammudu2(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.balooTammudu2(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.balooTammudu2(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.balooTammudu2(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.balooTammudu2(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.balooTammudu2(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.balooTammudu2(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.balooTammudu2(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.balooTammudu2(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.balooTammudu2(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.balooTammudu2(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.balooTammudu2(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.balooTammudu2(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Baloo Thambi 2 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Thambi+2
  static TextStyle balooThambi2({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8b56be718b642e4f4206319ae0983f2de7185f30ae039982964970c268472a03',
        171208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dfb4085ce3b5092f75285353b4833756361601368f7a365bc3bbb8408981f615',
        171444,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4c9f776cdb7bf2546eda5722442ce3e7d4ca75f23c937dd6eb28a15854eb0977',
        171516,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '563581af2b9c9bd768c8aec1090427569104c701ed781a1cd784c64b2f57384b',
        171152,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '526eb5574ec01d7d252881e0b17f386b8ec15176199b7cd41aa146dd4a8da423',
        171152,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BalooThambi2',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Baloo Thambi 2 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Thambi+2
  static TextTheme balooThambi2TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.balooThambi2(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.balooThambi2(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.balooThambi2(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.balooThambi2(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.balooThambi2(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.balooThambi2(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.balooThambi2(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.balooThambi2(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.balooThambi2(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.balooThambi2(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.balooThambi2(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.balooThambi2(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.balooThambi2(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.balooThambi2(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.balooThambi2(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Balsamiq Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Balsamiq+Sans
  static TextStyle balsamiqSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '04908e7dc545f22b0939de902323226c91d8554f9b614af4f3e2571f311becd9',
        303108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9a5f58bef1e369072e22cec3ddb7015b991d2689a0a03b0ed15cc3832a589e83',
        283808,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '89b18ed1242126d9afe2545b60c738fcb82e7e2ee8668deb8280ca7f9b1e4ad0',
        275848,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '26425494658e30191556ca57d5561bd0ce8f5d6609a7eb0acf70ec9b4042589b',
        257156,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BalsamiqSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Balsamiq Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Balsamiq+Sans
  static TextTheme balsamiqSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.balsamiqSans(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.balsamiqSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.balsamiqSans(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.balsamiqSans(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.balsamiqSans(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.balsamiqSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.balsamiqSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.balsamiqSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.balsamiqSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.balsamiqSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.balsamiqSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.balsamiqSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.balsamiqSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.balsamiqSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.balsamiqSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Balthazar font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Balthazar
  static TextStyle balthazar({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1cd0347fd14d420937d59e562bbaf7728e58f405b7ab633dc27d3d0df5abc46a',
        26212,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Balthazar',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Balthazar font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Balthazar
  static TextTheme balthazarTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.balthazar(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.balthazar(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.balthazar(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.balthazar(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.balthazar(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.balthazar(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.balthazar(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.balthazar(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.balthazar(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.balthazar(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.balthazar(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.balthazar(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.balthazar(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.balthazar(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.balthazar(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bangers font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bangers
  static TextStyle bangers({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c35c638785484cb8937d8b402539d895e19e79076304661ded8024c1630da4bc',
        69804,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Bangers',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bangers font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bangers
  static TextTheme bangersTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bangers(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.bangers(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bangers(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.bangers(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.bangers(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.bangers(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bangers(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bangers(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bangers(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bangers(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bangers(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bangers(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bangers(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bangers(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bangers(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Barlow font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Barlow
  static TextStyle barlow({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5bbc16834974bcc4e4f9db973c37e0cf4fc0f6ddac524fe984b7ad06cfd71a72',
        60968,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '14ce45a1495d15909f8bb25df6cdc1138abe3e164503c344d9f980c2cbece06b',
        65044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f0b7f7aa2d67a8c0202bf067a5bd032555506852f3417ca94aadc16700e64e20',
        61172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1d2e410b5be890aa411650d1887b2b3cf4ad9f64ce2a75d88084aa9009f1f349',
        65156,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '881e00245da07ebe51751aa48d551d8c06322b0b9e3f27d81d4274c414b9c397',
        61108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1d31c8922e328b7a504216718a2657373a0b560b6a3695d5c567500fe162813a',
        65384,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cfd8787b4714f9c02f53da1b24bf172f95c01a9d0c685ad57ed129c3fcdae407',
        61220,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd10c46da72515f099bcd89f43f335141ffa754c6022509fbc5c247b139862841',
        65404,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '72a094cf0a618a5dfdef5e4577be76a733457eae3ab4bebab26cfa72d56d6061',
        61192,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0233802dc86c8576f52854ee4c856a709d9a72578aad65b1832bfdc817337f4a',
        65236,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '73a13e2e61ce8da6ecb02864f6a560ce358ed01067e64872d318d71d51e23979',
        63624,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '09d36dbb4ca7e1fba56fa9317aa27b899dbc9ab19eb81e414a332096345164b9',
        66716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c5333515554675f6137f66c245fa199a4e917d03178b7605b8f54a87010b5c18',
        63432,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '478ee598ade213bd6dffcfeb5063f62ae2bdb7ae5cac8640301396b78ca93785',
        66428,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cc5d3129f605f97c96b56a641f50a40ed4b595e315131b462391b0b38f4b8638',
        63352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd2fe8d712bf086745e5263df81b7800701aa1d50c8d41fb62263acc12d6b94d6',
        66300,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '136bfaeda32a19ef87e4fcfa5b9abe08ff61e2d6caf241d1bc0f0c596acf4b55',
        62648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6e8ccc4cc688b301539e9fbc1b245a4e8adac7e27457312667b4cf30eaec1f89',
        65820,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Barlow',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Barlow font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Barlow
  static TextTheme barlowTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.barlow(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.barlow(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.barlow(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.barlow(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.barlow(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.barlow(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.barlow(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.barlow(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.barlow(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.barlow(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.barlow(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.barlow(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.barlow(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.barlow(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.barlow(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Barlow Condensed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Barlow+Condensed
  static TextStyle barlowCondensed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1dee1e0b2a0e92f8c159c64be477d5ce921ab414875dd2b27fddbd3225145e59',
        59116,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1d8a3427ca351ad43d44ebf56065be6dff6c6b8ca07e84f23fa6530382bdaf5a',
        64192,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '653ee54fee2f8f7bb3767619199f793bb1535213047ec3f9692d9ede7a32b29f',
        59404,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '58c71ddcda8a2e87b56af7f0330cc38ed1fbcd2ad44e046e5e06fe0bc14fe38c',
        64148,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b32c0a732bbc6b8548600c07f0613cbd907fc9e5a612172b769773a0f9a105f3',
        59368,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '727434e82ca27aa74575ac071aa22dee19e53ef5fb9989d33afd8da08daea5b3',
        64076,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '55945685c8354c029c443b9cb6ecede593e2b1d39b06af4252d539c4086153ea',
        59388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ddfaa73e1fa79e3ca93f652e782cd76ef2258c173e9c9ce4b00866846ef99629',
        64216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '50f9954bab84f7ccea0afe7cf13823533027b5efd0417a1387141e977b4efbe0',
        59296,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1c6f759c51923225d37d188e0cfc338654bfea90558ebeb414a0902243db59f6',
        63936,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ad2be76c190d3802305d220324830b70a75f10048dc13ec3586aabfc2a3fe9e7',
        61748,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '818f7627df56558c6af408c51cc3006542b5b3345d95bd68b00165106cdf57cc',
        65044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0b49c74d0e2ab43e60c2d626f3d773b479503b5b3ecc93dd53214ccef6fb96d8',
        61656,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a9dab89ddf5e643d6ddeabbb4cee0529dd18d3765df25598494f0600b8bfd38a',
        64824,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '541bda3b787018f37ad1188cb6a3ce1dec84e698b16b5e42f558ba31b684bacb',
        61744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '87a22408de0b27c113ae7d6b5e5df3e32d15ba1a3144ad54825b602df6c6edfd',
        64692,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a8c8ee9c3537ef2e0630589f34fb63c05ca0709941d83c65ca3a9afe765017d0',
        60364,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0011fea9ffaffb7d88568511ebfcb6fe446dbafd0b0461289db897e01fa5b5fc',
        63364,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BarlowCondensed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Barlow Condensed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Barlow+Condensed
  static TextTheme barlowCondensedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.barlowCondensed(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.barlowCondensed(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.barlowCondensed(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.barlowCondensed(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.barlowCondensed(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.barlowCondensed(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.barlowCondensed(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.barlowCondensed(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.barlowCondensed(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.barlowCondensed(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.barlowCondensed(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.barlowCondensed(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.barlowCondensed(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.barlowCondensed(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.barlowCondensed(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Barlow Semi Condensed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Barlow+Semi+Condensed
  static TextStyle barlowSemiCondensed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '89818a86f326cb1fa15b2706043de6f2c999ed16e70e72ba25d3e690ee4c4d33',
        61528,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '19ed019b658c781ec627f351b00eeb535ea908d1ede6f2b7c3ac6e50ce19fbcb',
        66004,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c9d0c8ff49d5e765dce34246ecd4a3156391db071cda5ab2c047509c2408b571',
        61716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '80ebfc9722b4b6b42b2285d7e46a7edd903b81c011d9121de8544804246a1119',
        66012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '52b690571a0704facf69aa1b54078acc0343ced70027a6480413969da16e992a',
        61812,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '395b671ebf4a7b7198fb4416508b3fdfd6d288dffdb8b82bffea7a40e4507bf9',
        65936,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bd6c806ca535d0ce1180ba8c0f0d07d51597be4f148af673c7c3b39e6614d391',
        61888,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0763857ec6ff64573e7d61797c40e519f7b76a0e2b739a95dd9738dc75465af5',
        65864,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4bfd63bc5e79e3a04ba6ddbefb2ce1d9f62a955ad41e3119cdb4cbf5eaceb994',
        61784,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '60ac397706683f7bc0ee75a2f75236b42a87ed2c4d8b3c67b76d5c24520a0926',
        65760,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '244e8a9cd7d8a5fe1e0ce2a19d07bce2028c2c92ca8eff380977827b8738b648',
        64216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0aa25b8c8d300f88fecf503e1d1b8cadd69254330d89690084bba4a08c4d0b9f',
        67292,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '03322f9a9edf8031532ed962b7172f14dba9d318ae0c90a9bb5f718c92c232a1',
        64196,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f8b0bb8a92f7123de02f2c7cf49621754789843775cb8c318848502b934ab8f4',
        67032,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9ce5e171b6822bb2b7b7f1d017d94791a71443deadc32e49cfb6bb4415edb4db',
        64224,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'dcbde2ed7553bd05e71b64af8d8b87f6e0098879781604da0269c2394817f246',
        67024,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8578b062ec4b7e229bef1eab8834e2458b2536bc776306a7ed6327493b587a52',
        63252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'baeb5ff8b88a49d4dd171bdee7541101b805e263699ddcdfd9738c760c44107c',
        66268,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BarlowSemiCondensed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Barlow Semi Condensed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Barlow+Semi+Condensed
  static TextTheme barlowSemiCondensedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.barlowSemiCondensed(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.barlowSemiCondensed(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.barlowSemiCondensed(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.barlowSemiCondensed(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.barlowSemiCondensed(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.barlowSemiCondensed(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.barlowSemiCondensed(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.barlowSemiCondensed(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.barlowSemiCondensed(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.barlowSemiCondensed(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.barlowSemiCondensed(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.barlowSemiCondensed(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.barlowSemiCondensed(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.barlowSemiCondensed(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.barlowSemiCondensed(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Barriecito font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Barriecito
  static TextStyle barriecito({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5a5f70fd22056cbcd57b1d4921971a147653d249e82c95012bb6546692bc1b35',
        168228,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Barriecito',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Barriecito font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Barriecito
  static TextTheme barriecitoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.barriecito(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.barriecito(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.barriecito(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.barriecito(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.barriecito(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.barriecito(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.barriecito(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.barriecito(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.barriecito(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.barriecito(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.barriecito(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.barriecito(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.barriecito(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.barriecito(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.barriecito(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Barrio font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Barrio
  static TextStyle barrio({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b6e639586ec1a9532c089c61020e3d092aeefbf3c496b2c1104acb3904f5ec2e',
        141000,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Barrio',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Barrio font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Barrio
  static TextTheme barrioTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.barrio(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.barrio(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.barrio(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.barrio(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.barrio(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.barrio(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.barrio(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.barrio(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.barrio(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.barrio(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.barrio(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.barrio(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.barrio(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.barrio(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.barrio(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Basic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Basic
  static TextStyle basic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e3b02abd4d2201f0462807909df410bb7ce384e02bb619853d0397f687ed2777',
        42096,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Basic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Basic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Basic
  static TextTheme basicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.basic(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.basic(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.basic(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.basic(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.basic(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.basic(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.basic(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.basic(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.basic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.basic(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.basic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.basic(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.basic(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.basic(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.basic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Baskervville font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baskervville
  static TextStyle baskervville({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '82d7bfac46416ba179d219fbddf1f37f0385bd845daa04015962d3839e14c05e',
        51596,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0c58a8fd558a952c3010dbecf586e2d538752d7e6a475aed8708079bb42ed686',
        53712,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Baskervville',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Baskervville font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baskervville
  static TextTheme baskervvilleTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.baskervville(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.baskervville(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.baskervville(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.baskervville(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.baskervville(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.baskervville(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.baskervville(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.baskervville(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.baskervville(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.baskervville(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.baskervville(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.baskervville(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.baskervville(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.baskervville(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.baskervville(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Battambang font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Battambang
  static TextStyle battambang({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8dfb3df55c4d870b04583a168df47ae7877c0ea2f9c336d21066033c88bed45d',
        59292,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4ca7aeb911833408ae168a627d3083c87bdc38868b0b8ba1320696006e40f59b',
        58724,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e05fe4fcc6f87bf09c6db7eda1420c9d92af3e9f0e6f09e0364dfd2ac00b77ae',
        63732,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4a0d66e43fea8fb305efcd3afec4f9f08664026126669b5ac3dade4439653f66',
        62124,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '404868ce8f69e04f2fb5cc302059c4910d9e4bf2576f1c41c450a54c92d46ff2',
        59948,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Battambang',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Battambang font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Battambang
  static TextTheme battambangTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.battambang(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.battambang(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.battambang(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.battambang(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.battambang(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.battambang(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.battambang(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.battambang(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.battambang(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.battambang(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.battambang(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.battambang(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.battambang(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.battambang(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.battambang(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Baumans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baumans
  static TextStyle baumans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1de2ab6656da7508c9eff19007f47390e9eb2f1472851910525141f81fb42aad',
        16352,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Baumans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Baumans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baumans
  static TextTheme baumansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.baumans(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.baumans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.baumans(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.baumans(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.baumans(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.baumans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.baumans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.baumans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.baumans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.baumans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.baumans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.baumans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.baumans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.baumans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.baumans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bayon font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bayon
  static TextStyle bayon({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8f7455ccf43a80750000f199a2206c47cf20d70033b42e1618fe81bd3e2cb19f',
        31820,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Bayon',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bayon font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bayon
  static TextTheme bayonTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bayon(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.bayon(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bayon(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.bayon(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.bayon(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.bayon(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bayon(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bayon(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bayon(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bayon(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bayon(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bayon(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bayon(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bayon(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bayon(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Be Vietnam Pro font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Be+Vietnam+Pro
  static TextStyle beVietnamPro({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '031b377b332f95da1996500fb97fca5a8cd5f95522e852083d196c0bcefca6b2',
        72348,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '623f374adea67c8f650c9c6e5d90b30602e7e5eccfb92bdbd59f607381e3d685',
        73916,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b6d33c91e88361e46ef97084811ce5943e715f130e6c5eb655c509cb61e56cd6',
        72252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'beca4da968f8fd5d2ff57f072c08b3ef5b719a6177c0cdaf5af411352ccac3ee',
        74416,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '640424e70dcdaa495bf299facdf0bd803ea0492bd99642ff227a3f7a57b8ebdd',
        72484,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c5a100db64d132fccebb61d4bd41cdbe878baba40f6d4969a091b3e9c5835fab',
        74252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0bec39a3895ccc7eec7131ac011754fa70315afed0061ec49d08dd587215174b',
        72288,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'efcd7cebb01e08925565bf7304c7721c3846ab9ad36fe89f9dc79c49cdd4379a',
        74040,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bb68c949987e445999e4f0474fb0224289c6bc8fb00e56d7d9dfcc3006114598',
        72424,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '377d647aa2a9f0f0220ca01557c18d98375005eb4e971aef8bee1a048bf2c90c',
        73976,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2966316c8748b3e3167941ae9b48ee38c4af7e5c110202875d7cc0567a0169e9',
        72268,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f243bdb9ef0545663215bfdfa72ddc42fa004725b443b4670fb52adb61480284',
        73448,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9d6b7608799789c3f8e5c896afc5f11d07402482092f341a4224e4d362f58b68',
        72172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a18cf3c2a37908a0d2bfbfd37376f4029e5709763df1e4df858ec281407afe8c',
        73308,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '77e480c26df369171a0dcddf6eef76082774637010ae0bacefbae59159e34224',
        71864,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0ffebfacff73e9d3225844e5efde238061ea50ac72c7eed5536f0334c1efae2b',
        73248,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '632cec316b2bd7f440c0c647b9d1e95ef6e55338d4cc8c1979d642f0178ce981',
        70768,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fd41536742311aacb3cada2492ea78f67ff700057c9af14f8fcb2cb05b45c37e',
        72052,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BeVietnamPro',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Be Vietnam Pro font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Be+Vietnam+Pro
  static TextTheme beVietnamProTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.beVietnamPro(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.beVietnamPro(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.beVietnamPro(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.beVietnamPro(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.beVietnamPro(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.beVietnamPro(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.beVietnamPro(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.beVietnamPro(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.beVietnamPro(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.beVietnamPro(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.beVietnamPro(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.beVietnamPro(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.beVietnamPro(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.beVietnamPro(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.beVietnamPro(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Beau Rivage font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Beau+Rivage
  static TextStyle beauRivage({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ddd83eb0bdacceb749d27c2e8b767cc38b522153db450931f1ca8b682c8b423e',
        110720,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BeauRivage',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Beau Rivage font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Beau+Rivage
  static TextTheme beauRivageTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.beauRivage(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.beauRivage(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.beauRivage(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.beauRivage(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.beauRivage(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.beauRivage(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.beauRivage(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.beauRivage(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.beauRivage(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.beauRivage(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.beauRivage(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.beauRivage(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.beauRivage(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.beauRivage(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.beauRivage(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bebas Neue font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bebas+Neue
  static TextStyle bebasNeue({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a1b67d8679c6f4d301f4a05c13d1a4032cefed98bd9b61b11b2fac9689c99116',
        38232,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BebasNeue',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bebas Neue font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bebas+Neue
  static TextTheme bebasNeueTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bebasNeue(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.bebasNeue(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bebasNeue(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.bebasNeue(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.bebasNeue(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.bebasNeue(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bebasNeue(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bebasNeue(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bebasNeue(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bebasNeue(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bebasNeue(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bebasNeue(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bebasNeue(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bebasNeue(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bebasNeue(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Belgrano font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Belgrano
  static TextStyle belgrano({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '041815a440e3d2b468ffa830185903956b5925796cfa68c5b61fa3c3b3f0f2cb',
        26620,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Belgrano',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Belgrano font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Belgrano
  static TextTheme belgranoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.belgrano(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.belgrano(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.belgrano(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.belgrano(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.belgrano(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.belgrano(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.belgrano(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.belgrano(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.belgrano(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.belgrano(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.belgrano(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.belgrano(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.belgrano(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.belgrano(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.belgrano(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bellefair font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bellefair
  static TextStyle bellefair({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '60d4678f2a36e34ae045ea7aead21892c2ec638cc5a5177d5323befdbd8ee4d4',
        43872,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Bellefair',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bellefair font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bellefair
  static TextTheme bellefairTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bellefair(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.bellefair(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bellefair(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.bellefair(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.bellefair(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.bellefair(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bellefair(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bellefair(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bellefair(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bellefair(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bellefair(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bellefair(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bellefair(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bellefair(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bellefair(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Belleza font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Belleza
  static TextStyle belleza({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a6b519014842ccfe63ad433f59de94c84cf99651595304625bf9db4d4f8a435a',
        36584,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Belleza',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Belleza font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Belleza
  static TextTheme bellezaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.belleza(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.belleza(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.belleza(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.belleza(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.belleza(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.belleza(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.belleza(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.belleza(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.belleza(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.belleza(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.belleza(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.belleza(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.belleza(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.belleza(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.belleza(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bellota font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bellota
  static TextStyle bellota({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9f7a6cbf9af154f216b945d1ec258fb7eb1bdf1e00d778f0099bb1ea6786c2e0',
        87240,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a5c833f7fcb9a2cba29e00cdbdafd29119591093254b59a86c799af6abb966a8',
        90100,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f824b2ca133fa906c1450368789a3588ec9bab058ccbe4f76c8448a7d12e3236',
        86912,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ac652d8c98a501302c1872a404e8f7f1d793005ccd41994a7c3e5b68facb7c85',
        89752,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '94282dcf76c3c3db14eeed279164c722a17043095768956c2b08d13b159ddfb8',
        87136,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5f4ade05bfb3150be2cb3791738df00ce698dbf6c883cd2a2a67998081b5c8ec',
        89968,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Bellota',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bellota font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bellota
  static TextTheme bellotaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bellota(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.bellota(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bellota(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.bellota(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.bellota(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.bellota(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bellota(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bellota(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bellota(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bellota(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bellota(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bellota(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bellota(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bellota(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bellota(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bellota Text font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bellota+Text
  static TextStyle bellotaText({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cf0bcc318432914f99a92516b9d725b4f5e70989691d03a39085e2d22ea96e48',
        85396,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '05792399873861d4fbb6f373bc828d3397e36270ba0a5aca9761cdc899dca643',
        88396,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fe2110fd2761c598f3f839b1903718ab5fd09f216235b2c871c6c22590718b87',
        85276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'db1408f9b3af622c28fcef93569e5988a6aea9d082b1fa2827ac36d0c9f6f632',
        88112,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '138b64db8901a807f366e04b3196f9609cc49ec57c2ea5d78100c876aac7ce08',
        85352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3303b1143952ec355dfcd4cd8ea1ab92c3176ededf3dec3bdc05b21bf121d589',
        88192,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BellotaText',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bellota Text font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bellota+Text
  static TextTheme bellotaTextTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bellotaText(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.bellotaText(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bellotaText(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.bellotaText(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.bellotaText(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.bellotaText(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bellotaText(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bellotaText(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bellotaText(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bellotaText(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bellotaText(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bellotaText(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bellotaText(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bellotaText(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bellotaText(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the BenchNine font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/BenchNine
  static TextStyle benchNine({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bbf92d32cea16a7289556b36b99b6cc8b19b1b64e32604ee79b563e8eb17791a',
        36144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fbad55cfa6a05a2521130d836d2b0f7f4009bbe0ec3c41feb99f246fce39ed47',
        36912,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fb209270d0bd7f1f9655cacccb53fc569a44b807f89c4a4d6db282d8a70e5969',
        36888,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BenchNine',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the BenchNine font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/BenchNine
  static TextTheme benchNineTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.benchNine(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.benchNine(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.benchNine(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.benchNine(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.benchNine(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.benchNine(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.benchNine(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.benchNine(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.benchNine(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.benchNine(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.benchNine(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.benchNine(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.benchNine(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.benchNine(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.benchNine(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Benne font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Benne
  static TextStyle benne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '65574b4e0c539d996fd10054ca151357f17e7351b0a255ac2c2daad620577842',
        208536,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Benne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Benne font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Benne
  static TextTheme benneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.benne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.benne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.benne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.benne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.benne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.benne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.benne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.benne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.benne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.benne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.benne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.benne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.benne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.benne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.benne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bentham font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bentham
  static TextStyle bentham({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b68a3b96cd2207a360ccce762bd77b9494035ddd3643b1bb3b260aea85063ff5',
        25772,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Bentham',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bentham font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bentham
  static TextTheme benthamTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bentham(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.bentham(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bentham(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.bentham(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.bentham(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.bentham(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bentham(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bentham(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bentham(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bentham(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bentham(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bentham(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bentham(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bentham(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bentham(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Berkshire Swash font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Berkshire+Swash
  static TextStyle berkshireSwash({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9aa7634aa39372daa01225389c598308ac180e48f1802577efe622cbaa48e458',
        51832,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BerkshireSwash',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Berkshire Swash font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Berkshire+Swash
  static TextTheme berkshireSwashTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.berkshireSwash(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.berkshireSwash(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.berkshireSwash(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.berkshireSwash(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.berkshireSwash(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.berkshireSwash(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.berkshireSwash(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.berkshireSwash(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.berkshireSwash(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.berkshireSwash(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.berkshireSwash(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.berkshireSwash(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.berkshireSwash(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.berkshireSwash(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.berkshireSwash(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Besley font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Besley
  static TextStyle besley({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '81bb7f9f10175dcb82b97aff810d6bfd4c003958501b0c0fad98f1099cbc496b',
        55960,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2a289708cd2c10170f96b6c49d7f127c9b9bdd23ac4c53578d51fac4ee033b1e',
        56036,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5ba5770cb058c7868b2f9442a975c9b79317d0a6cdc67447304eb45eaa61e207',
        56048,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1c37b48ee6be608281922365601d2a0830ce402ab0d9d778781ec9ba86f65ac1',
        55996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd62148a7839ba43e3c94c86207f5ffb62276afe33dd0a4d6c581d5a903fb189b',
        56052,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '70e6d915891810e5489b9cbf29c3ab41a25cdbb2a4c569f12404583dfe6edba3',
        56016,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a797429e8b1286e41a14c5588ee1d78785d6768dc7ccd1f741f3eafef9becdc1',
        56532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f30091178caccfbd5c3bed2f7fe28e1361005740809371d5ca2c9656b8d369f5',
        56728,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '66c4ad9f1d06aeb188d9d6c996a9448451d7bfc43dfe72e850609df5546fc752',
        56768,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1f622ce0533c746ce60c1dc55c33e446ebce980a9c45467369c1bc7213e11eb3',
        56692,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5a08d3f6e21daa540aa55efb99a36c0feba41dd7bb40e5a33c549a196c3e9946',
        56792,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a68a17f7c276ec469621ca9c3e3a4867740c4eba26ee5eb91aba0e609e70f98d',
        56736,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Besley',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Besley font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Besley
  static TextTheme besleyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.besley(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.besley(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.besley(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.besley(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.besley(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.besley(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.besley(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.besley(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.besley(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.besley(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.besley(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.besley(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.besley(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.besley(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.besley(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Beth Ellen font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Beth+Ellen
  static TextStyle bethEllen({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e7fc599d346e76d81bc166bc148f072f40705635a6e2ce02731f1e5646da55d9',
        115600,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BethEllen',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Beth Ellen font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Beth+Ellen
  static TextTheme bethEllenTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bethEllen(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.bethEllen(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bethEllen(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.bethEllen(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.bethEllen(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.bethEllen(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bethEllen(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bethEllen(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bethEllen(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bethEllen(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bethEllen(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bethEllen(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bethEllen(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bethEllen(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bethEllen(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bevan font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bevan
  static TextStyle bevan({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7a8b5817e572138a68db781239b935935d9304872304202f8f47a15efc226486',
        70020,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '72ddb733519138fd4081143e7573fc5558d0e7ada1549dcff637c7ceba14cdf2',
        71216,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Bevan',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bevan font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bevan
  static TextTheme bevanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bevan(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.bevan(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bevan(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.bevan(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.bevan(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.bevan(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bevan(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bevan(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bevan(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bevan(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bevan(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bevan(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bevan(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bevan(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bevan(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the BhuTuka Expanded One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/BhuTuka+Expanded+One
  static TextStyle bhuTukaExpandedOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2eb2824cee42683348eb122be61b4f039d0425ec84a9ee7a0fad924c35e18a05',
        63848,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BhuTukaExpandedOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the BhuTuka Expanded One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/BhuTuka+Expanded+One
  static TextTheme bhuTukaExpandedOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.bhuTukaExpandedOne(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.bhuTukaExpandedOne(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.bhuTukaExpandedOne(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.bhuTukaExpandedOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.bhuTukaExpandedOne(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.bhuTukaExpandedOne(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.bhuTukaExpandedOne(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.bhuTukaExpandedOne(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.bhuTukaExpandedOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bhuTukaExpandedOne(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.bhuTukaExpandedOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bhuTukaExpandedOne(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.bhuTukaExpandedOne(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.bhuTukaExpandedOne(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.bhuTukaExpandedOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Big Shoulders Display font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Big+Shoulders+Display
  static TextStyle bigShouldersDisplay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9d1f500845defdcfe5d9210d9cdd4edcd622c775cb06b943f62eb2cc0ed49cef',
        67936,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7571e63af70098798eac6b5b7c5cfd73f25c42b938e3cae0d9119daa79c36528',
        68296,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0a9d652d65d89eceb1bbb681b480852ba7035d44929900c31a7e807567f0832f',
        68340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5a47b81cc4985dd427397158e59b429816ddc32d31144a83a2d028d0be188667',
        68452,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '03f5cb6a57171aee80595840172ccf3afad6ce1858b75476e7d153c58d0e1e27',
        68568,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e74dd3224105ad4f368e219c8ca7f52771623c91d2dd2728be7055f8db0012aa',
        68548,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ecf9174209e66e1a990a6b36628e60b6f4fe49656a867336336a3ea6b59e73a0',
        68432,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'af0473e278f1857be7088e2210f5dedb1bd19da805d9d7b77cc07ac5cbf1f2d4',
        68604,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '51edca2899c7ef894b1519ebbf41e24cf3ffca17c58f50e1ca57d880aaf1ead0',
        68696,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BigShouldersDisplay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Big Shoulders Display font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Big+Shoulders+Display
  static TextTheme bigShouldersDisplayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.bigShouldersDisplay(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.bigShouldersDisplay(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.bigShouldersDisplay(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.bigShouldersDisplay(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.bigShouldersDisplay(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.bigShouldersDisplay(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.bigShouldersDisplay(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.bigShouldersDisplay(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.bigShouldersDisplay(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.bigShouldersDisplay(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.bigShouldersDisplay(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.bigShouldersDisplay(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.bigShouldersDisplay(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.bigShouldersDisplay(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.bigShouldersDisplay(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Big Shoulders Inline Display font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Big+Shoulders+Inline+Display
  static TextStyle bigShouldersInlineDisplay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9feefa331e73d895ae30928b3558317f0a3e12342db3ff30fab39a6c199227ab',
        117172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c21803d33445d1e4e193f948afd45756772d7e3c18f0056b57b8426204f67c89',
        117520,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '907283a98dcda2f16e4fc15ddd14e2771b278e9bf6a22bb241ab52624d0c19aa',
        117520,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f823d0a6cb96d9926867233ad6c93f16297cf9ed34f9815f1058d7ff92d9e068',
        118040,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd533d2e0a05b3e673b2c471adbc9a7658a2ac349eeff18f0d706ce7cdff37c2d',
        118448,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1dc1a0daae89b1d644455f91f26910ac21dae91b21e5bc335140081f9b96f1b0',
        118828,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b3ba11847f7f0914d23d9f5bf5d1919f486ad0dd4b7edfcd37dafc7143264533',
        119472,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e2cc196722e187db46ea65811d04763b5b7f383935527c1a279bd73e88d0ee73',
        120256,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '93f139c8b8335e2c5935e7c0702dbdf9827ee04cbcaede33f446808e2912395c',
        120300,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BigShouldersInlineDisplay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Big Shoulders Inline Display font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Big+Shoulders+Inline+Display
  static TextTheme bigShouldersInlineDisplayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bigShouldersInlineDisplay(
          textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.bigShouldersInlineDisplay(
          textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bigShouldersInlineDisplay(
          textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.bigShouldersInlineDisplay(
          textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.bigShouldersInlineDisplay(
          textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.bigShouldersInlineDisplay(
          textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bigShouldersInlineDisplay(
          textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bigShouldersInlineDisplay(
          textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bigShouldersInlineDisplay(
          textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.bigShouldersInlineDisplay(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bigShouldersInlineDisplay(
          textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.bigShouldersInlineDisplay(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bigShouldersInlineDisplay(
          textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bigShouldersInlineDisplay(
          textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bigShouldersInlineDisplay(
          textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Big Shoulders Inline Text font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Big+Shoulders+Inline+Text
  static TextStyle bigShouldersInlineText({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bc54a8d60b34cbc4fb79818d11faef1fb41fd2548b100de3bfbb882be4874f52',
        117584,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '29b5f15d64fa7783bcf649229e482436a5ebc5604a30e6514316230ada2e5b32',
        117948,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b9033b65465bbec0ff2a56b79caef02f3743400eacc02b12fc42c016b83612fe',
        118348,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '06dfe7f1c9a353103dc785d4f7212c9345a93252910e0e0535c8a0c223a9e14e',
        119116,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ef012e9f57955cb2ae2f87394ad6aac3e4a16beaff014314f394ff20b3a098a5',
        119388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cd77081bc57c0fc0319603d046b88c1f11f40f9677858d61e2119c2b1dd05942',
        119720,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ad2fa4b5b1fe152c196448d10cefab2342a393896f4fd03968c73e6cb7340c5d',
        120160,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '69b589b64e0e21182db4c6cc13edabea2c97702f28a1339bc65bdbdb5580b980',
        120896,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ce4226d77838b082588e9a1f060f3ea71d5c9fcb5067dedf61c2346b8ea7258c',
        120648,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BigShouldersInlineText',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Big Shoulders Inline Text font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Big+Shoulders+Inline+Text
  static TextTheme bigShouldersInlineTextTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.bigShouldersInlineText(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.bigShouldersInlineText(
          textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.bigShouldersInlineText(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.bigShouldersInlineText(
          textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.bigShouldersInlineText(
          textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.bigShouldersInlineText(
          textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.bigShouldersInlineText(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.bigShouldersInlineText(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.bigShouldersInlineText(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.bigShouldersInlineText(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.bigShouldersInlineText(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.bigShouldersInlineText(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.bigShouldersInlineText(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.bigShouldersInlineText(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.bigShouldersInlineText(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Big Shoulders Stencil Display font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Big+Shoulders+Stencil+Display
  static TextStyle bigShouldersStencilDisplay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7d6aad12f9f003c320879241ef8cf6bef8067e9681b60704b86dc4ca1b9f0606',
        69944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '418cfe6a6be8aa4a0c9216ef66f205e27b167648b76b2c30a7cd184231363734',
        70508,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2f2a2999dacff42dea1390b7d36ea4e5a57692608670514f1897f97120675ebf',
        70660,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '24eb61e6d19fb89463979d0a3eee20e32a5ab050fdfca22e250ef67ff4be91a7',
        70752,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c19ed0542bce96e6f4fcbfe3a474e23a52a9388dac77292810ada6191b8d784b',
        70852,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ac0f59d5f64346cf8670de7a96cc52a0fa5549d97a6e85c97a2202330bde8f56',
        70876,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '278e6f0e873ed0c7ea1d9bd6056b3b83928df216fcbc2c9dd3e6a8c1f21aacba',
        70804,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fdc9f5b5fa5191e85e0c524a70a431dc79915bd7553231aad5b5f1a1a4fd4b68',
        70992,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e3072e4cbc627541b8134e67390a8ecb5ebbbf92b84764ddef2df9a4c57bf66d',
        71176,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BigShouldersStencilDisplay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Big Shoulders Stencil Display font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Big+Shoulders+Stencil+Display
  static TextTheme bigShouldersStencilDisplayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bigShouldersStencilDisplay(
          textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.bigShouldersStencilDisplay(
          textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bigShouldersStencilDisplay(
          textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.bigShouldersStencilDisplay(
          textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.bigShouldersStencilDisplay(
          textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.bigShouldersStencilDisplay(
          textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bigShouldersStencilDisplay(
          textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bigShouldersStencilDisplay(
          textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bigShouldersStencilDisplay(
          textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bigShouldersStencilDisplay(
          textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bigShouldersStencilDisplay(
          textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bigShouldersStencilDisplay(
          textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bigShouldersStencilDisplay(
          textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bigShouldersStencilDisplay(
          textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bigShouldersStencilDisplay(
          textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Big Shoulders Stencil Text font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Big+Shoulders+Stencil+Text
  static TextStyle bigShouldersStencilText({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b631899112865156a9b850eba8be53d651902a064ed45eb0f053abd3c3cfdf24',
        70580,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c04d9787b537c02d584cea66e6e2d25f570c7ca384d0e893c8ff28bd369fbcbb',
        70800,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0646441107fc7c18cae5ce7129daec4338eaac36271643bd8d762ae605cb1ec4',
        70916,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2e51a0660b24e8fa5460e8484c6e6911228438e4e45596c2f48628991548bede',
        70872,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1b8df13ea15316d46ec7ef0b5caa72fcc6aa6a971c6e37faaa6916910cc044b3',
        70964,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7690661ba8eff43a29f57f8e0347c34c27af3aaf1d939665b4070473fa0ec3fe',
        70976,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bfad169530bd9f47d32015551718e2564c6d6b50d05170ed829639cc44c3eb85',
        70920,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3eaa06537b72f0f6521d3a9ca886cd0b9aa0507b5f68e5d627a8621a81a51f09',
        71216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fc3a94a55262fcbece5a372547fc60f5e30f1b0599d98cfb6663698aef53a464',
        71016,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BigShouldersStencilText',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Big Shoulders Stencil Text font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Big+Shoulders+Stencil+Text
  static TextTheme bigShouldersStencilTextTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bigShouldersStencilText(
          textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.bigShouldersStencilText(
          textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bigShouldersStencilText(
          textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.bigShouldersStencilText(
          textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.bigShouldersStencilText(
          textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.bigShouldersStencilText(
          textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.bigShouldersStencilText(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.bigShouldersStencilText(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.bigShouldersStencilText(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.bigShouldersStencilText(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.bigShouldersStencilText(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.bigShouldersStencilText(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.bigShouldersStencilText(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.bigShouldersStencilText(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.bigShouldersStencilText(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Big Shoulders Text font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Big+Shoulders+Text
  static TextStyle bigShouldersText({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e652a6cffa2f84b4ebae359e7dca2106da5c061b4b6eedcaf75ab030579ba7cb',
        68232,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '81aa7edcc044c8fdfa243ccc0e59dee975f82f316e51c2fb8fc337d673842f12',
        68552,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '21856e5f93faaa488eaa5f82b47829dfafbbfe8e11aa3f6c3f19dc6d1d61649c',
        68612,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '69dec529ebee00b15a789dd999c7cc2c607be7590ff9ec306eabd089bb0cc5c3',
        68652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eb6030058e93f9e54eb293c71a64f280a98d1e5cd30d2ecabb0bbf0e9159d6e6',
        68652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cc5cd43d945caf1a422f43dea6cc5ff62c337b85e4f501bf75d50a8acf6c0587',
        68664,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8d35a47d814d1d06d33e50149ce22ffaa06528fe505286a9bfdfa0fd50142a57',
        68496,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e5e69b17a07d422c77869f4ebbf6b04d647a2db3bf99b820be0ada1b5482a4f1',
        68792,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '495505c62abf173dd30bfc126ce9a9b932f5172350c48347b3076d6c2eeea1f3',
        68560,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BigShouldersText',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Big Shoulders Text font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Big+Shoulders+Text
  static TextTheme bigShouldersTextTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.bigShouldersText(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.bigShouldersText(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.bigShouldersText(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.bigShouldersText(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.bigShouldersText(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.bigShouldersText(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bigShouldersText(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.bigShouldersText(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bigShouldersText(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bigShouldersText(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bigShouldersText(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bigShouldersText(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bigShouldersText(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.bigShouldersText(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bigShouldersText(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bigelow Rules font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bigelow+Rules
  static TextStyle bigelowRules({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6a62c6e3152496d73b77afec95caaae2121da662cd31ae0171bc1187e471cf58',
        56704,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BigelowRules',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bigelow Rules font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bigelow+Rules
  static TextTheme bigelowRulesTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bigelowRules(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.bigelowRules(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bigelowRules(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.bigelowRules(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.bigelowRules(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.bigelowRules(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bigelowRules(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bigelowRules(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bigelowRules(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bigelowRules(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bigelowRules(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bigelowRules(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bigelowRules(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bigelowRules(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bigelowRules(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bigshot One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bigshot+One
  static TextStyle bigshotOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f081174a9d1b0590b7b76774254bfe66401bff9a429270827357701c6d5dc735',
        34916,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BigshotOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bigshot One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bigshot+One
  static TextTheme bigshotOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bigshotOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.bigshotOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bigshotOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.bigshotOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.bigshotOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.bigshotOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bigshotOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bigshotOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bigshotOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bigshotOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bigshotOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bigshotOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bigshotOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bigshotOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bigshotOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bilbo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bilbo
  static TextStyle bilbo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0174301b7104430b8e205fe4a1d0a4b2986563fccb28c8f9720ffd796e1504b7',
        61336,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Bilbo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bilbo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bilbo
  static TextTheme bilboTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bilbo(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.bilbo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bilbo(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.bilbo(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.bilbo(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.bilbo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bilbo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bilbo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bilbo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bilbo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bilbo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bilbo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bilbo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bilbo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bilbo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bilbo Swash Caps font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bilbo+Swash+Caps
  static TextStyle bilboSwashCaps({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '827a279b346b5d528b5720ab1c184e7234eb24ae26c68624704db247f3c2ad05',
        56284,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BilboSwashCaps',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bilbo Swash Caps font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bilbo+Swash+Caps
  static TextTheme bilboSwashCapsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.bilboSwashCaps(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.bilboSwashCaps(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.bilboSwashCaps(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.bilboSwashCaps(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.bilboSwashCaps(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.bilboSwashCaps(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bilboSwashCaps(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bilboSwashCaps(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bilboSwashCaps(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bilboSwashCaps(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bilboSwashCaps(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bilboSwashCaps(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bilboSwashCaps(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bilboSwashCaps(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bilboSwashCaps(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the BioRhyme font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/BioRhyme
  static TextStyle bioRhyme({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f4d89490347c08216b770a3cbc0bd6c8db84baf5bd7fd9cd6696bc42f251138a',
        52420,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '870d19247d170d75847f6fd2ec4a4333711c2a2c0e31b506f1865d7adbc1ac7a',
        54028,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a3b070811431aec092b77ddbe1048d050b29c6ac2c70a0d0edb50e10ea46a82b',
        53540,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8015d20f077990545ab265adb3f95d0339773a37b94aadb25aad146240c5baf7',
        53428,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2029a4f200fe178f58dced72ac1e6aa2efd5fc19dca44b93cdf821df4c8b06ae',
        51684,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BioRhyme',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the BioRhyme font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/BioRhyme
  static TextTheme bioRhymeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bioRhyme(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.bioRhyme(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bioRhyme(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.bioRhyme(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.bioRhyme(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.bioRhyme(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bioRhyme(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bioRhyme(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bioRhyme(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bioRhyme(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bioRhyme(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bioRhyme(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bioRhyme(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bioRhyme(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bioRhyme(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the BioRhyme Expanded font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/BioRhyme+Expanded
  static TextStyle bioRhymeExpanded({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '881a92128652817d4d4d82e1ab0118b68f229f6d5d846be2dcde00387180b327',
        52336,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '23e1a724ab0bcca5fdcdcff044cf548f96346cf5e968db03cff3afdc332b2bf7',
        54192,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '26f20b17b099ab193d86802d065e2447d8a0a6625f6db52af3b79c160ae5962c',
        53724,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1ed9fa721120ce4e679f0824b6ecfc042e4eead68b1a4fb78ab3a807e361d5ce',
        53704,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'da158566950535c86f49930e7faaca68722adaf0f67c7f20048c76f45f004484',
        53064,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BioRhymeExpanded',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the BioRhyme Expanded font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/BioRhyme+Expanded
  static TextTheme bioRhymeExpandedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.bioRhymeExpanded(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.bioRhymeExpanded(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.bioRhymeExpanded(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.bioRhymeExpanded(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.bioRhymeExpanded(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.bioRhymeExpanded(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bioRhymeExpanded(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.bioRhymeExpanded(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bioRhymeExpanded(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bioRhymeExpanded(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bioRhymeExpanded(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bioRhymeExpanded(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bioRhymeExpanded(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.bioRhymeExpanded(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bioRhymeExpanded(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Birthstone font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Birthstone
  static TextStyle birthstone({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c1ed63fae9856976d961f366cfde87937c638a65e1788e3f334823e7fbc1ced7',
        97192,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Birthstone',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Birthstone font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Birthstone
  static TextTheme birthstoneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.birthstone(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.birthstone(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.birthstone(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.birthstone(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.birthstone(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.birthstone(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.birthstone(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.birthstone(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.birthstone(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.birthstone(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.birthstone(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.birthstone(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.birthstone(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.birthstone(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.birthstone(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Birthstone Bounce font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Birthstone+Bounce
  static TextStyle birthstoneBounce({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'db4a20734f94b167a8b7b97639a8c07289d1f25c41afec846ea4d0fa0863fcf0',
        131944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '87c3ba7dc30ec3cc8a7538a0a49d8a2b382dadbee3bd9b366843510f7a6f6357',
        129296,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BirthstoneBounce',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Birthstone Bounce font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Birthstone+Bounce
  static TextTheme birthstoneBounceTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.birthstoneBounce(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.birthstoneBounce(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.birthstoneBounce(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.birthstoneBounce(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.birthstoneBounce(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.birthstoneBounce(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.birthstoneBounce(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.birthstoneBounce(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.birthstoneBounce(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.birthstoneBounce(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.birthstoneBounce(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.birthstoneBounce(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.birthstoneBounce(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.birthstoneBounce(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.birthstoneBounce(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Biryani font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Biryani
  static TextStyle biryani({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9e7dcec71c8253473d19a2c3d1de421262308136b9214f475718d265bd9ffc1a',
        116780,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e57ece68a386e84e678522598d31f5a19d88072f68a6692998097cbea121afbb',
        117180,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c55ac2d7c724034dc3579a4eeeb05d782e0eefe97cf34cdb97290ed1f10e4b6b',
        116488,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '37d035dd717b7dbd22491fbbda7503213a8e1ccc2133a8acdda1606fa97a58fe',
        116460,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f245fc809af34283afedd64b5598a9cd97ef9ca446c6cdd76794d738c67a23da',
        116280,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '540e82650fb8d83eaeaf29f6c5130af4191caefbdac343eb7961a3410d4143b9',
        116244,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7bf8aab125d9bb490cb552060c2a7cae508ba90769a9071e34c1f4396319ec0e',
        115348,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Biryani',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Biryani font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Biryani
  static TextTheme biryaniTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.biryani(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.biryani(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.biryani(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.biryani(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.biryani(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.biryani(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.biryani(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.biryani(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.biryani(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.biryani(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.biryani(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.biryani(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.biryani(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.biryani(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.biryani(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bitter font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bitter
  static TextStyle bitter({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5018aaeabecf1b767fe2ed4cae7af2dd720c06fec718506fc57c926bc95bbf26',
        141588,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '94a2d8f4793ff2bf1bec92854e20f072af97076318eb44b96ac2b0d4cbfaef60',
        142896,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4e4928400760c29c14e4f96f2792db4931def5b6006df332ac3fd3810d01795b',
        142964,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '88b3ae2ae9f6af89042e18d19d40c64485159f006cca4c47c6a3449c32c0154d',
        143044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '80dab54ee31130241c0651cc341c23307f3634a2e55435d7b829b7589cab255e',
        143172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '71da48e237a280b44caa7d3371cd2e93d47e8fef1706dee5ad6ed58e0795f679',
        143220,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd9784137f7f228e4c8de723ea043e840d131cab7e3a31c019c90a56ce4897fc6',
        143144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3530e01d9a356570afa0508cbdeaae4e7704049a90a210c4f1d30335f452e550',
        143316,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4a282fb518980afd66bda18dca19af7d2a0b469b6c9d4ab0c2510e8a2ce1796a',
        142936,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8bb8ff0221f63025959032c97982134da32dd3484de1541a8a594a810775243e',
        139168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b5c7f5322261fc8a14734bcbafe456f4533e77c408822918b6d2bff07dcdd818',
        139988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0b4e7faa6bd2fd26c9d34518aef021d9f2d03d110ac9c05215b74a02988c729d',
        139988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6b043dd1688d74302da74a4f3e1422c50100bf256dede0abff0319fc4f3b383d',
        140008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '595c939550bb4f307162b9ed57ca345256b1e09484b3dbb99a4a17ae5b43349a',
        140108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7fd9892bf78797e48149b677f4bef30102cb33d76f5f1e5ec17c63cda5394e53',
        140024,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4f22270aac1d8c643e887de3745d945c3f00696cac3967b303cbefe41b347beb',
        139928,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7ae8e6e597d6d3dd8f929976ef6c74d42afca8df732730de2afcadeb57656960',
        140076,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4c5f3b2b01e70b3f731f6afb39548d08af4842283f949c6d41603598bc2386da',
        139900,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Bitter',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bitter font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bitter
  static TextTheme bitterTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bitter(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.bitter(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bitter(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.bitter(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.bitter(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.bitter(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bitter(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bitter(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bitter(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bitter(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bitter(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bitter(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bitter(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bitter(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bitter(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Black And White Picture font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Black+And+White+Picture
  static TextStyle blackAndWhitePicture({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd07457649aa55560e0447e1a1e68f9fdb4fb18e354e8d59e114de7822c9095be',
        9586668,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BlackAndWhitePicture',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Black And White Picture font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Black+And+White+Picture
  static TextTheme blackAndWhitePictureTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.blackAndWhitePicture(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.blackAndWhitePicture(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.blackAndWhitePicture(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.blackAndWhitePicture(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.blackAndWhitePicture(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.blackAndWhitePicture(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.blackAndWhitePicture(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.blackAndWhitePicture(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.blackAndWhitePicture(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.blackAndWhitePicture(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.blackAndWhitePicture(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.blackAndWhitePicture(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.blackAndWhitePicture(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.blackAndWhitePicture(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.blackAndWhitePicture(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Black Han Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Black+Han+Sans
  static TextStyle blackHanSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8dcf48b16536fac5d24f2f07525984fadf5906f9488c7228f6af3d9b75cb9401',
        382948,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BlackHanSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Black Han Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Black+Han+Sans
  static TextTheme blackHanSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.blackHanSans(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.blackHanSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.blackHanSans(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.blackHanSans(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.blackHanSans(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.blackHanSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.blackHanSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.blackHanSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.blackHanSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.blackHanSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.blackHanSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.blackHanSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.blackHanSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.blackHanSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.blackHanSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Black Ops One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Black+Ops+One
  static TextStyle blackOpsOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd97a30390c4621a6185451bc74c97956f7fc43a0f1dea09251d8ade7d5304640',
        131076,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BlackOpsOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Black Ops One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Black+Ops+One
  static TextTheme blackOpsOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.blackOpsOne(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.blackOpsOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.blackOpsOne(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.blackOpsOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.blackOpsOne(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.blackOpsOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.blackOpsOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.blackOpsOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.blackOpsOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.blackOpsOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.blackOpsOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.blackOpsOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.blackOpsOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.blackOpsOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.blackOpsOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Blaka font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Blaka
  static TextStyle blaka({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '10fd5d88abe0e3556218deb56fd9ae38cb88d28f02819d117c7d50de8e27394c',
        41012,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Blaka',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Blaka font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Blaka
  static TextTheme blakaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.blaka(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.blaka(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.blaka(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.blaka(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.blaka(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.blaka(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.blaka(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.blaka(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.blaka(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.blaka(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.blaka(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.blaka(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.blaka(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.blaka(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.blaka(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Blaka Hollow font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Blaka+Hollow
  static TextStyle blakaHollow({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9502e4fe4630de10d5aa52a1a473cae475ec8033272de8c8a27a8a50894115ca',
        52428,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BlakaHollow',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Blaka Hollow font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Blaka+Hollow
  static TextTheme blakaHollowTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.blakaHollow(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.blakaHollow(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.blakaHollow(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.blakaHollow(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.blakaHollow(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.blakaHollow(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.blakaHollow(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.blakaHollow(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.blakaHollow(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.blakaHollow(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.blakaHollow(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.blakaHollow(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.blakaHollow(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.blakaHollow(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.blakaHollow(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Blaka Ink font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Blaka+Ink
  static TextStyle blakaInk({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5b8b2313ad8b14dc5398cac5cb884a53016926061e801d4394deff52c650377f',
        363016,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BlakaInk',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Blaka Ink font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Blaka+Ink
  static TextTheme blakaInkTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.blakaInk(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.blakaInk(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.blakaInk(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.blakaInk(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.blakaInk(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.blakaInk(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.blakaInk(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.blakaInk(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.blakaInk(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.blakaInk(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.blakaInk(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.blakaInk(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.blakaInk(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.blakaInk(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.blakaInk(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Blinker font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Blinker
  static TextStyle blinker({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '70cda2a3be45ad2cfc4fce3f02c9fb49fa6036674fa911da5edfd2e6ab9194ed',
        48360,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '68395b402c7e5dd97bef235fa3ebb781798b885a607f82097ffc21d9998a4dbc',
        49784,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f1ddd07308d2eafa097914827e5e560c1008d54786afe03c98baaf1a03d7a0e4',
        49632,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aba089cb0cf5b2715ebc8977e04464b6e018fbde24957fc76585b33a2e50d88b',
        48848,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0eaca7103ebcbbb79acfd6b4d43e9f41766441925e2e196b1d7306b79c3c4a31',
        54592,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '16effec8257a788af0494d72d1561370e8b71a38d30f84c93937a63a8b2c93da',
        50068,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e6aa48a1fc6ffffc66a2202248381c493cd9db369b885fd9bcded75829a399d2',
        54240,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '675e3bf1d97194fb60db3bac63f0ff1661cb47a59bb7e976cd8d11f142258d7f',
        53496,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Blinker',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Blinker font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Blinker
  static TextTheme blinkerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.blinker(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.blinker(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.blinker(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.blinker(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.blinker(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.blinker(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.blinker(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.blinker(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.blinker(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.blinker(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.blinker(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.blinker(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.blinker(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.blinker(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.blinker(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bodoni Moda font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bodoni+Moda
  static TextStyle bodoniModa({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7e661a5155a13e14a29d7db381aae931be62a4fe74130ea224149d890ac68bb6',
        40240,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd2db31fafc9a8f7efb57e3142ed58367cd456cc8f3b9bdd3e7751a74f8ea5a79',
        40316,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '235db750d92719d021566b18a3090f508ea8f4147cc2f6ddcaceee4bfdb3448b',
        40352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c54ea663ecd4dea50e10ff892faf73d0c7d10ece51b90f77f58cab144932e669',
        40336,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e4e773f62566e858b89c42454e8feb15cb34369e1a59b207cdfba192c9d36206',
        40408,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '50f046d1d0731025e0c691790489920fedf58161fb63dd263d63e4d861d7d323',
        40352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4b636b8490027292da49be7f503bd7df847f00abc0e95076d8d2bd5f765ee478',
        44120,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c75eab323f1ef300bb59cd7fca6b17ed3593bea56a38a48e941c55117ac0c747',
        44260,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cd5887cb86a1f50382887add8b154aa814901655b81194ee60d41dfe3510cd25',
        44324,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b97d657524d9758248063162a9d61cf6254ba9fbd970857256c42f33e53f16f8',
        44292,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '491c616fa58811600e300058b0399407d713cf0b8328602ca4a39b43b17ccea3',
        44432,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8cd319560ff47c82df40a124154b0cc84048bfcaff3eb5634561044e95f4b1c3',
        44404,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BodoniModa',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bodoni Moda font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bodoni+Moda
  static TextTheme bodoniModaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bodoniModa(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.bodoniModa(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bodoniModa(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.bodoniModa(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.bodoniModa(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.bodoniModa(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bodoniModa(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bodoniModa(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bodoniModa(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bodoniModa(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bodoniModa(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bodoniModa(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bodoniModa(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bodoniModa(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bodoniModa(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bokor font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bokor
  static TextStyle bokor({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '48dc3bbb53942fe0f1dcda871b0b6600f23c80b68ea80345c182f17f10e36639',
        75392,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Bokor',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bokor font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bokor
  static TextTheme bokorTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bokor(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.bokor(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bokor(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.bokor(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.bokor(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.bokor(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bokor(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bokor(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bokor(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bokor(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bokor(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bokor(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bokor(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bokor(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bokor(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bona Nova font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bona+Nova
  static TextStyle bonaNova({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '078d2bfcfc80d682132d953545812db70e0f9f0b98ae0cac142ea71b158d1318',
        198112,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f09688cecf4b8ba9818a169e25b836f04679a229109cb520cc95adef6e6ad81d',
        215808,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '43adb619f6b73f11f25abeeb80e1afc75285c402742402228abf38595b558505',
        196232,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BonaNova',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bona Nova font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bona+Nova
  static TextTheme bonaNovaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bonaNova(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.bonaNova(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bonaNova(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.bonaNova(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.bonaNova(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.bonaNova(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bonaNova(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bonaNova(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bonaNova(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bonaNova(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bonaNova(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bonaNova(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bonaNova(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bonaNova(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bonaNova(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bonbon font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bonbon
  static TextStyle bonbon({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c04cb293742f9b01b0a1ebcf45eef3904303d0777d8289f8ed5202731bcf9e2d',
        33764,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Bonbon',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bonbon font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bonbon
  static TextTheme bonbonTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bonbon(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.bonbon(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bonbon(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.bonbon(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.bonbon(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.bonbon(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bonbon(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bonbon(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bonbon(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bonbon(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bonbon(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bonbon(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bonbon(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bonbon(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bonbon(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bonheur Royale font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bonheur+Royale
  static TextStyle bonheurRoyale({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '154b78777c911720d2396a0fd893d015295362dc1ef49b92d211d5b57f5b9b45',
        87260,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BonheurRoyale',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bonheur Royale font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bonheur+Royale
  static TextTheme bonheurRoyaleTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.bonheurRoyale(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.bonheurRoyale(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.bonheurRoyale(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.bonheurRoyale(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.bonheurRoyale(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.bonheurRoyale(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bonheurRoyale(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bonheurRoyale(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bonheurRoyale(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bonheurRoyale(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bonheurRoyale(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bonheurRoyale(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bonheurRoyale(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bonheurRoyale(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bonheurRoyale(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Boogaloo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Boogaloo
  static TextStyle boogaloo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '486b374056bf3e62615ffa5d53c779645aac9675c237d6d509d390dc877590dc',
        31224,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Boogaloo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Boogaloo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Boogaloo
  static TextTheme boogalooTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.boogaloo(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.boogaloo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.boogaloo(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.boogaloo(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.boogaloo(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.boogaloo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.boogaloo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.boogaloo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.boogaloo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.boogaloo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.boogaloo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.boogaloo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.boogaloo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.boogaloo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.boogaloo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bowlby One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bowlby+One
  static TextStyle bowlbyOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c1fd01bc4cbebc94ca1244ef3704cf4e2c15b1d6437a8b79c5ee7a7ab4bdb772',
        58032,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BowlbyOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bowlby One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bowlby+One
  static TextTheme bowlbyOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bowlbyOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.bowlbyOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bowlbyOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.bowlbyOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.bowlbyOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.bowlbyOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bowlbyOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bowlbyOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bowlbyOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bowlbyOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bowlbyOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bowlbyOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bowlbyOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bowlbyOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bowlbyOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bowlby One SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bowlby+One+SC
  static TextStyle bowlbyOneSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7de8e3ab5995e51e27e2e02b0564c3ed2c6ef22dcc08b03e76a63233b1c3e5d5',
        42524,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BowlbyOneSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bowlby One SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bowlby+One+SC
  static TextTheme bowlbyOneScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bowlbyOneSc(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.bowlbyOneSc(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bowlbyOneSc(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.bowlbyOneSc(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.bowlbyOneSc(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.bowlbyOneSc(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bowlbyOneSc(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bowlbyOneSc(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bowlbyOneSc(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bowlbyOneSc(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bowlbyOneSc(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bowlbyOneSc(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bowlbyOneSc(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bowlbyOneSc(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bowlbyOneSc(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Braah One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Braah+One
  static TextStyle braahOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3da05e3623ff1328ccedd985a035d1d5cbbd4122834206d12b83fb9d7b51e4c8',
        107308,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BraahOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Braah One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Braah+One
  static TextTheme braahOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.braahOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.braahOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.braahOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.braahOne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.braahOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.braahOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.braahOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.braahOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.braahOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.braahOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.braahOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.braahOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.braahOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.braahOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.braahOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Brawler font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Brawler
  static TextStyle brawler({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd1d99ea60caa66d62f590c76f585d98017a2ec6218ac780cadc9e70b1ed635ea',
        39088,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '46ec2bf8116aad4bac1627a1270e6313a630b72aa32acb27e5c8a8365ed4aa34',
        32472,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Brawler',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Brawler font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Brawler
  static TextTheme brawlerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.brawler(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.brawler(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.brawler(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.brawler(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.brawler(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.brawler(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.brawler(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.brawler(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.brawler(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.brawler(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.brawler(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.brawler(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.brawler(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.brawler(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.brawler(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bree Serif font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bree+Serif
  static TextStyle breeSerif({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5502b26521a10457b7069809f6b093a2f84697033833fc0d231c14fc3d98449f',
        42876,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BreeSerif',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bree Serif font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bree+Serif
  static TextTheme breeSerifTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.breeSerif(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.breeSerif(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.breeSerif(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.breeSerif(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.breeSerif(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.breeSerif(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.breeSerif(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.breeSerif(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.breeSerif(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.breeSerif(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.breeSerif(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.breeSerif(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.breeSerif(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.breeSerif(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.breeSerif(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bruno Ace font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bruno+Ace
  static TextStyle brunoAce({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bbca71a0e002a28e06c19053cddd4dd36b766ed9df14c58fabb2b0fe187317f9',
        40284,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BrunoAce',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bruno Ace font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bruno+Ace
  static TextTheme brunoAceTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.brunoAce(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.brunoAce(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.brunoAce(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.brunoAce(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.brunoAce(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.brunoAce(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.brunoAce(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.brunoAce(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.brunoAce(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.brunoAce(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.brunoAce(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.brunoAce(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.brunoAce(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.brunoAce(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.brunoAce(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bruno Ace SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bruno+Ace+SC
  static TextStyle brunoAceSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '315dc296253f4a92e5a13e75d97b10efdbf0f5d67b7430d9eef38d0096c8bcf4',
        39244,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BrunoAceSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bruno Ace SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bruno+Ace+SC
  static TextTheme brunoAceScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.brunoAceSc(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.brunoAceSc(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.brunoAceSc(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.brunoAceSc(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.brunoAceSc(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.brunoAceSc(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.brunoAceSc(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.brunoAceSc(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.brunoAceSc(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.brunoAceSc(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.brunoAceSc(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.brunoAceSc(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.brunoAceSc(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.brunoAceSc(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.brunoAceSc(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Brygada 1918 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Brygada+1918
  static TextStyle brygada1918({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'df9dd56537b13347b633229f4fc32702b702e85737ec9375b70f761fa60441d8',
        121484,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b71a8f1a393bf49d458b47a68389411a76757809e2faab0d1f04c473d44b74fd',
        122024,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'df4d7888f9a08e336be889f44496897bc5e2ae78b4742cb5ae480ab0d17ab4fc',
        121992,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ae6721d28b3c72543268f6d2a0f22a371e20a7dffc3d0ef3b25f75eef1dc253a',
        121920,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'dda7894dd86489179981d7ca2c4145eee2cdf4feccde3cde646a240d0059a319',
        120804,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'dcffaf0cc9ad85f0b094085508119d361671d6f2a5a9712deb3a8b02e41ff5bc',
        121000,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '268538b7c6d7b6cd8e4781381666a0cfa6190ed717ad9ff966ce0a28708af929',
        121124,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '53443ddb65ec59d322ad405d76ec9158810d1076fc531fee67e911c17c7de17d',
        121028,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Brygada1918',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Brygada 1918 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Brygada+1918
  static TextTheme brygada1918TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.brygada1918(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.brygada1918(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.brygada1918(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.brygada1918(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.brygada1918(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.brygada1918(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.brygada1918(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.brygada1918(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.brygada1918(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.brygada1918(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.brygada1918(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.brygada1918(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.brygada1918(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.brygada1918(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.brygada1918(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bubblegum Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bubblegum+Sans
  static TextStyle bubblegumSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '92696a5b4ea36589da7abe61c35ed8a1c4f801c6ff3620dea990247dda3ed78e',
        36660,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BubblegumSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bubblegum Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bubblegum+Sans
  static TextTheme bubblegumSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.bubblegumSans(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.bubblegumSans(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.bubblegumSans(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.bubblegumSans(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.bubblegumSans(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.bubblegumSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bubblegumSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bubblegumSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bubblegumSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bubblegumSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bubblegumSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bubblegumSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bubblegumSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bubblegumSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bubblegumSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bubbler One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bubbler+One
  static TextStyle bubblerOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bc352921d088df991317e810a93f04557ee49583ae17895e9fd7970bf30f6b52',
        29220,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BubblerOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bubbler One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bubbler+One
  static TextTheme bubblerOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bubblerOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.bubblerOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bubblerOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.bubblerOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.bubblerOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.bubblerOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bubblerOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bubblerOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bubblerOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bubblerOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bubblerOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bubblerOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bubblerOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bubblerOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bubblerOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Buda font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Buda
  static TextStyle buda({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ddf9a00ad35f40985a1676848fc4fab5a143849227030354f494772914814d3f',
        33320,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Buda',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Buda font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Buda
  static TextTheme budaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.buda(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.buda(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.buda(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.buda(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.buda(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.buda(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.buda(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.buda(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.buda(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.buda(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.buda(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.buda(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.buda(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.buda(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.buda(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Buenard font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Buenard
  static TextStyle buenard({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c6530a057f44e97cf7b5124e45286942b0dd5cb652533e320357df9c3a712d26',
        56568,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3098b97edeca864f79b6d2b8433c04363b80a8219f40e2f05b5fa2481e2e38e7',
        55608,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Buenard',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Buenard font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Buenard
  static TextTheme buenardTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.buenard(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.buenard(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.buenard(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.buenard(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.buenard(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.buenard(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.buenard(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.buenard(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.buenard(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.buenard(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.buenard(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.buenard(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.buenard(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.buenard(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.buenard(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bungee font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bungee
  static TextStyle bungee({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e2569977dab0311f3a357de2a9c5abeb40eb1d7951efb106f1e67571d140236a',
        105464,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Bungee',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bungee font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bungee
  static TextTheme bungeeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bungee(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.bungee(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bungee(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.bungee(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.bungee(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.bungee(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bungee(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bungee(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bungee(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bungee(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bungee(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bungee(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bungee(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bungee(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bungee(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bungee Hairline font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bungee+Hairline
  static TextStyle bungeeHairline({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2f2a08b80297c3966f279056281cbab1d6126f6a10575f0bbc4fdf956493af6a',
        86124,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BungeeHairline',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bungee Hairline font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bungee+Hairline
  static TextTheme bungeeHairlineTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.bungeeHairline(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.bungeeHairline(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.bungeeHairline(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.bungeeHairline(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.bungeeHairline(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.bungeeHairline(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bungeeHairline(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bungeeHairline(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bungeeHairline(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bungeeHairline(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bungeeHairline(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bungeeHairline(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bungeeHairline(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bungeeHairline(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bungeeHairline(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bungee Inline font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bungee+Inline
  static TextStyle bungeeInline({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4f5c2ac9b111330fd7b39833e3579171ad7fcf8a0ebc5bc1df5b6d05304d41e2',
        136280,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BungeeInline',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bungee Inline font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bungee+Inline
  static TextTheme bungeeInlineTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bungeeInline(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.bungeeInline(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bungeeInline(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.bungeeInline(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.bungeeInline(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.bungeeInline(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bungeeInline(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bungeeInline(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bungeeInline(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bungeeInline(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bungeeInline(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bungeeInline(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bungeeInline(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bungeeInline(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bungeeInline(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bungee Outline font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bungee+Outline
  static TextStyle bungeeOutline({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '09a3971e578125a8179bb13ee7156b0b3f1500ad59a574b9c30645fd6b534e75',
        188572,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BungeeOutline',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bungee Outline font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bungee+Outline
  static TextTheme bungeeOutlineTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.bungeeOutline(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.bungeeOutline(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.bungeeOutline(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.bungeeOutline(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.bungeeOutline(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.bungeeOutline(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bungeeOutline(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bungeeOutline(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bungeeOutline(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bungeeOutline(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bungeeOutline(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bungeeOutline(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bungeeOutline(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bungeeOutline(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bungeeOutline(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bungee Shade font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bungee+Shade
  static TextStyle bungeeShade({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '61b279c3dedd9d40cc0351dc8847c2529f7b04f578cc7ecb0cb290aaf7f7ca41',
        322132,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BungeeShade',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bungee Shade font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bungee+Shade
  static TextTheme bungeeShadeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bungeeShade(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.bungeeShade(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bungeeShade(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.bungeeShade(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.bungeeShade(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.bungeeShade(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bungeeShade(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bungeeShade(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bungeeShade(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bungeeShade(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bungeeShade(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bungeeShade(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bungeeShade(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bungeeShade(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bungeeShade(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bungee Spice font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bungee+Spice
  static TextStyle bungeeSpice({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c10b81a9343866afa5d5cd3f8b589ac30bccd4e08812d1724fe82b0a94d723d2',
        498988,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BungeeSpice',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bungee Spice font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bungee+Spice
  static TextTheme bungeeSpiceTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bungeeSpice(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.bungeeSpice(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bungeeSpice(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.bungeeSpice(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.bungeeSpice(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.bungeeSpice(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bungeeSpice(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bungeeSpice(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bungeeSpice(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bungeeSpice(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bungeeSpice(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bungeeSpice(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bungeeSpice(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bungeeSpice(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bungeeSpice(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Butcherman font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Butcherman
  static TextStyle butcherman({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '60fbc7f29a31d0500a432d0723b8770f65ea6319fdd801b6c45c1ad83b505c04',
        63296,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Butcherman',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Butcherman font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Butcherman
  static TextTheme butchermanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.butcherman(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.butcherman(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.butcherman(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.butcherman(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.butcherman(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.butcherman(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.butcherman(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.butcherman(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.butcherman(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.butcherman(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.butcherman(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.butcherman(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.butcherman(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.butcherman(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.butcherman(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Butterfly Kids font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Butterfly+Kids
  static TextStyle butterflyKids({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a6b60f81c67fe1ad20fc13cb44ab4f48fc51a94b066e9b7d9b47e0c32ebeb4a9',
        200392,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ButterflyKids',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Butterfly Kids font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Butterfly+Kids
  static TextTheme butterflyKidsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.butterflyKids(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.butterflyKids(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.butterflyKids(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.butterflyKids(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.butterflyKids(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.butterflyKids(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.butterflyKids(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.butterflyKids(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.butterflyKids(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.butterflyKids(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.butterflyKids(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.butterflyKids(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.butterflyKids(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.butterflyKids(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.butterflyKids(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cabin font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cabin
  static TextStyle cabin({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b2f75b250e6482e520f737769e836fa49147d76b9f84e94fdf10074769ece53c',
        74532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1e221e122ba8586405a3ef1a30d571ed58fae137cc8c82a911944db7097c1599',
        74612,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '02f3fb5bd6c19cff1a794be693813d2d7147a623d1d9da78d338289cdc36a868',
        74624,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1457b3b8652d9391cb6a734b51989dbb2f70253a47813cf08ccccb290b285222',
        74312,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '38f7ec530827b40bd85beb8b18abcd72e81b1896be244722005d2e43bcf83d65',
        64624,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '863671d7d9d1481f46a130038b7744151b5d3274ee8c059b12746d1ce468c2aa',
        64848,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2d13a5661cd05dc321676cfdfb7fc8afb2da20fc6f22c7dbbd32dfccf5a610af',
        64896,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a7bdd6ecee246f2e856d692698ef469781ee541b11629dc0aaa123a2ae4f919b',
        64480,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Cabin',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cabin font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cabin
  static TextTheme cabinTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.cabin(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.cabin(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.cabin(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.cabin(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.cabin(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.cabin(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.cabin(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.cabin(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.cabin(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cabin(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.cabin(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cabin(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.cabin(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.cabin(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.cabin(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cabin Condensed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cabin+Condensed
  static TextStyle cabinCondensed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e7b1fe0fb3be326f98c9054e2071a08d58a6a5b81ab59b67060f66d752a440c3',
        67168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8dcee43bf621fd803a278926895c6ab619871af4a2808562255e8eca58b62227',
        66768,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2b967310e5c94787ae27a63f52593db860f28be18497886fcd5c550d6dc70841',
        66760,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8f1bd3239cc7437ba9b197545412080d7325a7ae460c779f0aa8033b642ab178',
        66768,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CabinCondensed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cabin Condensed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cabin+Condensed
  static TextTheme cabinCondensedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.cabinCondensed(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.cabinCondensed(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.cabinCondensed(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.cabinCondensed(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.cabinCondensed(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.cabinCondensed(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.cabinCondensed(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.cabinCondensed(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.cabinCondensed(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cabinCondensed(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.cabinCondensed(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cabinCondensed(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.cabinCondensed(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.cabinCondensed(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.cabinCondensed(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cabin Sketch font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cabin+Sketch
  static TextStyle cabinSketch({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6a821d6a98e37151c44a6d1226a34ebfaf705a7414b049dff06dda2517e238c2',
        152760,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f5a372191df6c57b4e514bc8e3dae0fcc2e0a64359c8253e70dca96533ed11d5',
        267556,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CabinSketch',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cabin Sketch font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cabin+Sketch
  static TextTheme cabinSketchTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.cabinSketch(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.cabinSketch(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.cabinSketch(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.cabinSketch(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.cabinSketch(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.cabinSketch(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.cabinSketch(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.cabinSketch(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.cabinSketch(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cabinSketch(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.cabinSketch(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cabinSketch(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.cabinSketch(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.cabinSketch(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.cabinSketch(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Caesar Dressing font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Caesar+Dressing
  static TextStyle caesarDressing({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '52b849458b688259ce15c907f0722ddc2c4dd6b45dd71a0f287191ce0e4db40e',
        87520,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CaesarDressing',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Caesar Dressing font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Caesar+Dressing
  static TextTheme caesarDressingTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.caesarDressing(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.caesarDressing(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.caesarDressing(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.caesarDressing(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.caesarDressing(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.caesarDressing(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.caesarDressing(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.caesarDressing(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.caesarDressing(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.caesarDressing(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.caesarDressing(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.caesarDressing(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.caesarDressing(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.caesarDressing(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.caesarDressing(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cagliostro font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cagliostro
  static TextStyle cagliostro({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4ece09548add33daa4de57fc47a300709075535ebb0c8dcefa275e36a6eec55e',
        34876,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Cagliostro',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cagliostro font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cagliostro
  static TextTheme cagliostroTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.cagliostro(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.cagliostro(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.cagliostro(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.cagliostro(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.cagliostro(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.cagliostro(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.cagliostro(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.cagliostro(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.cagliostro(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cagliostro(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.cagliostro(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cagliostro(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.cagliostro(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.cagliostro(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.cagliostro(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cairo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cairo
  static TextStyle cairo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '40c2aa81a3235e60d78cd2e328b4e494f07d65694a955a08bdc51593a03216b0',
        89756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '700c24d28a092dd014c242b417ccde0fba8aa8e1d16d759a538594734da04ed2',
        89808,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '499cfb76477dbf03ca3791ba7177f2e128f250cfb34bbb9384dbf4f28b253c97',
        91476,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9d8500907f73132b06cf33a2ce1c28dc36018c7f5588ffd8638774103fde0077',
        91652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5ebb1f2ec0c67f7294015d949f255e2833eae291bb1a6f0eab3cda6f96cfd5c2',
        91700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3cce129dc85ef03a59b626db6dd521fd9904794f41da3aa95c1662b23ad90e6d',
        91640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cecf6b7ca16f645aff58ae318bbf5e7bcf3f12f592cf0a4b6a724dcbccef1bc0',
        91724,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2953a40be9746cdfd10665c61e18f1662a1346b01ce310188d2ebc311185219f',
        91720,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Cairo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cairo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cairo
  static TextTheme cairoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.cairo(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.cairo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.cairo(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.cairo(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.cairo(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.cairo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.cairo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.cairo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.cairo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cairo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.cairo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cairo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.cairo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.cairo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.cairo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cairo Play font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cairo+Play
  static TextStyle cairoPlay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f7fd6a6715316cefb5e5c7a237a1ed2107852d18c289e8bf1da1dc2239c36695',
        157528,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8105bdc28db17d6f87c75ff59c98bfa9b865c7575db8d7ec5beccaaa11d27555',
        157572,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e280db4d0f3cacc0b75c807807f7272c5dfce7a44bf45946aa58efe036a56b0c',
        159284,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a8ce8d307da86977db3510cd24e9e7d4bac940d15b1e88de157cd072d9c0b3b8',
        159504,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0ff7bb15e43092ff2d20557c9f8217f0e9fc0bf20ea0400eacb00921d7d94d96',
        159572,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0ad842f8f2cb9a37141778c40f9bff6f356de07d198098c1e3fb8216746d1c25',
        159528,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '48acd89efa107a45efc35952f9dceaff4ca612c97c1958da9e1224881ba28388',
        159636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e52ff7a9afe933d9c1f1efcba346e6781d92ed70475308f59ef35eefd1efba17',
        159640,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CairoPlay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cairo Play font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cairo+Play
  static TextTheme cairoPlayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.cairoPlay(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.cairoPlay(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.cairoPlay(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.cairoPlay(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.cairoPlay(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.cairoPlay(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.cairoPlay(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.cairoPlay(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.cairoPlay(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cairoPlay(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.cairoPlay(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cairoPlay(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.cairoPlay(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.cairoPlay(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.cairoPlay(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Caladea font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Caladea
  static TextStyle caladea({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b4c002a10d755da4ccaa3ebc0cdbdea21a315a95a327a41471ba4a04e0b8001d',
        52664,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1711d83d00881cbfd246656598ac8a659f41e61b337e8631118e37f415f8da49',
        52160,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '16b835559468154283080ca19d8634a28fa0f0edf71cef558a2739e7484d6cb2',
        53724,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd107506a3253ab8d36e5ac5c8a09979da3d17fccaa1addea2b31d5db7696caa5',
        52288,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Caladea',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Caladea font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Caladea
  static TextTheme caladeaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.caladea(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.caladea(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.caladea(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.caladea(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.caladea(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.caladea(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.caladea(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.caladea(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.caladea(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.caladea(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.caladea(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.caladea(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.caladea(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.caladea(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.caladea(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Calistoga font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Calistoga
  static TextStyle calistoga({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '66ca8cfe1d411810a268c72576a1ab1135bfd5a465e8341d3d5d39a17a69cc25',
        152348,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Calistoga',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Calistoga font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Calistoga
  static TextTheme calistogaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.calistoga(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.calistoga(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.calistoga(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.calistoga(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.calistoga(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.calistoga(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.calistoga(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.calistoga(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.calistoga(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.calistoga(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.calistoga(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.calistoga(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.calistoga(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.calistoga(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.calistoga(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Calligraffitti font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Calligraffitti
  static TextStyle calligraffitti({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '03f3f28aba9473b7488aba63f600070b40a9d8ad73c679250b5aa2eb8cd5ab36',
        45580,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Calligraffitti',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Calligraffitti font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Calligraffitti
  static TextTheme calligraffittiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.calligraffitti(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.calligraffitti(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.calligraffitti(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.calligraffitti(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.calligraffitti(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.calligraffitti(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.calligraffitti(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.calligraffitti(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.calligraffitti(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.calligraffitti(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.calligraffitti(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.calligraffitti(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.calligraffitti(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.calligraffitti(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.calligraffitti(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cambay font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cambay
  static TextStyle cambay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5cb782bada62515a174b78ca681b30681cc8466212e769e01cf54b31ee3c779d',
        136424,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7767eea34f2a90cb411f48363e42d684f425c451c00bb71bfc6a432a64a44f1d',
        152112,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7916fc2456f74f87dcafbcb796f751c53dda9565b29156f280d07f17681a045a',
        136044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c8709ac37ebf71b74486d26d90f89cdf7d5c4a2c5c7732520258af964f87693c',
        147412,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Cambay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cambay font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cambay
  static TextTheme cambayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.cambay(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.cambay(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.cambay(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.cambay(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.cambay(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.cambay(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.cambay(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.cambay(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.cambay(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cambay(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.cambay(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cambay(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.cambay(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.cambay(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.cambay(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cambo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cambo
  static TextStyle cambo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '929ce31fe54782582cd8ea45cf8f3f42b4948eb2fd1be3cade36658bdf5f7f65',
        26564,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Cambo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cambo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cambo
  static TextTheme camboTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.cambo(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.cambo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.cambo(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.cambo(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.cambo(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.cambo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.cambo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.cambo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.cambo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cambo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.cambo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cambo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.cambo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.cambo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.cambo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Candal font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Candal
  static TextStyle candal({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8fb20c6aeb13ec31b04077e0ff5ad4257b090fb656d3528ead0c1362df8172d2',
        30428,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Candal',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Candal font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Candal
  static TextTheme candalTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.candal(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.candal(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.candal(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.candal(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.candal(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.candal(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.candal(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.candal(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.candal(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.candal(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.candal(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.candal(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.candal(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.candal(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.candal(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cantarell font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cantarell
  static TextStyle cantarell({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e008caccc9dfa0af6ee00bf6c70fa1ee25c5383a32276af466df45d975a9a92c',
        42120,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '344311f5bd9673791671d5cba193a1dfe527babd8d7cafcd85895a4a0d8f7f4e',
        44692,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dec79ccc481701ab0ee9be43b663968eb3f3ce4bec369cef66d4f3283a4a2c1f',
        43904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '42e5b2e078c4a332a1370e74eb17b809f905c40c47a3a42bfa86e61b538668f0',
        46812,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Cantarell',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cantarell font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cantarell
  static TextTheme cantarellTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.cantarell(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.cantarell(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.cantarell(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.cantarell(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.cantarell(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.cantarell(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.cantarell(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.cantarell(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.cantarell(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cantarell(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.cantarell(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cantarell(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.cantarell(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.cantarell(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.cantarell(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cantata One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cantata+One
  static TextStyle cantataOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fa58eb9b16658fa12cf9c191d8c985c5f18a6cb95b8a007e674d0a1fccd1f53e',
        53244,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CantataOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cantata One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cantata+One
  static TextTheme cantataOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.cantataOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.cantataOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.cantataOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.cantataOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.cantataOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.cantataOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.cantataOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.cantataOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.cantataOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cantataOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.cantataOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cantataOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.cantataOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.cantataOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.cantataOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cantora One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cantora+One
  static TextStyle cantoraOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2ca92fd52125d6e7de7eb197c46bb384f7f13ba44f7375e9d6d6ca5121d1d59c',
        89764,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CantoraOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cantora One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cantora+One
  static TextTheme cantoraOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.cantoraOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.cantoraOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.cantoraOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.cantoraOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.cantoraOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.cantoraOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.cantoraOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.cantoraOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.cantoraOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cantoraOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.cantoraOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cantoraOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.cantoraOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.cantoraOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.cantoraOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Capriola font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Capriola
  static TextStyle capriola({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cd5074183dbdc83f16b66b9e3c4845513a45ddbc0a01ff06c997352ac5c74c84',
        71856,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Capriola',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Capriola font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Capriola
  static TextTheme capriolaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.capriola(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.capriola(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.capriola(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.capriola(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.capriola(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.capriola(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.capriola(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.capriola(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.capriola(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.capriola(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.capriola(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.capriola(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.capriola(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.capriola(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.capriola(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Caramel font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Caramel
  static TextStyle caramel({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a80d114cb9fa5025551733589efa28c9b6f18d17fa1d0a64a019760e66369bac',
        77520,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Caramel',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Caramel font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Caramel
  static TextTheme caramelTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.caramel(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.caramel(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.caramel(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.caramel(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.caramel(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.caramel(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.caramel(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.caramel(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.caramel(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.caramel(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.caramel(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.caramel(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.caramel(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.caramel(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.caramel(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Carattere font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Carattere
  static TextStyle carattere({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0ac879fd9028443388930525ff30f4a8a05587cdc1c63f8cfac7b8efd056b6a4',
        78436,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Carattere',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Carattere font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Carattere
  static TextTheme carattereTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.carattere(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.carattere(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.carattere(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.carattere(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.carattere(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.carattere(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.carattere(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.carattere(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.carattere(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.carattere(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.carattere(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.carattere(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.carattere(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.carattere(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.carattere(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cardo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cardo
  static TextStyle cardo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cc6ef8fe261a8b48e725125d5673ae951876ee5e7201f21a1c1ad75ca5e49607',
        384996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f290bf8d443df7d3b6bda6fd0e1df1edb5b042f122d70f2a806150b52199e1cb',
        251700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1e90fd34285f1c772b99206fd182263640fd662891bf164375d970c067a9fd47',
        338888,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Cardo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cardo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cardo
  static TextTheme cardoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.cardo(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.cardo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.cardo(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.cardo(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.cardo(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.cardo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.cardo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.cardo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.cardo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cardo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.cardo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cardo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.cardo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.cardo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.cardo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Carlito font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Carlito
  static TextStyle carlito({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '37a3f0cbc893bb25232c1e1e53edb14e3762788bb6c7b1121563ad1a79a08d43',
        292856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '760a3b228683645cd8d1c6613ea685fbdd9b34bd9de326a1a3a092309ae2eae3',
        286596,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a43685ed723b65200555f22d532c2ce3827e7d0719eb59a14d1906f74528d413',
        309100,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0e3da8b8cdc2c3caa1a53c4c8e36b7f898caf15c4c6581a87e0dce086d07c690',
        420892,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Carlito',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Carlito font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Carlito
  static TextTheme carlitoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.carlito(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.carlito(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.carlito(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.carlito(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.carlito(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.carlito(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.carlito(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.carlito(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.carlito(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.carlito(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.carlito(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.carlito(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.carlito(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.carlito(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.carlito(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Carme font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Carme
  static TextStyle carme({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f54bc7b22645f71b78877750d4d353c6df9787e57372418d3191e2c25e2cee4b',
        58480,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Carme',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Carme font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Carme
  static TextTheme carmeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.carme(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.carme(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.carme(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.carme(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.carme(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.carme(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.carme(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.carme(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.carme(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.carme(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.carme(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.carme(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.carme(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.carme(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.carme(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Carrois Gothic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Carrois+Gothic
  static TextStyle carroisGothic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9d40b94aade1023aa8a411cb13cedfb3131d357258037965cb12a12a5befdf2e',
        24276,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CarroisGothic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Carrois Gothic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Carrois+Gothic
  static TextTheme carroisGothicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.carroisGothic(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.carroisGothic(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.carroisGothic(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.carroisGothic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.carroisGothic(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.carroisGothic(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.carroisGothic(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.carroisGothic(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.carroisGothic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.carroisGothic(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.carroisGothic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.carroisGothic(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.carroisGothic(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.carroisGothic(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.carroisGothic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Carrois Gothic SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Carrois+Gothic+SC
  static TextStyle carroisGothicSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3ba9a160762fbdb1773b7b56388b3286627b81a2f28e4c95ac162c990a682a1d',
        24256,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CarroisGothicSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Carrois Gothic SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Carrois+Gothic+SC
  static TextTheme carroisGothicScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.carroisGothicSc(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.carroisGothicSc(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.carroisGothicSc(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.carroisGothicSc(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.carroisGothicSc(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.carroisGothicSc(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.carroisGothicSc(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.carroisGothicSc(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.carroisGothicSc(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.carroisGothicSc(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.carroisGothicSc(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.carroisGothicSc(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.carroisGothicSc(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.carroisGothicSc(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.carroisGothicSc(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Carter One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Carter+One
  static TextStyle carterOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8371c635d426c368aeddb6f990fde22ad23e7fbfa72bb36a557bfcf1169e451a',
        61972,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CarterOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Carter One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Carter+One
  static TextTheme carterOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.carterOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.carterOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.carterOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.carterOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.carterOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.carterOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.carterOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.carterOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.carterOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.carterOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.carterOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.carterOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.carterOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.carterOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.carterOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Castoro font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Castoro
  static TextStyle castoro({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '263e4a400a98978c39f65037f0736b3a7e099a2360a68d31d8fd9a52c5f1b1f7',
        70664,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2433ab603c554f7dabbbd49e80334d860b2adfccd483980849b12b9f1ca44aa0',
        71916,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Castoro',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Castoro font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Castoro
  static TextTheme castoroTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.castoro(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.castoro(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.castoro(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.castoro(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.castoro(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.castoro(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.castoro(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.castoro(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.castoro(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.castoro(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.castoro(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.castoro(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.castoro(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.castoro(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.castoro(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Castoro Titling font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Castoro+Titling
  static TextStyle castoroTitling({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9ca648796b45e07a1bb36bef90d65c9210cacb4eb33153d96ecee908dc184252',
        41596,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CastoroTitling',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Castoro Titling font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Castoro+Titling
  static TextTheme castoroTitlingTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.castoroTitling(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.castoroTitling(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.castoroTitling(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.castoroTitling(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.castoroTitling(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.castoroTitling(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.castoroTitling(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.castoroTitling(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.castoroTitling(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.castoroTitling(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.castoroTitling(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.castoroTitling(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.castoroTitling(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.castoroTitling(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.castoroTitling(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Catamaran font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Catamaran
  static TextStyle catamaran({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5c7c82f1546ad9175d942cdc18e41a8fe8ec0e86c26397edada35bdefe15a903',
        51644,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dd8bf1cb8cf8adfa54693d0ef609d58b81de3d2fc03bc2780b2bd1b380c5bf13',
        51732,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '849de02ea1eb7574cad23acd9f19b4690d01727d39140ab530feeb4d19adba31',
        51700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7e4565520dfabf2fbb8ffecb74f16ccbb054a1b300da4705e0e6833c24ce7da8',
        51652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c2de4d8a414c463be6601ac8135a8d0decac38454d1ab4f389f9248a3ed654e7',
        51648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b9aeb1df58c5a25dfb4f4ca7e0100939bca7f31306278da37a5899845897fb06',
        51692,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9bb01c16db3117d650ce6512bbedfa8322e7672c7a4084e78626f4f25b92894b',
        51612,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6855abfe8f5da1168691e076c829aa9f44a1db562e7f8710a6f44fb4ad04fcb3',
        51684,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bcbad1dee67d8e4db07742648c0332b170f5fefd3e4bf13ef37d4ae6b85eaf0a',
        51592,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Catamaran',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Catamaran font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Catamaran
  static TextTheme catamaranTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.catamaran(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.catamaran(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.catamaran(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.catamaran(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.catamaran(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.catamaran(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.catamaran(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.catamaran(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.catamaran(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.catamaran(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.catamaran(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.catamaran(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.catamaran(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.catamaran(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.catamaran(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Caudex font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Caudex
  static TextStyle caudex({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7a747bc68d2ef368d8f7463a26012363a355325d0802219cb8cd936067f27f55',
        436948,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '48545172cc6db651516702327a548a630817c3230aa0939293c0b0ab016d9922',
        529236,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7ca75766c5506c0ef779284e2f59188eacc6c243c0a7423658ef694c26434873',
        441876,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'eed5b09e58e15830d99009bb8597016ff45036e5952299e1a1a74bd60b1c632b',
        527200,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Caudex',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Caudex font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Caudex
  static TextTheme caudexTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.caudex(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.caudex(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.caudex(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.caudex(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.caudex(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.caudex(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.caudex(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.caudex(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.caudex(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.caudex(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.caudex(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.caudex(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.caudex(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.caudex(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.caudex(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Caveat font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Caveat
  static TextStyle caveat({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3f5aa34e6172b5609d47fba72bf4efc191f6494b2b00d13830741fd303819f86',
        251328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '67582a9bdbaf05dc0ff450a0e7c3b9198bbf6ab08c16438a60c4de934f1c81bc',
        252056,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2a920fa1a31dbde17b0d57c96862f3f296eaaef97b9f61e3f326fa29e647281c',
        252120,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4f4e9005262ba6294be7e58d59c70f29630b5a31442f864e44e771623d8239bd',
        251560,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Caveat',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Caveat font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Caveat
  static TextTheme caveatTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.caveat(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.caveat(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.caveat(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.caveat(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.caveat(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.caveat(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.caveat(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.caveat(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.caveat(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.caveat(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.caveat(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.caveat(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.caveat(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.caveat(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.caveat(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Caveat Brush font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Caveat+Brush
  static TextStyle caveatBrush({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '687ec4aa4cd4be8da9ec7275b814cca79c388e4d764c30a81aeb2fb3a49316bd',
        231988,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CaveatBrush',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Caveat Brush font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Caveat+Brush
  static TextTheme caveatBrushTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.caveatBrush(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.caveatBrush(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.caveatBrush(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.caveatBrush(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.caveatBrush(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.caveatBrush(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.caveatBrush(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.caveatBrush(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.caveatBrush(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.caveatBrush(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.caveatBrush(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.caveatBrush(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.caveatBrush(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.caveatBrush(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.caveatBrush(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cedarville Cursive font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cedarville+Cursive
  static TextStyle cedarvilleCursive({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7495077aeecf1d33f42a63820bb2eff51da90b80b492c11ef5318815dcb367a8',
        54272,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CedarvilleCursive',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cedarville Cursive font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cedarville+Cursive
  static TextTheme cedarvilleCursiveTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.cedarvilleCursive(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.cedarvilleCursive(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.cedarvilleCursive(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.cedarvilleCursive(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.cedarvilleCursive(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.cedarvilleCursive(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.cedarvilleCursive(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.cedarvilleCursive(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.cedarvilleCursive(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cedarvilleCursive(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.cedarvilleCursive(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cedarvilleCursive(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.cedarvilleCursive(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.cedarvilleCursive(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.cedarvilleCursive(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ceviche One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ceviche+One
  static TextStyle cevicheOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '47af259894f8dea4c4fd6ebd1158110b7c7a8fdf859b4981abac42678d121ee0',
        34992,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CevicheOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ceviche One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ceviche+One
  static TextTheme cevicheOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.cevicheOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.cevicheOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.cevicheOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.cevicheOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.cevicheOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.cevicheOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.cevicheOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.cevicheOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.cevicheOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cevicheOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.cevicheOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cevicheOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.cevicheOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.cevicheOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.cevicheOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Chakra Petch font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chakra+Petch
  static TextStyle chakraPetch({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'efa7fa81183841974e463f736ad50013e6e0657d2d47d3a4e1d5e5f0219dbcf1',
        70452,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8ea99f032f986dd5989332fa44d1ee2bd2ff5f20fd59ca4aaa912281e69ba887',
        72720,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e5ed27182ae5f428466e52f5997decc78f140bc10c5ed0af8341fd105bb4a16c',
        70160,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5d0ce0fcc905ab6f0ef64a5df1228338e804b2399c9dfbbdc187dc3fccd26d36',
        72412,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '04051d632226513298037d9312cae0fde62cb39f267e344ed99489d2524834a2',
        70152,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'de63f37a0f70eeddce853c1c016b1a611d37ce9b029078474273ddcf45e6517f',
        72504,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ded9bb036fd68d0b57038b168e35c86d290643460d899426ea6b0368e513fa20',
        70164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'baf97f04273a96ee40595b8444bf1d648c54505b551285700ce3d651d42dc0d5',
        72524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '99c21801fb0a1d83d2155bb00990f81eb4553fa5d3b0531851b344dfec8415dd',
        70068,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e9b2212034fb3cee0905201fcd875ab06282ab30d46be474b37d1f76ad01da21',
        72408,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ChakraPetch',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Chakra Petch font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chakra+Petch
  static TextTheme chakraPetchTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.chakraPetch(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.chakraPetch(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.chakraPetch(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.chakraPetch(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.chakraPetch(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.chakraPetch(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.chakraPetch(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.chakraPetch(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.chakraPetch(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.chakraPetch(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.chakraPetch(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.chakraPetch(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.chakraPetch(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.chakraPetch(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.chakraPetch(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Changa font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Changa
  static TextStyle changa({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '132dd7193a01705a829807da02f948aa538e6c0d2bc215b48059c75295eb2c47',
        64472,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3b618fd6f1291ce686e12a2cb509840b9be0660f50b3e78163923d611c742fe3',
        64368,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c3f309970ba45ece81ade5b142a52d47ca4bb7ff2fae38d58b862fd465113251',
        64020,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd057ac9d248d901031ddc71af39627445a25039c9104e4c36a85bb5a358c6b03',
        64316,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b34c2b05b6c05ac5428aab053ff18b52cdb86bd04884ee523f6c3cc6a9f9a3d6',
        64932,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '68f04f7942b88f3efe3a659f9bc317146bee415971c99707dd92e8b94dcf3843',
        64864,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5df69faaa3527faa0c8e84cb2280c5e091d72d5e16c6018b6301704dba943ce6',
        64656,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Changa',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Changa font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Changa
  static TextTheme changaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.changa(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.changa(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.changa(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.changa(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.changa(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.changa(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.changa(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.changa(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.changa(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.changa(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.changa(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.changa(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.changa(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.changa(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.changa(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Changa One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Changa+One
  static TextStyle changaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'deb27c0af5a5f5ed59da015a6377494fae2ade355ae2ae4bcbb158a58a0fdb5e',
        20660,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '76a6b1a5d3ced936eafe54088de87436a0b69c2e28d31bfc87b52a8079bea8a1',
        24172,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ChangaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Changa One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Changa+One
  static TextTheme changaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.changaOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.changaOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.changaOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.changaOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.changaOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.changaOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.changaOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.changaOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.changaOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.changaOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.changaOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.changaOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.changaOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.changaOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.changaOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Chango font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chango
  static TextStyle chango({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9534d415a24945dbd94e0efaf42df21155d912d3060853e20d85737221cd3fae',
        38420,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Chango',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Chango font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chango
  static TextTheme changoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.chango(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.chango(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.chango(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.chango(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.chango(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.chango(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.chango(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.chango(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.chango(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.chango(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.chango(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.chango(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.chango(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.chango(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.chango(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Charis SIL font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Charis+SIL
  static TextStyle charisSil({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a191eb37d444d6dffd814a52193c4fe16aa017c125c65ea6c9830ba1b30a945f',
        345796,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6e4f9c247dd444f02974110c60bc7ac79c746625f21a6dc43e8fff23b288f4d5',
        363744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '84699f667f46b16f268c1d3bcbf4ffa7e9b1bc0257d3e2fb2ff69d2d10504397',
        349680,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6b58fe85eae962ec890fcccb709f57f15d4007b732347754d89a7c59b74d6468',
        368536,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CharisSIL',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Charis SIL font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Charis+SIL
  static TextTheme charisSilTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.charisSil(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.charisSil(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.charisSil(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.charisSil(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.charisSil(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.charisSil(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.charisSil(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.charisSil(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.charisSil(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.charisSil(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.charisSil(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.charisSil(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.charisSil(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.charisSil(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.charisSil(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Charm font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Charm
  static TextStyle charm({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '805313a37363a1521f683fed5b8ef68dcd8ae9a3db9c69a72a12ae7889e7930c',
        121364,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b1da7bfb9373f9dc1d6b8cb82bb0be55c7aecc524c8ff37265c0c5acd47bd731',
        122196,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Charm',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Charm font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Charm
  static TextTheme charmTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.charm(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.charm(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.charm(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.charm(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.charm(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.charm(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.charm(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.charm(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.charm(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.charm(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.charm(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.charm(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.charm(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.charm(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.charm(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Charmonman font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Charmonman
  static TextStyle charmonman({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cace9adc5cdf0b50767152def4366dde8f2eedd0e760eebcfe3f79ae8ce98b20',
        100884,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cb0b2218f55f4afedacf2f9cdf80c1c0812d5ac3a9a28623b424551ea8a53eea',
        100612,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Charmonman',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Charmonman font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Charmonman
  static TextTheme charmonmanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.charmonman(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.charmonman(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.charmonman(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.charmonman(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.charmonman(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.charmonman(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.charmonman(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.charmonman(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.charmonman(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.charmonman(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.charmonman(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.charmonman(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.charmonman(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.charmonman(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.charmonman(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Chathura font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chathura
  static TextStyle chathura({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '761566c2ec9db08c8714be062e0a4159c2a5b2cd10cc348b7c36f5325502c306',
        335472,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '323ada8ee1ce9cfe969a0c01f4ddcf5d733e4c6c30c3145391ca4a132c3c4c21',
        330852,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e960a0159863620b44612d2fdb579765a0b6c8bfacdbdb48015486c6e96f9de0',
        321032,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '074bd4f9326bfca07e1df5bb76eb09b43e19a8bdd99c993254cd7b33ef57a305',
        319868,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '080195bf5c0e9f2c03af7509e41735b077fe670c1cce4f958bc4c22a86638d02',
        318944,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Chathura',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Chathura font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chathura
  static TextTheme chathuraTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.chathura(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.chathura(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.chathura(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.chathura(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.chathura(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.chathura(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.chathura(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.chathura(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.chathura(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.chathura(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.chathura(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.chathura(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.chathura(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.chathura(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.chathura(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Chau Philomene One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chau+Philomene+One
  static TextStyle chauPhilomeneOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0f57384929b7402892f4734f3823e08e2e9847a2360beca7df150af4d2c412fc',
        28812,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'dc28daf86fb15f79f195b6a24a5d5359395f76fbc8a230e8c505dc8be400764b',
        31984,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ChauPhilomeneOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Chau Philomene One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chau+Philomene+One
  static TextTheme chauPhilomeneOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.chauPhilomeneOne(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.chauPhilomeneOne(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.chauPhilomeneOne(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.chauPhilomeneOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.chauPhilomeneOne(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.chauPhilomeneOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.chauPhilomeneOne(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.chauPhilomeneOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.chauPhilomeneOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.chauPhilomeneOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.chauPhilomeneOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.chauPhilomeneOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.chauPhilomeneOne(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.chauPhilomeneOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.chauPhilomeneOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Chela One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chela+One
  static TextStyle chelaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd9c41263a8bdc80d6607b92559af104413718aa948696f3c303e7730026164d0',
        33920,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ChelaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Chela One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chela+One
  static TextTheme chelaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.chelaOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.chelaOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.chelaOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.chelaOne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.chelaOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.chelaOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.chelaOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.chelaOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.chelaOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.chelaOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.chelaOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.chelaOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.chelaOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.chelaOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.chelaOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Chelsea Market font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chelsea+Market
  static TextStyle chelseaMarket({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '574b40802d96f41124c64aa69563c5869ab61caf7684aa9defab409442b3a6f1',
        170452,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ChelseaMarket',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Chelsea Market font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chelsea+Market
  static TextTheme chelseaMarketTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.chelseaMarket(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.chelseaMarket(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.chelseaMarket(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.chelseaMarket(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.chelseaMarket(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.chelseaMarket(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.chelseaMarket(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.chelseaMarket(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.chelseaMarket(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.chelseaMarket(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.chelseaMarket(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.chelseaMarket(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.chelseaMarket(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.chelseaMarket(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.chelseaMarket(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Chenla font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chenla
  static TextStyle chenla({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e74e2c467a8f646a0f699cead2325f0a206c4d4d5431b862cba8e61d97618e72',
        175020,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Chenla',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Chenla font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chenla
  static TextTheme chenlaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.chenla(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.chenla(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.chenla(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.chenla(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.chenla(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.chenla(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.chenla(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.chenla(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.chenla(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.chenla(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.chenla(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.chenla(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.chenla(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.chenla(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.chenla(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cherish font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cherish
  static TextStyle cherish({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '23a820a48a172d86f5e1acb44fb1d9fc895174f4796a0b36e997a37a4f36299d',
        195668,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Cherish',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cherish font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cherish
  static TextTheme cherishTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.cherish(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.cherish(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.cherish(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.cherish(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.cherish(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.cherish(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.cherish(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.cherish(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.cherish(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cherish(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.cherish(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cherish(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.cherish(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.cherish(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.cherish(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cherry Cream Soda font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cherry+Cream+Soda
  static TextStyle cherryCreamSoda({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5c37f74cecb039a0e3b1c4fe9e353f9529616965ac05df4efbbd5efddc5cab65',
        38940,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CherryCreamSoda',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cherry Cream Soda font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cherry+Cream+Soda
  static TextTheme cherryCreamSodaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.cherryCreamSoda(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.cherryCreamSoda(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.cherryCreamSoda(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.cherryCreamSoda(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.cherryCreamSoda(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.cherryCreamSoda(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.cherryCreamSoda(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.cherryCreamSoda(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.cherryCreamSoda(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cherryCreamSoda(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.cherryCreamSoda(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cherryCreamSoda(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.cherryCreamSoda(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.cherryCreamSoda(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.cherryCreamSoda(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cherry Swash font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cherry+Swash
  static TextStyle cherrySwash({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b0e07d83063a2265792e5f4e2d5de5eefd17dc2344738cd1fbf1d15d06237f1c',
        28448,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '59e0bd05f065dbc59e04ba44d93567153767d441c9aa6d62f626a22d57fdf6a4',
        27936,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CherrySwash',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cherry Swash font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cherry+Swash
  static TextTheme cherrySwashTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.cherrySwash(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.cherrySwash(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.cherrySwash(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.cherrySwash(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.cherrySwash(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.cherrySwash(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.cherrySwash(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.cherrySwash(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.cherrySwash(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cherrySwash(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.cherrySwash(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cherrySwash(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.cherrySwash(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.cherrySwash(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.cherrySwash(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Chewy font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chewy
  static TextStyle chewy({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '396a57dee26f8e1c4ac065b3ee59cc5cae206e677f4e65d246079f00c3b6562c',
        34696,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Chewy',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Chewy font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chewy
  static TextTheme chewyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.chewy(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.chewy(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.chewy(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.chewy(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.chewy(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.chewy(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.chewy(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.chewy(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.chewy(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.chewy(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.chewy(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.chewy(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.chewy(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.chewy(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.chewy(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Chicle font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chicle
  static TextStyle chicle({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9e8c91fe9693c9c14f0a69ad4c50fde4d9ab11e429efe18953899dcf869bdcc7',
        38888,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Chicle',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Chicle font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chicle
  static TextTheme chicleTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.chicle(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.chicle(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.chicle(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.chicle(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.chicle(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.chicle(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.chicle(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.chicle(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.chicle(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.chicle(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.chicle(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.chicle(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.chicle(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.chicle(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.chicle(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Chilanka font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chilanka
  static TextStyle chilanka({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '11e23033a8afa7acf8011c8a95774221d65c87423f8285331e1d5c3594bf34c0',
        346932,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Chilanka',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Chilanka font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chilanka
  static TextTheme chilankaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.chilanka(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.chilanka(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.chilanka(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.chilanka(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.chilanka(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.chilanka(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.chilanka(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.chilanka(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.chilanka(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.chilanka(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.chilanka(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.chilanka(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.chilanka(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.chilanka(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.chilanka(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Chivo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chivo
  static TextStyle chivo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '50dfd25be7b2df247de7d34067e9dd814baebcddb86cfc5cabf7f30ccbcb27cf',
        78632,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3dc4198eb7b92681fff3acacbca3e9a10d90bc47de598dc4b0477a3f3d89d720',
        78864,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'de291a255e063446befe03669cddc0ea43014b7f9274bd5e2a5fce89d82aebd2',
        78796,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '01348158f8b92545574f33066285baeddb2055f0deeea0d88e3464477da6d60d',
        78876,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f298847980a412bd73d0c5d7526b794a9f636bdb57780918146d8670530cf4e0',
        78920,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7a2e09e8a82153295b614ea6c4c0d9eb91be22b532e44674ecc637db6abc9754',
        78836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4f1579ffd22da9ded57257a0bffe3476d017c9e4093761f794c4c92bd0ad67f9',
        78756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8953807509d0bf86de452153c563a93bb91152698909734be7d5df24652a436e',
        78772,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '71b7e4eacb5debc26e17d4f7d5731c92a93efde6442043bdaacacc01552dd1e9',
        78684,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fbfba480f56cee5593d231d8b1fa95537869fc3a8319047e1a6f8385f0b412de',
        88008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'df52936d268917475b28f965d764944022eb3ea64f873c63b94e0e1fc3c991d4',
        88112,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '161b445c2f4b96f704e1691d58de15e1547cf3059a4a41ebca832966edadd78e',
        88092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9e71dd432df016eea9f899db2d6f568e6d257b777beca493d4b3c40a1fc9a825',
        87956,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '32ec4f82f27bc37294928fd9c3ed50cc25e6e0360d9e879ebff05f9e7f957600',
        87856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5b130d800df362c09e4a16947463cbac7d8b891ad5e93ec534a5fb734e2deb7f',
        87940,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8b29e3dff73bfc719927339f32156ec4797c3e5523116b424e520b373b9c1a07',
        87868,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd3618a1534aa17ce4f860c60f1498632cc652bd2e82c719f1f536749f9abc61c',
        87944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '26d52e764519ea4a6631c58725393396f9c32df17ad2c6ec2c567b8e04044d7b',
        87808,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Chivo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Chivo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chivo
  static TextTheme chivoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.chivo(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.chivo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.chivo(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.chivo(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.chivo(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.chivo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.chivo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.chivo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.chivo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.chivo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.chivo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.chivo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.chivo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.chivo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.chivo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Chivo Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chivo+Mono
  static TextStyle chivoMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b6e42d4ab9cf7513c20be4f4bce2bc2cf0ac52d3ec8318e38a950efb407d6e9c',
        59276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cc43e3cdfa5026e802f98edfb6891443754762d5bb047cbcf2a91ed28fe6ee4a',
        59460,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b55e47299dd269eeee3e62f00ba893ef86ebdd272c93ca2c22dfca51810a33c9',
        59412,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c6687c2aa93deee193850143ae731c8d64abbc49eda9f8ab19ee86b529b6c57b',
        59388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1c3fa1842b888ec540574fefb759100eabda9b7a1f51a182ea4ced327c74eed0',
        59380,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '106c3d66146d5a707c98422d9c495e2acbb79999a037f3cd6d1249ae3d11a631',
        59384,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6a63113fac03feb2b4a2cd4b349c6581efe87ad8e22a2d4af4d0a19ac08359fd',
        59332,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f57dcd6227a2c59664b420ba08f82eb40a86b0815fb824cf4f67fd0f2fd1966f',
        59352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e26a85cdffb6b4dc683d12a4ef930c07ef3dad99f956d5d51eff50189d1dd6a1',
        59160,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '992d80573df9189b32045c9a74b3ee8b82b27b4c03dfebd5e361d1a4913b53c3',
        61960,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f16f2237b692d664ce6d54410793139571addb4bf051f8f6069d464656032cda',
        62056,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c3023ab4e7109ea1cd227b95646d505f9f9538350d9d5f7035c14cc1f5ca2513',
        62000,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '969099b26facf639c237c22626c90a905cec0f3bc98fd8868a8301e483c9143b',
        61840,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ac597661e16c5598e57032e435152fc46e2c4ddc6ee573919711c0a89b4103c7',
        61876,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'bcae7be7bb20c3230a7a012880bcd526f1ef6f85764dfc634c30d4b5b3a7d72e',
        61936,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b00713b99eb5de7990c9f1d622437b42b2ff89b9aaa2d2780ce1b1fdbcc88a61',
        61796,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '413b8f242257c94d656d09a940cb978bda5f856757f11b8da85333eefd66f8e8',
        61928,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '33275e6e4f13303b1302836f736919d79d44d0940f0bf27431aa293401b47e1a',
        61584,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ChivoMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Chivo Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chivo+Mono
  static TextTheme chivoMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.chivoMono(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.chivoMono(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.chivoMono(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.chivoMono(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.chivoMono(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.chivoMono(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.chivoMono(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.chivoMono(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.chivoMono(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.chivoMono(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.chivoMono(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.chivoMono(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.chivoMono(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.chivoMono(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.chivoMono(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Chonburi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chonburi
  static TextStyle chonburi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3423a935900b1467f49d1e5ddca089c3e21211b31f28d1c0628cd015d6cd5eed',
        108448,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Chonburi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Chonburi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chonburi
  static TextTheme chonburiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.chonburi(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.chonburi(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.chonburi(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.chonburi(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.chonburi(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.chonburi(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.chonburi(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.chonburi(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.chonburi(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.chonburi(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.chonburi(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.chonburi(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.chonburi(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.chonburi(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.chonburi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cinzel font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cinzel
  static TextStyle cinzel({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd7eb6a99c049803a57bd595b60530dbcc099bc9591b73b85aa291a35e5e3be7a',
        45860,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '678d865f38db21b8b49f8abfdb0cc937f318d478582ed5f8b9eab65d7d39aad7',
        46024,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '26a21300a30d57cb78b75e0cce87a084d6875182c3fdb6f3e4a9e779235fdf8b',
        46092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5116c82d51806846237433e14db46aac284a0a8fa99fb7e8a3cb63d0b524572c',
        46092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1b1b141ff3ba1b57d8569ee2e92fb981aa1cb85946146c3f39ff33b355762535',
        46172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b0c5cb6eaf8b8d2e469787e4a02850cb0179adb60efb8274881ec91b6d47e633',
        46168,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Cinzel',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cinzel font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cinzel
  static TextTheme cinzelTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.cinzel(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.cinzel(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.cinzel(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.cinzel(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.cinzel(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.cinzel(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.cinzel(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.cinzel(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.cinzel(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cinzel(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.cinzel(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cinzel(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.cinzel(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.cinzel(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.cinzel(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cinzel Decorative font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cinzel+Decorative
  static TextStyle cinzelDecorative({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f23a8549fcab4e650a20283e3c567a376d7ab1077929bd7b0eb0105e77f679d4',
        58416,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1efe514c4bfaf57d5757d3cd521707673ee579fc3e122f76985cb7beff79c4d0',
        60288,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1ad7d1911f39a6bb18492e3768f42ddbffe6a52575cab8cfbc1deecb7b7832dc',
        60640,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CinzelDecorative',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cinzel Decorative font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cinzel+Decorative
  static TextTheme cinzelDecorativeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.cinzelDecorative(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.cinzelDecorative(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.cinzelDecorative(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.cinzelDecorative(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.cinzelDecorative(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.cinzelDecorative(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.cinzelDecorative(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.cinzelDecorative(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.cinzelDecorative(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cinzelDecorative(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.cinzelDecorative(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cinzelDecorative(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.cinzelDecorative(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.cinzelDecorative(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.cinzelDecorative(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Clicker Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Clicker+Script
  static TextStyle clickerScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7bb0ba8f751ea7ea410fe7e804b0db38ff9deda3d6f96f861342de2997584981',
        59708,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ClickerScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Clicker Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Clicker+Script
  static TextTheme clickerScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.clickerScript(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.clickerScript(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.clickerScript(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.clickerScript(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.clickerScript(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.clickerScript(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.clickerScript(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.clickerScript(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.clickerScript(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.clickerScript(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.clickerScript(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.clickerScript(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.clickerScript(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.clickerScript(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.clickerScript(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Climate Crisis font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Climate+Crisis
  static TextStyle climateCrisis({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2af928a8ae60baa386683fbe3437680de8357397115734a7c4b552206ba4d6d1',
        64988,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ClimateCrisis',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Climate Crisis font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Climate+Crisis
  static TextTheme climateCrisisTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.climateCrisis(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.climateCrisis(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.climateCrisis(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.climateCrisis(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.climateCrisis(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.climateCrisis(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.climateCrisis(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.climateCrisis(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.climateCrisis(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.climateCrisis(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.climateCrisis(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.climateCrisis(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.climateCrisis(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.climateCrisis(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.climateCrisis(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Coda font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Coda
  static TextStyle coda({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '40c10b6985cde3a0c3370ac7ec0a6b9f7290701e80eedc5546d2fd4a8dd99b69',
        31864,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '048e6821ba4fafabce9b98e5897169d7660a83903953f95cdbfb5136d291d3f7',
        30084,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Coda',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Coda font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Coda
  static TextTheme codaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.coda(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.coda(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.coda(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.coda(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.coda(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.coda(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.coda(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.coda(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.coda(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.coda(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.coda(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.coda(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.coda(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.coda(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.coda(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Coda Caption font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Coda+Caption
  static TextStyle codaCaption({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eccd38dcadda0cc06460a48c910ba02a2567e11da752c428330ef6043f5122c4',
        57608,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CodaCaption',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Coda Caption font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Coda+Caption
  static TextTheme codaCaptionTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.codaCaption(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.codaCaption(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.codaCaption(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.codaCaption(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.codaCaption(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.codaCaption(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.codaCaption(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.codaCaption(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.codaCaption(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.codaCaption(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.codaCaption(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.codaCaption(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.codaCaption(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.codaCaption(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.codaCaption(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Codystar font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Codystar
  static TextStyle codystar({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9fb2544985fa87598927529fd3b28477c50cbc5bdd23931940c881fc0e5917c5',
        99236,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5d266b5af65972b559c7f58d081597fdd3f7d44b9a03d01c6cb1cef66be53033',
        104248,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Codystar',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Codystar font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Codystar
  static TextTheme codystarTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.codystar(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.codystar(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.codystar(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.codystar(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.codystar(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.codystar(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.codystar(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.codystar(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.codystar(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.codystar(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.codystar(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.codystar(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.codystar(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.codystar(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.codystar(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Coiny font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Coiny
  static TextStyle coiny({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9b4adcdf9cac494ca0f4f41edb816d145afb70e86653ea707ed1c6e78b9b3f54',
        136380,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Coiny',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Coiny font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Coiny
  static TextTheme coinyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.coiny(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.coiny(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.coiny(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.coiny(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.coiny(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.coiny(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.coiny(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.coiny(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.coiny(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.coiny(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.coiny(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.coiny(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.coiny(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.coiny(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.coiny(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Combo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Combo
  static TextStyle combo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cd9f4e61bb6ac742cf9540ffab1b0a526d845f85dc484aefd5dcf3196a9aa10b',
        34412,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Combo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Combo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Combo
  static TextTheme comboTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.combo(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.combo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.combo(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.combo(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.combo(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.combo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.combo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.combo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.combo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.combo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.combo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.combo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.combo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.combo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.combo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Comfortaa font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Comfortaa
  static TextStyle comfortaa({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c3e8d8daca9ae14048e3609d7e206f59773f5d02003444d2562e47de8b57d205',
        110216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd3ca0b23f75c5ac10b602c1c220d08c00c0e58b038da2c364a5f968be38fb023',
        110228,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e5b83fa909ea2538175a0aa20e56a3b9c5059d08e58aeb2a74f0715d94bc47d3',
        110272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3e7a90e73e1047c6c420abdddcca7f28909d41baf7f1b3d3ed0785a1c5762ed2',
        110356,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd9d9ca32d5652f24f43c427653784ba612b1a99b937dfd22c08520e419a35750',
        110124,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Comfortaa',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Comfortaa font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Comfortaa
  static TextTheme comfortaaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.comfortaa(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.comfortaa(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.comfortaa(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.comfortaa(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.comfortaa(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.comfortaa(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.comfortaa(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.comfortaa(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.comfortaa(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.comfortaa(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.comfortaa(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.comfortaa(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.comfortaa(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.comfortaa(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.comfortaa(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Comforter font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Comforter
  static TextStyle comforter({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a872bb0333d058d54cd22ba0be216837040a1c83f4bee5adcd89d6327f51f9ba',
        149600,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Comforter',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Comforter font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Comforter
  static TextTheme comforterTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.comforter(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.comforter(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.comforter(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.comforter(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.comforter(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.comforter(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.comforter(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.comforter(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.comforter(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.comforter(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.comforter(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.comforter(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.comforter(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.comforter(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.comforter(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Comforter Brush font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Comforter+Brush
  static TextStyle comforterBrush({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3dc374f3f2bd680b2ca6cbfb08753f8ec83378606e3b8d0f0e01a13656c2fe80',
        600784,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ComforterBrush',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Comforter Brush font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Comforter+Brush
  static TextTheme comforterBrushTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.comforterBrush(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.comforterBrush(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.comforterBrush(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.comforterBrush(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.comforterBrush(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.comforterBrush(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.comforterBrush(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.comforterBrush(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.comforterBrush(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.comforterBrush(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.comforterBrush(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.comforterBrush(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.comforterBrush(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.comforterBrush(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.comforterBrush(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Comic Neue font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Comic+Neue
  static TextStyle comicNeue({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0e2e5e461095c081ec32b310f8200148b2a4a0d50108d37142d6e56e0fad00f4',
        36488,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '06ad0bb01d1f920986cba05c6406f425b46cb28fb57e781537d0aafe47b67f2d',
        35420,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eb4aae1cf65bf0d6def1ed30c448426eb6a519cc83ad7025daad59a42d3d9e56',
        36536,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1efa7aedc664bd1482383415abb0805404dd0d0ec50536b72b74070745289ca1',
        35484,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '66cf854f90d0a98abcac63c91880adb78f524539f6906107d6cd7d336c4ecef8',
        35256,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3a2b3694e39659e0706799aa6f71e284cce7147778b4ffb3e6f8bad6ab18f7a8',
        35480,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ComicNeue',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Comic Neue font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Comic+Neue
  static TextTheme comicNeueTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.comicNeue(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.comicNeue(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.comicNeue(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.comicNeue(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.comicNeue(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.comicNeue(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.comicNeue(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.comicNeue(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.comicNeue(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.comicNeue(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.comicNeue(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.comicNeue(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.comicNeue(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.comicNeue(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.comicNeue(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Coming Soon font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Coming+Soon
  static TextStyle comingSoon({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7279de67d07517099250cd92a099ef99110c1327e63ac82bb1dfe138f72bb219',
        46320,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ComingSoon',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Coming Soon font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Coming+Soon
  static TextTheme comingSoonTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.comingSoon(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.comingSoon(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.comingSoon(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.comingSoon(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.comingSoon(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.comingSoon(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.comingSoon(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.comingSoon(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.comingSoon(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.comingSoon(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.comingSoon(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.comingSoon(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.comingSoon(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.comingSoon(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.comingSoon(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Comme font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Comme
  static TextStyle comme({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5f1931160bec46aeb872976eb12826621089e1e4c58a32c0de48d51873b16880',
        42120,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6faae5901debc08e025402f60e259ca4886e4c3b344999d67e9bfba3c13d7d89',
        42124,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '381171c65b7ee0e3526377865ebad995f241536d22fb67e86fcfe187e2100e0f',
        42092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '03236807669f376d7cddaeffc708ff86797f625b247b2e4f9db41a14bec52d87',
        41924,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '46c3684e5bd46e18fd2dd06986abf35d2d76f3b33ab2298639e0d5ea4c4443fe',
        42084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f5206e7dcb4e62f96e17317de25a7fb5f42cbad93ecc65635e372beb171725d1',
        42184,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '464bd0697def33421033b9a7f833b6985254948ca1b1b36bb822b4334d59daf7',
        42200,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '19fecec5ab98241b69d767f46b40407d2f6b82ab787a873c386b87b439477ee0',
        42332,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f4e4c7040352fb583ed4774a57539691878af3e3a79fb5a864733f93ecfa6fee',
        42364,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Comme',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Comme font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Comme
  static TextTheme commeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.comme(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.comme(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.comme(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.comme(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.comme(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.comme(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.comme(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.comme(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.comme(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.comme(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.comme(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.comme(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.comme(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.comme(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.comme(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Commissioner font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Commissioner
  static TextStyle commissioner({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2ba217268faed0e9ab270d117f937dfdae67a23815f74779ae6b0a6dbe364d9b',
        158752,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '303749ccc0f21399510c7b5f6487b6b44d846e8b5f617140c85174374e8683db',
        158884,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a6a13d586f6b19c539c19c9bbfacc9e648b9a2aa229abcf7f4e2202649663ec1',
        158880,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '30d5f1b426bdd406efbe4b2e9a1ced2c0d45c6a15b4bbd384fe95fcb22ef5fc1',
        158824,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'be7bc1cd16b36c3e39fa6374dab8e6ed1cee3ea2e7e4db43b163c2ff75c850af',
        158872,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3550b14e04272ad0f50ba48821b61611002025a0adfb5517782773cede5a35ea',
        159028,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '468c1561633d426772f2eaa15520ed9d17ba3e3c212a92bcd41be66a3307e880',
        161464,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e253da3bb36dd8e21938f29e7719f564439a71865f280e3e2a6952ce467edef7',
        161892,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '08e60390c99cc5eb44dd586b64a00b5d8853f1b1c8df99bd4035cdfcb286b612',
        161796,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Commissioner',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Commissioner font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Commissioner
  static TextTheme commissionerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.commissioner(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.commissioner(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.commissioner(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.commissioner(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.commissioner(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.commissioner(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.commissioner(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.commissioner(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.commissioner(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.commissioner(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.commissioner(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.commissioner(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.commissioner(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.commissioner(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.commissioner(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Concert One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Concert+One
  static TextStyle concertOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dd38d42d2ef1dd203b2075661eaaba8d085cf901efdc1f15f7568056764a63eb',
        43400,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ConcertOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Concert One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Concert+One
  static TextTheme concertOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.concertOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.concertOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.concertOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.concertOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.concertOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.concertOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.concertOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.concertOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.concertOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.concertOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.concertOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.concertOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.concertOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.concertOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.concertOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Condiment font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Condiment
  static TextStyle condiment({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '98f25113d229011630d8cd964746dd2b857abd7a0dfdd7d792fab499120e7a3b',
        41128,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Condiment',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Condiment font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Condiment
  static TextTheme condimentTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.condiment(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.condiment(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.condiment(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.condiment(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.condiment(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.condiment(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.condiment(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.condiment(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.condiment(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.condiment(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.condiment(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.condiment(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.condiment(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.condiment(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.condiment(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Content font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Content
  static TextStyle content({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '08d8ce85750912e1aed8e23bf58017510e1739dc094a695068bc296e5e54e755',
        193252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2e1068f6ed444701151b2b6d714e2094a5b9ef9d7ed4e2a17fa3accce33717f5',
        186640,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Content',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Content font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Content
  static TextTheme contentTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.content(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.content(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.content(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.content(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.content(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.content(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.content(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.content(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.content(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.content(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.content(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.content(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.content(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.content(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.content(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Contrail One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Contrail+One
  static TextStyle contrailOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8d422fa68e3267a4af3d34ddb094ace21b1aef908bfae46f9ec2f6542417329b',
        28680,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ContrailOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Contrail One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Contrail+One
  static TextTheme contrailOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.contrailOne(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.contrailOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.contrailOne(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.contrailOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.contrailOne(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.contrailOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.contrailOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.contrailOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.contrailOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.contrailOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.contrailOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.contrailOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.contrailOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.contrailOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.contrailOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Convergence font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Convergence
  static TextStyle convergence({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '749c0f95f2d86a65358045987defdda7a8ba5af45b411fad63c2077b501bdd64',
        25296,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Convergence',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Convergence font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Convergence
  static TextTheme convergenceTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.convergence(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.convergence(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.convergence(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.convergence(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.convergence(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.convergence(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.convergence(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.convergence(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.convergence(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.convergence(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.convergence(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.convergence(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.convergence(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.convergence(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.convergence(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cookie font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cookie
  static TextStyle cookie({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '77c85281556d4aa76d7a48c60158f6c64dc848ac9215f153a8759840cf05e94e',
        41596,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Cookie',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cookie font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cookie
  static TextTheme cookieTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.cookie(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.cookie(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.cookie(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.cookie(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.cookie(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.cookie(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.cookie(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.cookie(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.cookie(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cookie(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.cookie(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cookie(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.cookie(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.cookie(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.cookie(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Copse font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Copse
  static TextStyle copse({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '10db98db9ca313344771e25ebea87ffb24ab2d4300a196ebc72541df4ef7180e',
        49732,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Copse',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Copse font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Copse
  static TextTheme copseTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.copse(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.copse(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.copse(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.copse(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.copse(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.copse(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.copse(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.copse(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.copse(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.copse(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.copse(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.copse(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.copse(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.copse(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.copse(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Corben font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Corben
  static TextStyle corben({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '275a2448fcdfb99d20a90a047ce6e81b0a05b2befbc3e96025ab67ef16b17823',
        33868,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7feed34c135b320684a77b188f80b0a22a0d38a77837632fbcec3659b54c590c',
        70052,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Corben',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Corben font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Corben
  static TextTheme corbenTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.corben(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.corben(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.corben(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.corben(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.corben(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.corben(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.corben(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.corben(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.corben(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.corben(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.corben(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.corben(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.corben(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.corben(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.corben(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Corinthia font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Corinthia
  static TextStyle corinthia({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '48312e4cc29a5ad3b7b9a476239ca436889df20bf27cb0c8d5fd39ce770ae1ac',
        111160,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ede762f904f5793b7957d1600bbb92dc091acb515afe54b6358e8730ae53baf8',
        107260,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Corinthia',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Corinthia font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Corinthia
  static TextTheme corinthiaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.corinthia(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.corinthia(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.corinthia(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.corinthia(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.corinthia(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.corinthia(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.corinthia(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.corinthia(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.corinthia(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.corinthia(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.corinthia(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.corinthia(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.corinthia(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.corinthia(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.corinthia(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cormorant font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cormorant
  static TextStyle cormorant({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '224ec722441a8217c33653499a0fef6b64b8adc38720723aa0fe50ec36a605e2',
        176792,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dc743f3863be360643535366aeea5743357cb8a9228c68f675fa0a1343b37c25',
        177324,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ac7541c7c79fe6bc695f8347e9f76c7b328ef8d129d0b36baf9c9de54617ca1b',
        177484,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9925826f69697fc05da575d3ed078ecdf7edf1a4091a0f29b3ae5f42505c286a',
        177472,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '40d95273e428023e073b07e5b35d04927f2b113f9c560aaa3eee787f04108c93',
        177292,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f86ca55a038578c1cddf2995481a2c94b4a9c188ba2d56af1c3eeac4f118a82e',
        175596,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0e10911cb74cdcf6183ce5b429d75463b20599519e5f12a6bc036cace88d8c40',
        175800,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '31cc974158e1bbb5cb4c4c33c7c4bc22f8bcc4d1dba48fdd32914514d29bcb78',
        175936,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fd34b2e2e37f035a2cfcbfbeb06368c93a785d5dfc99bb3e71e383cbb8b351f2',
        176064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7e5427222e59e09de49de9217034f2ca253069d6788e1b5c9d2eeaa0fbe53526',
        175728,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Cormorant',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cormorant font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cormorant
  static TextTheme cormorantTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.cormorant(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.cormorant(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.cormorant(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.cormorant(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.cormorant(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.cormorant(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.cormorant(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.cormorant(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.cormorant(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cormorant(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.cormorant(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cormorant(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.cormorant(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.cormorant(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.cormorant(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cormorant Garamond font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cormorant+Garamond
  static TextStyle cormorantGaramond({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a68bb17633c90d4a61a6400d4f70c0f1186ddf633dcddc99c01e70cdf697d8e6',
        302244,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1bf73172661ab2e85e99881c6c2fc03afdfbc882e2bddffe447d6b60e09ae8bf',
        305892,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9113a1c202f34095f3fc77946f898788155df39375bf5bdf9796073520705d62',
        301772,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3d13eb312e4c8419f018a0a22cb1e55978b26734daa2fbb785ed1d4706eadfb3',
        304504,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1bb682a52f49d07358ddc73a4e991d5542f19b1830bf17c8249a391e93b22bed',
        300492,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f917f34804546e0b7ff3625ed0c5b35d3680d797d94e498ceae291afae007550',
        304452,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a926d60b204bba11573b39cff206b85a33f4b66aefe5abbbe4c55ccd2a59338e',
        300208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '726dca0a4974231bb9c08f2e753abe886499f76632954fc62406be6f578c8e1e',
        304640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '93d4398e39eaad183f478fc6d9ec7c22cd2d6eba2f5d0a13de6f50c10bcaae2a',
        300872,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '901aeaa15ef782d1428db894defc92ba23373703549c6619b6f79de6bbad697c',
        305028,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CormorantGaramond',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cormorant Garamond font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cormorant+Garamond
  static TextTheme cormorantGaramondTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.cormorantGaramond(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.cormorantGaramond(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.cormorantGaramond(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.cormorantGaramond(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.cormorantGaramond(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.cormorantGaramond(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.cormorantGaramond(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.cormorantGaramond(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.cormorantGaramond(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cormorantGaramond(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.cormorantGaramond(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cormorantGaramond(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.cormorantGaramond(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.cormorantGaramond(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.cormorantGaramond(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cormorant Infant font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cormorant+Infant
  static TextStyle cormorantInfant({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a23360d9f3b94415f8e6c9a80df270d5da682b06038fc2816fcb98ec6375b88b',
        276608,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0935990f4b333826edad9f01252298b942bf0ca48c9b529f4a4fcbb03ddbeabc',
        311840,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '13c09b57dcd6062e329f427dc674262001d6112a45b00bd8279451478b9c2f66',
        276304,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ba5a5e9249067cced40f15b010c087f369a991c16c8479480efbaacc6bbcf0a2',
        310796,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '37e37d21132be2b3c2f5ff4640d83079fc634e4d3fb90c1e886b827f824ffa94',
        275056,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'dcff2c189dc51658e3506eb4af2fc9ea3b09643778d7b1ff945bac12c1ed5818',
        310524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cce6210d62f0c29b7221f893ef90b11c0aeadcd2744b7e6a5a62b3d075802433',
        274764,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f5f40efb08626daeb0d7241cc46994d09fe9cba82b5931f57e55597433080eac',
        310632,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '60221fc858125b0751cd912f39b190bf266b8ba3aeb210fd08ece61db557f286',
        275120,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '55539cb008d290ab49c51e188fceb1ce1a47b514c1d125e9d03a5d9a80d2896c',
        311196,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CormorantInfant',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cormorant Infant font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cormorant+Infant
  static TextTheme cormorantInfantTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.cormorantInfant(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.cormorantInfant(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.cormorantInfant(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.cormorantInfant(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.cormorantInfant(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.cormorantInfant(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.cormorantInfant(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.cormorantInfant(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.cormorantInfant(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cormorantInfant(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.cormorantInfant(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cormorantInfant(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.cormorantInfant(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.cormorantInfant(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.cormorantInfant(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cormorant SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cormorant+SC
  static TextStyle cormorantSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1d7e5cd013ff732c4b180957996ff8e7839a6d8e76c4febbb012b3fcbb8e0afb',
        290724,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3a560aa6a0e4a0cc47ff2abcce67bb0d76f3eb92a7bec9e566e651ac783173ce',
        290340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '801f747261cb6e0658422982deafcd59fac30f1f253d34242d7736c4d795d521',
        290352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fd2e8d6a0ce7b919937888945156a5f1a8e9d7c709de98b8e87c840e4ab1d0cc',
        290364,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1f0be4bb09967a02f676a1be1571e91979a9b363491f2d6d09285cb783a8cfee',
        290868,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CormorantSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cormorant SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cormorant+SC
  static TextTheme cormorantScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.cormorantSc(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.cormorantSc(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.cormorantSc(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.cormorantSc(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.cormorantSc(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.cormorantSc(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.cormorantSc(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.cormorantSc(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.cormorantSc(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cormorantSc(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.cormorantSc(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cormorantSc(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.cormorantSc(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.cormorantSc(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.cormorantSc(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cormorant Unicase font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cormorant+Unicase
  static TextStyle cormorantUnicase({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '858ae41b679e49bf39cad26281aabd0e86e2c0877c66c4e658d01770b8ce02ca',
        291576,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '164b2c2c5cc6978086ae03910d54e7658d7617b7eeff0d58effc4807bfd895ea',
        291168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '78eda3c33c0a435505510e5b7ca05a95fe0ad7090775b05bbad4d22c0e371ea7',
        290876,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'caf40b3fe0b2b63c017a9c88bc54c9f0e9e8817772efee838a248370b56f73de',
        290796,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dd916f52905377a93760e1f69c6a41a41df048a7094b9af0a22cf9509df9363c',
        291300,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CormorantUnicase',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cormorant Unicase font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cormorant+Unicase
  static TextTheme cormorantUnicaseTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.cormorantUnicase(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.cormorantUnicase(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.cormorantUnicase(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.cormorantUnicase(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.cormorantUnicase(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.cormorantUnicase(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.cormorantUnicase(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.cormorantUnicase(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.cormorantUnicase(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cormorantUnicase(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.cormorantUnicase(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cormorantUnicase(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.cormorantUnicase(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.cormorantUnicase(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.cormorantUnicase(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cormorant Upright font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cormorant+Upright
  static TextStyle cormorantUpright({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9b589bc3e9e4ddc0e2e21f4ff3f1688e08e8d444c535240064c3d727d9248d24',
        111264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '54cd1bef24c5270e7d56f311b48c977dc6fbc006a6b42383e81a0aab1c806618',
        110980,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9878dcf498bc05422d20abe3b48f74256f6e19c0687d94b8951ccfb038ad4341',
        111080,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '54041f3ef183d9c97e3d5d446ebd671ff804ccb038cbd64636ae462fd6004b94',
        111132,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a6289fbf18ce1e4d0de940f86fcaca19d79675f253fc70dc1eed1ee35029bb48',
        111556,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CormorantUpright',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cormorant Upright font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cormorant+Upright
  static TextTheme cormorantUprightTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.cormorantUpright(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.cormorantUpright(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.cormorantUpright(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.cormorantUpright(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.cormorantUpright(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.cormorantUpright(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.cormorantUpright(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.cormorantUpright(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.cormorantUpright(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cormorantUpright(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.cormorantUpright(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cormorantUpright(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.cormorantUpright(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.cormorantUpright(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.cormorantUpright(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Courgette font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Courgette
  static TextStyle courgette({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '25d0e48c3d3c9de3b939f7a371e2e81231c4d20a23a6748d9287af4ad1b3b33d',
        89392,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Courgette',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Courgette font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Courgette
  static TextTheme courgetteTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.courgette(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.courgette(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.courgette(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.courgette(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.courgette(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.courgette(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.courgette(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.courgette(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.courgette(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.courgette(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.courgette(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.courgette(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.courgette(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.courgette(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.courgette(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Courier Prime font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Courier+Prime
  static TextStyle courierPrime({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '25c663b4bd4408632c16df88cb5becf645bd23aa7563c1b659812ff2a7180bdd',
        40588,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e2b616914b945028bd5b6ccac335cb9c22e1f47e6794b522f950fa96be561cb3',
        46896,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3582ee7eb6218b41b0138232611b1d9226c050c3cf710c34b46419a42c7fde3a',
        42136,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7c3d69c3695a34188082a2d745a3d63f899dcf0e94ac9a5e0beafa479cc6fae8',
        47340,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CourierPrime',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Courier Prime font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Courier+Prime
  static TextTheme courierPrimeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.courierPrime(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.courierPrime(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.courierPrime(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.courierPrime(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.courierPrime(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.courierPrime(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.courierPrime(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.courierPrime(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.courierPrime(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.courierPrime(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.courierPrime(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.courierPrime(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.courierPrime(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.courierPrime(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.courierPrime(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cousine font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cousine
  static TextStyle cousine({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4b143da71b1fdfbefe381ecc3cfc5714bd0541cf3edfbd8d86c3621cbf7f4a8f',
        184164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3ba17f9422c7348009c4623259cab2978148f56050d74be16cca3f964c926d73',
        192900,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '03da23bf9caa8a4876cca1839693b94559fbb03b4d69c259b6b5fbb5e3c8fa88',
        183872,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '02be09465bec5f224c87625b2edac2c398f194ebf3361eda360f1d37aa9098fd',
        191964,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Cousine',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cousine font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cousine
  static TextTheme cousineTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.cousine(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.cousine(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.cousine(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.cousine(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.cousine(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.cousine(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.cousine(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.cousine(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.cousine(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cousine(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.cousine(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cousine(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.cousine(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.cousine(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.cousine(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Coustard font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Coustard
  static TextStyle coustard({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '718b11e5836f805b0b4aaf2deddfd5ef8df7cd81855f8beb15c3c654efd3277f',
        38344,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6b91d766b1e97201a8aa83355b5d75de1de793568ec772b204ce8ade197b064f',
        40932,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Coustard',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Coustard font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Coustard
  static TextTheme coustardTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.coustard(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.coustard(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.coustard(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.coustard(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.coustard(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.coustard(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.coustard(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.coustard(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.coustard(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.coustard(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.coustard(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.coustard(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.coustard(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.coustard(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.coustard(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Covered By Your Grace font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Covered+By+Your+Grace
  static TextStyle coveredByYourGrace({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e97b421a3661d31c57a3a2281f63741b3d30944a5094ac86369a12014850e2ee',
        39356,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CoveredByYourGrace',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Covered By Your Grace font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Covered+By+Your+Grace
  static TextTheme coveredByYourGraceTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.coveredByYourGrace(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.coveredByYourGrace(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.coveredByYourGrace(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.coveredByYourGrace(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.coveredByYourGrace(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.coveredByYourGrace(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.coveredByYourGrace(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.coveredByYourGrace(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.coveredByYourGrace(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.coveredByYourGrace(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.coveredByYourGrace(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.coveredByYourGrace(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.coveredByYourGrace(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.coveredByYourGrace(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.coveredByYourGrace(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Crafty Girls font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Crafty+Girls
  static TextStyle craftyGirls({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3d11cfb5cb4048cd1d628c1abb25273443443348f154c2e58b1969395366076a',
        60096,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CraftyGirls',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Crafty Girls font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Crafty+Girls
  static TextTheme craftyGirlsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.craftyGirls(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.craftyGirls(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.craftyGirls(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.craftyGirls(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.craftyGirls(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.craftyGirls(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.craftyGirls(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.craftyGirls(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.craftyGirls(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.craftyGirls(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.craftyGirls(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.craftyGirls(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.craftyGirls(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.craftyGirls(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.craftyGirls(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Creepster font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Creepster
  static TextStyle creepster({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a4c59544eb7330e9331c480843fe735f153ee32ad4f630e293d882c81294744c',
        60620,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Creepster',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Creepster font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Creepster
  static TextTheme creepsterTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.creepster(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.creepster(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.creepster(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.creepster(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.creepster(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.creepster(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.creepster(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.creepster(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.creepster(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.creepster(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.creepster(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.creepster(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.creepster(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.creepster(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.creepster(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Crete Round font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Crete+Round
  static TextStyle creteRound({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dbc41e1b280c0a6540d428aa8cd5ea13cffe84191c790d303a0507ed31a458d1',
        55160,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '07b6cc05a4db88b09d577f6e7f9fe6f4df382f2ee735c0960bc60ab1dbe3025e',
        63024,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CreteRound',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Crete Round font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Crete+Round
  static TextTheme creteRoundTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.creteRound(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.creteRound(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.creteRound(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.creteRound(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.creteRound(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.creteRound(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.creteRound(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.creteRound(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.creteRound(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.creteRound(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.creteRound(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.creteRound(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.creteRound(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.creteRound(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.creteRound(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Crimson Pro font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Crimson+Pro
  static TextStyle crimsonPro({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b63ed2be6f10d5fe6b0f133b6787a5d3517c9d2a58a56ec5baf18d37ae59589e',
        98492,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '55844fdd3a33d5043bf4500fe69209aef4acd0c041d63fa758fdf06cab8700b0',
        98560,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '13d24c495b01abc96e76410f363677cb5b6edafa4345e4fdb9be48dddd4cd772',
        98500,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ced236c5dc28441be0ef0acb9ed211805d39d053930b92b3dff1db07e592d132',
        98608,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f89dcdbae3b49bd1f184359704139bdc060e3be12af631818edc760bb5821110',
        98660,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4ed7688a0c6554dd9884b99980a5a168eefeb7cbdb17624846031ef69eb3d28d',
        98540,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3300cdf4d066d9bc5dbdc26f694115043ce0425f34ccddd632c04e2987788c51',
        98644,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1b6859a98d294baa2ad68f864296512eec10eb923a96dafe1ece04655443cfb3',
        98644,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2faf99f72226c6ae0a03555cac955701543f2881669669e4c3923666adf1b86d',
        100556,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9e4f0ddc148074d2e83733b8c2982dd4c5af68fcb4d8f545c6b900a1a6f78ac1',
        100524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '28fe4ab36b7e8839e9367039a988c4b4bb4cf159b99a411ddfa865240fc63cc6',
        100328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd517344517bb771dd24511c143bcd0b96174787189d00ce26ac916890a3c0280',
        100400,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c8d1fbeecd3cc05c68b3bb736158841495bcf4132181c99e7dc338210a9923d0',
        100372,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6c8be73539e8b039cf0443b81133752cfee8e7bd612adc51f3185b0d4a1f2052',
        100316,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '30f52b031f800a181e44723c9adad123e917263b463fd2fe12b57295f876cef1',
        100524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '169d7998db86d42e4922fc221f521846ba588e08737222c917e2488a7d159cc2',
        100552,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CrimsonPro',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Crimson Pro font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Crimson+Pro
  static TextTheme crimsonProTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.crimsonPro(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.crimsonPro(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.crimsonPro(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.crimsonPro(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.crimsonPro(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.crimsonPro(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.crimsonPro(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.crimsonPro(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.crimsonPro(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.crimsonPro(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.crimsonPro(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.crimsonPro(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.crimsonPro(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.crimsonPro(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.crimsonPro(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Crimson Text font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Crimson+Text
  static TextStyle crimsonText({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '72cb26f7c1b23386474070900c55abd2018f9ea59dde059487189c0925a08253',
        73596,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '205b67f39e5a57f53bece9bb67bf649cced8bda2cad53fe992edbefeca8b6606',
        73992,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1050dd76cf0efc5d56f724d78a3b9a4c8a7c5c697d6137013eedb2112c726fd6',
        73616,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3dc40486da6eb53a12c1917030b0bb3a4912dc188499eb5989818f11141f8ac5',
        71944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '13ce1fca3c0d0c2bf81f0907c0cc62032ba5cfb6f73f571515f3de2e75c1e853',
        72944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '41fb55252a43c03a78dfd2ea10bb953c9827870eead6927e0fedeeb745ebcb56',
        74276,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CrimsonText',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Crimson Text font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Crimson+Text
  static TextTheme crimsonTextTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.crimsonText(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.crimsonText(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.crimsonText(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.crimsonText(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.crimsonText(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.crimsonText(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.crimsonText(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.crimsonText(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.crimsonText(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.crimsonText(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.crimsonText(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.crimsonText(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.crimsonText(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.crimsonText(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.crimsonText(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Croissant One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Croissant+One
  static TextStyle croissantOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0ac973a0bf344751c15a02098ef8e52829b58706a0d77d7505fa24519a9b3f9d',
        49048,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CroissantOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Croissant One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Croissant+One
  static TextTheme croissantOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.croissantOne(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.croissantOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.croissantOne(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.croissantOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.croissantOne(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.croissantOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.croissantOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.croissantOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.croissantOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.croissantOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.croissantOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.croissantOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.croissantOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.croissantOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.croissantOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Crushed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Crushed
  static TextStyle crushed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b62623cf925f80cb7e40759a83ee345032cbf0b8a031271fdf675deb2daf995d',
        42256,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Crushed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Crushed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Crushed
  static TextTheme crushedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.crushed(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.crushed(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.crushed(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.crushed(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.crushed(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.crushed(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.crushed(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.crushed(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.crushed(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.crushed(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.crushed(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.crushed(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.crushed(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.crushed(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.crushed(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cuprum font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cuprum
  static TextStyle cuprum({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5caa1cb999badea9cc4976f86af28c6ca237d1f1cf5725d0a6e054e4474fbd54',
        55172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'da4079a8d5b715c26071f03e59978c2d12cc6c92507ce92c30d91cc6cb6c4a81',
        55300,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd4ad3108e0e0f81ed3d817042a4da8474ca2a2a31c2b982974ffc5e151b8b9f4',
        55300,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f69bc1f88cd6c5e267b62a9c380519fe6b7905b5daa5e119cd09861fe5cbcf81',
        55092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4f131f1b1ebe51b1c394450b09d1e7131b597b37c59a183a76c190a2c46c95ba',
        55400,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b45b495068dc4f0139154782e6e95af033701d8a1cf99d90c1634bac21bb500b',
        55584,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a93aa43a9b26888f8b1815ddec9d6fa96365a85888c9367bbe9b92c582122aff',
        55572,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '490f49dfe303f03675dbd71b9fb48347da4943c10beb0178ce8d32268bc87075',
        55388,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Cuprum',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cuprum font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cuprum
  static TextTheme cuprumTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.cuprum(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.cuprum(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.cuprum(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.cuprum(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.cuprum(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.cuprum(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.cuprum(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.cuprum(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.cuprum(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cuprum(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.cuprum(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cuprum(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.cuprum(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.cuprum(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.cuprum(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cute Font font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cute+Font
  static TextStyle cuteFont({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '326b2715a7a31d46f77e4718da0160184644ddbe94010f691e855bb5af665d10',
        598520,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CuteFont',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cute Font font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cute+Font
  static TextTheme cuteFontTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.cuteFont(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.cuteFont(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.cuteFont(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.cuteFont(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.cuteFont(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.cuteFont(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.cuteFont(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.cuteFont(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.cuteFont(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cuteFont(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.cuteFont(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cuteFont(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.cuteFont(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.cuteFont(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.cuteFont(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cutive font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cutive
  static TextStyle cutive({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b5248c31c00f8649b044a30d21c83791259bf2e1c6bf7224099ff1dec4a48870',
        39420,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Cutive',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cutive font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cutive
  static TextTheme cutiveTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.cutive(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.cutive(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.cutive(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.cutive(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.cutive(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.cutive(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.cutive(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.cutive(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.cutive(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cutive(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.cutive(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cutive(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.cutive(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.cutive(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.cutive(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cutive Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cutive+Mono
  static TextStyle cutiveMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e3d8c39fcf3ecc0503fa4fee5c468b9013b6cdd6073a1be59431b138ef0ee4ac',
        45272,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CutiveMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cutive Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cutive+Mono
  static TextTheme cutiveMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.cutiveMono(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.cutiveMono(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.cutiveMono(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.cutiveMono(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.cutiveMono(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.cutiveMono(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.cutiveMono(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.cutiveMono(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.cutiveMono(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cutiveMono(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.cutiveMono(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cutiveMono(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.cutiveMono(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.cutiveMono(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.cutiveMono(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the DM Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/DM+Mono
  static TextStyle dmMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8ff334baf94fa64c73ee943b528b734656c98dfaee175025a796a21066dfb6a0',
        28092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '72d9ace813762218c3d761058169bb89da3755116610523ad455fba80d838b32',
        29252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b99c005612081b9d6aab1d23679a2a20c304b46e963201d315c06c28ca25eadc',
        28128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '104a4afc4b0a5e735734312132abffb54a40b2f78e7302cc9fd5201cd0943bb2',
        29264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f83244fb95aa75e3aec6465372381691aae04a3ac26b308a8357449a8a34567e',
        27964,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd9484b55dc0127df05769db899c40cd6afcdb390fb899ba3f4ddfbc3be86e1b1',
        29284,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DMMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the DM Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/DM+Mono
  static TextTheme dmMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.dmMono(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.dmMono(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.dmMono(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.dmMono(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.dmMono(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.dmMono(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.dmMono(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.dmMono(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.dmMono(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.dmMono(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.dmMono(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.dmMono(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.dmMono(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.dmMono(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.dmMono(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the DM Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/DM+Sans
  static TextStyle dmSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ea3fd780db622f06615984cd688b2d14c0234e15b41bee8c0ac27e33cac1dfe1',
        44044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b9975f59c66d0c81b7716f9dfe947cf32054779734fe7f7eca6aae959cd74090',
        45136,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '65de9b8be43567592244a60aa4c520cc067dbf93baa9b6a7bd441613df8d2ee6',
        43836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0d0eacd2fd27d882a7dd669efca810ebea9c827c7d03f1255e8e611b10611a51',
        44996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '733aea02d16ad4148545e2c0c75be17b5bf810400482f7f958e2fa7690c15622',
        43760,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '128de4fb106cfb5faf93f202681c0256d96c415f8ae75ec2894b24251e4427ca',
        44932,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DMSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the DM Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/DM+Sans
  static TextTheme dmSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.dmSans(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.dmSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.dmSans(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.dmSans(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.dmSans(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.dmSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.dmSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.dmSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.dmSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.dmSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.dmSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.dmSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.dmSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.dmSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.dmSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the DM Serif Display font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/DM+Serif+Display
  static TextStyle dmSerifDisplay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fc1fbdc15a55aed5cd062b1714e00fc5273739476643f0b1f16b567f491660ba',
        52644,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fe24375d0d73b90fae5e0a7785b66f8ddd2bcdcde9c158d3a18e2474a3247dfc',
        50608,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DMSerifDisplay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the DM Serif Display font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/DM+Serif+Display
  static TextTheme dmSerifDisplayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.dmSerifDisplay(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.dmSerifDisplay(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.dmSerifDisplay(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.dmSerifDisplay(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.dmSerifDisplay(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.dmSerifDisplay(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.dmSerifDisplay(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.dmSerifDisplay(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.dmSerifDisplay(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.dmSerifDisplay(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.dmSerifDisplay(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.dmSerifDisplay(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.dmSerifDisplay(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.dmSerifDisplay(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.dmSerifDisplay(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the DM Serif Text font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/DM+Serif+Text
  static TextStyle dmSerifText({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd1cb8113b59d3123e9b88873758b7287d076f20e8f0a643ee32853aaaa498ed9',
        52688,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ca8e3bda889c19ab008b6a3da757e4ab64a31664792d4975df42bc823f028025',
        50420,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DMSerifText',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the DM Serif Text font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/DM+Serif+Text
  static TextTheme dmSerifTextTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.dmSerifText(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.dmSerifText(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.dmSerifText(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.dmSerifText(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.dmSerifText(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.dmSerifText(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.dmSerifText(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.dmSerifText(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.dmSerifText(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.dmSerifText(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.dmSerifText(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.dmSerifText(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.dmSerifText(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.dmSerifText(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.dmSerifText(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Damion font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Damion
  static TextStyle damion({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9d625c14324a2a339caf3816f5e3ce355702b16814eb59349eeb0e9058975479',
        35916,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Damion',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Damion font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Damion
  static TextTheme damionTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.damion(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.damion(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.damion(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.damion(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.damion(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.damion(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.damion(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.damion(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.damion(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.damion(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.damion(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.damion(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.damion(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.damion(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.damion(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Dancing Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dancing+Script
  static TextStyle dancingScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '27e93f8e8adcc5d22686950b80006cb51bba52c04c1fe8d557897f9a52021b13',
        76316,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3add8f13167436c263ca0f4c25e772e5470a2fc1a37ccafeee63d81956647894',
        76648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4fbe7ef035be86813577ae0035cc84ddc2d67cb0f1c3aebaa0dd0d54da29f4c6',
        76640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '35fa1edc074227f29e36b91546fde7efd9e51005da8b6ed383f403ea4c5a5efe',
        76568,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DancingScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Dancing Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dancing+Script
  static TextTheme dancingScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.dancingScript(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.dancingScript(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.dancingScript(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.dancingScript(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.dancingScript(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.dancingScript(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.dancingScript(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.dancingScript(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.dancingScript(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.dancingScript(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.dancingScript(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.dancingScript(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.dancingScript(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.dancingScript(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.dancingScript(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Dangrek font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dangrek
  static TextStyle dangrek({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5d8649a4f694afb937d30c0c8e5854361aa7ea71c89b7326994d57f9ff36fc4f',
        38952,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Dangrek',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Dangrek font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dangrek
  static TextTheme dangrekTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.dangrek(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.dangrek(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.dangrek(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.dangrek(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.dangrek(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.dangrek(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.dangrek(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.dangrek(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.dangrek(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.dangrek(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.dangrek(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.dangrek(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.dangrek(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.dangrek(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.dangrek(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Darker Grotesque font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Darker+Grotesque
  static TextStyle darkerGrotesque({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b77be34dcbe44e74db98e340ef8caf0189d20f735519b794683a197ffd1f3cea',
        40352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b8e748d9075557b75f20df2fe666e5b928f97a3b74dc0357af5d3b1657b1f130',
        42704,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1955078f8fe1df50dcc44abd377812b8791d3efa969646b7f508672f32ebd793',
        42568,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9cadbe222526117fc2747b9628ac625ee58c345a4c9ae2285b54884f964826e8',
        42552,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd096966fd82b2cecb37d84639126c67d7adaffc7ebb063a3ecbed467c2548575',
        42600,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a355011940681fa0ee27eb21be7cc6bea530cb999d971d8226bdd7dbaa10a289',
        42632,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ea395ac409487f4029a97e026dfffb5b7f57d58dd0ed945c9224216974e87f5b',
        42032,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DarkerGrotesque',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Darker Grotesque font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Darker+Grotesque
  static TextTheme darkerGrotesqueTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.darkerGrotesque(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.darkerGrotesque(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.darkerGrotesque(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.darkerGrotesque(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.darkerGrotesque(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.darkerGrotesque(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.darkerGrotesque(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.darkerGrotesque(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.darkerGrotesque(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.darkerGrotesque(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.darkerGrotesque(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.darkerGrotesque(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.darkerGrotesque(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.darkerGrotesque(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.darkerGrotesque(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Darumadrop One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Darumadrop+One
  static TextStyle darumadropOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '570b43588bf4d733c28f7a0e7d7f1feeb34a4575e239116740b7c525442a3118',
        358396,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DarumadropOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Darumadrop One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Darumadrop+One
  static TextTheme darumadropOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.darumadropOne(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.darumadropOne(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.darumadropOne(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.darumadropOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.darumadropOne(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.darumadropOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.darumadropOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.darumadropOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.darumadropOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.darumadropOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.darumadropOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.darumadropOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.darumadropOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.darumadropOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.darumadropOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the David Libre font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/David+Libre
  static TextStyle davidLibre({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e153f5e8f6fff8c254d7733b84d18a6ccd117f9f0cfee49fe461dd20841d043c',
        85096,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '60bb0c7e7e67600b3af4e8b238c3c1e9234e98c0194594a39794db1dac7b56cf',
        85472,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5682ff7de5c0f7baba5d5b05b12987b0dc8e8b7ac861a7d88f8cf603b951581a',
        86424,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DavidLibre',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the David Libre font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/David+Libre
  static TextTheme davidLibreTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.davidLibre(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.davidLibre(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.davidLibre(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.davidLibre(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.davidLibre(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.davidLibre(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.davidLibre(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.davidLibre(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.davidLibre(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.davidLibre(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.davidLibre(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.davidLibre(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.davidLibre(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.davidLibre(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.davidLibre(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Dawning of a New Day font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dawning+of+a+New+Day
  static TextStyle dawningOfANewDay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'db188b33d83036a8b4aba5312fb49f7e6e7e0e4d053cdd4c3a693a8df962791a',
        50148,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DawningofaNewDay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Dawning of a New Day font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dawning+of+a+New+Day
  static TextTheme dawningOfANewDayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.dawningOfANewDay(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.dawningOfANewDay(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.dawningOfANewDay(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.dawningOfANewDay(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.dawningOfANewDay(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.dawningOfANewDay(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.dawningOfANewDay(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.dawningOfANewDay(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.dawningOfANewDay(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.dawningOfANewDay(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.dawningOfANewDay(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.dawningOfANewDay(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.dawningOfANewDay(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.dawningOfANewDay(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.dawningOfANewDay(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Days One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Days+One
  static TextStyle daysOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5de557d3d318c030d2f860d11801169344e04990a38a409b0329cea03be26984',
        62680,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DaysOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Days One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Days+One
  static TextTheme daysOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.daysOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.daysOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.daysOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.daysOne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.daysOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.daysOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.daysOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.daysOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.daysOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.daysOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.daysOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.daysOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.daysOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.daysOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.daysOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Dekko font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dekko
  static TextStyle dekko({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9dd7e8769ff375e9ffe10f5e46001511a988171bcbc0fa9c46a6f96ce9e4b137',
        204816,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Dekko',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Dekko font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dekko
  static TextTheme dekkoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.dekko(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.dekko(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.dekko(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.dekko(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.dekko(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.dekko(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.dekko(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.dekko(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.dekko(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.dekko(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.dekko(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.dekko(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.dekko(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.dekko(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.dekko(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Dela Gothic One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dela+Gothic+One
  static TextStyle delaGothicOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7927335a56f8fd3b616713d4e06ee226ad7fecfd8668381a2c136887d3d69b91',
        2477252,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DelaGothicOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Dela Gothic One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dela+Gothic+One
  static TextTheme delaGothicOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.delaGothicOne(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.delaGothicOne(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.delaGothicOne(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.delaGothicOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.delaGothicOne(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.delaGothicOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.delaGothicOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.delaGothicOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.delaGothicOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.delaGothicOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.delaGothicOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.delaGothicOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.delaGothicOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.delaGothicOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.delaGothicOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Delicious Handrawn font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Delicious+Handrawn
  static TextStyle deliciousHandrawn({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7acfa4144e782e6d0ef721f8c64dfd2815606849b837427be442b8d0c789ba3b',
        61064,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DeliciousHandrawn',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Delicious Handrawn font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Delicious+Handrawn
  static TextTheme deliciousHandrawnTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.deliciousHandrawn(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.deliciousHandrawn(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.deliciousHandrawn(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.deliciousHandrawn(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.deliciousHandrawn(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.deliciousHandrawn(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.deliciousHandrawn(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.deliciousHandrawn(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.deliciousHandrawn(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.deliciousHandrawn(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.deliciousHandrawn(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.deliciousHandrawn(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.deliciousHandrawn(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.deliciousHandrawn(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.deliciousHandrawn(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Delius font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Delius
  static TextStyle delius({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '833636b4bfb740ea6d20bb13c01931ebe7da28b4898ad288ddf4c194cd46d30c',
        58232,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Delius',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Delius font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Delius
  static TextTheme deliusTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.delius(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.delius(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.delius(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.delius(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.delius(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.delius(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.delius(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.delius(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.delius(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.delius(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.delius(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.delius(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.delius(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.delius(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.delius(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Delius Swash Caps font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Delius+Swash+Caps
  static TextStyle deliusSwashCaps({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '30ef563e0298b997ac35ffce41de618cdbd0bc9f6b1ba191ede7054ef7f5af60',
        60024,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DeliusSwashCaps',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Delius Swash Caps font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Delius+Swash+Caps
  static TextTheme deliusSwashCapsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.deliusSwashCaps(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.deliusSwashCaps(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.deliusSwashCaps(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.deliusSwashCaps(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.deliusSwashCaps(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.deliusSwashCaps(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.deliusSwashCaps(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.deliusSwashCaps(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.deliusSwashCaps(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.deliusSwashCaps(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.deliusSwashCaps(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.deliusSwashCaps(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.deliusSwashCaps(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.deliusSwashCaps(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.deliusSwashCaps(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Delius Unicase font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Delius+Unicase
  static TextStyle deliusUnicase({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '00cd6d90b4a74bbb116fddb53571bf25f06676ed66d1a38cd4c0c5fba99f7f6b',
        31020,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cba1afde6fa5d11731f11e07f2f12e1ec035a73f529ad2691dbf2d70018b53ae',
        34376,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DeliusUnicase',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Delius Unicase font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Delius+Unicase
  static TextTheme deliusUnicaseTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.deliusUnicase(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.deliusUnicase(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.deliusUnicase(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.deliusUnicase(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.deliusUnicase(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.deliusUnicase(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.deliusUnicase(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.deliusUnicase(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.deliusUnicase(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.deliusUnicase(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.deliusUnicase(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.deliusUnicase(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.deliusUnicase(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.deliusUnicase(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.deliusUnicase(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Della Respira font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Della+Respira
  static TextStyle dellaRespira({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '00d7e4d30cad47dce8c7f95a871334aff01cec71e66531f353292917c9d6a198',
        48160,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DellaRespira',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Della Respira font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Della+Respira
  static TextTheme dellaRespiraTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.dellaRespira(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.dellaRespira(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.dellaRespira(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.dellaRespira(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.dellaRespira(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.dellaRespira(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.dellaRespira(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.dellaRespira(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.dellaRespira(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.dellaRespira(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.dellaRespira(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.dellaRespira(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.dellaRespira(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.dellaRespira(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.dellaRespira(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Denk One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Denk+One
  static TextStyle denkOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6260ab475bea2b433c6cb88cd50b47f6ef7fee263be2d3417ea36f58e839fd2d',
        273520,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DenkOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Denk One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Denk+One
  static TextTheme denkOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.denkOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.denkOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.denkOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.denkOne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.denkOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.denkOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.denkOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.denkOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.denkOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.denkOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.denkOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.denkOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.denkOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.denkOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.denkOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Devonshire font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Devonshire
  static TextStyle devonshire({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '010b72e1a4a538d1cd0f5cc3102047f9ea65c50b6349a2f811b3bd800ffe5512',
        64116,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Devonshire',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Devonshire font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Devonshire
  static TextTheme devonshireTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.devonshire(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.devonshire(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.devonshire(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.devonshire(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.devonshire(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.devonshire(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.devonshire(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.devonshire(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.devonshire(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.devonshire(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.devonshire(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.devonshire(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.devonshire(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.devonshire(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.devonshire(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Dhurjati font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dhurjati
  static TextStyle dhurjati({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9e06b9c1c36e73d9d4d5cb7c7d2eb51c8b029d00facc23005f4717beaac614ef',
        534564,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Dhurjati',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Dhurjati font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dhurjati
  static TextTheme dhurjatiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.dhurjati(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.dhurjati(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.dhurjati(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.dhurjati(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.dhurjati(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.dhurjati(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.dhurjati(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.dhurjati(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.dhurjati(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.dhurjati(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.dhurjati(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.dhurjati(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.dhurjati(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.dhurjati(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.dhurjati(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Didact Gothic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Didact+Gothic
  static TextStyle didactGothic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '84399f52701c9c84b662cc9e1fd84306753a5c127af35c8acec6f6db6f9adde4',
        117800,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DidactGothic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Didact Gothic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Didact+Gothic
  static TextTheme didactGothicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.didactGothic(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.didactGothic(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.didactGothic(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.didactGothic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.didactGothic(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.didactGothic(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.didactGothic(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.didactGothic(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.didactGothic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.didactGothic(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.didactGothic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.didactGothic(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.didactGothic(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.didactGothic(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.didactGothic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Diplomata font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Diplomata
  static TextStyle diplomata({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fd885b981023b4adda3127a3a65160ab2c8c6926eca8cc9cc58d0f3a1350f791',
        52556,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Diplomata',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Diplomata font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Diplomata
  static TextTheme diplomataTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.diplomata(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.diplomata(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.diplomata(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.diplomata(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.diplomata(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.diplomata(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.diplomata(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.diplomata(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.diplomata(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.diplomata(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.diplomata(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.diplomata(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.diplomata(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.diplomata(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.diplomata(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Diplomata SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Diplomata+SC
  static TextStyle diplomataSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '285bb4217ff88e268cf1d4956fb9053bef807aa519261e177990eaf00b654d24',
        51392,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DiplomataSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Diplomata SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Diplomata+SC
  static TextTheme diplomataScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.diplomataSc(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.diplomataSc(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.diplomataSc(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.diplomataSc(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.diplomataSc(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.diplomataSc(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.diplomataSc(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.diplomataSc(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.diplomataSc(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.diplomataSc(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.diplomataSc(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.diplomataSc(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.diplomataSc(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.diplomataSc(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.diplomataSc(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Do Hyeon font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Do+Hyeon
  static TextStyle doHyeon({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '26bf1c3b4d19228a42f6df99401f14e5ee705f55c4336075b3d8d706967f141b',
        408348,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DoHyeon',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Do Hyeon font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Do+Hyeon
  static TextTheme doHyeonTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.doHyeon(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.doHyeon(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.doHyeon(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.doHyeon(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.doHyeon(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.doHyeon(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.doHyeon(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.doHyeon(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.doHyeon(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.doHyeon(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.doHyeon(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.doHyeon(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.doHyeon(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.doHyeon(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.doHyeon(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Dokdo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dokdo
  static TextStyle dokdo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5b826664b7ebec5b83d786d3aa47c345158ef861e1e6b2fe91d250bcb6bdc9b5',
        1385692,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Dokdo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Dokdo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dokdo
  static TextTheme dokdoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.dokdo(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.dokdo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.dokdo(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.dokdo(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.dokdo(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.dokdo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.dokdo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.dokdo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.dokdo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.dokdo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.dokdo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.dokdo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.dokdo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.dokdo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.dokdo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Domine font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Domine
  static TextStyle domine({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '46d7874196f766f51948f261916e3eca65ccd98c5427a84c678b2099d3bab5e0',
        64464,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e6f826c4056482add6da48619d00eeaa72929570251084f62fab6f71fe67e610',
        64636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0e051d0c2bbb43e2b920bdf71c560e7dfa1dff2b50f590e33182b03b3219ecd6',
        64604,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4c18819376337ea3042faccd64f85ef1a687e49535fede7ccc8c84ed421c6ed0',
        64548,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Domine',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Domine font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Domine
  static TextTheme domineTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.domine(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.domine(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.domine(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.domine(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.domine(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.domine(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.domine(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.domine(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.domine(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.domine(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.domine(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.domine(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.domine(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.domine(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.domine(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Donegal One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Donegal+One
  static TextStyle donegalOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b15d824bb9e23c5dd2c4a795f2207f17ec2fc78f294dcb0c445b6dc2b0be9e2d',
        41384,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DonegalOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Donegal One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Donegal+One
  static TextTheme donegalOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.donegalOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.donegalOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.donegalOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.donegalOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.donegalOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.donegalOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.donegalOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.donegalOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.donegalOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.donegalOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.donegalOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.donegalOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.donegalOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.donegalOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.donegalOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Dongle font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dongle
  static TextStyle dongle({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '52b8b275e5f187f63f0796d48347fd91361efae7f8620fde46b2bdc40445a0b3',
        4386532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6e18c2125d7fff84a358208bfee9cec403a5ad43cc5307df066844fe61eb1fde',
        4456124,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '98f28ab68f53725135d76abcdf3024700600ec4f7057ff963a7803b364dc6a50',
        4474064,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Dongle',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Dongle font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dongle
  static TextTheme dongleTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.dongle(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.dongle(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.dongle(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.dongle(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.dongle(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.dongle(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.dongle(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.dongle(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.dongle(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.dongle(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.dongle(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.dongle(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.dongle(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.dongle(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.dongle(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Doppio One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Doppio+One
  static TextStyle doppioOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2eb94a5087c2e3c58fb5ece423e485a52abbc036bb14d81515e2402ba4bc36ee',
        33196,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DoppioOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Doppio One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Doppio+One
  static TextTheme doppioOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.doppioOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.doppioOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.doppioOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.doppioOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.doppioOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.doppioOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.doppioOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.doppioOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.doppioOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.doppioOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.doppioOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.doppioOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.doppioOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.doppioOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.doppioOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Dorsa font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dorsa
  static TextStyle dorsa({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a472c28962bd1dda53e24cffef93e5dcac5fc01470e9907e5d2b263a36170b73',
        19104,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Dorsa',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Dorsa font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dorsa
  static TextTheme dorsaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.dorsa(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.dorsa(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.dorsa(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.dorsa(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.dorsa(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.dorsa(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.dorsa(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.dorsa(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.dorsa(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.dorsa(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.dorsa(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.dorsa(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.dorsa(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.dorsa(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.dorsa(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Dosis font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dosis
  static TextStyle dosis({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1a2cb17cabd7cfc2009496afc21bc96331b93a5fc4d8b12de460222b6df4c2db',
        69040,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '26fffd331a655af19126888f6c2f4f57f1aab851cb9b1809d2ab6385851ac9a3',
        69196,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9da858c28792a40846fb95ef228d39dc35862f3edfb2bd0f7cb2d772760d0c68',
        69296,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '20511c732f7539b0f5adb9536636b25e172858e79473b4df10cb60468e0d6a45',
        69212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ee096e8f9bceff30e737fe8084a45267ba175ec57719abb6575be7adc69b42cf',
        69236,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'db417531455190f73d7e9324544442fdf7e53393dcbcb378a3226d9e6cc7a2e0',
        69140,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c0c69f9044b39ff7a2a138ac059f9d64cf0efd8fe135977efeb487c7875d1c95',
        69132,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Dosis',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Dosis font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dosis
  static TextTheme dosisTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.dosis(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.dosis(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.dosis(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.dosis(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.dosis(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.dosis(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.dosis(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.dosis(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.dosis(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.dosis(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.dosis(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.dosis(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.dosis(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.dosis(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.dosis(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the DotGothic16 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/DotGothic16
  static TextStyle dotGothic16({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '40377466cb907fabce0e94191ddeba5fa81a3dc0cd7620446c5781c965bfb4a1',
        1903464,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DotGothic16',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the DotGothic16 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/DotGothic16
  static TextTheme dotGothic16TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.dotGothic16(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.dotGothic16(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.dotGothic16(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.dotGothic16(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.dotGothic16(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.dotGothic16(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.dotGothic16(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.dotGothic16(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.dotGothic16(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.dotGothic16(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.dotGothic16(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.dotGothic16(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.dotGothic16(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.dotGothic16(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.dotGothic16(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Dr Sugiyama font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dr+Sugiyama
  static TextStyle drSugiyama({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1fb2979359fa0db24d07995444bc13f3efd562f3b8740b8f365c25acb1cb2424',
        38004,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DrSugiyama',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Dr Sugiyama font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dr+Sugiyama
  static TextTheme drSugiyamaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.drSugiyama(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.drSugiyama(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.drSugiyama(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.drSugiyama(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.drSugiyama(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.drSugiyama(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.drSugiyama(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.drSugiyama(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.drSugiyama(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.drSugiyama(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.drSugiyama(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.drSugiyama(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.drSugiyama(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.drSugiyama(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.drSugiyama(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Duru Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Duru+Sans
  static TextStyle duruSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '626d4fd7f859fbfa0ba5a8db35e636bf031dcd3542141a0496026b90e2b9d2cc',
        47188,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DuruSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Duru Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Duru+Sans
  static TextTheme duruSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.duruSans(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.duruSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.duruSans(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.duruSans(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.duruSans(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.duruSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.duruSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.duruSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.duruSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.duruSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.duruSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.duruSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.duruSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.duruSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.duruSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the DynaPuff font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/DynaPuff
  static TextStyle dynaPuff({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '530885e77a6fee60d04b92ba2c3527fd6bd15cfecd3a886d157650a6d75ff728',
        87836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '59ee240e077e12323d6c4453508480b5b94d3798b84821244f3e35a04d65ba04',
        87932,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4a588d62c97ce442e7b1f1a313273e94d30aac3c539d2b14cb1364e7a84d756e',
        87956,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4314ea94ec4741add9168a2776bf1c075daf243583c4c37a061bf885541adb98',
        87836,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DynaPuff',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the DynaPuff font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/DynaPuff
  static TextTheme dynaPuffTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.dynaPuff(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.dynaPuff(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.dynaPuff(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.dynaPuff(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.dynaPuff(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.dynaPuff(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.dynaPuff(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.dynaPuff(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.dynaPuff(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.dynaPuff(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.dynaPuff(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.dynaPuff(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.dynaPuff(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.dynaPuff(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.dynaPuff(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Dynalight font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dynalight
  static TextStyle dynalight({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2d656427840124a6f17324cd1c01727ebaca1e150440feaa0ee0f293f449c2f0',
        49684,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Dynalight',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Dynalight font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dynalight
  static TextTheme dynalightTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.dynalight(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.dynalight(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.dynalight(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.dynalight(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.dynalight(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.dynalight(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.dynalight(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.dynalight(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.dynalight(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.dynalight(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.dynalight(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.dynalight(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.dynalight(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.dynalight(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.dynalight(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the EB Garamond font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/EB+Garamond
  static TextStyle ebGaramond({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '38709eb2e20559e79ddf16c7d8049255c5455d96c6cd4df4d56e7dd60596b657',
        448404,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7bfd34bfc2e768d7b94fa071c5ef2f5e442e577139d476c97de78cab07624ff1',
        450680,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '536f367a36b43104614898d326ea1254f1aefc143335eb61f7ad795807236ba8',
        450940,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '098c3f89784e0eca209de32b500eb727c2f1b0138ecb1ea7f337c97372e94bac',
        450624,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0124f17935e46d2468775f5054c37b866d7add5d8dd23c2c8f020f7be561da2c',
        450280,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8b0d3a369e0b9ecd200d8f805e49f1d5d70a657b51c8db4db4623da67d4387c1',
        378292,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6b7565fc4e334957ac56001fdef4d6ddbe0457ee4fc605d458392e14e177722d',
        380704,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0dc81ef874ae360e559b0dc6eaec7e6e0d6fe20a061923c15eb115eb3bd2cd7d',
        381316,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '85016114ec5942e07f68e9d4e13d26cbfee1baa0fcdbf3b9efe39735e75fa94e',
        381124,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '545027890489756327577ea6df3f71e8799bf1cf9469481752f99b80c5d66f22',
        380412,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'EBGaramond',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the EB Garamond font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/EB+Garamond
  static TextTheme ebGaramondTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ebGaramond(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.ebGaramond(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ebGaramond(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.ebGaramond(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.ebGaramond(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.ebGaramond(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ebGaramond(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ebGaramond(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ebGaramond(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ebGaramond(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ebGaramond(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ebGaramond(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ebGaramond(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ebGaramond(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ebGaramond(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Eagle Lake font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Eagle+Lake
  static TextStyle eagleLake({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '37657bc8d6ad807d09dc3f266aa43d0bfe2a6b66a7d999ce6cc7c63ded098237',
        75464,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'EagleLake',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Eagle Lake font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Eagle+Lake
  static TextTheme eagleLakeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.eagleLake(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.eagleLake(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.eagleLake(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.eagleLake(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.eagleLake(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.eagleLake(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.eagleLake(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.eagleLake(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.eagleLake(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.eagleLake(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.eagleLake(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.eagleLake(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.eagleLake(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.eagleLake(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.eagleLake(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the East Sea Dokdo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/East+Sea+Dokdo
  static TextStyle eastSeaDokdo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '375d61621231b76bff40a1a2d7b33ea0123b05a852ec74352c29d9260e9a4f1d',
        3175636,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'EastSeaDokdo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the East Sea Dokdo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/East+Sea+Dokdo
  static TextTheme eastSeaDokdoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.eastSeaDokdo(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.eastSeaDokdo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.eastSeaDokdo(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.eastSeaDokdo(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.eastSeaDokdo(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.eastSeaDokdo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.eastSeaDokdo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.eastSeaDokdo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.eastSeaDokdo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.eastSeaDokdo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.eastSeaDokdo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.eastSeaDokdo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.eastSeaDokdo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.eastSeaDokdo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.eastSeaDokdo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Eater font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Eater
  static TextStyle eater({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e88bc1a538816fd0868fefe3d494210349747ed13bffb7b9f134a6eac24f44b5',
        82148,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Eater',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Eater font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Eater
  static TextTheme eaterTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.eater(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.eater(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.eater(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.eater(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.eater(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.eater(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.eater(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.eater(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.eater(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.eater(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.eater(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.eater(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.eater(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.eater(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.eater(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Economica font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Economica
  static TextStyle economica({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8edd55d9d83f0b37b790137bcca4ac8b2eac0feeba4b3a181f56b4ad1a50f913',
        24796,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '63ee0d5cc96379aaa21d0371565eae90ec5ecb5dac6449fd580eff85b4e519d3',
        25752,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '590aad532be8aee5a8172c0adb99977419aae3fac3983ebad4aba2a7d254d4a2',
        25232,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '43a7f8fd7302e1efde0aab289183eb919aa4cc8c2297ea9a0afe6e52e5f02f84',
        25040,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Economica',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Economica font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Economica
  static TextTheme economicaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.economica(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.economica(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.economica(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.economica(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.economica(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.economica(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.economica(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.economica(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.economica(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.economica(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.economica(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.economica(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.economica(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.economica(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.economica(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Eczar font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Eczar
  static TextStyle eczar({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0e6a26bd0e657fcf2d277b0555a10ff523cabc7ce13644142bdaeb0a014d9592',
        248344,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5e418b97f8251482f63144fea8cc6fb26e1a918facebb8699479a2cbd036b4eb',
        249012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '51df7a413eb2506022dd780c1d18b467a8b1690a980cdd9055136d6df31d73ab',
        249052,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7f27c484fa72222fb0472f9f5f8cdff14f5382b738afe09952997c768c3410c7',
        253600,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1be553515c6c8a4712805e543d14ce491d0a8f4943118b4e6c331bd5a03eab77',
        253888,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Eczar',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Eczar font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Eczar
  static TextTheme eczarTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.eczar(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.eczar(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.eczar(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.eczar(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.eczar(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.eczar(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.eczar(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.eczar(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.eczar(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.eczar(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.eczar(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.eczar(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.eczar(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.eczar(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.eczar(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Edu NSW ACT Foundation font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Edu+NSW+ACT+Foundation
  static TextStyle eduNswActFoundation({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '12419c2e84c7f2625f31c9e53ae5804c6e7a0cf7e4d00955442aeeeb27c2c4d8',
        21208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '68f712d02407b882932967928f32e4e18e4061b7ceb976dc75827045ce145ca1',
        21432,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4d7d38c1a9bf42850252ba714f721db20cb1af4117266234a4132468d143b502',
        21464,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8e6d5a1e91ba065a11ea96e99e73d2700a9c53c072b4921b72245aef624d38f6',
        21384,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'EduNSWACTFoundation',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Edu NSW ACT Foundation font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Edu+NSW+ACT+Foundation
  static TextTheme eduNswActFoundationTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.eduNswActFoundation(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.eduNswActFoundation(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.eduNswActFoundation(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.eduNswActFoundation(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.eduNswActFoundation(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.eduNswActFoundation(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.eduNswActFoundation(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.eduNswActFoundation(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.eduNswActFoundation(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.eduNswActFoundation(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.eduNswActFoundation(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.eduNswActFoundation(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.eduNswActFoundation(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.eduNswActFoundation(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.eduNswActFoundation(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Edu QLD Beginner font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Edu+QLD+Beginner
  static TextStyle eduQldBeginner({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e68ac554d376d0be4102c6d0a5697662844d25fc31591e9065f9ea6c658efc3c',
        21300,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9c497a35a9d6f2c8062c155e04c85b6334c6786c0f4852b4aa350a7a5742271d',
        21424,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3105f370bd4245b51fa81b547e811bf18d44850e6be5cab1780dcb50479fa1d6',
        21428,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e9a0a2cf40a72a69229f962ca6fd62f9d151922cdf4cc587778934eb8ecd75ad',
        21256,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'EduQLDBeginner',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Edu QLD Beginner font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Edu+QLD+Beginner
  static TextTheme eduQldBeginnerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.eduQldBeginner(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.eduQldBeginner(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.eduQldBeginner(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.eduQldBeginner(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.eduQldBeginner(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.eduQldBeginner(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.eduQldBeginner(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.eduQldBeginner(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.eduQldBeginner(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.eduQldBeginner(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.eduQldBeginner(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.eduQldBeginner(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.eduQldBeginner(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.eduQldBeginner(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.eduQldBeginner(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Edu SA Beginner font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Edu+SA+Beginner
  static TextStyle eduSaBeginner({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4195f037ad3de44a106b5160fdda5f9242989fdfbe7badec1b8a2e65fa0522bb',
        19820,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b81931e8671acea0500fbea4be7134528b9e37333928f80b76c22352beb5c297',
        19852,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '79a6e4adcdf5f036c437e5ddefcfdcb48b72e5949efd151a9e54c01f8976b44b',
        19860,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '92e228cb02155243722f45a42e523d044e8fda6f799b7524b194d98c61651599',
        19780,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'EduSABeginner',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Edu SA Beginner font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Edu+SA+Beginner
  static TextTheme eduSaBeginnerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.eduSaBeginner(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.eduSaBeginner(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.eduSaBeginner(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.eduSaBeginner(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.eduSaBeginner(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.eduSaBeginner(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.eduSaBeginner(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.eduSaBeginner(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.eduSaBeginner(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.eduSaBeginner(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.eduSaBeginner(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.eduSaBeginner(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.eduSaBeginner(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.eduSaBeginner(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.eduSaBeginner(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Edu TAS Beginner font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Edu+TAS+Beginner
  static TextStyle eduTasBeginner({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3d1d5ba124b10b56e9721a80854dccf76726df4a9485e78747393bb91afebdff',
        20116,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '11e99202abf736bd6261a740aa1d6aecb61473f7c2c487093a2c4f431ca89354',
        20140,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '31d6bdf42b46bebf1eaa234ffaf47349aeb1b4f29a4a9619115febc504f79d33',
        20144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'afe49cec3acbf9250888c096c8596b6847dd8d2cd1f0a834d65cb6fee5eb299d',
        20056,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'EduTASBeginner',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Edu TAS Beginner font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Edu+TAS+Beginner
  static TextTheme eduTasBeginnerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.eduTasBeginner(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.eduTasBeginner(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.eduTasBeginner(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.eduTasBeginner(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.eduTasBeginner(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.eduTasBeginner(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.eduTasBeginner(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.eduTasBeginner(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.eduTasBeginner(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.eduTasBeginner(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.eduTasBeginner(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.eduTasBeginner(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.eduTasBeginner(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.eduTasBeginner(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.eduTasBeginner(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Edu VIC WA NT Beginner font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Edu+VIC+WA+NT+Beginner
  static TextStyle eduVicWaNtBeginner({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ba8ec1690b2af4728f6929a23045cf8b5b0ed1ecf6b34b3f9396e161cb97fb39',
        20196,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6942edbe9906d81ea89b247ae2aed1d6fe57c113933c92ecf3e83bb01722762c',
        20272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bb17f0fcffc5b049843e2e13b189b25921103c1949d7fa54aa6a0d298d45a6ee',
        20272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a86048ad05defe2c58137d22dd619409d753db184f9a6fb90865e688914d1ebf',
        20156,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'EduVICWANTBeginner',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Edu VIC WA NT Beginner font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Edu+VIC+WA+NT+Beginner
  static TextTheme eduVicWaNtBeginnerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.eduVicWaNtBeginner(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.eduVicWaNtBeginner(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.eduVicWaNtBeginner(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.eduVicWaNtBeginner(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.eduVicWaNtBeginner(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.eduVicWaNtBeginner(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.eduVicWaNtBeginner(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.eduVicWaNtBeginner(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.eduVicWaNtBeginner(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.eduVicWaNtBeginner(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.eduVicWaNtBeginner(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.eduVicWaNtBeginner(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.eduVicWaNtBeginner(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.eduVicWaNtBeginner(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.eduVicWaNtBeginner(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the El Messiri font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/El+Messiri
  static TextStyle elMessiri({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a571d8e136af17339c2811184197254fd371d7d1042c9fc2e6e0d08a1349cb3b',
        83700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3937c674b40c2a27a0e78e738dab1cef40d94148c9a70041f7d37ae1c3fc288a',
        84120,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f16151cd5d65891079d4b262cd7801000fba7046ad09176c8759832b50f4240e',
        84244,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eb22fb98f0cf472083ac102ccf94ed5279d330395c67a659beca6cc22928467b',
        83860,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ElMessiri',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the El Messiri font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/El+Messiri
  static TextTheme elMessiriTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.elMessiri(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.elMessiri(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.elMessiri(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.elMessiri(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.elMessiri(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.elMessiri(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.elMessiri(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.elMessiri(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.elMessiri(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.elMessiri(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.elMessiri(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.elMessiri(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.elMessiri(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.elMessiri(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.elMessiri(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Electrolize font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Electrolize
  static TextStyle electrolize({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ffe64b1d5b55f5d92c86387deb30e7fcc1f2d747f132f838ed936b273f96792f',
        23176,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Electrolize',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Electrolize font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Electrolize
  static TextTheme electrolizeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.electrolize(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.electrolize(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.electrolize(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.electrolize(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.electrolize(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.electrolize(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.electrolize(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.electrolize(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.electrolize(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.electrolize(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.electrolize(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.electrolize(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.electrolize(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.electrolize(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.electrolize(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Elsie font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Elsie
  static TextStyle elsie({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3fb309aabca6cfccee5f7d6f98c5af435d1e41461f5268d3a09b0d1ddfad5104',
        34260,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b55c736bb96753da69b0608cda78127720d486287ff7222d161559a8e7ece2bc',
        35008,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Elsie',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Elsie font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Elsie
  static TextTheme elsieTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.elsie(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.elsie(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.elsie(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.elsie(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.elsie(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.elsie(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.elsie(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.elsie(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.elsie(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.elsie(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.elsie(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.elsie(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.elsie(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.elsie(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.elsie(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Elsie Swash Caps font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Elsie+Swash+Caps
  static TextStyle elsieSwashCaps({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3f9a0c20430e82517e2e43b260a2b9ae34e412859fc5db0d5ee139cf529d5b50',
        35636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3091ecf76fd6f2a37f0a040c77188cf92e5d53b3f5f86e0fb44ea11d5df5d431',
        36248,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ElsieSwashCaps',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Elsie Swash Caps font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Elsie+Swash+Caps
  static TextTheme elsieSwashCapsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.elsieSwashCaps(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.elsieSwashCaps(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.elsieSwashCaps(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.elsieSwashCaps(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.elsieSwashCaps(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.elsieSwashCaps(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.elsieSwashCaps(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.elsieSwashCaps(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.elsieSwashCaps(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.elsieSwashCaps(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.elsieSwashCaps(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.elsieSwashCaps(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.elsieSwashCaps(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.elsieSwashCaps(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.elsieSwashCaps(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Emblema One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Emblema+One
  static TextStyle emblemaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3d31f4b48de9ab1b609f7b65cbd09b91d66eb8c1650df95299970243afaf747d',
        56192,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'EmblemaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Emblema One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Emblema+One
  static TextTheme emblemaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.emblemaOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.emblemaOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.emblemaOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.emblemaOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.emblemaOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.emblemaOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.emblemaOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.emblemaOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.emblemaOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.emblemaOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.emblemaOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.emblemaOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.emblemaOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.emblemaOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.emblemaOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Emilys Candy font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Emilys+Candy
  static TextStyle emilysCandy({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '345aa4c6d86de050ba87f4721f42ca6edf7788f833fb8b74872c98341c9d0daa',
        234812,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'EmilysCandy',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Emilys Candy font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Emilys+Candy
  static TextTheme emilysCandyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.emilysCandy(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.emilysCandy(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.emilysCandy(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.emilysCandy(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.emilysCandy(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.emilysCandy(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.emilysCandy(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.emilysCandy(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.emilysCandy(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.emilysCandy(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.emilysCandy(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.emilysCandy(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.emilysCandy(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.emilysCandy(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.emilysCandy(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Encode Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Encode+Sans
  static TextStyle encodeSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1786d06d7ebe6f5a17494ce5a5cc2adc50680938731c2ebcbebc18d0e5337ffd',
        79620,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4e0177e677798b477c083d2a4bd455fe1dfe686ff12a9ebb6acf1644df1e3eb9',
        80036,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1b31686d9d8999948862168cc0f27b21c10cf4e5d403611a1fae163254b3af0a',
        80140,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cfa43a134be926e1220e3cbff4974a0a27611e828dc60b08f2efefab3b9b6742',
        80168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '86eb91f4d9294fa3bbc3af3c7931cf0b75630e17ac71c19da8b2d10bf725b25d',
        80248,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '200f33a76616573b41b800316d2a717e3d7ad54f715d9edbfb4aa11dd3e66dfa',
        80380,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '384165cb98c576eddd7dab4c383af0e6414d54eefc5de13537412e6276f67336',
        80632,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'da3da0e6b932f90b840d45ec4035f077c89ada05a4a945d25c8b219a0deeba8b',
        80880,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '09d2516fd05b5c6752ea157cc983e127e8de5184fc88071284c44ecddc185455',
        80560,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'EncodeSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Encode Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Encode+Sans
  static TextTheme encodeSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.encodeSans(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.encodeSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.encodeSans(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.encodeSans(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.encodeSans(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.encodeSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.encodeSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.encodeSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.encodeSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.encodeSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.encodeSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.encodeSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.encodeSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.encodeSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.encodeSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Encode Sans Condensed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Encode+Sans+Condensed
  static TextStyle encodeSansCondensed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '32a4d643beae836e02495e4359ca73851bc62d3b2c6627c061971ed2ccedd512',
        80192,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4707b802a294e2869f197f4872c380c450e87e19ff5733f4a8c84ebd8365faa6',
        81696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '98a097efa087c6a845bfb8dd8118f055ea3d07fd29902eb41861f5fecd0f1cdc',
        81404,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cf2e49c42240256e5299657666aba1e2e68698c55dab2578bc2f135c0c792b72',
        81360,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3ab89dab84826394290148ec707d5e265ecc2d5c8dd4222fe294d0334611d8d2',
        81280,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '704fe1038026f8b9d49ade91acfb1d1f202652cb27681c4bef74e81372755690',
        81088,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ba516c62a09769502a8c80635ffb54126b1d44b1a5af06942609c0e57748e253',
        81492,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4ce8a15df6961e1d3a5be8b76b195c5454a59a1b262cba772cf80ec2c2234e88',
        81976,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '959dbf80c7f97a9b3bedfc3b3eefe14ffc1b49de2e54bc36dde5be7665aef9db',
        81064,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'EncodeSansCondensed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Encode Sans Condensed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Encode+Sans+Condensed
  static TextTheme encodeSansCondensedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.encodeSansCondensed(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.encodeSansCondensed(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.encodeSansCondensed(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.encodeSansCondensed(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.encodeSansCondensed(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.encodeSansCondensed(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.encodeSansCondensed(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.encodeSansCondensed(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.encodeSansCondensed(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.encodeSansCondensed(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.encodeSansCondensed(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.encodeSansCondensed(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.encodeSansCondensed(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.encodeSansCondensed(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.encodeSansCondensed(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Encode Sans Expanded font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Encode+Sans+Expanded
  static TextStyle encodeSansExpanded({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3167c0972395baee92aede3b1f9ff7c41768d92132ce650e8d2b5ac67865f7bc',
        80520,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '76b4c679c36680a29a304d9d3be38ea108f9d7dde793334e0b3524277f081679',
        81552,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '393853b7750153821b84eb8e5a00674fc382b507cf362e3d530b44b5d48e020e',
        81448,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e1ab763f7aa1d4ee4486a538fa590f6f43447c3dd4c27e3b616daf3cad12e22a',
        81428,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b5ee0cd555e630f1791d365acd73827424898dca6b457e6e085e01c6500feed9',
        81476,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c55ccc220aec42f27c676b7b9d3d5ce20010a3322e5aae8d3242dcfa6c462afd',
        81576,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7c78a8901681de4d3cbca7734c6b676ea5a19fb70f71c4e4455d55a59aae2b0b',
        81856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f7ec3ea72590b5b97698de613aa4fb9150721a76e2bed9217c50d37f812e4a87',
        82056,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '79eb9cb36d91e7070d2979961365f39c0c471a38f47cd865d219207ab4e8b82d',
        81328,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'EncodeSansExpanded',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Encode Sans Expanded font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Encode+Sans+Expanded
  static TextTheme encodeSansExpandedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.encodeSansExpanded(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.encodeSansExpanded(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.encodeSansExpanded(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.encodeSansExpanded(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.encodeSansExpanded(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.encodeSansExpanded(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.encodeSansExpanded(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.encodeSansExpanded(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.encodeSansExpanded(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.encodeSansExpanded(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.encodeSansExpanded(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.encodeSansExpanded(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.encodeSansExpanded(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.encodeSansExpanded(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.encodeSansExpanded(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Encode Sans SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Encode+Sans+SC
  static TextStyle encodeSansSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a3430a2f3702781ea216c14d865642e103efa2cf987996ddd5f56aae30b6b6f8',
        69004,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fa5503146093559c7fe9d6282898aecb3f92a2dc4e8d7ebcdcfb597e0a1507ee',
        69244,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eefe70d06647f254380f6eb4e41e74cd684b6c8ba916d2d8ad8e5ceacbf37993',
        69400,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '375b351973eb04b385c377d67d1a6be9cf9600ef9ef42c3d8f4ebbe602832c42',
        69452,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fc160b97be579fc6f632cf91a36ab162b88392f17725ce6b79a88aa1dcbe0ffa',
        69512,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f8bcd464dafdd88997481c2daba069e9eff0712f5809cb95ddba215615e21df3',
        69632,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7dcfae0425f96a5f2d9c384667d83e2ef72376218805ccfa5cbe4d089554ae96',
        69856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b1f72f04bd09bfa24405304c67db08071117aec10e737e4d9a75d89d4e4b4cfe',
        70004,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5d2ea1773dd9f7fce6559d2d0229979eed2ef64220f12d2eef58ac6a53593d0e',
        69676,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'EncodeSansSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Encode Sans SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Encode+Sans+SC
  static TextTheme encodeSansScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.encodeSansSc(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.encodeSansSc(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.encodeSansSc(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.encodeSansSc(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.encodeSansSc(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.encodeSansSc(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.encodeSansSc(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.encodeSansSc(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.encodeSansSc(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.encodeSansSc(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.encodeSansSc(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.encodeSansSc(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.encodeSansSc(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.encodeSansSc(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.encodeSansSc(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Encode Sans Semi Condensed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Encode+Sans+Semi+Condensed
  static TextStyle encodeSansSemiCondensed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '632d6a8a3a3b6070ecc562fd0a3756e3b38f57733591df51477e5282451c19aa',
        80156,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd1865faabd988f44ada35843f28cf05194e69fddd65497550670da5266b14f2c',
        81832,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '177da5b781e416c9084fd7c4d21b2299cca65987d8f2913f1850c0bf3deb56ab',
        81624,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4a0ba17a56bd6ed75176b03b6572bc41ed7fb01bed84936af108d1afe3d5c9ea',
        81636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b39b05f83be1bc32339f483bf98b6d222e1c7e4eebb41e156f565f3885b375a9',
        81276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1f6c0f5b469cf3aeceb4301270c1e03a0b3d9f434fdeb8939f04c3d23c36c2cb',
        81452,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9760fdfa30fd4e220c21577703c55c62cf6a304b9f456a7645e38a455c28066f',
        81816,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3025eade51c77fd7410a14c586248db6ad12055f1c859c460541e71d3587ab72',
        82160,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '30feb8bd88c81e54fa9b51d0c4859400e8b74d93574608a397f43dc979111623',
        81440,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'EncodeSansSemiCondensed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Encode Sans Semi Condensed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Encode+Sans+Semi+Condensed
  static TextTheme encodeSansSemiCondensedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.encodeSansSemiCondensed(
          textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.encodeSansSemiCondensed(
          textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.encodeSansSemiCondensed(
          textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.encodeSansSemiCondensed(
          textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.encodeSansSemiCondensed(
          textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.encodeSansSemiCondensed(
          textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.encodeSansSemiCondensed(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.encodeSansSemiCondensed(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.encodeSansSemiCondensed(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.encodeSansSemiCondensed(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.encodeSansSemiCondensed(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.encodeSansSemiCondensed(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.encodeSansSemiCondensed(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.encodeSansSemiCondensed(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.encodeSansSemiCondensed(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Encode Sans Semi Expanded font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Encode+Sans+Semi+Expanded
  static TextStyle encodeSansSemiExpanded({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '24cf5f96ebfab8974e9d22281b222ec0b53fd93a239f9c7678011413d65d178e',
        80288,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bd94b3681c6f145427679b00dd007c89e33f0645afae87cee56f02ff509e3182',
        81904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '21fa95fec27006f0dd478162275fc7cb8d194018d6880741c1fc4450921c3ac6',
        81760,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '57d9c98c58e5acb342059f847b7e6fda31afc5a1e3fcd96159e1777d7611bdc2',
        81844,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '884d05f8245e0d582416499f4dccc6f2232d6c78583a0f79d17bb6123a5231a2',
        81508,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2ebaacf4111bc020a52fb29ea96f5258da27806287800aaa287b1f76b15e4e23',
        81736,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8fc544d86c906e765d26f18446b10d056868d7f1e0da85f81f1824bef961b834',
        81996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '986ba3f6c742ae86cec8b92d009b1d0f5ccbb37f97cc3083844abf0bfdae5688',
        82260,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '334b41368d45e746af2945a52cb48b412194d1db6d4feaef5024ae089f32eedb',
        81528,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'EncodeSansSemiExpanded',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Encode Sans Semi Expanded font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Encode+Sans+Semi+Expanded
  static TextTheme encodeSansSemiExpandedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.encodeSansSemiExpanded(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.encodeSansSemiExpanded(
          textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.encodeSansSemiExpanded(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.encodeSansSemiExpanded(
          textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.encodeSansSemiExpanded(
          textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.encodeSansSemiExpanded(
          textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.encodeSansSemiExpanded(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.encodeSansSemiExpanded(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.encodeSansSemiExpanded(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.encodeSansSemiExpanded(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.encodeSansSemiExpanded(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.encodeSansSemiExpanded(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.encodeSansSemiExpanded(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.encodeSansSemiExpanded(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.encodeSansSemiExpanded(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Engagement font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Engagement
  static TextStyle engagement({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9e6b92d1fc5a6c6e9f4e5bfade203d99a216d1619afa22bcf28788bc0f261384',
        72884,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Engagement',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Engagement font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Engagement
  static TextTheme engagementTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.engagement(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.engagement(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.engagement(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.engagement(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.engagement(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.engagement(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.engagement(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.engagement(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.engagement(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.engagement(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.engagement(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.engagement(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.engagement(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.engagement(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.engagement(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Englebert font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Englebert
  static TextStyle englebert({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f56fc6bb793f61cfb0eb72ec406d54b9e64246c84bc3b98adfb91abe50c68c6d',
        50420,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Englebert',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Englebert font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Englebert
  static TextTheme englebertTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.englebert(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.englebert(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.englebert(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.englebert(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.englebert(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.englebert(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.englebert(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.englebert(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.englebert(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.englebert(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.englebert(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.englebert(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.englebert(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.englebert(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.englebert(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Enriqueta font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Enriqueta
  static TextStyle enriqueta({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8bed619011acf23aa113d8cd6205c475a65ab3e453ad0f848f5d00c0c350e744',
        44104,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c4332361196e395a1203fb88e5019b3363484f6730def88147134c5595a3224d',
        44652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cc2a071ab83d68d9a9b1f49e54ed127971da30907c481228f32aca43c92f56d3',
        44276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f5fd36b19da2c75f871507c105c18feff40afe9932eb5f8a13a0bf8cf8d128fd',
        44452,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Enriqueta',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Enriqueta font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Enriqueta
  static TextTheme enriquetaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.enriqueta(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.enriqueta(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.enriqueta(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.enriqueta(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.enriqueta(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.enriqueta(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.enriqueta(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.enriqueta(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.enriqueta(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.enriqueta(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.enriqueta(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.enriqueta(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.enriqueta(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.enriqueta(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.enriqueta(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ephesis font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ephesis
  static TextStyle ephesis({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f7f4d946b77629ef8dba4b9364627dd33e5abfa9594c3644b93792427a4baeb0',
        89232,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Ephesis',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ephesis font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ephesis
  static TextTheme ephesisTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ephesis(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.ephesis(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ephesis(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.ephesis(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.ephesis(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.ephesis(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ephesis(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ephesis(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ephesis(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ephesis(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ephesis(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ephesis(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ephesis(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ephesis(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ephesis(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Epilogue font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Epilogue
  static TextStyle epilogue({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7f51e229dd565aa0ae565b3c4bc782e585961c60f67d8b8ff42646fb62d3eab9',
        69580,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '98e48c072ec741339f5d7ab94e0c1d72ee6c0ccb9b8372a39e385d018c2ef205',
        69700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '02edb2e1951433b87c040480c9d39fc66f5c04e98166c891ca03571b731e075e',
        69696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '89fa3111e07b2fd0ce0654b4162c63501ae0bd6dab54fe8c48735aca30633362',
        69720,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f986152a602a4b255cc587775522ee854fb2356e37407fa918798b310b7f5087',
        69828,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f69dc2350a2d9e0b0205d8a1059dd94ae2e384ad3d6f68de0e35ad6c305958d3',
        70020,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '05b9f07ef1c18dd00732e7ef35809313c9d6d935ab6e9f620140b46510520d72',
        69944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cbe57ac5c61c162a1e1c71057d30ac3d9df786e0d43622c99a9677e8a73c3e67',
        70128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7d05593a3e0a1a5c17d04178b18efaecca02379efbb035b1fc30df4a9362a206',
        70132,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b4f11f4928feb631ce5a0737580ce351545c0bcaf7927415a259b945e3a56696',
        69960,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'bc1c12351f2a94faeb25a7629c3fdf8b39a9566856c50df95e9afdd6a4b509a3',
        70068,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '247e50a0b59cd3d283b0bc0600d61efff94dfc6fadafa8a3103be2e301b90c4a',
        69988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b7140afc275f270dd862eb177d29d032a720c329ad9a9abedb960ff625185683',
        69856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '516cb327e7cb068a3703f79f7ef869db98eca188c67f2159c2a8fa76b07af630',
        70052,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '92fb8d745eae09724f4f95a319c3fd4d76952cee20acc50c552ced8e97d066e6',
        70128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ea364d7178f875b1624caecc3ad07f671aabaaefca535be2ab4351db1c36d88f',
        70160,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f6c94addfea4c1e81794c426fdbec9e5717c3db88c0009280abe36e9ab01095b',
        70376,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b90961f94b327db4d422381e9b2ae897e310767f0347755f8b069c7be50654e8',
        70260,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Epilogue',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Epilogue font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Epilogue
  static TextTheme epilogueTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.epilogue(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.epilogue(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.epilogue(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.epilogue(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.epilogue(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.epilogue(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.epilogue(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.epilogue(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.epilogue(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.epilogue(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.epilogue(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.epilogue(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.epilogue(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.epilogue(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.epilogue(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Erica One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Erica+One
  static TextStyle ericaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6588f288aac0a1fa9153828fc0557c0c991c228941f8db084049e170dc5b8655',
        24332,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'EricaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Erica One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Erica+One
  static TextTheme ericaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ericaOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.ericaOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ericaOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.ericaOne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.ericaOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.ericaOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ericaOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ericaOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ericaOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ericaOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ericaOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ericaOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ericaOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ericaOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ericaOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Esteban font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Esteban
  static TextStyle esteban({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '33469ddbf2f8b25aa9577a76ed3191c10ba359c06541da8ff214fbbb6968d6a6',
        41436,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Esteban',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Esteban font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Esteban
  static TextTheme estebanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.esteban(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.esteban(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.esteban(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.esteban(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.esteban(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.esteban(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.esteban(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.esteban(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.esteban(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.esteban(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.esteban(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.esteban(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.esteban(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.esteban(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.esteban(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Estonia font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Estonia
  static TextStyle estonia({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '262f8005654c26e90a7ef55c8de11d8ebb8c7771404686ab6a42477fb06f6960',
        383736,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Estonia',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Estonia font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Estonia
  static TextTheme estoniaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.estonia(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.estonia(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.estonia(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.estonia(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.estonia(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.estonia(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.estonia(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.estonia(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.estonia(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.estonia(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.estonia(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.estonia(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.estonia(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.estonia(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.estonia(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Euphoria Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Euphoria+Script
  static TextStyle euphoriaScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'da30f83975503f40df0deb7cddf113d4ec337ecd89403480cff71eeb8da9afa8',
        36448,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'EuphoriaScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Euphoria Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Euphoria+Script
  static TextTheme euphoriaScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.euphoriaScript(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.euphoriaScript(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.euphoriaScript(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.euphoriaScript(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.euphoriaScript(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.euphoriaScript(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.euphoriaScript(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.euphoriaScript(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.euphoriaScript(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.euphoriaScript(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.euphoriaScript(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.euphoriaScript(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.euphoriaScript(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.euphoriaScript(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.euphoriaScript(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ewert font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ewert
  static TextStyle ewert({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a433a97b689b283c0d76f97a17b0288ab8884848798aef7f53102802b3231be7',
        68836,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Ewert',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ewert font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ewert
  static TextTheme ewertTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ewert(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.ewert(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ewert(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.ewert(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.ewert(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.ewert(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ewert(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ewert(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ewert(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ewert(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ewert(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ewert(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ewert(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ewert(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ewert(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Exo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Exo
  static TextStyle exo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '21d56c4d49817b3e90700cac3142ec26982b349ef1c2e8932efa005e9197f302',
        58348,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '948f0b3a4bab5328198e77c12c0531968b33166dfb6260569d42f28205504b9e',
        58472,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e10dcc6f24a188527917f442ed729e8a797c34070ca069da5f6cc7ef383172c6',
        58444,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '161268be6c2e68ba078e3874b3af0a47070729592d789e615c479d56ff6c6f4d',
        58384,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '09b97c1885f29f5737118b963f3812d7f2aa7026f8ca6b0cefaf44ea533ad00c',
        58404,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5198773805e8b249c4a663d92c396f580f76bd1d9ff863edd3fa07a9745bfaba',
        58412,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ea55ffe16c5e91601c80e22ff5479c97d167c186148f54338375ecb3d8211ddd',
        58288,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '72e9adbd9bdcf51dea75af991d0b49c58bad942191d1ed5b1c346279b530304e',
        58324,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c6beb1f0fd0c4cfc01ab5c33ae600983c61c53e103db72c3bde7ddb1164748ac',
        58176,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0119a384951a89fab840621932ce2e2c2b2bbbb84b44d4bd1d1bdd0297a7fe0c',
        59676,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'aca1107e0174ff23227ec5888a05855d2b8b3e9cdd1408534b78670d5fbc40f9',
        59844,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2593b69e890fefe4a0fc4aa442aacf6fb02b099c23a29eeb0b53ddbcd0a6022a',
        59800,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '751df18ae4d7ee3aafa3760581a59379bca17344f148a4eeac813b37a3a23f5a',
        59684,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '12d65a8bee6a2d9b6d4cd3bb7b470079c4fe73eb9c06c0f77dd534d75eb33ad5',
        59760,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a44442b4129fbb9465556ad42b961c91faebbe5ec76a6eb544e8f1ee0851b18b',
        59768,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2d0ff5dc69d6bd2e96a3d57f991c120fd80455c1b07a13a72290dcd520fba03e',
        59680,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0c3c44fde5f6daf63c0915940854ca3f8733a9b7bef6cde90fb7129ea22d9812',
        59720,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fd16e289052d2abe21e5ef248808eeda054f9972f7595bc11fddbffb6bb2ec4d',
        59544,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Exo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Exo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Exo
  static TextTheme exoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.exo(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.exo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.exo(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.exo(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.exo(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.exo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.exo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.exo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.exo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.exo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.exo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.exo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.exo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.exo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.exo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Exo 2 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Exo+2
  static TextStyle exo2({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8bd69b3928bd1122b43f4394248570af2a60ccb3ee3bef72193b8f430438e5ba',
        126328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7fe94874f22aa08225d11034b59522cc26abca35fc77c8c82c4553a0d68c886e',
        126576,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cd4b0e7dd2901a30853c81dd1c5ba099063662c98efb6beb593cbb735115a044',
        126608,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '213b19a1598cb53ee88434865f04fa62be6e674a03023476677a5919bb6390a6',
        126600,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '47d9424d149e7496e1bae3eb034f62dbcc06e69025182910cf30e8f7a36dda80',
        126696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '73ac59303d8a28183ffecfcee5a5e2020e93598d2e574ab9cdf23d8fd4769af1',
        126728,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '85fcd167f63837ebb1c310a8e83bf1d5039fbbd5a13ac4812691d52817631161',
        126780,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9ec073a48375b6b0462702753eea7be7a0e93ce5401331bf787c39e769ed8cb2',
        126864,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f4b6635c03e94461a065b153284f9aecacccc15b23105f51b941fc954e8c1a15',
        126724,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '53d9e5084f81f02ed867f67200271d52f330d02f5be889facb577b1305923f64',
        126132,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f5c2092c03e3f18dbff0aa8cb221ce70d1a1f5b73b97e50fcf1eac8546972dde',
        126424,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b59d7eb01c4c710c37519c8ec4cd3ec8506ade2fe8ecb507325c8f615bdbc636',
        126448,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f9b6f1c55318f4ce15b3addb5e3a05f7b152e15593a4494c6b62eaea21126a07',
        126324,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6dc30d80925ac6ae73b0174e5e585c171220e72c17ef1add9b016260f12f39a7',
        126464,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ad64200d4933cb65a54960cfee7dca5eff13592ff68ed20070d7ddb3b3a4d22c',
        126536,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '04139976713c23e823c56c67e14067b1037bf7aac68bcc630e0aaa5c46d312a2',
        126528,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ea63ed4c8a38a5ed502183472f262a1e3ff954b89de383e4218fe292c9706e15',
        126600,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f02ff3fbca9fcd2fa379c82ff33ca746e6254f4c5cf44c89d7b682e5c242afd8',
        126496,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Exo2',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Exo 2 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Exo+2
  static TextTheme exo2TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.exo2(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.exo2(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.exo2(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.exo2(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.exo2(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.exo2(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.exo2(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.exo2(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.exo2(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.exo2(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.exo2(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.exo2(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.exo2(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.exo2(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.exo2(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Expletus Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Expletus+Sans
  static TextStyle expletusSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '20d4a0188fc67dd43ffec75f0a44d71ee9c2b2c6ab31f788671084d85276f706',
        23420,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '615d95e5f9b955098111c072a62ace0d0d1ab59c60d7fbe40093295223130e9e',
        23456,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '28ccef6c4ee57d86a597993c4597186c931fb270e7cf404cf35704e0a11db247',
        23532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '02d4240b3b5762f945d695d66aafbaf5088420d9aab4d10f1bada08431285121',
        23416,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '97d60e78f01aca83350e8f233d1266e65021b0790d396f0d034be12d4257a178',
        24220,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9157578e2b8803f9132a460e9fdf5273b368673835c8e286fa38bf405a6a39f8',
        24400,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9392e326ee0636fb9bcc1285d84c7ee895c3045921184138c381d5d696d52cc6',
        24428,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f131ba3ca1fe4c6dcb094e0f268f23cb9e0743446eaab83c92596794ce047358',
        24276,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ExpletusSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Expletus Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Expletus+Sans
  static TextTheme expletusSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.expletusSans(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.expletusSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.expletusSans(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.expletusSans(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.expletusSans(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.expletusSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.expletusSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.expletusSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.expletusSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.expletusSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.expletusSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.expletusSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.expletusSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.expletusSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.expletusSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Explora font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Explora
  static TextStyle explora({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e876028e0071bc2704bbf53f9f77444d4b5251a12b4c3f785a9dce7ef6b04738',
        124340,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Explora',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Explora font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Explora
  static TextTheme exploraTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.explora(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.explora(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.explora(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.explora(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.explora(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.explora(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.explora(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.explora(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.explora(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.explora(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.explora(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.explora(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.explora(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.explora(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.explora(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Fahkwang font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fahkwang
  static TextStyle fahkwang({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0cb8fd061f024de62b282a85795b56b1b88e2a298b384d00c0da6e1b82952702',
        79476,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '264ec7a8227b83f6b3909bcc96015f61ae98b339958fd414cf1630944b64b91f',
        82060,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ad984fc7acc2a3b0f217cab459bc76ae77a4c91bf912130f20b537da0445e057',
        79520,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '42bcb606e75b04d975540e954cd96b583e4e496150a5bac4e3f89dd0757a3db7',
        82128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '472d87bc12ee548390dfcfa8d71af03c5d41077a357ba2cf9e14d906e1ffdab1',
        79356,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ba6e001317e8a3f0044776a08bb748f38e592df0acc5551dfb032e5bdf2ac50f',
        82044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e1eb3160395f61ae21bf0b369ab17a42fd82ffd509822f48ec66ff5225da678a',
        79100,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd0c733c9c41386a8e357d7954a1ef6ff3c4b9b444b7eac7ffe311532bfa920f2',
        82064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bab6190f47708fab574d1c4b55c29483f22b2113e4f6d4a516ccbf888673ce02',
        79136,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f380eb48e3b5d0916182203845c5f181ef71b024c97cae157685b2966ab0311f',
        82048,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7c11cf7f035234d25ab7f689109c8028b1f4f5e57392166b930e081ee7b60aae',
        78988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '15c8800ebdd3426fe179cc54afc50ee748abb21ae22330d5b2d4c6f06978940a',
        81940,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Fahkwang',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fahkwang font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fahkwang
  static TextTheme fahkwangTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.fahkwang(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.fahkwang(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.fahkwang(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.fahkwang(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.fahkwang(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.fahkwang(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.fahkwang(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.fahkwang(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.fahkwang(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.fahkwang(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.fahkwang(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.fahkwang(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.fahkwang(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.fahkwang(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.fahkwang(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Familjen Grotesk font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Familjen+Grotesk
  static TextStyle familjenGrotesk({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7259b43c31917813bb8cc21c5ae9072fd8302721f9fb2e38efb520ef5fc60735',
        55772,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a61390724fcfee39ddaffcfcf9b8963414afa73612ca68cb79e4af1e2e31e963',
        56452,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9f1d6ea3145fa9c0c31589eafcbd5318475d23ca845b4da5ca432a0428544ec0',
        56496,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7fbda7b01adc85b61c37b8573ad6fe39f7406916da0aecf2d827371a2d657066',
        56228,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '70b08556272dab3e5e4023d43557079f176b631e032183b851f6aada9d0ca6f9',
        57804,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0837b47daa96aa9448ac0f93157bc49be63b16180a3614d226a4b3a2352665b7',
        58664,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6c552909af287e6376505584196dfd80759f1bcff34a50e83a8ed93a98594244',
        58692,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6976331a1f4e5b469b0991373583c28377ceab49be4c7acb079ee45670fb1bae',
        58420,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FamiljenGrotesk',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Familjen Grotesk font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Familjen+Grotesk
  static TextTheme familjenGroteskTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.familjenGrotesk(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.familjenGrotesk(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.familjenGrotesk(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.familjenGrotesk(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.familjenGrotesk(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.familjenGrotesk(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.familjenGrotesk(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.familjenGrotesk(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.familjenGrotesk(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.familjenGrotesk(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.familjenGrotesk(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.familjenGrotesk(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.familjenGrotesk(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.familjenGrotesk(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.familjenGrotesk(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Fanwood Text font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fanwood+Text
  static TextStyle fanwoodText({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aafd3294f9a09da2b894a790ca6bacc4f7f4fe0ba95f476c0740ef015e719d6f',
        78540,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8e1314a398cc06f258cdc39571392c94f722070a96bf360fb189240d36496576',
        86116,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FanwoodText',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fanwood Text font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fanwood+Text
  static TextTheme fanwoodTextTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.fanwoodText(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.fanwoodText(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.fanwoodText(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.fanwoodText(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.fanwoodText(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.fanwoodText(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.fanwoodText(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.fanwoodText(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.fanwoodText(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.fanwoodText(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.fanwoodText(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.fanwoodText(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.fanwoodText(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.fanwoodText(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.fanwoodText(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Farro font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Farro
  static TextStyle farro({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5b1744cf5aa0a196e398c550490a2d253be12dc44c4414ee877c8899460296d7',
        39988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c28286e2ca113cc6e81b591003493aadeb26ce0d365b5f94ab9de4ec9cca48cc',
        39848,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2a621e533c3477021bd85c4f7327f15f62f76cee551243167078dcdccdcede2c',
        39896,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b7061421e99be871b4d46f64408076a0c5f1c9db9858402b20ac6bbafd98e52e',
        39308,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Farro',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Farro font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Farro
  static TextTheme farroTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.farro(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.farro(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.farro(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.farro(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.farro(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.farro(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.farro(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.farro(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.farro(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.farro(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.farro(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.farro(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.farro(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.farro(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.farro(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Farsan font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Farsan
  static TextStyle farsan({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '38b260a621b1d96225cc2a8eadf167ef133fc6d5cc4ae9a4b40ed6c942a69007',
        241320,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Farsan',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Farsan font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Farsan
  static TextTheme farsanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.farsan(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.farsan(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.farsan(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.farsan(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.farsan(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.farsan(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.farsan(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.farsan(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.farsan(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.farsan(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.farsan(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.farsan(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.farsan(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.farsan(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.farsan(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Fascinate font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fascinate
  static TextStyle fascinate({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '413110c729e64ab9bb2e2b3d75f4503a81a9c244a20f18f48e0fb0307950532e',
        48032,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Fascinate',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fascinate font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fascinate
  static TextTheme fascinateTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.fascinate(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.fascinate(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.fascinate(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.fascinate(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.fascinate(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.fascinate(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.fascinate(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.fascinate(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.fascinate(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.fascinate(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.fascinate(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.fascinate(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.fascinate(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.fascinate(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.fascinate(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Fascinate Inline font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fascinate+Inline
  static TextStyle fascinateInline({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c2d55a8008b8cae16f166c5583cecd8aee312c58ab127b9883969a3f0c6c41c1',
        55516,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FascinateInline',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fascinate Inline font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fascinate+Inline
  static TextTheme fascinateInlineTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.fascinateInline(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.fascinateInline(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.fascinateInline(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.fascinateInline(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.fascinateInline(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.fascinateInline(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.fascinateInline(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.fascinateInline(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.fascinateInline(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.fascinateInline(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.fascinateInline(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.fascinateInline(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.fascinateInline(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.fascinateInline(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.fascinateInline(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Faster One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Faster+One
  static TextStyle fasterOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8234af82a4476fd4dd484e3aea9a5c868ed98ab7d164d721bb504d88f7ad1242',
        48940,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FasterOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Faster One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Faster+One
  static TextTheme fasterOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.fasterOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.fasterOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.fasterOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.fasterOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.fasterOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.fasterOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.fasterOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.fasterOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.fasterOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.fasterOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.fasterOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.fasterOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.fasterOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.fasterOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.fasterOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Fasthand font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fasthand
  static TextStyle fasthand({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7dabe79998f70fca2b118dd4f36d504a985c69ad14517e2dda87c64a7c422319',
        169020,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Fasthand',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fasthand font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fasthand
  static TextTheme fasthandTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.fasthand(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.fasthand(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.fasthand(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.fasthand(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.fasthand(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.fasthand(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.fasthand(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.fasthand(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.fasthand(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.fasthand(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.fasthand(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.fasthand(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.fasthand(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.fasthand(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.fasthand(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Fauna One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fauna+One
  static TextStyle faunaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '48a8976b95e3c0a58d1da9665995f5bd8ee04ad651eeae3ad75e80b95ebbc6bb',
        36672,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FaunaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fauna One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fauna+One
  static TextTheme faunaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.faunaOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.faunaOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.faunaOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.faunaOne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.faunaOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.faunaOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.faunaOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.faunaOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.faunaOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.faunaOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.faunaOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.faunaOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.faunaOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.faunaOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.faunaOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Faustina font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Faustina
  static TextStyle faustina({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5a625513eb984f115d79d3507c74bda76f6b99d363cf7713c4f77e6a626c9a23',
        69308,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'efb4c183a4c6e8cdc593af93adadea6dea9ce647454d39c7f7b3fd4e2068122d',
        69464,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8064c05d29d17a9cb10ffef380f1c1f3cf1f4da165181ee992bd9554e05cf5cb',
        69564,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '11e2ea82747c58afaa06c21869ddeb12c5b3b30b6e63d8a1161547ba34c32e34',
        69500,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4fa14e1fc56ce27be0430a32a6eddc2ca431fb4e5800d9c518a8143e2160b731',
        69328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2fa5cc845e1bf42800604b29014f11017446276a0b2ebeaecd3f53cd3bbb83e0',
        69516,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5d95d3f7f5835219904e868967d018eba8e5401d3035b834f857c78e16b85294',
        70980,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '20f4652bde21faf78ff6142e45ca2376ab3ed905b5a13826373333499634dbc5',
        70808,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f8484d35ac20426b400f50f3dd5ad8fe9983491976de9bbe1b5c13fb2aadfc4b',
        71000,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a8d4237a337047864fe16f02c75bdb5033c620e4c08d8bda087a17059a9048a6',
        70968,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b04bb75c42acb0e1c3637edff96486081180423f24a59573862fc3688b968458',
        70836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f04a6a938d3c0473360163571e5448b62efa3fd9071303bc5c5ed92c167c5237',
        70964,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Faustina',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Faustina font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Faustina
  static TextTheme faustinaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.faustina(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.faustina(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.faustina(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.faustina(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.faustina(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.faustina(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.faustina(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.faustina(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.faustina(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.faustina(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.faustina(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.faustina(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.faustina(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.faustina(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.faustina(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Federant font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Federant
  static TextStyle federant({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '12585ea14baefdf42ade0e5af0eb3ee6886d6283f86a0bb1e7c09fb4abb26073',
        29860,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Federant',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Federant font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Federant
  static TextTheme federantTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.federant(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.federant(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.federant(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.federant(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.federant(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.federant(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.federant(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.federant(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.federant(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.federant(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.federant(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.federant(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.federant(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.federant(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.federant(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Federo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Federo
  static TextStyle federo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '35a22539fea972ddd3a96d78981681adbdf58d50fac0b8dc95ca6e64224b1605',
        32456,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Federo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Federo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Federo
  static TextTheme federoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.federo(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.federo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.federo(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.federo(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.federo(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.federo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.federo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.federo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.federo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.federo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.federo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.federo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.federo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.federo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.federo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Felipa font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Felipa
  static TextStyle felipa({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ffd7301be382fdb76b332ebfdc0d7d3420ff1d461385da1505b03888961ef687',
        37508,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Felipa',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Felipa font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Felipa
  static TextTheme felipaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.felipa(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.felipa(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.felipa(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.felipa(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.felipa(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.felipa(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.felipa(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.felipa(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.felipa(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.felipa(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.felipa(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.felipa(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.felipa(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.felipa(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.felipa(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Fenix font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fenix
  static TextStyle fenix({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ae1e4a9a9e8d0d701e76261ffa6691a42e0fc5800027d4c4a2dfc501703f7a77',
        40672,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Fenix',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fenix font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fenix
  static TextTheme fenixTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.fenix(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.fenix(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.fenix(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.fenix(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.fenix(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.fenix(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.fenix(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.fenix(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.fenix(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.fenix(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.fenix(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.fenix(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.fenix(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.fenix(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.fenix(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Festive font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Festive
  static TextStyle festive({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '190f5a0125f78fa8f745e983d4a6a871a152f76427227fb2a1db940eafce9d2e',
        422864,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Festive',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Festive font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Festive
  static TextTheme festiveTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.festive(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.festive(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.festive(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.festive(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.festive(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.festive(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.festive(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.festive(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.festive(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.festive(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.festive(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.festive(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.festive(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.festive(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.festive(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Figtree font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Figtree
  static TextStyle figtree({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '66fc658f745add2e64a8d2704de36a0ffb59d7d7899e9eaa364a541cb2dc8709',
        36420,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '35a10cf96fd1e0fdaad2b5300283d1b0f31d1cac3f2a25009a7ea7c6952a7ae1',
        36572,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '466c4a08ad7646502c655d93fc5bb4dcd2b7db923661348aa102cd260f450356',
        36588,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4ad3f12f5f821c9b1b030e20e61094ceb3573b5f01c50f5ea9d383b8951a1b2b',
        36840,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4ff0a62a06d39f60879920cbbe5e79ba8636933d9f67d1e03895974b1be8dbd0',
        36792,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7713d085f87b67e9f9ce7c684c0c4e089c274569e85b6286bc8c70648dab078b',
        36872,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5328324577c2d6a1d957b8432472b978e1498cf4a27beeec7f792307addf004b',
        36836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '742676727e91e2bea30072d3ee5eb3dfe387776051e60bb8ee7ab03692dfc285',
        36436,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '14ee85cfbe827537f60e286c661be9d83a42219f765053d2f644ceefd4939c62',
        36460,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a921caefddeb4f9a334512259a10c2a5bcc12cddbd83ab121f1b7afec4efe062',
        36580,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '742e4e9fbe6f1dcc39faa7e3b43da298a3360df957234a8e7b25f27e4e575021',
        36872,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '88b470253fd14b06ff37fc6853950fcc37a87e2e1eee70d7fff3dfc6f0f862e6',
        36804,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6029953e199deb456b9451e9068b7dd77e9c97a6432d847d0e4d5cf63edf69be',
        36884,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '653ea9a2d80b7193ebe294b33402abad9d85577df89b3b933b538492c2e3af24',
        36792,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Figtree',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Figtree font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Figtree
  static TextTheme figtreeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.figtree(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.figtree(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.figtree(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.figtree(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.figtree(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.figtree(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.figtree(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.figtree(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.figtree(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.figtree(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.figtree(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.figtree(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.figtree(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.figtree(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.figtree(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Finger Paint font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Finger+Paint
  static TextStyle fingerPaint({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5522a19075441f8c781786af1abee1ff0b7468623a0cecb34e1a43f9c8212145',
        99580,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FingerPaint',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Finger Paint font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Finger+Paint
  static TextTheme fingerPaintTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.fingerPaint(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.fingerPaint(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.fingerPaint(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.fingerPaint(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.fingerPaint(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.fingerPaint(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.fingerPaint(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.fingerPaint(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.fingerPaint(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.fingerPaint(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.fingerPaint(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.fingerPaint(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.fingerPaint(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.fingerPaint(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.fingerPaint(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Finlandica font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Finlandica
  static TextStyle finlandica({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fe19bdd80a0cb7a4215f7f73871f268d1d73feb369129db66609731b96e11860',
        81184,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f265e89f57137b55bf1b90bc857445e01f79c3a4c78a4365621ce080afbe9f5f',
        81320,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '11272a112b69a4c8c2c44a82a0167680268cdd0694bd18c7303b54036909baa8',
        81208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '62f1da1e9f88c1febf12b68008abcee00d1e54e3a2c12e55097b12cf2e88d7b1',
        80944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0ad4e769ba93affcb7bd410dec172d00317ab0a269b337f673ea2231e341cbac',
        85660,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2b7504f10db51fa90a2adad274321c42c8dd32a7c6974a80c7ef24f1757898b7',
        85920,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '55e504e9b9cb9a4aeaa65ce4fc7dab7c01e4187301f0cc13856ab51cd9b3b983',
        85952,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4c79a4f6e05c80956f6f15f8a93aea6ccfce3e1c9044628413f05f7da1238fc3',
        85612,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Finlandica',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Finlandica font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Finlandica
  static TextTheme finlandicaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.finlandica(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.finlandica(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.finlandica(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.finlandica(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.finlandica(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.finlandica(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.finlandica(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.finlandica(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.finlandica(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.finlandica(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.finlandica(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.finlandica(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.finlandica(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.finlandica(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.finlandica(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Fira Code font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fira+Code
  static TextStyle firaCode({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '59ae3f902919a8fc253572fcd979f416c27b85cc6c72c64d23a69efd30346dcf',
        179004,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6c885308226a16fcd522832b15a724535b3901f301283d2a73dc474fb3de43b7',
        178804,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2a6068095d3fa1a26a3ffd2cdd52f9fd069206558715a63a2687258f72f62950',
        178796,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8cb39eeef3e606eb5431d41a86b66266fcf59c091bcadc69b50cb025d1beadbb',
        179152,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '63b8b21b584f9545be49196c5294408380118100b347967a51d5120a0c29f3bf',
        179424,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FiraCode',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fira Code font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fira+Code
  static TextTheme firaCodeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.firaCode(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.firaCode(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.firaCode(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.firaCode(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.firaCode(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.firaCode(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.firaCode(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.firaCode(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.firaCode(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.firaCode(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.firaCode(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.firaCode(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.firaCode(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.firaCode(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.firaCode(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Fira Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fira+Mono
  static TextStyle firaMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '08ea808f1d45f38b37e0b7b58e69057c9679694990903b85291d1b15db14d660',
        121444,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '008de620468faa52a4c3b90908a473813571a0bb7305806725a022cc731f91d8',
        121056,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6d750308a3d94ea50c65c29acc574c75481e25ef51ac2c206a73cceb7f9d6148',
        121116,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FiraMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fira Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fira+Mono
  static TextTheme firaMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.firaMono(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.firaMono(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.firaMono(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.firaMono(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.firaMono(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.firaMono(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.firaMono(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.firaMono(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.firaMono(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.firaMono(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.firaMono(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.firaMono(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.firaMono(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.firaMono(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.firaMono(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Fira Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fira+Sans
  static TextStyle firaSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8c302e040d34245992eb133cf08e1693b42febc2eea01e0117d13c7ae2f59f19',
        233420,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '151a53f4331b8c484b1ee3152e324af7baf998c8a9ab2cf2e7a4dc91363223fa',
        245024,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e9d0f72d71b286f308226c2b978b5c8fee051daaff3a127c8d4412b5d0168d98',
        236064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2dbacbee625e8e70e85fc45ba18c47b81f60371d6c33b870ccb6b965b719a4d7',
        247432,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1a20f37112998cb904d77b51fb927dd03b49e5b49b5e156e8b80df45d02010a9',
        235784,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd8050eed47cdd26324076943605187dc894ecad961b3d653211cec6558574952',
        246760,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5fdba08c2d2c4b4bd8c1b55cb493819eed4dad004f651b0f94fc329db9d15df8',
        235388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1fefeb817e680589e8b6ef12ad6af96789e9df3355637fd87d36a85378581276',
        246320,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '01488426d3c090aa18253b49e1d64e0d4a9756612d2943f08f96d7a96b964465',
        235804,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd1e300dc1d4601a115f848258971e2fc5cf5ced7e5ac7c19738f8ff023632a96',
        246692,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '66ddf8d3f1f24d5c585987960783f473d98beb07d4d07d99c909063022f8a2a6',
        235720,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a9202dbb913e0d9a9c8c3445f33fd4380e407700c8acd81c0feaff698b2033f0',
        246904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5aaa26c6509238f767e1bc7399fa4f1fb1671de13741bec5257356316586b47b',
        235776,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '82442dffbc9a9b6132a997e53182711adf18d5bd1c7be7469ead5e361ffd787e',
        246628,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8c3363ea10f6722cf026dc6598bdf2b71df9c7d0effb0b17c50b37d0ed33a3a5',
        235600,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1c2fb98f866484f29e535ffab89ce03b282284efbb5f9b98a0f9be33c8d59cba',
        246232,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ccddd95d823c849d57f9d0290560614d98f9ab13c1a3ffc1daabd5bf57053278',
        235332,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1f0bc9665acb25acf4ea285775f48093079deaa5795b0fd290a9bc7cf248dbd3',
        246416,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FiraSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fira Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fira+Sans
  static TextTheme firaSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.firaSans(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.firaSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.firaSans(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.firaSans(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.firaSans(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.firaSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.firaSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.firaSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.firaSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.firaSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.firaSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.firaSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.firaSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.firaSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.firaSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Fira Sans Condensed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fira+Sans+Condensed
  static TextStyle firaSansCondensed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9ba697ab8e3c5b75e99ebcc4bc829e4a6285f264a7562f55a5c3cc2d00c1ac28',
        232648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '574894781807ceea4adcbb149af68eb8952a2562893a897d0ee4f71c63512c75',
        244300,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '64c320e0eee9997d6b1974c69d8ea8752a8b278bf53c7d48169a97b061504e78',
        235160,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '42f420b20d8a468617d0b180a61ec0337bc245313aa53ec9f7db22ab3f17ec0a',
        246588,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9b81707bdf21ef8dadfc143b07eb836cef61f43635bb068ba7fabd1b711c942a',
        235192,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5bc9760361df604c665a709dfb23227aad25cfcca7a5d8ae554b774a9d0b146f',
        246176,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd6c7cad7c52655003099f4c011786eb91c100ea7a34ca29876a9be81d8d795d9',
        234880,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b952f77a82e315a404f702a9e9363cc49d2b4b0bdaa0ba288bb4e88c527dbf7d',
        245352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '05dd5f07887f3932facd2ea01093cdbc942c384bc84ba09f83de3595f95f302d',
        235080,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4790aa9264985273ade79a33eac09b3d7f4f25535243a01e92cb952a40648cd3',
        246220,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fb77ae62ab1ef041d827ef61be8354d4f6fa010c5f6385d6b55df34b52837041',
        234780,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3673cb51e9cc9bf28d2f9e890da00da25f431de229fef439faf3b8acd3624e69',
        245940,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0b79671f3fd5d200a6c31cece939b69256de361e7e4f4cb04a5fc3b37d769db4',
        235280,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e8ed8a133423a9550a1cf8c1a36adc4179574b1f6d3477dc71cda4160a829f31',
        245952,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e6935e2694b53e53f29bca67c5fea0f79895c725c363c849588c758a0c6d63b0',
        235436,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'dde2ca3bf1b4af123cd117cfb2503e8d92fdcaac7dabca664fc0cea08f344ae2',
        245968,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7a87bae50a9ffaac7e64a793751790b5ca43a7ffe7888dca20bb44bb79094b89',
        235012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '07af82b3d03ae8f68070f77a311c6c8b1bfc37d3e6ab45248806bb51f306e461',
        245828,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FiraSansCondensed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fira Sans Condensed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fira+Sans+Condensed
  static TextTheme firaSansCondensedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.firaSansCondensed(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.firaSansCondensed(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.firaSansCondensed(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.firaSansCondensed(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.firaSansCondensed(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.firaSansCondensed(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.firaSansCondensed(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.firaSansCondensed(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.firaSansCondensed(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.firaSansCondensed(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.firaSansCondensed(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.firaSansCondensed(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.firaSansCondensed(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.firaSansCondensed(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.firaSansCondensed(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Fira Sans Extra Condensed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fira+Sans+Extra+Condensed
  static TextStyle firaSansExtraCondensed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '53606f36d0e17c9d4fc873a26e96ec92cf959c501a5b0242936a3d5ced588230',
        231744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6f0eac1d7e3b7f8a14f515e2b52cc0dc7e43bf2873c9bf7243c0084f88e49907',
        243792,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '656df7e5c063f4dd826045845546c539416bbefc98a6bc1703466ad78a3d8fe1',
        234108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fcd4323faccae55c194d2784d07e8c589c25b9628642e9ecea50ac120369a6bf',
        246268,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fe0090ce2ffea99f71885678491a8e7aa82933aca5b93f6d9108e69646bbcb70',
        233632,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7f57a7576e5c58cf7bcd79371919ed84e777f428fdae28a0d42934e36410e229',
        245768,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1cec65774f3fe1b1314a30d94172c8cac12b03fbf773d6552e2ed4c2caa7353d',
        234108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c8aa5bbe371725aa3d7e5737eb855c6a069b5273501ea6e528fa71428efc82f1',
        245412,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd4b21198654280b5ba1c4789a87d71d393ea4c7c06b8fa7000da6e94073b08da',
        234848,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '14730d588bf5b1852dab586ebe84a4806e92b41a0f736e36810d1cfc4fb6c438',
        246008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a37abfec0f19412c3c80177560594951b9bc5171f4d387f809dfcc112680b4a7',
        234720,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b328c24fc8682f15a3582a08d6da35cfc18056625bafeadf86cef4b17eea6f29',
        245824,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '04f71f02152fce30db4ad4cbc1a46b55931bd440fac30e8c78dccc584b179342',
        234736,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f1fec06931388f4c6b56dfb0f04392a9a1fcf98a86794c56371eb4098a33008c',
        245884,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '082c933d2056c9961e55631e4e594f5885499cd0d4200658015a5da4f40d3f80',
        234744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '25a7c761fb9d62b22cbd0f1c557f1a1da307bcc8edaaf89de20a24f15cc4c354',
        246184,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '39b4b03c5da675546f368ec119ed78118e7be5b465d55108962903b0c2b330c1',
        235032,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fac7a28b443c9836c57b0f46a1f10e0c2686fbe270c12d5fb59450c22592e60b',
        247440,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FiraSansExtraCondensed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fira Sans Extra Condensed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fira+Sans+Extra+Condensed
  static TextTheme firaSansExtraCondensedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.firaSansExtraCondensed(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.firaSansExtraCondensed(
          textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.firaSansExtraCondensed(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.firaSansExtraCondensed(
          textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.firaSansExtraCondensed(
          textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.firaSansExtraCondensed(
          textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.firaSansExtraCondensed(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.firaSansExtraCondensed(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.firaSansExtraCondensed(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.firaSansExtraCondensed(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.firaSansExtraCondensed(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.firaSansExtraCondensed(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.firaSansExtraCondensed(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.firaSansExtraCondensed(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.firaSansExtraCondensed(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Fjalla One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fjalla+One
  static TextStyle fjallaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '84257b8ad8c644985567fb5ccc146a716b1a47b4a17da1703d1d1661e514d660',
        178820,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FjallaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fjalla One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fjalla+One
  static TextTheme fjallaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.fjallaOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.fjallaOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.fjallaOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.fjallaOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.fjallaOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.fjallaOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.fjallaOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.fjallaOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.fjallaOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.fjallaOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.fjallaOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.fjallaOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.fjallaOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.fjallaOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.fjallaOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Fjord One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fjord+One
  static TextStyle fjordOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '47129679f42e28f9a8d6efd369a1307e2d62b816e0084a5ec74c2cf87ba8668b',
        48724,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FjordOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fjord One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fjord+One
  static TextTheme fjordOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.fjordOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.fjordOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.fjordOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.fjordOne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.fjordOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.fjordOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.fjordOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.fjordOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.fjordOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.fjordOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.fjordOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.fjordOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.fjordOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.fjordOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.fjordOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Flamenco font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Flamenco
  static TextStyle flamenco({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '65876609e536c172694b648f2b3ce895d7ae0008681644e89b20fbb57ed8751c',
        32828,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4500269c0e0f0d9c7888b28c22c7eebf10afa68927231c44a6c6c2c39851d551',
        34848,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Flamenco',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Flamenco font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Flamenco
  static TextTheme flamencoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.flamenco(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.flamenco(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.flamenco(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.flamenco(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.flamenco(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.flamenco(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.flamenco(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.flamenco(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.flamenco(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.flamenco(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.flamenco(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.flamenco(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.flamenco(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.flamenco(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.flamenco(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Flavors font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Flavors
  static TextStyle flavors({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'de8ddf7e1eb90351404cc259a73565b562d967ec41e87a5d819d8930b11ad81a',
        184368,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Flavors',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Flavors font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Flavors
  static TextTheme flavorsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.flavors(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.flavors(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.flavors(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.flavors(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.flavors(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.flavors(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.flavors(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.flavors(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.flavors(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.flavors(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.flavors(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.flavors(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.flavors(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.flavors(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.flavors(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Fleur De Leah font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fleur+De+Leah
  static TextStyle fleurDeLeah({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '71a604d85f19f4cdf0c0601783495f73d98364d296a62fc1eb66ac988262e88c',
        133660,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FleurDeLeah',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fleur De Leah font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fleur+De+Leah
  static TextTheme fleurDeLeahTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.fleurDeLeah(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.fleurDeLeah(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.fleurDeLeah(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.fleurDeLeah(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.fleurDeLeah(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.fleurDeLeah(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.fleurDeLeah(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.fleurDeLeah(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.fleurDeLeah(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.fleurDeLeah(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.fleurDeLeah(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.fleurDeLeah(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.fleurDeLeah(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.fleurDeLeah(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.fleurDeLeah(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Flow Block font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Flow+Block
  static TextStyle flowBlock({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2dd7c6f5d52262ec055dd1c615643de234893a3cb156a39f5698c2beb314d5cc',
        29860,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FlowBlock',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Flow Block font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Flow+Block
  static TextTheme flowBlockTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.flowBlock(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.flowBlock(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.flowBlock(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.flowBlock(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.flowBlock(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.flowBlock(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.flowBlock(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.flowBlock(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.flowBlock(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.flowBlock(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.flowBlock(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.flowBlock(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.flowBlock(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.flowBlock(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.flowBlock(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Flow Circular font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Flow+Circular
  static TextStyle flowCircular({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '43a465675fd8f374a494796926d482dfeae7b4c2a87b578ccdd96b6cfa745dc7',
        36392,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FlowCircular',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Flow Circular font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Flow+Circular
  static TextTheme flowCircularTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.flowCircular(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.flowCircular(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.flowCircular(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.flowCircular(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.flowCircular(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.flowCircular(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.flowCircular(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.flowCircular(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.flowCircular(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.flowCircular(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.flowCircular(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.flowCircular(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.flowCircular(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.flowCircular(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.flowCircular(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Flow Rounded font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Flow+Rounded
  static TextStyle flowRounded({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bc0b2df00c25ac057a51bee6fe4d0c490f3b0cd0a7b75237c826f4f1aeb6ecf6',
        34380,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FlowRounded',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Flow Rounded font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Flow+Rounded
  static TextTheme flowRoundedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.flowRounded(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.flowRounded(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.flowRounded(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.flowRounded(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.flowRounded(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.flowRounded(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.flowRounded(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.flowRounded(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.flowRounded(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.flowRounded(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.flowRounded(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.flowRounded(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.flowRounded(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.flowRounded(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.flowRounded(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Foldit font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Foldit
  static TextStyle foldit({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '993d269374910263a87d5112cf819fedfbf39404a3d86de4f838db37bdb737a1',
        307152,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '30cb8b2e36430d0c625cfec7be9497b4a4abccb70e66f17d062bdcc59a3c11e8',
        310392,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '44e5095cb09fc97e1a6a05238d7da27d40ca6f699ff5d62acfc1ef7f142f5762',
        311528,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd6d98cd1e2e2b092b0da87a5188a4e431f2392763cd1514514cf03bbb7f19b35',
        312476,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7ae56414e74e85e5e46c62bcaf0e6b6780a9928524450024824914a28adcd0bc',
        313568,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5c3667dc3036f9e4bed11ee9b0efa8cfe53311038be5105d65b15b982d5b073b',
        313936,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '91a937b28d4773985fa04ca2ee1f77c92e6d1a76717627ea9075d012fe47c39c',
        314576,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '959b90ebeb4ff21fd47473174176c50a51e3d3e22f145a012dfd3075512ee1ee',
        315060,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6e6878d1574b80115a0ebe95c5960027a38d313b0a778e435af0cd62e48b8d1e',
        314024,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Foldit',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Foldit font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Foldit
  static TextTheme folditTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.foldit(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.foldit(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.foldit(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.foldit(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.foldit(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.foldit(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.foldit(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.foldit(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.foldit(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.foldit(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.foldit(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.foldit(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.foldit(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.foldit(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.foldit(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Fondamento font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fondamento
  static TextStyle fondamento({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eccab6b3be5e0b95607b9eced707ae4e3b9fa4251c942e217464d1675b490cb7',
        82976,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '944dfd218277e723fe28520889e339316cf8dd45622ff395f8911aa52a833b78',
        63488,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Fondamento',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fondamento font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fondamento
  static TextTheme fondamentoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.fondamento(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.fondamento(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.fondamento(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.fondamento(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.fondamento(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.fondamento(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.fondamento(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.fondamento(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.fondamento(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.fondamento(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.fondamento(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.fondamento(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.fondamento(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.fondamento(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.fondamento(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Fontdiner Swanky font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fontdiner+Swanky
  static TextStyle fontdinerSwanky({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5698574b77112b002158933405052fcb1a4dda44d191fa8a30d3b2f73f1292b9',
        43740,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FontdinerSwanky',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fontdiner Swanky font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fontdiner+Swanky
  static TextTheme fontdinerSwankyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.fontdinerSwanky(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.fontdinerSwanky(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.fontdinerSwanky(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.fontdinerSwanky(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.fontdinerSwanky(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.fontdinerSwanky(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.fontdinerSwanky(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.fontdinerSwanky(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.fontdinerSwanky(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.fontdinerSwanky(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.fontdinerSwanky(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.fontdinerSwanky(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.fontdinerSwanky(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.fontdinerSwanky(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.fontdinerSwanky(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Forum font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Forum
  static TextStyle forum({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a108468b4aa759c840d18380075c892ef01c17a4fcf51d2c0df145816b8fdc7b',
        126504,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Forum',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Forum font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Forum
  static TextTheme forumTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.forum(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.forum(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.forum(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.forum(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.forum(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.forum(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.forum(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.forum(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.forum(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.forum(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.forum(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.forum(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.forum(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.forum(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.forum(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Fragment Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fragment+Mono
  static TextStyle fragmentMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dbb00293f165bdac9eb695c2d75eaf6f3532f865253b25f97143ae73dada2e55',
        66932,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8aafb5576134c0886cf88e5e1dc02d00309c0dc4ebaf08ae02036b2678ff00ae',
        68732,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FragmentMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fragment Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fragment+Mono
  static TextTheme fragmentMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.fragmentMono(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.fragmentMono(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.fragmentMono(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.fragmentMono(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.fragmentMono(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.fragmentMono(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.fragmentMono(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.fragmentMono(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.fragmentMono(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.fragmentMono(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.fragmentMono(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.fragmentMono(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.fragmentMono(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.fragmentMono(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.fragmentMono(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Francois One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Francois+One
  static TextStyle francoisOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '152ca1e2339af763185113a3c1ca79d45f5d4c33926f4ef0c8546b32d42d00e6',
        52360,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FrancoisOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Francois One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Francois+One
  static TextTheme francoisOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.francoisOne(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.francoisOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.francoisOne(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.francoisOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.francoisOne(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.francoisOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.francoisOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.francoisOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.francoisOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.francoisOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.francoisOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.francoisOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.francoisOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.francoisOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.francoisOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Frank Ruhl Libre font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Frank+Ruhl+Libre
  static TextStyle frankRuhlLibre({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ce29a92f1d2b3105aafd82f8d3743f2799e87902a195dd8b4be0a22b7b490cd3',
        66696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '621efcecb9831bea8224b1df220d6282717a881c1a4e63de2cc07bec8d73770d',
        66828,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '91d29c49f89d5df5ee56e5f326ccb7d0e04ebacf82d8f732661b7b83ec938874',
        66720,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '052d59d399ca2275435d200b2cab879affb18220a03460520d83e09fd776e58d',
        66868,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '69cc51a579316c95a57f38d5bf0d281ce06cb7737c53e3e54835f3b6e0b121ae',
        66896,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'beca9102d6369c26465ce918f17a467880cc7c0f85c79595d8f1156f247e2a8a',
        67024,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4d159aef0719e98367e690865efd755d3be44bbaa0746e07cc87f5544acc75ee',
        66824,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FrankRuhlLibre',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Frank Ruhl Libre font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Frank+Ruhl+Libre
  static TextTheme frankRuhlLibreTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.frankRuhlLibre(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.frankRuhlLibre(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.frankRuhlLibre(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.frankRuhlLibre(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.frankRuhlLibre(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.frankRuhlLibre(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.frankRuhlLibre(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.frankRuhlLibre(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.frankRuhlLibre(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.frankRuhlLibre(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.frankRuhlLibre(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.frankRuhlLibre(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.frankRuhlLibre(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.frankRuhlLibre(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.frankRuhlLibre(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Fraunces font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fraunces
  static TextStyle fraunces({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '693b8b438861584442b0c00d292053123ef12cc7fd261ba48022f009383e0f68',
        71216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5f19fe5dda60cde14721341ef0169b3e75ff22d1cde44e5a1490e07d8b02c4df',
        71472,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1972ad8176cc064f0fd367ce0af0e78b8433996d8dfe21bda50fac06f335d61b',
        71536,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '108c8b2e9e3577975e00019f389d9e73369ce43433c1c38fce106058fc4ce69c',
        71556,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cc8b5e12d7b8cf29dd85bf12ca2ba365854fa4ab36b87185b706e1fdfa875918',
        71572,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8e178d02ade546126b73308c1eab0c521f281b9f65682f99888968651d8a3734',
        71608,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5771c664bbbd7d0826de211dd5ec951c2fa35dbeaaf636bc40f29fd5361a7819',
        71564,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c994f43fbd1de9c63d83411ffa682b6eba1308d758bb146b60b843392a6d33f1',
        71620,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e61a4cb17c3c6a15deb9c34fdd50938c41790fed8ab58e3e814af5cf56a848e1',
        71664,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '114813f8baad4e4aec5814fac143573944f05e3838e77c30b007e0ceb77dea3a',
        84824,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e045365ea30bbebf9a9f6b0c629e339f1c45a71ccc5fefe72e5a31b3123fb142',
        85000,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '694eda78816db6e2c4bd489f137693eb45a8539649b1b0e1fc77ccdc57a729fd',
        85056,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '252a4e8a816facb9b439a1d647461c40eb4b442848149295c34ef1571c684d59',
        85004,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6495c7b67a118ffecdc1bc69521979ab1887557a0209c46401227c46901c72d2',
        85084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f186752ce9ec917ea3b16cf8f537127e542da7dd2eaf9d3360ba7867d40b3b91',
        85152,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5843b0ac271f65e1fd9cea59fc40ee70720e0fd93fe0d53a5494c8dcf6e195c0',
        85052,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd3730036c96cbd0253c352a2d2a268c3805e1840722a3a458039827def599b1e',
        85084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'eea1d4902c413e5181917b37cb632ed8ee555c299ce5566e716d81f988f11681',
        85036,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Fraunces',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fraunces font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fraunces
  static TextTheme frauncesTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.fraunces(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.fraunces(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.fraunces(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.fraunces(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.fraunces(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.fraunces(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.fraunces(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.fraunces(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.fraunces(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.fraunces(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.fraunces(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.fraunces(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.fraunces(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.fraunces(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.fraunces(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Freckle Face font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Freckle+Face
  static TextStyle freckleFace({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '19ce2bd81ae7c7b609d93e1d3aa51f120f65265b6b2713534c90341543ae1777',
        105988,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FreckleFace',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Freckle Face font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Freckle+Face
  static TextTheme freckleFaceTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.freckleFace(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.freckleFace(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.freckleFace(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.freckleFace(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.freckleFace(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.freckleFace(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.freckleFace(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.freckleFace(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.freckleFace(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.freckleFace(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.freckleFace(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.freckleFace(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.freckleFace(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.freckleFace(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.freckleFace(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Fredericka the Great font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fredericka+the+Great
  static TextStyle frederickaTheGreat({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fe045833e0e825b5a7b4467390cf709cd732b6204eb411fe1a242b48e461319f',
        483876,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FrederickatheGreat',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fredericka the Great font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fredericka+the+Great
  static TextTheme frederickaTheGreatTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.frederickaTheGreat(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.frederickaTheGreat(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.frederickaTheGreat(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.frederickaTheGreat(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.frederickaTheGreat(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.frederickaTheGreat(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.frederickaTheGreat(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.frederickaTheGreat(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.frederickaTheGreat(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.frederickaTheGreat(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.frederickaTheGreat(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.frederickaTheGreat(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.frederickaTheGreat(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.frederickaTheGreat(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.frederickaTheGreat(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Fredoka font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fredoka
  static TextStyle fredoka({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4005e941354c2352a3570e1f7c54b10005633b5f2869eeb63867754c0c680e49',
        48716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '125cc34039587d0926961da82659002e686518af02c0771f7224c40a63f2c144',
        48832,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fa3c58dcf129a67237d2f4284691f0cb1455816149c446a873d29e3868dcc53a',
        48768,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '70d1c0745883e965e3ae80c61a32ee2e547f444e0804649d673a700989447a29',
        48744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e646f1ecd8e27d6468396ddecc96774207d41706edee7fd82d1a1385ba98d29f',
        48564,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Fredoka',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fredoka font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fredoka
  static TextTheme fredokaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.fredoka(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.fredoka(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.fredoka(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.fredoka(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.fredoka(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.fredoka(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.fredoka(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.fredoka(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.fredoka(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.fredoka(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.fredoka(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.fredoka(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.fredoka(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.fredoka(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.fredoka(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Freehand font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Freehand
  static TextStyle freehand({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3fae5eb71fc208e3e393db87200e415cdbae5cc5fd21ff210d7a0190bd3132c7',
        176864,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Freehand',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Freehand font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Freehand
  static TextTheme freehandTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.freehand(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.freehand(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.freehand(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.freehand(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.freehand(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.freehand(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.freehand(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.freehand(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.freehand(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.freehand(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.freehand(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.freehand(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.freehand(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.freehand(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.freehand(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Fresca font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fresca
  static TextStyle fresca({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f55d11615ed2042519f6a3545567958f33c11d7c3b4548a82febfdc0f5b668df',
        26184,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Fresca',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fresca font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fresca
  static TextTheme frescaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.fresca(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.fresca(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.fresca(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.fresca(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.fresca(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.fresca(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.fresca(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.fresca(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.fresca(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.fresca(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.fresca(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.fresca(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.fresca(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.fresca(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.fresca(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Frijole font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Frijole
  static TextStyle frijole({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '35cfe99cb2ca170eeae6f6b1842b5cfec0731addb5734a4c09950fc68e106b69',
        225572,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Frijole',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Frijole font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Frijole
  static TextTheme frijoleTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.frijole(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.frijole(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.frijole(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.frijole(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.frijole(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.frijole(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.frijole(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.frijole(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.frijole(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.frijole(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.frijole(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.frijole(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.frijole(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.frijole(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.frijole(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Fruktur font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fruktur
  static TextStyle fruktur({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c581ec7fef9069ac8cfa0f3e8803f96af5458a593ab697fd74005d3e685f5177',
        182368,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '200b402a6a83604f2c9972bb1ad03c31960ef7771c3ada1e95396c68e8d1c538',
        182784,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Fruktur',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fruktur font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fruktur
  static TextTheme frukturTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.fruktur(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.fruktur(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.fruktur(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.fruktur(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.fruktur(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.fruktur(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.fruktur(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.fruktur(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.fruktur(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.fruktur(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.fruktur(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.fruktur(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.fruktur(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.fruktur(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.fruktur(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Fugaz One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fugaz+One
  static TextStyle fugazOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '485bc61ab2e90bf5a952e096a31324ad1b2c762755cfe5d0b45f690deb5f37d0',
        25392,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FugazOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fugaz One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fugaz+One
  static TextTheme fugazOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.fugazOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.fugazOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.fugazOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.fugazOne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.fugazOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.fugazOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.fugazOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.fugazOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.fugazOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.fugazOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.fugazOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.fugazOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.fugazOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.fugazOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.fugazOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Fuggles font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fuggles
  static TextStyle fuggles({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4dd1b180700e4a9e4ff79b8cd1e22239378e07594cbd55fd1571b7a2d0b6ca41',
        99592,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Fuggles',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fuggles font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fuggles
  static TextTheme fugglesTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.fuggles(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.fuggles(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.fuggles(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.fuggles(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.fuggles(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.fuggles(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.fuggles(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.fuggles(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.fuggles(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.fuggles(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.fuggles(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.fuggles(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.fuggles(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.fuggles(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.fuggles(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Fuzzy Bubbles font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fuzzy+Bubbles
  static TextStyle fuzzyBubbles({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '37aef7e943493423dabc0d7c483cf7d180ea32cd9da04cc106c375bbab4ca527',
        95880,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e0710f9ccddb21e1cd7a2f739585e017ad3329afc86f346fc7adb4862fda147e',
        88976,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FuzzyBubbles',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fuzzy Bubbles font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fuzzy+Bubbles
  static TextTheme fuzzyBubblesTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.fuzzyBubbles(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.fuzzyBubbles(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.fuzzyBubbles(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.fuzzyBubbles(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.fuzzyBubbles(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.fuzzyBubbles(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.fuzzyBubbles(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.fuzzyBubbles(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.fuzzyBubbles(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.fuzzyBubbles(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.fuzzyBubbles(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.fuzzyBubbles(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.fuzzyBubbles(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.fuzzyBubbles(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.fuzzyBubbles(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the GFS Didot font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/GFS+Didot
  static TextStyle gfsDidot({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2b47eb2b73fbe3df01dca2e5cedfa35362dca34ec2493f8c4564d0ce856df53b',
        163848,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GFSDidot',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the GFS Didot font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/GFS+Didot
  static TextTheme gfsDidotTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.gfsDidot(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.gfsDidot(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.gfsDidot(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.gfsDidot(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.gfsDidot(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.gfsDidot(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gfsDidot(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gfsDidot(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gfsDidot(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gfsDidot(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gfsDidot(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gfsDidot(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gfsDidot(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gfsDidot(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gfsDidot(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the GFS Neohellenic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/GFS+Neohellenic
  static TextStyle gfsNeohellenic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '51ef8ebba4615300a1344d2e6eb9d03e72cd59657ec5dd2ad2a7a3ff9692d85f',
        176532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1d37ecc8bde6698ada5a81c147976a733f697d7e9bcd8de55affd556fd3515c7',
        157096,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '656044652163515deaced16a281d1bef468d9f8e50f108306d4d7607c08f1b92',
        142840,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fd025396d1711c7d766978f03b4daf801357e42f723ed3cd645496a82024a302',
        156680,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GFSNeohellenic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the GFS Neohellenic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/GFS+Neohellenic
  static TextTheme gfsNeohellenicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.gfsNeohellenic(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.gfsNeohellenic(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.gfsNeohellenic(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.gfsNeohellenic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.gfsNeohellenic(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.gfsNeohellenic(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gfsNeohellenic(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gfsNeohellenic(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gfsNeohellenic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gfsNeohellenic(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gfsNeohellenic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gfsNeohellenic(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gfsNeohellenic(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gfsNeohellenic(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gfsNeohellenic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gabriela font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gabriela
  static TextStyle gabriela({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9c88af262d3f4729b31478e467501356ca24efa8e8e2323338e897fa3cc3125c',
        67780,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Gabriela',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gabriela font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gabriela
  static TextTheme gabrielaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.gabriela(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.gabriela(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.gabriela(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.gabriela(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.gabriela(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.gabriela(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gabriela(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gabriela(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gabriela(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gabriela(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gabriela(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gabriela(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gabriela(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gabriela(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gabriela(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gaegu font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gaegu
  static TextStyle gaegu({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4fcea9ec02a357c73b58ef71c0bb179518c3b2d9bb18043bd27e0821819f35c8',
        1665516,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd2bfca7d4619b12570a866c4e40a3dbdd17fa2f1ffa10d7a44ede7b60cc3c483',
        1687664,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3b88e20eee77a57d9c49b426bb22da4a750000d76ab16f63255af562121572db',
        1588556,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Gaegu',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gaegu font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gaegu
  static TextTheme gaeguTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.gaegu(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.gaegu(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.gaegu(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.gaegu(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.gaegu(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.gaegu(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gaegu(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gaegu(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gaegu(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gaegu(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gaegu(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gaegu(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gaegu(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gaegu(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gaegu(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gafata font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gafata
  static TextStyle gafata({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd161bcc017634b82a8d988d299e55ec2fb1a6126883525172cdaeb0d02b11208',
        35284,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Gafata',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gafata font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gafata
  static TextTheme gafataTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.gafata(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.gafata(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.gafata(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.gafata(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.gafata(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.gafata(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gafata(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gafata(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gafata(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gafata(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gafata(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gafata(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gafata(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gafata(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gafata(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gajraj One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gajraj+One
  static TextStyle gajrajOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b2f85fd98fca5765df195edde59d7e8efd7c5be77e4bbfcc58e01aca981171f7',
        148728,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GajrajOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gajraj One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gajraj+One
  static TextTheme gajrajOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.gajrajOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.gajrajOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.gajrajOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.gajrajOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.gajrajOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.gajrajOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gajrajOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gajrajOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gajrajOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gajrajOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gajrajOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gajrajOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gajrajOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gajrajOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gajrajOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Galada font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Galada
  static TextStyle galada({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7e263a5e847f459b2d06c253f4311330e004679bff4d28dc492e815793c1277b',
        149068,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Galada',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Galada font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Galada
  static TextTheme galadaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.galada(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.galada(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.galada(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.galada(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.galada(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.galada(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.galada(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.galada(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.galada(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.galada(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.galada(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.galada(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.galada(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.galada(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.galada(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Galdeano font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Galdeano
  static TextStyle galdeano({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '169c5f2ad71dfff02ee7bb190ea1a2dce2ae2c0439d9f0d5ac96bc3806f80ad2',
        22900,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Galdeano',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Galdeano font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Galdeano
  static TextTheme galdeanoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.galdeano(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.galdeano(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.galdeano(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.galdeano(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.galdeano(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.galdeano(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.galdeano(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.galdeano(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.galdeano(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.galdeano(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.galdeano(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.galdeano(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.galdeano(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.galdeano(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.galdeano(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Galindo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Galindo
  static TextStyle galindo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2c69ab440698b1684793985a80f8fe9576a8714e6d9fe654724bc3802f3d140f',
        55568,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Galindo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Galindo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Galindo
  static TextTheme galindoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.galindo(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.galindo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.galindo(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.galindo(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.galindo(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.galindo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.galindo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.galindo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.galindo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.galindo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.galindo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.galindo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.galindo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.galindo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.galindo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gamja Flower font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gamja+Flower
  static TextStyle gamjaFlower({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cee61d1bfcac16776cfe60b3cec57eae2944cd63a5724e85cc6a606ed7225cd4',
        6240100,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GamjaFlower',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gamja Flower font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gamja+Flower
  static TextTheme gamjaFlowerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.gamjaFlower(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.gamjaFlower(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.gamjaFlower(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.gamjaFlower(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.gamjaFlower(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.gamjaFlower(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gamjaFlower(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gamjaFlower(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gamjaFlower(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gamjaFlower(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gamjaFlower(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gamjaFlower(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gamjaFlower(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gamjaFlower(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gamjaFlower(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gantari font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gantari
  static TextStyle gantari({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a29bfb090f79bf09421b953eeb94b8c61aa65376dfe7b2fed2eb83be927c7624',
        38192,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fcff9241715699b4d7c6fb63b8520791abdca3b2605bedb3e6f5fdb3916ad12c',
        38208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'db8cfe86ac2c1a33c04c3e079735138799266123f0613a014952a8714d51f8d8',
        38108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a95cfa960cf311af295254e180de9ae70bb380fc1064a244d52e04c15f44533b',
        38108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1d143537c088372155e5633e1b1119ac23240e7972d0652c3541fb1f8c232776',
        38144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c2b1f2938a4a32d58a3a1605f94b9427adb6ec1751b77f0e6ed8ee4e7f05ddb7',
        38100,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3c78fa010422173b924b21c4e13d042fe6e9c9bcc4874e5ffd18470372b6182d',
        37972,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '07f103849bd0d4aa2989b3cff7ad0b641695947f8b92cf8a34ae646969614ae2',
        38044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5b2ecbcb0f1662df6c43312f05bd9774c516f249639c953dea9d0e5ac3c7db05',
        37904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '310d279864b4d619163027fe709f135c7a7c03b7a0e2f7d840302f747bfe9779',
        38848,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7b8e0b9fb28bbe1788cfd0219b84bfd6c9a69867541e2ab16879ab73be89b9e9',
        38904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b621369f18b88db96b94de89ba698e1037f9da7a82a0e4de23d7d218a4933a15',
        38844,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5470847ef5b183bd72be18fed0659fcbaea97dc5cf472cc2d88461f0d5ac2c16',
        38720,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b9f0b97b7dbde764780b4bce0190969701aac81d858c315b7a25479b29af445d',
        38800,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '781a62c179b5f30ad3459913aba958fd2c1e2cb7db44be18a77d533c5e90ca13',
        38824,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '015f127c15b2643359d7ab9b22eca5ea70794dfa617991dd4b0057123312beba',
        38696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '708167c698ac6901a1494faba6aba135e3ccc1885237be4b29f0d767c551e6d7',
        38756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f0be3ed1977e7176119608b2d6deeb2926dfe9326e6e234a2782b6edc4d5f13d',
        38592,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Gantari',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gantari font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gantari
  static TextTheme gantariTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.gantari(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.gantari(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.gantari(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.gantari(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.gantari(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.gantari(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gantari(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gantari(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gantari(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gantari(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gantari(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gantari(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gantari(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gantari(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gantari(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gayathri font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gayathri
  static TextStyle gayathri({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7e6d3691b7243690a5ade979eec8a8d0f20743c0d19aa3deaae83e600157ff14',
        149780,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '273e5e6ca63f013b8bdb1b902ec16164333b7e7f41926834e8e62d6f6a705cb3',
        148700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9aafe70294699f3dbf561c8c8fdf82c4b9c8a1d3b16563a24bf4b0414f0b2d54',
        149624,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Gayathri',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gayathri font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gayathri
  static TextTheme gayathriTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.gayathri(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.gayathri(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.gayathri(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.gayathri(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.gayathri(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.gayathri(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gayathri(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gayathri(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gayathri(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gayathri(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gayathri(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gayathri(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gayathri(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gayathri(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gayathri(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gelasio font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gelasio
  static TextStyle gelasio({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '109d4a0e494a7c955d4f773d8bad9438b82e578a9cde12046a05afeb6bed8f4c',
        81540,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f19288bf1d6f77abe8da9558137934ade867905876468f70cc3749a74c417813',
        83248,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1282874efdcaa034b8a27a03f31f812053d4faadba90c156cc6b720871027772',
        81744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4813676131328725583e82e636cdee27d33e21be1d5fc2c7fc39208866331a7e',
        83412,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9b5dfb38f61c13078fddcf67f066a23f4765d15202471aa427d3a161499a98e0',
        81732,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3ab7371394c9a81ea4e3f11e92a426b65c2b19feb29eb2bd72b9b672db27ad55',
        83412,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '360f7d68af1a9ea65eb128eb7ad16c23f91d44aca12dab3d127e2422558e9788',
        81604,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9a123c12071b78644b01b2ca0470c7ef7318e3395d4f532d7c5f743c2a909e7a',
        83396,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Gelasio',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gelasio font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gelasio
  static TextTheme gelasioTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.gelasio(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.gelasio(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.gelasio(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.gelasio(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.gelasio(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.gelasio(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gelasio(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gelasio(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gelasio(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gelasio(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gelasio(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gelasio(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gelasio(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gelasio(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gelasio(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gemunu Libre font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gemunu+Libre
  static TextStyle gemunuLibre({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6ee58da2ea3ad0a30b053d24be3ecbfe343ea1ffcbdc9e354325dffdab140e30',
        145064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f9e4a4f2bc5babade37f64218625af24eecc921e5d3e7d518a7beecceaa571da',
        145056,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fef849ad705564ed5616591c94b8243782ca9aab3f091c7dc6c41ad193958efd',
        145052,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e3a306074b241d73099495bb06453a955aabceb2195f9f78e33a82f27eee4f73',
        144916,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e7e07a234c1d33fde8a008a0831d40a4815cb01c9c31f2604353ee575cc1439b',
        144900,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5e274d4b3c3557a6befbe2dec456451a3dcd626bd8d5471c58ba7dd73bc0ec85',
        144788,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9015ced8371fab9c58386b8eb712c846b0d387d6a36ead67034d2592ae0c1901',
        144544,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GemunuLibre',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gemunu Libre font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gemunu+Libre
  static TextTheme gemunuLibreTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.gemunuLibre(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.gemunuLibre(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.gemunuLibre(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.gemunuLibre(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.gemunuLibre(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.gemunuLibre(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gemunuLibre(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gemunuLibre(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gemunuLibre(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gemunuLibre(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gemunuLibre(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gemunuLibre(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gemunuLibre(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gemunuLibre(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gemunuLibre(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Genos font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Genos
  static TextStyle genos({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8f1947c6488f2f2374cf8e452c419a42d8527c5e64d1607dd635b5bd8a5775ee',
        74604,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '33f993364ec57b5472b49fac667e6189c6b17c75d7d37875e6a5f844a1f556bd',
        74780,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '85c3297ad6544f3e1e59300868a2f67176b8276f2868809c0ba17548ba184fb4',
        74744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fb5264344a445bb53d24c333e093b3310c3622c1353e94fb22087bdba2430464',
        74776,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '96d9450c96ad90cd640ba1c9840a23c5737119eba65dafe09d40752016c63517',
        74716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '682ff9de8f52d7149584bed1fbfaaf026324cd1743961d3e2860e004690ce07e',
        74744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd4a827a9a0121ea3e4a4b40dd45ca5053df2a390c32ed0c15f8d798b9a1e0eb5',
        74804,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1ae69f53045828d9bc78c8cb7621e4b7a869174b8024dfedc141713c10c7b8e1',
        74828,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e239ef48a6d42a0e09d95399cb385cbf0bc486028d998fe140a8e4e119f998ec',
        74456,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0f69b5dadc4bcc2ca12e7fa0e2cd8f303c4f4c2a66f842c98c5614a29832d941',
        80660,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fef217e5c95a44a79809edeee16b4a88562e026c5d1650a06da8be656d29a664',
        80788,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a247bdcce8667f6ecde8e1c36cbd84121597afd58c835ec14f010d5a646b1ae1',
        80800,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a0ca7355e46786d380da67530030ac11c08c6959497619665f7e75835f28aac1',
        80708,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'aaffea1580faf153648e06ae82cf7e8120b3e8fc09af22a30241d12b24455cef',
        80888,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cf6e6226e7e31135153cfba0e7d6253d26a0c81aee542ca5f1b33406beeffd61',
        80924,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'aace9e8c585430d8e5f5e8b0868040cf8c94a62926da3ca1b2915ccf918aac11',
        80876,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '965f1e1a19310a275f32f3aa52d992ac6436d6c42f8f761d9819978ac78f2143',
        80844,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '73d9402317cc748500edd9280aedf2cb6abe9f796d224a7c6332e221f0763005',
        80636,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Genos',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Genos font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Genos
  static TextTheme genosTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.genos(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.genos(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.genos(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.genos(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.genos(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.genos(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.genos(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.genos(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.genos(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.genos(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.genos(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.genos(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.genos(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.genos(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.genos(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gentium Book Plus font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gentium+Book+Plus
  static TextStyle gentiumBookPlus({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bf47e63699ba03f44205881dd862e9127eec1d348c8907f2c15d877015af7ea6',
        422484,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '17f2786f409895c81d67081ef9450c26f29009c1b784812f894e50295192cd48',
        453480,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '99aefcb41ae939044e6eed546579a017f0d8e49c3597b0d2c8f1d3c3518f9622',
        425744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a0d2139194cf21bfa5f0a7956f871206df60a33165e52007e6263afdf1e5896c',
        457732,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GentiumBookPlus',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gentium Book Plus font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gentium+Book+Plus
  static TextTheme gentiumBookPlusTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.gentiumBookPlus(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.gentiumBookPlus(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.gentiumBookPlus(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.gentiumBookPlus(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.gentiumBookPlus(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.gentiumBookPlus(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gentiumBookPlus(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.gentiumBookPlus(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gentiumBookPlus(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gentiumBookPlus(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gentiumBookPlus(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gentiumBookPlus(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gentiumBookPlus(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.gentiumBookPlus(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gentiumBookPlus(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gentium Plus font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gentium+Plus
  static TextStyle gentiumPlus({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '28f2b4944e2a125cafd82fd90967a382e35b3e4a4232fb9ed0a4d5a2f7ed7bb4',
        419980,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4f1327239df4342b6b1049ee6c6cc4a112226a2e98cd312b6e1ffd6f81539b64',
        451052,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '78c73cde2aaef84c82fa776ba70f73f8a84b1e80f926f69f884617730632b552',
        424176,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a9420052d0a15788273c42bc60a16edcaea50c80b2d6980849b8442df39a8ea1',
        455684,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GentiumPlus',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gentium Plus font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gentium+Plus
  static TextTheme gentiumPlusTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.gentiumPlus(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.gentiumPlus(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.gentiumPlus(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.gentiumPlus(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.gentiumPlus(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.gentiumPlus(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gentiumPlus(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gentiumPlus(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gentiumPlus(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gentiumPlus(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gentiumPlus(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gentiumPlus(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gentiumPlus(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gentiumPlus(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gentiumPlus(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Geo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Geo
  static TextStyle geo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a4f75ea7a6f7cd65cb961a8d39d3f9a1f6822ed37ed7fbb2f97ab2f7eb598f13',
        12944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '28aea72289f9222e94e2c01b332b75d4eb055f213293e1283378ecfdb89a24a1',
        13868,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Geo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Geo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Geo
  static TextTheme geoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.geo(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.geo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.geo(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.geo(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.geo(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.geo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.geo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.geo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.geo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.geo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.geo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.geo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.geo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.geo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.geo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Georama font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Georama
  static TextStyle georama({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '167abbe3e1be31d27151dd3929b2d16aa088a4dbef5da1a808f566b14e6d1480',
        90144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '105b91c16c4d78d20b2cd63c2ffa2b748800c535d50f1cccc7465b9067bec39b',
        91696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '74e18355285c5733cba76dcf8e2d72129961a3141bebfdd1622df0c8a5e02fdf',
        91688,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5ff1e9b260f187db4d76acb50da7baa6a92d120f32030b0617733b3840a5e99a',
        91668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '315a9a7e069c027c10e0eda07984222f2d7ecc4b4dd4aaee0ad65086d2604564',
        91640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '66606ec8d7fce4843d2b11a35c0dea1767291af290fdee5f32e0ea6db3f71c8f',
        91676,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aff6a1b20e237986a4bca02bb93fe712beb3edc3dd8f4c7e7298f833ac36e6f4',
        91564,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '01c29094bf3cd87dcb134c65daa2802e0a2e6a67d892114fc15899e7e9731a11',
        91584,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4119648ec193c63e7ebf9737006639f6ed99c64e45b04265a99ccdb5902ab191',
        91500,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f668a429a333dad8badcf9518032600518d4e9e9b9b534569d09659667c7ecd2',
        91908,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ced4f55f9615b725c39b94bfa1b998f613c406d42b919bae17b5754055793865',
        92804,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fa64b6047662a0bad70f084730019b33b5f8274e367ac09f51df34a42f74b4f4',
        92744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '12a70a3f70d01202dc5a9e47a5b51648de6c8ac797b922e256f0b859eb8ef999',
        92628,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c0aa8b827f96e0e9b5ac97f9b8b549e730f791b044753f4c801c1abb45cc932c',
        92748,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6ec880579ef6ac6fc1bd1e1bac63771239002187af5b347c8be66cec134f60ee',
        92752,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'bf352a8383a79fc844a0d1bdd94f26e7888949c23c114355d5dba2ff1bf6e72c',
        92628,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e42cb5b3fe31c4e551d4ddb956ab8cec6a218ac1fc18277cf2dfcf8175727b5d',
        92744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '131c3730858c6af063c6c18561621608c6ae0197b82acc4ab62c035ca4d55d83',
        92608,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Georama',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Georama font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Georama
  static TextTheme georamaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.georama(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.georama(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.georama(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.georama(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.georama(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.georama(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.georama(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.georama(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.georama(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.georama(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.georama(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.georama(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.georama(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.georama(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.georama(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Geostar font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Geostar
  static TextStyle geostar({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '58324632710199b6833f919c3729f0ac6130b9f1f9a2669364497fb25dd98030',
        38888,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Geostar',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Geostar font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Geostar
  static TextTheme geostarTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.geostar(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.geostar(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.geostar(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.geostar(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.geostar(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.geostar(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.geostar(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.geostar(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.geostar(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.geostar(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.geostar(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.geostar(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.geostar(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.geostar(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.geostar(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Geostar Fill font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Geostar+Fill
  static TextStyle geostarFill({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '516480715bd1b7bb21b29f2b28bf88b321176b945b8b74546695e7acb52ed749',
        36404,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GeostarFill',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Geostar Fill font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Geostar+Fill
  static TextTheme geostarFillTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.geostarFill(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.geostarFill(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.geostarFill(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.geostarFill(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.geostarFill(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.geostarFill(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.geostarFill(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.geostarFill(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.geostarFill(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.geostarFill(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.geostarFill(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.geostarFill(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.geostarFill(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.geostarFill(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.geostarFill(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Germania One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Germania+One
  static TextStyle germaniaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cf0d6476aeeece05b4e2b37641700d8e9811bd9aacd158a3127a49da5c92414c',
        29864,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GermaniaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Germania One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Germania+One
  static TextTheme germaniaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.germaniaOne(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.germaniaOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.germaniaOne(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.germaniaOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.germaniaOne(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.germaniaOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.germaniaOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.germaniaOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.germaniaOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.germaniaOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.germaniaOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.germaniaOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.germaniaOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.germaniaOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.germaniaOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gideon Roman font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gideon+Roman
  static TextStyle gideonRoman({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c5173dc53bc75a691071c98a79fc60aaba1e609e70e2968ab27a3a98d767f5e8',
        95056,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GideonRoman',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gideon Roman font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gideon+Roman
  static TextTheme gideonRomanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.gideonRoman(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.gideonRoman(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.gideonRoman(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.gideonRoman(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.gideonRoman(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.gideonRoman(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gideonRoman(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gideonRoman(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gideonRoman(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gideonRoman(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gideonRoman(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gideonRoman(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gideonRoman(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gideonRoman(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gideonRoman(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gidugu font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gidugu
  static TextStyle gidugu({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '69a638baa0896ab551d95e9ca1f774f7c024504a79426dcc32e98cb08adee223',
        174176,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Gidugu',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gidugu font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gidugu
  static TextTheme giduguTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.gidugu(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.gidugu(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.gidugu(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.gidugu(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.gidugu(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.gidugu(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gidugu(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gidugu(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gidugu(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gidugu(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gidugu(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gidugu(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gidugu(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gidugu(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gidugu(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gilda Display font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gilda+Display
  static TextStyle gildaDisplay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dd822bfbed1fd1d8c3e1f0d08550be22a66a893bb1a67db864227b6a5a20c02e',
        46028,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GildaDisplay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gilda Display font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gilda+Display
  static TextTheme gildaDisplayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.gildaDisplay(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.gildaDisplay(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.gildaDisplay(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.gildaDisplay(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.gildaDisplay(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.gildaDisplay(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gildaDisplay(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gildaDisplay(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gildaDisplay(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gildaDisplay(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gildaDisplay(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gildaDisplay(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gildaDisplay(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gildaDisplay(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gildaDisplay(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Girassol font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Girassol
  static TextStyle girassol({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c1192a737479de6f9241d0aceab300f1c131b5ad987c88cdfb0c17a7db296c43',
        31140,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Girassol',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Girassol font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Girassol
  static TextTheme girassolTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.girassol(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.girassol(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.girassol(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.girassol(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.girassol(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.girassol(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.girassol(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.girassol(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.girassol(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.girassol(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.girassol(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.girassol(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.girassol(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.girassol(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.girassol(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Give You Glory font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Give+You+Glory
  static TextStyle giveYouGlory({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'da4d27e519ee851e9b034a7c494e78737f54418f6da2edcb78d98815d0199ada',
        39000,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GiveYouGlory',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Give You Glory font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Give+You+Glory
  static TextTheme giveYouGloryTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.giveYouGlory(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.giveYouGlory(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.giveYouGlory(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.giveYouGlory(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.giveYouGlory(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.giveYouGlory(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.giveYouGlory(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.giveYouGlory(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.giveYouGlory(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.giveYouGlory(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.giveYouGlory(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.giveYouGlory(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.giveYouGlory(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.giveYouGlory(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.giveYouGlory(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Glass Antiqua font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Glass+Antiqua
  static TextStyle glassAntiqua({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '439a5d2e855f78555960024c317d5ec835eca5e02279a963392232dcb2bad4de',
        60540,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GlassAntiqua',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Glass Antiqua font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Glass+Antiqua
  static TextTheme glassAntiquaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.glassAntiqua(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.glassAntiqua(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.glassAntiqua(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.glassAntiqua(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.glassAntiqua(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.glassAntiqua(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.glassAntiqua(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.glassAntiqua(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.glassAntiqua(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.glassAntiqua(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.glassAntiqua(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.glassAntiqua(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.glassAntiqua(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.glassAntiqua(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.glassAntiqua(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Glegoo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Glegoo
  static TextStyle glegoo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd23c820836f158f570c35b5b59bf00d0854555c87dd7b5fcec82e47118ab0d58',
        111584,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f71116b2b302654fa83973d4eb20d2d070ce6716a71b46f35e70262a3a0e6b7d',
        109420,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Glegoo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Glegoo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Glegoo
  static TextTheme glegooTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.glegoo(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.glegoo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.glegoo(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.glegoo(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.glegoo(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.glegoo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.glegoo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.glegoo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.glegoo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.glegoo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.glegoo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.glegoo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.glegoo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.glegoo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.glegoo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gloock font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gloock
  static TextStyle gloock({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '25fa08cee3e78615e6bb2f8ea58dedf4b6fb0bad0e35a52bfb9e0c3d0afc5e97',
        64052,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Gloock',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gloock font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gloock
  static TextTheme gloockTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.gloock(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.gloock(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.gloock(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.gloock(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.gloock(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.gloock(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gloock(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gloock(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gloock(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gloock(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gloock(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gloock(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gloock(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gloock(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gloock(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gloria Hallelujah font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gloria+Hallelujah
  static TextStyle gloriaHallelujah({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'be56dc4c15c5f35de9f2362a519d9b90c854275b2829d8221bfc6c0c0bdc357c',
        41924,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GloriaHallelujah',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gloria Hallelujah font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gloria+Hallelujah
  static TextTheme gloriaHallelujahTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.gloriaHallelujah(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.gloriaHallelujah(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.gloriaHallelujah(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.gloriaHallelujah(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.gloriaHallelujah(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.gloriaHallelujah(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gloriaHallelujah(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.gloriaHallelujah(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gloriaHallelujah(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gloriaHallelujah(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gloriaHallelujah(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gloriaHallelujah(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gloriaHallelujah(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.gloriaHallelujah(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gloriaHallelujah(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Glory font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Glory
  static TextStyle glory({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '85e863ed32e02583e2ad7501dd33ff88909b0b352c6d51c5fa1551a1eb2c1c4a',
        52380,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f394493b5bf59d19eb60d056a7a30183a7d946d0940a6549b12e35f5e9a5885c',
        52612,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '77ba5211f7f43ae6f8d2bb15bed0e9b010a2b272f808419c16e1cff70aa9e9f7',
        52640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd320ea5a026419dbdcfdb87ecf0c6849c35d72f35a129036baf9a49da76c348d',
        52668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '997d4740865ba97cabb27d27a2b9de5543f66938503d85d9767f9427fd33c193',
        52736,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4ea793d93bb79967b9ddaa280ed5fe006f80bc5e6cd970bdd938674b4fbf5283',
        52648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '153dd6ab3b3313d408287f2ce10cd9bd05927144f3af40703f8901fe4fbce5d7',
        52624,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3ef1afecf19db36ffe64f3dbb4f7bd15919e9b4450b6c587b8f995534216b21a',
        52700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3c3cd6e54fa3891972886e4cd0e447dcc093079e828eae2cc7bb576d655d2e2d',
        53992,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3f252ac6a1e8c41bcdc0a6be3158c577f4b202be7cbf097b2be93460285f7612',
        54272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'af0ab316bc3583a5c75bc4b1d9a8c695e72c2f5a1376413f3fcf080ec57d103c',
        54312,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '01c91f999e4c3c4042226f777e6e61cbdfe7eaaf820833bd2c1db9e0b55dbf25',
        54284,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '066741486e9a1f0b20a67b9f0dd57c80423cc0ce31e8ea63f48d103470402021',
        54396,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '514e63f230d90c2afae1046c73b563274b1c98175b49a7274040326579968905',
        54532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '14f4cead7ec07acb9f606d5114a817cf421419e720f4bfa3e1685be50cfab748',
        54448,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e362f1bea13bd59cb0b373fa89390cf0fd6622785d0e5b7fe1ff7d6d0e171c2b',
        54516,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Glory',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Glory font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Glory
  static TextTheme gloryTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.glory(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.glory(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.glory(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.glory(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.glory(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.glory(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.glory(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.glory(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.glory(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.glory(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.glory(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.glory(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.glory(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.glory(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.glory(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gluten font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gluten
  static TextStyle gluten({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cf5b7549a8dbb23d9bf0ea9129dbd66e8c1c610ba1dd323c0eb1b29f8f122a52',
        85956,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bdfbb288831d868550cd821009e37dfa6c197ae741f98532a6a5b02b613438a3',
        86528,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1ef3b4c381836ae652b3872cb9ab9f1c520a0c18ca5c7d78f5e54661cbba0ad1',
        86592,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '91203f1bc63ec423a00d7250d03cb26a687766454056de2f1253b6d82622b53e',
        86660,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0292eb78093bf1a2888898c161b6b446dff2396a3dd982fb87ee782ba2836eed',
        86728,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '363f9cc614948239fa720351844334fe4f7b06b2e211570ca08f995e9a6c545a',
        86776,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6374244f4ceb36ba618e313b51f603faaa1188444d9801657a24cc5a4c806e1b',
        86772,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '34e8798451be8973392a00f4f7474e79dae41337447618ca1251f6c0c81eaee0',
        86848,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '579cb7d343f6a4641287dd8cb2426758dcf43fdb2d4106abbdf2ad19629c3425',
        86732,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Gluten',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gluten font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gluten
  static TextTheme glutenTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.gluten(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.gluten(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.gluten(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.gluten(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.gluten(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.gluten(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gluten(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gluten(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gluten(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gluten(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gluten(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gluten(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gluten(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gluten(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gluten(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Goblin One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Goblin+One
  static TextStyle goblinOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0b31214a2d109c252782ad4cab7e8a57bea0899e5e9b1e063a79e25aadd98b4f',
        32924,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GoblinOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Goblin One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Goblin+One
  static TextTheme goblinOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.goblinOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.goblinOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.goblinOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.goblinOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.goblinOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.goblinOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.goblinOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.goblinOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.goblinOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.goblinOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.goblinOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.goblinOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.goblinOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.goblinOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.goblinOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gochi Hand font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gochi+Hand
  static TextStyle gochiHand({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '910638a86493cf6ee9014c5c15d551737d06de1d154b8947f4290691472a5d0c',
        34928,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GochiHand',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gochi Hand font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gochi+Hand
  static TextTheme gochiHandTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.gochiHand(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.gochiHand(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.gochiHand(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.gochiHand(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.gochiHand(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.gochiHand(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gochiHand(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gochiHand(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gochiHand(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gochiHand(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gochiHand(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gochiHand(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gochiHand(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gochiHand(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gochiHand(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Goldman font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Goldman
  static TextStyle goldman({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dcc1f27a2032e81387715d774b1b846f8dcbfbb0addbc21ca60a20369c4910de',
        53520,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8ba145edd49915d8bcc291871f87a64e40ad57ff52187576e5ace029aba1d131',
        53308,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Goldman',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Goldman font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Goldman
  static TextTheme goldmanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.goldman(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.goldman(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.goldman(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.goldman(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.goldman(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.goldman(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.goldman(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.goldman(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.goldman(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.goldman(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.goldman(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.goldman(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.goldman(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.goldman(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.goldman(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Golos Text font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Golos+Text
  static TextStyle golosText({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a34a041c2ed926d1c781621175f6b1ab6a70fed65d6f1777f2c0dfbbc1edd3c7',
        64216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '893eac524d48cd54cfadfa74c7c82f1e406f71783eccb4f7dd9a8bbf6702d259',
        64184,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5ed3465fb39f5e3dc7e38b5eeb7831b84a3065268e63cf498f535b9a577d2414',
        64240,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '06f4f066bda306ade509c712adeda97b550ae24aabe326fc9ec5ccd45066665d',
        64084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '05d4be9f34de382b3a97d797366a0f2c987102d360907e2d8e7bd6c1fa030a4e',
        64188,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1dc5664d210a68f7ff504fada46b98f295b7f824034f7a81aa4a59cd200132d6',
        64068,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GolosText',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Golos Text font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Golos+Text
  static TextTheme golosTextTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.golosText(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.golosText(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.golosText(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.golosText(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.golosText(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.golosText(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.golosText(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.golosText(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.golosText(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.golosText(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.golosText(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.golosText(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.golosText(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.golosText(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.golosText(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gorditas font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gorditas
  static TextStyle gorditas({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '785ed310d3b318c402f51dd10940ae3c2b6c5ba71084f22362c793bbbd29d954',
        56976,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '21a5666a05e84d767c0d0ecc79f38ed92c63469cc09bdafd6216bd5224cc4723',
        57968,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Gorditas',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gorditas font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gorditas
  static TextTheme gorditasTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.gorditas(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.gorditas(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.gorditas(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.gorditas(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.gorditas(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.gorditas(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gorditas(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gorditas(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gorditas(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gorditas(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gorditas(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gorditas(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gorditas(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gorditas(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gorditas(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gothic A1 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gothic+A1
  static TextStyle gothicA1({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2344d0dfaed41c6aa2ad2e4c3a7cc1e3542488d80cf185add2cb5f376c565fb5',
        1315212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ab8ea5d842f6fe59c01e9bb6565c63bf79dfe4c5c6437b2189a2a8f645329464',
        1313544,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c0befdd647051b924421c0c5b5528cc6aaf80b66c7a7b0073c2f55e924d904bd',
        1314200,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5c8517146924481477fbd92182e32ab65f415725277a50ba76d5c6613d6c7d42',
        1311204,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '93c6927eb1ea8f245a17922720c161d22e2f6fbcd78a2195bba5f0004c05493f',
        1311796,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd30143d7bfb5faf291c2d26eacf27594738cbc1604915b641fe51cd12cbcd5b0',
        1311188,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2114ec6ba9f1da8def89f6ff990edcc3b669f4a8eb1e604869ccb6f6d4a1b203',
        1310928,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e883524fbd806a6c3de3f735880528da71b72984c850a194318130085032a0af',
        1310756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fdf849a28c7ecce3f6eff2c28aab66403dd2f60dc1e51402f7700705f6b0a457',
        1312028,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GothicA1',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gothic A1 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gothic+A1
  static TextTheme gothicA1TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.gothicA1(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.gothicA1(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.gothicA1(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.gothicA1(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.gothicA1(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.gothicA1(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gothicA1(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gothicA1(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gothicA1(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gothicA1(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gothicA1(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gothicA1(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gothicA1(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gothicA1(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gothicA1(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gotu font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gotu
  static TextStyle gotu({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '649515d1a527f45a8c70b1fa559b32fc768ed5563382009715dd9459bf38896b',
        518800,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Gotu',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gotu font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gotu
  static TextTheme gotuTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.gotu(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.gotu(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.gotu(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.gotu(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.gotu(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.gotu(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gotu(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gotu(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gotu(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gotu(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gotu(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gotu(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gotu(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gotu(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gotu(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Goudy Bookletter 1911 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Goudy+Bookletter+1911
  static TextStyle goudyBookletter1911({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0c6b03b898883e783f003fda7451394a14538dfb42205349c854fb5670dda953',
        36684,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GoudyBookletter1911',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Goudy Bookletter 1911 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Goudy+Bookletter+1911
  static TextTheme goudyBookletter1911TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.goudyBookletter1911(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.goudyBookletter1911(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.goudyBookletter1911(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.goudyBookletter1911(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.goudyBookletter1911(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.goudyBookletter1911(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.goudyBookletter1911(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.goudyBookletter1911(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.goudyBookletter1911(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.goudyBookletter1911(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.goudyBookletter1911(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.goudyBookletter1911(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.goudyBookletter1911(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.goudyBookletter1911(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.goudyBookletter1911(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gowun Batang font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gowun+Batang
  static TextStyle gowunBatang({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1256292a2f7fb2f8f73d9e20030408aa2ff0c7e3fab8d1715dc094bb594fd5b0',
        8430916,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9c26cf829c92cef1c0d8cf6eeb6e99eacb9ea1021010b68922068062620e3314',
        8175220,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GowunBatang',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gowun Batang font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gowun+Batang
  static TextTheme gowunBatangTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.gowunBatang(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.gowunBatang(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.gowunBatang(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.gowunBatang(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.gowunBatang(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.gowunBatang(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gowunBatang(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gowunBatang(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gowunBatang(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gowunBatang(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gowunBatang(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gowunBatang(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gowunBatang(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gowunBatang(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gowunBatang(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gowun Dodum font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gowun+Dodum
  static TextStyle gowunDodum({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b4f73f91c50079a3140edee56a09d818531340544221e32e70bcbc960a7969d7',
        7226720,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GowunDodum',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gowun Dodum font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gowun+Dodum
  static TextTheme gowunDodumTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.gowunDodum(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.gowunDodum(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.gowunDodum(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.gowunDodum(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.gowunDodum(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.gowunDodum(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gowunDodum(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gowunDodum(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gowunDodum(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gowunDodum(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gowunDodum(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gowunDodum(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gowunDodum(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gowunDodum(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gowunDodum(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Graduate font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Graduate
  static TextStyle graduate({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4ed21b118a8dda3787721ba1ac982ab030ff1f4f085a0e2d56ced87cdf8d6ba8',
        20784,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Graduate',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Graduate font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Graduate
  static TextTheme graduateTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.graduate(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.graduate(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.graduate(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.graduate(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.graduate(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.graduate(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.graduate(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.graduate(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.graduate(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.graduate(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.graduate(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.graduate(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.graduate(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.graduate(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.graduate(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Grand Hotel font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Grand+Hotel
  static TextStyle grandHotel({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ff1a0bf6514f70dff314a728275a77ae13cc84481727d49daa7700a1c77f4e24',
        60668,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GrandHotel',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Grand Hotel font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Grand+Hotel
  static TextTheme grandHotelTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.grandHotel(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.grandHotel(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.grandHotel(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.grandHotel(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.grandHotel(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.grandHotel(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.grandHotel(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.grandHotel(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.grandHotel(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.grandHotel(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.grandHotel(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.grandHotel(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.grandHotel(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.grandHotel(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.grandHotel(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Grandstander font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Grandstander
  static TextStyle grandstander({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '174f03df5747ce3aa64b08774eff070b2e4973a1df414ff0d7b2ca8a56dd245b',
        83136,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cae1b6e7a9235e085f6e16d814b762b45d5c89bb9e2fa076a90aef4fc0016a09',
        83324,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c559c91ad8c22bedca60f66e6c77fd0f59c45be9dff91b291b19f4c4247ec18d',
        83344,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e3247fdea2eb17013563251ac6530d1d8325bcc669024d6833d6655fa09b9747',
        83344,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9dacefb651d4378f15bf195656385739f91b53a19d28532332b8eac08b01c60d',
        83400,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '48acc6f54b31fd536d0c07d7ed80becad24cfdb4ccd93e146ec7d2eb7c2fdeca',
        83440,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c5e4bb92e49c0e38b6eca1e7b1e968f2be44afde53904ec215e902146ff6bdca',
        83416,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '59ac3e668e2f3bfb395feb4fee8916bfefdb16e904a20b42d2b045f01cc798f4',
        83480,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'afb976b69cb35f9a01574e287ec897ec74b8cac960a23b0aa1a3f91cc1292971',
        83288,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '91186cc13c420b72e76538be6eb9147c9d7c4749ed489215aad626d8075b66ea',
        83796,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f07de16d8c271564fbedae441981349724d62766f4b0dced86d710f24c8e0236',
        83972,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '65e73ef71f4791d01c75e775920accb508b5fba8534a5fc72d557b09d5354c06',
        83852,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '236b538161d3ca7bf62918cc7a6fc1733821549c8fbf5d8c12d5f2540d92dc7a',
        83728,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '18dca9f7a35c099363ae6d0000214b1a7d6d99b9f5a0025b0facf9d0594c0b04',
        83872,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5764fb19704815b4e99063e2ae8758809403967a58af11da87c86de8c4e83c21',
        83872,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c3fe9771999ee48eb09c8b83dc5c24430b009e711217c6d0fd87ac335fb326e2',
        83832,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '894eae2d655ad3c57b6036b35a2bbec0d51083d535df1ceb7acf873fa4c4f237',
        83940,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e278b0fae4ad4e437d2b3342fc4361696b38e08cd6fdeeccbeda3c3173618cdd',
        83784,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Grandstander',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Grandstander font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Grandstander
  static TextTheme grandstanderTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.grandstander(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.grandstander(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.grandstander(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.grandstander(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.grandstander(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.grandstander(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.grandstander(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.grandstander(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.grandstander(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.grandstander(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.grandstander(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.grandstander(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.grandstander(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.grandstander(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.grandstander(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Grape Nuts font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Grape+Nuts
  static TextStyle grapeNuts({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '782f9c0b9fbea49dec676477ba186792e7df456a59522892f2fb81ba4fe815c2',
        84944,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GrapeNuts',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Grape Nuts font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Grape+Nuts
  static TextTheme grapeNutsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.grapeNuts(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.grapeNuts(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.grapeNuts(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.grapeNuts(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.grapeNuts(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.grapeNuts(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.grapeNuts(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.grapeNuts(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.grapeNuts(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.grapeNuts(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.grapeNuts(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.grapeNuts(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.grapeNuts(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.grapeNuts(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.grapeNuts(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gravitas One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gravitas+One
  static TextStyle gravitasOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8304f0f306c85f59f6ea4fdf352c32794fd5e6c471d2f52118b579970bd39893',
        37360,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GravitasOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gravitas One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gravitas+One
  static TextTheme gravitasOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.gravitasOne(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.gravitasOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.gravitasOne(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.gravitasOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.gravitasOne(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.gravitasOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gravitasOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gravitasOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gravitasOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gravitasOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gravitasOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gravitasOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gravitasOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gravitasOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gravitasOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Great Vibes font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Great+Vibes
  static TextStyle greatVibes({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2adc288551a2669737dcc8417360e18efa1efdf175a6745f74c4282601ee34d2',
        81592,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GreatVibes',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Great Vibes font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Great+Vibes
  static TextTheme greatVibesTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.greatVibes(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.greatVibes(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.greatVibes(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.greatVibes(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.greatVibes(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.greatVibes(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.greatVibes(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.greatVibes(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.greatVibes(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.greatVibes(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.greatVibes(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.greatVibes(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.greatVibes(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.greatVibes(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.greatVibes(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Grechen Fuemen font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Grechen+Fuemen
  static TextStyle grechenFuemen({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '016c04b70a0a153039c9cec6efe925ef6e85adae60ca926afbcbfc0720ce7ff4',
        90244,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GrechenFuemen',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Grechen Fuemen font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Grechen+Fuemen
  static TextTheme grechenFuemenTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.grechenFuemen(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.grechenFuemen(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.grechenFuemen(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.grechenFuemen(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.grechenFuemen(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.grechenFuemen(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.grechenFuemen(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.grechenFuemen(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.grechenFuemen(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.grechenFuemen(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.grechenFuemen(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.grechenFuemen(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.grechenFuemen(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.grechenFuemen(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.grechenFuemen(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Grenze font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Grenze
  static TextStyle grenze({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fd0905e69d662e40b0b0dea549c8fa228145e2fa4125fc27064f8cdffe9af26b',
        64780,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a1a2ac0f009402544317fc095e345f1ceb85f5c49447230c4b8c15f2fbf17a7b',
        67292,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd4ff8ce6f5630f53d11e6a86692261fd7702cc5c4ca21b6e51bac40b4ae17d48',
        65072,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b9d5a4c3f9363080973f3ae49eb5087940965c6ef61996c6bf6ff926e53c2e64',
        67476,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '92131b19b06aada699a0187b48052e7d6a9491aa3c1574bb38970748a60c43d2',
        64900,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3b63d3aaff65dcd4ab4f6c6292f60bf28a06397ad53ef58d18dbe3e94b296a71',
        67428,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c3305ec8eb951bd29fb71746197b927b1f2feaf490077b67f3b490303a96e028',
        64836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '42270c99790b21b761ff5c305abdaf3674d665ce0a15df662e779ea28819d5fb',
        66872,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a1dd0a3c26198fdd67e6581955d977457d50edc1c4615e0775366d5394cdcc5a',
        64816,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fb894d592d1560218faec92d2488da2eba2a69444300590d1f22395faa1e5cbb',
        67452,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6bdaff28ee15712b870c55917481855920a6325e10db122795bc4451bc773d47',
        64676,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6d3b44addb1c8fc89224922238ed34f499ff8b5beb6083bd3e0282c816c44663',
        67296,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '044346f16d06d1b382b06ab8aa9684bb564024fc9855cc8df43d99aa97353553',
        64608,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'dda89bb95e9af4a570359e6ff4216165a9faddfaf851cb9acd04ba5ca5de769f',
        67244,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1a9c56a437eede48957fe3a7c56b8dc690dd9ec425c9b9aaf6ab2ed556f8c2c5',
        64744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '586237e591dae5714867e2eb76ec252cf52ac7e26968b712debbfc7a73993879',
        67164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fc9f366a5ebbfc5539466b2c33aa01b06570d4df39a714ced551bb01bbc48ff0',
        64488,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '83f0531867318d330f16049337b2a41839dc38738d8473106c7ee54ba4f98c15',
        67224,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Grenze',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Grenze font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Grenze
  static TextTheme grenzeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.grenze(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.grenze(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.grenze(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.grenze(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.grenze(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.grenze(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.grenze(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.grenze(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.grenze(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.grenze(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.grenze(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.grenze(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.grenze(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.grenze(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.grenze(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Grenze Gotisch font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Grenze+Gotisch
  static TextStyle grenzeGotisch({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6029df55008a55825cd2fae4e412f403ec20158d3dd969ea3cba82fb64158580',
        70456,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1ce905ba6529d7ae3611ad25cf486ca4ad0dd30c52c50732d6e2f96e3332a6cf',
        70596,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '02d43197687d8c97fd006ac0b7bbc6381c1b11fc5e7a3deae2bca8bb230c0aed',
        70620,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '54a398ed75e70e3f34828caef99fb97febc57d330b70c72377f7b007261a241a',
        70452,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cbade1ed7b7ee3b416eeb165e3bfca121f77e57ca7a874d6833dc053d86534c3',
        70580,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eb5bc0ccc959d5de9b83df015ce543831c0dfa3f7779b40c38ad871a11a6cbbd',
        70676,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '599486e52453adf4d1bacb2614d59dce2b48ef483d1b8a2ad4c49876c2d37143',
        70624,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e2214d54a8b35e4c28d866e0eebb1f1e8c5c076e1f2cd9ad140a703960cd315b',
        70692,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a7a2c18ccca1f20b355c5e304bff8f0106801da7392d003e371f77533fb67c4c',
        70664,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GrenzeGotisch',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Grenze Gotisch font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Grenze+Gotisch
  static TextTheme grenzeGotischTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.grenzeGotisch(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.grenzeGotisch(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.grenzeGotisch(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.grenzeGotisch(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.grenzeGotisch(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.grenzeGotisch(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.grenzeGotisch(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.grenzeGotisch(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.grenzeGotisch(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.grenzeGotisch(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.grenzeGotisch(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.grenzeGotisch(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.grenzeGotisch(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.grenzeGotisch(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.grenzeGotisch(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Grey Qo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Grey+Qo
  static TextStyle greyQo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '92fb429683f1af40c5aae834f91ff48bda04d196e22004a3fe2d81137db9ac4e',
        110152,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GreyQo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Grey Qo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Grey+Qo
  static TextTheme greyQoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.greyQo(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.greyQo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.greyQo(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.greyQo(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.greyQo(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.greyQo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.greyQo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.greyQo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.greyQo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.greyQo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.greyQo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.greyQo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.greyQo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.greyQo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.greyQo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Griffy font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Griffy
  static TextStyle griffy({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b71c5cb9d4cb052c2e0cb638c1a718f132913acca52be1a89e9131ce2ed1f675',
        206436,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Griffy',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Griffy font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Griffy
  static TextTheme griffyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.griffy(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.griffy(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.griffy(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.griffy(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.griffy(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.griffy(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.griffy(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.griffy(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.griffy(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.griffy(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.griffy(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.griffy(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.griffy(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.griffy(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.griffy(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gruppo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gruppo
  static TextStyle gruppo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3b5716df641d16c967336ef7af1e53465938b3314c28566bdcf00ed03652e588',
        55000,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Gruppo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gruppo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gruppo
  static TextTheme gruppoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.gruppo(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.gruppo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.gruppo(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.gruppo(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.gruppo(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.gruppo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gruppo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gruppo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gruppo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gruppo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gruppo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gruppo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gruppo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gruppo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gruppo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gudea font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gudea
  static TextStyle gudea({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2a8eed0542579b267b417f670cb4943d646fffbf41ec5f2c94acc1d4c74e931e',
        20716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '53bb2dabce35d41e8b3ff19d7a98dc53718955c57114b27c908fd07fb1e7a56f',
        25040,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '66655779275cb8cd0af6eae0c90c6288d5bf9758bdd276242bf18eced4823e28',
        20240,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Gudea',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gudea font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gudea
  static TextTheme gudeaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.gudea(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.gudea(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.gudea(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.gudea(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.gudea(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.gudea(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gudea(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gudea(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gudea(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gudea(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gudea(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gudea(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gudea(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gudea(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gudea(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gugi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gugi
  static TextStyle gugi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e6534d52bf2ab3d1346afa5201bec77b81c236894c1307697e4b04d76435dea8',
        552880,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Gugi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gugi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gugi
  static TextTheme gugiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.gugi(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.gugi(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.gugi(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.gugi(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.gugi(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.gugi(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gugi(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gugi(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gugi(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gugi(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gugi(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gugi(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gugi(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gugi(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gugi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gulzar font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gulzar
  static TextStyle gulzar({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1c7f70ff312f1180904aba70c14c4fd89e1457f831a50dd7d8d48d30378dbd58',
        869960,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Gulzar',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gulzar font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gulzar
  static TextTheme gulzarTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.gulzar(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.gulzar(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.gulzar(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.gulzar(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.gulzar(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.gulzar(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gulzar(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gulzar(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gulzar(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gulzar(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gulzar(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gulzar(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gulzar(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gulzar(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gulzar(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gupter font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gupter
  static TextStyle gupter({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd6a47ccf2a001dfa3229fe2c41f0601577c8c19f096dcb18bca6b6ecf29e6345',
        33868,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8f9e33c8a6c5fd7dc40e42e0b77460bdcc241c0b33eb9a20e0c12f95eea4642c',
        33688,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '17592a69f88d14b17f25a93d731d9d94557c377b2ebe18aee987e77dce05faa8',
        33692,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Gupter',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gupter font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gupter
  static TextTheme gupterTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.gupter(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.gupter(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.gupter(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.gupter(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.gupter(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.gupter(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gupter(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gupter(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gupter(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gupter(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gupter(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gupter(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gupter(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gupter(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gupter(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gurajada font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gurajada
  static TextStyle gurajada({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4c38a7fba9851ffc52f6146a7a202ed587126f0b23b1649815d4094eb34db60e',
        226236,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Gurajada',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gurajada font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gurajada
  static TextTheme gurajadaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.gurajada(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.gurajada(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.gurajada(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.gurajada(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.gurajada(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.gurajada(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gurajada(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gurajada(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gurajada(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gurajada(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gurajada(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gurajada(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gurajada(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gurajada(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gurajada(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gwendolyn font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gwendolyn
  static TextStyle gwendolyn({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c1b9fd6702ec71dbd7320574c728c3583e5677d25c3974e23dfcb844f85ac07d',
        105900,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4f7ac7d62b7a952e8313a32e013d3f246f42844704ef04624036087df9ee0fc8',
        109060,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Gwendolyn',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gwendolyn font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gwendolyn
  static TextTheme gwendolynTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.gwendolyn(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.gwendolyn(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.gwendolyn(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.gwendolyn(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.gwendolyn(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.gwendolyn(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gwendolyn(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gwendolyn(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gwendolyn(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gwendolyn(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gwendolyn(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gwendolyn(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gwendolyn(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gwendolyn(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gwendolyn(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Habibi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Habibi
  static TextStyle habibi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3ca195eed5fe19c0c1eb401140f8787c17d6a398fce69fa567cfa3e905608a3d',
        32608,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Habibi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Habibi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Habibi
  static TextTheme habibiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.habibi(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.habibi(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.habibi(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.habibi(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.habibi(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.habibi(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.habibi(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.habibi(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.habibi(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.habibi(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.habibi(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.habibi(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.habibi(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.habibi(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.habibi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Hachi Maru Pop font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hachi+Maru+Pop
  static TextStyle hachiMaruPop({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6bd24d8b6d4eef3b41f62c3b1888117803fc7d153401696545c788bf88332d14',
        4374644,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'HachiMaruPop',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Hachi Maru Pop font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hachi+Maru+Pop
  static TextTheme hachiMaruPopTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.hachiMaruPop(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.hachiMaruPop(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.hachiMaruPop(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.hachiMaruPop(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.hachiMaruPop(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.hachiMaruPop(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.hachiMaruPop(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.hachiMaruPop(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.hachiMaruPop(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.hachiMaruPop(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.hachiMaruPop(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.hachiMaruPop(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.hachiMaruPop(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.hachiMaruPop(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.hachiMaruPop(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Hahmlet font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hahmlet
  static TextStyle hahmlet({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ded39496e5944f1e9320c24965b4ebc9ae59416c3895c29cfe83c67557e5cde0',
        1467208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3bbfe806f44542aa1688e21cfc7713a304781ef3945bdbdbccfd0051bca3ab19',
        1475716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '03803e70296af63f54766b80588d68823af4ab5f7446479aff4d4f6ab49cbc68',
        1479464,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bac66078600ad3653a560bf74e8531d417178f7449c7f58f1f1b2974b12d233b',
        1482704,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '08c43d8a1e79f68afdb0f0b36a1c34a1de2e0cf58dd7ff54eba6fc9997d8dc0f',
        1486344,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '752d8f2a1275cf0933e445043e0f94bf6975792c6081bba93fdda4617d7a71ce',
        1487176,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '63581b852d0cc27df3b95edd4594ef2de18aa5a93f834a1d9d9bab2544885ae9',
        1484424,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bdb9f0e62efbf5da556f9f08456e750acbdf37dac8ef9fb1d1673403ad764c68',
        1482276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '55d3d3281ea5f9bea317f210784a39deedebc8ccd02af78bb4539479e7e9e71c',
        1478360,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Hahmlet',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Hahmlet font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hahmlet
  static TextTheme hahmletTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.hahmlet(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.hahmlet(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.hahmlet(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.hahmlet(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.hahmlet(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.hahmlet(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.hahmlet(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.hahmlet(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.hahmlet(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.hahmlet(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.hahmlet(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.hahmlet(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.hahmlet(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.hahmlet(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.hahmlet(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Halant font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Halant
  static TextStyle halant({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0585282b8615ae3fb54b8810763a398c8a09f2d9cfc025f23db5da00f2910aaa',
        158884,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '83eefa807c0685aef8acd83cd0d7a8330e835779a8b2620b8575d4af6bbd2769',
        158696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e0910f22e003b05eb5cb750c3e03e553f0c3e4e9ed2e5673e379d3ab27e25513',
        156496,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5d21596560886e4a304711974ee214b7bf1541bfd4ba2687b153f33f4a721ee6',
        154528,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5f665a1d57657cc5c449b943fe73cc1597459a145e912bfff1a10671ac6b6d2f',
        153656,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Halant',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Halant font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Halant
  static TextTheme halantTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.halant(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.halant(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.halant(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.halant(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.halant(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.halant(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.halant(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.halant(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.halant(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.halant(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.halant(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.halant(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.halant(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.halant(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.halant(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Hammersmith One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hammersmith+One
  static TextStyle hammersmithOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd6d3a4ade0759a62ce64c22baba513e7e4e4f53f7db5646a1e01b70d487536bd',
        53680,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'HammersmithOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Hammersmith One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hammersmith+One
  static TextTheme hammersmithOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.hammersmithOne(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.hammersmithOne(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.hammersmithOne(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.hammersmithOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.hammersmithOne(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.hammersmithOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.hammersmithOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.hammersmithOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.hammersmithOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.hammersmithOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.hammersmithOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.hammersmithOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.hammersmithOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.hammersmithOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.hammersmithOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Hanalei font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hanalei
  static TextStyle hanalei({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fe5b4ba22786da8107703bf35cbe2320a5a2bbb50001bff3e86651b370772c8b',
        181760,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Hanalei',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Hanalei font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hanalei
  static TextTheme hanaleiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.hanalei(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.hanalei(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.hanalei(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.hanalei(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.hanalei(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.hanalei(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.hanalei(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.hanalei(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.hanalei(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.hanalei(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.hanalei(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.hanalei(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.hanalei(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.hanalei(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.hanalei(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Hanalei Fill font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hanalei+Fill
  static TextStyle hanaleiFill({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9599b1f463d94b290dd33d09c7585730cd5964e17ebf3aa8b80034bb1ed7930f',
        89792,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'HanaleiFill',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Hanalei Fill font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hanalei+Fill
  static TextTheme hanaleiFillTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.hanaleiFill(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.hanaleiFill(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.hanaleiFill(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.hanaleiFill(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.hanaleiFill(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.hanaleiFill(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.hanaleiFill(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.hanaleiFill(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.hanaleiFill(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.hanaleiFill(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.hanaleiFill(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.hanaleiFill(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.hanaleiFill(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.hanaleiFill(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.hanaleiFill(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Handlee font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Handlee
  static TextStyle handlee({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6a44774e7b1f7e4ec43fcce9075e9f9b021e5ca365b337524506b687e0a4f48f',
        37208,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Handlee',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Handlee font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Handlee
  static TextTheme handleeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.handlee(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.handlee(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.handlee(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.handlee(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.handlee(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.handlee(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.handlee(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.handlee(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.handlee(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.handlee(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.handlee(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.handlee(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.handlee(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.handlee(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.handlee(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Hanken Grotesk font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hanken+Grotesk
  static TextStyle hankenGrotesk({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c1fced7321e856c0a34f6286e7a1183791afbf74d51ce2c12b9fb9e47cc5f7b2',
        57172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '919e51fb2c38142a3ce0e78417ee61be928bc28cb684841d2f8fea88440e131d',
        57292,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8b661d23973453bf569821662082ccf3010adc25cd6117a1ab80754551558c57',
        57196,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '956414e58193ccf0e310474863f25057523ad3572d5c9d6ba75ddf77b3babf12',
        57224,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6343cd88c58a6c2f1156bbb86882e0c3f04db34be2bc66e7a294ef5c0a55f4f5',
        57216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6dd6e94c87b1cfaac4fb7c3a50827eca02021238e3bb02d7a00bb5a94ea070a2',
        57188,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '753c8c35eee400eb1a46e4a46012c1e50a1e3b95fe7668cece45411d7d957b47',
        57120,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0be566fab5fdf4b52b257bcb10f7f831e17a74f73df9f420db4592676a5886d3',
        57172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '020dbe20a42686fb0e5029f29045993f33d9f1ca3d8c4c1da5929983e7afc2ef',
        57128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9dfcb470146ac6d2f03562e28d878672bcd60f496c52bf382a6d9d1bee6e3f2b',
        61240,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a1f91dc0dd9f5cba2546ba855dbe3fde50b357f02775683cedb4d30f6990eeb8',
        61472,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '300061f23ffd318a460a5921ad13f31e8fe0edb7b23bd1dea8146ff035eb9eee',
        61432,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '105e474c0919f87433a21b4c787d3b798043fb68b9744a97162d1b3bcf4f3d2d',
        61200,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c620056b6ba29eb6e08fff3d0a76700c4daed14a487497dde523f8bf3cc3fee4',
        61432,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c1288e51ed612d19a2e91d2873c6041a659323a8cae7e46be1b545dcdce89575',
        61396,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '661d98fdeebd42b8ce1d5bbdfbc5f2aec0f15ddc7ea37e0bc4bd40dd024469d9',
        61320,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '992f833b45f4209b8dd6f7fcd80c701354c0fc1a021bb0f3876d70f7d12161d1',
        61428,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7a2fedbf528321b14b4c5075923c31221b393d115bdd25d943afba434d0ae249',
        61228,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'HankenGrotesk',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Hanken Grotesk font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hanken+Grotesk
  static TextTheme hankenGroteskTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.hankenGrotesk(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.hankenGrotesk(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.hankenGrotesk(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.hankenGrotesk(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.hankenGrotesk(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.hankenGrotesk(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.hankenGrotesk(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.hankenGrotesk(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.hankenGrotesk(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.hankenGrotesk(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.hankenGrotesk(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.hankenGrotesk(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.hankenGrotesk(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.hankenGrotesk(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.hankenGrotesk(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Hanuman font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hanuman
  static TextStyle hanuman({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd1327d662a0f22641ef3c007ec379117e4c1d5bf5958fda16b15c5db537f3d92',
        59132,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '19a238a0980e239b2c588547626be3e429bed2916a55eb2396af6619b52926fc',
        57700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '02ce7dd70f68c79bc438d0b9d85dff02274c7107299403423bef3f18a13e3c79',
        63944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1a6a6daf0a8e4c2466c8bb9ce44041edc7895ed9756339ea10836e2463bac229',
        57732,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2231324f0ef8aa78b5578c12f7550e9cb997eaa4746fea1c312267bd5005edad',
        59124,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Hanuman',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Hanuman font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hanuman
  static TextTheme hanumanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.hanuman(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.hanuman(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.hanuman(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.hanuman(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.hanuman(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.hanuman(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.hanuman(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.hanuman(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.hanuman(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.hanuman(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.hanuman(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.hanuman(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.hanuman(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.hanuman(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.hanuman(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Happy Monkey font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Happy+Monkey
  static TextStyle happyMonkey({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e44e19c6fb5fc23883e8f89cab56115239b625243ab53cb51b84e7332dbdda7d',
        40080,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'HappyMonkey',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Happy Monkey font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Happy+Monkey
  static TextTheme happyMonkeyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.happyMonkey(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.happyMonkey(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.happyMonkey(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.happyMonkey(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.happyMonkey(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.happyMonkey(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.happyMonkey(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.happyMonkey(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.happyMonkey(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.happyMonkey(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.happyMonkey(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.happyMonkey(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.happyMonkey(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.happyMonkey(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.happyMonkey(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Harmattan font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Harmattan
  static TextStyle harmattan({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '97ed1bae30c75f34b45fcaf4f93cee62e97900fc6f2de4deb55fbac191bd5b55',
        354412,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9747aeee6bfb6e2994499fbbf51c7b678fcd04cbb4770d0e46ebc03f5d058493',
        341536,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Harmattan',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Harmattan font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Harmattan
  static TextTheme harmattanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.harmattan(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.harmattan(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.harmattan(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.harmattan(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.harmattan(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.harmattan(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.harmattan(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.harmattan(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.harmattan(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.harmattan(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.harmattan(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.harmattan(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.harmattan(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.harmattan(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.harmattan(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Headland One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Headland+One
  static TextStyle headlandOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c8b9589b5e7dc001f8b63c9485088e6f0d00919103b3e070846121894068ba69',
        69948,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'HeadlandOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Headland One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Headland+One
  static TextTheme headlandOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.headlandOne(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.headlandOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.headlandOne(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.headlandOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.headlandOne(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.headlandOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.headlandOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.headlandOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.headlandOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.headlandOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.headlandOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.headlandOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.headlandOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.headlandOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.headlandOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Heebo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Heebo
  static TextStyle heebo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '14c16ef2a531fd606071618adc89b0783d67a3077fd626199e79b2d5686d3495',
        32484,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6ad0de1fc155c86a008eedef4021402fd664cdc8b9e892dd6e48d15384f3d77e',
        32616,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9ed100a1b69da7811552070916861a25ad50d02d7873ecf4b2aab888564e6f49',
        32588,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '830d047f7153ff26b83735bb3071d0142a1080deb11be7775e01b2f827841710',
        32540,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '23353049e9c6fb86635004a1e2317e9aa261cb4db472c9baeb4b3bfb31332799',
        32728,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c8fff5431bdb3adfb647f18915813901e649168f35318fc78f28242e65b419e2',
        32772,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '24859211dbfb53ecbad180ec02234da920d1d2e928035737f4589414112f72fa',
        32820,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '89fc303160f47bbcea0e7c4f05ba319b88d7b5b022e107a3333dda583da0e07d',
        32928,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cc3fb38c05fc3639f499a15b17e787fdd1ccb381fd4b77314df35a3be38e5e58',
        33032,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Heebo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Heebo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Heebo
  static TextTheme heeboTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.heebo(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.heebo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.heebo(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.heebo(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.heebo(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.heebo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.heebo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.heebo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.heebo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.heebo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.heebo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.heebo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.heebo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.heebo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.heebo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Henny Penny font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Henny+Penny
  static TextStyle hennyPenny({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e038f67b77f9975ccafcad8faa7daae1fd472b36b957bd54411e40abcd7f18ee',
        63588,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'HennyPenny',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Henny Penny font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Henny+Penny
  static TextTheme hennyPennyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.hennyPenny(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.hennyPenny(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.hennyPenny(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.hennyPenny(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.hennyPenny(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.hennyPenny(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.hennyPenny(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.hennyPenny(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.hennyPenny(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.hennyPenny(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.hennyPenny(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.hennyPenny(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.hennyPenny(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.hennyPenny(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.hennyPenny(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Hepta Slab font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hepta+Slab
  static TextStyle heptaSlab({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e785c3a2ec8717ca2bfd50ed04198d534e4b9ff0497076a52a05f4e185ce9c33',
        113036,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '94960ec8f8b8685077e551b9fad2b0e5994ca6f248f11ff9922de4fe5a1e212a',
        113244,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd5fe61dc88a071b181824f61086ba0974b258e52963152463409012ec79b5a0e',
        113596,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '81c5cb0e70a622c6277fc6a128b5ca380844d2180c06055005c3548701e6b495',
        113432,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3752f3b19489549ea20c53bf36647ba6fcfdc802e301a5808a22da41d458e987',
        113424,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ef5db58236d9f3ca0fea3db89c3b5af59e9bcf987ce835ba5f10856707154e2b',
        115288,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f767042a401d77d078c279a4e66444b7eb4dc3070a908e237f03d2644d2a5756',
        116320,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8e7bd3922f27b4cdc03bab2876b06eae859d5bcd882494c18928f247dd5dafbc',
        116924,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a39ea077026e441de319bb67c9176d2f30899873cbc25f8baa1ada6abd936c14',
        116760,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'HeptaSlab',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Hepta Slab font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hepta+Slab
  static TextTheme heptaSlabTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.heptaSlab(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.heptaSlab(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.heptaSlab(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.heptaSlab(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.heptaSlab(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.heptaSlab(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.heptaSlab(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.heptaSlab(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.heptaSlab(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.heptaSlab(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.heptaSlab(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.heptaSlab(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.heptaSlab(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.heptaSlab(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.heptaSlab(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Herr Von Muellerhoff font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Herr+Von+Muellerhoff
  static TextStyle herrVonMuellerhoff({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b20ecd358f5cc5d290c38fee999f95431b137f38566a36b07514113a41c4078a',
        44664,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'HerrVonMuellerhoff',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Herr Von Muellerhoff font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Herr+Von+Muellerhoff
  static TextTheme herrVonMuellerhoffTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.herrVonMuellerhoff(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.herrVonMuellerhoff(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.herrVonMuellerhoff(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.herrVonMuellerhoff(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.herrVonMuellerhoff(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.herrVonMuellerhoff(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.herrVonMuellerhoff(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.herrVonMuellerhoff(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.herrVonMuellerhoff(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.herrVonMuellerhoff(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.herrVonMuellerhoff(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.herrVonMuellerhoff(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.herrVonMuellerhoff(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.herrVonMuellerhoff(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.herrVonMuellerhoff(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Hi Melody font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hi+Melody
  static TextStyle hiMelody({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '26b8d67b241afa0867bde9f68f919afad263949a96c1b0cd3bf2892fdbd264e8',
        6090828,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'HiMelody',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Hi Melody font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hi+Melody
  static TextTheme hiMelodyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.hiMelody(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.hiMelody(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.hiMelody(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.hiMelody(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.hiMelody(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.hiMelody(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.hiMelody(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.hiMelody(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.hiMelody(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.hiMelody(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.hiMelody(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.hiMelody(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.hiMelody(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.hiMelody(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.hiMelody(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Hina Mincho font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hina+Mincho
  static TextStyle hinaMincho({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a3cabe7eda9f23f5a7f611bd9cd2f86fc7d49bd4b74da688609142556c889898',
        6420156,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'HinaMincho',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Hina Mincho font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hina+Mincho
  static TextTheme hinaMinchoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.hinaMincho(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.hinaMincho(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.hinaMincho(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.hinaMincho(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.hinaMincho(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.hinaMincho(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.hinaMincho(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.hinaMincho(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.hinaMincho(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.hinaMincho(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.hinaMincho(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.hinaMincho(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.hinaMincho(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.hinaMincho(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.hinaMincho(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Hind font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hind
  static TextStyle hind({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ad2ef8c5fee0930d2c41b1346b95b1281751dcf213774e1e73eca7adea7e508f',
        147696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5be3910338bc3a5bb056114aadca147194e2957f954a644e8af675b9f05c8784',
        147420,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ab8ab1f1a4b50e1557807565b876b9d7031c33cf209ab721e2d12ccadf791b20',
        146972,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1c42820eeeb9de4dc30e714c3ba7812343d39427de4c784c642166cfc08f5e5c',
        146712,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f9a71515b4079e1e59f1d00f608bc1f26e2b4f184526f302d843c2f590d363a9',
        145036,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Hind',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Hind font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hind
  static TextTheme hindTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.hind(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.hind(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.hind(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.hind(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.hind(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.hind(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.hind(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.hind(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.hind(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.hind(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.hind(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.hind(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.hind(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.hind(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.hind(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Hind Guntur font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hind+Guntur
  static TextStyle hindGuntur({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2e95ddac13eeda0894f7986322a4cd3d154c7aa432883ea4aea5756c5b4cdd7c',
        171180,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7b7c4594d1cc591c3230bb743030afca5f66479f028383a2bbc3d6bc06c80866',
        170304,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4eaf264647797ce1d64195b07427771d79bcf0f60d52e9ace39c6826492ebc69',
        169188,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9e4090306b7d88abdea21e0a2d80a45507039b118291cae21d7c0ab2052c847c',
        167984,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '00fd79c8530e201d99f14503a199d5831f18dcea3951a09ffe420d956858d027',
        167744,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'HindGuntur',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Hind Guntur font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hind+Guntur
  static TextTheme hindGunturTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.hindGuntur(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.hindGuntur(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.hindGuntur(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.hindGuntur(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.hindGuntur(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.hindGuntur(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.hindGuntur(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.hindGuntur(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.hindGuntur(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.hindGuntur(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.hindGuntur(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.hindGuntur(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.hindGuntur(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.hindGuntur(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.hindGuntur(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Hind Madurai font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hind+Madurai
  static TextStyle hindMadurai({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e81161f110686c182299db92912c5765d21517c78bb2e4d885f5394815b4b92a',
        66304,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6f9cd63d39f0472812f1d17ff8f0f486ee1a597dcdbfb734089baea8b71800af',
        65768,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '633ba879b3f5ca770ad1afa7b3beb2790c342d75c9ca39b24c257d15660dab2d',
        66032,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0d1db271dd035c0a36c1f7f9c5c7bbd704c1a4d85042504988eddd3221dd3633',
        66012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '14113b561bd4e81e8394ae023786bde3dc67fc8f5486e8845a3b3b6a24aed3ac',
        65076,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'HindMadurai',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Hind Madurai font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hind+Madurai
  static TextTheme hindMaduraiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.hindMadurai(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.hindMadurai(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.hindMadurai(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.hindMadurai(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.hindMadurai(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.hindMadurai(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.hindMadurai(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.hindMadurai(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.hindMadurai(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.hindMadurai(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.hindMadurai(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.hindMadurai(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.hindMadurai(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.hindMadurai(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.hindMadurai(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Hind Siliguri font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hind+Siliguri
  static TextStyle hindSiliguri({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ac2af2fd8e32fd091bc8f2e3cf0113aeea8a72cc54354915f356eb8025507fb2',
        133748,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '012db6e7ad96f71aa3a1cdce8a758e3ca62bd3a237f0f760a0b902ddc1a088b2',
        133156,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '729addf0cd65de0129d36f3c9edbede23ccee489c418e824670bb3bd03400bf0',
        132748,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5c4c9930cb4a900a0540d17dd4729fe788ce13bedaf76915a7fba7c5843b5527',
        132772,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '835e69d751f326ed78a192441fa6a0ed9a6e1e880339669fbeef36a10f59d974',
        131216,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'HindSiliguri',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Hind Siliguri font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hind+Siliguri
  static TextTheme hindSiliguriTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.hindSiliguri(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.hindSiliguri(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.hindSiliguri(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.hindSiliguri(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.hindSiliguri(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.hindSiliguri(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.hindSiliguri(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.hindSiliguri(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.hindSiliguri(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.hindSiliguri(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.hindSiliguri(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.hindSiliguri(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.hindSiliguri(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.hindSiliguri(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.hindSiliguri(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Hind Vadodara font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hind+Vadodara
  static TextStyle hindVadodara({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e2825236d0b694650c59e4ac7c147575255d93ef4b9678d0949c0f426e1606c7',
        129084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '86e9bd456f90de75a16b93451071315f307310819da7a6427596eb1a209efe80',
        128784,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '03be3a08a80606054f8bfbda8305724f083b35c87b13d0d5d8cfcebfd80e51d6',
        128576,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '220cae1c140df26e9d8acb715fef9b92ecf0f0ca7374923bf23760d45b8f4216',
        128044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1155a5dfdcba1dd4f07248479326f6ada40b98314ba9773c07f851aefe7750d2',
        126752,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'HindVadodara',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Hind Vadodara font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hind+Vadodara
  static TextTheme hindVadodaraTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.hindVadodara(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.hindVadodara(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.hindVadodara(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.hindVadodara(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.hindVadodara(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.hindVadodara(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.hindVadodara(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.hindVadodara(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.hindVadodara(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.hindVadodara(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.hindVadodara(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.hindVadodara(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.hindVadodara(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.hindVadodara(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.hindVadodara(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Holtwood One SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Holtwood+One+SC
  static TextStyle holtwoodOneSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9229d26a43c2a733086377e05f35dc7301db4e52e5baed996313763c3d6979ff',
        34884,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'HoltwoodOneSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Holtwood One SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Holtwood+One+SC
  static TextTheme holtwoodOneScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.holtwoodOneSc(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.holtwoodOneSc(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.holtwoodOneSc(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.holtwoodOneSc(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.holtwoodOneSc(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.holtwoodOneSc(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.holtwoodOneSc(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.holtwoodOneSc(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.holtwoodOneSc(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.holtwoodOneSc(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.holtwoodOneSc(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.holtwoodOneSc(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.holtwoodOneSc(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.holtwoodOneSc(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.holtwoodOneSc(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Homemade Apple font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Homemade+Apple
  static TextStyle homemadeApple({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a85ac81efc3a564097e91c9156af91c780a80075a299b93891a6282ae798e1ce',
        108284,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'HomemadeApple',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Homemade Apple font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Homemade+Apple
  static TextTheme homemadeAppleTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.homemadeApple(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.homemadeApple(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.homemadeApple(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.homemadeApple(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.homemadeApple(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.homemadeApple(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.homemadeApple(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.homemadeApple(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.homemadeApple(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.homemadeApple(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.homemadeApple(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.homemadeApple(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.homemadeApple(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.homemadeApple(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.homemadeApple(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Homenaje font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Homenaje
  static TextStyle homenaje({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9a7433ce6a50e6e031f0078cb4e0600ebc89918875c3c667906335c4c7e5b261',
        19356,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Homenaje',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Homenaje font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Homenaje
  static TextTheme homenajeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.homenaje(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.homenaje(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.homenaje(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.homenaje(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.homenaje(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.homenaje(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.homenaje(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.homenaje(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.homenaje(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.homenaje(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.homenaje(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.homenaje(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.homenaje(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.homenaje(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.homenaje(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Hubballi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hubballi
  static TextStyle hubballi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a78cea124e3aa93dda612a80613704a86ebe72a9c90cf69e7983b541a40a131d',
        133616,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Hubballi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Hubballi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hubballi
  static TextTheme hubballiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.hubballi(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.hubballi(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.hubballi(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.hubballi(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.hubballi(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.hubballi(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.hubballi(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.hubballi(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.hubballi(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.hubballi(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.hubballi(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.hubballi(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.hubballi(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.hubballi(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.hubballi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Hurricane font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hurricane
  static TextStyle hurricane({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '841bc5c7ef1192aa28ff9a52dbbd34e93fa30eaf584f8b00fd3ac3e303365c05',
        123080,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Hurricane',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Hurricane font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hurricane
  static TextTheme hurricaneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.hurricane(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.hurricane(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.hurricane(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.hurricane(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.hurricane(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.hurricane(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.hurricane(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.hurricane(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.hurricane(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.hurricane(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.hurricane(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.hurricane(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.hurricane(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.hurricane(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.hurricane(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the IBM Plex Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Mono
  static TextStyle ibmPlexMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '28b47d79415935b4eb7e21b4ab6567b49ec8c5654769456ec98e2193e8998fdd',
        77016,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '29dc9c11fa19d718d763725de56a911b985eec34ff0ce19cbdfbe81438f1f5f4',
        83652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '777e2bfad74ee25085099fe319dec1ab75fa07afe1fd95511691a7d785e5e76a',
        76620,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'dec2d3b718edf9c988b7bc4bf9cc2ff98c0a73b3704321db9bd77c8c10da9f57',
        83624,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fb12a959f0a3b900dfb41e969e19ea06d7fd0e546d20848c74d7c0a09bb9fcc5',
        76372,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fcb360ec811b8ad1bcbcaa48f01ac3b20321699d2c2a44ac2061d61f1856356f',
        83248,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd37b0be393abb9e88603a9493e97d0ca660146b93fad3897d22358f3a93e7a05',
        76988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '129654d831d41d7c91e3068d3a41048ac376d3268e6fa37d70a32655f80b28df',
        84068,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ccde6e24d2f07f518ab9860bb438d768dade104dd9f4a5e8c7442885ff4bad81',
        76544,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7c4d06a8e36553d03d27fce5ed3e3190fffb6f1809b94cafcb51831e43550b5c',
        83312,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f22d51089f8e130bf17474587afa91909c802be2733c8f6e79f33eb7318b2d77',
        76516,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c53a0ff962598476827ac59e2871f2edc365bbf0bf021477f6adea969df952b6',
        82964,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '655d8d7800662579d0ec6d4b4cfdffd1f647a5f24575f42d4bb0b295f0dd8779',
        76560,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'dc02aef1a17967582c7dc41541adcfa296295b0b2419a6a94e018112c560a30a',
        83348,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IBMPlexMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IBM Plex Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Mono
  static TextTheme ibmPlexMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ibmPlexMono(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.ibmPlexMono(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ibmPlexMono(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.ibmPlexMono(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.ibmPlexMono(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.ibmPlexMono(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ibmPlexMono(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ibmPlexMono(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ibmPlexMono(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ibmPlexMono(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ibmPlexMono(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ibmPlexMono(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ibmPlexMono(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ibmPlexMono(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ibmPlexMono(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the IBM Plex Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Sans
  static TextStyle ibmPlexSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ecaa6ed03cb81aa3f8f880b3277fa3b4d5eb7cf239fe43391c952eef859f6c8b',
        119076,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4c77f3deb0a85c25fcf826564d0d0dd59779d47de4771f1effb1c560fc6eff18',
        128656,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3c2480dd85b532919e6f2ebac785575c9b04374bc826da8ab6ff2dc916d84472',
        122020,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c65af8ef8a42d005bd00ac9a313ac8ba477549ec0a2c3aeeda93a990eaa7a51f',
        131308,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '642a20fc2d2d13f7d88d7723a39ea9b4aa85d127e6280acb14910d70df971666',
        121924,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0ef865189d47b2f42f379db6b778d7b9ceb8e84f72c9ddd60bff10493b823a62',
        130860,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '075e6118452d96b7885561e874425e99987243c040df7f6bc8d4d4999c5a4f2c',
        120340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b4d765b347d00906192da0c67400fa3c0be43de230facc763cf0a29b6b382dfa',
        128476,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b57cd7eed0b12d7a8f9242acb5507b7f9e51fe58ed7d0222493cb987c7e58fae',
        121932,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '17359399d89384e2d89ce1f37a607c6e80621596d30edfdfd92efb7213114cc9',
        130556,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3f31f30a0d4601ed4b3e0715294eca84276e308cfb39aefcdd31acba96135c60',
        121732,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2474f0a52234a01e85cd556fc2bcc1f10056a1d6eb1c4f3b57642a3ed0a3f004',
        130640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '22d9094b915bab632e8f5f38c53b2a1886dfc7fd232bdf876067a5a62313b669',
        120132,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2f1332cbf784d6ecb45db4e4bf0dac8ea63fd501f2dff087d98dac67b2fb773b',
        128732,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IBMPlexSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IBM Plex Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Sans
  static TextTheme ibmPlexSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ibmPlexSans(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.ibmPlexSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ibmPlexSans(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.ibmPlexSans(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.ibmPlexSans(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.ibmPlexSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ibmPlexSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ibmPlexSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ibmPlexSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ibmPlexSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ibmPlexSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ibmPlexSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ibmPlexSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ibmPlexSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ibmPlexSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the IBM Plex Sans Arabic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Sans+Arabic
  static TextStyle ibmPlexSansArabic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7986712be7e517deeea8e65dfcaa3c573925efa8cbb077d959e6cb22fcebad51',
        160040,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e686cb38a1a206d64a945a5a15749a948c991b15e0adeddaae5b315cf4b1646a',
        161180,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ee737a0180f9cdbfe9edce5cd2cc32840efe82178d3a4cc05f2c6f088558708b',
        161140,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd5cf8fb8cf46567940400f93c9835d59225bce9745e4fb75915ed52d96041032',
        159400,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '55c3c36487c44b975a7a2c8839da2d983826c51742dcd77a1dffe0245eb4621f',
        164252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f25f975695c8b5dd3932d0307ed9fff200f64aee4f11a5a1005b71daa3b7d1ca',
        164372,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b4df5f9a0306b37b9028cb36a8ec03de3e99a875ef041d0d319a8582f45bd9ca',
        163120,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IBMPlexSansArabic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IBM Plex Sans Arabic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Sans+Arabic
  static TextTheme ibmPlexSansArabicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.ibmPlexSansArabic(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.ibmPlexSansArabic(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.ibmPlexSansArabic(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.ibmPlexSansArabic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.ibmPlexSansArabic(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.ibmPlexSansArabic(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.ibmPlexSansArabic(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.ibmPlexSansArabic(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.ibmPlexSansArabic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ibmPlexSansArabic(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.ibmPlexSansArabic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ibmPlexSansArabic(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.ibmPlexSansArabic(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.ibmPlexSansArabic(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.ibmPlexSansArabic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the IBM Plex Sans Condensed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Sans+Condensed
  static TextStyle ibmPlexSansCondensed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4359701d356037f60781732846a6c0c54e5376fca44feeee679b900b2cf24b6a',
        67556,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '72b9515bec967e45053fd58213e07c7e9bb056682bcc5efa46639e9002e0437a',
        72412,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0a169b657937ba25550b3e5637cc978f130ede89db4d70e7042d8ed493337539',
        68084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8c42c57cb2e7a462c7c0eb0389164d5948836e5f2faefc6873f1b716bc2452c6',
        72872,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '125b3aa9887aacfa5c9e77d1dc1707524d51957aee431a9bec86daf8ef99c0a5',
        67544,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '30039787e59257bd60be700da04b2c0c31ef3e8c55285d9d44c31a69bf560004',
        72152,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '004230c8f1be169fbafda5423e3cdedf29ba98cd89b839151e6e8679ccdc434e',
        67272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cf695514e3bc921bc350bcc0760ba3a186071468a5466de495cb0d5422da36b0',
        72308,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '54b77f0c7f57a3fdb26116ff7b30843da116ce1f491d7b0a3eb56a3e50a6f3dc',
        67048,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e5aedd1f42ca89c09b388bfefca57178ccb6b30aa143de54416f519d0323e379',
        71508,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f2dd1f2ef0c68ca0bcae08c0aff1482ec9ad755cc469863967bfa95b7503d94e',
        67116,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5a766054bc9c7ccf74de1aec104cb6090f02531743b8a7b25b263765e90d716f',
        71672,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd3a3f89eadde3fccb18cf4841062fdf3cc3d9cf2aa5c927c86232980390d5a5b',
        66772,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8f6e90cd159146c6edf1138dab20301af83f899b6bb9c8b3ade9f553e4560675',
        72184,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IBMPlexSansCondensed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IBM Plex Sans Condensed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Sans+Condensed
  static TextTheme ibmPlexSansCondensedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.ibmPlexSansCondensed(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.ibmPlexSansCondensed(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.ibmPlexSansCondensed(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.ibmPlexSansCondensed(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.ibmPlexSansCondensed(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.ibmPlexSansCondensed(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.ibmPlexSansCondensed(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.ibmPlexSansCondensed(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.ibmPlexSansCondensed(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.ibmPlexSansCondensed(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.ibmPlexSansCondensed(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.ibmPlexSansCondensed(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.ibmPlexSansCondensed(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.ibmPlexSansCondensed(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.ibmPlexSansCondensed(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the IBM Plex Sans Devanagari font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Sans+Devanagari
  static TextStyle ibmPlexSansDevanagari({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '26222a55c7b54eac8ac00c38d24e96a071fab7e14541604e9b5e33ff787e193a',
        227304,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bbf44e48e794bdeebcfb861d82fd798db6f565051bb5cdb93533c8cb5da50c5b',
        226388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a9ef7da21ecc648fa076838dddba8c12c3768611a77e002f8efe8bbb2f96c6e6',
        224040,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cd96a2c6e113335c648e1ca5430523a1a6596ad2083defa614bd3c8e6306b406',
        216932,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7a11e01c2c0f31dc05cc65b4d8c2ccbd45df4f6ff1016d3bd74be4f4dcf4d4c5',
        216368,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9a88a15fd208a69c9ddff139b7219462c90a687150256c39585bca093a206b2c',
        215880,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3324e230bdaeb5f3f1aca8c9285c08a2dc50a242c95aaf893c54ee49f3d8f136',
        207516,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IBMPlexSansDevanagari',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IBM Plex Sans Devanagari font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Sans+Devanagari
  static TextTheme ibmPlexSansDevanagariTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.ibmPlexSansDevanagari(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.ibmPlexSansDevanagari(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.ibmPlexSansDevanagari(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.ibmPlexSansDevanagari(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.ibmPlexSansDevanagari(
          textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.ibmPlexSansDevanagari(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.ibmPlexSansDevanagari(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.ibmPlexSansDevanagari(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.ibmPlexSansDevanagari(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.ibmPlexSansDevanagari(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.ibmPlexSansDevanagari(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.ibmPlexSansDevanagari(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.ibmPlexSansDevanagari(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.ibmPlexSansDevanagari(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.ibmPlexSansDevanagari(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the IBM Plex Sans Hebrew font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Sans+Hebrew
  static TextStyle ibmPlexSansHebrew({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '30122c6b872720d71fb51f29348770366c2f7f8b6496a968001ce05b78e94183',
        59468,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e4cc99f13a204792a9f798157261ca14fbdc712ecfc7562a7568382519462e80',
        59856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4828f83e175919f5091ea5b1dd24c8f95af671c472e78b40e2eed1de7347eb00',
        59568,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '87e21e7a79edfd25bc9d0e67485b6fb6feb82e1a01e5654898b4825a07bcc914',
        58472,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0362e334f6824d2e9e305203cd83f64672618eec48bd646e2c483dc16ff1227a',
        59172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e9ae6f4f770e9d1bd3709f54ad07a39428d05a046cc096975e26e7f3ca118c5e',
        59032,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c6a79c82f40d4b5954ed9f6cf885a337dede77b13ea3900bdf74be52b75ec262',
        58976,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IBMPlexSansHebrew',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IBM Plex Sans Hebrew font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Sans+Hebrew
  static TextTheme ibmPlexSansHebrewTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.ibmPlexSansHebrew(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.ibmPlexSansHebrew(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.ibmPlexSansHebrew(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.ibmPlexSansHebrew(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.ibmPlexSansHebrew(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.ibmPlexSansHebrew(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.ibmPlexSansHebrew(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.ibmPlexSansHebrew(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.ibmPlexSansHebrew(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ibmPlexSansHebrew(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.ibmPlexSansHebrew(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ibmPlexSansHebrew(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.ibmPlexSansHebrew(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.ibmPlexSansHebrew(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.ibmPlexSansHebrew(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the IBM Plex Sans JP font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Sans+JP
  static TextStyle ibmPlexSansJp({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '347e76cc83e6870928dff6d04b934c1de1e87c616c70bcfa19477f36ca86368c',
        2189016,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e2596e41b9d430673ac8d9650d9a85cc3ae17f0c69c7cd117f8211b18aaaaf28',
        2184072,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2f45178fd20d19da0154ed946ade6dc6088dacb39fb453c7532ef5d047ba06bb',
        2177180,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1852fd36dddabd488837a1181b0ccbb4ec5e1f697ba4088350c3899296da9469',
        2168316,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '499bba63b3091080e3af59007c7025fad6377d407c9f7154154bfbb3c458f757',
        2161896,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5ae4ac075bfefac5edb0ff77ae50da637ace57762ef75c36427a31123189035b',
        2161420,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0ec4f3596120c7517e951a7a5c4cc35f6fc9841d308f0420926d4b48ae62afd4',
        2163308,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IBMPlexSansJP',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IBM Plex Sans JP font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Sans+JP
  static TextTheme ibmPlexSansJpTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.ibmPlexSansJp(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.ibmPlexSansJp(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.ibmPlexSansJp(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.ibmPlexSansJp(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.ibmPlexSansJp(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.ibmPlexSansJp(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ibmPlexSansJp(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ibmPlexSansJp(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ibmPlexSansJp(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ibmPlexSansJp(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ibmPlexSansJp(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ibmPlexSansJp(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ibmPlexSansJp(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ibmPlexSansJp(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ibmPlexSansJp(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the IBM Plex Sans KR font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Sans+KR
  static TextStyle ibmPlexSansKr({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ef3327df28bb5ee46c14c7504ecfa8ef33690f8416bc5db691e7c0a369729e1c',
        2508648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8c2c1d397ff887a625237a52846d79ab559db693a6cd6e7e45d827533522ec40',
        2466112,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '982adf4e620d09aa395ba00adf471151216f73858fa703758d74a57e717d76c7',
        2443504,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '62934a5c2c8c3885a168db3fb82e11958dc90a6b54d2a337a19ec6a9a1e9c02a',
        2430632,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f3025e6ce7610a97034fd9409aa923e5996f02caee2740097777f05d222738cc',
        2414528,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6a1334096562f30411c060d6d7088003d47dcd767b6e74ff38877e489d3a455f',
        2406700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ce05da3cfe2e05a2880f55ba16a02ab98c0f779c5bf26b21651711474d1e74a2',
        2402612,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IBMPlexSansKR',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IBM Plex Sans KR font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Sans+KR
  static TextTheme ibmPlexSansKrTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.ibmPlexSansKr(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.ibmPlexSansKr(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.ibmPlexSansKr(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.ibmPlexSansKr(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.ibmPlexSansKr(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.ibmPlexSansKr(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ibmPlexSansKr(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ibmPlexSansKr(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ibmPlexSansKr(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ibmPlexSansKr(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ibmPlexSansKr(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ibmPlexSansKr(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ibmPlexSansKr(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ibmPlexSansKr(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ibmPlexSansKr(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the IBM Plex Sans Thai font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Sans+Thai
  static TextStyle ibmPlexSansThai({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dfb1aca4cb90b9768ef7ca4f9f8a769ea2949a597a6fe7a56d262a11e193384f',
        67408,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9d20b0e657d2002a7533b0e8b1e905df01d6bca9d4e2d28f64b3997e02fcfe62',
        67492,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fa1426a5315126c702525f0ff976126c086424fe738a11540bd655e50027c59c',
        67216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5e50785098eda6dc33ffaa4f6b3699dc50e13e1933f138b1691f8d5dbfdb6e7e',
        66592,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '29cca781e0847077407969f6e1a4a8ca2aa512b54e0eb9d8c854bbd38aa56df8',
        66736,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c83e53239ee290a93f52bddf2f5b7ece9f2ae7515c2acee55b0893873adcaf84',
        66628,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7edbc7a7d2c2ce0bc1b1caf6d497432bd7067fb06fba58b479a762b64e9bf939',
        66684,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IBMPlexSansThai',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IBM Plex Sans Thai font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Sans+Thai
  static TextTheme ibmPlexSansThaiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.ibmPlexSansThai(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.ibmPlexSansThai(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.ibmPlexSansThai(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.ibmPlexSansThai(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.ibmPlexSansThai(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.ibmPlexSansThai(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ibmPlexSansThai(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.ibmPlexSansThai(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ibmPlexSansThai(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ibmPlexSansThai(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ibmPlexSansThai(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ibmPlexSansThai(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ibmPlexSansThai(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.ibmPlexSansThai(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ibmPlexSansThai(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the IBM Plex Sans Thai Looped font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Sans+Thai+Looped
  static TextStyle ibmPlexSansThaiLooped({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '50bdbbe25c5caf824ed67474b3974dd13243f9236b1a397c703f4ea77e98f400',
        74032,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b47fe23ace58f613373a60fadbbf7b04b6bdf4e5af5d360dc6e5011285673190',
        74012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0eec28cb97882fe9eda04710afac100681b446877fdfa40e4be939fff418282d',
        73480,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '68e7e1679d0c01df7e0701934cc907127417472c07dcee8bb0116e834fe6c496',
        72772,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '72643d026742c9d25bd6200abaeca0179dfa1c821201e57baddb608b0d0da7b1',
        72656,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd26cad6edcbc5fce4fff2aa83b97769c3fc8b8e38e3dcbbf30d94c8cfbd4fa82',
        72416,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ea7dcba70e4410e01e8f9c9e39d69d9b44618ef3411f5287821cf693ef102dde',
        72352,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IBMPlexSansThaiLooped',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IBM Plex Sans Thai Looped font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Sans+Thai+Looped
  static TextTheme ibmPlexSansThaiLoopedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.ibmPlexSansThaiLooped(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.ibmPlexSansThaiLooped(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.ibmPlexSansThaiLooped(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.ibmPlexSansThaiLooped(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.ibmPlexSansThaiLooped(
          textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.ibmPlexSansThaiLooped(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.ibmPlexSansThaiLooped(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.ibmPlexSansThaiLooped(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.ibmPlexSansThaiLooped(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.ibmPlexSansThaiLooped(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.ibmPlexSansThaiLooped(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.ibmPlexSansThaiLooped(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.ibmPlexSansThaiLooped(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.ibmPlexSansThaiLooped(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.ibmPlexSansThaiLooped(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the IBM Plex Serif font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Serif
  static TextStyle ibmPlexSerif({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '248e9035e1a0db5130f0786217c4b1acc2b4a541e9a2e407cac4f845efb3c5f4',
        106116,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e50dee63d411e13edb89c6c1e999434a14ee50a3048fc21cd3293e84f427d40e',
        115664,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b47641aa70f00ffb63b6fd7cb92a98ebe25db8e1e8db5d0f7168eb63c3eff89b',
        108800,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6bff065a5f4a402b6830f1ba5e11f59cd8ed8feb453a4a59fd9e4f2c153e3529',
        119692,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '295e45ac55603ae0d5a8a34644b1f71e767c7f086d61c1a9edb632d3af3f12ea',
        108764,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '089c077ef33bcbdde66514513cabcc5b958ae56376b658115bbd83f57e33ac88',
        119388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd0dda69d56db0ec73d8d03f3930be13b4968727196cddf5b8ec43c39be19794c',
        108524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '572060fcbaff9f13f3d8f73f82bd27654697cd58f987ac4773fa61b19000c05d',
        119452,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e1451fea7730c65b2e013f95af33d292f8e730d5e7d5f9ebb9722f1dd927be7a',
        109216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5efda0096d5bc0993adcda33e1381c34e4e5cb72c5ddd02cf56cd950b9c19636',
        119388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '92909831461cb5d57564fb95050f6e21c5913e1ca47b420b390d5d4f69f28bfa',
        109120,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '39d5bcc5f3ed22fa65bd00e10d56745e806505144dcadb0d6761dc688831325f',
        119496,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '683da1e76d8705d9390db5ca35b26a0eeee3e5628169c0352fe7333c08239234',
        107704,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'dcc61b858f184d8ee3aba8cda03c193ea5e22f8e04a9b771c013466fb73e505c',
        118364,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IBMPlexSerif',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IBM Plex Serif font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Serif
  static TextTheme ibmPlexSerifTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ibmPlexSerif(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.ibmPlexSerif(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ibmPlexSerif(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.ibmPlexSerif(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.ibmPlexSerif(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.ibmPlexSerif(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ibmPlexSerif(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ibmPlexSerif(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ibmPlexSerif(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ibmPlexSerif(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ibmPlexSerif(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ibmPlexSerif(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ibmPlexSerif(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ibmPlexSerif(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ibmPlexSerif(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the IM Fell DW Pica font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+DW+Pica
  static TextStyle imFellDwPica({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9459af8e5add9e53e1987687ba7b01d4ff12a705be7880f7b82ebe2690a496ed',
        211184,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ec84e5dd06394d3d71cbb9f538eba396d80e6b852e947e21ecbf22ad16b9bd22',
        238596,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IMFellDWPica',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IM Fell DW Pica font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+DW+Pica
  static TextTheme imFellDwPicaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.imFellDwPica(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.imFellDwPica(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.imFellDwPica(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.imFellDwPica(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.imFellDwPica(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.imFellDwPica(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.imFellDwPica(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.imFellDwPica(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.imFellDwPica(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.imFellDwPica(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.imFellDwPica(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.imFellDwPica(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.imFellDwPica(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.imFellDwPica(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.imFellDwPica(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the IM Fell DW Pica SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+DW+Pica+SC
  static TextStyle imFellDwPicaSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b42029cd8d085bda39149c65bee3c543027c09b57d91fff0f599214f8ac736da',
        192592,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IMFellDWPicaSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IM Fell DW Pica SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+DW+Pica+SC
  static TextTheme imFellDwPicaScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.imFellDwPicaSc(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.imFellDwPicaSc(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.imFellDwPicaSc(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.imFellDwPicaSc(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.imFellDwPicaSc(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.imFellDwPicaSc(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.imFellDwPicaSc(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.imFellDwPicaSc(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.imFellDwPicaSc(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.imFellDwPicaSc(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.imFellDwPicaSc(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.imFellDwPicaSc(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.imFellDwPicaSc(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.imFellDwPicaSc(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.imFellDwPicaSc(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the IM Fell Double Pica font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+Double+Pica
  static TextStyle imFellDoublePica({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '24def9ccd9a7f48cae0a5c65904e793384586acd5ca5626d6df5445f95464761',
        205192,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8b51629cdc58e927d88b04f67541e2a217d9938695be6446346a3bda587169c7',
        249120,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IMFellDoublePica',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IM Fell Double Pica font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+Double+Pica
  static TextTheme imFellDoublePicaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.imFellDoublePica(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.imFellDoublePica(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.imFellDoublePica(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.imFellDoublePica(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.imFellDoublePica(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.imFellDoublePica(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.imFellDoublePica(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.imFellDoublePica(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.imFellDoublePica(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.imFellDoublePica(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.imFellDoublePica(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.imFellDoublePica(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.imFellDoublePica(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.imFellDoublePica(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.imFellDoublePica(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the IM Fell Double Pica SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+Double+Pica+SC
  static TextStyle imFellDoublePicaSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '32f5223943f05df18b728db045334bd10f22c3e732251ee4add3e535c480870e',
        191624,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IMFellDoublePicaSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IM Fell Double Pica SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+Double+Pica+SC
  static TextTheme imFellDoublePicaScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.imFellDoublePicaSc(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.imFellDoublePicaSc(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.imFellDoublePicaSc(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.imFellDoublePicaSc(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.imFellDoublePicaSc(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.imFellDoublePicaSc(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.imFellDoublePicaSc(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.imFellDoublePicaSc(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.imFellDoublePicaSc(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.imFellDoublePicaSc(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.imFellDoublePicaSc(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.imFellDoublePicaSc(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.imFellDoublePicaSc(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.imFellDoublePicaSc(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.imFellDoublePicaSc(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the IM Fell English font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+English
  static TextStyle imFellEnglish({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b6f6962a9871041173c353a1465bf991162134e91a8ebc1c0f73295766176932',
        189680,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a88c22cd52b1985e7d3a77ad3683feccc9dd2a8cdf2935bedb3fce32b333c779',
        197028,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IMFellEnglish',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IM Fell English font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+English
  static TextTheme imFellEnglishTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.imFellEnglish(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.imFellEnglish(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.imFellEnglish(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.imFellEnglish(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.imFellEnglish(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.imFellEnglish(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.imFellEnglish(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.imFellEnglish(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.imFellEnglish(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.imFellEnglish(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.imFellEnglish(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.imFellEnglish(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.imFellEnglish(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.imFellEnglish(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.imFellEnglish(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the IM Fell English SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+English+SC
  static TextStyle imFellEnglishSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '895adc2b5463f96c9d617d63ed7cb703b00efa1f2039767aa24d97a12f137d36',
        179108,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IMFellEnglishSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IM Fell English SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+English+SC
  static TextTheme imFellEnglishScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.imFellEnglishSc(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.imFellEnglishSc(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.imFellEnglishSc(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.imFellEnglishSc(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.imFellEnglishSc(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.imFellEnglishSc(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.imFellEnglishSc(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.imFellEnglishSc(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.imFellEnglishSc(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.imFellEnglishSc(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.imFellEnglishSc(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.imFellEnglishSc(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.imFellEnglishSc(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.imFellEnglishSc(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.imFellEnglishSc(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the IM Fell French Canon font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+French+Canon
  static TextStyle imFellFrenchCanon({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0628eb90b4ea261f205fcb44d0ba858917f4ab4bccead4e82d0ad216b60eca5a',
        140704,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '469413b568988dd75baf5cd92c8d8e7488e3f3b3e4f6a320adec03a44796fb3b',
        152844,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IMFellFrenchCanon',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IM Fell French Canon font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+French+Canon
  static TextTheme imFellFrenchCanonTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.imFellFrenchCanon(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.imFellFrenchCanon(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.imFellFrenchCanon(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.imFellFrenchCanon(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.imFellFrenchCanon(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.imFellFrenchCanon(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.imFellFrenchCanon(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.imFellFrenchCanon(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.imFellFrenchCanon(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.imFellFrenchCanon(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.imFellFrenchCanon(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.imFellFrenchCanon(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.imFellFrenchCanon(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.imFellFrenchCanon(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.imFellFrenchCanon(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the IM Fell French Canon SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+French+Canon+SC
  static TextStyle imFellFrenchCanonSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fe40ddc3bef548913ec825335e48fca70dfcc5883b7d4d1d7e974ee5b9a9851d',
        104900,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IMFellFrenchCanonSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IM Fell French Canon SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+French+Canon+SC
  static TextTheme imFellFrenchCanonScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.imFellFrenchCanonSc(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.imFellFrenchCanonSc(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.imFellFrenchCanonSc(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.imFellFrenchCanonSc(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.imFellFrenchCanonSc(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.imFellFrenchCanonSc(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.imFellFrenchCanonSc(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.imFellFrenchCanonSc(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.imFellFrenchCanonSc(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.imFellFrenchCanonSc(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.imFellFrenchCanonSc(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.imFellFrenchCanonSc(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.imFellFrenchCanonSc(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.imFellFrenchCanonSc(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.imFellFrenchCanonSc(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the IM Fell Great Primer font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+Great+Primer
  static TextStyle imFellGreatPrimer({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '370ece4793dbcaf0eee325718a3d90055b03dab7fb30cf4e28209d1923421e8f',
        210524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '05fa578ead197e918f537cd79fb0d944884b6364bc9c47c52a5838e1838d02c3',
        243096,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IMFellGreatPrimer',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IM Fell Great Primer font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+Great+Primer
  static TextTheme imFellGreatPrimerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.imFellGreatPrimer(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.imFellGreatPrimer(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.imFellGreatPrimer(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.imFellGreatPrimer(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.imFellGreatPrimer(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.imFellGreatPrimer(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.imFellGreatPrimer(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.imFellGreatPrimer(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.imFellGreatPrimer(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.imFellGreatPrimer(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.imFellGreatPrimer(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.imFellGreatPrimer(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.imFellGreatPrimer(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.imFellGreatPrimer(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.imFellGreatPrimer(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the IM Fell Great Primer SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+Great+Primer+SC
  static TextStyle imFellGreatPrimerSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e08827d0ff29ee91c0e4e486b583ffefafb018e6193eb83f130c1832b4379878',
        198108,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IMFellGreatPrimerSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IM Fell Great Primer SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+Great+Primer+SC
  static TextTheme imFellGreatPrimerScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.imFellGreatPrimerSc(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.imFellGreatPrimerSc(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.imFellGreatPrimerSc(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.imFellGreatPrimerSc(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.imFellGreatPrimerSc(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.imFellGreatPrimerSc(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.imFellGreatPrimerSc(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.imFellGreatPrimerSc(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.imFellGreatPrimerSc(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.imFellGreatPrimerSc(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.imFellGreatPrimerSc(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.imFellGreatPrimerSc(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.imFellGreatPrimerSc(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.imFellGreatPrimerSc(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.imFellGreatPrimerSc(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ibarra Real Nova font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ibarra+Real+Nova
  static TextStyle ibarraRealNova({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2bb1c4e2df79f3ce5912a4cc064fd07372f7ba7290f501296392d3d85750e5af',
        54900,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0a8bbdfcc79d37371f4ab901886b8c4607ff11d3e52601c202355d03e42206a6',
        54908,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4bf692aaba03b79077df7d951e2678c00ad5562caa89d87b82cd087d9be3f5af',
        54960,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bb79240c20a7c66682c6ad589090801f37c19d036997076c67b13c81d7ad2ed4',
        54864,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5982d9a28ebc2215a2f4b0fd9cbbbb94960dd036b1d97504205062ccb7ff0b3c',
        59332,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0adb1d7a1c7b9ba9c58a6ab73f8540e05d02c2c970613c358d77682428d26f04',
        59460,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '820217cd6d690220ce3a13828d215e510d765191e67aba8a960bc2cba25a6aae',
        59528,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '45030721016c97ad1404cb439696e949c00d7f47b41e5603c44ad8bb2f3eefa9',
        59396,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IbarraRealNova',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ibarra Real Nova font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ibarra+Real+Nova
  static TextTheme ibarraRealNovaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.ibarraRealNova(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.ibarraRealNova(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.ibarraRealNova(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.ibarraRealNova(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.ibarraRealNova(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.ibarraRealNova(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ibarraRealNova(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ibarraRealNova(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ibarraRealNova(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ibarraRealNova(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ibarraRealNova(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ibarraRealNova(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ibarraRealNova(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ibarraRealNova(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ibarraRealNova(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Iceberg font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Iceberg
  static TextStyle iceberg({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '51f97d63715b0a943393b738e263c9e0d1d4cde0061940961986a3b0e2c29ca5',
        13108,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Iceberg',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Iceberg font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Iceberg
  static TextTheme icebergTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.iceberg(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.iceberg(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.iceberg(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.iceberg(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.iceberg(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.iceberg(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.iceberg(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.iceberg(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.iceberg(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.iceberg(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.iceberg(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.iceberg(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.iceberg(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.iceberg(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.iceberg(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Iceland font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Iceland
  static TextStyle iceland({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '14f42d1746d769ce6cb2d8a79c7e48f9704c62efbc656cc4844b6d8566559132',
        14252,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Iceland',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Iceland font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Iceland
  static TextTheme icelandTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.iceland(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.iceland(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.iceland(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.iceland(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.iceland(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.iceland(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.iceland(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.iceland(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.iceland(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.iceland(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.iceland(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.iceland(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.iceland(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.iceland(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.iceland(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Imbue font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Imbue
  static TextStyle imbue({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '19622ca4058d4b9c4df5a6e293209ce3f3e3e6404e3d6fd07f3c20aae9f3a0a6',
        65224,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7ec367d6dcd9ab39429fe555aba7ea660156343a06468b75acfe2fb6fcc98c76',
        65500,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1bec46df7e9a73cfd9323ab567e9f45e0ff2a493142c34321d69b054b7836bd6',
        65468,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '48cef604365597836b74be56722d74919143f563dd6fddd70960c5561e600673',
        65548,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '98604a54ac6c8e293395b6529108adce9bb02fe84bcd865aab2165de542a016a',
        65564,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '98c27d085817775cd8929b974dbbaf03145d89722c6c4b348665ddedc1fe2a23',
        65652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6691b82a062e5309f16313882915aefd96ee3a43c6fc6d95b07f5950dda63063',
        65640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '357769a361bb390bdc1641d4ab50fcf7687a751e8fc22da10933a2b41202d86a',
        65756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5fbc2b8fad9ebfb003d5426b689f8767d6a96b25c065fef939917601113a51b1',
        65672,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Imbue',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Imbue font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Imbue
  static TextTheme imbueTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.imbue(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.imbue(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.imbue(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.imbue(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.imbue(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.imbue(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.imbue(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.imbue(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.imbue(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.imbue(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.imbue(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.imbue(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.imbue(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.imbue(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.imbue(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Imperial Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Imperial+Script
  static TextStyle imperialScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd842b2474d102967fc0ae2bf65cb548a885912314575630624bc6700f02347a3',
        98188,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ImperialScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Imperial Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Imperial+Script
  static TextTheme imperialScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.imperialScript(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.imperialScript(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.imperialScript(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.imperialScript(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.imperialScript(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.imperialScript(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.imperialScript(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.imperialScript(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.imperialScript(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.imperialScript(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.imperialScript(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.imperialScript(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.imperialScript(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.imperialScript(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.imperialScript(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Imprima font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Imprima
  static TextStyle imprima({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2b12b2f84e426c99ea3fc2a4568ba81130fdc0b470de1566513db1fab5ee661c',
        34796,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Imprima',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Imprima font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Imprima
  static TextTheme imprimaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.imprima(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.imprima(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.imprima(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.imprima(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.imprima(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.imprima(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.imprima(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.imprima(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.imprima(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.imprima(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.imprima(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.imprima(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.imprima(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.imprima(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.imprima(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Inconsolata font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Inconsolata
  static TextStyle inconsolata({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '50ee28595bad3c9cbe5bd5d9625d1dfe6dd4d2c43d857e10f16795c72e07ca55',
        73192,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd9c41f51810912cc9525cf454228b7cd04e426b45a2aa2a54e013818c172d6e0',
        73032,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4bab98628bbc37470331410c691c15f8e0c3d14f636ee2015830874bc463aced',
        72952,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a2c75e718460dc0a01e31cc1b2c7ba8c76e5efc74bbf218f5288b96f6be334eb',
        73388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5704d150140acec93614a83edc7b6e805aab68367dfd81f6294f96ff1cd31ef1',
        73464,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dd4081226472e6dc231ed9e249a2e30d0efe4bba3b15e610c4dd4a4529eec941',
        73336,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cfa7037a4640ecaf7b0f6128ea75a79edb815b074cd548dd1d228012710017b1',
        73328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bf97dd4404c001bd8baf3793c42cacfec1564f8460383b3af74ca1126b05e512',
        73120,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Inconsolata',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Inconsolata font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Inconsolata
  static TextTheme inconsolataTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.inconsolata(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.inconsolata(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.inconsolata(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.inconsolata(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.inconsolata(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.inconsolata(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.inconsolata(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.inconsolata(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.inconsolata(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.inconsolata(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.inconsolata(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.inconsolata(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.inconsolata(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.inconsolata(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.inconsolata(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Inder font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Inder
  static TextStyle inder({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e991130356878de98d6707a19fbded1555b30eefb700440a445c57aabbf790d2',
        28000,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Inder',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Inder font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Inder
  static TextTheme inderTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.inder(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.inder(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.inder(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.inder(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.inder(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.inder(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.inder(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.inder(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.inder(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.inder(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.inder(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.inder(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.inder(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.inder(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.inder(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Indie Flower font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Indie+Flower
  static TextStyle indieFlower({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8f45086b3dce82c08988dfc3917d4c46b0ab2158c75bb4e23776de29602fcff2',
        45564,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IndieFlower',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Indie Flower font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Indie+Flower
  static TextTheme indieFlowerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.indieFlower(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.indieFlower(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.indieFlower(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.indieFlower(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.indieFlower(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.indieFlower(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.indieFlower(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.indieFlower(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.indieFlower(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.indieFlower(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.indieFlower(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.indieFlower(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.indieFlower(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.indieFlower(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.indieFlower(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ingrid Darling font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ingrid+Darling
  static TextStyle ingridDarling({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2c781bc726fbf1b6e1fb0f7f59df5ac1c5911c0c4348fc9b330ae834af29e4e9',
        101052,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IngridDarling',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ingrid Darling font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ingrid+Darling
  static TextTheme ingridDarlingTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.ingridDarling(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.ingridDarling(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.ingridDarling(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.ingridDarling(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.ingridDarling(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.ingridDarling(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ingridDarling(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ingridDarling(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ingridDarling(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ingridDarling(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ingridDarling(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ingridDarling(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ingridDarling(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ingridDarling(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ingridDarling(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Inika font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Inika
  static TextStyle inika({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '71c44dfecd32bbaa791b856c26e1f513fb4d5c925712f7d144b692b82dac75a2',
        37800,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bedbee7e0198c60b09744b028a4407a44fd728f6cd3079e5634a4f7b30380ea3',
        36420,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Inika',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Inika font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Inika
  static TextTheme inikaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.inika(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.inika(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.inika(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.inika(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.inika(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.inika(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.inika(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.inika(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.inika(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.inika(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.inika(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.inika(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.inika(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.inika(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.inika(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Inknut Antiqua font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Inknut+Antiqua
  static TextStyle inknutAntiqua({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ebbb17d0741a22f37a01f533d6231db00970f848658f0f2ce93ddc151c5f5b3c',
        229548,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2deb09e19dbbfc34f5ea7a1df67dd819d7138d6f6a120e555289fba2746bfeda',
        226832,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3c21de761a5e8ee0e07f9c6d2faafe85878a8b5965856de5739255948e21ac96',
        227704,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9dba2c3e8a36d3230ac472f6671e90fd91bb77defefcc06327739186aded9320',
        227144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9614587bbc947d5e83b76dc2c94bb6473dfc46dfc6a4ae089d00235138048eff',
        224768,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '18256a9ed0e7ece18e69d6e7586ff3e0e12e372165d247fdaaf362785268df90',
        223676,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fb0902f2cebc26f885f99fed7cd05d4148cdea23dedddddeb311718a74d98584',
        218780,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'InknutAntiqua',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Inknut Antiqua font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Inknut+Antiqua
  static TextTheme inknutAntiquaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.inknutAntiqua(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.inknutAntiqua(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.inknutAntiqua(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.inknutAntiqua(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.inknutAntiqua(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.inknutAntiqua(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.inknutAntiqua(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.inknutAntiqua(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.inknutAntiqua(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.inknutAntiqua(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.inknutAntiqua(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.inknutAntiqua(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.inknutAntiqua(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.inknutAntiqua(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.inknutAntiqua(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Inria Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Inria+Sans
  static TextStyle inriaSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cde1f8ad95bce7e280a8181962a591b19eae25aa112a49941fb742b35d6a63eb',
        45920,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '635f6c99b5b9ec837159116b1ae4622f058c5ac802f574cc66a722b3cfda4314',
        47260,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ad4dff80b3c9aa3ddcec56999ff333ed78bb655e19e27c7fb0c12dd523aa0925',
        46132,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '09545336cb17a99dd7f0803abfcfe216ed29d40467c5fa0c35a11ba4e6983c20',
        47484,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd89af4341528ca47d9794ba55d2a627e2e8074c770e6177ff8f47d706f16b81a',
        45488,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a69eda1c24b46ea6394e18c9e2af9b726f4382ca481cceced0f480eefe86d183',
        47144,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'InriaSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Inria Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Inria+Sans
  static TextTheme inriaSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.inriaSans(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.inriaSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.inriaSans(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.inriaSans(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.inriaSans(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.inriaSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.inriaSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.inriaSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.inriaSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.inriaSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.inriaSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.inriaSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.inriaSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.inriaSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.inriaSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Inria Serif font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Inria+Serif
  static TextStyle inriaSerif({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4f1a719414cf9add765595f7a5d2177a2f5f8d9352be7201a464683994cb5caf',
        55928,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '33e79a36e0fb782f939e6347ad1e39aea81fd6bd9e3f706568a02311260b57ea',
        55660,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8d7528eca61a6dbf95915b85f0679743d12369ccddd4314bdc994fedfb6e877f',
        56152,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0f37bbe99d50a149e7ba4cdc58f6448f24e9cbc4690b1bfed83accb41b719c13',
        55816,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3d855c657c565df1c9a43d7716162d42bd1c53ff06ab12683ce607af0a75835c',
        55972,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd7196f80a26037d5c3a1787741571cdadce129ab81b27234bc0ad544b5470bda',
        55744,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'InriaSerif',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Inria Serif font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Inria+Serif
  static TextTheme inriaSerifTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.inriaSerif(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.inriaSerif(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.inriaSerif(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.inriaSerif(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.inriaSerif(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.inriaSerif(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.inriaSerif(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.inriaSerif(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.inriaSerif(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.inriaSerif(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.inriaSerif(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.inriaSerif(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.inriaSerif(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.inriaSerif(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.inriaSerif(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Inspiration font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Inspiration
  static TextStyle inspiration({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '95708ec98915bd210ddadf951cc8d327b7326cdf6baf801a05eff5f85c8f56e5',
        104964,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Inspiration',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Inspiration font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Inspiration
  static TextTheme inspirationTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.inspiration(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.inspiration(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.inspiration(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.inspiration(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.inspiration(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.inspiration(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.inspiration(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.inspiration(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.inspiration(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.inspiration(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.inspiration(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.inspiration(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.inspiration(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.inspiration(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.inspiration(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Instrument Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Instrument+Sans
  static TextStyle instrumentSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd9b3720945df7191cc1b66c47a3d6b3276bf7f88bb2a7d7a214759d74f8c9773',
        48592,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6b4c38fed862692cc5efa1286a1387baf15bc2787b930c8fd4bdbe26f0712091',
        48708,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3e68decf51bcdcaa4c61342bae723ffda7e53aa043bd5dd8a763ba1588b370e6',
        48708,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd863d4b453122cf2a6fec5697d9f715c5e2ab8d0ea0b652b98e3f7d054b2a270',
        48528,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2553618409f356d0e5c8729917ae169cee7a757f4891ed3cd8746a258779dda7',
        50020,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f6d785a7b5b7fa6bc79cdc5a826508d2ffaabb659b099f8bee28f77d6f0d9e7c',
        50204,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3428096a2edde9fe23d7366c84c60b203c6dbdaf8824f4acf70e56bf68cc49f2',
        50168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'aebc0ccd983222ecb1e975f2f090d89efe2784cc62fd79a69ca47d7c197f6df6',
        50028,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'InstrumentSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Instrument Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Instrument+Sans
  static TextTheme instrumentSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.instrumentSans(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.instrumentSans(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.instrumentSans(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.instrumentSans(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.instrumentSans(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.instrumentSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.instrumentSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.instrumentSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.instrumentSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.instrumentSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.instrumentSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.instrumentSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.instrumentSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.instrumentSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.instrumentSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Instrument Serif font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Instrument+Serif
  static TextStyle instrumentSerif({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '309aadf6d6254529fbfb5451b0905820ca2f4b9eccbb58fefcc161ae51020c72',
        48340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '32a9b6b7a0dca68f7b51471c7e145fac9286b71a4ce9ec8fb720542e18bc1046',
        47920,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'InstrumentSerif',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Instrument Serif font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Instrument+Serif
  static TextTheme instrumentSerifTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.instrumentSerif(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.instrumentSerif(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.instrumentSerif(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.instrumentSerif(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.instrumentSerif(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.instrumentSerif(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.instrumentSerif(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.instrumentSerif(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.instrumentSerif(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.instrumentSerif(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.instrumentSerif(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.instrumentSerif(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.instrumentSerif(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.instrumentSerif(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.instrumentSerif(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Inter font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Inter
  static TextStyle inter({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dc3019406d104e4124d1f73ef777e3e15b0df2d3797dc4f05f838b88448bbdbc',
        304160,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8b5d0190df6e45a23ab724a0a4784a10deb7d4cd89776de99c63acf88d3d4257',
        304448,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f4becfca034a14218f9779e6ff5bc1ca5b1514577c3cab76e386ff9642c67633',
        304068,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8fba6fe30d0e768cf6ec5468e843b4834a29bf71133ca031a80e45d464472beb',
        303480,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4079cf2d8fcdce1bfa9692f2a1a1788188d7dadce807079bb6a623371ef9ff1c',
        308368,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '824565ea1e33c84958432becc24dc30ae3df9ba9a9304b47bf1f330f460ca706',
        309408,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0ebefe6637b51f54e953af5beed98d607237c3bdcadbc39cefe3edcbec529ef7',
        309748,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd1adf80c80c93bbc514bb2899b3f84e2ff256004e9ad48bc405b568dc46fbcf3',
        310360,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8678ab8cc7cb3fba2789643c5eecdbecdfea1e96656f7f8ab5377835773a7b09',
        310016,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Inter',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Inter font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Inter
  static TextTheme interTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.inter(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.inter(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.inter(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.inter(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.inter(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.inter(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.inter(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.inter(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.inter(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.inter(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.inter(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.inter(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.inter(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.inter(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.inter(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Inter Tight font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Inter+Tight
  static TextStyle interTight({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e7ffae93eaccdc071f195b2ee0e003519a551c80449ad508aca0bb3262b7d260',
        298728,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '404cf43ed675c94c12ca0699a8b0e8132d2568f0b0e6447947b2791baebb0f48',
        299044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dc26a04f1025b93c048c01a4b68c4926d1fffb5fffd33942d77449cb305f0b09',
        298696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd09b8f0d43ec915a1e498032fe7aaf881398894d747b4cefa2f4c0fea9daaf3d',
        298236,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'af87cb250f2aa0ef59ab6d84897bc1e14bee4e226ec367c6535a041aacbd406d',
        301448,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '762c775d505b2500346fddfcfbe912b4579d39a2df74f04fd226312ec04ba200',
        302188,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a6d3bb37d0a595f5452ae34e774865633a53e265c0f6b40f64721624d3adebe3',
        302784,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '309f9d518f9c443c9cbc3dd7998a1a90a1abc410e7176c702af930c11739822e',
        303844,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2853ea2d892129f4b1a67469a6af18366ac29593869ff9f69d25040a2ae8c76f',
        303784,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fb9f9ac062a81d3cac85c01b1bb487cfa5507e2262cbc5a733b2715fd92463b6',
        305140,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '859cd2f288b5684574a734c9895ddee44054ac2715a15a9c53efce6e75093e3e',
        305556,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b2d9ecff15709212f28bd20cb559e50c48c109f6c29e95d4a0f9fe4eedc6ae2d',
        305296,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '62f4cb24f7ab7b7c7cc0ca1f4a95fba2ed250cdfaf876ae38775665520f49eec',
        304804,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9ca4501d9026eeb3c07be5406abc88b977284d878d950bde86c29534b07f60ee',
        308056,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ecda800d7ce1b631d4ea4849fdd81fbddc65bfd62a418299a445547b37022bdc',
        308804,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7f023f29f1d58cebb35de1435d6f33e54f02eca55aae26aadf115dd7c48313cd',
        309304,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7fcc6ee52df53e0841a9153389e0b081cfb2028d034465f2fa379471d31fde7e',
        310196,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '14b1c39436da679c716b75839ece03b556254f651b43a0f78c19accde940b83e',
        310204,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'InterTight',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Inter Tight font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Inter+Tight
  static TextTheme interTightTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.interTight(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.interTight(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.interTight(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.interTight(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.interTight(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.interTight(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.interTight(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.interTight(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.interTight(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.interTight(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.interTight(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.interTight(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.interTight(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.interTight(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.interTight(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Irish Grover font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Irish+Grover
  static TextStyle irishGrover({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c45cde9746bdc3f9c99497d67a5cc07d017351d00e1f1435fce5d56a92011667',
        50660,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IrishGrover',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Irish Grover font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Irish+Grover
  static TextTheme irishGroverTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.irishGrover(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.irishGrover(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.irishGrover(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.irishGrover(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.irishGrover(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.irishGrover(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.irishGrover(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.irishGrover(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.irishGrover(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.irishGrover(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.irishGrover(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.irishGrover(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.irishGrover(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.irishGrover(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.irishGrover(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Island Moments font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Island+Moments
  static TextStyle islandMoments({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd44f70da8b36fb2bab845a091387f6bacb6630b114c0d0c35e5df5b6837ab354',
        369664,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IslandMoments',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Island Moments font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Island+Moments
  static TextTheme islandMomentsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.islandMoments(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.islandMoments(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.islandMoments(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.islandMoments(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.islandMoments(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.islandMoments(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.islandMoments(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.islandMoments(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.islandMoments(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.islandMoments(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.islandMoments(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.islandMoments(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.islandMoments(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.islandMoments(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.islandMoments(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Istok Web font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Istok+Web
  static TextStyle istokWeb({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'da65d0808e72d7f8305f3cdf14854b27fab7eb564a58cb79dcd3e5548e55047e',
        131980,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cab6e7fce689e3aaaa23f9b7a3198d44f94dcfc3457e7146a0d230a2668fc37b',
        85944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '76af307f7639549f56107e9930ff08f6abbd8aa008c13562df811ebd202f9ab3',
        90304,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '45a20a7ffb42444f89c5fa1c1d9ca8d0d918903352bca0d084ec52af8ba4a7e0',
        85972,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IstokWeb',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Istok Web font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Istok+Web
  static TextTheme istokWebTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.istokWeb(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.istokWeb(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.istokWeb(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.istokWeb(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.istokWeb(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.istokWeb(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.istokWeb(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.istokWeb(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.istokWeb(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.istokWeb(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.istokWeb(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.istokWeb(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.istokWeb(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.istokWeb(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.istokWeb(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Italiana font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Italiana
  static TextStyle italiana({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd9b56e2ce617cab0d7fd12e45d791d08b21899d1af9f20800a25d60a6506a1e5',
        26660,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Italiana',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Italiana font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Italiana
  static TextTheme italianaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.italiana(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.italiana(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.italiana(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.italiana(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.italiana(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.italiana(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.italiana(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.italiana(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.italiana(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.italiana(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.italiana(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.italiana(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.italiana(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.italiana(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.italiana(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Italianno font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Italianno
  static TextStyle italianno({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a58fcfd40475c80662ec898030aa0e00d422067ec4d3bd8272fc2bf6799363dd',
        92212,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Italianno',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Italianno font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Italianno
  static TextTheme italiannoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.italianno(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.italianno(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.italianno(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.italianno(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.italianno(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.italianno(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.italianno(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.italianno(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.italianno(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.italianno(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.italianno(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.italianno(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.italianno(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.italianno(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.italianno(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Itim font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Itim
  static TextStyle itim({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8822fb9055096918b3b97c47f55481b7f8b0876adec03de80bd5cbec9d2f6e5a',
        234800,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Itim',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Itim font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Itim
  static TextTheme itimTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.itim(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.itim(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.itim(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.itim(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.itim(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.itim(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.itim(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.itim(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.itim(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.itim(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.itim(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.itim(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.itim(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.itim(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.itim(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Jacques Francois font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jacques+Francois
  static TextStyle jacquesFrancois({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '18b7e88a3612dc11e7796d904176b840be3e882b32d6a268c677a5cde900bf0c',
        28380,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'JacquesFrancois',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Jacques Francois font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jacques+Francois
  static TextTheme jacquesFrancoisTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.jacquesFrancois(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.jacquesFrancois(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.jacquesFrancois(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.jacquesFrancois(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.jacquesFrancois(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.jacquesFrancois(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.jacquesFrancois(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.jacquesFrancois(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.jacquesFrancois(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.jacquesFrancois(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.jacquesFrancois(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.jacquesFrancois(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.jacquesFrancois(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.jacquesFrancois(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.jacquesFrancois(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Jacques Francois Shadow font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jacques+Francois+Shadow
  static TextStyle jacquesFrancoisShadow({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0e38697e1d9e2e90b07a7bb51f860b5bf053cb82802bf0d14346bef27c136a5d',
        40580,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'JacquesFrancoisShadow',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Jacques Francois Shadow font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jacques+Francois+Shadow
  static TextTheme jacquesFrancoisShadowTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.jacquesFrancoisShadow(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.jacquesFrancoisShadow(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.jacquesFrancoisShadow(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.jacquesFrancoisShadow(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.jacquesFrancoisShadow(
          textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.jacquesFrancoisShadow(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.jacquesFrancoisShadow(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.jacquesFrancoisShadow(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.jacquesFrancoisShadow(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.jacquesFrancoisShadow(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.jacquesFrancoisShadow(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.jacquesFrancoisShadow(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.jacquesFrancoisShadow(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.jacquesFrancoisShadow(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.jacquesFrancoisShadow(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Jaldi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jaldi
  static TextStyle jaldi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'df17fb998fe2226b6157cada4cd08a99522324966fcb0c78d34f758515fc30f4',
        253920,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7c44838ee49f172bc5936d871a3e9e3631d76743a9720f3ae3c07f98d0b9fe62',
        253608,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Jaldi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Jaldi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jaldi
  static TextTheme jaldiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.jaldi(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.jaldi(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.jaldi(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.jaldi(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.jaldi(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.jaldi(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.jaldi(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.jaldi(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.jaldi(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.jaldi(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.jaldi(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.jaldi(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.jaldi(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.jaldi(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.jaldi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the JetBrains Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/JetBrains+Mono
  static TextStyle jetBrainsMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9a44b1b4adc03c445877e325d57d0879cb22840ff640a40e6515be59c845b015',
        112252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9133ef0d504f0d80e5478902ee49e8f815ade6f5621fc89c5d6b9263549325d7',
        112340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0623d0562debca9e5d97996af1de5e98f672a20f2ee6085cec86cd6a77ec3595',
        112276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fc34426314d00825ccc768a0c4b1178fe704f04bd947882ef10c2b71b7e355e7',
        112148,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ba10286722bd7dc2274b817575046e39ee816d6ba1e2ace48e22bcd068576941',
        112180,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f833596d98e0e021dd43d993254658d0f32318f82f08afee0fc2e41c16ce9571',
        112136,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b43a7dfebfb8816fb3859f6a7932824f594e115538ccd3f1ebc0ffc231b0acab',
        112068,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '98ea78a2337e1ef2274f247c857a63e40e975c6907a7baff9209033fa42142ac',
        112064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0ad56d15852c41931b3640756ff18d55178c649d5fb55daf346a6831918c2c49',
        115164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '446787ed370004cd92c5043b5710c0fe7222eea7b1cce8d6a0d48008e8d4fa9b',
        115260,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9002d02f91013aaf6ee54f0d03bde3e7d114597f49401b022c948ed5c4229702',
        115136,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '93f2f2d90bcd64e35bf1b7bd90149b168df727499667b5d2fde1758ed0297da5',
        114936,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd33f9b81805d2984778b134e68b0a7f242a2d10a81fa5299b8c5081f3f7f0e83',
        115060,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '93aae81b1f8697f683ae32b65bacb4d74679d7a6a69357fbe45858aaa05db9b4',
        115004,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a89a53b6ccccdfd6431441572e542901c7620e55d91f10d0eaa3fd39adaa3b83',
        114932,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '013382b52ceb65565ac0ecf7dbaaf9369d29f4d4d3a8763439e3eb77c2b1009b',
        114984,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'JetBrainsMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the JetBrains Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/JetBrains+Mono
  static TextTheme jetBrainsMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.jetBrainsMono(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.jetBrainsMono(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.jetBrainsMono(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.jetBrainsMono(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.jetBrainsMono(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.jetBrainsMono(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.jetBrainsMono(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.jetBrainsMono(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.jetBrainsMono(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.jetBrainsMono(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.jetBrainsMono(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.jetBrainsMono(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.jetBrainsMono(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.jetBrainsMono(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.jetBrainsMono(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Jim Nightshade font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jim+Nightshade
  static TextStyle jimNightshade({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fa4fc7922c851bddbda9c50b6c6f1940d2e0e30a420c3fa24989294bd78533a0',
        151072,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'JimNightshade',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Jim Nightshade font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jim+Nightshade
  static TextTheme jimNightshadeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.jimNightshade(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.jimNightshade(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.jimNightshade(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.jimNightshade(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.jimNightshade(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.jimNightshade(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.jimNightshade(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.jimNightshade(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.jimNightshade(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.jimNightshade(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.jimNightshade(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.jimNightshade(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.jimNightshade(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.jimNightshade(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.jimNightshade(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Joan font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Joan
  static TextStyle joan({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4158aedc45be06d9d453fbc45d48f291c87fa828c851a7337364ce2a688c82c4',
        149292,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Joan',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Joan font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Joan
  static TextTheme joanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.joan(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.joan(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.joan(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.joan(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.joan(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.joan(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.joan(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.joan(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.joan(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.joan(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.joan(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.joan(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.joan(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.joan(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.joan(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Jockey One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jockey+One
  static TextStyle jockeyOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fdc1e610717f762093f7cd0e236081f14475548ddbe5a48565215c06ca22f5db',
        41196,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'JockeyOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Jockey One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jockey+One
  static TextTheme jockeyOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.jockeyOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.jockeyOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.jockeyOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.jockeyOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.jockeyOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.jockeyOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.jockeyOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.jockeyOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.jockeyOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.jockeyOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.jockeyOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.jockeyOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.jockeyOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.jockeyOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.jockeyOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Jolly Lodger font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jolly+Lodger
  static TextStyle jollyLodger({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '026f40b02b8851fd29e43776b8b2215645b10d0fe0614412b56e8d66d1e2a33c',
        37708,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'JollyLodger',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Jolly Lodger font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jolly+Lodger
  static TextTheme jollyLodgerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.jollyLodger(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.jollyLodger(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.jollyLodger(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.jollyLodger(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.jollyLodger(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.jollyLodger(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.jollyLodger(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.jollyLodger(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.jollyLodger(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.jollyLodger(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.jollyLodger(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.jollyLodger(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.jollyLodger(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.jollyLodger(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.jollyLodger(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Jomhuria font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jomhuria
  static TextStyle jomhuria({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '830b6f79f123646b4fb6536fd09dfa0d86a0a208ab02c2d9613d64568fae0a34',
        159244,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Jomhuria',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Jomhuria font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jomhuria
  static TextTheme jomhuriaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.jomhuria(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.jomhuria(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.jomhuria(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.jomhuria(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.jomhuria(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.jomhuria(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.jomhuria(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.jomhuria(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.jomhuria(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.jomhuria(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.jomhuria(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.jomhuria(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.jomhuria(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.jomhuria(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.jomhuria(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Jomolhari font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jomolhari
  static TextStyle jomolhari({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '257a7f5f272c0820731fd89370c5be863b113587e4a78c3ee58d4508a8a85a9e',
        1002644,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Jomolhari',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Jomolhari font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jomolhari
  static TextTheme jomolhariTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.jomolhari(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.jomolhari(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.jomolhari(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.jomolhari(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.jomolhari(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.jomolhari(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.jomolhari(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.jomolhari(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.jomolhari(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.jomolhari(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.jomolhari(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.jomolhari(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.jomolhari(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.jomolhari(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.jomolhari(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Josefin Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Josefin+Sans
  static TextStyle josefinSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2448744e66028b67adc8960da8ad106b34def5d860b43e81290016903bf86933',
        57624,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ac493e27b3df8ac02502e11ff486eb0cea81a273255318cca605df7a09d9cbb6',
        57796,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9999a50a264e9071a08d7b90a2abcf5f56bf69d15719ef8dc9be37de399d1922',
        57820,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '81bf642d4a1e8e4a982527d9467f3560d3bd31df1551f27e93c571f0e3a9c0af',
        57820,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'becefacc06cd239dcbc516119a0334324c58d99704e2f9476643c0d1ef4c71ad',
        57860,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '39bcc7a8df91857b0a72b6afc571ef81b1914a8a40dbafc8d5b49d1d5e089abc',
        57856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'be01a38ae87a33e809683992977e19210ad75b35eda7066a506c649c4f85be68',
        57696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0f01f4c261cb3491ab95d60f4bd96c75709b5433902f0327ef4776f552e5ae4b',
        61840,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7dd16a88c296ea79e344c73a52578fda8aadb70391cf2be161aa2c61dbc87a9a',
        62116,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'aedf49ad987b06801e45513c112a70d6c0f2bd01e7c2c98a1da2994f6e1716d8',
        62076,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '111d8bbd0dbe8164dbda075f45bb5cacd44990f8a813855c91de0a358d745f48',
        62076,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3bcb7214e69f1944096b148fd8fedb17c5f0b3504097bab76e5093e3e460e119',
        62228,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3e2d0e4343533596ab3a8cfa4079e66b5e50fec88ea8261860d8162a8addb111',
        62240,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b951e858e636f232609db27567836813fd6920a23ca824a54dc0299b3c8eb919',
        61988,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'JosefinSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Josefin Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Josefin+Sans
  static TextTheme josefinSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.josefinSans(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.josefinSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.josefinSans(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.josefinSans(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.josefinSans(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.josefinSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.josefinSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.josefinSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.josefinSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.josefinSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.josefinSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.josefinSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.josefinSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.josefinSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.josefinSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Josefin Slab font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Josefin+Slab
  static TextStyle josefinSlab({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c754b50ed94643d43bd0e1d5e7a33ad9467e5822ef962fa312ca92f00e3c8e2f',
        21768,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '02ccf71fe0f07a61c60ac31948472da129e17b297f9ce4f912679dfbafb6389e',
        21816,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bc5577c8c6e144cf7406ed7dd22614c8d354133e0265b843ebcb85a269f692c0',
        21812,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cabc0e005c8be82e797468175170cc2a4e70c62081706151d3a89dd6d314250a',
        21784,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '780d75edeace7d3638cbbefd73e03e1654c4091fe4923f86138aa710bd40efa0',
        21788,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '73dbecb9ea32ffe0e30b8e01454f1f30ce8fb597e2f4b67d2186a2e6a574cacd',
        21816,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b7387a91699d8c1d69c08c8e3924807a8aee699839a068fba8d0453a975ebfba',
        21684,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '804e1e07675d6bb0be89d8f6abb1ca7ff9c372379aff3a01723f18380da96400',
        23560,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cbc8fcf1790706b4bbfa741d27df12ae01814491b21a33ac5b0b0c2267ce3391',
        23612,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '067eb956bcbea1bed880a8152d99367e387416dc2bce1f0b133115c28915e10e',
        23612,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '38d2006cee2c2f8c1dea3f8900f78bdc58e0853fca5d6065808e371259ce46d9',
        23504,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1ad5c4ba39d05ee28f37e51052d0f7a0ca7a026b5fd424f609f266dfa2c5369e',
        23568,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd7fbe3f28eb04cf5b9a190da9217a70a4e71e10544edef1c1dab1c62a827000e',
        23608,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7e974f309ed90cf0e73c7273f7f36f1d8a7a09a3f46296ea3e76616527186deb',
        23448,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'JosefinSlab',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Josefin Slab font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Josefin+Slab
  static TextTheme josefinSlabTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.josefinSlab(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.josefinSlab(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.josefinSlab(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.josefinSlab(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.josefinSlab(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.josefinSlab(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.josefinSlab(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.josefinSlab(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.josefinSlab(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.josefinSlab(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.josefinSlab(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.josefinSlab(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.josefinSlab(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.josefinSlab(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.josefinSlab(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Jost font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jost
  static TextStyle jost({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0cbd7b66531619d8ca0ca56dcd17f8d3a9308a1088792364cfa77ae6940ca252',
        58840,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2041a7a9b6f6f89b0499039b9559d77eb78bfc5208355719a0a90595b69874d5',
        58956,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '74de451daa3e5664c04d3f532f7cdf7f1544fc37a4b04a3c77e5ce6b1dfb4a28',
        58880,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '86de69cdcb32a94d783369ed37ed9fcd9abc0cf2e92bbcbc78fd171309462c83',
        58772,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '12051cd8b4d0f864e6af6c373eef5e9979347b6b244a4ed928a926e0a73d4a0a',
        58908,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7052849b1f708c221d1dbe333121af75f65845d366a825af5c927fc2102c7966',
        58908,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8ec4a2efba9c4b756ebfdc73acdf4940da777e73ff52c05d9c6e11ff44675f5b',
        58852,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '450b17a89b6f52487c4d9ccdc338609d5d0d08f3309e807184650cb189217755',
        58972,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ebcfea681b827060b29978461af726bd349443f1db8a8907071987817d73d53b',
        58944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ff29842e46cdb43fdb0664c8a21b2b0db9ea586f723d4c9a1ef29968a3536b17',
        62244,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2f64772085c40025ccc1edc6fd3822ad51f9e4dc8a83c52d7a3962befef4608a',
        62460,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b971c93d70bcedfbd38535f9e6da7e2fa22dc08039ab66288bb9d2bf6e1aed2d',
        62608,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '90c12b277946b514062c038331eed91b63db94e69b6e2286eb47cdb91edc9c94',
        62556,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '51b2684a0165d6087a922211eabdccb93e02a2ecb304c9f235e4117ef3a80b50',
        62676,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e3ddfb12fc30b1401baac040ba85bf56a4ec263af15429f43e0b9ba4e0c07ed5',
        62668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a7ea0c57edfcbc266cf25a4d8b243d99e8ada3376295e8cc662dfe8e585a9274',
        62524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '08ce15ffcb26f521ac295a9ddc20f9b86842a6196f1af4c13bf31df5ea50ffad',
        62636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4dd3403c67213d09f949a87283a1ec9e90e06c39576431150a41c594e75fa8f5',
        62616,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Jost',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Jost font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jost
  static TextTheme jostTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.jost(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.jost(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.jost(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.jost(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.jost(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.jost(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.jost(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.jost(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.jost(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.jost(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.jost(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.jost(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.jost(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.jost(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.jost(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Joti One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Joti+One
  static TextStyle jotiOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a1556ba8d7548e73a751710d82c4eba73ae767d9bb561fe2bbd3888d75538bc0',
        39372,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'JotiOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Joti One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Joti+One
  static TextTheme jotiOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.jotiOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.jotiOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.jotiOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.jotiOne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.jotiOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.jotiOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.jotiOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.jotiOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.jotiOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.jotiOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.jotiOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.jotiOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.jotiOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.jotiOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.jotiOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Jua font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jua
  static TextStyle jua({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7e55b2aaad4acdd93642873925d35a2cc127f1fcc9f44ddd50954b22646f515a',
        1366208,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Jua',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Jua font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jua
  static TextTheme juaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.jua(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.jua(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.jua(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.jua(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.jua(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.jua(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.jua(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.jua(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.jua(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.jua(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.jua(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.jua(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.jua(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.jua(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.jua(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Judson font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Judson
  static TextStyle judson({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5eecc68dfe55442cf465997cdf24849a43b90ca8488ea904a1eb06a63072b353',
        117920,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'bffdc5c1c37ca45c58120e8a8fdb498defa04b41463b95f7dbfb95868f18dd4b',
        109656,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cee65280d9927a4b87350de17e52c604f7eecc500c38ba1c17f205dc617ebf75',
        105276,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Judson',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Judson font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Judson
  static TextTheme judsonTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.judson(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.judson(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.judson(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.judson(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.judson(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.judson(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.judson(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.judson(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.judson(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.judson(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.judson(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.judson(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.judson(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.judson(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.judson(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Julee font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Julee
  static TextStyle julee({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ae0991f2de285116242777bcc1fc071aad4259a2326948f6bd71abd8ec88aeeb',
        46704,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Julee',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Julee font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Julee
  static TextTheme juleeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.julee(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.julee(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.julee(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.julee(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.julee(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.julee(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.julee(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.julee(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.julee(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.julee(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.julee(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.julee(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.julee(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.julee(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.julee(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Julius Sans One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Julius+Sans+One
  static TextStyle juliusSansOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '388045284676e92cc62b8f8b649f36c6b8e2308f1b7b25f3add0b94264659a5c',
        26852,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'JuliusSansOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Julius Sans One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Julius+Sans+One
  static TextTheme juliusSansOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.juliusSansOne(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.juliusSansOne(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.juliusSansOne(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.juliusSansOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.juliusSansOne(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.juliusSansOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.juliusSansOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.juliusSansOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.juliusSansOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.juliusSansOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.juliusSansOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.juliusSansOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.juliusSansOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.juliusSansOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.juliusSansOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Junge font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Junge
  static TextStyle junge({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e7a48eaf1fb323d849a9d358e914880f12551a78e1c24f3bad9e76eea8452e27',
        24004,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Junge',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Junge font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Junge
  static TextTheme jungeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.junge(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.junge(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.junge(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.junge(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.junge(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.junge(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.junge(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.junge(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.junge(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.junge(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.junge(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.junge(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.junge(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.junge(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.junge(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Jura font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jura
  static TextStyle jura({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '524a6b1e7560db04829605872be3aaa97299ee4e34f495342f6deb6755251f4a',
        150920,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '19652db1874777483a7611aecd18d4da7a236cd2a2ecab1123d50671c03d9742',
        151188,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e6772ff53e31e6db0b7e0c3b2fdd2cdfdf3cec7d33c53355c9719892b899422b',
        151100,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '98f689b4879696c5646a729ded39f806a1d3afbe92878249b89a288e75acde12',
        151120,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '13c5a74d6936241a64f461f8d8bbe17b83b0a1448572c0d3a7ea7fcadb485bfa',
        150808,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Jura',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Jura font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jura
  static TextTheme juraTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.jura(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.jura(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.jura(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.jura(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.jura(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.jura(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.jura(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.jura(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.jura(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.jura(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.jura(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.jura(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.jura(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.jura(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.jura(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Just Another Hand font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Just+Another+Hand
  static TextStyle justAnotherHand({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '13aedb770331ef1aba792d3f944450c9613954b9602faea54193cab835179902',
        75428,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'JustAnotherHand',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Just Another Hand font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Just+Another+Hand
  static TextTheme justAnotherHandTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.justAnotherHand(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.justAnotherHand(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.justAnotherHand(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.justAnotherHand(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.justAnotherHand(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.justAnotherHand(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.justAnotherHand(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.justAnotherHand(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.justAnotherHand(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.justAnotherHand(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.justAnotherHand(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.justAnotherHand(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.justAnotherHand(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.justAnotherHand(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.justAnotherHand(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Just Me Again Down Here font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Just+Me+Again+Down+Here
  static TextStyle justMeAgainDownHere({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5a8937ed95ef3f61a33aafb5c6f97c83af09ede10360cf9a4bee545257089439',
        50340,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'JustMeAgainDownHere',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Just Me Again Down Here font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Just+Me+Again+Down+Here
  static TextTheme justMeAgainDownHereTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.justMeAgainDownHere(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.justMeAgainDownHere(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.justMeAgainDownHere(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.justMeAgainDownHere(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.justMeAgainDownHere(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.justMeAgainDownHere(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.justMeAgainDownHere(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.justMeAgainDownHere(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.justMeAgainDownHere(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.justMeAgainDownHere(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.justMeAgainDownHere(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.justMeAgainDownHere(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.justMeAgainDownHere(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.justMeAgainDownHere(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.justMeAgainDownHere(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the K2D font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/K2D
  static TextStyle k2d({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f3feeef22df3aa25d211a79fb1b886a2b850ee133cdd563420b234f95592e8d9',
        90864,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c68be444fb83fbe462c9d3cf49e324fa0bb3c82a5280754377f93304c9d43fc2',
        94760,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '71198cb12976979fb9ce0ab42e5b6113e85a9a9369334c676343a998db2579a7',
        90688,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '222d20b60bf5b09b9de37379e5c00c7b3457f409095495463435165f470dfa88',
        94820,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9d8fed4c95e12c5a12a3cca3e9a618c0451a169cea16d31b5b4bf0ab2489ea3d',
        90728,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9d8fa039a163d6eb70365ff27b15a5b86af96efa7da3f6067786d5bb3ea04f82',
        94808,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd6ad4e81d0f72f6825177620309937e71ca6cfa9e00a6bcb1c5b1d5b9b21669a',
        90976,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ab22474bc9931b174440dcbacc196dbd47c206be5a93e916f7b45e8489524eef',
        95068,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e15ec7a279a3520f129d2acf396079d9cd36edea7fb8b3ace89f00614fa4e730',
        91356,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '258e6e38f16cc4f837846f3bf1e965e8bd9f687a5c9a7fa2bf0b04a7387d809d',
        95456,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bae195bea158d45183260bd3c560fd4140dbcd1dbd72dad4fc4349901eca6c6a',
        91488,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2b70bda904337f52ff80fda13701a449fae3eaead1ad7e97882cda3588f4bb06',
        95596,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '04c5c6fac3af5533d4f5aa6ec422da7a1759ccee4087a4ffe976df28e1064d99',
        91500,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '20eaf0c8b8fc420ef496850949e3f6852d633c196fc08855d954e89bfba33e59',
        95704,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a32273d889f7e8d98cd9ee1a23902f9c18273caa9e7af39fdc20dad46dd84711',
        91496,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '87b86d27326593b40539e3645cb684c416ee80453ccf8819682a8252f33a1b65',
        95800,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'K2D',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the K2D font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/K2D
  static TextTheme k2dTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.k2d(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.k2d(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.k2d(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.k2d(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.k2d(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.k2d(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.k2d(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.k2d(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.k2d(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.k2d(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.k2d(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.k2d(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.k2d(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.k2d(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.k2d(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kadwa font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kadwa
  static TextStyle kadwa({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c2c763ec1e0c4882c631072fe5ac032dd107fb4e180e2dd705811dc31323e8aa',
        148896,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '07d8d7119e2ee9657f081ab3a42cbe55676c7deebf4a34b332917fb60e686ae0',
        141008,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Kadwa',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kadwa font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kadwa
  static TextTheme kadwaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kadwa(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.kadwa(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kadwa(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.kadwa(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.kadwa(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.kadwa(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kadwa(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kadwa(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kadwa(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kadwa(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kadwa(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kadwa(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kadwa(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kadwa(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kadwa(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kaisei Decol font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kaisei+Decol
  static TextStyle kaiseiDecol({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ae8676268347f3f666e023fce2288b1becca0acaec604c754503c3ddabf502e8',
        4162272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '32091b8f3d69899426f26c7ba9a7379e44fcffc1a3657ade6e5da268b7cf0f9d',
        3965292,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0ad73d25293ba4387b4df23d6c1e9d360c35b5dda236c9bd2d4f9923fc402968',
        3954772,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KaiseiDecol',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kaisei Decol font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kaisei+Decol
  static TextTheme kaiseiDecolTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kaiseiDecol(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.kaiseiDecol(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kaiseiDecol(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.kaiseiDecol(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.kaiseiDecol(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.kaiseiDecol(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kaiseiDecol(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kaiseiDecol(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kaiseiDecol(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kaiseiDecol(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kaiseiDecol(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kaiseiDecol(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kaiseiDecol(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kaiseiDecol(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kaiseiDecol(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kaisei HarunoUmi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kaisei+HarunoUmi
  static TextStyle kaiseiHarunoUmi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e8a6fa5812f88f851ff77aba5f29fb010c38edd23b3af21d28e5dff037465ecc',
        4208568,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c0c1437ad15cc9376a947e61e4e0db54e13daa3790150461fd267bbde64f5909',
        4009888,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1aa7ea08df69d80950ea9f5214a797a06c1ea66e180dd7f26c2c9b4111f80cad',
        4000392,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KaiseiHarunoUmi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kaisei HarunoUmi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kaisei+HarunoUmi
  static TextTheme kaiseiHarunoUmiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.kaiseiHarunoUmi(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.kaiseiHarunoUmi(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.kaiseiHarunoUmi(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.kaiseiHarunoUmi(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.kaiseiHarunoUmi(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.kaiseiHarunoUmi(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kaiseiHarunoUmi(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.kaiseiHarunoUmi(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kaiseiHarunoUmi(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kaiseiHarunoUmi(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kaiseiHarunoUmi(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kaiseiHarunoUmi(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kaiseiHarunoUmi(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.kaiseiHarunoUmi(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kaiseiHarunoUmi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kaisei Opti font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kaisei+Opti
  static TextStyle kaiseiOpti({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '47395621672a90047f82385473ab4cb145432ab40cd597ae4928f9e71c4c3aa7',
        4162144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e82b9f62169233a376c7c5d36eced32168859574142e70065137381adb06ce18',
        3965476,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '551de8f3873b1b4b0924d176fd10ccdd229febaf4496c03356176813dfa28812',
        3955376,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KaiseiOpti',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kaisei Opti font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kaisei+Opti
  static TextTheme kaiseiOptiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kaiseiOpti(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.kaiseiOpti(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kaiseiOpti(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.kaiseiOpti(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.kaiseiOpti(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.kaiseiOpti(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kaiseiOpti(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kaiseiOpti(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kaiseiOpti(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kaiseiOpti(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kaiseiOpti(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kaiseiOpti(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kaiseiOpti(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kaiseiOpti(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kaiseiOpti(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kaisei Tokumin font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kaisei+Tokumin
  static TextStyle kaiseiTokumin({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '790ce97811960a925ea4c0b5a0ed84e08a6a4f9cef5d49f18f71d3d3e7bb8360',
        4215052,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6d1259427a9099137280a32061bb0fb25d991904acffd82b81fb6dcef41bd289',
        4009556,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ed3767bd60bc3b37cc8358a63734d1ee6691dad4cb8ef5835cd19f9baf1854f4',
        4010064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e375908fdfe08cce90ba3e1cbf6f79df7ece586c0127a7bc971228da33d91992',
        4192728,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KaiseiTokumin',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kaisei Tokumin font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kaisei+Tokumin
  static TextTheme kaiseiTokuminTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.kaiseiTokumin(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.kaiseiTokumin(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.kaiseiTokumin(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.kaiseiTokumin(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.kaiseiTokumin(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.kaiseiTokumin(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kaiseiTokumin(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kaiseiTokumin(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kaiseiTokumin(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kaiseiTokumin(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kaiseiTokumin(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kaiseiTokumin(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kaiseiTokumin(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kaiseiTokumin(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kaiseiTokumin(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kalam font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kalam
  static TextStyle kalam({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '98f38ed0ef0b7668d21ed9406906b6eb81450ab5212678e0b80243cbaea29db4',
        219580,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a37213f7be6a7e2f00eb6fae84583c0c0a9ff0c5bb397d63d7a6b6dac21ab8c4',
        219924,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '92cacefeee21ccdcb89245c9ab7e5ea7edd569703d5e493403d62a54e5c7534e',
        222188,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Kalam',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kalam font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kalam
  static TextTheme kalamTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kalam(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.kalam(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kalam(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.kalam(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.kalam(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.kalam(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kalam(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kalam(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kalam(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kalam(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kalam(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kalam(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kalam(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kalam(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kalam(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kameron font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kameron
  static TextStyle kameron({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '550d825f4927bf3a7229c5995c87315949fb5dd963f0a3c50bbb96250a536828',
        37688,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'de1f3cf4aec0adfacce021e661708efddbc0db2ee79c359d13bfc1f7456294b7',
        38588,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Kameron',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kameron font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kameron
  static TextTheme kameronTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kameron(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.kameron(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kameron(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.kameron(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.kameron(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.kameron(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kameron(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kameron(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kameron(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kameron(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kameron(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kameron(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kameron(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kameron(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kameron(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kanit font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kanit
  static TextStyle kanit({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '89abc17b0270f8e2a3e8e6efef2ed937be803454ca283ef6c0ac212dccd5db27',
        89304,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b62cc67c0f311b3b9f1f073fbee7969853ff2bb99a291f88779b2b5ecbb8d507',
        93928,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b5ce00d37fe417f5c949eea8241c961cee2b6817824a5785bd29fb21029a5cad',
        88592,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9e1117c3aa8a5ac0f7af89e69c9a707781e81805cd16825bf68c6d868604b6d1',
        93544,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '939503d3fc352e4ab852aeec3f49ac199b6e566cb447b88bc75460552ee42916',
        88744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f622bca8d685ec98edf87c6326188e9ccd13012b6b1e3337cdfbcd1b1c976bca',
        93564,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aeb8034dc3581ee3c5a3248fcd40691d7bc26199ea13caf373d1c2c7028a549d',
        88056,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4cf4b527c73aae5724289c2f394075210c27a9f6545fc8c9b2d9f459b013a457',
        93008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1d33e5da88a4724c9539c98de6e378fc8ae32d5b961142efedd7961cd486915a',
        87548,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '098a8e7b3e2a73f7ea59df49dfd5ff666a7fe5a6d952137edf4a889725738a87',
        92712,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '57ca406a73b67768f40cce3167e5bdb469c9bc59bd174a51c52730b860966f54',
        87732,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '02191a49bca560c28140f3d620b09922ea3fdb64854dfb83eae7ec5da773d13b',
        92928,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '868f32e8214dff27a45b9d442e65aa6efbe8e3568b4669fe1197da7bfbbfe92b',
        87448,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ff779ef7a17d68f144141d0b928be0ab41905980cc43e950d113163335b3fcf0',
        98732,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '144413a901c2e7192425dd321a9fd1fcfc2d1fb5045247b76f8cdac74c7a24c0',
        87604,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7eb9141ce91ce0562610f9b1260deb759b07d6d73030d86efbdad41d93e6dc36',
        98916,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4c1baf318dd15b2200b6656edc8444e26930ae1a44b1fcbb3a5457cd9d394136',
        87400,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '913792ab374a0576e0f15440efccb10677be9a4aa23cbf667671a63c69799a8e',
        98380,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Kanit',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kanit font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kanit
  static TextTheme kanitTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kanit(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.kanit(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kanit(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.kanit(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.kanit(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.kanit(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kanit(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kanit(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kanit(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kanit(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kanit(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kanit(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kanit(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kanit(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kanit(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kantumruy Pro font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kantumruy+Pro
  static TextStyle kantumruyPro({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8774d6ba403909ddd54e6b2e18e43867d19f5363f3d27a11b61c88ef94494566',
        91600,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e0d148fdc7758a4e3ecc0e958ed200fafc1f009283073f1859ab2cd82d75db3a',
        91880,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '868b091147e9811670db2b58f8ae50f2b60112ed7b43d8c0687364c97c4f818e',
        91836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a43f29e793b554abd46f7b17ea4e024d31e4e66b46d82fbe9cdb2f3490ecbfc7',
        91584,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd6a13f77034f52ced78b80437b1a61da765ed4559a0a59c778faa4b01ec12647',
        91796,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e49bc2a253cff8663b397c50189fc753fe3f87078d2d4f56c7e9e72d9b116e78',
        91848,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '55ba36f9e41641f7e5c87dbb8c40afb7e08c5bf52c3bbfa49a76aff022b9c73a',
        91560,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b8694b855d10b467b45350f282252dda65b806e363f2e88a7ad331c85ef6ef33',
        100300,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7ac72cb43a3800d9d18876d2df901537b57d930814560b3f73b1aede89ce4a30',
        100540,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd5beebfa09ceeeb2b5e09ac8e51a9d46da1f4a34586b37eb85cf34079111c5e0',
        100388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4e4273bbbdebab2c5bb900193b92e3be9fd9f489c50dcc436331fd3e9bfa52df',
        100096,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5ab197ec2cc52eec84b8a1045f3f75189f760fd35c2ac13451e92e72f8db679f',
        100428,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f5116a9ab443e7e9961067c379fb18c3960ef6e0e9a61848a411ecf29e889924',
        100456,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b2f6940aaa990eb5667f97fe50cb8611a95fb58a205d1a37b25d1309f8680d46',
        100152,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KantumruyPro',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kantumruy Pro font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kantumruy+Pro
  static TextTheme kantumruyProTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kantumruyPro(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.kantumruyPro(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kantumruyPro(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.kantumruyPro(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.kantumruyPro(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.kantumruyPro(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kantumruyPro(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kantumruyPro(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kantumruyPro(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kantumruyPro(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kantumruyPro(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kantumruyPro(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kantumruyPro(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kantumruyPro(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kantumruyPro(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Karantina font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Karantina
  static TextStyle karantina({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3a2ce17238047c9964df1863ddd90832959eaad256b36a297a61eabd0cfa1ef6',
        34184,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2375b1a0b5b75fbe05d9015edc9fcd67315c8b2c444b0c18d2e71c8b9efedfca',
        33360,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '100bfec07d150200573f5b94e85af38ab6b9a91d7232e5d3f6e8a0af6c742c2a',
        29964,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Karantina',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Karantina font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Karantina
  static TextTheme karantinaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.karantina(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.karantina(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.karantina(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.karantina(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.karantina(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.karantina(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.karantina(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.karantina(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.karantina(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.karantina(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.karantina(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.karantina(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.karantina(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.karantina(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.karantina(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Karla font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Karla
  static TextStyle karla({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b6ff8e81d599c462149b94e6a42e64e7cd42e4a55a3eea72532c269e4d629c66',
        41052,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd67676c5b9c483c7fd1edab45904048b7c2e98d6086d2d5b03a062d9ef665d43',
        41072,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4144b50abf221f65fbb35bc18f8183ed6c0e5b61da658432277bbd4d7840774e',
        40996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c0485c1cc1d3c3e424c888b419f9bb3a29787cfbd0bbf7b47c77bc77f50f98a5',
        41044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2a57f1d8ee18dd8460ffeec24ed79a8f54ee3b912c4a956f68c472e492960b28',
        41088,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd20c10eb5819405ba16a6c4f428c1b82a6b15adfd0dae822282a195e7eb2bee7',
        41056,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f095022e1e2b107bce60a199bf0a92e7b39641bf372025614e6e3d6e05d3c66a',
        41400,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a8fdf937288b22564c8091bf4125d26fe33f6888ef4a59bf05c701a38f9f0d33',
        42328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7e9a768649795a4cb4646eac49758798b36db47744c94a0f5040da3814b0a935',
        42252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0944f063a40fd0ac5870ecefa2594b9c5c0390d87b221e189dabf6f67214e957',
        42104,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5197b59fd4045a8a398d9a99c28513f61864fddabc26da96cd495549a7a01788',
        42224,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e3438c381d1eb70f350fe6044a41477f615437dac2d872491d7d2c7ae8605dfd',
        42248,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '70003f709b6a67444de40fc0fbfd6b95c1c9a903a8ac5a8dc91b96c10f019984',
        42128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd2576f991b85dac69c290d2387bd3c28fb34a3d4da088706ef1558e9200d8c3f',
        42528,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Karla',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Karla font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Karla
  static TextTheme karlaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.karla(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.karla(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.karla(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.karla(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.karla(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.karla(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.karla(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.karla(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.karla(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.karla(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.karla(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.karla(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.karla(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.karla(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.karla(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Karma font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Karma
  static TextStyle karma({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '344164aebe4f1ed23545de9d615aecda387c6216d5e056ba687875387b087fce',
        196104,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dee431fbbb1fd0a05c527b683771e37db53f426ea405a5effa61ad24f0839d3e',
        196176,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd82009628e6e241bf62bfecac5e636220686e8c1758e6ca6269f11372f302f0e',
        195092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '23cbb1312f4c9a9f9b23e9b43628a09e46c72a96ca6ce8e6424ea37d6aee0bdf',
        196008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '080acbea749b811f412e88a59438d51825433cb70fb2c2d42daae10bfba0f851',
        196568,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Karma',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Karma font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Karma
  static TextTheme karmaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.karma(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.karma(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.karma(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.karma(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.karma(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.karma(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.karma(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.karma(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.karma(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.karma(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.karma(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.karma(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.karma(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.karma(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.karma(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Katibeh font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Katibeh
  static TextStyle katibeh({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4928dda52d282e16f2d64d18cdeb5ba4fe71ef303ead6f87a0166cc4b2407d2b',
        160044,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Katibeh',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Katibeh font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Katibeh
  static TextTheme katibehTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.katibeh(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.katibeh(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.katibeh(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.katibeh(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.katibeh(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.katibeh(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.katibeh(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.katibeh(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.katibeh(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.katibeh(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.katibeh(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.katibeh(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.katibeh(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.katibeh(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.katibeh(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kaushan Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kaushan+Script
  static TextStyle kaushanScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aa9a0cb0a084135b7d74da4babae77943fa62177e975496b0371ff84ca23437d',
        108288,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KaushanScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kaushan Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kaushan+Script
  static TextTheme kaushanScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.kaushanScript(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.kaushanScript(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.kaushanScript(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.kaushanScript(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.kaushanScript(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.kaushanScript(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kaushanScript(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kaushanScript(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kaushanScript(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kaushanScript(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kaushanScript(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kaushanScript(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kaushanScript(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kaushanScript(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kaushanScript(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kavivanar font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kavivanar
  static TextStyle kavivanar({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8d16964f973d5d6f4f17678b6ff7fc3a0f96170214d6ad028fac7f62578b467d',
        64672,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Kavivanar',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kavivanar font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kavivanar
  static TextTheme kavivanarTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kavivanar(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.kavivanar(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kavivanar(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.kavivanar(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.kavivanar(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.kavivanar(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kavivanar(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kavivanar(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kavivanar(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kavivanar(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kavivanar(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kavivanar(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kavivanar(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kavivanar(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kavivanar(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kavoon font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kavoon
  static TextStyle kavoon({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '480d531b0a32d6d0d1ae9e09212399a28fd0859a612d3d7b618c0475b2d8e56f',
        48948,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Kavoon',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kavoon font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kavoon
  static TextTheme kavoonTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kavoon(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.kavoon(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kavoon(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.kavoon(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.kavoon(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.kavoon(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kavoon(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kavoon(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kavoon(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kavoon(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kavoon(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kavoon(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kavoon(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kavoon(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kavoon(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kdam Thmor Pro font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kdam+Thmor+Pro
  static TextStyle kdamThmorPro({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4df27ae598bbb995274307df6ec7d0b0d542405391356579cc4e233a6efb6ccc',
        51332,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KdamThmorPro',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kdam Thmor Pro font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kdam+Thmor+Pro
  static TextTheme kdamThmorProTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kdamThmorPro(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.kdamThmorPro(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kdamThmorPro(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.kdamThmorPro(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.kdamThmorPro(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.kdamThmorPro(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kdamThmorPro(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kdamThmorPro(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kdamThmorPro(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kdamThmorPro(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kdamThmorPro(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kdamThmorPro(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kdamThmorPro(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kdamThmorPro(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kdamThmorPro(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Keania One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Keania+One
  static TextStyle keaniaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c0eff4508a85967e2255b9ebe3ec7c91dc5cca10aac289f6c49a6c9e208ccc4b',
        35804,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KeaniaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Keania One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Keania+One
  static TextTheme keaniaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.keaniaOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.keaniaOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.keaniaOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.keaniaOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.keaniaOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.keaniaOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.keaniaOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.keaniaOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.keaniaOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.keaniaOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.keaniaOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.keaniaOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.keaniaOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.keaniaOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.keaniaOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kelly Slab font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kelly+Slab
  static TextStyle kellySlab({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '285bbdcf91fb68c8497664ac8a7679b7df529daa0d921500d33ff3a0a124c874',
        75408,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KellySlab',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kelly Slab font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kelly+Slab
  static TextTheme kellySlabTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kellySlab(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.kellySlab(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kellySlab(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.kellySlab(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.kellySlab(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.kellySlab(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kellySlab(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kellySlab(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kellySlab(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kellySlab(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kellySlab(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kellySlab(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kellySlab(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kellySlab(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kellySlab(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kenia font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kenia
  static TextStyle kenia({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '05320a266451f091a9223d56b2be1d660b00bfafbe3027c94587ef1834735745',
        35048,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Kenia',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kenia font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kenia
  static TextTheme keniaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kenia(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.kenia(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kenia(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.kenia(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.kenia(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.kenia(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kenia(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kenia(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kenia(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kenia(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kenia(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kenia(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kenia(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kenia(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kenia(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Khand font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Khand
  static TextStyle khand({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f91ee4572d5e011bece18be58aa213f8df1b51909d58d7acdfe0f09814b37e99',
        158712,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a47d69b6378a1099767ddc94911d4929aae181216a25a76d4a0f7e397b984938',
        158896,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8ecf733da2551e610629921af56f339ce4b82f7f1309dec8e0bef958b130fce2',
        158288,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fbadc108638950541c578e8a3af9827ba0ab5a8257bc564d0d088fdf761ea216',
        158528,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '61ff54a9ccca365f2467e070f8480e48ddb093670d8af922a9c8ea960834955a',
        158060,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Khand',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Khand font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Khand
  static TextTheme khandTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.khand(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.khand(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.khand(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.khand(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.khand(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.khand(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.khand(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.khand(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.khand(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.khand(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.khand(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.khand(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.khand(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.khand(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.khand(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Khmer font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Khmer
  static TextStyle khmer({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b0e2742f36177a46b4cc1b21eda9fcff6dadd1488246eb473f8077b5e35c9ddc',
        57876,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Khmer',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Khmer font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Khmer
  static TextTheme khmerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.khmer(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.khmer(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.khmer(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.khmer(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.khmer(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.khmer(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.khmer(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.khmer(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.khmer(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.khmer(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.khmer(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.khmer(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.khmer(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.khmer(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.khmer(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Khula font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Khula
  static TextStyle khula({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f7131a5b8a11c092417a02236d6c3456b7bdc31339747aa5e8c12a56b368d323',
        98400,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9f87a8f1d35ec22b66d2b3d6ad93e8c2045429e01dc9f2dc4df29fdb3355c55c',
        96640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd8c6f6c1f32156e2e300a740b793d254b91c7976cf565c3776321cb0e6ab8f6d',
        96524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4f4c3d7045d8dfedf2a529510d1a62710f938486b8b5f4123f4a6244421950ea',
        96956,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f09091305f7583a00c809c0281eeb7371602f06278b403bba96edf90d442ca76',
        97932,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Khula',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Khula font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Khula
  static TextTheme khulaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.khula(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.khula(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.khula(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.khula(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.khula(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.khula(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.khula(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.khula(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.khula(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.khula(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.khula(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.khula(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.khula(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.khula(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.khula(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kings font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kings
  static TextStyle kings({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9083dcaebaa49d9237d56f7eec56d166925457c935d8736e15e2788d3a1dbbed',
        115552,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Kings',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kings font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kings
  static TextTheme kingsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kings(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.kings(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kings(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.kings(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.kings(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.kings(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kings(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kings(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kings(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kings(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kings(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kings(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kings(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kings(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kings(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kirang Haerang font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kirang+Haerang
  static TextStyle kirangHaerang({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '01d4902ffdf55ab04c3f70fbe0cfe76c33d7d9afad4054c22b83f6a22dd4ce10',
        3554600,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KirangHaerang',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kirang Haerang font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kirang+Haerang
  static TextTheme kirangHaerangTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.kirangHaerang(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.kirangHaerang(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.kirangHaerang(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.kirangHaerang(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.kirangHaerang(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.kirangHaerang(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kirangHaerang(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kirangHaerang(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kirangHaerang(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kirangHaerang(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kirangHaerang(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kirangHaerang(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kirangHaerang(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kirangHaerang(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kirangHaerang(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kite One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kite+One
  static TextStyle kiteOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e7605dc3b893ff72233157a71e08f00bb50bb0c108f25a84f5e4a6691f3adbc7',
        46404,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KiteOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kite One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kite+One
  static TextTheme kiteOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kiteOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.kiteOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kiteOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.kiteOne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.kiteOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.kiteOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kiteOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kiteOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kiteOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kiteOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kiteOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kiteOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kiteOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kiteOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kiteOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kiwi Maru font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kiwi+Maru
  static TextStyle kiwiMaru({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b9c9c3046fc810f9faddaf1b1c96685d40d2572e9769ab05aa05a9c0b58301a6',
        4630528,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4548a439adfba60c426ceaab63f6adb8b02e3f4624370b59d30ac8a691d750d2',
        4708932,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7a7dfa489c8b1e3869dd15c1260b2956f89e8c290f78d7bc63bef5d380eb2978',
        4765088,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KiwiMaru',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kiwi Maru font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kiwi+Maru
  static TextTheme kiwiMaruTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kiwiMaru(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.kiwiMaru(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kiwiMaru(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.kiwiMaru(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.kiwiMaru(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.kiwiMaru(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kiwiMaru(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kiwiMaru(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kiwiMaru(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kiwiMaru(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kiwiMaru(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kiwiMaru(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kiwiMaru(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kiwiMaru(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kiwiMaru(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Klee One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Klee+One
  static TextStyle kleeOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8c307a4574ab7ef8cf7a859d7ea760d7e70644f72577dcd8e762ca364cd104b2',
        6649824,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6c0c75277d4d6e298dfc4b0910a4bba5b6f0b228887531a34855427250d4f284',
        6798992,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KleeOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Klee One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Klee+One
  static TextTheme kleeOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kleeOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.kleeOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kleeOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.kleeOne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.kleeOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.kleeOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kleeOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kleeOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kleeOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kleeOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kleeOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kleeOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kleeOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kleeOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kleeOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Knewave font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Knewave
  static TextStyle knewave({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd7a5d36996861440a7323bce635cba068a2abe33e203bc805bca465a7719c663',
        30828,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Knewave',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Knewave font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Knewave
  static TextTheme knewaveTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.knewave(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.knewave(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.knewave(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.knewave(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.knewave(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.knewave(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.knewave(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.knewave(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.knewave(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.knewave(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.knewave(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.knewave(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.knewave(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.knewave(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.knewave(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the KoHo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/KoHo
  static TextStyle koHo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f3af7e48182d135d3bb3e694d1bd1e756c0dd23789f6ec5bc4f190532f1f4ab0',
        86716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '03a317cdb0a6d89bcf5915b807d68a83916da8944091be1f2fab50b3afa9e9b4',
        90908,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cb924b0326b4c7311dd7331997e56735defa6b8fea8a1cd66f468ee2b063d37d',
        86412,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '371abb61eba423b208a21f317aa7ab8e0c6c35adaf47aad7b34b8a573301d0cd',
        90612,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '12e86a898aa933872b903c05385001479bc487ae9ca49766bd087bd240f5e8f5',
        86204,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5c4abc652d2044eb37097b3095e92a154f5f5a1d048993e4dc1091c1c64b3960',
        90532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '262f653a554a905e20a4164cc571d9dad94f7028709bb75eaf0c7b118ee55483',
        85892,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f61caf1f627e11ae12e26fb522e3487756c27e76a259444449da492b43ec1dc6',
        90208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2e340654b3773ca71ef3c3c702534b94b484762e690b3e00d561e1b1d22634f5',
        85700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2b001656996bca2587f64d6e6cde03c4e46e182f95ab1006b3e9b0138c1e1d3e',
        89800,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '60866577b16bc41cff442f77847cca4dda2e06692c998c33f2cd6cc8052e1cf6',
        85128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '40289fb01fd35c9113cc32a856b1c7108a05e4a5c9fa22588690da6d49d7c180',
        88844,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KoHo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the KoHo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/KoHo
  static TextTheme koHoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.koHo(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.koHo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.koHo(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.koHo(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.koHo(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.koHo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.koHo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.koHo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.koHo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.koHo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.koHo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.koHo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.koHo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.koHo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.koHo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kodchasan font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kodchasan
  static TextStyle kodchasan({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b270c7a489a5e44987f76a7b7d8accc87b471a8b004aaa8d83363137b3f6a365',
        95636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'df29b5ef8f9da30bafce1d35099319f33b5917b56a39f109a5d31bc1d9e020be',
        99936,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cf7944ad2e715c3460140920c250ccffb04691d8ea1f6bd0fa92959af995dc02',
        96820,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '42eccc5ca7e9bdb31d56573963ca7a3710c128b508e415c564e037ee9e66acf5',
        101004,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '09bf85551831dbcba6ceae4210541baebe2be421d66e6a09be21a8663805f73d',
        97096,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f7c82ba32c901d2ab4e7463bcd399a6f390f4e95766c425b398fbd9631850f4c',
        101792,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '24ead6b564b209dacdac3b7a48be912f91afcafa3ea02b63232c6896ef6e73c9',
        97392,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b8fa788a4a9a77e3b3c29f4928f90b59acd6fa11398628543fc24ba8b1f46d80',
        102188,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9c318eb6648061ae90ca7b0a6f952980d3411277bcdba04ce45edd4554d29f93',
        97472,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5013884ecbb7de0139a887a21d0378830ab3b3fb248367c243743f3fb52b4733',
        102656,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fc324575d01cbc90492b2dae368b851eb8f4020f4e555d1fb4367a8b9b046c95',
        97304,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cb61abbecb64b62f331b34b8e87aa62a6f35a838ee0264154aa8c89bea0340b3',
        102752,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Kodchasan',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kodchasan font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kodchasan
  static TextTheme kodchasanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kodchasan(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.kodchasan(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kodchasan(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.kodchasan(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.kodchasan(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.kodchasan(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kodchasan(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kodchasan(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kodchasan(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kodchasan(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kodchasan(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kodchasan(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kodchasan(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kodchasan(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kodchasan(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Koh Santepheap font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Koh+Santepheap
  static TextStyle kohSantepheap({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6d291580d0f06b8cb81f681171e8c5cf0dde6ab4a42924dbb75aa4876a8fadf3',
        96060,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7c612a7458b0d35f7f1f1d889334598706cc13adab8b323411498438d63e186b',
        89816,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b7a90b8c16824b639cf0061d97ba9c8e93158026ce40373dc7bdbe20e5c55cf5',
        85232,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f96c06c3d102fe6a0a3b31b7917cadfca68e06472200f86ca81abcd29e99e28c',
        81884,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9b9c67710fd4ce4f8917159d2f85a31f925025b59c68f0ee4225d950cacc6453',
        74536,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KohSantepheap',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Koh Santepheap font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Koh+Santepheap
  static TextTheme kohSantepheapTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.kohSantepheap(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.kohSantepheap(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.kohSantepheap(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.kohSantepheap(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.kohSantepheap(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.kohSantepheap(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kohSantepheap(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kohSantepheap(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kohSantepheap(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kohSantepheap(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kohSantepheap(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kohSantepheap(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kohSantepheap(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kohSantepheap(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kohSantepheap(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kolker Brush font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kolker+Brush
  static TextStyle kolkerBrush({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b961a615d42db7757b9c44faa7341e4be6710ca161cd71816634db85b7b7f447',
        180008,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KolkerBrush',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kolker Brush font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kolker+Brush
  static TextTheme kolkerBrushTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kolkerBrush(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.kolkerBrush(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kolkerBrush(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.kolkerBrush(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.kolkerBrush(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.kolkerBrush(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kolkerBrush(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kolkerBrush(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kolkerBrush(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kolkerBrush(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kolkerBrush(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kolkerBrush(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kolkerBrush(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kolkerBrush(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kolkerBrush(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Konkhmer Sleokchher font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Konkhmer+Sleokchher
  static TextStyle konkhmerSleokchher({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '88810d497c4e73f06c06fc3fa51e0e88bff8f12ac8e2248f11a860b776bc4068',
        566576,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KonkhmerSleokchher',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Konkhmer Sleokchher font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Konkhmer+Sleokchher
  static TextTheme konkhmerSleokchherTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.konkhmerSleokchher(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.konkhmerSleokchher(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.konkhmerSleokchher(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.konkhmerSleokchher(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.konkhmerSleokchher(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.konkhmerSleokchher(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.konkhmerSleokchher(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.konkhmerSleokchher(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.konkhmerSleokchher(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.konkhmerSleokchher(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.konkhmerSleokchher(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.konkhmerSleokchher(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.konkhmerSleokchher(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.konkhmerSleokchher(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.konkhmerSleokchher(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kosugi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kosugi
  static TextStyle kosugi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3d0d7ceb5b74fc05170b69189955572c79f856e53eaf8e403f417fbe805aae3e',
        2286760,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Kosugi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kosugi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kosugi
  static TextTheme kosugiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kosugi(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.kosugi(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kosugi(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.kosugi(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.kosugi(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.kosugi(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kosugi(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kosugi(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kosugi(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kosugi(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kosugi(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kosugi(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kosugi(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kosugi(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kosugi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kosugi Maru font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kosugi+Maru
  static TextStyle kosugiMaru({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1a90c857da87ed71b82528569fe9da02b7743228a973168640a523000aadcc6f',
        3563628,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KosugiMaru',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kosugi Maru font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kosugi+Maru
  static TextTheme kosugiMaruTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kosugiMaru(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.kosugiMaru(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kosugiMaru(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.kosugiMaru(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.kosugiMaru(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.kosugiMaru(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kosugiMaru(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kosugiMaru(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kosugiMaru(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kosugiMaru(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kosugiMaru(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kosugiMaru(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kosugiMaru(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kosugiMaru(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kosugiMaru(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kotta One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kotta+One
  static TextStyle kottaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0638d63efe7ee7b3e6ab4b96cc75576600f89898b5e35b7ae7ebb758b41a769a',
        34152,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KottaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kotta One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kotta+One
  static TextTheme kottaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kottaOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.kottaOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kottaOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.kottaOne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.kottaOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.kottaOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kottaOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kottaOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kottaOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kottaOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kottaOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kottaOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kottaOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kottaOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kottaOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Koulen font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Koulen
  static TextStyle koulen({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ce05b33cf65dd5ce1c121aa864e2608fbd6f2572e135e1aa2161e1a5432b8311',
        31796,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Koulen',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Koulen font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Koulen
  static TextTheme koulenTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.koulen(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.koulen(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.koulen(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.koulen(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.koulen(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.koulen(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.koulen(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.koulen(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.koulen(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.koulen(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.koulen(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.koulen(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.koulen(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.koulen(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.koulen(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kranky font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kranky
  static TextStyle kranky({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ad5c52c448d67b1b86122d6892649f7a92179c17161a737a8acd61d8af3dfdab',
        197308,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Kranky',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kranky font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kranky
  static TextTheme krankyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kranky(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.kranky(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kranky(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.kranky(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.kranky(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.kranky(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kranky(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kranky(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kranky(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kranky(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kranky(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kranky(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kranky(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kranky(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kranky(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kreon font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kreon
  static TextStyle kreon({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3b4e982e7265a4ecf5caed4cb6996fbd7792702e2f8c332fea23a45f7a872b2d',
        45264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd4a7609da3a6a7c35dfd79bfccc74ac1889cffff28bbc2553c56dbd829f386da',
        45460,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f3a8d635b44d40bfeb38fb83de2bfd869770d25378c0a36c5789c9f19b1d3b5a',
        45472,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ceeff235bcbbc213ab3feebaca31adbe31fabca11716fb964cafc58107150d67',
        45496,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd62abc6836ac864ee023a393b09273c8e1c8daa543f48882e2562847cec22380',
        45400,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Kreon',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kreon font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kreon
  static TextTheme kreonTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kreon(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.kreon(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kreon(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.kreon(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.kreon(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.kreon(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kreon(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kreon(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kreon(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kreon(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kreon(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kreon(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kreon(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kreon(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kreon(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kristi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kristi
  static TextStyle kristi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c3783785d888bec7656c3cf6d3c9eb48c0b048106448a3a77a9b5230c15bce9b',
        25676,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Kristi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kristi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kristi
  static TextTheme kristiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kristi(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.kristi(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kristi(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.kristi(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.kristi(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.kristi(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kristi(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kristi(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kristi(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kristi(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kristi(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kristi(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kristi(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kristi(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kristi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Krona One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Krona+One
  static TextStyle kronaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5a857bdedcd04808287e0f61434a166015905516d9b18b4588a2e56e92f93376',
        30616,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KronaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Krona One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Krona+One
  static TextTheme kronaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kronaOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.kronaOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kronaOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.kronaOne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.kronaOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.kronaOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kronaOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kronaOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kronaOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kronaOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kronaOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kronaOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kronaOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kronaOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kronaOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Krub font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Krub
  static TextStyle krub({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6e064bab32a21fa30c610295c91695432f7864991a4d00c1217a5b36e403cd96',
        81664,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '51506d322a16c0c02ce2cacd9fac549519d9e5258e2d1a2b4e90c5cfafdb4c2c',
        84648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9a216e70293e43f9afee4e88c83a71529e7e6a7bbb86835d8a730f9906cfeb28',
        81100,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '66d36cdd71ff9956005efe651b7bb1757929f7ade3ef702e3c4231a134f92cf6',
        83988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9ab135ae3874fde80d4de737db0926c9904c8ccc5dc82af2b94a9857cb59a526',
        80988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c10304de75799db5bb814f1aa2598c3ac1433e7888a7090ec3d33bccb7f83775',
        84040,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7d578102b79ffd00517dd5dab4bf39d1815020b4056f059dd0501f93e288d66f',
        80900,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8a82e2bbf17bf8e5fc073264a2bb66567de6773557f21703fbc15711b67a068f',
        83856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '93a6c45b34dd34dec10d6e093f4c45194b75f491b0215001c6a2045f0803c98f',
        80800,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '59450b19c8b120bd1c990983b8fe2aef06236e0ac250080980bb4e49b0e47eb1',
        83792,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b8def7bdcdabc64634f660f7a9090f16a2630225d33537da2827586e2c1a5a21',
        80756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8b30bf9c77979d77ca14816cbcb00e474b724e5d61320f0f412cb65b2b7bd62d',
        83796,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Krub',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Krub font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Krub
  static TextTheme krubTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.krub(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.krub(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.krub(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.krub(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.krub(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.krub(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.krub(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.krub(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.krub(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.krub(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.krub(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.krub(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.krub(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.krub(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.krub(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kufam font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kufam
  static TextStyle kufam({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b9918879c1cd365f491bf66b9f09250201f752f0200a80afb975f75f6e879d17',
        159836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '19eb36af4d159d91d26a6ace4bab8e9d95254a240c92b4b85f175d755986a1a6',
        160148,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8141b0ee95b3ea3c965e9c57ea1c945949d2ea6f95d54f308b38f7ee94968324',
        160252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ad35cac3c2b89758c515f363096a5db28707c9deb72764411bcd365a7bdff18a',
        160320,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4e04e53ccf0f8905856334b068f1026e85f8d22ca66af93c622db608f21deba3',
        160244,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a5bd9b5be517f4d2eb0658126437461d71d72e3228779338740a3882f0d39b3a',
        159756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ce627f354e23833a957c9b59d08a7f1022bbbfd62093c97fe558ce3ae9b50d2d',
        163424,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '10df402f416fc5014d0f5a878d3e83f1ae1de1331b49db5ce4dbcdf519d68ecf',
        163932,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4e60c96e5b2ae4310c83b13c4afd1de589e9a057663e3091918bc718ee1f82ad',
        163940,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '33c16ad77a4db652452494e66ae0358b5fc23317d8942d2b500b93e75d3bcdea',
        163916,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0c845b3a97f93d4e6de2e382bc6a708e26d9acccf17bbd63400175929edc7b22',
        163884,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fcffe90ad7b76939057c1d996687a31a62e5355e0396762c10cdc3f03b07c8ac',
        163352,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Kufam',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kufam font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kufam
  static TextTheme kufamTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kufam(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.kufam(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kufam(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.kufam(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.kufam(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.kufam(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kufam(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kufam(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kufam(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kufam(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kufam(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kufam(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kufam(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kufam(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kufam(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kulim Park font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kulim+Park
  static TextStyle kulimPark({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '411dd1c2a745dffc3a7ec3e3b08b5a0a7e4b64b9665af04992ab11a4088c35c5',
        43256,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e42aa6fe8dbce9ec161e7a43f425312f70e9d0ae889b9b87d61eb49e6e53dd9b',
        45316,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b7b666671732126b9fdcc9d0b6af69224c77410099aa68e77fd252155868ac96',
        44404,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '53c9090cffc2eb26795863357277af6e10ea7b10bccce7bc06c00f2299872695',
        46220,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f6eb5e7ad93fe4846f2695b81674b437592f8d139eae1740df2bdb94cc1cb789',
        44392,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '65fa35863efa80888c2b40da6783a797a3708179e27d9e74f378de68f4bf34d7',
        46036,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '97d007e0de718e70539306c4d4d4070e14c09ed649be04de7400a230cb9d1223',
        44296,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '144f19f1eb5cc929255d504b6b4f8d8746ef5d4e4af83dfefdf00914d7dc6ff1',
        46032,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eee087645cb4966df66021eb07852d61e969eb4fb1bae148d6992b8d0633abb7',
        43860,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6ff9f4f4b4f227cf493be24aebef50836aff650e47b889e0dcac77978498031b',
        45840,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KulimPark',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kulim Park font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kulim+Park
  static TextTheme kulimParkTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kulimPark(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.kulimPark(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kulimPark(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.kulimPark(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.kulimPark(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.kulimPark(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kulimPark(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kulimPark(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kulimPark(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kulimPark(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kulimPark(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kulimPark(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kulimPark(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kulimPark(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kulimPark(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kumar One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kumar+One
  static TextStyle kumarOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2a607987657b3025c7fd25657ea82ce888eecad94f4f5a692c77b828ac4d3825',
        87384,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KumarOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kumar One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kumar+One
  static TextTheme kumarOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kumarOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.kumarOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kumarOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.kumarOne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.kumarOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.kumarOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kumarOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kumarOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kumarOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kumarOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kumarOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kumarOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kumarOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kumarOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kumarOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kumar One Outline font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kumar+One+Outline
  static TextStyle kumarOneOutline({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7611e5acc94e77b80e007061709cb79b567dac87facd97283bd7fe8184d97988',
        119368,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KumarOneOutline',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kumar One Outline font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kumar+One+Outline
  static TextTheme kumarOneOutlineTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.kumarOneOutline(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.kumarOneOutline(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.kumarOneOutline(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.kumarOneOutline(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.kumarOneOutline(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.kumarOneOutline(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kumarOneOutline(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.kumarOneOutline(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kumarOneOutline(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kumarOneOutline(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kumarOneOutline(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kumarOneOutline(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kumarOneOutline(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.kumarOneOutline(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kumarOneOutline(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kumbh Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kumbh+Sans
  static TextStyle kumbhSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '982294e47566227bb578f7f951fe612ed247671036a37f6f44f5644077c48b74',
        52860,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c01b3fc2a522f18c431f470e5f467f432ee2b0126230f475d7dcaac3524ac2f1',
        52812,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '48f3e99843c7d06f44c22d4652cedcacceb1aa70b980192520105f6e67cb30e8',
        52692,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ed9efcb1492c390b991f7385286853a53b09368de04ec918c10b662541dfe2bf',
        52588,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e9563e5a4ebe77729636fbd377f3af089f820e2ade671f403d79948d5687d241',
        52556,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2794039be6717767f5922439ba15efc772f60633e6ecb83bca04a5edda8a14ed',
        52756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '743c800b3109cc996832bce46bae0f8ae9884d333255e1cd4ac6393dfd05ac8b',
        52996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '506235c6c569f487f88825f517dc3f993a256a531673fa0d5d76f46550b9380e',
        53220,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b3eb6002aeb73491ede71eb688d639b80d57fd72af51745b3c152773b2e9a8b2',
        53316,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KumbhSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kumbh Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kumbh+Sans
  static TextTheme kumbhSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kumbhSans(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.kumbhSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kumbhSans(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.kumbhSans(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.kumbhSans(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.kumbhSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kumbhSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kumbhSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kumbhSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kumbhSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kumbhSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kumbhSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kumbhSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kumbhSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kumbhSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kurale font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kurale
  static TextStyle kurale({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7096016c2619f5795fdc65abea4d7d40d59794d08aaaafc6efc0bfc389a14c1c',
        136988,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Kurale',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kurale font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kurale
  static TextTheme kuraleTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kurale(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.kurale(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kurale(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.kurale(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.kurale(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.kurale(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kurale(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kurale(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kurale(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kurale(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kurale(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kurale(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kurale(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kurale(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kurale(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the La Belle Aurore font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/La+Belle+Aurore
  static TextStyle laBelleAurore({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '48ae657f140b03c7e54a80636b2a1620bc4ea1274c5003deb941ae45a833d892',
        44080,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LaBelleAurore',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the La Belle Aurore font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/La+Belle+Aurore
  static TextTheme laBelleAuroreTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.laBelleAurore(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.laBelleAurore(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.laBelleAurore(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.laBelleAurore(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.laBelleAurore(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.laBelleAurore(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.laBelleAurore(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.laBelleAurore(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.laBelleAurore(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.laBelleAurore(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.laBelleAurore(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.laBelleAurore(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.laBelleAurore(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.laBelleAurore(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.laBelleAurore(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Labrada font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Labrada
  static TextStyle labrada({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4e33d16903de0611b8efc22f6a30b03eacd2c21eacc4d0be35456f4799b7b917',
        73564,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1d90aa379c638f6b93b0eb2948170037c4e78d01f8773f5215c8c25750179cbd',
        73968,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e34d05ccc683f8a729522c56b5ebe48fe96a9ed4285b6e89167764d3619d18f7',
        73980,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c82443416269cbc26dc687a5aa90ad7503c30928567c3355a57e8517886b198d',
        73520,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1fe57ad2c7956ea02f7dd927ae093d95391f13030f6adc97930e9da53e4ac35e',
        74076,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c899209b9629638c0dd8d63fd964735c57f9c615af016b1b2ad8304f1e637530',
        74652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f5ae2ca2663b6a7f99a65aecc0a05b29d0c1ff0f376ca0464a6a19a6faed3e79',
        74640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6695cf14558b81b67b0c86d0b4eb53c55fef69be60490f326a69168e1ce77b52',
        80496,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '938a43acf661ee816b329c93f48bd61970dd2987a0069802c25cb5701a3c6bec',
        79620,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5c938f5910880bcb57145ccd16a0d7a9010aaa58b959e71e4d68d49ac637eb2d',
        72576,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4b645b39b96fdb7fdd1bc2900b5f4c82257d2f6c44e116ce0e0bdbb6a21f1cdc',
        72952,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'dc3f645ad5d74167e48d3652438031ae0cc1fe565132224c2b1f54f3c33c2b80',
        73108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f9062bd88c81bc8425fb6aef199ff8eb226a26dafba055c2a9e1e861c2f4a5ab',
        72728,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1b7cc73e8156e4482bb169d37e8a7473a37d7cfe476fb336a5351e83755519f5',
        73116,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd27d3306f96ec8556d0fb88b692165b6f67217955a8b1c937c5cbc01e5deb9ae',
        73236,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7a65abf876ec60922f44563da756b17b2b51815359930aa05a109b57f7157f66',
        78008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4a30531865328b365a3c16607e9971a539d5d3d89075fb250bf3aca69ea0a06e',
        78148,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '86e4e54fa3e6dccf52bbfd3f2e117bf29edbc7f48a1a6a55eedc8ec607450ebb',
        77740,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Labrada',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Labrada font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Labrada
  static TextTheme labradaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.labrada(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.labrada(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.labrada(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.labrada(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.labrada(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.labrada(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.labrada(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.labrada(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.labrada(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.labrada(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.labrada(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.labrada(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.labrada(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.labrada(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.labrada(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Lacquer font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lacquer
  static TextStyle lacquer({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bbdfb039f1c10cff70fd5b04bfe8f0fc8baa2226c1774b2f7d168c27254b69c8',
        203048,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Lacquer',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lacquer font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lacquer
  static TextTheme lacquerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.lacquer(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.lacquer(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.lacquer(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.lacquer(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.lacquer(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.lacquer(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.lacquer(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.lacquer(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.lacquer(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.lacquer(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.lacquer(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.lacquer(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.lacquer(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.lacquer(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.lacquer(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Laila font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Laila
  static TextStyle laila({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'be4c1aaca63a49bfbfce14c17a2a33bef4c8a3c667f7da372a2394a8a54fca06',
        198232,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3dea8f75e5f22891ca7573043c6e54bcc2cbaa25d332c9e5a3db53b24fba44be',
        199212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c75a1ba4dc21f22f3a0f6d8eb7814d1f973b61ad8b97d56a4d967ecb13f9404f',
        197344,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '13014ae3d49b59e2ed1763d78201ee312bc5e517b55096a3247aa4923cb2e535',
        197216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f143e9464dfad328f37d25cb36b2bce973f82410c6db354ba7342c2c8fbf3dca',
        196084,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Laila',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Laila font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Laila
  static TextTheme lailaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.laila(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.laila(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.laila(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.laila(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.laila(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.laila(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.laila(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.laila(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.laila(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.laila(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.laila(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.laila(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.laila(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.laila(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.laila(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Lakki Reddy font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lakki+Reddy
  static TextStyle lakkiReddy({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f3fc44b1571bd5925f9f8ccd56cc5fe43b6aaf2de41b0ae4e18f576f1187549f',
        354844,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LakkiReddy',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lakki Reddy font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lakki+Reddy
  static TextTheme lakkiReddyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.lakkiReddy(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.lakkiReddy(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.lakkiReddy(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.lakkiReddy(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.lakkiReddy(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.lakkiReddy(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.lakkiReddy(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.lakkiReddy(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.lakkiReddy(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.lakkiReddy(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.lakkiReddy(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.lakkiReddy(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.lakkiReddy(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.lakkiReddy(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.lakkiReddy(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Lalezar font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lalezar
  static TextStyle lalezar({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1788a04c896f11a4421af62ffa29d5f2894e71f732ddd22ddfaa27a2b26a0efe',
        177672,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Lalezar',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lalezar font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lalezar
  static TextTheme lalezarTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.lalezar(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.lalezar(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.lalezar(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.lalezar(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.lalezar(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.lalezar(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.lalezar(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.lalezar(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.lalezar(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.lalezar(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.lalezar(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.lalezar(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.lalezar(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.lalezar(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.lalezar(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Lancelot font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lancelot
  static TextStyle lancelot({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '418d6278c97231d8c7c60f8c60653c97a2c0974b69a78767dc8b7155e30adcce',
        24412,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Lancelot',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lancelot font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lancelot
  static TextTheme lancelotTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.lancelot(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.lancelot(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.lancelot(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.lancelot(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.lancelot(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.lancelot(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.lancelot(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.lancelot(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.lancelot(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.lancelot(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.lancelot(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.lancelot(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.lancelot(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.lancelot(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.lancelot(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Langar font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Langar
  static TextStyle langar({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b3632d2c8c8bd37790a2c4068c50293beced62f0b77891361e8513d4625b3d3e',
        137468,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Langar',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Langar font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Langar
  static TextTheme langarTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.langar(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.langar(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.langar(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.langar(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.langar(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.langar(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.langar(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.langar(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.langar(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.langar(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.langar(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.langar(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.langar(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.langar(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.langar(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Lateef font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lateef
  static TextStyle lateef({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6823e3b11aa30cd5f844b07695d48130b0bfc209f2edaf943e6d337e32bbc183',
        147004,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6423bc63dcffd6728e73a8fc54c98fdc4d2d09f2006aa95fc0d1d7ab2ab17c86',
        146580,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd94232684709bf17a93bf7c6023cd891aac720a539acfb1a7bfd9fff9a258052',
        146900,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a23cba5ebd2cb356875d6b5499b1d5abaad2b29ccd8889abff368fdb4a5ebce6',
        147808,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '28b5662813d8367626422fd843e1e342b72bcab1a959d25fd6c3cba1e196ce55',
        147956,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'be491cc64453189127a0be953f1ef9fd40419e9d1961d60cbb2501efb87b4bbd',
        148524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '76d938835df01b4e2a173b5cebdcf41c93910088f47c6d886b2c8463d9caaad1',
        148728,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Lateef',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lateef font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lateef
  static TextTheme lateefTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.lateef(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.lateef(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.lateef(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.lateef(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.lateef(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.lateef(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.lateef(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.lateef(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.lateef(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.lateef(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.lateef(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.lateef(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.lateef(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.lateef(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.lateef(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Lato font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lato
  static TextStyle lato({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bdeed3215d96c48ad8dd5237a1e60317ec6880c4fbec433cd7e0043804c932ef',
        35368,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1f0fdef9af712c39a7770cf35712c08abfdd4ccc01665d3fb2ec67559018d0ad',
        33960,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f8b8bb46e0f9d42cb83e6cd722f6dc0ddcfcd64ad68ee4e1227ee74ee1028cfa',
        33288,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b75fa5b0a60e22d0b15904a3c4fc6837a84e527a0a97a41281df880920dfea76',
        34472,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5ced1045820caaac87af3f61ded09bacc90881f158d04c59dcce436fd02ad368',
        33408,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4b73aa5035797a21734eb2805ae3ad62de986410d20e956146b379ad9cd9537f',
        34560,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'af2c9fa2534c5e1605d24015fabe84c697e5381b0549e4ad3a1bedc21df911ae',
        33996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0df2d41932fc1c1b4a445e686733496168788fb4d4a1a1ec0584800ff8b9cd0e',
        34704,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ea4d535c8d7443f9b269dda3c28eef6aef7ffe002a780b428de75102777d84e8',
        33772,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd91fd5dfbe26a450a2c129143894275818bcae41aba08bf9d244db6d94942674',
        34620,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Lato',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lato font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lato
  static TextTheme latoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.lato(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.lato(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.lato(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.lato(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.lato(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.lato(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.lato(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.lato(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.lato(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.lato(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.lato(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.lato(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.lato(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.lato(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.lato(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Lavishly Yours font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lavishly+Yours
  static TextStyle lavishlyYours({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b0179f7b5cc029f6991676322d4d3aaaa87d04de1beba5dd6f9e803192173c97',
        96144,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LavishlyYours',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lavishly Yours font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lavishly+Yours
  static TextTheme lavishlyYoursTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.lavishlyYours(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.lavishlyYours(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.lavishlyYours(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.lavishlyYours(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.lavishlyYours(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.lavishlyYours(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.lavishlyYours(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.lavishlyYours(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.lavishlyYours(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.lavishlyYours(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.lavishlyYours(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.lavishlyYours(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.lavishlyYours(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.lavishlyYours(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.lavishlyYours(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the League Gothic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/League+Gothic
  static TextStyle leagueGothic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '15dae0b4b89014503d1ee98beb92b4313cfed23ea47d798c7b1f017447ee3ad8',
        37340,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LeagueGothic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the League Gothic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/League+Gothic
  static TextTheme leagueGothicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.leagueGothic(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.leagueGothic(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.leagueGothic(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.leagueGothic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.leagueGothic(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.leagueGothic(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.leagueGothic(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.leagueGothic(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.leagueGothic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.leagueGothic(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.leagueGothic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.leagueGothic(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.leagueGothic(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.leagueGothic(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.leagueGothic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the League Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/League+Script
  static TextStyle leagueScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0d81b4c09c948028f42af39a5e9a9aa2ac1d63eaee75f31325b3c63d825ac499',
        37976,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LeagueScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the League Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/League+Script
  static TextTheme leagueScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.leagueScript(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.leagueScript(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.leagueScript(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.leagueScript(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.leagueScript(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.leagueScript(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.leagueScript(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.leagueScript(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.leagueScript(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.leagueScript(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.leagueScript(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.leagueScript(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.leagueScript(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.leagueScript(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.leagueScript(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the League Spartan font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/League+Spartan
  static TextStyle leagueSpartan({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4384ca99cc78a69b5870a29f528d6f9f5c14d4f8f1138d6b275ca7f448f973a0',
        52832,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '46b429c508ea6798f08da9e28fe7c22e45fbeb90cdcd098092a2d2c69944e15c',
        52884,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5258b7714e3ef7331bb3d7ff8da79cf76e3b1b3445548bf2ead6b7e931680072',
        52848,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5ae198bdbfcae1762bdfc671c4f3d045e4d2918355598f386aa0b88d92a232a7',
        52848,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '05c4df0e3046446e185fd6b578ac6349fe4ad9fe59b3644996753fb4bbb75113',
        52868,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7e5b6f2e69bc4228f227d9f976a17b839d8501fb8170b4c327fe46b880ad086a',
        52948,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2e3acc2490f52e0063d70c6ffa335c99cb1d079d59270084eecd131019af6c59',
        53004,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ede566f4924a586fe97bade3270c100756df42cb4c5bbaa76969e0ffc9f4a98e',
        53228,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cd0e63f246783c63cd4623c7267270b9edc9cb2774820df16c05c3eb6be7a186',
        53096,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LeagueSpartan',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the League Spartan font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/League+Spartan
  static TextTheme leagueSpartanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.leagueSpartan(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.leagueSpartan(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.leagueSpartan(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.leagueSpartan(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.leagueSpartan(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.leagueSpartan(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.leagueSpartan(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.leagueSpartan(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.leagueSpartan(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.leagueSpartan(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.leagueSpartan(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.leagueSpartan(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.leagueSpartan(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.leagueSpartan(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.leagueSpartan(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Leckerli One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Leckerli+One
  static TextStyle leckerliOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9dd7be2207a9ea2b1b628ebcf4e9ff34bc8d4c612c4bf8dab4ccdda782932c5e',
        41024,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LeckerliOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Leckerli One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Leckerli+One
  static TextTheme leckerliOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.leckerliOne(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.leckerliOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.leckerliOne(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.leckerliOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.leckerliOne(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.leckerliOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.leckerliOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.leckerliOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.leckerliOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.leckerliOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.leckerliOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.leckerliOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.leckerliOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.leckerliOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.leckerliOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ledger font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ledger
  static TextStyle ledger({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'de543530ee8b98ff99ef035f72dccc07c968e9b50b730ec74f244be7a41d7f25',
        60016,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Ledger',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ledger font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ledger
  static TextTheme ledgerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ledger(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.ledger(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ledger(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.ledger(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.ledger(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.ledger(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ledger(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ledger(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ledger(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ledger(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ledger(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ledger(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ledger(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ledger(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ledger(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Lekton font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lekton
  static TextStyle lekton({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6a3fb462a967e44088d64703e6c4bce48dbf8d2896edc064c48953c3591a491f',
        36732,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0fa708fe39ee0d046d91e8f871bdd90ff2a884bb1b7c55d6dcc1e86eda2c23dd',
        17920,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4c68d3c141d7077dea89c9a5b09b6d95afea5d4602b75bb8daef7b0d9983ec76',
        36552,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Lekton',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lekton font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lekton
  static TextTheme lektonTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.lekton(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.lekton(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.lekton(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.lekton(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.lekton(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.lekton(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.lekton(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.lekton(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.lekton(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.lekton(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.lekton(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.lekton(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.lekton(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.lekton(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.lekton(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Lemon font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lemon
  static TextStyle lemon({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ed112c6a6a100a1762ac415e996af2537037f982f277bb8f9a602e30072ee8e7',
        52844,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Lemon',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lemon font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lemon
  static TextTheme lemonTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.lemon(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.lemon(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.lemon(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.lemon(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.lemon(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.lemon(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.lemon(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.lemon(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.lemon(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.lemon(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.lemon(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.lemon(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.lemon(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.lemon(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.lemon(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Lemonada font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lemonada
  static TextStyle lemonada({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '56dac910aca613d5d64904ce3e5f6ebddfe332d43d93e44403619862508ee65a',
        89364,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1c4079281640cf9f83eeb3bed6d8e24deeefca6e5e733256d94149ac90f0d31e',
        89616,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fde8a3418221691c69cb8dec7e8526d2d511cfc3a145cd6ca608a6093129f4c8',
        89700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fbffbbd7869bd3d5f561357ef95d84b33ab8c57ae7c4af80379eed905972cfab',
        89696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '23be12c3c2073655db1d92f4c5bdb48219c7f23fce4866097577e0956a2ed2c6',
        89504,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Lemonada',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lemonada font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lemonada
  static TextTheme lemonadaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.lemonada(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.lemonada(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.lemonada(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.lemonada(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.lemonada(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.lemonada(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.lemonada(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.lemonada(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.lemonada(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.lemonada(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.lemonada(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.lemonada(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.lemonada(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.lemonada(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.lemonada(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Lexend font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lexend
  static TextStyle lexend({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a074ce785c70dab93daed7e6233754ac7e057515861eb08d2a93ca163f01e523',
        70780,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '20e306f948421deda15fd208aaf2178cad6823023742f210497a3e7b2e80663e',
        70856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3c5c3fcf522832da0c6051d4d5ac77881ab8aa34fd321527c365c17b926ccdd5',
        70996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '198ee27dbd243163e806c57f840c1f07a7eaad012fb108418cac7a8ff6b32c21',
        70676,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '56988f9f0f5a04235bde51b1c286bfc1595a7698ff1ba5146adf1b81c9774122',
        71012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'feb6b0e91736434ef407de3c9b79541691a273c295a18f890be0a9f79af18b62',
        71056,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fcb392c9317e0b9da44817c3cda1f6d85a802746be689a2189ca14e7c9e4e236',
        70928,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '513a48ab30c82db55ec953815a94e2578ebba601f0933e9bf4a79a45fcd3bc23',
        71044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7500d4248d74da0cf931ca6917e8e75db02529d4190d9c84713d26f7689c0e92',
        70828,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Lexend',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lexend font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lexend
  static TextTheme lexendTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.lexend(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.lexend(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.lexend(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.lexend(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.lexend(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.lexend(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.lexend(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.lexend(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.lexend(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.lexend(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.lexend(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.lexend(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.lexend(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.lexend(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.lexend(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Lexend Deca font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lexend+Deca
  static TextStyle lexendDeca({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '52fd65a7f82d72e3d412c460f8d309fff674ed11fe0d66b50d758db9a7a359b1',
        70816,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '91850d8cb7a1abd490a655a458755cf66de5443f2fcb0d4199346e0cb51d6bb3',
        70892,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2ff2e3f8037aa4b656b56252fe10072f730b7e8059ed5150841a79388e639b51',
        71032,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8759b52d65975f43b1dfe209f8187b226a9d93e4015213fb5657cb4ecb57aad8',
        70712,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '96343cfee08842a7a0cde35d21f4dee7c38938a8eb062b5732c891a31d344524',
        71048,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '463fea8614fd22dd0c655da7bb37614004fefd2aa234aec7632588fd7e70b4d4',
        71092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cd5bc0ac1839d2704eb89fcae5d6ced52e2e0681c5946bf9717269b7f8acca9c',
        70964,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '683dcc47682c93544a4c167f8e51ff469e3cfaa8d45a26c48978f663311dcd39',
        71080,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e6c9e1af5c6e3e1f0664947361d954e7446d56dc9a7aa9ae4a62df8d7b919cd1',
        70864,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LexendDeca',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lexend Deca font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lexend+Deca
  static TextTheme lexendDecaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.lexendDeca(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.lexendDeca(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.lexendDeca(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.lexendDeca(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.lexendDeca(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.lexendDeca(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.lexendDeca(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.lexendDeca(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.lexendDeca(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.lexendDeca(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.lexendDeca(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.lexendDeca(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.lexendDeca(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.lexendDeca(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.lexendDeca(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Lexend Exa font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lexend+Exa
  static TextStyle lexendExa({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'be067c77492ebe93535ad5b045b444a7aaedc7c6dc00a6a8c20da88211c8f17c',
        71276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4dd6e8f5a8fa89fc5c1e8331effdd05a9f7f154d11b71e1bfa8b2c765b13f37c',
        71484,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '598b26fac82a96247c280c6091166ef2ed43209c41b8d99dbd99a062a3033e75',
        71436,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '67f13cd61dcbf35e6dcb22eb68b0cb810cb7e36ecc4744f253532f7efc0d5470',
        71232,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c204a80e3133e377cf12fc2c6c0c7a9ca8d6e65e95022e25ae86785ce29b5321',
        71624,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5e9f7379c0f3d6fd44bd885f65731cb562b77434b24ed7406f5d0f5258787e13',
        71608,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd5a0a0e89216ca2259ff90685867bf4f3e2719458870bf255876b891c27fbef1',
        71536,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8186ff01c6eb5edc88fbad13748db871e1a5802de8c66862f90817ed784ced2a',
        71576,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '778f99080a56b51da812b39c2989421e6cc72b828cd1e9c93cba1fb25cd1f8d0',
        71424,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LexendExa',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lexend Exa font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lexend+Exa
  static TextTheme lexendExaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.lexendExa(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.lexendExa(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.lexendExa(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.lexendExa(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.lexendExa(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.lexendExa(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.lexendExa(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.lexendExa(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.lexendExa(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.lexendExa(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.lexendExa(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.lexendExa(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.lexendExa(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.lexendExa(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.lexendExa(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Lexend Giga font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lexend+Giga
  static TextStyle lexendGiga({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '030a231db66b7f81e39ba9b5272669c04985f5405de39a36cbc7651a6eaa0f3d',
        71348,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2fe1358ea594c380bbfd86392f30ee64412c77dc0f0e0b9dacc458995d590e7b',
        71648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2e3fa6e848860e11fcc1e1c657b8b73538d62d3c9c96a135d6ae6ecf93f7967c',
        71652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6f987b0138822f7b905e6f288c97e32b770e27cb135baf275ed0aa5c9d011450',
        71460,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2696597b5c65b1d8973c87ac4c5dfbff4b831b959286f08dde9d95122009d21d',
        71744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c07959904de19b9c776a7e572c75c130f00825fea3ce277c41e50ff6a14e4f94',
        71832,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '301bad03039ddbdb612786ebc0a782235edb6479fb1c37b47d899a1155e38cec',
        71704,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5133daf8f0bb6454e7d5907d646664a332657773eb7d874ae91472f037fd7881',
        71648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '091a30064c2307ff61e10201c75afb87461b9d1fdbb8256955f6d5acc2455c7b',
        71608,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LexendGiga',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lexend Giga font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lexend+Giga
  static TextTheme lexendGigaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.lexendGiga(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.lexendGiga(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.lexendGiga(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.lexendGiga(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.lexendGiga(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.lexendGiga(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.lexendGiga(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.lexendGiga(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.lexendGiga(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.lexendGiga(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.lexendGiga(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.lexendGiga(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.lexendGiga(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.lexendGiga(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.lexendGiga(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Lexend Mega font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lexend+Mega
  static TextStyle lexendMega({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8db6e66a919835b64eb299f9e2c947802b7571ee2702f806068ad865ecc428c1',
        71492,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8950dedb4fc6de1f6cdfe6098b2f5c723d26cc98b588aa5750fe5d4ce6451e57',
        71676,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b98a61d2d6bae7abef8c164f92a929f4ef1120844cc417e900ba201e80fae441',
        71656,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '544576fd00c8933b2ac61f5367ccda2270e82a1f994a059ba371d472aa42f55b',
        71444,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9ec6a339e6c7af204468a6f0e337d5ce086cf17a4369c26d14280ea62ba2685f',
        71768,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '42df74aa7a3c2d24cc94dc1e367346f14e8f4b8dbffac56e5e7497a2a6485635',
        71864,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '08fc3b7c8c0e0fe6dd15c8d994129d0317cad662241b72adf9d9206cb97b5b93',
        71760,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0c4c2e08312dffe0c992f2f43733b6215a0bd3472fb537a30e4963ad3d983569',
        71700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '82cc0b2dc500d1f0062664f9fe5575f0a0c22c6865fef3b709104ae87fcf30cc',
        71672,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LexendMega',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lexend Mega font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lexend+Mega
  static TextTheme lexendMegaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.lexendMega(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.lexendMega(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.lexendMega(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.lexendMega(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.lexendMega(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.lexendMega(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.lexendMega(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.lexendMega(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.lexendMega(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.lexendMega(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.lexendMega(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.lexendMega(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.lexendMega(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.lexendMega(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.lexendMega(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Lexend Peta font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lexend+Peta
  static TextStyle lexendPeta({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0d92feda8e167275247d1b178d0e13ef811d405e243f2b316f96e914ac1645d5',
        71604,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7e44d9dc3885caac6b103433f8485633519c9a2883169bb998e6678d18f56fae',
        71788,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '28ab6455acaff43c245a13d8d7ddc951d1e66eaa4f58df9234eb7cce1d9d1ced',
        71740,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2b3ed957cec4f6a666f36d6e574acf51f22fc874904163e0fc1337bbf305686c',
        71460,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3262ec4188b7416306be9881b4eaddf65c3635df7645e3e84200ce0f18b114a9',
        71832,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '28d22441aea665fa7f790645a0baf8d121c087170c95b4fffc27a869cb26b7f9',
        71864,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7c1b311195e30a1a4ccba707a92e23666b1ebf147cf6c867e7a0fa4b905b0164',
        71824,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0fb7718299905be43ead1940463c7356c42034ad387f6f24b35b7224c3a83458',
        71788,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3154c8a5bb77903177e304d7489bcdeb8f6a2599918f3a474e7f500cb5cb08a7',
        71660,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LexendPeta',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lexend Peta font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lexend+Peta
  static TextTheme lexendPetaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.lexendPeta(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.lexendPeta(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.lexendPeta(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.lexendPeta(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.lexendPeta(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.lexendPeta(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.lexendPeta(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.lexendPeta(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.lexendPeta(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.lexendPeta(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.lexendPeta(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.lexendPeta(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.lexendPeta(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.lexendPeta(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.lexendPeta(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Lexend Tera font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lexend+Tera
  static TextStyle lexendTera({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b230f60ab6208e098f0568ef8b7bd304053030d5eb5973ee52cf36035abadcae',
        71588,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '04932bff94a4eb6dd84b12fb7de95ca44000a94fde42feee885106f08e1ea2d1',
        71792,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b9b161066b49a1330432fa3ad1757e8efca3c7c0fd5dc15c221806745292fa95',
        71756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7d463321ddd2fa8fc003c62d9c604939ef14677f4820540be98fa309f22eac07',
        71544,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fa4de4c729b35769963db5a7c681ad57f7216808c88cd144ea388c5f965304cb',
        71888,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a219a288f7eaa4933789e5bb743355bd40ac3cf8510b9f520ddf1e7218404504',
        71948,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4eb0adbabd489f451d3ac047026d42fe50a2a9e7ff363004c2ab1e37ee3b467d',
        71860,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '26a909dead8f3e3a34027542425c9fca46f81bdfe6c57bc67e9746158ba9d8fc',
        71800,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5edcddc95b07674f9e2fa848a9d74acb9950313f28b37301113338297d20dc45',
        71628,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LexendTera',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lexend Tera font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lexend+Tera
  static TextTheme lexendTeraTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.lexendTera(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.lexendTera(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.lexendTera(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.lexendTera(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.lexendTera(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.lexendTera(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.lexendTera(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.lexendTera(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.lexendTera(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.lexendTera(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.lexendTera(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.lexendTera(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.lexendTera(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.lexendTera(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.lexendTera(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Lexend Zetta font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lexend+Zetta
  static TextStyle lexendZetta({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '816e5714a77afc4a8b2ca9bf1ada6cfd9bf598cfff0ee1b226f65a5a88f0844f',
        71512,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6f9dc306d1a7983094c763bd6c98de6647300fa5c360c5af8a3035ee7e613f35',
        71852,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '43fec11b5838f38d33b0d88e32d5306e9a3787b3196ad5ae3a1d355cdd8bf4fb',
        71904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e00fd0e0cd814a6053ba08bd5fc04b5662cef9e5099a86dba0beb9c7a3aee380',
        71516,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9490d1b6b5ed131d7597f95291a3a519576e82b8766dfad11214d82ebb50db42',
        71872,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '760daec0f374a6c9b6d1326fde45c2af887be1272adb5795970630b7f25f58fc',
        71908,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8a4905de8d21ea1932091d876872e4b575ce85266bb679ca7626176212d55050',
        71856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c0a4c6062b6241baf5f6c5cfb3564579554ce5b89bbbb16ecf7707feb229303b',
        71828,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '33aceb43242556935571467ab18ce903b19884792e058e3adf65179685fcee01',
        71712,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LexendZetta',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lexend Zetta font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lexend+Zetta
  static TextTheme lexendZettaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.lexendZetta(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.lexendZetta(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.lexendZetta(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.lexendZetta(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.lexendZetta(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.lexendZetta(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.lexendZetta(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.lexendZetta(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.lexendZetta(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.lexendZetta(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.lexendZetta(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.lexendZetta(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.lexendZetta(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.lexendZetta(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.lexendZetta(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Libre Barcode 128 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Barcode+128
  static TextStyle libreBarcode128({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f6aa862f551e03ec38c58bc758aba6839c334b8de3f2a767e9fa419dc3bed839',
        12936,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LibreBarcode128',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Libre Barcode 128 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Barcode+128
  static TextTheme libreBarcode128TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.libreBarcode128(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.libreBarcode128(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.libreBarcode128(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.libreBarcode128(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.libreBarcode128(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.libreBarcode128(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.libreBarcode128(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.libreBarcode128(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.libreBarcode128(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.libreBarcode128(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.libreBarcode128(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.libreBarcode128(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.libreBarcode128(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.libreBarcode128(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.libreBarcode128(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Libre Barcode 128 Text font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Barcode+128+Text
  static TextStyle libreBarcode128Text({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fb2620aa522189370329f43d3233017e6cc37e059b44a316e6dca443c881884a',
        29996,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LibreBarcode128Text',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Libre Barcode 128 Text font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Barcode+128+Text
  static TextTheme libreBarcode128TextTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.libreBarcode128Text(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.libreBarcode128Text(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.libreBarcode128Text(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.libreBarcode128Text(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.libreBarcode128Text(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.libreBarcode128Text(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.libreBarcode128Text(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.libreBarcode128Text(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.libreBarcode128Text(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.libreBarcode128Text(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.libreBarcode128Text(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.libreBarcode128Text(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.libreBarcode128Text(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.libreBarcode128Text(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.libreBarcode128Text(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Libre Barcode 39 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Barcode+39
  static TextStyle libreBarcode39({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b73e1415ffe00461bb942db8217b4c112f15ea72f99bc3b22b4449316b0281d2',
        7628,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LibreBarcode39',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Libre Barcode 39 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Barcode+39
  static TextTheme libreBarcode39TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.libreBarcode39(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.libreBarcode39(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.libreBarcode39(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.libreBarcode39(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.libreBarcode39(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.libreBarcode39(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.libreBarcode39(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.libreBarcode39(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.libreBarcode39(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.libreBarcode39(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.libreBarcode39(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.libreBarcode39(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.libreBarcode39(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.libreBarcode39(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.libreBarcode39(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Libre Barcode 39 Extended font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Barcode+39+Extended
  static TextStyle libreBarcode39Extended({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '234c4bdd5ea3f081fa8508431b1dd0ba8da1edcab35b0ea1bf8e7957a73af307',
        10092,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LibreBarcode39Extended',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Libre Barcode 39 Extended font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Barcode+39+Extended
  static TextTheme libreBarcode39ExtendedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.libreBarcode39Extended(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.libreBarcode39Extended(
          textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.libreBarcode39Extended(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.libreBarcode39Extended(
          textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.libreBarcode39Extended(
          textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.libreBarcode39Extended(
          textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.libreBarcode39Extended(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.libreBarcode39Extended(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.libreBarcode39Extended(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.libreBarcode39Extended(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.libreBarcode39Extended(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.libreBarcode39Extended(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.libreBarcode39Extended(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.libreBarcode39Extended(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.libreBarcode39Extended(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Libre Barcode 39 Extended Text font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Barcode+39+Extended+Text
  static TextStyle libreBarcode39ExtendedText({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3708728cfefe80bfa6b558d551d58b1eb760c6eed56e78d771240f11d8625248',
        21332,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LibreBarcode39ExtendedText',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Libre Barcode 39 Extended Text font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Barcode+39+Extended+Text
  static TextTheme libreBarcode39ExtendedTextTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.libreBarcode39ExtendedText(
          textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.libreBarcode39ExtendedText(
          textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.libreBarcode39ExtendedText(
          textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.libreBarcode39ExtendedText(
          textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.libreBarcode39ExtendedText(
          textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.libreBarcode39ExtendedText(
          textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.libreBarcode39ExtendedText(
          textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.libreBarcode39ExtendedText(
          textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.libreBarcode39ExtendedText(
          textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.libreBarcode39ExtendedText(
          textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.libreBarcode39ExtendedText(
          textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.libreBarcode39ExtendedText(
          textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.libreBarcode39ExtendedText(
          textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.libreBarcode39ExtendedText(
          textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.libreBarcode39ExtendedText(
          textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Libre Barcode 39 Text font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Barcode+39+Text
  static TextStyle libreBarcode39Text({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd52742ef26fa29afa8a30108c34404a5405ef25a2b080c7268c9c8d84285f14d',
        12776,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LibreBarcode39Text',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Libre Barcode 39 Text font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Barcode+39+Text
  static TextTheme libreBarcode39TextTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.libreBarcode39Text(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.libreBarcode39Text(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.libreBarcode39Text(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.libreBarcode39Text(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.libreBarcode39Text(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.libreBarcode39Text(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.libreBarcode39Text(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.libreBarcode39Text(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.libreBarcode39Text(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.libreBarcode39Text(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.libreBarcode39Text(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.libreBarcode39Text(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.libreBarcode39Text(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.libreBarcode39Text(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.libreBarcode39Text(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Libre Barcode EAN13 Text font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Barcode+EAN13+Text
  static TextStyle libreBarcodeEan13Text({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0f19b9a70f1f51dbbe2532800b9793bf33c8621ef4bc30fdb4b20f3bfe89240e',
        55112,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LibreBarcodeEAN13Text',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Libre Barcode EAN13 Text font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Barcode+EAN13+Text
  static TextTheme libreBarcodeEan13TextTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.libreBarcodeEan13Text(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.libreBarcodeEan13Text(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.libreBarcodeEan13Text(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.libreBarcodeEan13Text(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.libreBarcodeEan13Text(
          textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.libreBarcodeEan13Text(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.libreBarcodeEan13Text(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.libreBarcodeEan13Text(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.libreBarcodeEan13Text(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.libreBarcodeEan13Text(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.libreBarcodeEan13Text(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.libreBarcodeEan13Text(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.libreBarcodeEan13Text(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.libreBarcodeEan13Text(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.libreBarcodeEan13Text(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Libre Baskerville font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Baskerville
  static TextStyle libreBaskerville({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'da3c66f8c68b65d31611ad23cc7699924b3525ad8cc0e29cd36e3da5be1c7b23',
        93896,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9968638d0769bbcfa14c179f011f7c79b162f9a63405c2bf79376367538ceeae',
        112008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '86914ab6f48f701c8f0eeb2665404b36d9a9f4f5123d18779efa529a98c511c3',
        94076,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LibreBaskerville',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Libre Baskerville font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Baskerville
  static TextTheme libreBaskervilleTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.libreBaskerville(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.libreBaskerville(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.libreBaskerville(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.libreBaskerville(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.libreBaskerville(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.libreBaskerville(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.libreBaskerville(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.libreBaskerville(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.libreBaskerville(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.libreBaskerville(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.libreBaskerville(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.libreBaskerville(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.libreBaskerville(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.libreBaskerville(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.libreBaskerville(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Libre Bodoni font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Bodoni
  static TextStyle libreBodoni({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3fd93e2cb52112040e0d0de215d0247f227b5d088a3bf078b329f9d6e02a2a2a',
        71940,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '99318070a8cadab3e3eaaacb4eeb99bf954fb19570cb6a8740c3cf246def335e',
        72236,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a5d938872e8449102e12b279162ae64c62d4baa096a52eca8f0969b41bf9fb09',
        72296,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '30cd6b875088baa0b5c8687fed973ba492a7d44b01f7b0b792665964d6f09c15',
        72016,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4ba9d9182325c336532fad10417fe1f2d89bd4230f3d3661a0a1e20a000eca60',
        72164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '08eb9a91d9a388b74d8806d510e121295fe6ea1a087d58aac2a739cb62c47a62',
        72592,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '24845f919f485c6ad52cfc0a1df40e5945aef094977559f045fee51c90faeeb1',
        72652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '36b606f0df8a1ae71b3f4ba0c28ddeb015c1580a9c0f9712e94334feeba9924f',
        72492,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LibreBodoni',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Libre Bodoni font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Bodoni
  static TextTheme libreBodoniTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.libreBodoni(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.libreBodoni(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.libreBodoni(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.libreBodoni(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.libreBodoni(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.libreBodoni(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.libreBodoni(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.libreBodoni(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.libreBodoni(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.libreBodoni(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.libreBodoni(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.libreBodoni(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.libreBodoni(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.libreBodoni(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.libreBodoni(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Libre Caslon Display font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Caslon+Display
  static TextStyle libreCaslonDisplay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b70d5da8744c8be85e6c1c82eddd83567ff3ce7accd783af1a99d364255080eb',
        63388,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LibreCaslonDisplay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Libre Caslon Display font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Caslon+Display
  static TextTheme libreCaslonDisplayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.libreCaslonDisplay(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.libreCaslonDisplay(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.libreCaslonDisplay(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.libreCaslonDisplay(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.libreCaslonDisplay(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.libreCaslonDisplay(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.libreCaslonDisplay(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.libreCaslonDisplay(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.libreCaslonDisplay(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.libreCaslonDisplay(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.libreCaslonDisplay(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.libreCaslonDisplay(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.libreCaslonDisplay(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.libreCaslonDisplay(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.libreCaslonDisplay(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Libre Caslon Text font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Caslon+Text
  static TextStyle libreCaslonText({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2bfab10fe10d3499c3f59f7eec1fd40735d93b6f72d0a780cfaba8574a70000b',
        63144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8aeef94a3ada41d22c976c7cf50b2d40720cb6b18af7699410a56449331bb693',
        68688,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ba4d1de3e986843f924c50ab2ce0b96afa60c8ad983169917d6689faafa9f5e6',
        62732,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LibreCaslonText',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Libre Caslon Text font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Caslon+Text
  static TextTheme libreCaslonTextTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.libreCaslonText(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.libreCaslonText(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.libreCaslonText(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.libreCaslonText(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.libreCaslonText(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.libreCaslonText(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.libreCaslonText(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.libreCaslonText(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.libreCaslonText(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.libreCaslonText(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.libreCaslonText(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.libreCaslonText(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.libreCaslonText(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.libreCaslonText(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.libreCaslonText(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Libre Franklin font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Franklin
  static TextStyle libreFranklin({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '48c4bdbae909a7b05a2adb9d0ae285d69e507a6d7ea1a2a1de93a557e43e9890',
        61496,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '24fe3952e13e5cacf0684cf65c3e38bacf17d1ae5f75164e42e01f0609b561f9',
        61620,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0b2a73c896d783b6ecde7ac09c493481cb7f43656ce6ecb89720b30b83bd42bf',
        61636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2e34b6d112b52c16176871dc1aa8dc490bd7e66e3d0d18b0ce3fb5d19e28de8f',
        61644,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f086cebd30533ea43d0adaf71d5788b762f72caec897105eb3528481d4ae26ac',
        61664,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e055845db23bd5a19c6d3881637bd8f60c07a624f1ac0bbf2750a4bdea5f3b30',
        61680,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b6135d5f7a0984d505bff44ab1f54829326eddb2766397aa8a19f70a921939b0',
        61564,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2f674067269c44a2fd521cc039b58b52356bc20308faecf5d8e905df4238b7a9',
        61608,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0dca2f59a5abba87a93f7e13d5ffd0db7a0841118e526f4764434696cc16aeee',
        61540,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '82e524eb3dc316bc6d1c53624f1fd5d2c7c304476aa3cd61e96e1d48c8cf8838',
        66340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9760e387def5b421a8653a4d8523d4e3e2fda93a1dd4a3e5390c10f1bf0a9247',
        66492,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1c6c0884add5a760f732850b40dd0628847a4c4a140eb8ff135a30b9b5999a03',
        66448,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5139f8a3ac7eb00e80b26f2d643db9de4728913128c4674da2cd9682883a580a',
        66396,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8467801b2a3c283a14908da87f3662bc538ecbf5053b146c3800abda94f83d81',
        66552,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b894a4667971666a121ea5ef78c0a955013f481b1fa287b9ecc48041a29c464d',
        66548,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ae0ab7de8514935b8b64a3a6aef569778fedf75c5a033b4735074ae1168d64d0',
        66352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8700bde3fef5c44bdde7c3662130021ae051838c0b480d7ff8c9e86efd8b1b7f',
        66500,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ab4662791d8d63b7cc0b282d223db2e64031ef8ab3464882831efc968f20ae13',
        66432,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LibreFranklin',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Libre Franklin font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Franklin
  static TextTheme libreFranklinTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.libreFranklin(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.libreFranklin(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.libreFranklin(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.libreFranklin(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.libreFranklin(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.libreFranklin(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.libreFranklin(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.libreFranklin(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.libreFranklin(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.libreFranklin(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.libreFranklin(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.libreFranklin(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.libreFranklin(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.libreFranklin(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.libreFranklin(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Licorice font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Licorice
  static TextStyle licorice({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '34d3d95d615385ff88feefe17ef638fbf35784db2d22f9a4534eb2ad3ad385b7',
        106472,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Licorice',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Licorice font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Licorice
  static TextTheme licoriceTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.licorice(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.licorice(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.licorice(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.licorice(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.licorice(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.licorice(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.licorice(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.licorice(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.licorice(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.licorice(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.licorice(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.licorice(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.licorice(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.licorice(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.licorice(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Life Savers font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Life+Savers
  static TextStyle lifeSavers({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '258db56692f2cf8483cd745e11103557afc1a1e78f2a2ad94eab62788c23b0be',
        123184,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '821e75fce966f12e6857a605e7cf485724349f496708099e6b34954f5f0437ae',
        96272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e9361690b6d489337326f6862b533ff7c22dc1089def62da704c3292515c0457',
        126732,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LifeSavers',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Life Savers font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Life+Savers
  static TextTheme lifeSaversTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.lifeSavers(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.lifeSavers(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.lifeSavers(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.lifeSavers(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.lifeSavers(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.lifeSavers(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.lifeSavers(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.lifeSavers(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.lifeSavers(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.lifeSavers(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.lifeSavers(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.lifeSavers(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.lifeSavers(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.lifeSavers(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.lifeSavers(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Lilita One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lilita+One
  static TextStyle lilitaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'acc112381f39a09ec0dd316fab6f8eff0bc601957e7c6ed9f50c15f278383139',
        26308,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LilitaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lilita One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lilita+One
  static TextTheme lilitaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.lilitaOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.lilitaOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.lilitaOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.lilitaOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.lilitaOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.lilitaOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.lilitaOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.lilitaOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.lilitaOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.lilitaOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.lilitaOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.lilitaOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.lilitaOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.lilitaOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.lilitaOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Lily Script One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lily+Script+One
  static TextStyle lilyScriptOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '415fbc61420e7e62d72a64ec3f134f047c52b2d478e1eaf6b7bbc2a928280742',
        34992,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LilyScriptOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lily Script One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lily+Script+One
  static TextTheme lilyScriptOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.lilyScriptOne(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.lilyScriptOne(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.lilyScriptOne(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.lilyScriptOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.lilyScriptOne(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.lilyScriptOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.lilyScriptOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.lilyScriptOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.lilyScriptOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.lilyScriptOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.lilyScriptOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.lilyScriptOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.lilyScriptOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.lilyScriptOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.lilyScriptOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Limelight font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Limelight
  static TextStyle limelight({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e217ae085639d54690b9c2df25fbfd783640d80fbdad703cf06e7d146d857e45',
        59948,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Limelight',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Limelight font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Limelight
  static TextTheme limelightTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.limelight(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.limelight(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.limelight(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.limelight(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.limelight(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.limelight(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.limelight(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.limelight(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.limelight(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.limelight(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.limelight(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.limelight(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.limelight(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.limelight(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.limelight(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Linden Hill font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Linden+Hill
  static TextStyle lindenHill({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '591dcc54eadf307cd23c7decfae9eb1f76c35d7df04d40e17aacca476a39ee41',
        87372,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fbc33dce6397804fd0e06c4683d7c6a819f28209f634ecf80077f09d7e2b5965',
        72412,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LindenHill',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Linden Hill font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Linden+Hill
  static TextTheme lindenHillTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.lindenHill(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.lindenHill(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.lindenHill(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.lindenHill(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.lindenHill(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.lindenHill(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.lindenHill(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.lindenHill(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.lindenHill(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.lindenHill(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.lindenHill(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.lindenHill(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.lindenHill(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.lindenHill(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.lindenHill(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Literata font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Literata
  static TextStyle literata({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '186b204f03e04bfb6101c0d085accb46f79838b786f4610c0d0c309a95fdec14',
        161120,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3dd7c61bdd9580397df8f332f65c6d8eb54ad3870c5f3f2a228d8a630f2ab7db',
        161912,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f1aaf8901fb0b2a33ab011f052de941469958451ef86bcfe9bb83419adeb5752',
        161772,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '05d544253335348105d4e7b3797c563779f331512b6feee9ddeb1e3b00f963ad',
        161940,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0088ab82d1a83be5ea353aed57d8d95d416762d83812f0cfaded093e20f6e6fb',
        162016,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '58862c1dc5c9236def2c6107ee62cb485fa90b9e5b6c62c79d7b53c3b85323bf',
        164520,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'af0ceeea836b8c7e53b22bcb9f13740b400cdf7ff12090554e52ebbff8d77a9f',
        164536,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b2bd521b285e8bc4715d0ac8512758358cb5d0ca904f17676b8287679d6a0186',
        164152,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e7ef212f38f14bf15a20728c14fea126fd405df25a9d1ba2b358caa6db2efbae',
        155600,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'adf34910ca6a87ed249c377c78b57d7b82c4328d1ae6cabdf5b68ebd4ffb56ee',
        155576,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8d1ef5fde89ce2a4a30af1fa75712cbfeff93afaae4828416def1dcadf687059',
        155312,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '01cf2114954cef4879598fc7766eb25261855d35b7d0d224c5195e2bcff4fec7',
        155676,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd80421eeb0e7c73d5d0779c93c993c459722f45a331c4aadd9bac53d731f1163',
        155668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'dc2857bcc3631cc4c3f994c1b4d42ef8c6165f1be05283f50f02ccb75da6746e',
        158168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ca3f74934fe59d608cc0d55a07a500ce6ac9eef4a3b4913c86ed0d7d4d1eeaba',
        158292,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f77d4995c0cea2af2976ee9f05a5a690c9b181f8c76a07a795d7125b6f213219',
        158188,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Literata',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Literata font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Literata
  static TextTheme literataTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.literata(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.literata(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.literata(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.literata(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.literata(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.literata(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.literata(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.literata(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.literata(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.literata(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.literata(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.literata(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.literata(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.literata(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.literata(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Liu Jian Mao Cao font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Liu+Jian+Mao+Cao
  static TextStyle liuJianMaoCao({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a7743f770ac5923e4285eb52fb8ce117c25268c595396e4bdc3023aaa57b80e1',
        4939444,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LiuJianMaoCao',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Liu Jian Mao Cao font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Liu+Jian+Mao+Cao
  static TextTheme liuJianMaoCaoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.liuJianMaoCao(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.liuJianMaoCao(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.liuJianMaoCao(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.liuJianMaoCao(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.liuJianMaoCao(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.liuJianMaoCao(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.liuJianMaoCao(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.liuJianMaoCao(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.liuJianMaoCao(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.liuJianMaoCao(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.liuJianMaoCao(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.liuJianMaoCao(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.liuJianMaoCao(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.liuJianMaoCao(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.liuJianMaoCao(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Livvic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Livvic
  static TextStyle livvic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6964b822890a33c03890b7472cff6b2a234e8d27d8ed76fa646924e3b0747c1c',
        79592,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '824b0ae027ea5cc3787cd33dbff89165e2188b42445d2b8858f4de81def862ca',
        80828,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7adfae90b559b31ee3ca396a99affd8eb49ea93e86901d66b1bb744f29512989',
        79796,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8c2138f09a2e80b085d8dd87c6534b1555f1db51a46902a5479214f34f9431ab',
        81100,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eb257b6961a0520ac180e813634c154e8ef541f49feeb23dc3c5ebe3523a6e8e',
        79704,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b76df8ba73cff09b81509a4974d7b672b8370ef99ee120efb7f0a424f57866d9',
        81132,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3d36055090b3d3c21e47a041ccb812d4997a2d1d1eda4cfa879f5dc386a8cb64',
        79548,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5207ebdfecdb49cac77671fec46f3fd0319f4104ad65e8a0ee64c4bb2ab64c28',
        81044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3f84089d7b10de711365a6a98dafdf8645c56b74eeb415b7b5c2e5a2bad84fe0',
        79792,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '60c3bf59eccc2e6583386f39e5cdb0e924cb13a9051c4c16e44fb31d0b6de3f1',
        81172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f082e292e390a4224980a59c592b219450318348ac1dcfbd50160e1f32b509e1',
        79940,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9f1579706530cb747568124f7879daf48982c7711366601f953508cd5b14912c',
        81072,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cae1f51a1ab73aea7e4fb08782a3bb6ac79a2bde0b43d2228613d51ffe40d567',
        79992,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '260db24b39c21e42bc4a1aa9802bfaefcedf1d840ca9d2893f8dec0359f0795f',
        81036,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b86195d0e99a76fc1b36601f9ed9679c1238dbf73e49760fc4e9fc373bf30108',
        80120,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '556a4e9434a17a693ce62781c2de5122064353f1f46049fd7e8b9ba2652f59ba',
        81132,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Livvic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Livvic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Livvic
  static TextTheme livvicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.livvic(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.livvic(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.livvic(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.livvic(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.livvic(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.livvic(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.livvic(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.livvic(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.livvic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.livvic(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.livvic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.livvic(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.livvic(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.livvic(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.livvic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Lobster font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lobster
  static TextStyle lobster({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a0ec601fb081166435ed4b96cb08878a3bf423bbedbc844956d6839e8f4538ba',
        201400,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Lobster',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lobster font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lobster
  static TextTheme lobsterTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.lobster(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.lobster(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.lobster(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.lobster(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.lobster(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.lobster(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.lobster(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.lobster(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.lobster(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.lobster(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.lobster(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.lobster(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.lobster(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.lobster(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.lobster(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Lobster Two font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lobster+Two
  static TextStyle lobsterTwo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '17be7708caf72a704aa829bb39a46756f1eaef2e8010919946cacb403050da73',
        86192,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f261de84f02f246bc3bc8290d31c9fca4bdef9e352dc40e32789b3e18c61fd27',
        87900,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6830ebb0cb1ec3bd1b38f84fbf1d7f0deda486b4d89ef1e226bb62472371baf4',
        85088,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '050773bd1a3939c93b8cccf37ec981ea2713c46166bb334a95bd25035b64652c',
        87816,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LobsterTwo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lobster Two font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lobster+Two
  static TextTheme lobsterTwoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.lobsterTwo(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.lobsterTwo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.lobsterTwo(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.lobsterTwo(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.lobsterTwo(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.lobsterTwo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.lobsterTwo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.lobsterTwo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.lobsterTwo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.lobsterTwo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.lobsterTwo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.lobsterTwo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.lobsterTwo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.lobsterTwo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.lobsterTwo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Londrina Outline font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Londrina+Outline
  static TextStyle londrinaOutline({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9de7553bd69fbf78af922465314f593fa67a2c8705fdf675808c3895477f5386',
        97436,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LondrinaOutline',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Londrina Outline font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Londrina+Outline
  static TextTheme londrinaOutlineTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.londrinaOutline(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.londrinaOutline(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.londrinaOutline(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.londrinaOutline(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.londrinaOutline(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.londrinaOutline(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.londrinaOutline(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.londrinaOutline(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.londrinaOutline(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.londrinaOutline(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.londrinaOutline(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.londrinaOutline(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.londrinaOutline(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.londrinaOutline(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.londrinaOutline(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Londrina Shadow font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Londrina+Shadow
  static TextStyle londrinaShadow({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3c1bfe5f56a45baf63e29e8f83b451d80a02500f252bea3d568a407b07080e89',
        97348,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LondrinaShadow',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Londrina Shadow font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Londrina+Shadow
  static TextTheme londrinaShadowTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.londrinaShadow(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.londrinaShadow(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.londrinaShadow(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.londrinaShadow(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.londrinaShadow(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.londrinaShadow(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.londrinaShadow(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.londrinaShadow(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.londrinaShadow(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.londrinaShadow(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.londrinaShadow(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.londrinaShadow(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.londrinaShadow(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.londrinaShadow(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.londrinaShadow(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Londrina Sketch font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Londrina+Sketch
  static TextStyle londrinaSketch({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4672e7d63f5f2874de074ad7901cbc60626b3eeb54f8bed1152cbb6d47026617',
        222572,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LondrinaSketch',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Londrina Sketch font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Londrina+Sketch
  static TextTheme londrinaSketchTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.londrinaSketch(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.londrinaSketch(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.londrinaSketch(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.londrinaSketch(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.londrinaSketch(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.londrinaSketch(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.londrinaSketch(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.londrinaSketch(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.londrinaSketch(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.londrinaSketch(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.londrinaSketch(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.londrinaSketch(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.londrinaSketch(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.londrinaSketch(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.londrinaSketch(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Londrina Solid font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Londrina+Solid
  static TextStyle londrinaSolid({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6ffffbc5e6c46f0f9a96c9a693ddbc9d69a72a1e35cb14809198903b01ac991b',
        55656,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '53bbbb6d5406188f1d483b483c7723aa8a5edf30f504135e1585c404bb6a2709',
        57252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fe9eaf09c3d1194f32e29498e8128c6013fa6b1672f3baf3dbcd17bb47862249',
        61240,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '916e4879174e38a239d001bdc6b86d98bc7af3391521fb15078894bf801647b2',
        57996,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LondrinaSolid',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Londrina Solid font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Londrina+Solid
  static TextTheme londrinaSolidTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.londrinaSolid(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.londrinaSolid(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.londrinaSolid(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.londrinaSolid(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.londrinaSolid(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.londrinaSolid(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.londrinaSolid(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.londrinaSolid(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.londrinaSolid(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.londrinaSolid(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.londrinaSolid(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.londrinaSolid(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.londrinaSolid(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.londrinaSolid(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.londrinaSolid(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Long Cang font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Long+Cang
  static TextStyle longCang({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f626a05f45d156332017025fc68902a92f57f51ac57bb4a79097ee7bb1a97352',
        5150448,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LongCang',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Long Cang font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Long+Cang
  static TextTheme longCangTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.longCang(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.longCang(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.longCang(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.longCang(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.longCang(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.longCang(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.longCang(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.longCang(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.longCang(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.longCang(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.longCang(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.longCang(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.longCang(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.longCang(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.longCang(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Lora font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lora
  static TextStyle lora({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '81c1d8bb53ed86bcffaf6058413204e53a55c96f42bbe9f2cc49480e15da139f',
        132952,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '025ba99430c0cbc202fe5677388e799ab1dbd25af5dfae755c97a3b000af5a7c',
        132964,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '986ac4ea1310c1cb8806179c82de25a2285cb04ecfe6fa4e9e26781738ea984f',
        133332,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9f7c7da149b44a17c4fdf70a3e02a3e8a741dadccc24e315009625c2e37c5420',
        132860,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6a574f0862a0ad1a59239d4bb437ac3fc6169101c2dc8ef5e53a02c0fac4013c',
        138352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0542fd42d9ed3e20738c58e346424d2f6e068c61b32c37160476d7fab04258d8',
        139244,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd265f2242086f0acbcee6bee4b9a4d545ddac433f81686c3443ec2f4c2e87433',
        139288,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cb5f35cd51c075ce92da9925845dad90ae37e351295b031b345a86a9a41f8915',
        139284,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Lora',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lora font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lora
  static TextTheme loraTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.lora(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.lora(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.lora(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.lora(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.lora(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.lora(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.lora(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.lora(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.lora(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.lora(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.lora(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.lora(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.lora(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.lora(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.lora(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Love Light font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Love+Light
  static TextStyle loveLight({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '26a687a3961ae9006c1e05ce9a6c4c4d7884d61d938dc802a9de592fcfe9f60a',
        102732,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LoveLight',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Love Light font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Love+Light
  static TextTheme loveLightTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.loveLight(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.loveLight(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.loveLight(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.loveLight(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.loveLight(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.loveLight(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.loveLight(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.loveLight(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.loveLight(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.loveLight(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.loveLight(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.loveLight(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.loveLight(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.loveLight(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.loveLight(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Love Ya Like A Sister font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Love+Ya+Like+A+Sister
  static TextStyle loveYaLikeASister({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a2a2e2a171fb01b8dfff3c3d99e31b8483e0a4f3c9101432824db22582fa20f1',
        269084,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LoveYaLikeASister',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Love Ya Like A Sister font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Love+Ya+Like+A+Sister
  static TextTheme loveYaLikeASisterTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.loveYaLikeASister(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.loveYaLikeASister(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.loveYaLikeASister(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.loveYaLikeASister(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.loveYaLikeASister(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.loveYaLikeASister(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.loveYaLikeASister(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.loveYaLikeASister(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.loveYaLikeASister(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.loveYaLikeASister(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.loveYaLikeASister(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.loveYaLikeASister(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.loveYaLikeASister(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.loveYaLikeASister(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.loveYaLikeASister(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Loved by the King font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Loved+by+the+King
  static TextStyle lovedByTheKing({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '376bce037392fa04a64dff3e8259581c07825a858ce67237292b4317401c2b95',
        24548,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LovedbytheKing',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Loved by the King font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Loved+by+the+King
  static TextTheme lovedByTheKingTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.lovedByTheKing(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.lovedByTheKing(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.lovedByTheKing(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.lovedByTheKing(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.lovedByTheKing(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.lovedByTheKing(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.lovedByTheKing(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.lovedByTheKing(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.lovedByTheKing(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.lovedByTheKing(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.lovedByTheKing(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.lovedByTheKing(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.lovedByTheKing(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.lovedByTheKing(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.lovedByTheKing(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Lovers Quarrel font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lovers+Quarrel
  static TextStyle loversQuarrel({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '20cd5c9e766a73e8352e2bd560a18405123b2670928a4aa5cab504bb655e4b95',
        67256,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LoversQuarrel',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lovers Quarrel font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lovers+Quarrel
  static TextTheme loversQuarrelTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.loversQuarrel(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.loversQuarrel(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.loversQuarrel(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.loversQuarrel(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.loversQuarrel(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.loversQuarrel(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.loversQuarrel(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.loversQuarrel(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.loversQuarrel(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.loversQuarrel(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.loversQuarrel(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.loversQuarrel(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.loversQuarrel(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.loversQuarrel(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.loversQuarrel(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Luckiest Guy font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Luckiest+Guy
  static TextStyle luckiestGuy({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7dc7e7f3a109a34d37d7f2ff3d3896d42e4db9a956cbee008c00be84942f61d0',
        57344,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LuckiestGuy',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Luckiest Guy font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Luckiest+Guy
  static TextTheme luckiestGuyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.luckiestGuy(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.luckiestGuy(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.luckiestGuy(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.luckiestGuy(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.luckiestGuy(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.luckiestGuy(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.luckiestGuy(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.luckiestGuy(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.luckiestGuy(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.luckiestGuy(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.luckiestGuy(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.luckiestGuy(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.luckiestGuy(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.luckiestGuy(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.luckiestGuy(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Lusitana font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lusitana
  static TextStyle lusitana({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5d742aebeb4080d00c1887529c6b59532097e23d50ac1df7d36f330d76acabb5',
        28212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '194712af67a359068c1a5210e9ad6baf482eeab01bd7235a88328c4c37e12f94',
        27348,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Lusitana',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lusitana font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lusitana
  static TextTheme lusitanaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.lusitana(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.lusitana(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.lusitana(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.lusitana(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.lusitana(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.lusitana(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.lusitana(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.lusitana(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.lusitana(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.lusitana(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.lusitana(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.lusitana(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.lusitana(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.lusitana(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.lusitana(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Lustria font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lustria
  static TextStyle lustria({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '422e0ad50d1c98831279589bb3ae18eed2118b61e53ef63a41bb0ebf8ad7c951',
        34776,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Lustria',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lustria font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lustria
  static TextTheme lustriaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.lustria(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.lustria(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.lustria(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.lustria(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.lustria(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.lustria(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.lustria(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.lustria(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.lustria(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.lustria(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.lustria(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.lustria(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.lustria(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.lustria(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.lustria(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Luxurious Roman font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Luxurious+Roman
  static TextStyle luxuriousRoman({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1579a50f2e3e954fdc0188f4156caa15b1fca74ed9a8cd378488ce59e06d38f6',
        95244,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LuxuriousRoman',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Luxurious Roman font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Luxurious+Roman
  static TextTheme luxuriousRomanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.luxuriousRoman(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.luxuriousRoman(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.luxuriousRoman(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.luxuriousRoman(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.luxuriousRoman(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.luxuriousRoman(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.luxuriousRoman(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.luxuriousRoman(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.luxuriousRoman(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.luxuriousRoman(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.luxuriousRoman(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.luxuriousRoman(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.luxuriousRoman(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.luxuriousRoman(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.luxuriousRoman(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Luxurious Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Luxurious+Script
  static TextStyle luxuriousScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '308f774dab9371c6ee799c901add408af99eb176b24569dd3c9ea19c420a018e',
        129488,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LuxuriousScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Luxurious Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Luxurious+Script
  static TextTheme luxuriousScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.luxuriousScript(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.luxuriousScript(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.luxuriousScript(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.luxuriousScript(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.luxuriousScript(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.luxuriousScript(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.luxuriousScript(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.luxuriousScript(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.luxuriousScript(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.luxuriousScript(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.luxuriousScript(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.luxuriousScript(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.luxuriousScript(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.luxuriousScript(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.luxuriousScript(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the M PLUS 1 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/M+PLUS+1
  static TextStyle mPlus1({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cf6a0acf051a8afb32ff7f35372de6165e092b54e3e93d5b7631b4a8864e4bfe',
        1746144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '08d6e900ffd3a9d6e5aebaee9bcc7771840a4f9af3fed8879ca7a0e2523d5625',
        1746828,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '455852548e3e20547cbde354a56fda8d68481bd7a79d8d0d348bc4084c5041a8',
        1744380,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '83b156dbfe314bb5d60a0932339e45319b53edf1eb46bf77620d2cd7446caf1f',
        1740868,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3d7aad49961ad1262e9924ef7e4189352c429173e35e95233dbfee9f70dd815d',
        1736256,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '55ee758a0f615ca9446a799d170cb8d2b3f57894feec2804f3373cdb7c41c292',
        1735400,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7c817525804c6e96834601d6d39279c92a4ccafea4d5ee16f81e26e7249c8e4c',
        1733776,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6cbeab8aa1c2586e54700d439b011c7dd35e7a196011f895c2caacabba1a1f5d',
        1730724,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b7a855514897e684adab8722c95897ce0582f0c12177c2e9a0ea386738084cb0',
        1724376,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MPLUS1',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the M PLUS 1 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/M+PLUS+1
  static TextTheme mPlus1TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mPlus1(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.mPlus1(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mPlus1(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.mPlus1(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.mPlus1(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.mPlus1(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mPlus1(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mPlus1(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mPlus1(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mPlus1(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mPlus1(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mPlus1(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mPlus1(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mPlus1(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mPlus1(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the M PLUS 1 Code font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/M+PLUS+1+Code
  static TextStyle mPlus1Code({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dbba5036e46587cdbe9ff2f8448a60474d86f19c9e012ff983764cc6ea0c6f0b',
        1715408,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '449a12f1a68f418040d5fd2f5a2daddd2a8332ff0968f39452f98ab75958d881',
        1715132,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b910153e34b564ca68ba62a292551c852a4ce3453a6fe781b7a98142c902bd83',
        1712716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '16eb98346ff24abd2dc4e6184be2124c5ebbe141c0410c69c9f8797680e03a25',
        1708908,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2a3602ce69675f0b2f6f0d604cef2695426e5364126158a53dfb13a3a71eeb0c',
        1706016,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b6961fb79f6cf5634bef94015a5ccbde109bea21f515efe75fe59d88b90fcb41',
        1704264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7df2d4971953a8f4041885896a77d034261ab163210b899d9418ac5985c3896d',
        1702216,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MPLUS1Code',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the M PLUS 1 Code font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/M+PLUS+1+Code
  static TextTheme mPlus1CodeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mPlus1Code(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.mPlus1Code(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mPlus1Code(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.mPlus1Code(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.mPlus1Code(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.mPlus1Code(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mPlus1Code(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mPlus1Code(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mPlus1Code(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mPlus1Code(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mPlus1Code(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mPlus1Code(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mPlus1Code(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mPlus1Code(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mPlus1Code(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the M PLUS 1p font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/M+PLUS+1p
  static TextStyle mPlus1p({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aa9b61369f183571496a480c98bdf9a44f61419c2ccf0740e0d8b5d03bf6bae0',
        1766568,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3ca019a6f25ed771c5391a191bd2b2eefe6f9b1c08bfa695cbe603980f4647e3',
        1762092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e97abdba17f7de7b88b860a1dd16e7d03e3bb4c75982d71471f7f8efd27d9197',
        1753660,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd47efc2873264bb6b404aefe8a48a18f6496c0f8c69a038923ff983f7b6f4207',
        1753776,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ddfe21a5f8a9dc313a5c3f56ca83843fd87454d8f3890b10dafd5afd4db198a6',
        1761476,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0844ccf86b00c8cd26fc82c8a354aeb7332fb0a2a368b03db257fde4fd7232d6',
        1768708,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '06a1c0be782dce577800a992bb8e2353a70ddf478f97aaf36a9eab4fcd5e9be3',
        1769104,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MPLUS1p',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the M PLUS 1p font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/M+PLUS+1p
  static TextTheme mPlus1pTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mPlus1p(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.mPlus1p(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mPlus1p(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.mPlus1p(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.mPlus1p(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.mPlus1p(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mPlus1p(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mPlus1p(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mPlus1p(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mPlus1p(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mPlus1p(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mPlus1p(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mPlus1p(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mPlus1p(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mPlus1p(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the M PLUS 2 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/M+PLUS+2
  static TextStyle mPlus2({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0113ac731e2d30138b864468d1175704e8c2f0f29e93381ca32cf4220e245850',
        1748452,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '077d897988853d21a469ddee85ca01767dfa9dbb9441d6397295b94d40f27036',
        1749132,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9133e2f19f39e44703e3ac336f7e34b46228567df6f2fbb497db65c09d170156',
        1746688,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '63ce9645f415ebbbc6397e4c087989a09cd5c54579527a892b7705f3ac66672d',
        1743140,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7f59f2f40911eade1f13b718f1226835d41c09cdbd71f21572f3d7c67b15be85',
        1738568,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1d40eaf481b75ab17c1f25f9cf272ad394645990b153b5cf284925b8ced9580c',
        1737700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '94bf5e3c038ea112fa93b2e1029ca4a655795f841df9f844e1d4ac81d6db8e46',
        1736056,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1344850afe293dbcbfb1c2af079f8ac6501db4bf2dec7a175fdc0cefe5bc12e9',
        1733036,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'de91af7eaaf31355276d8ea750b0c007ca2c955fc567283d94ad113fa7414e4e',
        1726688,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MPLUS2',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the M PLUS 2 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/M+PLUS+2
  static TextTheme mPlus2TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mPlus2(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.mPlus2(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mPlus2(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.mPlus2(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.mPlus2(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.mPlus2(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mPlus2(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mPlus2(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mPlus2(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mPlus2(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mPlus2(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mPlus2(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mPlus2(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mPlus2(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mPlus2(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the M PLUS Code Latin font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/M+PLUS+Code+Latin
  static TextStyle mPlusCodeLatin({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b4cd830e45152371aec7b6b5cabec297ab0e9f917e0cf78bece37813ef4af7ad',
        45668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '620ac99fbdf817e7ede523fc55f11d42a15b9edd6aac3c1cb14dbea1e4800a77',
        45896,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f446811d19cb6da1fe7e3230c39644e0ae56791237d7306cd3064e66a2c9cfd4',
        45844,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a36adebb89a27e239270bb7e627454aeabd4f10456f4235433a9ba0657c71534',
        46588,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8b61da0cf54f668c5846ddbec8f5331b0eb606e9f382f25559bbc08364b099b4',
        47244,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c74374e31ee345e5c6c91c6fb3c2d811ebcab2b6e7c5666681cfa5c020e9c4c1',
        47256,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c45304e24a96753a27e2da37917ad5ec246c668d41b4acdfafc08aa47a50960f',
        47088,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MPLUSCodeLatin',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the M PLUS Code Latin font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/M+PLUS+Code+Latin
  static TextTheme mPlusCodeLatinTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.mPlusCodeLatin(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.mPlusCodeLatin(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.mPlusCodeLatin(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.mPlusCodeLatin(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.mPlusCodeLatin(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.mPlusCodeLatin(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mPlusCodeLatin(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mPlusCodeLatin(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mPlusCodeLatin(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mPlusCodeLatin(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mPlusCodeLatin(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mPlusCodeLatin(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mPlusCodeLatin(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mPlusCodeLatin(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mPlusCodeLatin(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the M PLUS Rounded 1c font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/M+PLUS+Rounded+1c
  static TextStyle mPlusRounded1c({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e077690563917ec1f5b937a2674ebe43b44707df00dbc2df99da7fc6bbf1f9db',
        2899200,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dfdc1a721f186bcd57e50f1bc228a5d93cede477a9cff430b194de5c85477799',
        3284736,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e30fa1b6bfbb0a32efa620039763ecf4155c425078e5946aabab3e869776b5c3',
        3379736,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0a1d8fc54e3d396c30c265597945feb97bf3a2b90c6ff8c6bda98e433cd54825',
        3422384,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '329a8ed11bfe4054de884fcf8692759a19bde914a47d470a0b93fc4ed45d2d1c',
        3532232,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9dc19977e1ea631f1492200fcf63e450fb93ae2c93ad54f8d5b26a1052940767',
        3617848,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bdaee2302dacdb2017f355a3383f92093b9da749d13c2eeb2706fa8a15dd447f',
        3624724,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MPLUSRounded1c',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the M PLUS Rounded 1c font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/M+PLUS+Rounded+1c
  static TextTheme mPlusRounded1cTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.mPlusRounded1c(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.mPlusRounded1c(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.mPlusRounded1c(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.mPlusRounded1c(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.mPlusRounded1c(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.mPlusRounded1c(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mPlusRounded1c(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mPlusRounded1c(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mPlusRounded1c(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mPlusRounded1c(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mPlusRounded1c(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mPlusRounded1c(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mPlusRounded1c(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mPlusRounded1c(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mPlusRounded1c(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ma Shan Zheng font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ma+Shan+Zheng
  static TextStyle maShanZheng({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '18689b524ea22916a760249127fd63dba37af537b071668c06b7fc7357e98b9b',
        5855516,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MaShanZheng',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ma Shan Zheng font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ma+Shan+Zheng
  static TextTheme maShanZhengTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.maShanZheng(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.maShanZheng(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.maShanZheng(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.maShanZheng(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.maShanZheng(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.maShanZheng(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.maShanZheng(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.maShanZheng(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.maShanZheng(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.maShanZheng(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.maShanZheng(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.maShanZheng(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.maShanZheng(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.maShanZheng(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.maShanZheng(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Macondo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Macondo
  static TextStyle macondo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9ce73038dc611d6b3f9bbbb7d63152e31b79219eee9e1e9e47d70c1d10577a2d',
        46408,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Macondo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Macondo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Macondo
  static TextTheme macondoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.macondo(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.macondo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.macondo(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.macondo(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.macondo(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.macondo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.macondo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.macondo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.macondo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.macondo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.macondo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.macondo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.macondo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.macondo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.macondo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Macondo Swash Caps font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Macondo+Swash+Caps
  static TextStyle macondoSwashCaps({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a919bf1373aa1d3f6ebb6e72f7e54bb9cdf3f28e0d11b0b6d417de678f7642c7',
        31040,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MacondoSwashCaps',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Macondo Swash Caps font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Macondo+Swash+Caps
  static TextTheme macondoSwashCapsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.macondoSwashCaps(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.macondoSwashCaps(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.macondoSwashCaps(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.macondoSwashCaps(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.macondoSwashCaps(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.macondoSwashCaps(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.macondoSwashCaps(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.macondoSwashCaps(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.macondoSwashCaps(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.macondoSwashCaps(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.macondoSwashCaps(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.macondoSwashCaps(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.macondoSwashCaps(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.macondoSwashCaps(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.macondoSwashCaps(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mada font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mada
  static TextStyle mada({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '979239f0e38ca041f3bd3b888048f7aab5f38b34169ed4fd363c5639631dde3b',
        39560,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ab5daf238e580caeddbedf2ae74c53aa4e1abc1104aaf093d3434a5c2d4be62b',
        39388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '73e5bb709e9f5c36d5cb5b166f10a00167f194912e7865aea4cbcbaa280dba29',
        39388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '193dce9d18307f933cd0d25e2372328c23b2feb2219fce311e2dd4fab18c8297',
        39168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8eef8d3e39813246584b17348c4826e79461d2511c6a6a59436fc8ae432f681e',
        39024,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3f9bdc363f752682e3be97e2f02a22b5754aaa358d15015a327201e2932977ca',
        39008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c45e1e90c8eddf695da0c65a6ec414dbceb0332925cea25559120d691208aae2',
        39072,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mada',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mada font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mada
  static TextTheme madaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mada(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.mada(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mada(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.mada(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.mada(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.mada(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mada(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mada(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mada(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mada(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mada(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mada(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mada(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mada(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mada(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Magra font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Magra
  static TextStyle magra({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '14a31502baa6bc3d1d533ffcb22ed85a1432cccae9de9aaceab7f9613d5a42e6',
        40800,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5c9a0a85f1365e79e0be3858bfa5565709d6b041fbe2c94fdc07078addb09e0d',
        39872,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Magra',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Magra font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Magra
  static TextTheme magraTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.magra(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.magra(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.magra(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.magra(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.magra(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.magra(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.magra(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.magra(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.magra(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.magra(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.magra(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.magra(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.magra(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.magra(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.magra(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Maiden Orange font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Maiden+Orange
  static TextStyle maidenOrange({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f11302e6132c1403ee758336fc5c7521e50bdbd4e7633f4cac486e0bf63f5810',
        45596,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MaidenOrange',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Maiden Orange font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Maiden+Orange
  static TextTheme maidenOrangeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.maidenOrange(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.maidenOrange(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.maidenOrange(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.maidenOrange(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.maidenOrange(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.maidenOrange(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.maidenOrange(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.maidenOrange(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.maidenOrange(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.maidenOrange(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.maidenOrange(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.maidenOrange(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.maidenOrange(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.maidenOrange(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.maidenOrange(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Maitree font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Maitree
  static TextStyle maitree({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e5c26dcf50490bad8ece46b251341b794626dbcc2b447d6462719adb0a30a669',
        119800,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7a860e0d712863c7d1f48caa196c01d06c07440ba997240dc35222116b887315',
        117100,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e7e182c9f3ff383aecf89007408c82c2fe421c7bd1c0d26a2c589d650858c242',
        118484,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c443b9e40e75884e57ea3274551ea6e929e48c5f606f0e493de21535255416ea',
        119964,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd1ae61877eb99327c96f0881800d7ff67ed333496734a176a044f61aecd50785',
        121252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b68c27287653802a934b53c52097b15931a570dd2b1252cfc6716301f7c79c48',
        123064,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Maitree',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Maitree font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Maitree
  static TextTheme maitreeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.maitree(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.maitree(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.maitree(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.maitree(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.maitree(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.maitree(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.maitree(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.maitree(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.maitree(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.maitree(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.maitree(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.maitree(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.maitree(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.maitree(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.maitree(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Major Mono Display font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Major+Mono+Display
  static TextStyle majorMonoDisplay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a7396fa62aae1e0c350e023060775f55da68cccfd74b3c7d4f5f7eee87c94cd9',
        73668,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MajorMonoDisplay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Major Mono Display font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Major+Mono+Display
  static TextTheme majorMonoDisplayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.majorMonoDisplay(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.majorMonoDisplay(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.majorMonoDisplay(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.majorMonoDisplay(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.majorMonoDisplay(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.majorMonoDisplay(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.majorMonoDisplay(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.majorMonoDisplay(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.majorMonoDisplay(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.majorMonoDisplay(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.majorMonoDisplay(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.majorMonoDisplay(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.majorMonoDisplay(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.majorMonoDisplay(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.majorMonoDisplay(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mako font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mako
  static TextStyle mako({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5eacfb1dc8669a590c0628162182e6e92c96387c243ee93d399a2434e8ca71b9',
        62552,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mako',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mako font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mako
  static TextTheme makoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mako(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.mako(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mako(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.mako(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.mako(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.mako(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mako(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mako(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mako(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mako(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mako(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mako(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mako(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mako(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mako(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mali font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mali
  static TextStyle mali({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fa023b84089dddd968aaa8a9af85114b2432be3eb6172f99789a3ae7bd543ee2',
        104272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2a579f4d12bff42168479a54a31095f70747a8973a57b69b936e27633189406b',
        107164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c59426069511ffc36bdd5bb3670a0e38378f6b3397f5ffb79ef914af620f6012',
        104480,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a39afa524102532b9d18e19fee097806158a1701105a9943d917977833baa598',
        107336,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aaadb63184a80bb24d7816775c2dca9190123a18d7a83af532328184f2ea7f32',
        104556,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3d26f3cfa8067a8d6e86dd94e2264b68f4d17e23c9ce3c527d354c7ed39567dd',
        107620,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '19a953272fdd4907ed7edf681c73df68a70870017f72fd1374142feca6c166b0',
        104600,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2396956ede92acd1819c0bb780574f281f94863dea661b8a635e09e6a3717962',
        107608,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '478cc94d5111b74f569e558686104f2c27e6ead432329e143a34240adb5f7b6a',
        104640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b338a71cf893f3f34734911899abf29613f579a3fca432cf5443bcdfde1a417f',
        107596,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2945ab4ffbe01953a44ed5a1c249edd40c649ef9be29fc9b035ae184867dc813',
        104032,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7a0ee262e2e1a053633d5bfc8e6b4af7beb7da72f1419dc3e08dc55a25a6d398',
        107456,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mali',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mali font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mali
  static TextTheme maliTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mali(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.mali(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mali(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.mali(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.mali(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.mali(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mali(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mali(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mali(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mali(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mali(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mali(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mali(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mali(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mali(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mallanna font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mallanna
  static TextStyle mallanna({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'efd16b618025816beb489e3062ab30452f052d0d5bbb03710f42eceb0f999c37',
        350548,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mallanna',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mallanna font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mallanna
  static TextTheme mallannaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mallanna(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.mallanna(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mallanna(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.mallanna(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.mallanna(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.mallanna(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mallanna(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mallanna(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mallanna(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mallanna(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mallanna(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mallanna(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mallanna(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mallanna(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mallanna(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mandali font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mandali
  static TextStyle mandali({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b4c9245286adc2ac57082a6709f35231b209b74be5f5d90e55f83e4f943bc196',
        360000,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mandali',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mandali font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mandali
  static TextTheme mandaliTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mandali(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.mandali(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mandali(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.mandali(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.mandali(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.mandali(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mandali(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mandali(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mandali(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mandali(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mandali(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mandali(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mandali(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mandali(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mandali(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Manjari font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Manjari
  static TextStyle manjari({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f8ec7ec6563929a9fdac2b63de1a0788ce01986463bbc154ed1d7247224eaf6e',
        150024,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '462b76fc14c3f0019a58120fdfb3f68c44185ce085e1b50c02075f09d8cfb695',
        148744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3000b3d2f648184a01135d1abe042fc6689d994f30d949e5f8e63e54346acb24',
        148388,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Manjari',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Manjari font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Manjari
  static TextTheme manjariTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.manjari(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.manjari(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.manjari(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.manjari(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.manjari(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.manjari(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.manjari(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.manjari(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.manjari(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.manjari(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.manjari(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.manjari(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.manjari(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.manjari(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.manjari(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Manrope font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Manrope
  static TextStyle manrope({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c4e536af6f237f3d6628bffc40fdb3cc118fcf8c2d3884d116c96cdc3990123a',
        94848,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0eb7e6d332784315d565e6c1f4e39bfb0d9b9a6de73503619697d172b532607e',
        94856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1ddeeeff9fe3d294f709f2239557278930f56dab89db1fe535dc5c35cd67e0ee',
        94948,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'acdd0ae608f0e024750c98bb1c4e76c13e31ad2b848eb8da7fcd783c051abafa',
        95036,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8791ca409cf36b8b2842e40b6b1cd5b42cca064b4fdf24e30f5611536793429d',
        95072,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e7793683898d8a0e4c97ec50116fc021d053f2f72113982076a50a9048f101b5',
        94904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6b753fbbbefcdfd17909197147c199d6ebc1cd79742e853bc1e732bc9f49831b',
        95664,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Manrope',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Manrope font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Manrope
  static TextTheme manropeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.manrope(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.manrope(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.manrope(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.manrope(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.manrope(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.manrope(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.manrope(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.manrope(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.manrope(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.manrope(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.manrope(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.manrope(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.manrope(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.manrope(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.manrope(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mansalva font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mansalva
  static TextStyle mansalva({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8ac43c6257c0a4adf2cc4bd612f12fde136317dde9904d45dd03e73f007c0a27',
        252920,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mansalva',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mansalva font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mansalva
  static TextTheme mansalvaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mansalva(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.mansalva(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mansalva(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.mansalva(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.mansalva(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.mansalva(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mansalva(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mansalva(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mansalva(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mansalva(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mansalva(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mansalva(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mansalva(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mansalva(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mansalva(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Manuale font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Manuale
  static TextStyle manuale({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b6da7c1c212dbfcb71ad3dd44341b13fd54afbe4a7a34f98fc52d86d49602f28',
        74956,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c885b9f20d8346e5588747e207fd286ba0a28edf5f077c03c3eaa8f2ffbf263c',
        74784,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '435319e8023dc7cc4313894af87bda5112cfb48c89d5e6b0136194f6bdccb0bf',
        75444,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c61ce6e57adb89b67ed50deaa2eb60f7c87749d54c91d6ab2d2e21f6d2b9df72',
        75532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd6f9f56542a5004d0b878c20967c2edeb817a8cce8e15ab10fc54ce13d0018d2',
        75376,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '11f2f937d9729a4afdbf443ec0675386e7eeb1e0fb62e18736273715c528dfba',
        75488,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f5de4826304296707efc5837bb471a204812429e27d8072921a3694615d42583',
        81672,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '38e8c4553e9c440264325ff129711b490cb63481941c6e030a836b921c131f37',
        81400,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ef1ad858b85fb1e2c93d14752e384ea1a7808ffa9df94581cf9fe11466e7129c',
        81632,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'bab07681c9ea17f95ee63d6b9f4ed0be6cce8b7a5d268ae7c8aab323d909de0d',
        81608,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f6e37a4ff988049634bcecf17052618654ff44505f32e131f8bf960fe9cbacd0',
        81484,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd533674a678fea81f2543129aee800f3eeb4b76a533d9f5ad57d86e4672ea543',
        81948,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Manuale',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Manuale font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Manuale
  static TextTheme manualeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.manuale(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.manuale(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.manuale(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.manuale(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.manuale(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.manuale(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.manuale(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.manuale(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.manuale(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.manuale(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.manuale(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.manuale(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.manuale(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.manuale(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.manuale(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Marcellus font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Marcellus
  static TextStyle marcellus({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd6f05260db1b8d311fbfd6c413618fe64261ff8d19d00b6415bf01cb211363f9',
        42760,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Marcellus',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Marcellus font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Marcellus
  static TextTheme marcellusTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.marcellus(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.marcellus(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.marcellus(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.marcellus(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.marcellus(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.marcellus(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.marcellus(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.marcellus(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.marcellus(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.marcellus(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.marcellus(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.marcellus(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.marcellus(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.marcellus(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.marcellus(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Marcellus SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Marcellus+SC
  static TextStyle marcellusSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0b9db8e80985afac4ce5a8a218672d0e819465ec4bea036f50c65f0400f32d32',
        43936,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MarcellusSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Marcellus SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Marcellus+SC
  static TextTheme marcellusScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.marcellusSc(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.marcellusSc(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.marcellusSc(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.marcellusSc(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.marcellusSc(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.marcellusSc(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.marcellusSc(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.marcellusSc(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.marcellusSc(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.marcellusSc(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.marcellusSc(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.marcellusSc(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.marcellusSc(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.marcellusSc(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.marcellusSc(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Marck Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Marck+Script
  static TextStyle marckScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4cea442ff203ca3e590f00f4f98c1e879742979974df977735cd658c1452219d',
        81184,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MarckScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Marck Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Marck+Script
  static TextTheme marckScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.marckScript(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.marckScript(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.marckScript(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.marckScript(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.marckScript(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.marckScript(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.marckScript(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.marckScript(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.marckScript(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.marckScript(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.marckScript(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.marckScript(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.marckScript(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.marckScript(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.marckScript(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Margarine font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Margarine
  static TextStyle margarine({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '27203d30148332203ac274969146d0317fcf010676d440870055be319a2f8dde',
        146292,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Margarine',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Margarine font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Margarine
  static TextTheme margarineTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.margarine(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.margarine(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.margarine(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.margarine(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.margarine(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.margarine(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.margarine(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.margarine(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.margarine(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.margarine(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.margarine(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.margarine(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.margarine(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.margarine(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.margarine(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Marhey font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Marhey
  static TextStyle marhey({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7472ca5f9dea40b389363347ee6fd3983c1847066c8e62f76a010f28f917f4b7',
        87732,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '98d1392297a778029859c22f1baa745a94813f7e0222dd17ef9e091fff906ead',
        87988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6f0210f4d3200dbaea6000e79718eff9a7362e79d3ce6349016fd2f2d8f9e27a',
        88028,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '129db27c74bc18afd66bd089086274343977f05d57a98db0ac544db509cbd09b',
        87992,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7f6ed41362777f37de14979b6ffc20f353009e17a6d5638df864e1aace36c9d4',
        87564,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Marhey',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Marhey font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Marhey
  static TextTheme marheyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.marhey(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.marhey(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.marhey(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.marhey(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.marhey(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.marhey(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.marhey(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.marhey(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.marhey(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.marhey(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.marhey(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.marhey(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.marhey(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.marhey(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.marhey(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Markazi Text font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Markazi+Text
  static TextStyle markaziText({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cd09a8c7c2bae924fbd390c3ddc7d56320b285ed211ab26e76d86619950bf98c',
        181652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f01044c06d33bc0da3fa40187c40f7cf47df910978514b8998517fbcf07932c7',
        182228,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1129e5edbb390d09046daccf90d0284ad282254f574cfbae853b286378b06ce8',
        182384,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e91776c38ed4516824e7f6e214f118dc17f9320545c95983a5957a483719956f',
        181892,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MarkaziText',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Markazi Text font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Markazi+Text
  static TextTheme markaziTextTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.markaziText(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.markaziText(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.markaziText(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.markaziText(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.markaziText(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.markaziText(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.markaziText(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.markaziText(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.markaziText(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.markaziText(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.markaziText(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.markaziText(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.markaziText(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.markaziText(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.markaziText(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Marko One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Marko+One
  static TextStyle markoOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '30e5982f5ec8083bdd653f3c459c492742f14b97e7f03e24f44aa63637695e88',
        31396,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MarkoOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Marko One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Marko+One
  static TextTheme markoOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.markoOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.markoOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.markoOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.markoOne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.markoOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.markoOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.markoOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.markoOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.markoOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.markoOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.markoOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.markoOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.markoOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.markoOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.markoOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Marmelad font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Marmelad
  static TextStyle marmelad({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bdab526e548c546c6e74f16e1ddf6ba4165b2b209338fe76365f1432e1c75461',
        102584,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Marmelad',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Marmelad font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Marmelad
  static TextTheme marmeladTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.marmelad(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.marmelad(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.marmelad(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.marmelad(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.marmelad(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.marmelad(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.marmelad(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.marmelad(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.marmelad(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.marmelad(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.marmelad(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.marmelad(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.marmelad(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.marmelad(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.marmelad(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Martel font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Martel
  static TextStyle martel({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1ee44d0d4893d54a1cdc577b763f43a56a3cc41bb5a16569214afd4e99f432f9',
        116348,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0f01376b7fdfcd7e143d42ef7de46b048ebce6112082da9828b16135ad3eba43',
        117716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '12702ce43a0e0d4569dd9280751658fde77aacddf053f262491e03d2ddd3a8dd',
        117388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '91f155cd5e60d1b1ddf47eb94c633905404dc913ac6b5fca67f1b43e154aa06f',
        116792,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '34b0a43712bff324f47dd9e72665b0e575cdd986f4631025f6ef7ca14c15044e',
        117084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a5a6f886bbe3ee8d7d7a4357ed5ea5d5c3964dea884200904b8c41d033eda207',
        117668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ed9eaa5300e6fbaed75362821ed8c718b2c6accd7c0860cf86063a4d2c1f994d',
        111108,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Martel',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Martel font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Martel
  static TextTheme martelTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.martel(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.martel(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.martel(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.martel(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.martel(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.martel(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.martel(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.martel(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.martel(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.martel(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.martel(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.martel(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.martel(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.martel(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.martel(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Martel Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Martel+Sans
  static TextStyle martelSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0e94b3386004ab870546eeda9ed5b5e4ac30937656139d17832dc75083aa456f',
        103364,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '34adb2c35e44fb48087e3ff92e3d8b0ca521daffa44e49d2fa827f1a113e9e51',
        103164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5cc347978707d341149b2714ee7ac9a56862bdceeee0d0cd78b49051895352ed',
        103204,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '532ceb7947bcc2af5c0bd6dd898b3149f96fc7154f6d6f5f43e1901e11aec356',
        102412,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '408fb2a6bd2b8febcbcd0f36b448bea25c95a95682b8180f072b270317ca99ce',
        102480,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0e9cad9a7439e58232072ee1ae67b8cbe63c0a9b81f4df4905a787f897ba8741',
        102276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b18f2498080548788be265f2d48af87ba37135a2df98a20de4d8cbff7f6c428c',
        101916,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MartelSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Martel Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Martel+Sans
  static TextTheme martelSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.martelSans(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.martelSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.martelSans(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.martelSans(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.martelSans(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.martelSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.martelSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.martelSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.martelSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.martelSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.martelSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.martelSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.martelSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.martelSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.martelSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Martian Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Martian+Mono
  static TextStyle martianMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ee3a1e93a190bb35c840b40e2b0c3f49be8add837fd39fae07000b16bb1d002b',
        45720,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1672bd8247b8b1f8bb653bdd644661dbcf8cb8cf0327629af3432194c115f5d2',
        45820,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8088bad5d5d8a0c275863dd4b70e1f68292709dfd8a1fd625328e2abed89e737',
        45792,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e1ceec8c702ae07952ac8b8c5210cfc87330d5a6b3212dd2b1095fe791986168',
        45760,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '128a24312a4b778dae8a5a104b64b440173abda479d48b7af7c881c5663dcc54',
        46228,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7ed9dc3b074b82dc879a55323546bdbbca30c556c4f161012cc438deca9eeceb',
        46240,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0e88fce9ffe5848513fa2dda3ca197461e41e81c8445bcc7ee71d49393db9274',
        46212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '55403a5aaad859a75ee49da8f522c8f7229e0428f3f08dbfeaeb774c54217746',
        46232,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MartianMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Martian Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Martian+Mono
  static TextTheme martianMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.martianMono(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.martianMono(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.martianMono(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.martianMono(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.martianMono(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.martianMono(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.martianMono(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.martianMono(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.martianMono(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.martianMono(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.martianMono(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.martianMono(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.martianMono(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.martianMono(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.martianMono(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Marvel font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Marvel
  static TextStyle marvel({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '434993f2ea848e2148f479a2a4b7f77a8d304cf6e699f6ff5ce15dd29e922b0e',
        36432,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ed9c07b783613779c3c9569fbd28a164ff94e6f015020a825eca9370a92346ef',
        38864,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a8acdc8b4db21642923af59378dd206a766b72bc253e2682f77d9ebeae48bb1f',
        35184,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '584836e81a8e6ce67e50024b8dda2edb6e91e8fd014c29ae935904f0881b2b4c',
        38252,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Marvel',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Marvel font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Marvel
  static TextTheme marvelTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.marvel(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.marvel(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.marvel(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.marvel(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.marvel(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.marvel(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.marvel(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.marvel(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.marvel(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.marvel(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.marvel(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.marvel(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.marvel(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.marvel(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.marvel(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mate font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mate
  static TextStyle mate({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fd3304dc2b1dd4c326f05e442c40eb17607a1adda9a11e994081456a638d5a8e',
        42956,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5b6664851984aa4850b4333b116c2a85227e83000b6eee0f25e16bad054a26e3',
        43224,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mate',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mate font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mate
  static TextTheme mateTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mate(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.mate(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mate(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.mate(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.mate(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.mate(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mate(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mate(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mate(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mate(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mate(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mate(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mate(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mate(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mate(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mate SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mate+SC
  static TextStyle mateSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd092c6f116320499fb1deb7f4a8c8a61a3460bf81cf0aec509bbf0d773d9b2c6',
        46196,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MateSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mate SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mate+SC
  static TextTheme mateScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mateSc(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.mateSc(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mateSc(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.mateSc(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.mateSc(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.mateSc(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mateSc(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mateSc(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mateSc(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mateSc(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mateSc(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mateSc(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mateSc(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mateSc(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mateSc(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Maven Pro font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Maven+Pro
  static TextStyle mavenPro({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1cb3d351c2911eefef82dbe3e3f106a05c21f1ff2e07784e1cfb36640347711e',
        55108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8ffcb091ad6e15155a23861108058084a559ca95c069e8acf82936d8872bdc66',
        55368,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8151f48f9c8983360023fff1ca435184a8c8505b5477566c59d6f39a901913a8',
        55524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '759e8364414a231fe8a96087771731005c0294087633491b77972fc97aca240d',
        55408,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8e40184b4334d61ab14c56ea0d2b3e5b8ead9738cd3132682df5430ea6d2a405',
        55508,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fba6a8453a14dcaf0b9013b8734e296d22975beca97dc064675f473c9e492faf',
        55420,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MavenPro',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Maven Pro font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Maven+Pro
  static TextTheme mavenProTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mavenPro(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.mavenPro(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mavenPro(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.mavenPro(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.mavenPro(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.mavenPro(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mavenPro(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mavenPro(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mavenPro(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mavenPro(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mavenPro(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mavenPro(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mavenPro(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mavenPro(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mavenPro(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the McLaren font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/McLaren
  static TextStyle mcLaren({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bc647b683dd86f7af168e13748ced9571415848d658b82879f2c6c33be0b5b60',
        52032,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'McLaren',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the McLaren font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/McLaren
  static TextTheme mcLarenTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mcLaren(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.mcLaren(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mcLaren(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.mcLaren(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.mcLaren(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.mcLaren(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mcLaren(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mcLaren(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mcLaren(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mcLaren(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mcLaren(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mcLaren(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mcLaren(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mcLaren(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mcLaren(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mea Culpa font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mea+Culpa
  static TextStyle meaCulpa({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4e96faeb4d850c5e366aa0a2f43b5cd252a1274b6b494614af01c6211057b877',
        108404,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MeaCulpa',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mea Culpa font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mea+Culpa
  static TextTheme meaCulpaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.meaCulpa(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.meaCulpa(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.meaCulpa(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.meaCulpa(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.meaCulpa(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.meaCulpa(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.meaCulpa(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.meaCulpa(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.meaCulpa(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.meaCulpa(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.meaCulpa(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.meaCulpa(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.meaCulpa(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.meaCulpa(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.meaCulpa(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Meddon font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Meddon
  static TextStyle meddon({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '54abae3d58d982b229851cc4d848bcffd67e29644fa8335db695e1d27c0012f2',
        63032,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Meddon',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Meddon font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Meddon
  static TextTheme meddonTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.meddon(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.meddon(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.meddon(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.meddon(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.meddon(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.meddon(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.meddon(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.meddon(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.meddon(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.meddon(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.meddon(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.meddon(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.meddon(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.meddon(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.meddon(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the MedievalSharp font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/MedievalSharp
  static TextStyle medievalSharp({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0d2dd58bc945b10409aa21e24d98eec3ef37993b2376e3531851fbf92d21dd4f',
        48228,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MedievalSharp',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the MedievalSharp font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/MedievalSharp
  static TextTheme medievalSharpTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.medievalSharp(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.medievalSharp(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.medievalSharp(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.medievalSharp(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.medievalSharp(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.medievalSharp(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.medievalSharp(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.medievalSharp(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.medievalSharp(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.medievalSharp(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.medievalSharp(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.medievalSharp(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.medievalSharp(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.medievalSharp(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.medievalSharp(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Medula One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Medula+One
  static TextStyle medulaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4c14d4658cacf3a579c80cfc423df8e6941dd1eca33fe74d9004b9bd9b2cb34a',
        31792,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MedulaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Medula One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Medula+One
  static TextTheme medulaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.medulaOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.medulaOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.medulaOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.medulaOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.medulaOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.medulaOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.medulaOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.medulaOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.medulaOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.medulaOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.medulaOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.medulaOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.medulaOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.medulaOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.medulaOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Meera Inimai font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Meera+Inimai
  static TextStyle meeraInimai({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '40a06b1e0bf3b4a399c40716a6dd04acc5d0d5d416f6310ec45c3b8efa4d8352',
        70828,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MeeraInimai',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Meera Inimai font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Meera+Inimai
  static TextTheme meeraInimaiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.meeraInimai(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.meeraInimai(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.meeraInimai(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.meeraInimai(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.meeraInimai(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.meeraInimai(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.meeraInimai(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.meeraInimai(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.meeraInimai(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.meeraInimai(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.meeraInimai(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.meeraInimai(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.meeraInimai(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.meeraInimai(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.meeraInimai(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Megrim font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Megrim
  static TextStyle megrim({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1329617d0583eddd45a722377ffbe312d6ac084943ddfd923025eea820980c1c',
        30136,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Megrim',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Megrim font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Megrim
  static TextTheme megrimTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.megrim(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.megrim(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.megrim(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.megrim(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.megrim(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.megrim(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.megrim(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.megrim(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.megrim(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.megrim(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.megrim(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.megrim(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.megrim(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.megrim(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.megrim(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Meie Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Meie+Script
  static TextStyle meieScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9f475b7a7297bda996a975870f9696e21f31d4c1048ac19d6b456c901867769e',
        52328,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MeieScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Meie Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Meie+Script
  static TextTheme meieScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.meieScript(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.meieScript(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.meieScript(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.meieScript(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.meieScript(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.meieScript(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.meieScript(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.meieScript(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.meieScript(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.meieScript(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.meieScript(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.meieScript(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.meieScript(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.meieScript(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.meieScript(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Meow Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Meow+Script
  static TextStyle meowScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1efb4e3f7d02119a4e3ae8a858cedb1187379d54d09c2944e9010796a913f129',
        101276,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MeowScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Meow Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Meow+Script
  static TextTheme meowScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.meowScript(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.meowScript(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.meowScript(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.meowScript(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.meowScript(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.meowScript(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.meowScript(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.meowScript(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.meowScript(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.meowScript(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.meowScript(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.meowScript(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.meowScript(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.meowScript(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.meowScript(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Merienda font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Merienda
  static TextStyle merienda({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '973c851f8366eab47ff4866ad952412e0fe056e82d9cd13be8e97613125ff94c',
        85304,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '90f10cac7a7d3aca2f838e74e7e6c87b48195c0376dadbf0c2a46249f9bb1bec',
        85244,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '177313e827c6d4a1c2ca7b71c81971d75044f387d5a92c2d5f4156c3703451f4',
        85280,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c8ca5a866e81962090f6d3e656744b14c8f0a889cd5749b20614bfa787d6029c',
        85288,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1b29437136f583497052318a85ad9af036e3ec017ab1259220ab4232d95a6d9e',
        87844,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '09ef324455a8cbcc32a8c881fb97b498f063b78f49258298f10d4f2be087de77',
        88256,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '10059eb15378f73ec0c9cd3f06d762078f0930ef52ac731bb34ca50c107eca09',
        88016,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Merienda',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Merienda font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Merienda
  static TextTheme meriendaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.merienda(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.merienda(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.merienda(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.merienda(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.merienda(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.merienda(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.merienda(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.merienda(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.merienda(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.merienda(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.merienda(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.merienda(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.merienda(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.merienda(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.merienda(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Merriweather font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Merriweather
  static TextStyle merriweather({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1391d9ac253f0609fc463ed7cf7c7f8ac16ac148535eab73f9e6ed568be7ed6c',
        94096,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4f7010dc410bfdc0e5a335d9a26304fe2445f5b6540b1018c852de17816b07ac',
        96632,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '17eea3c23dedc67e39cc162b4f95c5927f415be23f01181d6441a821401f2e40',
        94360,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a01ca4baf4746b17b8c5c2e403ac0943ad6e2af8451c1651ea770f16cf8c06e0',
        96368,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5ffd149f337f5b52c2f4fcc0de5d543697fceac78b416e230def6b7c02c81ea9',
        94016,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ba796e3f7bbbf053447975f5e4e72ae4a8c01a0c109a688bc7d80836c6270344',
        96204,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0c0a81948fc4e537d93d6b935abe73b2a89ec9cfd6d9c48bf9787c8627aaf16c',
        94052,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ddc6eda15dc3b4c34cf815954a5ee4af26282332b5baf09c8a938143d7ae956b',
        95804,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Merriweather',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Merriweather font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Merriweather
  static TextTheme merriweatherTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.merriweather(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.merriweather(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.merriweather(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.merriweather(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.merriweather(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.merriweather(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.merriweather(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.merriweather(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.merriweather(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.merriweather(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.merriweather(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.merriweather(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.merriweather(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.merriweather(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.merriweather(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Merriweather Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Merriweather+Sans
  static TextStyle merriweatherSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b564199cc15670ea9c92d2dfe33ae17d15c7f7653cc03dc7ac144a3ceb21c9c9',
        90984,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7235ec430595023c3a5de6533be2be11132a1d39a8fc5e10d7906ab2c997e646',
        91132,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0d33c5f3a9a4563288d26cdbdc0ad773a5a56655c52ce2918ddcbece4f264229',
        91132,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ebb7f592714fd85ec4e493146e45e1c447b51ef66c4456c74efe1dca2ffd3b6f',
        91292,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ee87dd589179b4f6975eb114a4edf724af5c31c87ba77bbab3b8e433ddf36b88',
        91224,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ebd96d3571e8b1daae4334b2cc890a4b69506ae4b82e34773d68d650a38b4b3f',
        91188,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '56ffc23c38f799def2d167383e4ab1cd74d4fad8a7661c42849010c115889f0d',
        79872,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8f85bdb130da9e6fc59715c46a87b2fa8f145ba984adb931abfb582e4b4a28b9',
        79788,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '49d997f7fd3a37940fbe85c6fd86d130ad7ad90fd9e258a7cb5f5f25ad703a7e',
        79920,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '205028f9db92e4b50f4cab9c038bb95b176f0bc781645e3a35e1818522d17cbc',
        79988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '370ff2a6479065e9b92a4020ba5460c520433f6f4aed30d55a20b4a9f280f026',
        79976,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fc796dc395d9867478b803258c955636a6b709710059749695818ed9fcd6edd4',
        80084,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MerriweatherSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Merriweather Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Merriweather+Sans
  static TextTheme merriweatherSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.merriweatherSans(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.merriweatherSans(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.merriweatherSans(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.merriweatherSans(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.merriweatherSans(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.merriweatherSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.merriweatherSans(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.merriweatherSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.merriweatherSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.merriweatherSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.merriweatherSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.merriweatherSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.merriweatherSans(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.merriweatherSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.merriweatherSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Metal font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Metal
  static TextStyle metal({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3fb5cdc18da62e5d2a13bf65bef1a2ccb9f66dc10c4e3d7910f3f97f1cb1b2f5',
        97360,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Metal',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Metal font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Metal
  static TextTheme metalTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.metal(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.metal(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.metal(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.metal(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.metal(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.metal(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.metal(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.metal(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.metal(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.metal(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.metal(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.metal(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.metal(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.metal(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.metal(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Metal Mania font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Metal+Mania
  static TextStyle metalMania({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7d4503a6087a6180b1d58db0994d6883a20a70cbfd00db57454ce722c23167d6',
        207960,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MetalMania',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Metal Mania font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Metal+Mania
  static TextTheme metalManiaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.metalMania(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.metalMania(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.metalMania(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.metalMania(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.metalMania(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.metalMania(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.metalMania(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.metalMania(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.metalMania(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.metalMania(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.metalMania(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.metalMania(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.metalMania(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.metalMania(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.metalMania(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Metamorphous font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Metamorphous
  static TextStyle metamorphous({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '61cbe950ebcde5689d1c57a37177f5533f78247cadafdf4a4c82008bba7c8974',
        63740,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Metamorphous',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Metamorphous font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Metamorphous
  static TextTheme metamorphousTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.metamorphous(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.metamorphous(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.metamorphous(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.metamorphous(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.metamorphous(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.metamorphous(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.metamorphous(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.metamorphous(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.metamorphous(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.metamorphous(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.metamorphous(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.metamorphous(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.metamorphous(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.metamorphous(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.metamorphous(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Metrophobic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Metrophobic
  static TextStyle metrophobic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3cd53fb289615b83816543371563bcb44f7d97811b40805b0df924eceb85791e',
        53212,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Metrophobic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Metrophobic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Metrophobic
  static TextTheme metrophobicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.metrophobic(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.metrophobic(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.metrophobic(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.metrophobic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.metrophobic(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.metrophobic(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.metrophobic(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.metrophobic(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.metrophobic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.metrophobic(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.metrophobic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.metrophobic(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.metrophobic(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.metrophobic(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.metrophobic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Michroma font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Michroma
  static TextStyle michroma({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '08d35f52e77af7341432a44ec1cd721f5602580513376379f9630ada46f737e5',
        31660,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Michroma',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Michroma font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Michroma
  static TextTheme michromaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.michroma(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.michroma(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.michroma(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.michroma(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.michroma(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.michroma(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.michroma(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.michroma(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.michroma(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.michroma(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.michroma(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.michroma(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.michroma(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.michroma(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.michroma(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Milonga font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Milonga
  static TextStyle milonga({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cfc044fa128794d72c8337c0f2d672ba34686248b1d44ec94fdccba2e60e1987',
        120176,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Milonga',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Milonga font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Milonga
  static TextTheme milongaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.milonga(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.milonga(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.milonga(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.milonga(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.milonga(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.milonga(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.milonga(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.milonga(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.milonga(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.milonga(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.milonga(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.milonga(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.milonga(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.milonga(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.milonga(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Miltonian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Miltonian
  static TextStyle miltonian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6e66e2c40908d9f6a49aca5d7c792ca6a5b97e2e0242affd23f8983fb8a300f5',
        90836,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Miltonian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Miltonian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Miltonian
  static TextTheme miltonianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.miltonian(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.miltonian(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.miltonian(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.miltonian(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.miltonian(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.miltonian(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.miltonian(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.miltonian(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.miltonian(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.miltonian(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.miltonian(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.miltonian(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.miltonian(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.miltonian(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.miltonian(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Miltonian Tattoo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Miltonian+Tattoo
  static TextStyle miltonianTattoo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e618ab9270bcaa0f167636c24170e3148c3a1d4897edf97af3ce1141d337f7c6',
        68524,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MiltonianTattoo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Miltonian Tattoo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Miltonian+Tattoo
  static TextTheme miltonianTattooTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.miltonianTattoo(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.miltonianTattoo(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.miltonianTattoo(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.miltonianTattoo(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.miltonianTattoo(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.miltonianTattoo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.miltonianTattoo(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.miltonianTattoo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.miltonianTattoo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.miltonianTattoo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.miltonianTattoo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.miltonianTattoo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.miltonianTattoo(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.miltonianTattoo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.miltonianTattoo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mina font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mina
  static TextStyle mina({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '308655f148986df4abc69e3d2ed7b9dc68a2da9a2775b23ed5b770001c17d52d',
        147136,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3b36a41caeb6d32dd48fb88879056a737b272ab418000ab399b5dfb12696d62b',
        148492,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mina',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mina font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mina
  static TextTheme minaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mina(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.mina(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mina(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.mina(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.mina(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.mina(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mina(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mina(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mina(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mina(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mina(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mina(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mina(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mina(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mina(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mingzat font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mingzat
  static TextStyle mingzat({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dc664cbe60ea241e8c160c2fc5fa296c014fb5efbc2dcf37b0cb709ffc75f20b',
        155536,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mingzat',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mingzat font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mingzat
  static TextTheme mingzatTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mingzat(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.mingzat(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mingzat(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.mingzat(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.mingzat(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.mingzat(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mingzat(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mingzat(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mingzat(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mingzat(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mingzat(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mingzat(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mingzat(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mingzat(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mingzat(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Miniver font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Miniver
  static TextStyle miniver({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '26d6c3699c8c5018d64009cb6e6e8f50c0871535ea925acbd5d9dc96b0237884',
        43764,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Miniver',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Miniver font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Miniver
  static TextTheme miniverTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.miniver(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.miniver(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.miniver(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.miniver(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.miniver(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.miniver(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.miniver(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.miniver(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.miniver(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.miniver(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.miniver(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.miniver(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.miniver(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.miniver(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.miniver(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Miriam Libre font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Miriam+Libre
  static TextStyle miriamLibre({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '516dc4ec0e287fbb605d4fd5425c2cde6e1340231003c8d0a776d0692bef39f8',
        67072,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b084a6d235b628f1aa766d8ddb381504ec1a3cd0f24caa5671cebb766ae498be',
        64540,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MiriamLibre',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Miriam Libre font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Miriam+Libre
  static TextTheme miriamLibreTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.miriamLibre(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.miriamLibre(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.miriamLibre(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.miriamLibre(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.miriamLibre(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.miriamLibre(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.miriamLibre(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.miriamLibre(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.miriamLibre(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.miriamLibre(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.miriamLibre(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.miriamLibre(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.miriamLibre(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.miriamLibre(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.miriamLibre(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mirza font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mirza
  static TextStyle mirza({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '65a183bfdbc18e102852adaa4adb72573f33f3c5cfb851432c09a209acb8e71e',
        153264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9dca4c8d1291531d989cd9a2e6bfedc5695fe0f4f7a5c61d480d378fbc175681',
        152660,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3ab1e8d78115374ca7dc03dd28299ed0d1f0d5f5b42058c77c5580067b84162b',
        152604,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e2a1bd6f33531eb1e76213d35b6ccb117a30a0173a4d772514677c41ead7ad56',
        152580,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mirza',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mirza font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mirza
  static TextTheme mirzaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mirza(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.mirza(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mirza(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.mirza(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.mirza(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.mirza(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mirza(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mirza(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mirza(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mirza(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mirza(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mirza(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mirza(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mirza(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mirza(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Miss Fajardose font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Miss+Fajardose
  static TextStyle missFajardose({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a443fa63baa6db77fd9443bb2e2f84e00fb587b7426ccbfa6d6f21c18f739cb0',
        56960,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MissFajardose',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Miss Fajardose font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Miss+Fajardose
  static TextTheme missFajardoseTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.missFajardose(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.missFajardose(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.missFajardose(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.missFajardose(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.missFajardose(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.missFajardose(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.missFajardose(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.missFajardose(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.missFajardose(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.missFajardose(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.missFajardose(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.missFajardose(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.missFajardose(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.missFajardose(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.missFajardose(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mitr font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mitr
  static TextStyle mitr({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e3e51272f85885d89720e6be6248fe926d8e56fcc75d9e0d2f5abb6ead1a069f',
        136672,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a087f2046c85d59cc4dab8d23cbb70924839fea7e0f7c13e5be48c9257ab37d6',
        142208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8fb9bdc5d1b4552c91499f31580f422a7e13c6c2f160e34173455b7aaa3391a3',
        144096,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aad7c67032d0ab210555ee83b104b760f291514f625fa4911979acbafcda0359',
        144076,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b9147e12fdb9ec1ea4d1981a343e92386c4e39fd77f16781187bdbde63bebea9',
        143588,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd6b0c518c8a9dc001751fc9c6ea3126832e28513061b5bf9c24f730a9ae3d0e6',
        144164,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mitr',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mitr font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mitr
  static TextTheme mitrTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mitr(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.mitr(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mitr(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.mitr(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.mitr(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.mitr(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mitr(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mitr(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mitr(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mitr(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mitr(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mitr(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mitr(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mitr(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mitr(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mochiy Pop One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mochiy+Pop+One
  static TextStyle mochiyPopOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3fb344386a811c67bdb3884a56a6abc44c1556024d68833039b968a1f15f7a27',
        4607440,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MochiyPopOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mochiy Pop One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mochiy+Pop+One
  static TextTheme mochiyPopOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mochiyPopOne(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.mochiyPopOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mochiyPopOne(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.mochiyPopOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.mochiyPopOne(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.mochiyPopOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mochiyPopOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mochiyPopOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mochiyPopOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mochiyPopOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mochiyPopOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mochiyPopOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mochiyPopOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mochiyPopOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mochiyPopOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mochiy Pop P One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mochiy+Pop+P+One
  static TextStyle mochiyPopPOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cfbdc87a9c549aa86033713ca7edd8a7f2f9ba4cbe9b8d2d067a848ee1c9e5c8',
        4608112,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MochiyPopPOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mochiy Pop P One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mochiy+Pop+P+One
  static TextTheme mochiyPopPOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.mochiyPopPOne(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.mochiyPopPOne(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.mochiyPopPOne(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.mochiyPopPOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.mochiyPopPOne(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.mochiyPopPOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mochiyPopPOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mochiyPopPOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mochiyPopPOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mochiyPopPOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mochiyPopPOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mochiyPopPOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mochiyPopPOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mochiyPopPOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mochiyPopPOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Modak font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Modak
  static TextStyle modak({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6e0f471287dec95da2ab0508270c51a4d89b5956f8395ed46026e3e8cdeaeb03',
        358468,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Modak',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Modak font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Modak
  static TextTheme modakTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.modak(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.modak(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.modak(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.modak(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.modak(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.modak(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.modak(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.modak(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.modak(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.modak(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.modak(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.modak(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.modak(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.modak(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.modak(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Modern Antiqua font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Modern+Antiqua
  static TextStyle modernAntiqua({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a80f5084d998fa19f869afe478a06bb9053b2340ba1ab17796a408b0171f1a94',
        67772,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ModernAntiqua',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Modern Antiqua font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Modern+Antiqua
  static TextTheme modernAntiquaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.modernAntiqua(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.modernAntiqua(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.modernAntiqua(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.modernAntiqua(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.modernAntiqua(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.modernAntiqua(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.modernAntiqua(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.modernAntiqua(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.modernAntiqua(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.modernAntiqua(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.modernAntiqua(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.modernAntiqua(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.modernAntiqua(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.modernAntiqua(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.modernAntiqua(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mogra font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mogra
  static TextStyle mogra({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '68ef6f3c83efa3823e9cd4fd64392022ef1df04760a65d5592a93e800fe39a01',
        227352,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mogra',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mogra font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mogra
  static TextTheme mograTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mogra(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.mogra(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mogra(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.mogra(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.mogra(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.mogra(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mogra(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mogra(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mogra(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mogra(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mogra(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mogra(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mogra(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mogra(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mogra(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mohave font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mohave
  static TextStyle mohave({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '64ea3cbb25684d63f7664ef5190387b9de436ec2adcb8f0a6544c91c03201a31',
        36972,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a7d5e7be7889463c1318bf7e1cc51d24b2984031bd834736b7e152a59a6dbf6b',
        36932,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '32fe4693ec089f881e4c24bd6833fb5c25e29b999d10b7e911afe11107c905ed',
        36920,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a4c53fabf7a0ee19b4e193388620d19d06176941677fe918709fc91e036298bb',
        36944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4e6816dfeb4c37034b09c1fc84507ff6f2b54e230301aadfb2c7d989f07abc26',
        37048,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '329f95632fc3c05a88edf868461faa5affc69f4ade9dae86e1a13a8e9b24615b',
        38768,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0fc96d370deff554d847f2659c345add58ee4af15c358092a4aa356bebe57f07',
        38648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3b9c91c207a56dff2f6f40d8616e6967ad2cd05f754d6c19271adaabb003ab1b',
        38728,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '593bf7abbe1fb04ed741ea754ca35c2696df24b12d26641f1f653de14d4aa4bf',
        38756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '70922a2bdc4c265612d255f05c2ee00a8ae4d44b1ecb6a2d1b1b292f23ed1eb4',
        38816,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mohave',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mohave font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mohave
  static TextTheme mohaveTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mohave(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.mohave(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mohave(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.mohave(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.mohave(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.mohave(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mohave(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mohave(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mohave(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mohave(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mohave(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mohave(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mohave(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mohave(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mohave(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Molengo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Molengo
  static TextStyle molengo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '944e1051ca81381376eb8e67e8ebe10e8ea1fd3fe9f1c032c0dddcc12a403ea8',
        32528,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Molengo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Molengo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Molengo
  static TextTheme molengoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.molengo(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.molengo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.molengo(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.molengo(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.molengo(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.molengo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.molengo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.molengo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.molengo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.molengo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.molengo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.molengo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.molengo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.molengo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.molengo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Molle font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Molle
  static TextStyle molle({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '68340bc72e66403322824f55e34dab23abc770f835ab6f2065eb04adaab1c671',
        33600,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Molle',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Molle font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Molle
  static TextTheme molleTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.molle(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.molle(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.molle(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.molle(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.molle(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.molle(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.molle(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.molle(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.molle(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.molle(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.molle(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.molle(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.molle(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.molle(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.molle(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Monda font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Monda
  static TextStyle monda({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fe05c5b3ab9c76bec018d18bc3c6c475a2a2dadebd2258f9611718e3c3fa2a7d',
        87412,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '57989ae9eeb0094c3fc9c4d326db303a56bf1003eb828a38d6812fc5c17653b8',
        87368,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Monda',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Monda font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Monda
  static TextTheme mondaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.monda(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.monda(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.monda(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.monda(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.monda(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.monda(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.monda(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.monda(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.monda(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.monda(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.monda(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.monda(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.monda(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.monda(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.monda(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Monofett font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Monofett
  static TextStyle monofett({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd058e27048b901b185b6d024794e6695f6b89bb840d1cb81a1b35ad3f469a4f1',
        43172,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Monofett',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Monofett font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Monofett
  static TextTheme monofettTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.monofett(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.monofett(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.monofett(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.monofett(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.monofett(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.monofett(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.monofett(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.monofett(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.monofett(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.monofett(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.monofett(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.monofett(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.monofett(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.monofett(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.monofett(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Monoton font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Monoton
  static TextStyle monoton({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c74d5fd8043fed2afabd306f3e56598ac3c554a4d4b01848ba82d0236c4767af',
        49736,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Monoton',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Monoton font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Monoton
  static TextTheme monotonTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.monoton(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.monoton(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.monoton(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.monoton(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.monoton(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.monoton(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.monoton(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.monoton(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.monoton(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.monoton(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.monoton(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.monoton(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.monoton(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.monoton(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.monoton(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Monsieur La Doulaise font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Monsieur+La+Doulaise
  static TextStyle monsieurLaDoulaise({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd93913127f449891ea28354153dd4f9822e5eac88838c6efef5cdc98a4352395',
        52308,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MonsieurLaDoulaise',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Monsieur La Doulaise font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Monsieur+La+Doulaise
  static TextTheme monsieurLaDoulaiseTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.monsieurLaDoulaise(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.monsieurLaDoulaise(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.monsieurLaDoulaise(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.monsieurLaDoulaise(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.monsieurLaDoulaise(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.monsieurLaDoulaise(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.monsieurLaDoulaise(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.monsieurLaDoulaise(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.monsieurLaDoulaise(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.monsieurLaDoulaise(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.monsieurLaDoulaise(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.monsieurLaDoulaise(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.monsieurLaDoulaise(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.monsieurLaDoulaise(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.monsieurLaDoulaise(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Montaga font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Montaga
  static TextStyle montaga({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4805f79b3926b5f56e9bf99a0b83f937b3f44b850e82acbc9dd40d73ae5f49bf',
        31744,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Montaga',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Montaga font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Montaga
  static TextTheme montagaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.montaga(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.montaga(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.montaga(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.montaga(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.montaga(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.montaga(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.montaga(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.montaga(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.montaga(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.montaga(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.montaga(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.montaga(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.montaga(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.montaga(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.montaga(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Montagu Slab font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Montagu+Slab
  static TextStyle montaguSlab({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a73b62cc0a3dba78f397c53eaaaf8b57c2746ce8475e749c6749c9a38a75b137',
        132460,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '556744f8aef8095bd50932cc30a7bbfb3cf655bf1ebbd5723c2a86ed69a79fea',
        133188,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7a3b2617a7e7ff4269ee114e2ab10bc7ecd632173cc95613755c5da53030ae23',
        133336,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '375814086aa330e311dd37513909a39dcdcd03a116bc24c3b1b769b6b1f75cd7',
        133340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4ee1d346a2418f8f2129c44c77f1900bea22b94cc495008bc14bce6aeb9baa3c',
        133240,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e5d6edf403eb99e53f96e5704df5a973a571521835290f35361232a26d8da69a',
        133312,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '879411eb6c1e32e77d3f2e09eed6a5e9bf76acb8813c3d14876e8364c9e4d54f',
        133284,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MontaguSlab',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Montagu Slab font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Montagu+Slab
  static TextTheme montaguSlabTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.montaguSlab(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.montaguSlab(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.montaguSlab(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.montaguSlab(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.montaguSlab(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.montaguSlab(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.montaguSlab(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.montaguSlab(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.montaguSlab(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.montaguSlab(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.montaguSlab(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.montaguSlab(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.montaguSlab(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.montaguSlab(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.montaguSlab(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the MonteCarlo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/MonteCarlo
  static TextStyle monteCarlo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '401369aabb4c1dc598bda326aa11438074d4494665c3f2e2977c723588222aff',
        270604,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MonteCarlo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the MonteCarlo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/MonteCarlo
  static TextTheme monteCarloTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.monteCarlo(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.monteCarlo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.monteCarlo(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.monteCarlo(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.monteCarlo(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.monteCarlo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.monteCarlo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.monteCarlo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.monteCarlo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.monteCarlo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.monteCarlo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.monteCarlo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.monteCarlo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.monteCarlo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.monteCarlo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Montez font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Montez
  static TextStyle montez({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1ef3aab9179b9eecc4ae0d5f38cbd96ccdcab954723e065a122fc0d9f055edb3',
        60796,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Montez',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Montez font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Montez
  static TextTheme montezTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.montez(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.montez(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.montez(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.montez(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.montez(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.montez(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.montez(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.montez(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.montez(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.montez(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.montez(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.montez(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.montez(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.montez(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.montez(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Montserrat font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Montserrat
  static TextStyle montserrat({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7f2f8054b39ce34eacee995c711cf2a6d868db21ed64b00b8b170e6ba46de094',
        109348,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c387e57886bb8079abcfb9af4a1222d255842437ff2492e9f17ef3060aec8266',
        109612,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f2da1f24cd3300139663bd8b828809c25700943a88fa1330c2ec60b93d13d32a',
        109752,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd42a8d7a6620300fce90875721b9bbdd1a2ef59505c72eca9d53334f3dd09f3e',
        109684,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f894170668ecb484d96897f2cd4a60d34d0e66b5237461b3cc454557dcc23c64',
        109760,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8e6054fb3d10f2d6b06d5dbe122f21731b6656b66991d3dea8ddbfe9ed25fcd6',
        109884,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b159a633bed62311b1ce6dcc2d3b65307f15a6a3d402d3bbcf330fcd463ec447',
        109756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6e7536831a6c96b54b92b67ad360dadbf5dc556632cb580852018b0e518214ea',
        109808,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '89ac7766f5214f3f2b8898f11601e10f5d36c2324c71c824a58a056698473b3f',
        109616,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '171e42b06d74b2e746dc2a48fb392ba2c8b215461c959fac6a96bd4fadb0462a',
        110148,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4cc1fd31b7b3a7ddf994bd4dded991be752daf35f88350436ee69b303d9d6efd',
        110508,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5c0e7496216499b4bb04161962d5a089ba72eca19522ffd53a687079d7ea7f47',
        110524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7a5b43f33169ff28bb25e516461884612d44b7e6cdcc0f4f31f75aef9079c87b',
        110464,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0998892d0921e4bb8a93ab87d290c0faf88e65d74e2ee355b9d0d7f54cea8c17',
        110584,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '529ad5c20c31b11d5cdad302424c1d2970d718f5442d219aed5fc1467a70d75e',
        110672,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a73851499151b53eecf9b115fa820230de1ef9fe6f779171c121267d29781d85',
        110604,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f298f069ad79c3982bd0fd7615cc12cbac56d2e3924052f210c3304500443db4',
        110580,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a000e7e6460dd3e9bb781507139706a31703b1023f2498dae37e9090db379687',
        110464,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Montserrat',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Montserrat font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Montserrat
  static TextTheme montserratTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.montserrat(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.montserrat(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.montserrat(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.montserrat(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.montserrat(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.montserrat(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.montserrat(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.montserrat(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.montserrat(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.montserrat(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.montserrat(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.montserrat(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.montserrat(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.montserrat(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.montserrat(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Montserrat Alternates font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Montserrat+Alternates
  static TextStyle montserratAlternates({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4d7a5df2f9a2cd1f31e412e5ce15022025bc9554edd38d598c80922739d83c28',
        117000,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a6f86268c0464a107b9bdcaa373889d7d241102993fd3b8daf1189920b7445b0',
        118780,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '915c276f838dff1c7a10b2466686586f6fc6ab606f4d50e65a5d140a1eb2d188',
        118480,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cc7a9d8ca5a1f7385088f3465ed82ea6e7a5deee6b456ee6e70a063bead570bf',
        120212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '134d8da4906a6638829a22a421d9d7a4698e14cfadf42ae695d6a84e91cea7fd',
        118364,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0fbed38ef00c725f05e1db3a52afd3fe4ded80e5b8d3c2543aa36609fb404666',
        120188,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0191e70fccf382d5f2baae22fac7516a4addedd92f1badea57ac43a6e549053c',
        118320,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '99f2905b3610f3be886719d9528a6afa0becde610933e6a2e79eff60144d61eb',
        119984,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '922b398949897f1364e4d3996e400387febd63dd3c5311ab4b30c70569b45a1a',
        118064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '26447bb414605a3e7be79f9df697ef4f656eeb199dc2e5be581ca4aef5f5292f',
        119800,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c3861279f8ac6ccf52e5874c97c35d6dfc55221e7f0d1b4dd269637b63645f38',
        117640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8e69508eeab8d357ae04515ca19a0731fdcaf4ee5525e8779079f23b20b06948',
        119476,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a268672df8af1cf4762f05c4f294af1a1b41341ba4bb979e031b6d57ca59e64d',
        117292,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5c9e7c31631e7f5295b5ac166a81a2e0eb6fbf217725c916a98ff925af433766',
        119176,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9d14c3f1bd4fb94a986cbd90280d1f02dea18244e24a6dfeba17309ce3861a4c',
        116976,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '81957ea032fbd2241c5b9bbce9b88ff101d09556a3878e26ce17f327ec986348',
        118788,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3f6dcec9e7992a2029a6a8a3f9bcfb24fc0e66e1db34ebfc77058c6b00f53df8',
        114528,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '931456a594815d5e2b1c4b00561970721fbcf9f272d54651e57f35cd3403549f',
        116576,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MontserratAlternates',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Montserrat Alternates font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Montserrat+Alternates
  static TextTheme montserratAlternatesTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.montserratAlternates(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.montserratAlternates(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.montserratAlternates(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.montserratAlternates(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.montserratAlternates(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.montserratAlternates(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.montserratAlternates(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.montserratAlternates(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.montserratAlternates(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.montserratAlternates(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.montserratAlternates(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.montserratAlternates(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.montserratAlternates(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.montserratAlternates(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.montserratAlternates(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Montserrat Subrayada font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Montserrat+Subrayada
  static TextStyle montserratSubrayada({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9d6dc739d675fae5a40888864f693fb3e2808151e81c5f020b75de09bc40f5ff',
        22512,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '27764d288b2b7f92c2a414f3947538ba18a45d90cb41fc8c69cdcb170613bbbd',
        22548,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MontserratSubrayada',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Montserrat Subrayada font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Montserrat+Subrayada
  static TextTheme montserratSubrayadaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.montserratSubrayada(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.montserratSubrayada(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.montserratSubrayada(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.montserratSubrayada(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.montserratSubrayada(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.montserratSubrayada(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.montserratSubrayada(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.montserratSubrayada(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.montserratSubrayada(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.montserratSubrayada(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.montserratSubrayada(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.montserratSubrayada(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.montserratSubrayada(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.montserratSubrayada(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.montserratSubrayada(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Moo Lah Lah font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Moo+Lah+Lah
  static TextStyle mooLahLah({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4f7cff5ac52fe11e63c90288d38f2eae62526e1578f0d048847db11f70a45934',
        178720,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MooLahLah',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Moo Lah Lah font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Moo+Lah+Lah
  static TextTheme mooLahLahTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mooLahLah(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.mooLahLah(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mooLahLah(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.mooLahLah(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.mooLahLah(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.mooLahLah(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mooLahLah(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mooLahLah(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mooLahLah(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mooLahLah(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mooLahLah(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mooLahLah(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mooLahLah(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mooLahLah(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mooLahLah(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Moon Dance font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Moon+Dance
  static TextStyle moonDance({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8782cda801d39e0cbc9be2cd3e07615d69a99583c7c7cafb4bdfa3c35bb9bf7a',
        128564,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MoonDance',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Moon Dance font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Moon+Dance
  static TextTheme moonDanceTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.moonDance(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.moonDance(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.moonDance(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.moonDance(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.moonDance(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.moonDance(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.moonDance(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.moonDance(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.moonDance(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.moonDance(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.moonDance(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.moonDance(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.moonDance(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.moonDance(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.moonDance(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Moul font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Moul
  static TextStyle moul({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9f54d786e1e1baccc427038302748adb49b11759e104a08285a0c3b3aa86b42e',
        84212,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Moul',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Moul font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Moul
  static TextTheme moulTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.moul(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.moul(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.moul(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.moul(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.moul(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.moul(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.moul(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.moul(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.moul(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.moul(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.moul(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.moul(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.moul(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.moul(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.moul(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Moulpali font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Moulpali
  static TextStyle moulpali({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c62f55d11a003ca650b9b2e98eddce1fd55a535dd90aea243d21e85c1a0043d2',
        66348,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Moulpali',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Moulpali font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Moulpali
  static TextTheme moulpaliTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.moulpali(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.moulpali(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.moulpali(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.moulpali(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.moulpali(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.moulpali(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.moulpali(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.moulpali(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.moulpali(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.moulpali(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.moulpali(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.moulpali(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.moulpali(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.moulpali(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.moulpali(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mountains of Christmas font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mountains+of+Christmas
  static TextStyle mountainsOfChristmas({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '441772ebf48a49ef588e257fd0fcdea2238f013f190344ca084d6951198fc5ab',
        120212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f9954663cef37ccac2c95f1f7d3599bce3c606f61c36d5ae887f819e545c85f4',
        121008,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MountainsofChristmas',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mountains of Christmas font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mountains+of+Christmas
  static TextTheme mountainsOfChristmasTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.mountainsOfChristmas(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.mountainsOfChristmas(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.mountainsOfChristmas(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.mountainsOfChristmas(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.mountainsOfChristmas(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.mountainsOfChristmas(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.mountainsOfChristmas(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.mountainsOfChristmas(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.mountainsOfChristmas(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.mountainsOfChristmas(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.mountainsOfChristmas(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.mountainsOfChristmas(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.mountainsOfChristmas(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.mountainsOfChristmas(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.mountainsOfChristmas(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mouse Memoirs font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mouse+Memoirs
  static TextStyle mouseMemoirs({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '410c464b22cb468c6dc7dbb09824f4ca74dacf62fbc4e5334278fbe5831c351d',
        53368,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MouseMemoirs',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mouse Memoirs font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mouse+Memoirs
  static TextTheme mouseMemoirsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mouseMemoirs(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.mouseMemoirs(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mouseMemoirs(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.mouseMemoirs(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.mouseMemoirs(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.mouseMemoirs(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mouseMemoirs(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mouseMemoirs(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mouseMemoirs(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mouseMemoirs(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mouseMemoirs(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mouseMemoirs(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mouseMemoirs(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mouseMemoirs(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mouseMemoirs(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mr Bedfort font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mr+Bedfort
  static TextStyle mrBedfort({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '941d5fbc7be444275ec42fd3da1a7d15a3277289126b8c52ec391e25fb7a38e3',
        35540,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MrBedfort',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mr Bedfort font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mr+Bedfort
  static TextTheme mrBedfortTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mrBedfort(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.mrBedfort(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mrBedfort(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.mrBedfort(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.mrBedfort(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.mrBedfort(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mrBedfort(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mrBedfort(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mrBedfort(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mrBedfort(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mrBedfort(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mrBedfort(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mrBedfort(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mrBedfort(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mrBedfort(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mr Dafoe font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mr+Dafoe
  static TextStyle mrDafoe({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7dc607a2d1d302d517fdfe880ffbcafee12d51324aa21d588170ec9d975cc1a8',
        46076,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MrDafoe',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mr Dafoe font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mr+Dafoe
  static TextTheme mrDafoeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mrDafoe(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.mrDafoe(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mrDafoe(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.mrDafoe(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.mrDafoe(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.mrDafoe(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mrDafoe(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mrDafoe(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mrDafoe(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mrDafoe(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mrDafoe(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mrDafoe(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mrDafoe(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mrDafoe(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mrDafoe(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mr De Haviland font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mr+De+Haviland
  static TextStyle mrDeHaviland({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd1baafc9c65c5e9ff4da63ad3257a06d8579fba605b0d6bf7e541d59c1f7f5ab',
        42704,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MrDeHaviland',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mr De Haviland font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mr+De+Haviland
  static TextTheme mrDeHavilandTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mrDeHaviland(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.mrDeHaviland(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mrDeHaviland(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.mrDeHaviland(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.mrDeHaviland(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.mrDeHaviland(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mrDeHaviland(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mrDeHaviland(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mrDeHaviland(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mrDeHaviland(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mrDeHaviland(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mrDeHaviland(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mrDeHaviland(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mrDeHaviland(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mrDeHaviland(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mrs Saint Delafield font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mrs+Saint+Delafield
  static TextStyle mrsSaintDelafield({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7c9be601ffc496d996d3497e3aaaf914f4de814322a0bc88ea62b391d59ee3d4',
        47368,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MrsSaintDelafield',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mrs Saint Delafield font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mrs+Saint+Delafield
  static TextTheme mrsSaintDelafieldTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.mrsSaintDelafield(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.mrsSaintDelafield(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.mrsSaintDelafield(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.mrsSaintDelafield(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.mrsSaintDelafield(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.mrsSaintDelafield(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.mrsSaintDelafield(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.mrsSaintDelafield(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.mrsSaintDelafield(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mrsSaintDelafield(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.mrsSaintDelafield(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mrsSaintDelafield(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.mrsSaintDelafield(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.mrsSaintDelafield(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.mrsSaintDelafield(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mrs Sheppards font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mrs+Sheppards
  static TextStyle mrsSheppards({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4c2946cff5975b064a7a0f411e188ec5e92466e17aa4e58b555e72cc8dd5ab21',
        40396,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MrsSheppards',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mrs Sheppards font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mrs+Sheppards
  static TextTheme mrsSheppardsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mrsSheppards(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.mrsSheppards(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mrsSheppards(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.mrsSheppards(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.mrsSheppards(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.mrsSheppards(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mrsSheppards(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mrsSheppards(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mrsSheppards(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mrsSheppards(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mrsSheppards(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mrsSheppards(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mrsSheppards(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mrsSheppards(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mrsSheppards(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ms Madi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ms+Madi
  static TextStyle msMadi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c15d79c8f570fc41ba1007b1976bde2828e53614e3ed642b0af06c4eb070a893',
        95452,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MsMadi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ms Madi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ms+Madi
  static TextTheme msMadiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.msMadi(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.msMadi(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.msMadi(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.msMadi(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.msMadi(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.msMadi(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.msMadi(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.msMadi(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.msMadi(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.msMadi(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.msMadi(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.msMadi(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.msMadi(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.msMadi(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.msMadi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mukta font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mukta
  static TextStyle mukta({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '689ed83e8b4894f9069d2853baac87ae4735976b5a7e8bd0e78118a906cb3131',
        292048,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '79cf11b92bc111c68976e513ae8f1507445985a5376d7f3011b5b941c039b679',
        288812,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dcbbb86472f2ca059cec1c441ea46fdd4d1e7a8167956cf98f4fe261021fc74a',
        292960,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2951d04b7aa5e776f37106d144d5fefb50445776e6ccc7ac624e3452e1ce5c5c',
        286752,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '25ae58ed46d40da267073512294e4a09d35fb3db0e3697a116f295f0fe4af8aa',
        282580,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '981ab5d0ad952878450477b867e2a05823b15725afc6c0558b561b7b579e2243',
        284164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3e67c0697120dc90c20c81f0ecb82e09dc9a216fd8a57587aed16571fbc71c8a',
        283888,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mukta',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mukta font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mukta
  static TextTheme muktaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mukta(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.mukta(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mukta(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.mukta(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.mukta(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.mukta(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mukta(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mukta(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mukta(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mukta(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mukta(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mukta(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mukta(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mukta(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mukta(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mukta Mahee font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mukta+Mahee
  static TextStyle muktaMahee({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f2791187e05e318398af61e232b6df043996565aea0deae5e82aaed81262f60a',
        118688,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dd10477a2c19fcd65d9a11ec160f99b7d1fa67dded579f1c65a8a6ff135c52bd',
        117752,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e582c07788f9c8a965d9633c3af6c44900b76e341f1da0021e729f6fb535a8ad',
        120004,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '798b55ab584e2440da5fc3bc0ca5ce95b152383c17bc4de6fc9251d7a56a136e',
        116444,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8853dcb5cc9d2a2bfca12c175f6e30f9940d1a7099f43ece5fd7ed5ef320500e',
        116176,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '38d299d4354f22d6c5b058cc5ebc6b3553501c5062eeb112c7a56200864457bd',
        116516,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '455f62dba08ef482189298be69c7f2e4e66fdb6a14dcc4e4f497c69e8a7b716b',
        116288,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MuktaMahee',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mukta Mahee font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mukta+Mahee
  static TextTheme muktaMaheeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.muktaMahee(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.muktaMahee(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.muktaMahee(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.muktaMahee(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.muktaMahee(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.muktaMahee(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.muktaMahee(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.muktaMahee(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.muktaMahee(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.muktaMahee(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.muktaMahee(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.muktaMahee(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.muktaMahee(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.muktaMahee(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.muktaMahee(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mukta Malar font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mukta+Malar
  static TextStyle muktaMalar({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f8d6692feb9aaced43e8e1e84f7bb519244a3a8df677498efebec0f317a67726',
        135256,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ed32ffc4383d437cacae095cf7caa5a2dcb165000962c61983da0b4e787e5ade',
        134292,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a56b4621b82c1482e38a72403cb4399545aa59653042b01e34df08a380542e97',
        136540,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1b776252fc2124e27580cbe3afd4c3d3376a7e0f21dbc152a3a12f0cc15fc95a',
        132828,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9bcb8006796590dafafde68ab3a6a81532ae2c439bcbc27b871a1da4050ec71e',
        132844,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '16ebf60380b9fec07b7898fff10b017d3ef53dd8a9f314ca1e9f6a184618d1e0',
        133168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cbb2945a1ec58b2c09a366d43855970662bf2e029171e8a36842e42aef2838e6',
        133520,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MuktaMalar',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mukta Malar font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mukta+Malar
  static TextTheme muktaMalarTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.muktaMalar(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.muktaMalar(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.muktaMalar(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.muktaMalar(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.muktaMalar(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.muktaMalar(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.muktaMalar(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.muktaMalar(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.muktaMalar(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.muktaMalar(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.muktaMalar(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.muktaMalar(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.muktaMalar(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.muktaMalar(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.muktaMalar(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mukta Vaani font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mukta+Vaani
  static TextStyle muktaVaani({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0eb1523a117624d4dd42a592f2233691bcbf88ed94ff3cddde0e97981dc0d907',
        319568,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cd7363eca7da62f426163fe8a1ee26b859156b50dc38e8bdbc6824155fede72c',
        323308,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '135cd622088ee6ab3d9c86da49aa70bc01957c180e491db27780a3de335a5bb7',
        316912,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b94ac054cddf4fbf34b2f6f1bb58cd17754fcc17236884b11a29358ea1c11446',
        322084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5a9961793b69f1d949b4d2afb84a6c85e9c862af8a6eaff6ec5edcd60d126d9e',
        320284,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6767c2e83821b1add71c9761808480c87bd0816275d156ffeb23f930626fdb3e',
        320380,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4232bbe2ce6dc4e4dc08e433e47b0fe6ab5eea9f6772d573619375c79f32da41',
        317952,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MuktaVaani',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mukta Vaani font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mukta+Vaani
  static TextTheme muktaVaaniTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.muktaVaani(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.muktaVaani(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.muktaVaani(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.muktaVaani(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.muktaVaani(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.muktaVaani(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.muktaVaani(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.muktaVaani(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.muktaVaani(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.muktaVaani(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.muktaVaani(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.muktaVaani(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.muktaVaani(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.muktaVaani(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.muktaVaani(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mulish font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mulish
  static TextStyle mulish({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '44eb4d0466862801a21b5aca0dafdc392984b502d22a1669054ae1181ec7d2e3',
        103212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2ef153c520961facc82d7883e29c160cc0f315e6680040a7477ec2b66146ab7b',
        103392,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '43f3dea5d5759e3fc66fff53cede51b0d239fe7e0ce782620f0cf35b8021cdfa',
        103340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f80657fdc1d7e2327ca1efd5d33dae56c5360787d35d90507f639a4e8996071e',
        103392,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6505f7f93d8822cbe29b396d004f686af4352742e3192a1af1621e7c41f2576a',
        103336,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a0a853a5ecb18a92a26e14a0b94d06dc1e3839bd2b36fb85aaec682d2c7861bf',
        103380,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0dc16f3b5e8cb8c203737172bfdf13828b1d6a503c29fc62ef0885cc15e3a15d',
        103368,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '36d428cd9363476483a8a4d10289e77954fdfe1d178ca00758cfc234d464fb89',
        103400,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '77bbe89e1cc4b17dd3aabe98eed507e759b8385c48f3ec70a7e4ac80a1f0bb15',
        106456,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8f432f2f66bd79eb682f26b1a5a0e44713d3c3975d626d225fe56a708f2dfe48',
        106628,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd9c3e7c210faaf50943d9a330362a767602d687c7d34e169a6224c39d59fd106',
        106480,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '53354a5c5cd5357eef06dd8f5ddb78c83fc8e4742854aa56ddb914dc61e19248',
        106604,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '88196a06374a30602c18aaff2964f6fe42e35e6717b625e0f493b9992eae6816',
        106572,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '127040422d0cd79ab7b9ee4446ff703cb6f67e68d9c457f8f46e34bee1f18166',
        106696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f36c352466dca8834367d7f8522b8700b007da07e406cae92a0248e0356d4613',
        106716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4e381df4bf20312cb7fe001dc8d87c8c0067f7b371d286239cf787396517e66e',
        106644,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mulish',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mulish font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mulish
  static TextTheme mulishTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mulish(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.mulish(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mulish(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.mulish(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.mulish(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.mulish(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mulish(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mulish(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mulish(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mulish(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mulish(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mulish(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mulish(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mulish(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mulish(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Murecho font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Murecho
  static TextStyle murecho({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bf78ca8f10a708a62783fe7cb1f4414b8c3192c258e049fff6db8fb9be00fab0',
        884276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'de06957edba58434f8808541a2c8dc6a54145b5b989fddfbd8f7efc130d7c4ff',
        885004,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2b5b476a721f52561d07a8f5f49f6f455e0cc7683f51ff47d3ba0cbe11a2b89b',
        884700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '43c9554a53c1fe2d57af41ad3ddc2bd4165c962615d22a6f5e1eff6a22626310',
        884376,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6ce6bba3511442fbdd3a289ea22014dfdd04223ff4ce50b669975a6b7e5c6eca',
        883636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'af5dbfc3af43c76517f027a3d1b14fec903a982c7f7724f217dc6d717d3c5b0d',
        883336,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '74ac1ac7e8798892542536bad103f80a5862614fffeecb2f9ba4a6f46cec7356',
        882856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'db129b5fb292e7bfb9f1a09cb736c300e3d4ca51a5f571037f29c512af02f8fd',
        882560,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bcdf8f7f547078e8fe735ba3d279073d225d84973d16a02dc4991dbecfafe609',
        882128,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Murecho',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Murecho font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Murecho
  static TextTheme murechoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.murecho(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.murecho(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.murecho(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.murecho(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.murecho(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.murecho(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.murecho(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.murecho(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.murecho(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.murecho(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.murecho(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.murecho(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.murecho(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.murecho(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.murecho(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the MuseoModerno font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/MuseoModerno
  static TextStyle museoModerno({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bfc26444870dc50455d55bf0bc035c901f71823a0e13b223e68f56c20fdd73dd',
        54984,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7783795416198cd6b061a1cd6006cf487ff1ca76e6cb1d29854ec2747aa89467',
        54992,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bbc9175af1b28c60834c144251539103c82e692dcaab7a96169c5ddea9bfc5d8',
        54948,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9f7bb754782416f17d94cbf4cc0fb9f50be8fa23a5a0521b80cae62940c04e09',
        54904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8fcba001ba46f6529c38d41bc82bfc0e18d15b3f0cbdc9a3c8e7aabdfce7f8af',
        54892,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '95eef099c2027ba04002593e404cf48b6ed20e171538f4862dbff816234bd870',
        54904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '20543c9c60c22c07f781c46e66eb9448771213b4d1df14efb3b5462d8851a008',
        54872,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a102367a7bcc15711a59e6d4d9b5c3964e164723e87e50aae0d874209f3986c7',
        54900,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5f4c190e64197310794e675e0fa155b77f971c7f9169c9079fa9c94b36184767',
        54844,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '15a3f5b2c6c3583ae335511defb1f557c8c5a9f33d095f86cd6f9dc19464f242',
        64524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a925472a113107c4ba9a80b88e8341dbf29df364159180beb54799b0bcc0aee3',
        64728,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c0d18f8f5f718e99ac8c3d6e0db33d768aa14befb2b9afe46d683d864d1dbaa3',
        64744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '257f51c72c434ea2e81d403f22186107cf7b3b8ebad1e056a1fbcb3f2fe16686',
        64588,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4ec5584506c37ada7c6fc6ea2f1bbffd715307cbe40feccc9eca0dcabc16c340',
        64732,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e8fc896339f99468f07b841c3d8c9ac6580ad63aa7cedc21b52d066c34a17542',
        64712,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '98f7a36b06e35519919b5b81f1e70f2e9bb517c2bb2c6d99a3123b4a3ef4895b',
        64700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '12932c7849514cc4f9b6c95005335bddb30a7f1b0244eca76ffab9fe38ab20ce',
        64700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f456b3d6b9f833df1210385a04bb78572af3f2a6b85ded07d30eb1be09c5c6ec',
        64596,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MuseoModerno',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the MuseoModerno font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/MuseoModerno
  static TextTheme museoModernoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.museoModerno(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.museoModerno(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.museoModerno(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.museoModerno(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.museoModerno(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.museoModerno(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.museoModerno(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.museoModerno(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.museoModerno(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.museoModerno(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.museoModerno(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.museoModerno(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.museoModerno(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.museoModerno(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.museoModerno(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the My Soul font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/My+Soul
  static TextStyle mySoul({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c6f6c5890808796329739d5922f54659c6b0062445139d637acfad75d20f4785',
        100612,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MySoul',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the My Soul font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/My+Soul
  static TextTheme mySoulTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mySoul(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.mySoul(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mySoul(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.mySoul(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.mySoul(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.mySoul(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mySoul(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mySoul(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mySoul(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mySoul(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mySoul(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mySoul(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mySoul(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mySoul(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mySoul(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mynerve font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mynerve
  static TextStyle mynerve({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8d3ffed3e31bde32bc03248e7d9c0b9fa49b7955c17aba2818a7ba253591503e',
        216816,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mynerve',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mynerve font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mynerve
  static TextTheme mynerveTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mynerve(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.mynerve(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mynerve(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.mynerve(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.mynerve(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.mynerve(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mynerve(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mynerve(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mynerve(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mynerve(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mynerve(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mynerve(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mynerve(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mynerve(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mynerve(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mystery Quest font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mystery+Quest
  static TextStyle mysteryQuest({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'edb020d290543d608a6f8c488e694b9b5ada227c5c78b7036676f7645d6687b9',
        39812,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MysteryQuest',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mystery Quest font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mystery+Quest
  static TextTheme mysteryQuestTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mysteryQuest(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.mysteryQuest(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mysteryQuest(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.mysteryQuest(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.mysteryQuest(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.mysteryQuest(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mysteryQuest(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mysteryQuest(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mysteryQuest(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mysteryQuest(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mysteryQuest(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mysteryQuest(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mysteryQuest(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mysteryQuest(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mysteryQuest(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the NTR font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/NTR
  static TextStyle ntr({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '75efad0d100ac06d38185bcc4a942c9b9f5dd219227e3486c0967a67eec5bdf3',
        195260,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NTR',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the NTR font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/NTR
  static TextTheme ntrTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ntr(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.ntr(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ntr(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.ntr(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.ntr(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.ntr(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ntr(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ntr(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ntr(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ntr(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ntr(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ntr(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ntr(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ntr(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ntr(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nabla font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nabla
  static TextStyle nabla({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f49b5299d84dd6c2191a00fda701356a4bd0b15e01390badbf64bf8b1a271d0d',
        1441836,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Nabla',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nabla font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nabla
  static TextTheme nablaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.nabla(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.nabla(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.nabla(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.nabla(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.nabla(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.nabla(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.nabla(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.nabla(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.nabla(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.nabla(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.nabla(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.nabla(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.nabla(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.nabla(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.nabla(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nanum Brush Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nanum+Brush+Script
  static TextStyle nanumBrushScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8203290cda33de2f64480b695006a1132a04d55dd94cf421e0fc4e8b45dcdfd4',
        2740064,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NanumBrushScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nanum Brush Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nanum+Brush+Script
  static TextTheme nanumBrushScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.nanumBrushScript(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.nanumBrushScript(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.nanumBrushScript(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.nanumBrushScript(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.nanumBrushScript(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.nanumBrushScript(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.nanumBrushScript(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.nanumBrushScript(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.nanumBrushScript(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.nanumBrushScript(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.nanumBrushScript(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.nanumBrushScript(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.nanumBrushScript(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.nanumBrushScript(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.nanumBrushScript(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nanum Gothic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nanum+Gothic
  static TextStyle nanumGothic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '384554f92bd4d754bd8750f8885c456c5264d6814731376178dd0727fcf2d98c',
        2879864,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '66257cb7dbb7d38dd5d9b0c7a1f9df7ae828f4a2a79a37070603405220e9f32b',
        2891140,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '560717e4c667f1bdf58f6426ef133e74637eb3c1868feff814bb8a5b707e6880',
        2951544,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NanumGothic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nanum Gothic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nanum+Gothic
  static TextTheme nanumGothicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.nanumGothic(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.nanumGothic(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.nanumGothic(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.nanumGothic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.nanumGothic(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.nanumGothic(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.nanumGothic(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.nanumGothic(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.nanumGothic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.nanumGothic(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.nanumGothic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.nanumGothic(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.nanumGothic(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.nanumGothic(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.nanumGothic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nanum Gothic Coding font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nanum+Gothic+Coding
  static TextStyle nanumGothicCoding({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '138988e0fd6fd8f224071be2ae8819dccbac2c5cc864a10738e3729add92bff7',
        1432596,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e508c880cc5777002ada1fb069e7263c37351353018bd91b9159796f4b07ea61',
        1458728,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NanumGothicCoding',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nanum Gothic Coding font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nanum+Gothic+Coding
  static TextTheme nanumGothicCodingTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.nanumGothicCoding(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.nanumGothicCoding(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.nanumGothicCoding(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.nanumGothicCoding(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.nanumGothicCoding(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.nanumGothicCoding(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.nanumGothicCoding(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.nanumGothicCoding(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.nanumGothicCoding(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.nanumGothicCoding(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.nanumGothicCoding(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.nanumGothicCoding(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.nanumGothicCoding(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.nanumGothicCoding(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.nanumGothicCoding(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nanum Myeongjo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nanum+Myeongjo
  static TextStyle nanumMyeongjo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '49692dfdd96d14451d2d587fe44d08d2eb6a322bd051b968778e8e827294c377',
        2167668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f4bb4ddf8c1633217f5cf7548dd4488d0a3ebcd539ef562e2c61d1903282de9c',
        2241272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '74e88e02ceb7e7bd1bc2c12f2baa96b423bb98482abbc6185495d8ab6962a352',
        2293712,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NanumMyeongjo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nanum Myeongjo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nanum+Myeongjo
  static TextTheme nanumMyeongjoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.nanumMyeongjo(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.nanumMyeongjo(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.nanumMyeongjo(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.nanumMyeongjo(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.nanumMyeongjo(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.nanumMyeongjo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.nanumMyeongjo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.nanumMyeongjo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.nanumMyeongjo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.nanumMyeongjo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.nanumMyeongjo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.nanumMyeongjo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.nanumMyeongjo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.nanumMyeongjo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.nanumMyeongjo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nanum Pen Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nanum+Pen+Script
  static TextStyle nanumPenScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f149a311829ac3edfd81a802effced9cb8a9cad047ef1cc7d57a29ac7f7491a1',
        2533592,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NanumPenScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nanum Pen Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nanum+Pen+Script
  static TextTheme nanumPenScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.nanumPenScript(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.nanumPenScript(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.nanumPenScript(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.nanumPenScript(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.nanumPenScript(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.nanumPenScript(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.nanumPenScript(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.nanumPenScript(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.nanumPenScript(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.nanumPenScript(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.nanumPenScript(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.nanumPenScript(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.nanumPenScript(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.nanumPenScript(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.nanumPenScript(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Neonderthaw font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Neonderthaw
  static TextStyle neonderthaw({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f677c5d5a558cea02360fa74dfeb92f2deaf067d6c8f6e2fb2caf6a47a0708bf',
        168352,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Neonderthaw',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Neonderthaw font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Neonderthaw
  static TextTheme neonderthawTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.neonderthaw(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.neonderthaw(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.neonderthaw(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.neonderthaw(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.neonderthaw(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.neonderthaw(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.neonderthaw(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.neonderthaw(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.neonderthaw(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.neonderthaw(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.neonderthaw(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.neonderthaw(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.neonderthaw(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.neonderthaw(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.neonderthaw(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nerko One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nerko+One
  static TextStyle nerkoOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '28124cf49d918ba0b37dba5d27daa95014f3e3a7f4af51a61beeee9b07aa4c4d',
        102004,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NerkoOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nerko One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nerko+One
  static TextTheme nerkoOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.nerkoOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.nerkoOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.nerkoOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.nerkoOne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.nerkoOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.nerkoOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.nerkoOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.nerkoOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.nerkoOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.nerkoOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.nerkoOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.nerkoOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.nerkoOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.nerkoOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.nerkoOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Neucha font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Neucha
  static TextStyle neucha({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f56c99d50e2731deb4c26c6f90f6d491c3fb40e911aab1f378a75bc9776501f5',
        40164,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Neucha',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Neucha font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Neucha
  static TextTheme neuchaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.neucha(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.neucha(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.neucha(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.neucha(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.neucha(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.neucha(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.neucha(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.neucha(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.neucha(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.neucha(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.neucha(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.neucha(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.neucha(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.neucha(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.neucha(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Neuton font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Neuton
  static TextStyle neuton({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a29d7d27140101e9da3dce70f599abbf872a7678b3e2b8d588e1d3bacd1b8f02',
        22492,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c5a518fe82107d9e9901c9920122ae9acf8db74e699cdfe1f4d2769753e40261',
        22340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f54b99143cdfd789d9290e7eb62ddf5cd17390d1edc936ae2e1bd7d18053dbbb',
        27636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b3bfeda3ec8df8fef33282d97be8ddd500900b7d258b1a2491d27c7d3e61dce9',
        24156,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f54075f41105bd38419f3b80f91deb0a9a7a967b1280ca400b2a6a378fbe9fd3',
        23784,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8f21682f7a37f097629fcc5ee8d3e6a89a791522b14bb24d8f30a4aae2c156fa',
        23444,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Neuton',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Neuton font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Neuton
  static TextTheme neutonTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.neuton(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.neuton(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.neuton(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.neuton(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.neuton(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.neuton(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.neuton(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.neuton(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.neuton(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.neuton(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.neuton(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.neuton(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.neuton(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.neuton(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.neuton(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the New Rocker font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/New+Rocker
  static TextStyle newRocker({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '584fbb6ddc084a3cf8c7dde9a333e11adf3da865f332d48991655a950738f46e',
        121920,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NewRocker',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the New Rocker font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/New+Rocker
  static TextTheme newRockerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.newRocker(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.newRocker(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.newRocker(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.newRocker(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.newRocker(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.newRocker(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.newRocker(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.newRocker(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.newRocker(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.newRocker(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.newRocker(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.newRocker(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.newRocker(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.newRocker(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.newRocker(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the New Tegomin font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/New+Tegomin
  static TextStyle newTegomin({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4d635a4defed40130ae791c1a060aa0c612ead29d6d89e74dd96c7ddce590bc2',
        7447024,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NewTegomin',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the New Tegomin font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/New+Tegomin
  static TextTheme newTegominTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.newTegomin(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.newTegomin(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.newTegomin(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.newTegomin(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.newTegomin(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.newTegomin(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.newTegomin(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.newTegomin(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.newTegomin(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.newTegomin(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.newTegomin(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.newTegomin(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.newTegomin(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.newTegomin(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.newTegomin(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the News Cycle font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/News+Cycle
  static TextStyle newsCycle({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0089e0113f688ab959045468593016ffd93e6aef4eef731e0203c3c00087ab11',
        177388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '82fdd1f50941b8a37647ff9c7f26340c46e81869e1e4f2350ca963e99a1973d2',
        59488,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NewsCycle',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the News Cycle font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/News+Cycle
  static TextTheme newsCycleTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.newsCycle(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.newsCycle(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.newsCycle(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.newsCycle(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.newsCycle(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.newsCycle(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.newsCycle(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.newsCycle(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.newsCycle(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.newsCycle(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.newsCycle(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.newsCycle(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.newsCycle(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.newsCycle(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.newsCycle(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Newsreader font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Newsreader
  static TextStyle newsreader({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8010516b35deae6b38dd2e00465da5ef812d4e6ee1a57e4c8fe8ae632df4fc00',
        110640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c0b62a2a60d23804faeb08938fcdc32c502d59b5e7bc8dbecac809956d2920f6',
        110924,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bb1d20827484e0f138ad94da483464d6b174c38fe9c7e737d778d1a86bfd7068',
        110996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd95da69ed1c99245977ad62c3c5a51d058935f64e236f74817aa565164e56956',
        111536,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '65d3c1d0915b2ab3d14e625025001553a4e72db8f8373d5c8577c27c0483de86',
        111576,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9060d309c94b9a4e0dda8671e96e810dc8cb1437853694ff58409c3f291edaac',
        111492,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2f024c1fd12a938f0abe289a1fefd45403a68594a15bd247c027988a9147397c',
        111488,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5969620008a54d3eb6dc897be221e9f0c007c41979938397cdea2a215df2028f',
        121976,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4169ef9d78482376f62e46f6c7aa010603fc4800d9bfa6a747e239c566a7e8d7',
        122104,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a0bbdb1ea905c6c2998a81071d44568df6a40c810cf7a7a645d73c6b341fec61',
        121580,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f97cb18a0f2a25436ac6ddc801537a8babe4466fa5bda3a2aa85afdba8929ab0',
        121908,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'caecb02499dc36f7bff48a8bab0aafa82fbc5cefab9db625a320cc534f196bcf',
        122092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6c91edfbcc749f5e035065be9729aba165564f8e0eb8abfcdc220fe1064744db',
        122092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '58b9728cab89ad93c876dbda9f94e1564c89ed52f7b79664bf2d8e77f3c95a9d',
        121992,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Newsreader',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Newsreader font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Newsreader
  static TextTheme newsreaderTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.newsreader(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.newsreader(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.newsreader(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.newsreader(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.newsreader(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.newsreader(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.newsreader(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.newsreader(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.newsreader(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.newsreader(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.newsreader(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.newsreader(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.newsreader(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.newsreader(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.newsreader(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Niconne font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Niconne
  static TextStyle niconne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9e7ae6eb882a3a1b8f79978f6abdc7fd8efac27f8924182bd55cfd68365033e4',
        41456,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Niconne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Niconne font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Niconne
  static TextTheme niconneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.niconne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.niconne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.niconne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.niconne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.niconne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.niconne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.niconne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.niconne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.niconne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.niconne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.niconne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.niconne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.niconne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.niconne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.niconne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Niramit font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Niramit
  static TextStyle niramit({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ed63ac26196d5c264153fcc115294828419e899e5fcfc0614dfee3b63bb0ee69',
        89528,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a26007da3aa227e6ea58d3bdf7a396afb437888debe403de97af653b5a1a4679',
        92352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3134966cfc0cb894d6e7f1a12e1daf1827bd184a3f3f66859b5047c7c2cbddbe',
        89344,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e4f5b469110ed6775f9e44bd6c7cef029e0a1e2e5b312b80fc031c66e3c8cfe5',
        91988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a268e1da7107a4e0eef31f952b1aaf133e17adb5139156ec906a10e95b406c33',
        89224,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6b7236a14adbca28d36e947beac5acc3cd7371010bafb12e55202773367fb691',
        91860,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd31739ad592cfad2dee165e5fdd9bcbdd73f80eb0a445dc6a3c1d4e33dded9ab',
        89172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '66f87031bb39a217a51a60cbfb72b98f06c118434ed71ec8d812ed8d720efe92',
        91624,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '830dec96589fbb4b1cddbbcaf3b253fd9bd87d0d6698605766706c90846130c3',
        89112,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2deebb9c6f8b1bc453f199de39c0e207f9bc2d30e844c5dec5edb1215767f934',
        91760,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8b30ec8f79dd957f2f830869b8b0f0a6ca66569834b5750ec757ef82f4cbe9ad',
        89328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2a03dab539bdf1521767d51c32b68f396d2a5b5e845e2c2b7fb8deeb39c496cc',
        91772,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Niramit',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Niramit font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Niramit
  static TextTheme niramitTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.niramit(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.niramit(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.niramit(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.niramit(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.niramit(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.niramit(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.niramit(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.niramit(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.niramit(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.niramit(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.niramit(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.niramit(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.niramit(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.niramit(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.niramit(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nixie One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nixie+One
  static TextStyle nixieOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b46ee55f5dd908d16f21e63433c6d3553618c88c3797688d2a9558575973d66f',
        50900,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NixieOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nixie One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nixie+One
  static TextTheme nixieOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.nixieOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.nixieOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.nixieOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.nixieOne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.nixieOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.nixieOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.nixieOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.nixieOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.nixieOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.nixieOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.nixieOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.nixieOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.nixieOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.nixieOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.nixieOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nobile font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nobile
  static TextStyle nobile({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c2227947da6f488c1ef4fcabc8a556eb807d44b28b03fbdc42c4e87e19cda808',
        32420,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e8e5358281a233e3cf74c81c46a90b87a345818a99796b85d89d28c6ddb1ba1d',
        41368,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '756ae5cf536c15ca97917892086bf8ebe5051830712e0036ab6cf7b708366f6f',
        36196,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4bef821520c7f13d5112ecf986c0c33bf6f7829c90bae221c3631357cec726e7',
        41312,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '090770c00ff48f8a7240e284a62690a2995f884d2d0ef7d939753fa7919c5234',
        31652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '628371d0bf26e91d0d5872980907ce7b420a69c87049400ce4fc36eea55a0105',
        41448,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Nobile',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nobile font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nobile
  static TextTheme nobileTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.nobile(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.nobile(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.nobile(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.nobile(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.nobile(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.nobile(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.nobile(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.nobile(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.nobile(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.nobile(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.nobile(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.nobile(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.nobile(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.nobile(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.nobile(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nokora font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nokora
  static TextStyle nokora({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '73fc01c7c59d0cf17efc538be65ae11bbb3bc07788d3317571c152bf76f713c3',
        33084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '66081a8b50dfe136b6b60c8dbbc062ea33121bdc6d9af2e1e86a14145b277374',
        32028,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2006cbb942776b3eed98b61fb710bc740daa4e2fb8893e522f5f05373bf205a2',
        33604,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '962d86d3e4a1b24f27db28d0030fed3de2655de7f1f595610e43560662c1f032',
        32948,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '706fc9970bcb8f83a837092142f056d7c58dbae61b4c33420e9055a89da980b7',
        33004,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Nokora',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nokora font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nokora
  static TextTheme nokoraTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.nokora(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.nokora(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.nokora(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.nokora(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.nokora(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.nokora(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.nokora(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.nokora(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.nokora(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.nokora(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.nokora(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.nokora(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.nokora(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.nokora(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.nokora(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Norican font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Norican
  static TextStyle norican({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1dff2380d6bb89e82464656d44616895736da33e6f9c5c5c5af0d2d56754fee2',
        43456,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Norican',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Norican font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Norican
  static TextTheme noricanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.norican(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.norican(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.norican(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.norican(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.norican(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.norican(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.norican(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.norican(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.norican(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.norican(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.norican(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.norican(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.norican(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.norican(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.norican(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nosifer font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nosifer
  static TextStyle nosifer({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '51f2ff64324f9bfb46f8b6a33e7d14e4b653d11acbbb343a168aedf016b5f846',
        41152,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Nosifer',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nosifer font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nosifer
  static TextTheme nosiferTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.nosifer(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.nosifer(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.nosifer(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.nosifer(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.nosifer(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.nosifer(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.nosifer(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.nosifer(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.nosifer(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.nosifer(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.nosifer(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.nosifer(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.nosifer(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.nosifer(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.nosifer(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Notable font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Notable
  static TextStyle notable({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0fa7af35d5805dd738d17de5e17895d6868f7b4320ee55fa7ee5de02e49c0a51',
        24588,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Notable',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Notable font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Notable
  static TextTheme notableTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notable(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.notable(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notable(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.notable(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.notable(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.notable(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notable(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notable(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notable(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notable(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notable(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notable(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notable(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notable(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notable(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nothing You Could Do font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nothing+You+Could+Do
  static TextStyle nothingYouCouldDo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5a41f6c0adff3f36a5b115b837a4565bd55f338ef9f7b864672066d063d05aa6',
        31648,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NothingYouCouldDo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nothing You Could Do font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nothing+You+Could+Do
  static TextTheme nothingYouCouldDoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.nothingYouCouldDo(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.nothingYouCouldDo(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.nothingYouCouldDo(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.nothingYouCouldDo(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.nothingYouCouldDo(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.nothingYouCouldDo(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.nothingYouCouldDo(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.nothingYouCouldDo(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.nothingYouCouldDo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.nothingYouCouldDo(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.nothingYouCouldDo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.nothingYouCouldDo(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.nothingYouCouldDo(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.nothingYouCouldDo(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.nothingYouCouldDo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noticia Text font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noticia+Text
  static TextStyle noticiaText({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7a6b0624004ff6f56f2f1113f003ed60720ca8b68025b6bafed6eed114440d9b',
        61616,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a46a8d57965e4563a06bd3819575df42a02f47b861ccfb0aa66ad05d67e28194',
        62980,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1dc31f473cda60b764d6f694778479b4dbcb97ad540b8e5dc12ed01c1c04833b',
        60756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a50238388b7e42bd69c9bc67fb426e8e35afeb5fce0f35bf8875b9b9c230ff05',
        61952,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NoticiaText',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noticia Text font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noticia+Text
  static TextTheme noticiaTextTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.noticiaText(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.noticiaText(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.noticiaText(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.noticiaText(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.noticiaText(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.noticiaText(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.noticiaText(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.noticiaText(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.noticiaText(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.noticiaText(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.noticiaText(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.noticiaText(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.noticiaText(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.noticiaText(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.noticiaText(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Color Emoji font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Color+Emoji
  static TextStyle notoColorEmoji({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8c93f34c9bae6966eb1c7cf84556eba3cbc12f33085f594901c4fa1b08283da0',
        23745556,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoColorEmoji',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Color Emoji font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Color+Emoji
  static TextTheme notoColorEmojiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoColorEmoji(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoColorEmoji(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoColorEmoji(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoColorEmoji(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoColorEmoji(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoColorEmoji(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoColorEmoji(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoColorEmoji(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoColorEmoji(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoColorEmoji(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoColorEmoji(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoColorEmoji(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoColorEmoji(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoColorEmoji(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoColorEmoji(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Emoji font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Emoji
  static TextStyle notoEmoji({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e3c638a6dd16af7be203c392ac22ea5f2caade3ce70117a95380ea413661f537',
        877996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '76265f243371d58d9894b937342ecf046b5a207e135266f2398a6cc6da05ffdc',
        877988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e459db86ade2e3833b4b39a44cef8fc1fbd5cf705d6e025bbeaa88d9d608ddec',
        878172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9ef9bd29fc791fc9bd66d54df4583ca80fb2a13bb4dff8bf283deeaf6d7e7c2a',
        878024,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd61b89360653b70b5f755d222649783bc417224b009b50b35fd82f5eb4d39a6f',
        876524,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoEmoji',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Emoji font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Emoji
  static TextTheme notoEmojiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoEmoji(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.notoEmoji(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoEmoji(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.notoEmoji(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoEmoji(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.notoEmoji(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoEmoji(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoEmoji(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoEmoji(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoEmoji(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoEmoji(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoEmoji(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoEmoji(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoEmoji(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoEmoji(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Kufi Arabic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Kufi+Arabic
  static TextStyle notoKufiArabic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e79d3b524be163ce3467273d1b6d1883a406f8f9045d79d1b450cc934857a9ae',
        119028,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cf1db84bdf4c37393e1176bfe1cd352398d4803e565b8660a8f4bf3c592e929d',
        119596,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b5da1000148b9479e3db18086686ed3952c1cfb1162dfaeef213acbe35d60842',
        119508,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3ecae1c3b24982df44d0adbae035a6c3b1dadfbecfc76c538da52adbb1c94a6e',
        118252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '46e2eb404f116ec795440d1974b87920c79b344c1b7b7adb997e2668cca372c4',
        119052,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3615371eebf356e6538f0e4a5527282e5b973d9fadcb7566dd2f5ab19d7e2b36',
        119144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c88963874eb11a72fb0f63f4727945ffe5c1ea32541ec9d1226948acc9dea4aa',
        118328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '917778a5ed997660c91200a9da843a2149b9a7df6f322abda8ef2976d0df293c',
        119904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fc3890e51686839a2dd2e70a9da1ecac27fd0693810935ac716ffa616fdae844',
        119764,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoKufiArabic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Kufi Arabic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Kufi+Arabic
  static TextTheme notoKufiArabicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoKufiArabic(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoKufiArabic(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoKufiArabic(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoKufiArabic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoKufiArabic(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoKufiArabic(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoKufiArabic(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoKufiArabic(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoKufiArabic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoKufiArabic(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoKufiArabic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoKufiArabic(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoKufiArabic(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoKufiArabic(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoKufiArabic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Music font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Music
  static TextStyle notoMusic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd0c3c9a24908f253e35735b00f5892d999d6cda80c6dcef86a7b128eb5e12e1a',
        113672,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoMusic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Music font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Music
  static TextTheme notoMusicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoMusic(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.notoMusic(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoMusic(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.notoMusic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoMusic(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.notoMusic(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoMusic(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoMusic(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoMusic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoMusic(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoMusic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoMusic(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoMusic(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoMusic(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoMusic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Naskh Arabic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Naskh+Arabic
  static TextStyle notoNaskhArabic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f9b19ea721911d4158bec0e2fdb8d389524ef56448d2a8e24e501abdccc53c9b',
        188564,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cc7be025a7e303d96ec4c5988dd7a636747da5abd0f676267ce5e1a414915e15',
        189280,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e8832db7567a4ceb8ff2add137a23d4a2caf7304f0b7d821f642acdf7fb9ea37',
        189180,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b922a15359885fa82f62b2de4bbc38a0f7e14170e33f1f41fea2ed66f4802d85',
        188720,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoNaskhArabic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Naskh Arabic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Naskh+Arabic
  static TextTheme notoNaskhArabicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoNaskhArabic(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoNaskhArabic(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoNaskhArabic(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoNaskhArabic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoNaskhArabic(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoNaskhArabic(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoNaskhArabic(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoNaskhArabic(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoNaskhArabic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoNaskhArabic(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoNaskhArabic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoNaskhArabic(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoNaskhArabic(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoNaskhArabic(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoNaskhArabic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Nastaliq Urdu font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Nastaliq+Urdu
  static TextStyle notoNastaliqUrdu({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd2aacf1112ffb91ed5fd97d9326dfbb3358dbeede2fb1d720b6b740e378c1a72',
        527596,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6b90b8121e265e1a3505cc387b283e0055bfcd22745bd3fb3ae99caddcc51225',
        529524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '245b10e3f362b133ebd939a152c0fbd1542aadd13641d5c6fe94f258aa4f37dc',
        529436,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b515fb56f2e42b87ceedfc60c894104e6afd4905b97197842bbbe3d528a42544',
        528464,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoNastaliqUrdu',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Nastaliq Urdu font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Nastaliq+Urdu
  static TextTheme notoNastaliqUrduTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoNastaliqUrdu(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoNastaliqUrdu(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoNastaliqUrdu(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoNastaliqUrdu(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoNastaliqUrdu(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoNastaliqUrdu(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoNastaliqUrdu(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoNastaliqUrdu(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoNastaliqUrdu(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoNastaliqUrdu(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoNastaliqUrdu(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoNastaliqUrdu(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoNastaliqUrdu(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoNastaliqUrdu(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoNastaliqUrdu(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Rashi Hebrew font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Rashi+Hebrew
  static TextStyle notoRashiHebrew({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ab9382f6122f61816182efa4129aeef720f0dcaac78ad8a016cefadc91a284a8',
        47468,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '99b805fe37495bed315f34c4ce5c212f5995a48aea88dd6685c200d9463a07cd',
        47524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '342dd2dc03e229280c4fe0b468bed4c8f30a50252c080395a37a59dc375cf2e5',
        47504,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9c9819fe8079b3f64ffbcda78ca0ba2d184e8ea4e8cc2f0255a5af629174eff5',
        47492,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f7f0f6f8fab7ac60c9c869fa45305cbcb5526489e6ae4be1e92b9905d1e2110c',
        47512,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0f94a7cb8db625b79ec4d88998df04f1e5889403331f78d26d9530dbec0b8ddd',
        47556,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '922c8e60bdc008b785387812285172ca13ccfc8dd8ea37c4991d8225ade60a4b',
        47524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6c57aa91930696e4e640db7a80c7c000dc8d715b12258cf108c3b66b56ca859f',
        47604,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0045d4b70f9631f313c832488e86e52f7b97280b70de73d8dda1d473c94266d7',
        47504,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoRashiHebrew',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Rashi Hebrew font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Rashi+Hebrew
  static TextTheme notoRashiHebrewTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoRashiHebrew(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoRashiHebrew(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoRashiHebrew(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoRashiHebrew(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoRashiHebrew(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoRashiHebrew(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoRashiHebrew(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoRashiHebrew(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoRashiHebrew(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoRashiHebrew(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoRashiHebrew(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoRashiHebrew(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoRashiHebrew(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoRashiHebrew(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoRashiHebrew(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans
  static TextStyle notoSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '53613980c8471a6915fe04f2516bcacca366fac6258531b5dd8666efc35c9f1f',
        498864,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6ea5ec1fa4947b7edecaeb852180ca2fca21cf99c90c3f4979154bc09d56518c',
        348744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f34791642a50786e2d067967458b0927e3467c5612506d3132258ecfed18148a',
        496580,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '250fd09d6196d86f6aa87c06a2703f709fb6db7ecfbd3d6870572b6d78e5e171',
        346996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '085a8fd66014489c14638eab2448dc6460e8736cf1a819562f0c2fd7d324394f',
        492416,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4db149030d92c294d10c1d2fad0882f86d1c5e15ed09cc319ec9e07cc37419a0',
        345012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '912536b62f7afaffd7d5af173e88dbc01582b403250971f4e2d265f43dfb937d',
        493756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c3985b0ab8265e5fce27aa012031e24f5fe1d46df3bf2c2695753e1d452abce6',
        343720,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a4bd3cda8b240433095e5da6ff8f2064c0627eb0a7b6933876d3faead73fd446',
        492856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '19ab38d7565ab8c67cf1c42fec5d178a4df70e8923dab7eaaa8328e28ad0b65d',
        342656,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0224e760b403281bb3cf59a3b0ef36344bbc96f3c69b140108fb3ceda1f117c5',
        494364,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '58f9b94e3f4eb50a9500198d2831bfda3c44e46114957e41c264ef08c0359a24',
        341316,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '18e3a4e5a713559a074e8c5482279ccad0cf81a0e5762304e0ddf94b5dd1ebac',
        494836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c79210997635e1a7a5cc13d63341994286562b660bbd3e14facba74825200add',
        341620,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '17c845373105b7e8de68bc3650b103222b967e031b2e02547a876223a17a13c6',
        494568,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b8139e12e84999f7cc2dd8607d22d212338378a1cdfe7f85aad0af509ba1eced',
        341540,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '972353c8b39caeffe65259395a385852fdd9ea591b5407d32adfee6fa046ba35',
        494104,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '95f2ab6106c77ac5c516691e7b9b5581f2cbc13dd68a03425f290b7f38e6a6c9',
        342916,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans
  static TextTheme notoSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSans(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.notoSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSans(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.notoSans(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.notoSans(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.notoSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Adlam font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Adlam
  static TextStyle notoSansAdlam({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ed453bc243b34031c3a2461c31db01f87974f70601bdc5715f5ad1cd100bd6da',
        85004,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fcf323dc364cee67277541a620af0e2e56f39b21e3631d3cb982181b1c9feb5f',
        85052,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0aedf24019a3a23bc084be283f875e50896a01f2e8f681037cc18f2691fd8cdc',
        85064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4fe27d153a8b9b466b3d13418d8254b07d178d8468d933595fab1f482fd302fd',
        84948,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansAdlam',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Adlam font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Adlam
  static TextTheme notoSansAdlamTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansAdlam(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansAdlam(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansAdlam(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansAdlam(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansAdlam(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansAdlam(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansAdlam(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansAdlam(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansAdlam(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansAdlam(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansAdlam(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansAdlam(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansAdlam(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansAdlam(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansAdlam(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Adlam Unjoined font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Adlam+Unjoined
  static TextStyle notoSansAdlamUnjoined({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bad08dd07ae4cac28eed4a883b8474e3d4b3efe04eca2b3010021ee46664b0fd',
        48340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cb48e27c887c115ea62c23668395853aa0c38e7b817dd8ac98a23b7bad5d4df6',
        48392,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b1c21204d1e81cabc13e04f173dd96c93dcac92a1a2b41318b5763301c407408',
        48408,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a231ab0ec7ca38fc98f49cd0cddd5da8c604bb8cee9f83b0f8eac8204d40435e',
        48308,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansAdlamUnjoined',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Adlam Unjoined font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Adlam+Unjoined
  static TextTheme notoSansAdlamUnjoinedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansAdlamUnjoined(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansAdlamUnjoined(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansAdlamUnjoined(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansAdlamUnjoined(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.notoSansAdlamUnjoined(
          textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansAdlamUnjoined(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansAdlamUnjoined(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansAdlamUnjoined(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansAdlamUnjoined(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.notoSansAdlamUnjoined(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansAdlamUnjoined(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.notoSansAdlamUnjoined(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansAdlamUnjoined(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansAdlamUnjoined(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansAdlamUnjoined(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Anatolian Hieroglyphs font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Anatolian+Hieroglyphs
  static TextStyle notoSansAnatolianHieroglyphs({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3b7fec31fcf1999c0ed4806c3a1ba64c7301926c597bd38181f8d744a7fe8a7e',
        227240,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansAnatolianHieroglyphs',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Anatolian Hieroglyphs font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Anatolian+Hieroglyphs
  static TextTheme notoSansAnatolianHieroglyphsTextTheme(
      [TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSansAnatolianHieroglyphs(
          textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.notoSansAnatolianHieroglyphs(
          textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSansAnatolianHieroglyphs(
          textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.notoSansAnatolianHieroglyphs(
          textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.notoSansAnatolianHieroglyphs(
          textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.notoSansAnatolianHieroglyphs(
          textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansAnatolianHieroglyphs(
          textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansAnatolianHieroglyphs(
          textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansAnatolianHieroglyphs(
          textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansAnatolianHieroglyphs(
          textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansAnatolianHieroglyphs(
          textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansAnatolianHieroglyphs(
          textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansAnatolianHieroglyphs(
          textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansAnatolianHieroglyphs(
          textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansAnatolianHieroglyphs(
          textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Arabic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Arabic
  static TextStyle notoSansArabic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6cf2614bfc2885011fd9d47b2bcc7e5a576b3e35d379d4301d8247683a680245',
        162152,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cecf509869241973813ea04cf6c437ff1e571722fcd54e329880185baf750b19',
        162412,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c5219bd6425340861eb21a05d40d54da31875cb534dd128d5799b6b83674b9d1',
        162324,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '25c2bf5bc8222800e2d8887c3af985f61d5803177bd92b355cb8bffa09c48862',
        161592,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '47f226b1505792703ac273600be1dbce8c3cc83cd1981b3db5ef15e0f09bdd8a',
        162156,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '332c2d597ed4d1f4d1ed84ed493a341cf81515f5e4d392789a4764e084ff4f1f',
        162512,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9235e0a73b449ef9a790df7bf5933644ede59c06099f7e96d8cda26c999641cd',
        162268,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3614725eeafdb55d8eeabb81fb6fb294a807327fa01c2230b4e074f56922d0b5',
        162896,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cdbb85b809be063fb065f55b7226dc5161f4804795be56e007d7d3ce70208446',
        162668,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansArabic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Arabic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Arabic
  static TextTheme notoSansArabicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansArabic(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansArabic(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansArabic(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansArabic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansArabic(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansArabic(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansArabic(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansArabic(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansArabic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansArabic(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansArabic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansArabic(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansArabic(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansArabic(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansArabic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Armenian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Armenian
  static TextStyle notoSansArmenian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '17d7ef6230ed516f3be7560794328a4d9b8093bcff4ea0f65e6b3e0139b69d93',
        48692,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6724349821abafdfcf0c9e7d16f093aef8b34aa42fb420a41786d82f1340990c',
        48752,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4d51892c66c63d49f5a1dd9f6f3a3cb37bbf552aff23203cbcf11959996988ac',
        48692,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '552dab774074dd9a4d9c5b4757b49a9e7e4b5712271eeea1d34082a041cf9dcf',
        48648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bb0c14f24754e2abfc1dc3736b6765ab3d7ab3e13cfc8e1f954e6de892ed477e',
        48688,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e9b82f6edb693fa9d875840e8b2f4d7e1b84c47d05ba68ced4a43fd3ba8ea962',
        48692,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '56070aaf5130012269a82d5b97f189b9ed33dddc52e3f0351e477c66d41e9bc8',
        48612,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '965a6066d74fc52b248e64045b4b86cad6da573e3366353352a5949146754185',
        48664,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '127bd14f0dc6302eca33e6589971171c1f008a0db68b56777e66b1178ae1b0b7',
        48616,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansArmenian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Armenian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Armenian
  static TextTheme notoSansArmenianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansArmenian(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansArmenian(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansArmenian(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansArmenian(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansArmenian(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansArmenian(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansArmenian(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansArmenian(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansArmenian(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansArmenian(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansArmenian(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansArmenian(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansArmenian(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansArmenian(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansArmenian(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Avestan font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Avestan
  static TextStyle notoSansAvestan({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bc51706add61fda7aaa2bf0947f49eb7295ec5f8c0aa6f5c583df0f2ec3fc157',
        39400,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansAvestan',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Avestan font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Avestan
  static TextTheme notoSansAvestanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansAvestan(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansAvestan(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansAvestan(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansAvestan(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansAvestan(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansAvestan(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansAvestan(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansAvestan(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansAvestan(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansAvestan(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansAvestan(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansAvestan(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansAvestan(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansAvestan(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansAvestan(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Balinese font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Balinese
  static TextStyle notoSansBalinese({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6edddc1d9a02d8f69d3d10c37f8291ee96311725e3c03dfaba7e19d463e069ca',
        121876,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ec4eefcb6e02f26391242a8d79d18ed923af5e558c539f106dab922c110a94f5',
        122024,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e5414b316e49cc5ef80e90143dc3faf1ef8e7b85e87b426590e03bf19c792893',
        122056,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dfeaaf403d67cebea8d7bbc68d7ba7f95c686006f9d5559761a56e5e6f3dc4e5',
        121868,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansBalinese',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Balinese font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Balinese
  static TextTheme notoSansBalineseTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansBalinese(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansBalinese(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansBalinese(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansBalinese(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansBalinese(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansBalinese(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansBalinese(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansBalinese(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansBalinese(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansBalinese(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansBalinese(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansBalinese(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansBalinese(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansBalinese(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansBalinese(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Bamum font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Bamum
  static TextStyle notoSansBamum({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '872bdb35e8073b568d6ccb41647eda0b65c201af4338d7444735b80f316c5086',
        179836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bab640ec58310d4b76a983120db6e0446a08f1616d01df08a85dafe1281497ca',
        179840,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e2978eac489bcf4a1937179eaabc9b747b1089d79d2b6bb5b6c2ea04f88d9aea',
        179880,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '533dde8b1fa42831c0f8e53dfcdc3e58727f2d5ed99561f95918ff72423fef88',
        179840,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansBamum',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Bamum font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Bamum
  static TextTheme notoSansBamumTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansBamum(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansBamum(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansBamum(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansBamum(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansBamum(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansBamum(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansBamum(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansBamum(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansBamum(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansBamum(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansBamum(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansBamum(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansBamum(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansBamum(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansBamum(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Bassa Vah font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Bassa+Vah
  static TextStyle notoSansBassaVah({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8f9e562c3e86e11eeb7176930bfae4799df88667028bed4e1e69d02e1ce9ef69',
        39520,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '383e7b57d7bc5f4005b409269e58461dbde05e809707f7704a589ce540d133be',
        39564,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ac2d586d228c63817965b39e54225217966b079c34b3945a1afb2fdd55f22f5c',
        39568,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fe49bb4acd437be8876059db3c0de64b9f0b95c9741c2afea6f8e1c201c0fb34',
        39472,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansBassaVah',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Bassa Vah font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Bassa+Vah
  static TextTheme notoSansBassaVahTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansBassaVah(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansBassaVah(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansBassaVah(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansBassaVah(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansBassaVah(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansBassaVah(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansBassaVah(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansBassaVah(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansBassaVah(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansBassaVah(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansBassaVah(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansBassaVah(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansBassaVah(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansBassaVah(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansBassaVah(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Batak font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Batak
  static TextStyle notoSansBatak({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '991967bb6bb52a6fa8f7f86dd62741d8d6750116db42786e1f6b5960fa6a0f08',
        49860,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansBatak',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Batak font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Batak
  static TextTheme notoSansBatakTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansBatak(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansBatak(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansBatak(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansBatak(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansBatak(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansBatak(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansBatak(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansBatak(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansBatak(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansBatak(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansBatak(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansBatak(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansBatak(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansBatak(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansBatak(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Bengali font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Bengali
  static TextStyle notoSansBengali({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ac2ddda5349f79c00e75045a96ad9c4fbbd48c37c953a58de151ce2feace96db',
        166560,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b58df7ab4fa7bffd0a2e94e0828abf0d8154ea4deb4ecb1ad53896af34bfe506',
        166784,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '076702a4afeff1b6a7ef465887bfa9a92c8385a24f0be50bc786f4202d5e78ef',
        166812,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f3dc6b3e4b19e7f42df44e0f70c8ab3274294f3b409c90ef12a67ed8e965a0aa',
        166544,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '14be02597af57bd3506d510f7352c9873dbac03f9f44c9c3aec6973d920b651e',
        166856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '36eea003bd6914f7db6cc6fbfc1d41986fec5fc6b1db0cf32a21086304ca148a',
        166960,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cdc459ab686d4a03d3ac6c028afb1ba565ec5300210ddf75eb312a81bc9aff5a',
        166716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fba286dec7ae14fbb8b05a02ba50b50ff5633ed4c4792d9221d6ac1d338b7edf',
        166940,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '00e435b491d401949e5f44c406dc354069d34da6031528ce2f098bf93c66f880',
        166872,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansBengali',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Bengali font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Bengali
  static TextTheme notoSansBengaliTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansBengali(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansBengali(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansBengali(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansBengali(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansBengali(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansBengali(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansBengali(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansBengali(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansBengali(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansBengali(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansBengali(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansBengali(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansBengali(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansBengali(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansBengali(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Bhaiksuki font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Bhaiksuki
  static TextStyle notoSansBhaiksuki({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1c50262a44c9cccdb6dfd6c4a569f0ab1250449d4d3ec28ae629aa6f1c9588f3',
        246156,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansBhaiksuki',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Bhaiksuki font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Bhaiksuki
  static TextTheme notoSansBhaiksukiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansBhaiksuki(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansBhaiksuki(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansBhaiksuki(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansBhaiksuki(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansBhaiksuki(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansBhaiksuki(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansBhaiksuki(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansBhaiksuki(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansBhaiksuki(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansBhaiksuki(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansBhaiksuki(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansBhaiksuki(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansBhaiksuki(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansBhaiksuki(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansBhaiksuki(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Brahmi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Brahmi
  static TextStyle notoSansBrahmi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ac833cf856e3f461dacd1f9f4dbd05cfac3270402d1907c2b0a241ac68b44231',
        40808,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansBrahmi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Brahmi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Brahmi
  static TextTheme notoSansBrahmiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansBrahmi(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansBrahmi(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansBrahmi(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansBrahmi(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansBrahmi(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansBrahmi(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansBrahmi(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansBrahmi(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansBrahmi(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansBrahmi(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansBrahmi(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansBrahmi(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansBrahmi(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansBrahmi(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansBrahmi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Buginese font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Buginese
  static TextStyle notoSansBuginese({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f5821a2fc86de888404c615d4c0ad609885b0327e9efb529163d46f1daac73d4',
        35424,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansBuginese',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Buginese font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Buginese
  static TextTheme notoSansBugineseTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansBuginese(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansBuginese(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansBuginese(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansBuginese(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansBuginese(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansBuginese(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansBuginese(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansBuginese(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansBuginese(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansBuginese(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansBuginese(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansBuginese(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansBuginese(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansBuginese(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansBuginese(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Buhid font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Buhid
  static TextStyle notoSansBuhid({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9982dcdb6a665b970ec917ea155248fc6b000c239e6a16f4213bda014de61454',
        29928,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansBuhid',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Buhid font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Buhid
  static TextTheme notoSansBuhidTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansBuhid(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansBuhid(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansBuhid(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansBuhid(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansBuhid(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansBuhid(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansBuhid(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansBuhid(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansBuhid(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansBuhid(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansBuhid(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansBuhid(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansBuhid(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansBuhid(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansBuhid(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Canadian Aboriginal font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Canadian+Aboriginal
  static TextStyle notoSansCanadianAboriginal({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '43f517feff85a58521d2b425991508871657199a7321de6f721f9639b3b1ba17',
        97236,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7c5e86d277527876e00b8600a038f29d494d07bb596a19c33e6eee9bf1210ada',
        97264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5f89d46ad494cd21569c02f991a4ad29f4d841cb7e4a766dd2ac8a44114c06dd',
        97228,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '061fa995adf32e5bdff476124d211b59bfa6f6de8f2882cfb9ff5d3dca9f4337',
        97144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'adc409d3458e2e20a399c74c30f2fe996fa23d0d0e96cc7e8f59d9e77772f4c8',
        97160,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c0e7442600fe41bfb94c99ae53f14a69b86344811d88022d6440f75e77b375a6',
        97104,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f56be60a55fd6c02705ff94b149b99052e02019292a0440b39ff585b103cd34f',
        97024,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7bda0a5fb866823a969b8b95631f02e7737a2ebc5fdadeecfc379ada203ae803',
        97108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ac04209f3456c95c0c2038488933197ca89eefa32346279ae2336d2aafcf03af',
        97000,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansCanadianAboriginal',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Canadian Aboriginal font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Canadian+Aboriginal
  static TextTheme notoSansCanadianAboriginalTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSansCanadianAboriginal(
          textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.notoSansCanadianAboriginal(
          textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSansCanadianAboriginal(
          textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.notoSansCanadianAboriginal(
          textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.notoSansCanadianAboriginal(
          textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.notoSansCanadianAboriginal(
          textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansCanadianAboriginal(
          textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansCanadianAboriginal(
          textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansCanadianAboriginal(
          textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansCanadianAboriginal(
          textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansCanadianAboriginal(
          textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansCanadianAboriginal(
          textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansCanadianAboriginal(
          textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansCanadianAboriginal(
          textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansCanadianAboriginal(
          textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Carian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Carian
  static TextStyle notoSansCarian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f91a0a8cd4ae5f183baf7ce214e9c21c01155a56c0ff62946d7e3920c8a663f3',
        5684,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansCarian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Carian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Carian
  static TextTheme notoSansCarianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansCarian(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansCarian(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansCarian(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansCarian(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansCarian(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansCarian(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansCarian(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansCarian(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansCarian(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansCarian(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansCarian(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansCarian(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansCarian(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansCarian(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansCarian(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Caucasian Albanian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Caucasian+Albanian
  static TextStyle notoSansCaucasianAlbanian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e24578e93314ce131d4096ee16b09535c2f948ef0847f72f05053fde8c7638ec',
        25676,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansCaucasianAlbanian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Caucasian Albanian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Caucasian+Albanian
  static TextTheme notoSansCaucasianAlbanianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSansCaucasianAlbanian(
          textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.notoSansCaucasianAlbanian(
          textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSansCaucasianAlbanian(
          textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.notoSansCaucasianAlbanian(
          textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.notoSansCaucasianAlbanian(
          textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.notoSansCaucasianAlbanian(
          textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansCaucasianAlbanian(
          textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansCaucasianAlbanian(
          textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansCaucasianAlbanian(
          textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.notoSansCaucasianAlbanian(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansCaucasianAlbanian(
          textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.notoSansCaucasianAlbanian(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansCaucasianAlbanian(
          textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansCaucasianAlbanian(
          textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansCaucasianAlbanian(
          textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Chakma font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Chakma
  static TextStyle notoSansChakma({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5c13048601ef3a9c97db76d25e8e7c5a6401757cf6414c41337ea18c2913891d',
        84772,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansChakma',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Chakma font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Chakma
  static TextTheme notoSansChakmaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansChakma(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansChakma(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansChakma(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansChakma(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansChakma(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansChakma(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansChakma(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansChakma(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansChakma(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansChakma(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansChakma(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansChakma(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansChakma(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansChakma(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansChakma(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Cham font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Cham
  static TextStyle notoSansCham({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dfb948dc309b32ea2c28ad1aa577648e3f89263450be81e6cc3be88e96f21e74',
        60188,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7a07bec718abc16142dda5bec7e53c1c8a827c93f33ec7e79bafdd73f360afcd',
        60536,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '50e9a3d84e707be17185a509fc72b9f90e1521dae9ae3c356d8c32080eee2227',
        60476,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '02badb3a987828801740f456bc52267d6bba5867c98810f70826b3699f8725d6',
        60264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '066726f7f30c4b1b1d16a6507497f0b12b67de90906f990cbd46fce87dceb6f1',
        60652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd604f5d0a71a2c17ea41b45c6fab23488d58a0bdae6dd6eb5a62dd5a8ac2fe0b',
        60684,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7cdf5c59b7f931ce4926b5f0bd1c748e0bb6d99891e2bf4a6dfcd1eeb3027a40',
        60576,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '77d953efad20bbee7c7c4301e703ff3b918e84f64e10fa031c4cfddb55c3fe09',
        60688,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '66f38adac19187b5d360c19d793df01e07d099d6a14b1ea22c964c29360f7d00',
        60516,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansCham',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Cham font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Cham
  static TextTheme notoSansChamTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSansCham(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansCham(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSansCham(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansCham(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansCham(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansCham(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansCham(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansCham(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansCham(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansCham(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansCham(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansCham(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansCham(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansCham(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansCham(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Cherokee font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Cherokee
  static TextStyle notoSansCherokee({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bab30c8088336ad5741040551cfb74dc1c1e7020fb111f3cc1b041c802579f73',
        85384,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8d4ccd0e65afa08197af86cd38fa739a7ae3ab576bd4790623194d611033900b',
        85656,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eede6e6c4266610312744262f94a0b0948da86e5d387c2e19d7533cc9cbfa800',
        85636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0d8a9b95bf4d06cde28f75e65d4f6d9c87aa1b257cd77c2683d3b2b1a90624b4',
        85012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1a5b5fc8dfe2f689b923310ed0269c6a5d5e4946f65509205b2b47d5a1010551',
        85168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1bd048f2c755807d3f30d416ab367a843e28226d6614fca7b18f455b38bd4dc8',
        85296,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6102875c6899c6cac531c2fd094951860e7920b4e567e21df17141f0c1847d04',
        85152,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7291e6305fc22f3f3c87fb11840973d2d4b46fe904a3812d137ea87e7b27179e',
        85236,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '77539de09e783da64feb2abb0998fb0eb62854bf2203251971ea6ed35fc1a6d8',
        84924,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansCherokee',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Cherokee font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Cherokee
  static TextTheme notoSansCherokeeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansCherokee(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansCherokee(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansCherokee(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansCherokee(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansCherokee(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansCherokee(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansCherokee(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansCherokee(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansCherokee(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansCherokee(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansCherokee(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansCherokee(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansCherokee(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansCherokee(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansCherokee(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Coptic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Coptic
  static TextStyle notoSansCoptic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '854895e2145e6e68ec717dd6694a067677156507de28e983a38659aaecce2de7',
        62464,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansCoptic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Coptic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Coptic
  static TextTheme notoSansCopticTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansCoptic(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansCoptic(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansCoptic(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansCoptic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansCoptic(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansCoptic(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansCoptic(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansCoptic(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansCoptic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansCoptic(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansCoptic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansCoptic(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansCoptic(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansCoptic(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansCoptic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Cuneiform font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Cuneiform
  static TextStyle notoSansCuneiform({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0f2b2a0acebd7dfd14f13fe15e3f6a07aa5ce8171003a37235ff682b8668d15c',
        819140,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansCuneiform',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Cuneiform font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Cuneiform
  static TextTheme notoSansCuneiformTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansCuneiform(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansCuneiform(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansCuneiform(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansCuneiform(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansCuneiform(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansCuneiform(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansCuneiform(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansCuneiform(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansCuneiform(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansCuneiform(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansCuneiform(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansCuneiform(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansCuneiform(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansCuneiform(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansCuneiform(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Cypriot font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Cypriot
  static TextStyle notoSansCypriot({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '64224a8da42c7dbb5a28bf1fbff3531acb044d8bf5bc5e71bd69b706503d732c',
        7328,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansCypriot',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Cypriot font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Cypriot
  static TextTheme notoSansCypriotTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansCypriot(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansCypriot(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansCypriot(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansCypriot(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansCypriot(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansCypriot(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansCypriot(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansCypriot(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansCypriot(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansCypriot(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansCypriot(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansCypriot(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansCypriot(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansCypriot(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansCypriot(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Deseret font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Deseret
  static TextStyle notoSansDeseret({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bd5d317ff72297736ce5816df14ca4ac568df2a12fe56cafff20c78c341be9eb',
        10088,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansDeseret',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Deseret font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Deseret
  static TextTheme notoSansDeseretTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansDeseret(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansDeseret(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansDeseret(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansDeseret(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansDeseret(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansDeseret(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansDeseret(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansDeseret(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansDeseret(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansDeseret(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansDeseret(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansDeseret(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansDeseret(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansDeseret(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansDeseret(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Devanagari font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Devanagari
  static TextStyle notoSansDevanagari({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '50c27b60b9421ea84cfac8e96992f8ee327ac30f24f3f41dfda2d2969218faa1',
        203008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '26763967dfbe465f19bf6f07410a95635ceaf999fbb68dc4b5a3a87b9e4e6242',
        203260,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '164f1524cddea74dcf5967ea6538fbe4c68c3b05acd753cfa8bc8bdba15b8c79',
        203248,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b85f86947b26542a67c1938c1a69cbb8ac2f36fceb74e3dfd3b64ffc911eae50',
        203008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '97cde11428c5f127339287282216edfc0afd457657ca63253780aa33a270cb7f',
        203220,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '335582f80b343debee418958db492864f04030322fbafcb16e7dfd0ccf85ed01',
        203256,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '63ed532e4fc28a9d146e542a0a40a476b487d6ff6ab6960830e930362acea226',
        203268,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ff18b6d3c1fc6aeed18bfdc27f6ce27f2dbb489b6255af48f933b57e2873a4c7',
        203440,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e3c2189c2c1811f8d52c7bdbf3159036764968b6b673374c4cd1b317a9797aec',
        203256,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansDevanagari',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Devanagari font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Devanagari
  static TextTheme notoSansDevanagariTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansDevanagari(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansDevanagari(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansDevanagari(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansDevanagari(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansDevanagari(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansDevanagari(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansDevanagari(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansDevanagari(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansDevanagari(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansDevanagari(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansDevanagari(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansDevanagari(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansDevanagari(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansDevanagari(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansDevanagari(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Display font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Display
  static TextStyle notoSansDisplay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd7b5c341fe5771dcf9e682598c78cae7475c5b955a479aa921e45fbcfd7bb871',
        328296,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1134bdfe54f78b39841bc3f68e7c93e17e94c2a04c241e6aca932c7b86214361',
        328644,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7a3a4c60525f76f6fba6fbd341aa8db9829fa892da22521818ab01d655168b23',
        328592,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '626c1c90d949045c73a2d5cc5579a5a2debc98df486c002fcae5dcbdbaf435eb',
        327984,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2730db348743fd4a86cf4a1d33f5c86f1fcb0bddd36564620255da24feefe088',
        328452,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '30aacdd857dcfd16cbd69c56d7c735466ebbf7edaccee8df315fe807b6c16190',
        328548,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f42e50ebc8fe182d19b8920a0a69e4b2f2a72a7bd7beba186951797159c222a5',
        328248,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8c31f4316263d13fdb25780cae9d89c64cedfa38b57d632c2b246c42ba0e58b5',
        328724,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f84e133aa6d57401b0b7c65d6ca4b60fe69e5e63bd44b8d7f97eec61ea253599',
        328764,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9fdc2dfde4bdb8ea9c6d61f2110520c23323643cb9e8b11e06bfecab6380aa16',
        350752,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd8743d7dd1b692b1763c4b759cc73276ae4123950f54bc203b725235408f0517',
        351224,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '983ff9bc8a5c5bbad88fa6baac6014b534b34a854c7a6a336d9106f4f9b396e4',
        350816,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '830195c90e484ee9dc8844e183ae238e9b3b7ede173b4eb1167c6654ebd06f7d',
        349532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'eb227c09ad0591b6492f6a7644b25580c92f692bda50e16452f45934cdd86d3e',
        349996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0a0d1cb7b9a8fa8e768b472ee391878dbf9232bdc734c8b3fe60bcaffec35d62',
        350104,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8b95ec211de9e560348430eaf28145f128f59010fed1df2e1fa0e51a99a605be',
        349660,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8de2f7361e257950636625a421fb6c4d446d1b5b942348bd7f853314a5805eff',
        350328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '63a96cd6529aa23dbecb27e8266886658fd77b74a28be02ad5f9f7d183316636',
        350188,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansDisplay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Display font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Display
  static TextTheme notoSansDisplayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansDisplay(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansDisplay(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansDisplay(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansDisplay(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansDisplay(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansDisplay(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansDisplay(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansDisplay(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansDisplay(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansDisplay(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansDisplay(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansDisplay(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansDisplay(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansDisplay(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansDisplay(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Duployan font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Duployan
  static TextStyle notoSansDuployan({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2d65e0c35583d311f2fdef5c30714968e9d4a8323255cd4465cf5b89bd73439b',
        17464,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansDuployan',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Duployan font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Duployan
  static TextTheme notoSansDuployanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansDuployan(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansDuployan(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansDuployan(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansDuployan(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansDuployan(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansDuployan(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansDuployan(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansDuployan(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansDuployan(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansDuployan(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansDuployan(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansDuployan(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansDuployan(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansDuployan(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansDuployan(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Egyptian Hieroglyphs font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Egyptian+Hieroglyphs
  static TextStyle notoSansEgyptianHieroglyphs({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a8d8b24a7afab8914c32ed38152796f169fda238a2e0ae6e3275adf99c516b44',
        584220,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansEgyptianHieroglyphs',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Egyptian Hieroglyphs font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Egyptian+Hieroglyphs
  static TextTheme notoSansEgyptianHieroglyphsTextTheme(
      [TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSansEgyptianHieroglyphs(
          textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.notoSansEgyptianHieroglyphs(
          textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSansEgyptianHieroglyphs(
          textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.notoSansEgyptianHieroglyphs(
          textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.notoSansEgyptianHieroglyphs(
          textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.notoSansEgyptianHieroglyphs(
          textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansEgyptianHieroglyphs(
          textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansEgyptianHieroglyphs(
          textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansEgyptianHieroglyphs(
          textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansEgyptianHieroglyphs(
          textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansEgyptianHieroglyphs(
          textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansEgyptianHieroglyphs(
          textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansEgyptianHieroglyphs(
          textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansEgyptianHieroglyphs(
          textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansEgyptianHieroglyphs(
          textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Elbasan font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Elbasan
  static TextStyle notoSansElbasan({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8db1829d7d68f7956f38788a63610b7fe34d4f5427bab75d6904ea9f4e8bc085',
        10260,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansElbasan',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Elbasan font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Elbasan
  static TextTheme notoSansElbasanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansElbasan(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansElbasan(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansElbasan(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansElbasan(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansElbasan(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansElbasan(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansElbasan(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansElbasan(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansElbasan(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansElbasan(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansElbasan(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansElbasan(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansElbasan(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansElbasan(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansElbasan(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Elymaic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Elymaic
  static TextStyle notoSansElymaic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e2d50f9ce658090f90b8fa495cafda62832ac8ceadf0e68dc7eb792ae17e36f9',
        4720,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansElymaic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Elymaic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Elymaic
  static TextTheme notoSansElymaicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansElymaic(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansElymaic(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansElymaic(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansElymaic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansElymaic(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansElymaic(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansElymaic(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansElymaic(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansElymaic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansElymaic(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansElymaic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansElymaic(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansElymaic(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansElymaic(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansElymaic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Ethiopic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Ethiopic
  static TextStyle notoSansEthiopic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2bc0bacefae0e58796fcd6c159c7f123824da7cf05d014f95ab595842c7e812e',
        365276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1f7f1300df4d91c84ba480f8e7c5d36c7e3904363ecd5deb6424814621f8945d',
        365424,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e108aa8e61a8fcaa7feb718f0c46dc296920cf7daaa1b629bb3eff7f7fcb5c00',
        365456,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7352033c180fd85a7e4621d3233d66d97175ecefbe3d8ad87b3fdbb5d72d9c15',
        365340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '36b4aff2e298fc77e496b7ad4cf5fc335f13c4ec6f540cf9d7a6b049b4fe16cc',
        365500,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dfd2fcd404409dddedfd7f2adbba54d6f08db6639375a1916a045928758243af',
        365344,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '69ab130cc3fcdc4d76c6be473f2533ba0100f1876ccce61a7b73ac0bc4a8cff3',
        365292,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '797ed3c631d2b8be0cdf8b4aa8a5556204736564149976332f17a550b4f03858',
        365276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bd8c5a4a323f5169d14b61bc48cf55ed6cd8879d5d694bec48229c535ebc3fc1',
        365280,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansEthiopic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Ethiopic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Ethiopic
  static TextTheme notoSansEthiopicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansEthiopic(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansEthiopic(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansEthiopic(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansEthiopic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansEthiopic(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansEthiopic(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansEthiopic(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansEthiopic(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansEthiopic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansEthiopic(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansEthiopic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansEthiopic(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansEthiopic(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansEthiopic(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansEthiopic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Georgian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Georgian
  static TextStyle notoSansGeorgian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '925ef9aa00e741194d04bd81a0e2779fbde5c5622f40c3df8460419991ea8d99',
        65508,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '882f93af61e72a101812c10cabea7095673ff3ea712389b03393d4d477b99b5f',
        65572,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6419524f973944acdda02a3a80e92a688bcd355cb1c6222c23fcfd2256db1ec7',
        65540,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a5fb39f854ff25a08d20a9b1aa10eea44dfb7c3ccf3877fd7efe12727ad08721',
        65488,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0a702a29dd841c2c31694a3d6c1077a5c59cf70a1653eafa94f726dfbccf67ae',
        65516,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5a194b584c44b912b8c3c1bb16ad214c940c326cc76e447c02b587cb947f6299',
        65524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '386a8e6aa2bb4d0bfea7def0e17578da928df9990268e6ce1d4fcd2ff3642eb2',
        65436,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e52a62192b2ebf92ea74e1bb30cffcd8b9f933e336c45b58264abc055764ab3b',
        65456,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '820ccf1d542c86ddd1351a3b05d9526cd66187c0618742d101634bc75eb5cd75',
        65404,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansGeorgian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Georgian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Georgian
  static TextTheme notoSansGeorgianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansGeorgian(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansGeorgian(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansGeorgian(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansGeorgian(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansGeorgian(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansGeorgian(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansGeorgian(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansGeorgian(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansGeorgian(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansGeorgian(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansGeorgian(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansGeorgian(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansGeorgian(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansGeorgian(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansGeorgian(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Glagolitic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Glagolitic
  static TextStyle notoSansGlagolitic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '19a59c25a4ad15509971a871bb55fa977b00a705cb5d709e75ec4ce1807b9971',
        22288,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansGlagolitic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Glagolitic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Glagolitic
  static TextTheme notoSansGlagoliticTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansGlagolitic(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansGlagolitic(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansGlagolitic(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansGlagolitic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansGlagolitic(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansGlagolitic(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansGlagolitic(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansGlagolitic(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansGlagolitic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansGlagolitic(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansGlagolitic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansGlagolitic(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansGlagolitic(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansGlagolitic(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansGlagolitic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Gothic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Gothic
  static TextStyle notoSansGothic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '33e4a647c2f0d107e063a33cde8d7b165cc640527a11f421bf2b2a95c0d42e3e',
        5140,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansGothic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Gothic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Gothic
  static TextTheme notoSansGothicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansGothic(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansGothic(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansGothic(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansGothic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansGothic(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansGothic(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansGothic(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansGothic(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansGothic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansGothic(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansGothic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansGothic(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansGothic(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansGothic(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansGothic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Grantha font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Grantha
  static TextStyle notoSansGrantha({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9dde4e46d993cb275de61ec4ccd8df9fa8a1b6e6372be0685ca06acee3abff62',
        291396,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansGrantha',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Grantha font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Grantha
  static TextTheme notoSansGranthaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansGrantha(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansGrantha(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansGrantha(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansGrantha(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansGrantha(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansGrantha(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansGrantha(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansGrantha(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansGrantha(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansGrantha(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansGrantha(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansGrantha(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansGrantha(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansGrantha(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansGrantha(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Gujarati font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Gujarati
  static TextStyle notoSansGujarati({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ab9ee43de9f5a567f423c55a7530c3ebd7db88bc57288ea7befff5469c4bfccd',
        172312,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c1020427d64822aff396dd7ec5018a894cdb51c63f71a0ce83905108f385a6d0',
        172504,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '90952e72306a46f3e3e6acc3102d70b46e29774c9bf055fa1574b7bb256da34f',
        172560,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2b0e5c454e9174b0bbff9b451541a6851cdeb277e997cb4f4c565e484b76462b',
        172312,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '356fb84b8d70f9238d6c15b8bbd4b840a0d176d6c9962db6126e77161be35962',
        172536,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e19bfcbc2f41d81352f434289a4431dff18ec68257d919cec99e0338515e9f68',
        172552,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '14ccb276b13c5d9d9d05064b9ce839f64abf1224be0530e591577eddafc9ebf1',
        172476,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eaf5f59a7498a8bd649c2e9a72f9a6d3d3d343071e0298aa050300ab10a5573c',
        172748,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '86e848ba032c61db1da51a482eb97c3d426b9abe3f164d496ec2ff396052d29c',
        172536,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansGujarati',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Gujarati font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Gujarati
  static TextTheme notoSansGujaratiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansGujarati(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansGujarati(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansGujarati(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansGujarati(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansGujarati(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansGujarati(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansGujarati(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansGujarati(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansGujarati(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansGujarati(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansGujarati(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansGujarati(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansGujarati(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansGujarati(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansGujarati(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Gunjala Gondi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Gunjala+Gondi
  static TextStyle notoSansGunjalaGondi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b3ae7923704e2060fcdcc69a151f360f8c6b7db71e8086550115b7981aea77a4',
        61064,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansGunjalaGondi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Gunjala Gondi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Gunjala+Gondi
  static TextTheme notoSansGunjalaGondiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansGunjalaGondi(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansGunjalaGondi(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansGunjalaGondi(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansGunjalaGondi(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansGunjalaGondi(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansGunjalaGondi(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansGunjalaGondi(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansGunjalaGondi(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansGunjalaGondi(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.notoSansGunjalaGondi(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansGunjalaGondi(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.notoSansGunjalaGondi(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansGunjalaGondi(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansGunjalaGondi(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansGunjalaGondi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Gurmukhi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Gurmukhi
  static TextStyle notoSansGurmukhi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '22f107245d8ddc2936b3ea1960b5a53b0feb704589da8cf42a72a484eceb5717',
        57616,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f8ca1b03071ae2c31e6a9355a9602c761a126d8175e651cb174f9f5f3f3c42b0',
        57772,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3c2be573d72202041aaadfc56677a137f69bb52696e151dd3048e24295f2f0d4',
        57692,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '037add035e4dbe146a8e7d810e5d0d990327e28ed6156a8b5c6e0e1b9de568c9',
        57504,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '86eceacddc7ca9e205c878a794e9f572a9b08b50858e1717a64fb28d093b8c4b',
        57596,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ab39c2f738ca93a9f7168f9328b10bf14da3738050f7f25be94cda6cdcc6ff2f',
        57668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5f0c1b8d7dcc0cdfe95b68017c0f25a3084ec5f4f6b8b9e535f636193f4767b3',
        57568,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f53762eacf28b66a6cb0210b7d265b9f231b589d864afe5853360f90244371cd',
        57688,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6d99686606a15cfb7fe3cffc0c10ad4ae26a185ad76badaefed0c515640f5c3b',
        57536,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansGurmukhi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Gurmukhi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Gurmukhi
  static TextTheme notoSansGurmukhiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansGurmukhi(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansGurmukhi(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansGurmukhi(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansGurmukhi(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansGurmukhi(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansGurmukhi(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansGurmukhi(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansGurmukhi(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansGurmukhi(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansGurmukhi(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansGurmukhi(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansGurmukhi(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansGurmukhi(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansGurmukhi(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansGurmukhi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Hanifi Rohingya font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Hanifi+Rohingya
  static TextStyle notoSansHanifiRohingya({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bad41dae5e5554eff3a045570433b7c484fe24b057276aaa0a84ac9b0ecc4e3f',
        46312,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9775a80c3cf1f5ce90921df9689d93c24d143dc56e11a4a9de986532dec6be30',
        46380,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b7cb9015da39e924a9a954526bce6572090372d5bb83d674a5e25f84bbd77382',
        46416,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e5868e4bc4bff58a144f403b5dbcefe57ce08a673a413f044776c97b647006b0',
        46336,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansHanifiRohingya',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Hanifi Rohingya font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Hanifi+Rohingya
  static TextTheme notoSansHanifiRohingyaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansHanifiRohingya(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.notoSansHanifiRohingya(
          textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansHanifiRohingya(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.notoSansHanifiRohingya(
          textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.notoSansHanifiRohingya(
          textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.notoSansHanifiRohingya(
          textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansHanifiRohingya(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansHanifiRohingya(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansHanifiRohingya(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.notoSansHanifiRohingya(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansHanifiRohingya(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.notoSansHanifiRohingya(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansHanifiRohingya(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansHanifiRohingya(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansHanifiRohingya(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Hanunoo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Hanunoo
  static TextStyle notoSansHanunoo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2178b2c6e787beedf2ef2566b22a83628ffb17e06b9a9835f9ca215d7e0ef9cb',
        34880,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansHanunoo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Hanunoo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Hanunoo
  static TextTheme notoSansHanunooTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansHanunoo(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansHanunoo(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansHanunoo(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansHanunoo(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansHanunoo(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansHanunoo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansHanunoo(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansHanunoo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansHanunoo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansHanunoo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansHanunoo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansHanunoo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansHanunoo(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansHanunoo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansHanunoo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Hatran font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Hatran
  static TextStyle notoSansHatran({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a34cac0fc3e9de2739b68efdcf44d7d372e844e161c47b51da98dbb015544515',
        3936,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansHatran',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Hatran font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Hatran
  static TextTheme notoSansHatranTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansHatran(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansHatran(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansHatran(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansHatran(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansHatran(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansHatran(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansHatran(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansHatran(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansHatran(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansHatran(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansHatran(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansHatran(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansHatran(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansHatran(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansHatran(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Hebrew font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Hebrew
  static TextStyle notoSansHebrew({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '80104cfcf61b7dfa2283fd323241902874ddd2b525a84873ec3e318df61ca4f0',
        41328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '65222d02adb149939e06717c0e9bfb24489899d7d7ff9f3788157542176bd098',
        41416,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a6bae022df5d83d71f5d732b8dcde72f02628f72bdf35ca2afb581a3b118fe2f',
        41328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b4ce2493bbc8109fe79c07d36fe5023c7aed434c25ddfee9c1fe84fd59df6965',
        41296,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a047a6be598aa6dd90cc01363a45381795cb263ccf6a39799aebcee18c02b8fb',
        41332,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '29d07ff087fb41862c5782a4a8ae09e518506089fb888ea9cc45b8cb944288ca',
        41356,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f834222fa9633c9c5a67ae914527cabcbaad3e80b634e0c60c3cf1b79d81be4d',
        41216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ad48aa976e76983737f8ef04c54955c22679920db0585134c81e2e1075a86cb0',
        41284,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e8bc82320c4550ea9c9759410849acb17e66f825e0604ac256de57aa85f4f880',
        41212,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansHebrew',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Hebrew font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Hebrew
  static TextTheme notoSansHebrewTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansHebrew(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansHebrew(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansHebrew(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansHebrew(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansHebrew(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansHebrew(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansHebrew(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansHebrew(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansHebrew(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansHebrew(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansHebrew(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansHebrew(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansHebrew(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansHebrew(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansHebrew(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Imperial Aramaic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Imperial+Aramaic
  static TextStyle notoSansImperialAramaic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '71d68e7f88e810673aa7152a814623ed781b2c484ed5ba0612fa4ffdddb51e47',
        5260,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansImperialAramaic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Imperial Aramaic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Imperial+Aramaic
  static TextTheme notoSansImperialAramaicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSansImperialAramaic(
          textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.notoSansImperialAramaic(
          textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSansImperialAramaic(
          textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.notoSansImperialAramaic(
          textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.notoSansImperialAramaic(
          textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.notoSansImperialAramaic(
          textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansImperialAramaic(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansImperialAramaic(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansImperialAramaic(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.notoSansImperialAramaic(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansImperialAramaic(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.notoSansImperialAramaic(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansImperialAramaic(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansImperialAramaic(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansImperialAramaic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Indic Siyaq Numbers font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Indic+Siyaq+Numbers
  static TextStyle notoSansIndicSiyaqNumbers({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd8778de4424790282d0ddb573efe2cc256ddd84cd262e5c955ef7fb6ac758803',
        21412,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansIndicSiyaqNumbers',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Indic Siyaq Numbers font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Indic+Siyaq+Numbers
  static TextTheme notoSansIndicSiyaqNumbersTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSansIndicSiyaqNumbers(
          textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.notoSansIndicSiyaqNumbers(
          textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSansIndicSiyaqNumbers(
          textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.notoSansIndicSiyaqNumbers(
          textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.notoSansIndicSiyaqNumbers(
          textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.notoSansIndicSiyaqNumbers(
          textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansIndicSiyaqNumbers(
          textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansIndicSiyaqNumbers(
          textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansIndicSiyaqNumbers(
          textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.notoSansIndicSiyaqNumbers(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansIndicSiyaqNumbers(
          textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.notoSansIndicSiyaqNumbers(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansIndicSiyaqNumbers(
          textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansIndicSiyaqNumbers(
          textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansIndicSiyaqNumbers(
          textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Inscriptional Pahlavi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Inscriptional+Pahlavi
  static TextStyle notoSansInscriptionalPahlavi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fdf5b6f1a8b597f7b8ab231369438a1c672d54982ffe35cf7795a5973a5ccee9',
        4804,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansInscriptionalPahlavi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Inscriptional Pahlavi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Inscriptional+Pahlavi
  static TextTheme notoSansInscriptionalPahlaviTextTheme(
      [TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSansInscriptionalPahlavi(
          textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.notoSansInscriptionalPahlavi(
          textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSansInscriptionalPahlavi(
          textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.notoSansInscriptionalPahlavi(
          textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.notoSansInscriptionalPahlavi(
          textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.notoSansInscriptionalPahlavi(
          textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansInscriptionalPahlavi(
          textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansInscriptionalPahlavi(
          textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansInscriptionalPahlavi(
          textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansInscriptionalPahlavi(
          textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansInscriptionalPahlavi(
          textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansInscriptionalPahlavi(
          textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansInscriptionalPahlavi(
          textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansInscriptionalPahlavi(
          textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansInscriptionalPahlavi(
          textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Inscriptional Parthian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Inscriptional+Parthian
  static TextStyle notoSansInscriptionalParthian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fcd697800a8f12c4eca32a89e51df6461b2581a979c420e02d9fbe40b72108fd',
        6564,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansInscriptionalParthian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Inscriptional Parthian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Inscriptional+Parthian
  static TextTheme notoSansInscriptionalParthianTextTheme(
      [TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSansInscriptionalParthian(
          textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.notoSansInscriptionalParthian(
          textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSansInscriptionalParthian(
          textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.notoSansInscriptionalParthian(
          textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.notoSansInscriptionalParthian(
          textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.notoSansInscriptionalParthian(
          textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansInscriptionalParthian(
          textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansInscriptionalParthian(
          textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansInscriptionalParthian(
          textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansInscriptionalParthian(
          textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansInscriptionalParthian(
          textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansInscriptionalParthian(
          textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansInscriptionalParthian(
          textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansInscriptionalParthian(
          textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansInscriptionalParthian(
          textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Javanese font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Javanese
  static TextStyle notoSansJavanese({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '24154a4acacbd6ecf15d194b04e2f25e963e39f1d2768431ea39b4e14c38c9bd',
        151008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7fb90019e54aa65098ec548b4e103a10d07fe0300ad1ef1051fca58288cd899a',
        151352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '415a3ad42461a539904972cf3152df041c5ee1e8bbce40787d184e672dd87ac5',
        151264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e6b8249c575dca77e47ff87a488c13878e5f1c793ba7eff3a4a1a15fcbe30ca7',
        150564,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansJavanese',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Javanese font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Javanese
  static TextTheme notoSansJavaneseTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansJavanese(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansJavanese(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansJavanese(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansJavanese(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansJavanese(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansJavanese(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansJavanese(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansJavanese(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansJavanese(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansJavanese(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansJavanese(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansJavanese(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansJavanese(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansJavanese(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansJavanese(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Kaithi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Kaithi
  static TextStyle notoSansKaithi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cf66bb4e97c9896f9ee4a5e143bbcd2f844d52858a988470fe2f5c99ec715b4a',
        41908,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansKaithi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Kaithi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Kaithi
  static TextTheme notoSansKaithiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansKaithi(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansKaithi(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansKaithi(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansKaithi(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansKaithi(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansKaithi(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansKaithi(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansKaithi(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansKaithi(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansKaithi(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansKaithi(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansKaithi(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansKaithi(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansKaithi(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansKaithi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Kannada font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Kannada
  static TextStyle notoSansKannada({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '90adf0be657afc741d52ced84093979940bd37fa41e8526fa1a7ae64c8081657',
        144108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5646cbb81e48d70e0372a45038b32529e5b1334e7a0d6f33a929cca5ccf5c193',
        144320,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9bbebf8b468393c8734a1deb4e1721dcc1e998f68723b61fab12240d0deb8ace',
        144212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cae909538479a0187ae7cc6c90b93747eb7264fa8016edf0698a4ab2d2d716c8',
        143892,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4bfd0ef5ed4b88729b7001397a66b19942c2fa662f9365288eef0d9acc40a90b',
        144032,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f5a33070fc5e123bd551f784781a978ecdd189f242ebbaa1d7151cc77b6e5df1',
        144120,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e46151fc55bb8f76bd785bd9f9b4b624e4623df4bfc9c3de20a8ae8af4b62b75',
        144064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd7dff250ae792f4201aa16f55bfd7bc35e59f3afa6a0faeb22f9ced7e4043caf',
        144220,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c210984cde2dd2ffc054961466042eef86ac52f4ecd9eea4d7d2e067c7c8bc3d',
        144208,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansKannada',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Kannada font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Kannada
  static TextTheme notoSansKannadaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansKannada(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansKannada(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansKannada(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansKannada(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansKannada(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansKannada(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansKannada(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansKannada(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansKannada(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansKannada(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansKannada(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansKannada(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansKannada(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansKannada(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansKannada(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Kayah Li font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Kayah+Li
  static TextStyle notoSansKayahLi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c8b8b0cd6fe342c4a7fc93c24d626f829a5ee853e71ae0a817d097f4a71f53ed',
        33128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a4b9ca4456599b24750f4284b4b6fcc9a5e71c1a4f9a147043374a6b6ad089dd',
        33208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7d0538b217ebd0f8cad58bba4e9cf4aa4c4279e68e55a336dc55516678c66c15',
        33248,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '905b5068c0c4f8572276e6a29352c4899fd898b68646069bd89472e23636b84a',
        33152,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansKayahLi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Kayah Li font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Kayah+Li
  static TextTheme notoSansKayahLiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansKayahLi(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansKayahLi(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansKayahLi(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansKayahLi(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansKayahLi(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansKayahLi(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansKayahLi(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansKayahLi(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansKayahLi(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansKayahLi(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansKayahLi(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansKayahLi(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansKayahLi(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansKayahLi(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansKayahLi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Kharoshthi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Kharoshthi
  static TextStyle notoSansKharoshthi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7b94814f220a98ae488817ea138d9436c643e6c3656ce951693ddfc0c269b95d',
        68856,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansKharoshthi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Kharoshthi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Kharoshthi
  static TextTheme notoSansKharoshthiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansKharoshthi(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansKharoshthi(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansKharoshthi(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansKharoshthi(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansKharoshthi(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansKharoshthi(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansKharoshthi(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansKharoshthi(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansKharoshthi(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansKharoshthi(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansKharoshthi(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansKharoshthi(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansKharoshthi(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansKharoshthi(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansKharoshthi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Khmer font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Khmer
  static TextStyle notoSansKhmer({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '222f2fa2178d6a15413728ed32f08bfbb26ede11dd3c9848f5170ecb9933ecd0',
        100784,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '547ee8eaede0bd260e0f5f3479d74110064a65a631cf2e4052aed202fb3e75ba',
        100804,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e7907f0dbecc5ff8a222d7d53a8c005400796e7338fa5525e656d2c242e14948',
        100716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c2acd758b22a1bf6aebdec12b730de0dd7a2a24e767eebb2055ffaad9415b281',
        100088,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8c2aa89c619d029294372acaa19b04ee01755c8b463b6bb3a904dbec17caef74',
        100616,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '06ccf42fa2a20f957f86840c8481a5b956e170a7984b40ba9e5f29c7241f96a7',
        100628,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5a443a4ccfb3780a83adfdadd30c2b96361a56a98caa57a6efa07d058c0eb85c',
        100572,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd5e16c2e504ef83254b30f85061b7ade5a16cd7ecadeab768a9b7cb4e04d608a',
        100680,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7c6227a77f7af9e0d562f335b03ffb44a67920ccb2be75f8c54422c6c6fa87cf',
        100568,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansKhmer',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Khmer font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Khmer
  static TextTheme notoSansKhmerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansKhmer(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansKhmer(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansKhmer(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansKhmer(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansKhmer(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansKhmer(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansKhmer(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansKhmer(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansKhmer(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansKhmer(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansKhmer(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansKhmer(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansKhmer(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansKhmer(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansKhmer(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Khojki font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Khojki
  static TextStyle notoSansKhojki({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5461ff34f0a13a0784f43e72cf4fb37e9a335f72465523ca61d3855fd3fded0d',
        73592,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansKhojki',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Khojki font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Khojki
  static TextTheme notoSansKhojkiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansKhojki(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansKhojki(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansKhojki(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansKhojki(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansKhojki(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansKhojki(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansKhojki(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansKhojki(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansKhojki(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansKhojki(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansKhojki(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansKhojki(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansKhojki(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansKhojki(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansKhojki(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Khudawadi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Khudawadi
  static TextStyle notoSansKhudawadi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd20aafa8d8070841fab37a855f0be7e10ff9e45c734ea4134d377176b09e27c4',
        17804,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansKhudawadi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Khudawadi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Khudawadi
  static TextTheme notoSansKhudawadiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansKhudawadi(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansKhudawadi(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansKhudawadi(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansKhudawadi(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansKhudawadi(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansKhudawadi(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansKhudawadi(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansKhudawadi(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansKhudawadi(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansKhudawadi(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansKhudawadi(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansKhudawadi(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansKhudawadi(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansKhudawadi(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansKhudawadi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Lao font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Lao
  static TextStyle notoSansLao({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3bee4f66693bafa21fe7a845aac97b3a7ea9feba0cc806140095ff34df903711',
        43604,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '92d28eef402f22169bbf98b6ab0822614555c967ea1e95daf915231e67b13097',
        43696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3069c5551c30ac92c6ec19ddfa6749a8a1d87ff9949b50b43c0dd6089f0fff70',
        43628,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9dff2b0d48ef2ae6808826716ac5a566380f09c8d0f33c552998805817281cb7',
        43480,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e5a09c2196e6bb57603106df0ca8a9053d20a6ecd8a222db3adc4b1e2ff028b8',
        43600,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2b3062a466e3fc0e0f7f59edcc198a89a11f215d432706cb1332955ceb5d5bbe',
        43600,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0fa1fedad4ee381ce5b672731ac22c84b5ab2d39738f3213a59b7901208f7d04',
        43524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5443186d3bc519745df45cd36fa35d8df1d3f4a93260547c6b89299eb5245a86',
        43596,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fc86600240a3d227777d2f5d1c85841e49f1002812676d9137c21c31a8852387',
        43496,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansLao',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Lao font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Lao
  static TextTheme notoSansLaoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSansLao(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansLao(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSansLao(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansLao(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansLao(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansLao(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansLao(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansLao(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansLao(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansLao(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansLao(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansLao(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansLao(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansLao(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansLao(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Lao Looped font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Lao+Looped
  static TextStyle notoSansLaoLooped({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bc44de6cc46befcdfcadca39b13908e03a4c1a66a11d520065b83f4fdb81dc59',
        58572,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1b1d10637581f64a956e3a2a6e481ed63875b4cbd803dd9a55c46bae55599220',
        58708,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b5eabd453ae4610d2ef269f73bec8bcf1346b2169fcb587e739b184aa785ac8e',
        58692,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '39ff9fac4585cbae531f9fc4c0bf8d3af19d8bda75e7abdb78e74a53a572767e',
        58612,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '028fbd651ac6ba5772acb6e4b4e635d63aa47b24acf21b3d5c9a8c63d1ac4c52',
        59020,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a1fb55860db54d23e830ec70aa71489fc08d45620daefb76dce1336c80dcd6f5',
        60944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c1b0471130c69d8f136e3d739d14b82a5d922f39dc0b369854ab013a9dc9905d',
        60876,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '750c09d9253e8bbd1e0d9ed2a9ee1bc4dfc4366bcc0d10e9266230ae523d4fd2',
        60972,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '40a5139e2b7f22e3039a115cbb0250111ee07e475dc7ab12593a52373dd5e3e4',
        60892,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansLaoLooped',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Lao Looped font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Lao+Looped
  static TextTheme notoSansLaoLoopedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansLaoLooped(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansLaoLooped(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansLaoLooped(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansLaoLooped(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansLaoLooped(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansLaoLooped(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansLaoLooped(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansLaoLooped(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansLaoLooped(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansLaoLooped(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansLaoLooped(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansLaoLooped(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansLaoLooped(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansLaoLooped(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansLaoLooped(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Lepcha font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Lepcha
  static TextStyle notoSansLepcha({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '327502fcadf4a82f646fe750a416020ccca75e36097f1965956a9feae2d6c444',
        52356,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansLepcha',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Lepcha font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Lepcha
  static TextTheme notoSansLepchaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansLepcha(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansLepcha(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansLepcha(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansLepcha(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansLepcha(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansLepcha(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansLepcha(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansLepcha(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansLepcha(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansLepcha(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansLepcha(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansLepcha(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansLepcha(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansLepcha(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansLepcha(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Limbu font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Limbu
  static TextStyle notoSansLimbu({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c627924fe0ab05ac75287e4dd2c3c84b9faa5d74dadc024d49236dc1b5560142',
        40984,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansLimbu',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Limbu font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Limbu
  static TextTheme notoSansLimbuTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansLimbu(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansLimbu(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansLimbu(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansLimbu(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansLimbu(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansLimbu(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansLimbu(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansLimbu(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansLimbu(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansLimbu(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansLimbu(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansLimbu(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansLimbu(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansLimbu(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansLimbu(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Linear A font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Linear+A
  static TextStyle notoSansLinearA({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1227f2e8ebf7d0e3fdc1fae2a3ae9d2f98b2d147c2947377683f565f8ec2f64f',
        57060,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansLinearA',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Linear A font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Linear+A
  static TextTheme notoSansLinearATextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansLinearA(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansLinearA(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansLinearA(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansLinearA(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansLinearA(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansLinearA(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansLinearA(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansLinearA(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansLinearA(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansLinearA(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansLinearA(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansLinearA(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansLinearA(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansLinearA(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansLinearA(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Linear B font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Linear+B
  static TextStyle notoSansLinearB({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7957267e2b3c2710bfeee8f4fa0aa2ab588b29491462ef69ef35cc073556b474',
        61784,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansLinearB',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Linear B font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Linear+B
  static TextTheme notoSansLinearBTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansLinearB(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansLinearB(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansLinearB(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansLinearB(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansLinearB(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansLinearB(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansLinearB(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansLinearB(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansLinearB(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansLinearB(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansLinearB(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansLinearB(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansLinearB(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansLinearB(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansLinearB(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Lisu font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Lisu
  static TextStyle notoSansLisu({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c49432552e20e3f62ef040ffdc11002ea11fca72415b406cf631e29b07ef0be8',
        37180,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3717115f5ad75c43529b5aa49d84523c71293c54c08cbf2d8d007bef0d9a67c5',
        37264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '878dc105eaf485ae63506fea0b7ce5973cce10d20279fe6a9ca8549a4baebbae',
        37216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '90f61d4bbaf646bf4e596dcca1475ab64bf8103486645f142c5c5941e87b1ad9',
        37180,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansLisu',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Lisu font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Lisu
  static TextTheme notoSansLisuTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSansLisu(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansLisu(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSansLisu(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansLisu(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansLisu(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansLisu(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansLisu(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansLisu(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansLisu(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansLisu(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansLisu(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansLisu(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansLisu(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansLisu(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansLisu(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Lycian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Lycian
  static TextStyle notoSansLycian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'df20c1793b03cf4d6caf915fad42333ef28a6a736083b45463ce7263e01329cf',
        3380,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansLycian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Lycian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Lycian
  static TextTheme notoSansLycianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansLycian(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansLycian(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansLycian(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansLycian(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansLycian(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansLycian(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansLycian(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansLycian(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansLycian(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansLycian(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansLycian(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansLycian(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansLycian(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansLycian(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansLycian(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Lydian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Lydian
  static TextStyle notoSansLydian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'be20f86effa0edfe9e44af4bece86273f01401de2474475d3638020522375ab9',
        3416,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansLydian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Lydian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Lydian
  static TextTheme notoSansLydianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansLydian(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansLydian(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansLydian(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansLydian(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansLydian(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansLydian(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansLydian(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansLydian(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansLydian(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansLydian(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansLydian(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansLydian(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansLydian(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansLydian(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansLydian(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Mahajani font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Mahajani
  static TextStyle notoSansMahajani({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '05fda04889edb50e9156b3e8cd76e1a18ae80cf358b080e27550506ee78df877',
        13188,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMahajani',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Mahajani font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Mahajani
  static TextTheme notoSansMahajaniTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansMahajani(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansMahajani(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansMahajani(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansMahajani(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansMahajani(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansMahajani(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansMahajani(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansMahajani(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansMahajani(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansMahajani(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansMahajani(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansMahajani(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansMahajani(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansMahajani(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansMahajani(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Malayalam font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Malayalam
  static TextStyle notoSansMalayalam({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9b8d35194f940736f430a3a211a725f39a937884001097e2048f85805f46bd56',
        105632,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e078b6431dbe71d939d2411922d374a2f8c80b3aa1ab6bc36af4925f6a7b5ca1',
        105708,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1d6d368b2ee426fb43849bb7085825c1b7e5ab87ecfa62c4d49218fc97c2cd08',
        105696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '221c8014db9d15c51bcc8d8b00996ed3cbcf4d4459e952877aa44a346163b895',
        105588,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1264c2c17aed19e40c104e8673fbe55fedfcdc2cd1f87522dbaaaca4aa5aaf99',
        105628,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '77fb71010d276b5566431f68897d74251b2fedef8c5c8bfeb5dfa89ef5e10d4b',
        105652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ec83d58af592372d1e32fe75b9662c77667c7d024c21a657ce331c54c615a141',
        105548,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '60916a193e6d1ffc49007dae5f9dcec7e28b675d52c833c7da0a91a012d64394',
        105664,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0a0fbbafead1251b45de6e2226a0ecc12207b51c5de792c688cd09bbf3308dbd',
        105580,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMalayalam',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Malayalam font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Malayalam
  static TextTheme notoSansMalayalamTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansMalayalam(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansMalayalam(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansMalayalam(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansMalayalam(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansMalayalam(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansMalayalam(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansMalayalam(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansMalayalam(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansMalayalam(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansMalayalam(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansMalayalam(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansMalayalam(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansMalayalam(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansMalayalam(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansMalayalam(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Mandaic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Mandaic
  static TextStyle notoSansMandaic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '78fb7e8745af6b194703eabd0065aad9a2416b07929098e45d4d51dbdcb6255d',
        17580,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMandaic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Mandaic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Mandaic
  static TextTheme notoSansMandaicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansMandaic(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansMandaic(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansMandaic(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansMandaic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansMandaic(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansMandaic(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansMandaic(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansMandaic(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansMandaic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansMandaic(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansMandaic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansMandaic(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansMandaic(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansMandaic(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansMandaic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Manichaean font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Manichaean
  static TextStyle notoSansManichaean({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '37a692a9908045f47cb605073ef7998afdfc6c08bc09411f94b36613a08253b0',
        30528,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansManichaean',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Manichaean font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Manichaean
  static TextTheme notoSansManichaeanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansManichaean(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansManichaean(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansManichaean(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansManichaean(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansManichaean(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansManichaean(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansManichaean(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansManichaean(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansManichaean(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansManichaean(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansManichaean(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansManichaean(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansManichaean(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansManichaean(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansManichaean(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Marchen font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Marchen
  static TextStyle notoSansMarchen({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9d31c71c74d9f12f7a49540daf0acaef930f175def7bb0745dcc7a7d3404c44b',
        130140,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMarchen',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Marchen font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Marchen
  static TextTheme notoSansMarchenTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansMarchen(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansMarchen(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansMarchen(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansMarchen(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansMarchen(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansMarchen(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansMarchen(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansMarchen(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansMarchen(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansMarchen(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansMarchen(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansMarchen(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansMarchen(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansMarchen(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansMarchen(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Masaram Gondi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Masaram+Gondi
  static TextStyle notoSansMasaramGondi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd54b271adf9dc8d313a02c15bd49f5095d5fd616ae922d3ba3060ccd154118c1',
        57696,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMasaramGondi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Masaram Gondi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Masaram+Gondi
  static TextTheme notoSansMasaramGondiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansMasaramGondi(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansMasaramGondi(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansMasaramGondi(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansMasaramGondi(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansMasaramGondi(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansMasaramGondi(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansMasaramGondi(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansMasaramGondi(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansMasaramGondi(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.notoSansMasaramGondi(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansMasaramGondi(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.notoSansMasaramGondi(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansMasaramGondi(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansMasaramGondi(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansMasaramGondi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Math font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Math
  static TextStyle notoSansMath({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '58483f7c774ee00196ecfc9f293caa468f4ee7777943d47bfe4c4a0c0cc7b8b9',
        372264,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMath',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Math font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Math
  static TextTheme notoSansMathTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSansMath(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansMath(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSansMath(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansMath(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansMath(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansMath(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansMath(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansMath(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansMath(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansMath(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansMath(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansMath(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansMath(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansMath(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansMath(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Mayan Numerals font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Mayan+Numerals
  static TextStyle notoSansMayanNumerals({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b07a0e7bdda2b80c6ce870eeb5239efa8389c65e4f51b02193cfc01a784bfba7',
        3608,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMayanNumerals',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Mayan Numerals font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Mayan+Numerals
  static TextTheme notoSansMayanNumeralsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansMayanNumerals(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansMayanNumerals(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansMayanNumerals(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansMayanNumerals(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.notoSansMayanNumerals(
          textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansMayanNumerals(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansMayanNumerals(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansMayanNumerals(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansMayanNumerals(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.notoSansMayanNumerals(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansMayanNumerals(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.notoSansMayanNumerals(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansMayanNumerals(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansMayanNumerals(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansMayanNumerals(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Medefaidrin font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Medefaidrin
  static TextStyle notoSansMedefaidrin({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ab5d8ee17c3f3a6886f764ea3c8a8d0303359b095ea03711d0eee1a785e358fc',
        66120,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7cbc89a08b4cf33ecefe3f302b71825fcf9e9f6ace16a5c89cf18eae21791e04',
        66164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c85d8a6c334b756383321b8a9d9af79f79fd5af219c134a2b12ac03f33fda45f',
        66184,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '722e3c89476f0f21248b51cc0f39d6aa475dc78d43f68a85c7d67767be6175cc',
        66096,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMedefaidrin',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Medefaidrin font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Medefaidrin
  static TextTheme notoSansMedefaidrinTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansMedefaidrin(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansMedefaidrin(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansMedefaidrin(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansMedefaidrin(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansMedefaidrin(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansMedefaidrin(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansMedefaidrin(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansMedefaidrin(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansMedefaidrin(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.notoSansMedefaidrin(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansMedefaidrin(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.notoSansMedefaidrin(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansMedefaidrin(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansMedefaidrin(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansMedefaidrin(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Meetei Mayek font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Meetei+Mayek
  static TextStyle notoSansMeeteiMayek({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e4a569b8421e68ca58a4869a57de0fb96af358dbeb45a003a1195ea37b6078df',
        45356,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '48568b87858b9868fc144798992692d0fd27bf7a2ea38dd86781bc6f632b328f',
        45444,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '94b186b406d91515a206900c950b50c7479accbff68a16e449cee66c4d197630',
        45420,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '18d3c23f38136b839994c55895a577234fca7af2075b9ef7f937cfc93d97ce85',
        45252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c82bfeeac03dc011e4c313c9bb78c272c2824787d6e6a27f14f0a5ef483094e4',
        45336,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '18f381f6e09e9632cd5c4a46405b8af3f6923e3adeef0ae2436ef00df40ebb8d',
        45312,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ba739b30a06706ae1ccaba7f84e85545fe3c5e46e7417588f406a6a0de25d556',
        45208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '09db1ffcdc511f71d49a8d5758c65fb653c99b5ae083c85611f45a9db16c1f14',
        45352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '14aac391106aa1e103e7818686fe78bcc03ebaaf2e06dc3566da10edf4506d57',
        45240,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMeeteiMayek',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Meetei Mayek font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Meetei+Mayek
  static TextTheme notoSansMeeteiMayekTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansMeeteiMayek(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansMeeteiMayek(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansMeeteiMayek(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansMeeteiMayek(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansMeeteiMayek(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansMeeteiMayek(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansMeeteiMayek(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansMeeteiMayek(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansMeeteiMayek(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.notoSansMeeteiMayek(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansMeeteiMayek(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.notoSansMeeteiMayek(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansMeeteiMayek(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansMeeteiMayek(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansMeeteiMayek(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Mende Kikakui font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Mende+Kikakui
  static TextStyle notoSansMendeKikakui({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd8e004c8ca5a1ce2847843459f584f5f8f94ac26c66e6c96cdb5bd705581e2d5',
        62832,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMendeKikakui',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Mende Kikakui font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Mende+Kikakui
  static TextTheme notoSansMendeKikakuiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansMendeKikakui(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansMendeKikakui(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansMendeKikakui(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansMendeKikakui(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansMendeKikakui(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansMendeKikakui(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansMendeKikakui(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansMendeKikakui(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansMendeKikakui(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.notoSansMendeKikakui(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansMendeKikakui(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.notoSansMendeKikakui(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansMendeKikakui(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansMendeKikakui(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansMendeKikakui(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Meroitic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Meroitic
  static TextStyle notoSansMeroitic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4e4b78790e277889349fc353d7649e5c3044d4819c84ada82f9b26fc9bb3b7bf',
        32356,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMeroitic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Meroitic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Meroitic
  static TextTheme notoSansMeroiticTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansMeroitic(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansMeroitic(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansMeroitic(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansMeroitic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansMeroitic(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansMeroitic(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansMeroitic(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansMeroitic(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansMeroitic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansMeroitic(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansMeroitic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansMeroitic(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansMeroitic(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansMeroitic(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansMeroitic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Miao font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Miao
  static TextStyle notoSansMiao({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9837d482b38755f7ef9a20d2b8988836c9bff601c6db41abfc207a479e197648',
        67504,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMiao',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Miao font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Miao
  static TextTheme notoSansMiaoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSansMiao(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansMiao(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSansMiao(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansMiao(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansMiao(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansMiao(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansMiao(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansMiao(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansMiao(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansMiao(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansMiao(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansMiao(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansMiao(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansMiao(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansMiao(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Modi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Modi
  static TextStyle notoSansModi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8275cb9ad8e19b23924897d11706650f61e63dff308511598422a07bfd49bec5',
        76860,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansModi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Modi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Modi
  static TextTheme notoSansModiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSansModi(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansModi(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSansModi(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansModi(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansModi(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansModi(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansModi(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansModi(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansModi(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansModi(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansModi(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansModi(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansModi(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansModi(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansModi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Mongolian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Mongolian
  static TextStyle notoSansMongolian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2777faa812809553a05342043cd5f972f737d4e135e9c3ec191883b793f7604b',
        214512,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMongolian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Mongolian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Mongolian
  static TextTheme notoSansMongolianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansMongolian(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansMongolian(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansMongolian(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansMongolian(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansMongolian(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansMongolian(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansMongolian(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansMongolian(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansMongolian(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansMongolian(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansMongolian(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansMongolian(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansMongolian(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansMongolian(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansMongolian(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Mono
  static TextStyle notoSansMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2b1a9b40e4340f0eb17826be3618586b6dddbb066fc98e6bb6127fa399cb7681',
        367812,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fd9e75148d9e567e0ff99badc1accb48316b1663d5d56b0f917f91d4374ea12b',
        368256,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f3b113f51e145224f14da82a1126264fd21ee1a6bdf69b362d4002a8cab5a3cc',
        368180,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'db86a2eca822cc6924256a3f1d8c4c927c516b17c6dd4d51dacc3925ad27d1fc',
        367420,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e64e9f20834a94f9b13523525553e474406f1e69effcee70dad60ff948fb25fb',
        367744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1453814bfab6d95ee8cfc04895d998c4c602fd2fced9991926cc01182b16cbb4',
        367600,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f5c0c4db46999f57b54a48b3c5e01af07075997af9fe45438aeb419ff67ed6d8',
        367076,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '140ab417fbdf90811218bb113aaff3a639c8f57621e03e60890a73865880b32f',
        367340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0a773805f9c69fea43973e5c571e1a1231d265561fbb3ae07a19cd5f9e352bfb',
        366932,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Mono
  static TextTheme notoSansMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSansMono(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansMono(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSansMono(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansMono(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansMono(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansMono(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansMono(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansMono(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansMono(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansMono(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansMono(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansMono(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansMono(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansMono(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansMono(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Mro font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Mro
  static TextStyle notoSansMro({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6f7de89bd3a1bc57332bd6cf608afbd219b4d05c5cc045674efea380438013b4',
        36520,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMro',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Mro font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Mro
  static TextTheme notoSansMroTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSansMro(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansMro(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSansMro(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansMro(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansMro(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansMro(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansMro(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansMro(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansMro(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansMro(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansMro(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansMro(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansMro(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansMro(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansMro(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Multani font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Multani
  static TextStyle notoSansMultani({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c181c4209bcb48190187856c3f649b0abc6e8f3160877fa8e2188bec1ccced4b',
        39720,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMultani',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Multani font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Multani
  static TextTheme notoSansMultaniTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansMultani(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansMultani(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansMultani(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansMultani(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansMultani(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansMultani(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansMultani(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansMultani(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansMultani(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansMultani(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansMultani(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansMultani(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansMultani(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansMultani(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansMultani(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Myanmar font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Myanmar
  static TextStyle notoSansMyanmar({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f979ca37627e5212a79d2bf68419c85054e3310a5deeb5a1f7f34595f67b2a32',
        151988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c54a8217f763efd7148cefea05f798de6a49426516abec96d6a870ebabd883c8',
        150128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7f9ef0623535f1522ec0af734d5b5e58696e2416e832a693ea927c903f850034',
        148240,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c0c9d06b2ef6a27c0e3c893cc3dc749b36045d249dcfb4d8eb1a68fe9534aadd',
        146952,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bd0c67134ef7337f8c3de5c53c0672c44e9aae5a1eb120f214f79af21524755e',
        145836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9c88e9603fb22b1377132e7f92cdc51ad336270e3726f7ecfa218d03d69f5288',
        145144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '32aef232e66dde0e3267acfc4a25118e5a5c2c9d553038fea849acb7d5ef35f7',
        144628,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ee98aabb35c85d90e8784df4e8d25761da43eea2c5965e6e798f97d58d1d40e6',
        144580,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '70d87a8150edd32cc0b125045824f270b9406e6d30f9f8a69821655dc20be43d',
        146152,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMyanmar',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Myanmar font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Myanmar
  static TextTheme notoSansMyanmarTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansMyanmar(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansMyanmar(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansMyanmar(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansMyanmar(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansMyanmar(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansMyanmar(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansMyanmar(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansMyanmar(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansMyanmar(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansMyanmar(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansMyanmar(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansMyanmar(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansMyanmar(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansMyanmar(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansMyanmar(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans NKo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+NKo
  static TextStyle notoSansNKo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8bdb1556ff6f6b16175c47927c3459b8427be26be0c506bf7cba2d823bc17128',
        50736,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansNKo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans NKo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+NKo
  static TextTheme notoSansNKoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSansNKo(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansNKo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSansNKo(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansNKo(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansNKo(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansNKo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansNKo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansNKo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansNKo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansNKo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansNKo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansNKo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansNKo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansNKo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansNKo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Nabataean font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Nabataean
  static TextStyle notoSansNabataean({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7e8c3449feabfa772702ad83fc3dd0856914f08ceecd16b5f4c1a92276210d04',
        7220,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansNabataean',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Nabataean font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Nabataean
  static TextTheme notoSansNabataeanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansNabataean(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansNabataean(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansNabataean(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansNabataean(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansNabataean(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansNabataean(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansNabataean(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansNabataean(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansNabataean(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansNabataean(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansNabataean(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansNabataean(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansNabataean(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansNabataean(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansNabataean(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Nag Mundari font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Nag+Mundari
  static TextStyle notoSansNagMundari({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '48a6a54980082ead7cfe5d7f05972b580dc364579d539725d60e2970f1acb90f',
        38972,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '15f0fc6e40917910ddaa4f142a6bcc3c97e5b6506c4ef9e4700d80cb84b00636',
        39064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c76bb09164db44ed68049ca489da74175ff1e9dc221073037bc8b23d5c0b9bc3',
        39000,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '27dcaff2ae83936e031e108eea0b0ba105e4354b4159d447edc23e45f59196b6',
        38948,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansNagMundari',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Nag Mundari font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Nag+Mundari
  static TextTheme notoSansNagMundariTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansNagMundari(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansNagMundari(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansNagMundari(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansNagMundari(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansNagMundari(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansNagMundari(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansNagMundari(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansNagMundari(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansNagMundari(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansNagMundari(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansNagMundari(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansNagMundari(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansNagMundari(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansNagMundari(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansNagMundari(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Nandinagari font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Nandinagari
  static TextStyle notoSansNandinagari({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f165eb1d180f5e55d359d77fdaaca8a6562afe2c197d8c79ba384bb5a328d9d4',
        121676,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansNandinagari',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Nandinagari font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Nandinagari
  static TextTheme notoSansNandinagariTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansNandinagari(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansNandinagari(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansNandinagari(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansNandinagari(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansNandinagari(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansNandinagari(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansNandinagari(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansNandinagari(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansNandinagari(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.notoSansNandinagari(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansNandinagari(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.notoSansNandinagari(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansNandinagari(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansNandinagari(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansNandinagari(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans New Tai Lue font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+New+Tai+Lue
  static TextStyle notoSansNewTaiLue({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '22c3be9b36a203cf7d1d1f990bf34b78d4def2075c58885f9955042dbfa1b221',
        46348,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6c6a59dd58b4510f86edcfb26101a9ffd84b7aca38e411785724ad91988448b7',
        46396,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b5c30670c4fa2c41cc518a4a89f37dd975c111be3279879bafd5c1e9f3bc1a7e',
        46376,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f50d1e8f228549fe0ac15a13bdda851f443ab784331afb0dbb5c592ae1ade1f6',
        46328,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansNewTaiLue',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans New Tai Lue font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+New+Tai+Lue
  static TextTheme notoSansNewTaiLueTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansNewTaiLue(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansNewTaiLue(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansNewTaiLue(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansNewTaiLue(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansNewTaiLue(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansNewTaiLue(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansNewTaiLue(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansNewTaiLue(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansNewTaiLue(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansNewTaiLue(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansNewTaiLue(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansNewTaiLue(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansNewTaiLue(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansNewTaiLue(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansNewTaiLue(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Newa font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Newa
  static TextStyle notoSansNewa({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b7ef336ff8fffff798690cfdc96b3bf2cc2ab22bd39d074a678835fb3a550e24',
        185192,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansNewa',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Newa font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Newa
  static TextTheme notoSansNewaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSansNewa(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansNewa(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSansNewa(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansNewa(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansNewa(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansNewa(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansNewa(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansNewa(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansNewa(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansNewa(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansNewa(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansNewa(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansNewa(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansNewa(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansNewa(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Nushu font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Nushu
  static TextStyle notoSansNushu({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '67b1fdb30eccba7cfc579ad0ca1ecaa499410f2bf9cc0a23625486f0be7d4e66',
        147252,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansNushu',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Nushu font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Nushu
  static TextTheme notoSansNushuTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansNushu(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansNushu(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansNushu(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansNushu(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansNushu(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansNushu(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansNushu(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansNushu(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansNushu(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansNushu(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansNushu(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansNushu(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansNushu(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansNushu(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansNushu(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Ogham font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Ogham
  static TextStyle notoSansOgham({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '294effb5be358f3c23b989a8494391ee075c64a16199eed47f2f68a0c3bf2cdd',
        3576,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansOgham',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Ogham font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Ogham
  static TextTheme notoSansOghamTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansOgham(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansOgham(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansOgham(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansOgham(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansOgham(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansOgham(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansOgham(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansOgham(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansOgham(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansOgham(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansOgham(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansOgham(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansOgham(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansOgham(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansOgham(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Ol Chiki font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Ol+Chiki
  static TextStyle notoSansOlChiki({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '328739990d6b01cfefced3de84f88e43e628ec1399f3e48401a72913cf72285c',
        35788,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cec5f5b161612264145a80b3629e056ea597efd6cfe697b03087ff8e4e808c2a',
        35836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c1dbece7965aeedc5bee0f2ca3cb7afb12671819b2cb1d186086f1ac5417cbfc',
        35832,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ccfdecad1ea5c0654dfcc1d8068ef6ec01bc64e1ea9c444b8bffbcf32e40cd0f',
        35764,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansOlChiki',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Ol Chiki font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Ol+Chiki
  static TextTheme notoSansOlChikiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansOlChiki(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansOlChiki(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansOlChiki(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansOlChiki(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansOlChiki(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansOlChiki(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansOlChiki(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansOlChiki(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansOlChiki(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansOlChiki(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansOlChiki(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansOlChiki(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansOlChiki(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansOlChiki(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansOlChiki(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Old Hungarian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+Hungarian
  static TextStyle notoSansOldHungarian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c9bdbb5dadef6da77dab44efa6ee39f42b1f05e6c9ae248d564d4bc3eb304270',
        51516,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansOldHungarian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Old Hungarian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+Hungarian
  static TextTheme notoSansOldHungarianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansOldHungarian(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansOldHungarian(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansOldHungarian(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansOldHungarian(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansOldHungarian(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansOldHungarian(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansOldHungarian(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansOldHungarian(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansOldHungarian(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.notoSansOldHungarian(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansOldHungarian(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.notoSansOldHungarian(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansOldHungarian(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansOldHungarian(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansOldHungarian(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Old Italic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+Italic
  static TextStyle notoSansOldItalic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dd972f97bde9d9beb1c5523f012d1a922b2404825cc97c7abca5ff3195a99fbe',
        6468,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansOldItalic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Old Italic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+Italic
  static TextTheme notoSansOldItalicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansOldItalic(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansOldItalic(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansOldItalic(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansOldItalic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansOldItalic(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansOldItalic(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansOldItalic(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansOldItalic(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansOldItalic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansOldItalic(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansOldItalic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansOldItalic(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansOldItalic(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansOldItalic(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansOldItalic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Old North Arabian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+North+Arabian
  static TextStyle notoSansOldNorthArabian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dbba4bfcba4ee5c7ebd24e3846976091dc9b8645dad791da43258929d7e17f8e',
        6052,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansOldNorthArabian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Old North Arabian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+North+Arabian
  static TextTheme notoSansOldNorthArabianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSansOldNorthArabian(
          textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.notoSansOldNorthArabian(
          textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSansOldNorthArabian(
          textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.notoSansOldNorthArabian(
          textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.notoSansOldNorthArabian(
          textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.notoSansOldNorthArabian(
          textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansOldNorthArabian(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansOldNorthArabian(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansOldNorthArabian(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.notoSansOldNorthArabian(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansOldNorthArabian(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.notoSansOldNorthArabian(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansOldNorthArabian(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansOldNorthArabian(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansOldNorthArabian(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Old Permic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+Permic
  static TextStyle notoSansOldPermic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '56d277d03f0f1e1452a9a355a3e3cb48770eeac59a3a3bfa9d3069d3ea208f4e',
        8896,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansOldPermic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Old Permic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+Permic
  static TextTheme notoSansOldPermicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansOldPermic(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansOldPermic(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansOldPermic(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansOldPermic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansOldPermic(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansOldPermic(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansOldPermic(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansOldPermic(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansOldPermic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansOldPermic(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansOldPermic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansOldPermic(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansOldPermic(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansOldPermic(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansOldPermic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Old Persian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+Persian
  static TextStyle notoSansOldPersian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '528ce03546fe77eb57753de610acf14ff09997fbb209f719ab59cc0071beadad',
        11600,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansOldPersian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Old Persian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+Persian
  static TextTheme notoSansOldPersianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansOldPersian(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansOldPersian(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansOldPersian(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansOldPersian(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansOldPersian(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansOldPersian(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansOldPersian(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansOldPersian(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansOldPersian(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansOldPersian(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansOldPersian(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansOldPersian(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansOldPersian(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansOldPersian(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansOldPersian(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Old Sogdian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+Sogdian
  static TextStyle notoSansOldSogdian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f119c713211e3d8bf6be1de794962b8ee716e107bb141f0deaca2c217ac9326e',
        10808,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansOldSogdian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Old Sogdian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+Sogdian
  static TextTheme notoSansOldSogdianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansOldSogdian(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansOldSogdian(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansOldSogdian(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansOldSogdian(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansOldSogdian(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansOldSogdian(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansOldSogdian(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansOldSogdian(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansOldSogdian(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansOldSogdian(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansOldSogdian(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansOldSogdian(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansOldSogdian(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansOldSogdian(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansOldSogdian(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Old South Arabian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+South+Arabian
  static TextStyle notoSansOldSouthArabian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6ee26c031ce58b213f95a4622e9cc71cafee3721cbc5bf950748660a755e6b34',
        4100,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansOldSouthArabian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Old South Arabian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+South+Arabian
  static TextTheme notoSansOldSouthArabianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSansOldSouthArabian(
          textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.notoSansOldSouthArabian(
          textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSansOldSouthArabian(
          textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.notoSansOldSouthArabian(
          textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.notoSansOldSouthArabian(
          textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.notoSansOldSouthArabian(
          textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansOldSouthArabian(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansOldSouthArabian(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansOldSouthArabian(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.notoSansOldSouthArabian(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansOldSouthArabian(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.notoSansOldSouthArabian(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansOldSouthArabian(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansOldSouthArabian(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansOldSouthArabian(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Old Turkic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+Turkic
  static TextStyle notoSansOldTurkic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c4df21a3b450dd95c0f4cac89e752c00575932aa0b504a0bc481b1e746e10bb6',
        7368,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansOldTurkic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Old Turkic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+Turkic
  static TextTheme notoSansOldTurkicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansOldTurkic(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansOldTurkic(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansOldTurkic(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansOldTurkic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansOldTurkic(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansOldTurkic(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansOldTurkic(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansOldTurkic(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansOldTurkic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansOldTurkic(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansOldTurkic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansOldTurkic(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansOldTurkic(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansOldTurkic(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansOldTurkic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Oriya font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Oriya
  static TextStyle notoSansOriya({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'af3422efa99ae4c107a9ff6fef352ee04d1d691ff40a56c79e5099f0e34b7ecb',
        134544,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd8d32500940161078fb023786dc7be3842ef8afd0675afc494da7e5628c86233',
        135160,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e877ca19a892a6f9c1540386bc946258cf12e5a8f18da74b5cdc59bc760275f8',
        135164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4e857bed812397e04264515925bfc5afc2c59e969f65122f1b534865b40ce110',
        135012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '24606adbaff42c3a85e6c8547441a34ebc646bc6bff478a8086e5a3cea2058b9',
        135100,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7eb869144f8f2ad6a2e3c0ce7a701c568339b673fc0f5355ec1771dec7d9273a',
        135144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ae06645639ebc20327f5067f07bde398bcfec1ddf3ccc860b5fafa5d7d508681',
        135128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b73a566e2b70c84d238bd40f86114e0e1c5dbd8df496607ed26d26e7d0eaa77a',
        125048,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e0c2ce1a3b86fb46dc2d7c790cf34c2a8ac32d015c3d063bfec85d36d51c262e',
        124872,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansOriya',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Oriya font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Oriya
  static TextTheme notoSansOriyaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansOriya(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansOriya(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansOriya(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansOriya(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansOriya(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansOriya(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansOriya(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansOriya(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansOriya(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansOriya(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansOriya(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansOriya(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansOriya(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansOriya(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansOriya(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Osage font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Osage
  static TextStyle notoSansOsage({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5fe5c4030d622866e99d796f6a016019ce0bae06924e0c81d7aa89acca895d5f',
        40412,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansOsage',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Osage font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Osage
  static TextTheme notoSansOsageTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansOsage(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansOsage(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansOsage(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansOsage(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansOsage(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansOsage(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansOsage(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansOsage(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansOsage(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansOsage(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansOsage(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansOsage(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansOsage(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansOsage(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansOsage(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Osmanya font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Osmanya
  static TextStyle notoSansOsmanya({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8025fe4ffd39f53709b44fc8c97b72575c6ee96b54452990bb23ec0625af4ddc',
        38124,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansOsmanya',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Osmanya font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Osmanya
  static TextTheme notoSansOsmanyaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansOsmanya(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansOsmanya(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansOsmanya(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansOsmanya(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansOsmanya(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansOsmanya(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansOsmanya(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansOsmanya(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansOsmanya(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansOsmanya(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansOsmanya(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansOsmanya(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansOsmanya(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansOsmanya(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansOsmanya(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Pahawh Hmong font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Pahawh+Hmong
  static TextStyle notoSansPahawhHmong({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4cc6d458cb4c5ac77c53b15c4a87297db60f7004feec8e6c8db50fbc5e507d82',
        49248,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansPahawhHmong',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Pahawh Hmong font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Pahawh+Hmong
  static TextTheme notoSansPahawhHmongTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansPahawhHmong(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansPahawhHmong(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansPahawhHmong(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansPahawhHmong(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansPahawhHmong(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansPahawhHmong(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansPahawhHmong(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansPahawhHmong(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansPahawhHmong(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.notoSansPahawhHmong(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansPahawhHmong(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.notoSansPahawhHmong(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansPahawhHmong(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansPahawhHmong(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansPahawhHmong(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Palmyrene font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Palmyrene
  static TextStyle notoSansPalmyrene({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6baf5aae853c00199a1ca94a0984a6cb1e2a9117b6a04bd069167b1fff053b53',
        7644,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansPalmyrene',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Palmyrene font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Palmyrene
  static TextTheme notoSansPalmyreneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansPalmyrene(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansPalmyrene(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansPalmyrene(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansPalmyrene(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansPalmyrene(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansPalmyrene(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansPalmyrene(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansPalmyrene(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansPalmyrene(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansPalmyrene(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansPalmyrene(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansPalmyrene(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansPalmyrene(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansPalmyrene(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansPalmyrene(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Pau Cin Hau font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Pau+Cin+Hau
  static TextStyle notoSansPauCinHau({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd24e66a902aff59ccfd06ff94e59ebdf769453820635485433fb8c86c2c97504',
        38976,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansPauCinHau',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Pau Cin Hau font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Pau+Cin+Hau
  static TextTheme notoSansPauCinHauTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansPauCinHau(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansPauCinHau(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansPauCinHau(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansPauCinHau(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansPauCinHau(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansPauCinHau(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansPauCinHau(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansPauCinHau(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansPauCinHau(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansPauCinHau(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansPauCinHau(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansPauCinHau(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansPauCinHau(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansPauCinHau(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansPauCinHau(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Phags Pa font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Phags+Pa
  static TextStyle notoSansPhagsPa({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '11c550113dacfd66111e57e09469834b626d011947d89275b23eb84ba35af1f7',
        38180,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansPhagsPa',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Phags Pa font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Phags+Pa
  static TextTheme notoSansPhagsPaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansPhagsPa(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansPhagsPa(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansPhagsPa(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansPhagsPa(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansPhagsPa(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansPhagsPa(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansPhagsPa(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansPhagsPa(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansPhagsPa(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansPhagsPa(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansPhagsPa(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansPhagsPa(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansPhagsPa(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansPhagsPa(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansPhagsPa(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Phoenician font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Phoenician
  static TextStyle notoSansPhoenician({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3bd17d1dbba92b5a391fced2df69da9531df480c6bcb5d9c081fc9b34db67c25',
        5084,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansPhoenician',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Phoenician font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Phoenician
  static TextTheme notoSansPhoenicianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansPhoenician(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansPhoenician(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansPhoenician(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansPhoenician(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansPhoenician(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansPhoenician(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansPhoenician(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansPhoenician(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansPhoenician(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansPhoenician(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansPhoenician(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansPhoenician(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansPhoenician(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansPhoenician(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansPhoenician(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Psalter Pahlavi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Psalter+Pahlavi
  static TextStyle notoSansPsalterPahlavi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eefea62df4bff86236cfd0645d22235acc2135a2a4661878c94c2444184307fb',
        20704,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansPsalterPahlavi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Psalter Pahlavi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Psalter+Pahlavi
  static TextTheme notoSansPsalterPahlaviTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansPsalterPahlavi(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.notoSansPsalterPahlavi(
          textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansPsalterPahlavi(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.notoSansPsalterPahlavi(
          textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.notoSansPsalterPahlavi(
          textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.notoSansPsalterPahlavi(
          textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansPsalterPahlavi(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansPsalterPahlavi(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansPsalterPahlavi(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.notoSansPsalterPahlavi(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansPsalterPahlavi(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.notoSansPsalterPahlavi(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansPsalterPahlavi(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansPsalterPahlavi(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansPsalterPahlavi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Rejang font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Rejang
  static TextStyle notoSansRejang({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8c154a691927c2e1317d721743da06e4a67865afe7036fca66c7408193749fce',
        37328,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansRejang',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Rejang font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Rejang
  static TextTheme notoSansRejangTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansRejang(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansRejang(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansRejang(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansRejang(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansRejang(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansRejang(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansRejang(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansRejang(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansRejang(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansRejang(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansRejang(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansRejang(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansRejang(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansRejang(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansRejang(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Runic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Runic
  static TextStyle notoSansRunic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '566ee9e53d3557252c8c79fa2f468d026464006200b332c972006fa696095c33',
        7936,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansRunic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Runic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Runic
  static TextTheme notoSansRunicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansRunic(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansRunic(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansRunic(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansRunic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansRunic(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansRunic(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansRunic(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansRunic(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansRunic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansRunic(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansRunic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansRunic(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansRunic(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansRunic(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansRunic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Samaritan font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Samaritan
  static TextStyle notoSansSamaritan({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '920a2c02a0e2c2fab6c34f318613b5ee6587a116e4158a955b55006c58a1f3b6',
        10012,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansSamaritan',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Samaritan font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Samaritan
  static TextTheme notoSansSamaritanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansSamaritan(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansSamaritan(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansSamaritan(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansSamaritan(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansSamaritan(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansSamaritan(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansSamaritan(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansSamaritan(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansSamaritan(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansSamaritan(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansSamaritan(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansSamaritan(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansSamaritan(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansSamaritan(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansSamaritan(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Saurashtra font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Saurashtra
  static TextStyle notoSansSaurashtra({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '849abe50bb5d1a86a5c313e3352642022ab099f3e36ec38da14678ea087d7877',
        48172,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansSaurashtra',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Saurashtra font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Saurashtra
  static TextTheme notoSansSaurashtraTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansSaurashtra(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansSaurashtra(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansSaurashtra(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansSaurashtra(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansSaurashtra(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansSaurashtra(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansSaurashtra(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansSaurashtra(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansSaurashtra(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansSaurashtra(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansSaurashtra(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansSaurashtra(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansSaurashtra(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansSaurashtra(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansSaurashtra(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Sharada font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Sharada
  static TextStyle notoSansSharada({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '480540d514a7c1fbf019b379f09b7c2b192e5598d42f43418d614917d6a9cc86',
        85140,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansSharada',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Sharada font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Sharada
  static TextTheme notoSansSharadaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansSharada(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansSharada(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansSharada(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansSharada(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansSharada(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansSharada(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansSharada(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansSharada(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansSharada(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansSharada(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansSharada(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansSharada(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansSharada(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansSharada(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansSharada(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Shavian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Shavian
  static TextStyle notoSansShavian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '835fe7e7c393b0ca630d753a483e51e5c256f4e8535bb9e693376922a7470091',
        5724,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansShavian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Shavian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Shavian
  static TextTheme notoSansShavianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansShavian(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansShavian(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansShavian(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansShavian(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansShavian(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansShavian(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansShavian(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansShavian(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansShavian(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansShavian(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansShavian(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansShavian(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansShavian(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansShavian(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansShavian(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Siddham font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Siddham
  static TextStyle notoSansSiddham({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '946791b0a0eabdf0915a38574ce33e52c1f35a2506ffc321a5569f2e99b01a23',
        149720,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansSiddham',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Siddham font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Siddham
  static TextTheme notoSansSiddhamTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansSiddham(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansSiddham(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansSiddham(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansSiddham(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansSiddham(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansSiddham(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansSiddham(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansSiddham(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansSiddham(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansSiddham(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansSiddham(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansSiddham(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansSiddham(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansSiddham(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansSiddham(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans SignWriting font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+SignWriting
  static TextStyle notoSansSignWriting({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '40cd412cb6cf69ffc1d920f19727a749067ee6b27838153bc944574eff98d65d',
        5323872,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansSignWriting',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans SignWriting font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+SignWriting
  static TextTheme notoSansSignWritingTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansSignWriting(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansSignWriting(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansSignWriting(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansSignWriting(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansSignWriting(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansSignWriting(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansSignWriting(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansSignWriting(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansSignWriting(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.notoSansSignWriting(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansSignWriting(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.notoSansSignWriting(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansSignWriting(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansSignWriting(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansSignWriting(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Sinhala font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Sinhala
  static TextStyle notoSansSinhala({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7dd79d0635bc28369441bfbc6287c18e275ff7d433497d682ab61e96be1b703d',
        235976,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a41be88a59ddf1bf554c56a443164dac2942771aae9510b36e2d6722a0138e99',
        236000,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e03d16330f7e8a8a0ae53dc01c0b016e732a23dd8f472d2c86cd740d903b5c3f',
        236068,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f0830738b7bf94cff7d13486a59a376e0f37dc3855412a01c45dca26795db140',
        235904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '31a77ba663d918ad98f62c8e38dc9784a5b6d59c411c6d95021d9853cf95bc6a',
        235976,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1ae9aca8aa428f5c8d001059f55324f7b4a87c1e718dfeda03164d42b7e4d75d',
        235904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b4684ab5e1fa2fe363b37a9140235836c38155cc2dfb54cc12853610a1ea92a4',
        235576,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '879d1e363d8c5cc52018eafb5e3746c8501c8e32ed4dd37c1a4be602b09d35c5',
        235612,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0979722dabb0164244f681007c997588598f391089646b02cbe1178246659f93',
        235276,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansSinhala',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Sinhala font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Sinhala
  static TextTheme notoSansSinhalaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansSinhala(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansSinhala(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansSinhala(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansSinhala(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansSinhala(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansSinhala(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansSinhala(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansSinhala(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansSinhala(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansSinhala(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansSinhala(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansSinhala(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansSinhala(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansSinhala(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansSinhala(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Sogdian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Sogdian
  static TextStyle notoSansSogdian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '574fabb53f2fd5d310d2d6779bb40f17024a3f3dcc3e3d6a59a3f0f22c7320ed',
        63808,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansSogdian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Sogdian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Sogdian
  static TextTheme notoSansSogdianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansSogdian(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansSogdian(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansSogdian(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansSogdian(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansSogdian(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansSogdian(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansSogdian(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansSogdian(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansSogdian(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansSogdian(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansSogdian(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansSogdian(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansSogdian(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansSogdian(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansSogdian(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Sora Sompeng font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Sora+Sompeng
  static TextStyle notoSansSoraSompeng({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f192190273196b165d833b154581945079f79ac26c6f22eca2ebcc220cbb2829',
        39220,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bba68e5c2ec7e1d9b26363aca99e6952a9b7924021461995b1deda974500b846',
        39332,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0c15d2dfc7bde5ce5ca9afcd49c6c36256d94975610cadbb4520c1b384feac35',
        39276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cbd1fed93130128ac53240429a64039b85ab11a41a7b64ffe9c8b898befce24a',
        39228,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansSoraSompeng',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Sora Sompeng font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Sora+Sompeng
  static TextTheme notoSansSoraSompengTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansSoraSompeng(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansSoraSompeng(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansSoraSompeng(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansSoraSompeng(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansSoraSompeng(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansSoraSompeng(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansSoraSompeng(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansSoraSompeng(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansSoraSompeng(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.notoSansSoraSompeng(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansSoraSompeng(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.notoSansSoraSompeng(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansSoraSompeng(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansSoraSompeng(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansSoraSompeng(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Soyombo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Soyombo
  static TextStyle notoSansSoyombo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0f02d35b6efba6a045abf92f6f60e73ac11b35c6773ba5383fcb441ab028bafb',
        65788,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansSoyombo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Soyombo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Soyombo
  static TextTheme notoSansSoyomboTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansSoyombo(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansSoyombo(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansSoyombo(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansSoyombo(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansSoyombo(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansSoyombo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansSoyombo(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansSoyombo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansSoyombo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansSoyombo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansSoyombo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansSoyombo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansSoyombo(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansSoyombo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansSoyombo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Sundanese font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Sundanese
  static TextStyle notoSansSundanese({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3f3b66b3c2dea535f7f9f7c5f6310b63175f3578d5f931c335bee01ede841705',
        38620,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8b0fe79a3ab92bdb81d2dd54ed935b37c459860f7d045641730ccbedaaa464b4',
        38660,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e065484c4cb945e6214c1eee78dc4a3caba4f2d3b09f8de0f29260726346a250',
        38644,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2f2f9819024f38e9cbcfe0756dd0668bb8dc77ad50dd500b4f63038f6f4f468f',
        38608,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansSundanese',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Sundanese font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Sundanese
  static TextTheme notoSansSundaneseTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansSundanese(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansSundanese(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansSundanese(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansSundanese(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansSundanese(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansSundanese(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansSundanese(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansSundanese(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansSundanese(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansSundanese(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansSundanese(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansSundanese(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansSundanese(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansSundanese(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansSundanese(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Syloti Nagri font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Syloti+Nagri
  static TextStyle notoSansSylotiNagri({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '67d1583c490e73682fb5462b073dc393dddf32c8772030ef201de1c416b301dc',
        45088,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansSylotiNagri',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Syloti Nagri font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Syloti+Nagri
  static TextTheme notoSansSylotiNagriTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansSylotiNagri(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansSylotiNagri(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansSylotiNagri(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansSylotiNagri(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansSylotiNagri(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansSylotiNagri(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansSylotiNagri(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansSylotiNagri(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansSylotiNagri(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.notoSansSylotiNagri(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansSylotiNagri(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.notoSansSylotiNagri(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansSylotiNagri(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansSylotiNagri(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansSylotiNagri(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Symbols font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Symbols
  static TextStyle notoSansSymbols({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '412f1ad3c36832a0c1b9dafcfa7a695c49ddd0e89eb30a37781ed42c4545d42b',
        202240,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7e0a2c3d22a69ba68d1deb82d192d14df0476bf75eb8670aab7885f6eda8019b',
        202316,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5bbdd76d1ec3999022a4a742d3cc0c29309a42c02f4a3d59823ef752faa23a15',
        202280,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd976afd46667653649e592fc2c7664f2380012a0bbb1c0634d4cb9c475a4b107',
        202052,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ea207b52946e6229f5a8640b778116c0f998d058e2503ba5dc77cb76f543be4d',
        202012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b373baf6d673ed093845419e7385a1ab22f364365c088bfb0b46ceb31366667b',
        201936,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '177aecd1d7136aba5565472fa43eb2216a5ea194d798de22a05c09858d52ec71',
        201680,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b174b8623849a439af14f71aec71a2907edcbae92b5c270b6295efea0d381da7',
        201636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '96930d7d1e981ed4c9e9abbef09d80d5e5f6d9cd9804c328053df18282bcc8aa',
        201476,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansSymbols',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Symbols font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Symbols
  static TextTheme notoSansSymbolsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansSymbols(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansSymbols(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansSymbols(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansSymbols(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansSymbols(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansSymbols(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansSymbols(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansSymbols(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansSymbols(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansSymbols(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansSymbols(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansSymbols(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansSymbols(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansSymbols(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansSymbols(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Symbols 2 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Symbols+2
  static TextStyle notoSansSymbols2({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0e4d5d7857483c6b38e26fb0e51763e147c26e4e847a8fefaeedd1c25851f583',
        691356,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansSymbols2',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Symbols 2 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Symbols+2
  static TextTheme notoSansSymbols2TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansSymbols2(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansSymbols2(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansSymbols2(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansSymbols2(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansSymbols2(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansSymbols2(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansSymbols2(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansSymbols2(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansSymbols2(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansSymbols2(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansSymbols2(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansSymbols2(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansSymbols2(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansSymbols2(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansSymbols2(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Syriac font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Syriac
  static TextStyle notoSansSyriac({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd5f3e781fbea1261bee6913c0c0bee6f257388a886d7fda6506dc648d6062731',
        83144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7d6d70880e79dacd920253ffd686eb5a8c0ebe8cd5ba4c57fed3ae96526feb34',
        83232,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1fb1c2457c12b9c1e63eef764987ef41484c0e241b77bdd171116a2677c82755',
        83244,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9582524ac8df22e9dc2d63a454914815ab1731737de113dc7f91a26ac5d26183',
        82840,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'acc178be7f92aeda5b41699a4d1de9470e731a24b444629c89debeead9ccc669',
        83128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '331e28f0ac9bc3b17a1638bfbff0ed454065c60b4c5217ab9047d4d14ddbd3f0',
        83256,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1a65ff98e5d27ded8822e182b52739836b273da15c087fc60f42c14265499946',
        83172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8f28ca9d1a3caf93e4b1eb94c492a3386154bb794709a112e69654d29fe8f918',
        83248,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f3cc0e68b7ceab0d2861227657a0cc5771ea83f80613b8a5f6eb21621c51b246',
        83160,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansSyriac',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Syriac font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Syriac
  static TextTheme notoSansSyriacTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansSyriac(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansSyriac(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansSyriac(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansSyriac(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansSyriac(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansSyriac(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansSyriac(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansSyriac(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansSyriac(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansSyriac(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansSyriac(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansSyriac(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansSyriac(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansSyriac(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansSyriac(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Tagalog font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tagalog
  static TextStyle notoSansTagalog({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0538354d8eea8db65bafad4bb3d5b43be65efd7abaceacf0f5cd8188883e6a38',
        35864,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansTagalog',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Tagalog font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tagalog
  static TextTheme notoSansTagalogTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansTagalog(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansTagalog(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansTagalog(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansTagalog(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansTagalog(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansTagalog(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansTagalog(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansTagalog(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansTagalog(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansTagalog(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansTagalog(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansTagalog(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansTagalog(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansTagalog(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansTagalog(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Tagbanwa font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tagbanwa
  static TextStyle notoSansTagbanwa({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f021729d9bbe929461b774595c146cef1ab19d31fee5c543c645eed2a0143874',
        29616,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansTagbanwa',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Tagbanwa font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tagbanwa
  static TextTheme notoSansTagbanwaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansTagbanwa(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansTagbanwa(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansTagbanwa(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansTagbanwa(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansTagbanwa(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansTagbanwa(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansTagbanwa(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansTagbanwa(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansTagbanwa(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansTagbanwa(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansTagbanwa(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansTagbanwa(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansTagbanwa(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansTagbanwa(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansTagbanwa(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Tai Le font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tai+Le
  static TextStyle notoSansTaiLe({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '32d017c911f472b42fc7e84338c8d7b2338340c4c908d0ce41bf1563d535ef1f',
        38484,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansTaiLe',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Tai Le font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tai+Le
  static TextTheme notoSansTaiLeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansTaiLe(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansTaiLe(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansTaiLe(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansTaiLe(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansTaiLe(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansTaiLe(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansTaiLe(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansTaiLe(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansTaiLe(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansTaiLe(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansTaiLe(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansTaiLe(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansTaiLe(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansTaiLe(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansTaiLe(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Tai Tham font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tai+Tham
  static TextStyle notoSansTaiTham({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a45d2872639d0d08b871a3c829bd17ec2712761caccec84a13a7558bb1d611a1',
        117668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '857c486edb1ae795e0bed9b8880f24b3d156bc81e2933d08d36ea5b90821062d',
        117716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '589aca20e96093a275f60be03be4107191fc6043a9c3565917815eba36d682c1',
        117704,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '511b9f7251c26a99cc0e43f36b6b62036fe81837ca1730df1f8651d32e19d938',
        117592,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansTaiTham',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Tai Tham font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tai+Tham
  static TextTheme notoSansTaiThamTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansTaiTham(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansTaiTham(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansTaiTham(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansTaiTham(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansTaiTham(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansTaiTham(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansTaiTham(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansTaiTham(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansTaiTham(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansTaiTham(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansTaiTham(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansTaiTham(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansTaiTham(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansTaiTham(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansTaiTham(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Tai Viet font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tai+Viet
  static TextStyle notoSansTaiViet({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2c62e6bb9c35a3be91fa83abcb120f180104ac6e0b0a4e83b3849e7c81196be4',
        44956,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansTaiViet',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Tai Viet font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tai+Viet
  static TextTheme notoSansTaiVietTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansTaiViet(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansTaiViet(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansTaiViet(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansTaiViet(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansTaiViet(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansTaiViet(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansTaiViet(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansTaiViet(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansTaiViet(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansTaiViet(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansTaiViet(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansTaiViet(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansTaiViet(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansTaiViet(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansTaiViet(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Takri font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Takri
  static TextStyle notoSansTakri({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd3c64d19a9331b7c42eb6d8a6a70656f61be4a2aadafcaf9b4f14d41bf26bb75',
        46492,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansTakri',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Takri font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Takri
  static TextTheme notoSansTakriTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansTakri(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansTakri(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansTakri(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansTakri(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansTakri(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansTakri(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansTakri(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansTakri(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansTakri(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansTakri(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansTakri(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansTakri(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansTakri(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansTakri(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansTakri(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Tamil font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tamil
  static TextStyle notoSansTamil({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd50ea6f6fa46f41360b2f47653e6526e675445b53164da4600240c91e3392d99',
        77816,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '14454605d727a1065e3e5a486b556c98d95d53ca23ea9d5d9d16c805f6b36124',
        77940,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bb1515ad1ca7138c7a7360ffb7aa01fdc19585e8f0fba750557b65d6149277fd',
        77896,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd1cd0dcb53397c750762c62c6fe588404026168981807487ca6c2335288f9668',
        77700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '08db862cd8e271d25c4b8f8f6045ac7912cc9a1f5cb706e42e636706a1faec8e',
        77848,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2b804880bb1d39bf6dcee0bf33ec65955738296e99149d4ab7a71ab657bac89d',
        77836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '00059fb513dd325589b4c928258b7910a3e82ab160d405f40ac5015e1753dbbe',
        77732,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1f76898aad72851f305e35d6b8ae0ff6fbb0944c281ba41149a57b2c302ab1d1',
        77840,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '051bf0813c79c410ece3ed560042464248bff51262e0bf42124f3496f35416a8',
        77748,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansTamil',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Tamil font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tamil
  static TextTheme notoSansTamilTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansTamil(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansTamil(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansTamil(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansTamil(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansTamil(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansTamil(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansTamil(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansTamil(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansTamil(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansTamil(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansTamil(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansTamil(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansTamil(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansTamil(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansTamil(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Tamil Supplement font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tamil+Supplement
  static TextStyle notoSansTamilSupplement({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6f348d8c6df01afb3c86986e2e48509bf954f3a1c36cebc2cf14620e8875d64c',
        14812,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansTamilSupplement',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Tamil Supplement font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tamil+Supplement
  static TextTheme notoSansTamilSupplementTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSansTamilSupplement(
          textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.notoSansTamilSupplement(
          textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSansTamilSupplement(
          textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.notoSansTamilSupplement(
          textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.notoSansTamilSupplement(
          textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.notoSansTamilSupplement(
          textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansTamilSupplement(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansTamilSupplement(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansTamilSupplement(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.notoSansTamilSupplement(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansTamilSupplement(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.notoSansTamilSupplement(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansTamilSupplement(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansTamilSupplement(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansTamilSupplement(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Tangsa font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tangsa
  static TextStyle notoSansTangsa({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '627de0cfe1dcbd7e5d2bc0dcd55a1a6df2b1544586ba91e372df86319a896826',
        55440,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f4f4fe5b2d758e9b1cf25b9d3c42df7c5c03248fa27b39aab346a62917c289e0',
        55584,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '760b0365789be095c7c71a23815998814a6c44b71eea3bebb2040d45bb5b739e',
        55588,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5d90c7c5f1b011cf2013ec4c78bcedbf918bfb047aa22b6b27ad24a7f97bb767',
        55504,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansTangsa',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Tangsa font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tangsa
  static TextTheme notoSansTangsaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansTangsa(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansTangsa(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansTangsa(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansTangsa(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansTangsa(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansTangsa(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansTangsa(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansTangsa(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansTangsa(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansTangsa(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansTangsa(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansTangsa(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansTangsa(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansTangsa(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansTangsa(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Telugu font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Telugu
  static TextStyle notoSansTelugu({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '266ed64477c8cffb8c5a29566cd647b6d1f2b5cdb2b544365fdca95a9b9c87ec',
        177944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f25336cf095671843a1ffc338e6d975bde04111650c043e79fa9c8b77fbea331',
        178248,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '636edf769a9abde669d9e5c87adbf58e90b4b1ffc4608d00761c9f40cd118fbc',
        178148,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7dd1e5988a558099b04661ce7b0a768458725e585186502d402e61aee94c2cd7',
        177488,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '278f94774fb350decafbebae18389d27430a51ca46fa12bde62aa59055844b32',
        178132,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ba86a9688e3606f1705abc28a01f9581c84ba46d3c4cbb0971a1fb47e5db145a',
        178196,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1d1ef5607ecd9b47172fa3a327cb3ace21bc5513947d2f9880baf6871786e600',
        177936,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a0c57c387db49337b77b999278de90664d2c797f8f7d94e502b4c5d7386a452d',
        178216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5137a15407f98bff431cac321124459f245182a3f846b90893a17996ee06fd1f',
        178120,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansTelugu',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Telugu font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Telugu
  static TextTheme notoSansTeluguTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansTelugu(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansTelugu(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansTelugu(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansTelugu(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansTelugu(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansTelugu(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansTelugu(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansTelugu(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansTelugu(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansTelugu(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansTelugu(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansTelugu(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansTelugu(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansTelugu(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansTelugu(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Thaana font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Thaana
  static TextStyle notoSansThaana({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cfc7f974030881f877e0fac57d820d9354f9a807b7d630c2d7b6e078dc77b125',
        43112,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e09d605f916b6afca6f8e84316f2b05a6f34cf43f520f933bc5144c337724525',
        43160,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a780934b0c4350c81888497cedc19c9080ed8ae3ae6bbc4d2aa61eeccd406203',
        43124,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '31195f17aa504c1f2113744000c9d660e7f92b5b61366fa567700b89b393ca75',
        43060,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fe32b47f4a3ff647b4d06ea3e10c2711965994c2fd83cc45227ef6b77e4b28a5',
        43116,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '87e02d9db09bf43027846ffd8953e16dc0055903763ef012ee41e3d07add8e8d',
        43112,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6e338aa25af862f20bb4e5f91e00aae74b26bb013487022ff3ff1911cf8122a7',
        43004,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '68b281420f972cdf85dd45a31a6dcbfb31dd511429195c78731cef1b1dfb16b3',
        43120,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '404759badc6f5cb0e9891383730e2e5e72cb2bd6b38c3ce6ec59aec5a8fcdb65',
        43088,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansThaana',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Thaana font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Thaana
  static TextTheme notoSansThaanaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansThaana(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansThaana(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansThaana(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansThaana(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansThaana(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansThaana(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansThaana(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansThaana(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansThaana(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansThaana(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansThaana(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansThaana(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansThaana(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansThaana(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansThaana(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Thai font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Thai
  static TextStyle notoSansThai({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd9bb95c7d2456d2e99dea00c6d86ec222d3672babe48e7bbf267f7884a64fb8f',
        46384,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a85051089bb20b3db13a65d67f33047c1f54f9af07f92094de9b49b58eefae2f',
        46492,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '317788877d5c5b8f8a8143d8e6b49ea5ae3b25323507cab1d9bcdb1008cd003a',
        46428,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '11264110486bd9ad9fa4acba4992309c66b02b4ae90949d5dd8e4b67d35af180',
        46356,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2b0fb1da7190f0f997eabb541c82bf11c4381281e1293a79bb90f61d83e50cc2',
        46424,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b87d990dcd629c0af9fe29b43212e0710d0752e8d130825539af968d1d6d4f00',
        46428,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f43a775a0b7b76f8563995b98887cde34eb6d60e5e84b55222a3339c1553a044',
        46340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3e594721b9039d062952697c5e95adf7cc14c8665c4e799bad49b2818246c6b6',
        46396,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f216d5c4df511e35fab2ea3889c0d0591c6a8ef2c16329c3e90f77183fd56a5d',
        46280,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansThai',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Thai font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Thai
  static TextTheme notoSansThaiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSansThai(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansThai(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSansThai(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansThai(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansThai(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansThai(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansThai(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansThai(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansThai(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansThai(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansThai(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansThai(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansThai(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansThai(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansThai(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Thai Looped font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Thai+Looped
  static TextStyle notoSansThaiLooped({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a64e0e1ff568c362a0bc61cbe02d779ebe114ae5b4f7f5431e55d393fb63d459',
        63572,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd193457dcbb7cb93fd82d3a8787417ac3742d90f9bf435a01f15dc2ebf65fff6',
        63168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '29e9a7daf53728c2947cfb8e65594b65f686ec393bbf648d1a680c42621c33be',
        62624,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a1cded4b6ff57bcd44468cdad2c23ed9813447c846b1a0d165025157ce266cb9',
        61476,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '711a4fdb4f6cbeb5c9e29e189ffa2513609c8a1cdc18c1d61dd0c0e2b31074ca',
        61320,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8fead3b4a2fdd2937fce7df6a853c477e690f53a32b005b8ff7e9e15f3260982',
        61904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c1dc2262556e130a1a3aeb62efb2ed12cb4a8d64c4ce3415ac9bacef9ceda347',
        61840,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3c5246fe6eb20072bbe26ba01fbe1715b09d24a96dfc1997580c1ec0092f67d4',
        61840,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '206db11b7d2ffd563e9e799b375b50f513512ea2c5e9a9dfcb5c568c6d1fc339',
        61788,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansThaiLooped',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Thai Looped font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Thai+Looped
  static TextTheme notoSansThaiLoopedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansThaiLooped(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansThaiLooped(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansThaiLooped(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansThaiLooped(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansThaiLooped(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansThaiLooped(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansThaiLooped(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansThaiLooped(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansThaiLooped(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansThaiLooped(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansThaiLooped(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansThaiLooped(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansThaiLooped(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansThaiLooped(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansThaiLooped(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Tifinagh font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tifinagh
  static TextStyle notoSansTifinagh({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cb1d4292daa91f2ce6eb88e240894ba2e2353740da6f1dade2edb72b24f016c2',
        57780,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansTifinagh',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Tifinagh font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tifinagh
  static TextTheme notoSansTifinaghTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansTifinagh(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansTifinagh(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansTifinagh(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansTifinagh(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansTifinagh(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansTifinagh(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansTifinagh(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansTifinagh(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansTifinagh(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansTifinagh(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansTifinagh(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansTifinagh(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansTifinagh(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansTifinagh(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansTifinagh(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Tirhuta font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tirhuta
  static TextStyle notoSansTirhuta({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'efa07c6b3f157b258dd2ac796311d3d0468e6c104d124c30186e8d10d29c1298',
        66912,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansTirhuta',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Tirhuta font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tirhuta
  static TextTheme notoSansTirhutaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansTirhuta(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansTirhuta(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansTirhuta(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansTirhuta(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansTirhuta(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansTirhuta(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansTirhuta(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansTirhuta(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansTirhuta(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansTirhuta(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansTirhuta(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansTirhuta(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansTirhuta(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansTirhuta(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansTirhuta(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Ugaritic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Ugaritic
  static TextStyle notoSansUgaritic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5d9f37689815afee098c7697688ae1020a16706942a7110b8c6b3b0f6c6332fd',
        6192,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansUgaritic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Ugaritic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Ugaritic
  static TextTheme notoSansUgariticTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansUgaritic(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansUgaritic(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansUgaritic(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansUgaritic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansUgaritic(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansUgaritic(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansUgaritic(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansUgaritic(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansUgaritic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansUgaritic(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansUgaritic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansUgaritic(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansUgaritic(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansUgaritic(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansUgaritic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Vai font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Vai
  static TextStyle notoSansVai({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '211b25836b74b707326a59ffacc949268826d58cb9a6df8a00c1a45903d5dfc7',
        81408,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansVai',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Vai font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Vai
  static TextTheme notoSansVaiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSansVai(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansVai(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSansVai(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansVai(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansVai(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansVai(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansVai(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansVai(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansVai(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansVai(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansVai(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansVai(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansVai(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansVai(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansVai(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Wancho font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Wancho
  static TextStyle notoSansWancho({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '21c486de3f2e1cf29de43ada5752c1f262d97c53aeddedd8d381d18cf13a91ee',
        44632,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansWancho',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Wancho font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Wancho
  static TextTheme notoSansWanchoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansWancho(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansWancho(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansWancho(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansWancho(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansWancho(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansWancho(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansWancho(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansWancho(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansWancho(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansWancho(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansWancho(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansWancho(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansWancho(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansWancho(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansWancho(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Warang Citi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Warang+Citi
  static TextStyle notoSansWarangCiti({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4404b68cb22941176fbbd425a35ed3a042452b88a4a74e4c8fdfac723b1c5635',
        61444,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansWarangCiti',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Warang Citi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Warang+Citi
  static TextTheme notoSansWarangCitiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansWarangCiti(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansWarangCiti(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansWarangCiti(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansWarangCiti(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansWarangCiti(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansWarangCiti(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansWarangCiti(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansWarangCiti(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansWarangCiti(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansWarangCiti(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansWarangCiti(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansWarangCiti(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansWarangCiti(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansWarangCiti(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansWarangCiti(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Yi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Yi
  static TextStyle notoSansYi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '42b3257b807027d08ea8422470e41ceac749ddaaf7fafe4e646c39f865e3efc0',
        210160,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansYi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Yi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Yi
  static TextTheme notoSansYiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSansYi(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.notoSansYi(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSansYi(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.notoSansYi(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansYi(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.notoSansYi(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansYi(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansYi(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansYi(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansYi(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansYi(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansYi(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansYi(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansYi(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansYi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Zanabazar Square font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Zanabazar+Square
  static TextStyle notoSansZanabazarSquare({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '96f1f5efe4bf49b841bd90cf3eade3d6c2e003c45741d791d51f81934379b2c9',
        46328,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansZanabazarSquare',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Zanabazar Square font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Zanabazar+Square
  static TextTheme notoSansZanabazarSquareTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSansZanabazarSquare(
          textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.notoSansZanabazarSquare(
          textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSansZanabazarSquare(
          textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.notoSansZanabazarSquare(
          textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.notoSansZanabazarSquare(
          textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.notoSansZanabazarSquare(
          textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansZanabazarSquare(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansZanabazarSquare(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansZanabazarSquare(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.notoSansZanabazarSquare(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansZanabazarSquare(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.notoSansZanabazarSquare(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansZanabazarSquare(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansZanabazarSquare(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansZanabazarSquare(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif
  static TextStyle notoSerif({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7a5be5264ec79b04fbdf0cc7539b6f2b76bb688af4fb0a935b31114ca4f32197',
        245132,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c77141ccb7e46b999b2ec567b0ffd15868f49f1e5206ff5c8a9e7386004b899e',
        247988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9e4918ed0e89a5e49432cafc9f4b66350d24d7ea9c6d33fd9c8d7def64430f54',
        246032,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '01e0d5c835c58708f4b96199949783c81fd202953c056c3ca5fc6faab9e676f4',
        261112,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerif',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif
  static TextTheme notoSerifTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSerif(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.notoSerif(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSerif(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.notoSerif(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerif(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.notoSerif(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSerif(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSerif(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSerif(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerif(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSerif(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerif(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSerif(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSerif(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSerif(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Ahom font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Ahom
  static TextStyle notoSerifAhom({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1196f67c78f8eac917d18deafbb3405accfa758fd016fc15efe239f117181b5b',
        59304,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifAhom',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Ahom font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Ahom
  static TextTheme notoSerifAhomTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSerifAhom(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSerifAhom(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSerifAhom(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSerifAhom(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerifAhom(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSerifAhom(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSerifAhom(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSerifAhom(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSerifAhom(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerifAhom(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSerifAhom(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerifAhom(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSerifAhom(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSerifAhom(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSerifAhom(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Armenian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Armenian
  static TextStyle notoSerifArmenian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e6732df9752be37612413c907128d8345b1a3847cfec3f017daddc3e81475a8f',
        52944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f1f0cf0ad3ac3a1dce0169e330cb30b4517e898eb3bfdaf84a40fc908712ea2b',
        53000,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '913c35617cbc519357c3c83a5a97217bf6f4e4fcc2b602cfc19524b0338042aa',
        52956,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f6c004508a28b95b846b2d662921f623e1faa4039b25ed9ded9e3b1d01f8a1ce',
        52916,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '14997393e6769283191d64459307dffd7f905d417f02d13b0e3f87013620a0f7',
        52972,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eb2cf96d3168555e5e7f618156e5009ff9b56dda46101d588ba53b32e6ed2229',
        53012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aa184a906154afaeb8001c8eabbb3a7ada8fcdd760506617328c01dd25c8dd5d',
        52928,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9a33fc6a28865d296c091e015eb9b46a4bed2301ec527a6cb3328e285cdc6e8d',
        53060,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8c0cf65d3c12790c1fb886ee61abaa0deaa15f55a9b45dbfc42baa3c9f0b821f',
        53024,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifArmenian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Armenian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Armenian
  static TextTheme notoSerifArmenianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSerifArmenian(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSerifArmenian(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSerifArmenian(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSerifArmenian(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerifArmenian(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSerifArmenian(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSerifArmenian(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSerifArmenian(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSerifArmenian(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerifArmenian(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSerifArmenian(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerifArmenian(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSerifArmenian(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSerifArmenian(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSerifArmenian(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Balinese font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Balinese
  static TextStyle notoSerifBalinese({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2b845e0a39410727d93e26a2df2d02ccbe0211f693585d975d9508f76d5c7507',
        87552,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifBalinese',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Balinese font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Balinese
  static TextTheme notoSerifBalineseTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSerifBalinese(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSerifBalinese(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSerifBalinese(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSerifBalinese(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerifBalinese(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSerifBalinese(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSerifBalinese(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSerifBalinese(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSerifBalinese(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerifBalinese(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSerifBalinese(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerifBalinese(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSerifBalinese(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSerifBalinese(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSerifBalinese(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Bengali font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Bengali
  static TextStyle notoSerifBengali({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b1682690ca9054c175b7baebab19ff2c37d445ef5370b0dcdaa04279d1c47702',
        205168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '75cbd95d5194218ec78c1f1c8eb4130243bc8416ca0280d233edf15164c80349',
        206208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6b8905e7200fdac4e552a043b93fa813310ed6bb1dd9c451c24ff5f13881344f',
        206168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c614b3c3a31b66924754ce54af7d255ef83677c7fda8d92b0d54f35f0417049e',
        205588,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c85a535780e513519a39977cfa04dd10adc133074275637bb832f4ed638574ff',
        206884,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cb452679317f6247c5e5f18fa28db00780d382aead10dd24d479b2c483a83553',
        207308,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '06181ed43a9557b9eb41a7a985aaa7941d8f719e10a6e1c0105aa58be15780ea',
        207484,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eb9e8f54bac76f3f05e7507d8a3b61df88e8d06e88a1d834dcd5376a56baa24b',
        207584,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c7c9fc677bf1aa3544fdc54cb8032902ada197ac0d4607409ba0c5714b8205b2',
        207168,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifBengali',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Bengali font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Bengali
  static TextTheme notoSerifBengaliTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSerifBengali(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSerifBengali(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSerifBengali(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSerifBengali(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerifBengali(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSerifBengali(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSerifBengali(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSerifBengali(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSerifBengali(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerifBengali(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSerifBengali(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerifBengali(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSerifBengali(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSerifBengali(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSerifBengali(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Devanagari font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Devanagari
  static TextStyle notoSerifDevanagari({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '706b6f0fd2a7635a1ae9ef3ca53f57d799394351a3e0ed377a90a2e9de6a34e7',
        227892,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6a17169e761bdd19e1c5c29d9644bdd8d1cbda71ef3f624419d81ec5a705a2a5',
        228240,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5fc4c1d0a046723d8ed1799227965b717e8e782479ce864b282bb17ed6b4ba6f',
        228268,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'afa276a5f19cb805b629d79a171a485dd9d6980add38c8cc34e09d98c05c476c',
        228004,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fb47e7bb626f665ba1c8f5c4636894e32f83741759d2b604635596b2f7075cdb',
        228540,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f139b269321bf5f80fe83a194b477ace9eb83ff4866c7dac31e4c41894bc1a13',
        228512,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9acb6c1d6f69132404d371db2c3ec9196815c3ee85bbacfa72f1472a88532cf9',
        228360,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'de81ef835a794ee906a82be9f3b7d976d691ec7570af03f99f6851bdb48fd8b5',
        228732,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0bc49ea762462fbbfe5052f6c3a9320b56c7f5b59c228b2875d97b66a8ca010a',
        228632,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifDevanagari',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Devanagari font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Devanagari
  static TextTheme notoSerifDevanagariTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSerifDevanagari(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSerifDevanagari(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSerifDevanagari(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSerifDevanagari(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerifDevanagari(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSerifDevanagari(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSerifDevanagari(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSerifDevanagari(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSerifDevanagari(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.notoSerifDevanagari(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSerifDevanagari(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.notoSerifDevanagari(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSerifDevanagari(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSerifDevanagari(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSerifDevanagari(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Display font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Display
  static TextStyle notoSerifDisplay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '09496789f455b508e9e2fcb034f09dcbf993778871b15776e4a5f65e0fe29ed6',
        397740,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dffa5e31ecd6b7ed1dfa70c92e9a4d385f75e9d7918942a6ef8cc75fe65990a0',
        398264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6725eafcb9a75a6e0a5ea5d63d6f6eb2b9ecb79c581869bf10f9c8bb1e54a420',
        398412,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6fea030e164b734431a4198ab13e947e84f17f086a9f9ff78040494d8e466718',
        397456,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '278b7cf95a6dd77c3362828b3fcea11eb575f29b8d00e986b3a2311af41e6f0b',
        398416,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '82ac0c36fdec281f2e74bf9957a2bb48b43e319d6f35d6e6f86d7c3f0987a28a',
        398064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fc7a0b934b8f2dc85a266d8d58f9302dd149d6cc6adec725af980117013afef4',
        397628,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6f0549f6edeb2a40634d139ce919d6b57517effd59c605b040dbf9bccef1d3bb',
        399136,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7d39b884ebad48cf076fe0888a635bb6d41ecb995a3af622032c590161e47941',
        399260,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '14df5251afbc45b5ff4237073022888a1f75999fc00a766bd26ae1d7c6764b18',
        417292,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e7723868364cda1888bd564b21014bd4a6ecbff7bd500cf94b298972e2a79bbc',
        417880,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e39297379cfa44253768e9c46a8d0c3251eeda47d8fe7acfc1ecc6f40de5fb73',
        417912,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '42adc9826b9f7af86243bef4b068f6c94a75e7bd9e29f99799d12b60923146ac',
        416612,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8b89baec738ce94e711675448108f1f88321543cfe14bb98bea5174c2d28ca6b',
        417520,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '441023feff19a3f739a89f6362a0f14179f02b6b587430a6c0736350623fd75f',
        417812,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ae3d942963d6c42aebb7e2850d8b3ff420b90cba2ec0b088c5798abce5fc509b',
        417140,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4ca134e40a4efb475e3e126bbcad9b9ee5f85890e4f5724457a1110fc3f9cd08',
        418276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '54ff6d69fe2947c703194508ac298cae7412b1ca27bdf38ee833d784efcc005b',
        418088,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifDisplay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Display font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Display
  static TextTheme notoSerifDisplayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSerifDisplay(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSerifDisplay(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSerifDisplay(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSerifDisplay(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerifDisplay(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSerifDisplay(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSerifDisplay(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSerifDisplay(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSerifDisplay(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerifDisplay(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSerifDisplay(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerifDisplay(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSerifDisplay(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSerifDisplay(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSerifDisplay(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Dogra font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Dogra
  static TextStyle notoSerifDogra({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '861d3fa005d5e07807519d816a1cf6cbb6317e2c925c46e791b417f0a26b84b7',
        17188,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifDogra',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Dogra font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Dogra
  static TextTheme notoSerifDograTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSerifDogra(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSerifDogra(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSerifDogra(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSerifDogra(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerifDogra(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSerifDogra(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSerifDogra(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSerifDogra(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSerifDogra(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerifDogra(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSerifDogra(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerifDogra(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSerifDogra(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSerifDogra(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSerifDogra(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Ethiopic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Ethiopic
  static TextStyle notoSerifEthiopic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '08d7dce1191625a4518510348526ebf8551e6f326d8c15aa727e7af94172e7ce',
        302672,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '32025861028fd9d2f1019c90f5f683586da1f4a624345b8c3dc84bb0619ba9e7',
        302840,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '67ad5ae190b1e613ae6045cfade3bbe22b3afd646928ef072b64ab3d90f1c01a',
        303084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b13a884306387fbb0ed8f3f8604815d275360ace8ef575fbcd0d3d295a77f948',
        303116,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd1ec4afa5221cd47927f6b023c7b2868922c1f4ec96f5aabb7cf0bf9d316867d',
        303328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '537fc5926ee99eb51997ac1bc7b29a3efa28d5f7e3762320cfb7a49c0912e71f',
        303468,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6a46d1da5bff7de5911bdf12ee9193378a0eed5848704866a14e46f9fdcd591d',
        303464,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5e695ea4aa60fa369ce69a9026029a39be222ef5ad46a4a3df2fd2c6f78dc498',
        303532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b2e70c709971f7edb51c59811083f14b17bd2568ec6d6d5ed70ce99f6f99ca99',
        303492,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifEthiopic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Ethiopic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Ethiopic
  static TextTheme notoSerifEthiopicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSerifEthiopic(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSerifEthiopic(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSerifEthiopic(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSerifEthiopic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerifEthiopic(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSerifEthiopic(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSerifEthiopic(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSerifEthiopic(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSerifEthiopic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerifEthiopic(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSerifEthiopic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerifEthiopic(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSerifEthiopic(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSerifEthiopic(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSerifEthiopic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Georgian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Georgian
  static TextStyle notoSerifGeorgian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '98342d166f1dc52ea0aa6cb3300f386e379b8bab6f9ae48e5173c73b61a06264',
        79740,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4e5171783a434143d65c34e5a4ac5726b0d569a7426acac95bb3af8bdd48205c',
        79780,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c1bd6b7def52336e4f209224f2ac186d4dbe45647d374a5df0b3d8c8b29c51a9',
        79708,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4207e117b8f9297f611b329df5bf6a5903984010bb30cb0004ff17db0eaf06ae',
        79656,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '094eaf4f7cd3717fbe706ec41cc4309325295d22e7e98bb784f7ec45c45680cf',
        79728,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '299f4087161d4e456dbe7bfcf7f4c5d7f87b770f057c61643207b00c23c20ae2',
        79744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '01e8871ac258558519733774eb1583536e0919def46ad65e8d6d9fa93760d2ce',
        79636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a4dcd6037132d9f78d23f3fcdbbb4050567a31d566afa031386cd46334f853e7',
        79756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '25f6437092427fd0ba91ec4294301e608c375de02d7918be71019b7247d83317',
        79736,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifGeorgian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Georgian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Georgian
  static TextTheme notoSerifGeorgianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSerifGeorgian(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSerifGeorgian(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSerifGeorgian(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSerifGeorgian(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerifGeorgian(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSerifGeorgian(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSerifGeorgian(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSerifGeorgian(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSerifGeorgian(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerifGeorgian(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSerifGeorgian(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerifGeorgian(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSerifGeorgian(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSerifGeorgian(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSerifGeorgian(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Grantha font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Grantha
  static TextStyle notoSerifGrantha({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '35cd8486d3f431e8ccf5a3e75dd1d4b13dfae9d132ce06ebde9a297641467d41',
        317072,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifGrantha',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Grantha font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Grantha
  static TextTheme notoSerifGranthaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSerifGrantha(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSerifGrantha(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSerifGrantha(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSerifGrantha(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerifGrantha(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSerifGrantha(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSerifGrantha(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSerifGrantha(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSerifGrantha(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerifGrantha(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSerifGrantha(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerifGrantha(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSerifGrantha(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSerifGrantha(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSerifGrantha(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Gujarati font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Gujarati
  static TextStyle notoSerifGujarati({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '99cfac21cf27ab6d5cb9289201b3bd3ccb311778b1c6354e47eebcc9c0f007ea',
        139712,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '53537970282a4c552542211514107a89689f18ed491fa0011eb3315cb97ebaeb',
        140300,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5eeac3794da372f859ff56e3ed0b0c6c49f5061a09cd0b96a1862e70b975f70b',
        140280,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '47f98d9820897e978effd97492c1fa994cf7b63b8e4f7c0119eea35bfd76f998',
        139784,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '133bc81c2c834c23f4f18af9a552827f462b49511c7ef1e89e902b42ffeac3ce',
        140208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7d31462be1219a11be5145b91f8d425b72e7e63e768585c05653823b03003d60',
        140164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5400396fc309179871c681b8499c8ec955f2dd7a543d416c37038bcea1f376bb',
        139704,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4ca6c84f392d2ecf2aca696e7f85d6717e33629ff263fd6ddd1ced101818b520',
        140172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8e49d0e0f7abfbb7ad0d92ac8e6f091f16bdf7c79386e57b4657f298281545ab',
        139964,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifGujarati',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Gujarati font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Gujarati
  static TextTheme notoSerifGujaratiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSerifGujarati(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSerifGujarati(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSerifGujarati(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSerifGujarati(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerifGujarati(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSerifGujarati(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSerifGujarati(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSerifGujarati(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSerifGujarati(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerifGujarati(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSerifGujarati(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerifGujarati(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSerifGujarati(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSerifGujarati(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSerifGujarati(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Gurmukhi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Gurmukhi
  static TextStyle notoSerifGurmukhi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8b961861a281cd0139258925d5bcc9a7bbf76e6dd939c9114ee576ec2cd22b06',
        65940,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '11cc4deaf5eb420bbe2dd3ec96cbee15aa8f575e5d253de1e205952384fe0e81',
        66156,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '51834b2eedee0519d5da88c1b0ab20a8453c4b3c6fc5e132b2ee1ddbc3631303',
        66140,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8f56f73f48a2476faaa7fc0ca0168a0dbc508c20b0b7d736c41c77094e8abebf',
        66000,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b91943d17200b4cabe4f32d18d41fac264dc84db4d7ace1cba71c8e4fccc4c35',
        66076,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd863930a9b53a6cccab1775f458f23439798588ae15787d3d98a6268c4dfe2c9',
        66092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3f05ea3f96d32d8b8c2532b1d1d95dd712b02e1b0695f91d01e176999786b191',
        65976,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3a8ada8d4d184624724f000b62f47d626c75fd515e726004e625fd69d4bdb60e',
        66180,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '50c87cc367ca82622e829879f3de8025f5fefa1b3a2cc3a446c8359591aa078d',
        66060,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifGurmukhi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Gurmukhi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Gurmukhi
  static TextTheme notoSerifGurmukhiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSerifGurmukhi(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSerifGurmukhi(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSerifGurmukhi(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSerifGurmukhi(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerifGurmukhi(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSerifGurmukhi(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSerifGurmukhi(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSerifGurmukhi(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSerifGurmukhi(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerifGurmukhi(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSerifGurmukhi(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerifGurmukhi(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSerifGurmukhi(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSerifGurmukhi(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSerifGurmukhi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif HK font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+HK
  static TextStyle notoSerifHk({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fa18f4ac32f8b96e3e9efe0c6c1c4b62579c84088aeb87b692d7232ab4221a2b',
        35063028,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '187ce87ea920319caf9258772fa74a7055a873868fdff3db8123173b707cd76d',
        35075216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '67c7cff06ce976bb3d387421b16fa4d3e3d5306d2c434fcad9f7adb437fbf754',
        35079044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4ff88103c2d940bef81ef7e277cfabb54fcf8d61f16e5734b2e559c222bf1a5b',
        35089064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eabf90b6877bd7df0cb5665d3a82794b3100f4432b115ccdb0a0dc3679ffc46e',
        35087908,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b59b37d42e4019dcecee79a8ef4cd7bf6777b9e88d7c043787d0616a6e243ea9',
        35086016,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1db7655beb2e737128ec8dfaedb5a6f66d537c5352f41f62dda1a7260ba64ed9',
        35085416,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '17c7584b0f73220baa28fa5435e083a89b9c58aaaea8f96fe9bc0b900c004ae7',
        35081100,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifHK',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif HK font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+HK
  static TextTheme notoSerifHkTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSerifHk(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSerifHk(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSerifHk(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSerifHk(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerifHk(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSerifHk(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSerifHk(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSerifHk(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSerifHk(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerifHk(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSerifHk(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerifHk(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSerifHk(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSerifHk(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSerifHk(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Hebrew font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Hebrew
  static TextStyle notoSerifHebrew({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '304a8f0b5fa585fe4bf508e9ab89f1de6e27c171bf7abdbd0790f9fa3212b4c0',
        50204,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4a1f648a2072c33a1d5bb1bd517c1e0aebe37f1109a0d67556502d69a1e99279',
        50272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '07f984e019a19477a748c0e7a3ac8c37077235b7745428af9e65c820eb457acf',
        50340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0d583f4da742e187c516626f5a880c44c438189b86a218cb5b6b8d157236570f',
        50220,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '25676a3bcc236a518b42d116c4b8568fd07096cfb76663eeca8dc635f6f102fc',
        50272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '30108a533ec29d5a6c147ebe055371ac3d6cbd7b4c6a9588a5ca5bd727ca6a38',
        50276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6b8d418f0f05366823ea4d1c5c2037ead9dd394d63f385547f17ef954755f34d',
        50256,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a95a0f875cd41e8dd0ce4b2e71f0c0e27610560613cd2652a35457238fa8f592',
        50360,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5e2b3104e2f127cdc56c2f9c42c3f6574ac3ad060a6ea8e8af38276f7728a9bb',
        50268,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifHebrew',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Hebrew font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Hebrew
  static TextTheme notoSerifHebrewTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSerifHebrew(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSerifHebrew(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSerifHebrew(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSerifHebrew(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerifHebrew(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSerifHebrew(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSerifHebrew(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSerifHebrew(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSerifHebrew(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerifHebrew(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSerifHebrew(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerifHebrew(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSerifHebrew(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSerifHebrew(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSerifHebrew(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Kannada font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Kannada
  static TextStyle notoSerifKannada({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e930f343c9b0d7e835219057d38a0ba7be6f98c7cc6f2abc674d75cd823067f4',
        169492,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4f71965cff6e7841469ebed62e711aeb0cfbda0323b211a8b1fdf1f291cb773a',
        169840,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2f27c30f6b5aa38edddd9e0f47af1527c5f433782d76662a97f55f2ac5b53cdc',
        169876,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0e68198a232820c7804ea2660fb0a4863ec5e69c762c7783d6ad944917487583',
        169568,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7dd0dd7305e1ce65169bc5e0943b69672004136ef4736e88a68fc855128215d0',
        169960,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f54e0309e8cba42dcdc73d5beb255f6952ae9294da082477bfecfa237dbbd9ef',
        169856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2c0a67f640261d5e33c49a1037247c81ff0a7ff5d48ffd67b3460f40e45cf779',
        169616,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '103ee4c40dfa2e2b780b2fa0956932ff785a7e453775da3413bc8e78fe3b8487',
        170208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ed3dc0b9aeed715cd4f617721a487ada8998f30bc76352e2e799b2b37198dc49',
        169856,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifKannada',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Kannada font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Kannada
  static TextTheme notoSerifKannadaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSerifKannada(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSerifKannada(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSerifKannada(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSerifKannada(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerifKannada(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSerifKannada(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSerifKannada(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSerifKannada(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSerifKannada(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerifKannada(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSerifKannada(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerifKannada(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSerifKannada(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSerifKannada(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSerifKannada(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Khmer font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Khmer
  static TextStyle notoSerifKhmer({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2bf905bce7fcf649893779f0a9fa3bd49520e5cca9199a51bb4e58bde6e53cae',
        135536,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '417e19c5fd243cfaa8d0503d24bf47603c2cba64957794073527f09d9023fe0d',
        135680,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6dbe81939d9897ef5f54a93114f13670f6c5c77f105f95113f00264aa2bdb400',
        135680,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ef0eb46e149b1a88669c416644b7d71438114f5263031e56168cd6a6d8b11e59',
        135352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '944c9298062f0de260ad42aaacc16edd1baaab52007b30e6109c6f11824b17c0',
        135520,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5803fe4d5b61a2e471d0471071698a3746e9744cfe62e436925e9f31b62ec156',
        135652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'da7e11186f2c0acd72ef3cdd694562a2207ed95c1c39585029134ca00b0c04f7',
        135544,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9d633b10a64932c09b342bb3f05f8ee7e40c7e648c12a5079888f5c159fd3933',
        135604,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '48916db2ba43bad0e355e06b9c41e8743498cc1224bee52aa98d493494d75a1b',
        135452,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifKhmer',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Khmer font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Khmer
  static TextTheme notoSerifKhmerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSerifKhmer(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSerifKhmer(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSerifKhmer(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSerifKhmer(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerifKhmer(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSerifKhmer(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSerifKhmer(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSerifKhmer(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSerifKhmer(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerifKhmer(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSerifKhmer(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerifKhmer(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSerifKhmer(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSerifKhmer(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSerifKhmer(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Khojki font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Khojki
  static TextStyle notoSerifKhojki({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0fb79c6ca595823f0d8bda88d9ca736346b0e245de5dcd47224207d11b25945a',
        139488,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c4ae1381fb95716f26fcf2e6e17ee3cde9c4347b24fdbe961851b273cbe0265d',
        139924,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '984ffee2460b80baaf9cfdf64fee7dc21368a822b15a0b3a493e350f41bcb09d',
        139936,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '08f6c09d754d88e93d0cd0f94ac1d412f520ec66b91248e97f9bfab467af5b75',
        139696,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifKhojki',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Khojki font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Khojki
  static TextTheme notoSerifKhojkiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSerifKhojki(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSerifKhojki(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSerifKhojki(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSerifKhojki(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerifKhojki(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSerifKhojki(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSerifKhojki(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSerifKhojki(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSerifKhojki(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerifKhojki(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSerifKhojki(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerifKhojki(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSerifKhojki(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSerifKhojki(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSerifKhojki(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Lao font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Lao
  static TextStyle notoSerifLao({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2189c4a5e5e03cb51500192cb2dc19234dc0d9325c1e7154139198f1bfdf9735',
        54004,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '44e1358df853e602943dfd8407c8c83734b38120a982aabc3f2444767c1c0873',
        54076,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '37612739c5b0bd685343ca6da2ef834a6e3b42acda386f2b0d3fc08479665faf',
        54068,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fc2acb00938e787bd92a2f04f4155cff37f87e0b51cee460914d0f5fdfcb267a',
        53980,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9e14d4913f1352485b2391f993629692d9dd207cc0b44d8808d42d6e21f32bbf',
        54100,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0dda44d1054afa08f5defe9d54e1f81a87daa472f9d10e63648d5953a9627cef',
        54156,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd9bf22ba84aa9cf090579726962fb4d1288e0584016b0744daf901795496203b',
        54084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '041bf58a25b708521a3d7e4c75c9fc796ad19e2837b61d80c2ed12255d95378a',
        54168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bd9107e888d5d658104c8fdad7eec7c6701b19b6e9bfc14fff5d21b09eba3d6e',
        54064,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifLao',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Lao font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Lao
  static TextTheme notoSerifLaoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSerifLao(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSerifLao(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSerifLao(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSerifLao(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerifLao(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSerifLao(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSerifLao(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSerifLao(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSerifLao(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerifLao(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSerifLao(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerifLao(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSerifLao(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSerifLao(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSerifLao(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Malayalam font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Malayalam
  static TextStyle notoSerifMalayalam({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '59e507fea491ed3e8a5becfeac7c11bd99f6c0a569efe110b01e7d3cdaa62db6',
        104340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cee2501219fbf6edb0416d09979419cafbc6a0d416986ae740309171d1c4f8d6',
        104392,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '525bc34daceccb51763bc13110cc1e51342e682be0056da31f7aea280ae0f8bc',
        104368,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '45295e776e0ab178ba904b09c0744872c4d86c4c4293776f55ff9f5b83bda26c',
        104300,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fcd13251cc29655f5e8e4fd0b241e3dbec7bc69acddf35aa00fb026aac78263d',
        104408,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0ffd19de47a0bd59cf75c254ab2fcf19fc43ced7de6fe3b13f6f336ec845f1f5',
        104356,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6e6621e7a87692b3a7155750f6cbe5aa66bffcb924c78c28ed2f7e47c282f899',
        104308,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4e631b2fb5965a750b347ee6aa75e36b0997c8a18bbcfe0f9401686ac21c4770',
        104500,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '11bed958dfe172efe4d27f93f6930c459a343fbaed7d4fc95df2391a7b6096ed',
        104456,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifMalayalam',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Malayalam font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Malayalam
  static TextTheme notoSerifMalayalamTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSerifMalayalam(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSerifMalayalam(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSerifMalayalam(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSerifMalayalam(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerifMalayalam(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSerifMalayalam(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSerifMalayalam(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSerifMalayalam(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSerifMalayalam(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerifMalayalam(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSerifMalayalam(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerifMalayalam(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSerifMalayalam(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSerifMalayalam(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSerifMalayalam(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Myanmar font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Myanmar
  static TextStyle notoSerifMyanmar({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '438218d60c4be2c3a7d215f784fb7cd714e30f5ef18080ed7ab1478cee957c5c',
        185260,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7e2b5b12588f36092bc455f6e4d546e81faec9d2cca283d27919c666691081a8',
        184624,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c91ef89e0f5d2c61287249037d0d20f00ce8856c5cdaa067812a6e4d45d637d4',
        192084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ee046657538eeb83e39f8738059ee2580f8daab6fe65c436b304c79c6a2a6d4d',
        190336,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3a50f892970c9784f79c1f1e002935141b5d31fd2cea06ce0a9980fa3d3fb6f5',
        183092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fe3a066a6f537609693b6e1fc626190d0844b9ceda1c43a279ef5e8725ef0dc7',
        183192,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3d97d67e018337923faa5b9cc681cb22a11a72503757587836a6057cdb7532c4',
        192236,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '891c886c13564ec9edbbc0928d135cb4c8ff239a57131b64a2fe18013a56d369',
        184844,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f07b66049bf83967df91919bcfa4ed222319ef1d691a07da30536671c4b6b67e',
        185012,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifMyanmar',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Myanmar font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Myanmar
  static TextTheme notoSerifMyanmarTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSerifMyanmar(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSerifMyanmar(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSerifMyanmar(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSerifMyanmar(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerifMyanmar(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSerifMyanmar(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSerifMyanmar(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSerifMyanmar(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSerifMyanmar(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerifMyanmar(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSerifMyanmar(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerifMyanmar(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSerifMyanmar(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSerifMyanmar(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSerifMyanmar(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif NP Hmong font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+NP+Hmong
  static TextStyle notoSerifNpHmong({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '18da59c16fe94289fbdbef0ebee360c74d5bd67f79d8e396b5eeb8a08a27c7ac',
        54680,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0789992cf2e05be8cdcc1d4ee9d36f51aad16244eaed3c5200148c30e1137965',
        54768,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7eb16bf9c7448f5d8efe247bd4baf9b6b037e86353b6ef63777c8e281d882bd6',
        54652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '669e8c057afed7f891f69d91950bc98e34e4ef76e8c08dcdae287543023c3bf4',
        54540,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifNPHmong',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif NP Hmong font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+NP+Hmong
  static TextTheme notoSerifNpHmongTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSerifNpHmong(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSerifNpHmong(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSerifNpHmong(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSerifNpHmong(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerifNpHmong(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSerifNpHmong(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSerifNpHmong(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSerifNpHmong(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSerifNpHmong(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerifNpHmong(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSerifNpHmong(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerifNpHmong(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSerifNpHmong(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSerifNpHmong(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSerifNpHmong(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Oriya font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Oriya
  static TextStyle notoSerifOriya({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '21b19ba18bd073f91e40ca2b212021029e4c015621a09f00b5e33c88ba63f596',
        146656,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5b2c3afaea47c4cb633631fac33ad6b9506f5407f6b871d198cde8c3dd3a7d64',
        146968,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '320e37aa13de5fa441eb0b38b11a7992092803cea7301f68db89918bb401cc2e',
        146976,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f988b3ee234a13e0449ae53838c315979e44e029b63d18738eeb83de7339dd6b',
        146420,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifOriya',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Oriya font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Oriya
  static TextTheme notoSerifOriyaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSerifOriya(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSerifOriya(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSerifOriya(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSerifOriya(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerifOriya(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSerifOriya(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSerifOriya(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSerifOriya(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSerifOriya(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerifOriya(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSerifOriya(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerifOriya(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSerifOriya(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSerifOriya(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSerifOriya(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Sinhala font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Sinhala
  static TextStyle notoSerifSinhala({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6a4ae388a874758f08e60ca58491a862c7fb817de7ce2d7b97121c19a43764c2',
        242772,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0652c00c00aa3ed098f36fff9f02ed9ea8106cec81994000952a19aee890900f',
        242876,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f8dae3a378a162202f3964ab7a18bc6d69adfab46a22579844df335402dd96f5',
        242988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '674d7e0bca32ac37ce3c49d6c34eb979322485e567dfed41d3069780ae379d8f',
        242724,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e3a8359dbfc035647427440cbd8ad3046030973702d55d9bc9db18d96f57b26f',
        242820,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a3f3cefea2e0f349cb256f166017736ffd0b3912067b23e9a375cb45c14949f3',
        242828,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6c60b00bfcc07796d641021c7f1e3bbc524cb32401b9c970c31c4a8876096d12',
        242796,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fe89e37d9042da476cba2f499d35675fe2fed4745c5181f1f4f2747cf76b768f',
        242840,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6f04dabb03ce55622a1c424b5007ed696a7006dc298b32db85df88192b430e10',
        242816,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifSinhala',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Sinhala font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Sinhala
  static TextTheme notoSerifSinhalaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSerifSinhala(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSerifSinhala(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSerifSinhala(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSerifSinhala(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerifSinhala(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSerifSinhala(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSerifSinhala(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSerifSinhala(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSerifSinhala(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerifSinhala(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSerifSinhala(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerifSinhala(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSerifSinhala(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSerifSinhala(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSerifSinhala(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Tamil font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Tamil
  static TextStyle notoSerifTamil({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ac65de4bb44c36c15437541a3fd05c9456f48fac3487596e0d229fa576092abb',
        88616,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fe8092c824be5f5bcbd9c50cbbd521372ee45254671b4911f555dbb542aa6d68',
        88804,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a727ca106555dd9cd00ee5469dd5372d2682b3ba1b633f8ab053b3f2dc1fa8c0',
        88724,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '74efd725b5e611028bb513062d35dcd6c6fd4251df5b9464f690719c4695a6c4',
        88548,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dbb81c82b15ab98e827e5c14e2b48f2aea66937f28bafb7150218888983a103e',
        88712,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd4de0813ad43f3ede1f85221e031177c0d6194246768d1b04206eb71e2af6dac',
        88668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '947c3da3448338c172f8dbc9ca072a46fa907409f002650afedb4b3e3f8ddb6f',
        88524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0376fa8cd913dbd82b832caca64ba23218413145f52da5c9c35bc55cf95cf964',
        88944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c018ff7c8f62a9e7ad8bf201704a0fdce75e1c9c0a8496f98b3007488f66d9c7',
        88896,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '549dc166392a7bd4a7ad31ef472fdbe92e7bde5f4ffcf82e3a86b9e6caec0973',
        88860,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'beff57eef91baa936ca0d59b2c7ad9bf0f2f54c5e805c58eab713e335f98c7ad',
        89068,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6b071444dddf209a1452ed8188549aaad5080ca2ca7aa67e35a4b667c990ab83',
        88996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'dafe2b3586f4389eb0445ab2ff59db5feb811d1a2fff46ac11329ef07c059fc1',
        88816,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cd6e31bfcc320f2fd3802a9f4d0ebda031e7025f78623a56b6cc718a1fba23a5',
        89052,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7e7510b4229b3d648bc8ca173a1dcdcc43d9c014ffc4b4ca09571fc0a465397e',
        88964,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2f63eb24815c6d4ea8c00c2d2e507d3bf6f18a40147ae9da43d4feac5388b6ed',
        88796,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4930522a8bde336647b8f552c3f65c0e1b57e6eac4765f71ea113911510c46c1',
        89228,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6406a9ce1d41120a9324a32359e4760f7869e594fe519fb47179f8e992e534f3',
        89204,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifTamil',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Tamil font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Tamil
  static TextTheme notoSerifTamilTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSerifTamil(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSerifTamil(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSerifTamil(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSerifTamil(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerifTamil(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSerifTamil(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSerifTamil(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSerifTamil(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSerifTamil(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerifTamil(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSerifTamil(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerifTamil(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSerifTamil(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSerifTamil(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSerifTamil(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Tangut font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Tangut
  static TextStyle notoSerifTangut({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '024d9681f91ec8979de208aebd8b3ef0e5c42106cb1281d9fcb3eea68fb487f2',
        3417888,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifTangut',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Tangut font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Tangut
  static TextTheme notoSerifTangutTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSerifTangut(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSerifTangut(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSerifTangut(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSerifTangut(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerifTangut(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSerifTangut(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSerifTangut(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSerifTangut(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSerifTangut(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerifTangut(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSerifTangut(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerifTangut(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSerifTangut(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSerifTangut(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSerifTangut(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Telugu font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Telugu
  static TextStyle notoSerifTelugu({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '440af5aeec8fafa12e4614e0fdfe90267b7ff160d88397bea89a3f7cd92b37b8',
        239776,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '219f1b22f2aef34c129367ac0962494231ba8a4e9831775266b38485a312f078',
        240788,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c9f79897547d95846edf276c68a7e739df083f47b4421becc6a239acbc5629cb',
        241104,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '99e2ed9082d9b80ff901695c8a0f413e35e3123aae57ace16eddfa2aa74131ef',
        240888,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '26a1e290a28c3a5476b2615106820a95b7c50e56f002c2dd750d2be46fc805ab',
        241200,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fc8f82607d9fc75f2b33fdedc25bbb2b9c8b072a14b17f19a0c631b966a226e0',
        241316,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd1e9ed76726ff482d053aa359e79dd909d5d9bf8d7a0fcb8e8c11f0173f987fb',
        241148,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b7a9ed7dc7a15dd251f3a1b8765c91edff8f82bd78ba3d6af1da3e097cb5be66',
        241428,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '42710f2563a0d2c1c31d850547607c462ab192a530a2c521dd09d2d79bbe1575',
        241380,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifTelugu',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Telugu font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Telugu
  static TextTheme notoSerifTeluguTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSerifTelugu(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSerifTelugu(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSerifTelugu(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSerifTelugu(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerifTelugu(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSerifTelugu(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSerifTelugu(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSerifTelugu(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSerifTelugu(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerifTelugu(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSerifTelugu(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerifTelugu(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSerifTelugu(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSerifTelugu(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSerifTelugu(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Thai font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Thai
  static TextStyle notoSerifThai({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cd8262c877647aef83dbddf094af22601ec7965426848d4924ee4d4f0ac30db2',
        57992,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '407e934bdd7da6544b8450ad2fcb40a558d366bc40dc2f059808004685ec0b73',
        58100,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0baae4e42b8a854408b15747c0fe514423cdb95eeee85d7c9f1f2d1d92c0624b',
        58036,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '370a68ba2b32793443a5751eea5e3762ac33c75913ba685919850e5c2490c33f',
        57904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4b224a600967a12a18da35ff0cb10636ff5f82e7844aefeacd999b968633271f',
        58060,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9bfc8bcb227a20c6d9921b99891cabd78661c83989f63a88ee48eab00231fe70',
        58108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '845a440f9c4609f9ed18664edd48c28915c50ca436037547c0fa25725303ea8c',
        58068,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '74ea10b820953b09ff17a68fbec51ad60fa0f3bcf418dd31a3fba2a690da79fa',
        58196,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '58a21266351ab13f1215f3720f0adfee2d9b498f7e2e4e48f3ff0130ca6b6d2c',
        58132,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifThai',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Thai font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Thai
  static TextTheme notoSerifThaiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSerifThai(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSerifThai(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSerifThai(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSerifThai(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerifThai(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSerifThai(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSerifThai(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSerifThai(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSerifThai(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerifThai(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSerifThai(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerifThai(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSerifThai(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSerifThai(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSerifThai(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Tibetan font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Tibetan
  static TextStyle notoSerifTibetan({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1b07b780e8ef4aac1e95ce9b81c6f4a3a65de187a414e8e59f778e3e46a23c4d',
        734832,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8e953604db9e998a856456ff79f72240c65b6d52353e7faf2b3e1d9d2add63e0',
        736368,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e2f1e792140623b81f3b6300e2d60707352410f1e2de028748ccdfa9d19e4a97',
        736160,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a0a225febb24e86ee92e6fd7feef5b988bb6c638c130ba2182e99bc5d257e458',
        735232,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '585ec81f6afbf23713d97535a16034f192341fede2fd6c62f3c6deb05e8d4520',
        737600,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '535e3d4433260d584e92f3a8d9aefca6541c2a854863a5ecbbd19e3c9d7e3851',
        738032,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5f465fe203f9cb4c59b283ceca569aadd8e433470abf7fa7af131530a2d0ff09',
        737824,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '261b379dc61a4f2c44b05f3a32161191b2e73debf320cff4c4f35f7311687a17',
        739352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '80f8e9f929a490a7cb48ad01f04f98717e4b2975815b62a227ce53209e0e92a0',
        738928,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifTibetan',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Tibetan font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Tibetan
  static TextTheme notoSerifTibetanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSerifTibetan(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSerifTibetan(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSerifTibetan(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSerifTibetan(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerifTibetan(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSerifTibetan(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSerifTibetan(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSerifTibetan(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSerifTibetan(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerifTibetan(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSerifTibetan(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerifTibetan(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSerifTibetan(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSerifTibetan(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSerifTibetan(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Toto font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Toto
  static TextStyle notoSerifToto({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '05c71db1d934e6135181c69605976909c84faba061a81f2fa14d0e152a4c724f',
        43232,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7dcc3510796b20cf7eb5b2e9a67785b8506f9b5bcb113ff7d938ad522b849df6',
        43336,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7359614d75c2c8098704cba73bb0388ea1b35ddc40f31fa250327d83831fc58c',
        43248,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ba7d8516241ccbbbc04279e0df461f8948bfafd909a68703b2bdd36ec17fc47b',
        43156,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifToto',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Toto font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Toto
  static TextTheme notoSerifTotoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSerifToto(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSerifToto(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSerifToto(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSerifToto(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerifToto(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSerifToto(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSerifToto(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSerifToto(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSerifToto(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerifToto(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSerifToto(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerifToto(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSerifToto(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSerifToto(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSerifToto(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Yezidi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Yezidi
  static TextStyle notoSerifYezidi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '43e8f895b225bdbc5cafb32d375ee6c1518a30a377685a8c508c29a49705b538',
        9416,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4601212af33ed4cccc6a83e8e1b3fa6be13d10fe6b36a976a7b05462c983d8b3',
        9452,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '079d317d39cb00e3f0055da212df45025e6a7b2749847a1b69a3529eadc59388',
        9468,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cc7ab49672f45a2033d17998bfe3ce17fe37620aab8ff156195f8df0de3bd614',
        9400,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifYezidi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Yezidi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Yezidi
  static TextTheme notoSerifYezidiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSerifYezidi(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSerifYezidi(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSerifYezidi(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSerifYezidi(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerifYezidi(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSerifYezidi(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSerifYezidi(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSerifYezidi(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSerifYezidi(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerifYezidi(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSerifYezidi(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerifYezidi(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSerifYezidi(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSerifYezidi(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSerifYezidi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Traditional Nushu font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Traditional+Nushu
  static TextStyle notoTraditionalNushu({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fed09fc212bb50538e272bd8c2c4b76ef015f1bdf06f1570b7f16317810c88db',
        204860,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoTraditionalNushu',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Traditional Nushu font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Traditional+Nushu
  static TextTheme notoTraditionalNushuTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoTraditionalNushu(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoTraditionalNushu(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoTraditionalNushu(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoTraditionalNushu(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoTraditionalNushu(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoTraditionalNushu(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoTraditionalNushu(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoTraditionalNushu(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoTraditionalNushu(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.notoTraditionalNushu(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoTraditionalNushu(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.notoTraditionalNushu(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoTraditionalNushu(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoTraditionalNushu(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoTraditionalNushu(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nova Cut font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Cut
  static TextStyle novaCut({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6c46a956de0d26486e7af31eeaa101b5a4f655c34ae4eea3df1ca508f23067d1',
        50548,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NovaCut',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nova Cut font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Cut
  static TextTheme novaCutTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.novaCut(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.novaCut(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.novaCut(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.novaCut(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.novaCut(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.novaCut(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.novaCut(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.novaCut(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.novaCut(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.novaCut(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.novaCut(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.novaCut(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.novaCut(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.novaCut(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.novaCut(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nova Flat font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Flat
  static TextStyle novaFlat({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5b33bd6915530aeb47f09774df48ac44bad12780f541ed15757afba9229168c7',
        51672,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NovaFlat',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nova Flat font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Flat
  static TextTheme novaFlatTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.novaFlat(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.novaFlat(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.novaFlat(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.novaFlat(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.novaFlat(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.novaFlat(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.novaFlat(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.novaFlat(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.novaFlat(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.novaFlat(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.novaFlat(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.novaFlat(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.novaFlat(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.novaFlat(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.novaFlat(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nova Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Mono
  static TextStyle novaMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e02d031e7313ecfa888c02acf70261f9ced82988ca4a05bcd3450101d6f0d4b3',
        152484,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NovaMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nova Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Mono
  static TextTheme novaMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.novaMono(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.novaMono(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.novaMono(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.novaMono(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.novaMono(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.novaMono(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.novaMono(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.novaMono(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.novaMono(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.novaMono(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.novaMono(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.novaMono(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.novaMono(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.novaMono(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.novaMono(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nova Oval font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Oval
  static TextStyle novaOval({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '915b1b00d17791228c7f4d6678d44ff2c3357d6dceba4409c710e37c6d3d0172',
        54196,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NovaOval',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nova Oval font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Oval
  static TextTheme novaOvalTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.novaOval(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.novaOval(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.novaOval(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.novaOval(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.novaOval(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.novaOval(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.novaOval(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.novaOval(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.novaOval(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.novaOval(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.novaOval(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.novaOval(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.novaOval(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.novaOval(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.novaOval(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nova Round font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Round
  static TextStyle novaRound({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5c636608b49ecb130609aeae53e7e3ad903a39ab8b7b367253f3b2b9799c3677',
        51408,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NovaRound',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nova Round font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Round
  static TextTheme novaRoundTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.novaRound(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.novaRound(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.novaRound(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.novaRound(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.novaRound(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.novaRound(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.novaRound(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.novaRound(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.novaRound(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.novaRound(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.novaRound(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.novaRound(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.novaRound(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.novaRound(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.novaRound(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nova Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Script
  static TextStyle novaScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8636ed31dd547b704d0607522db713452bf9e16b031a6f140632c56e1ba6d578',
        64716,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NovaScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nova Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Script
  static TextTheme novaScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.novaScript(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.novaScript(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.novaScript(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.novaScript(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.novaScript(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.novaScript(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.novaScript(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.novaScript(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.novaScript(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.novaScript(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.novaScript(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.novaScript(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.novaScript(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.novaScript(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.novaScript(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nova Slim font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Slim
  static TextStyle novaSlim({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6a621948157ef912403e535debfc9f5fdabefd7cdd608f386145fb10a7f67749',
        51448,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NovaSlim',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nova Slim font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Slim
  static TextTheme novaSlimTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.novaSlim(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.novaSlim(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.novaSlim(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.novaSlim(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.novaSlim(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.novaSlim(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.novaSlim(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.novaSlim(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.novaSlim(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.novaSlim(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.novaSlim(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.novaSlim(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.novaSlim(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.novaSlim(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.novaSlim(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nova Square font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Square
  static TextStyle novaSquare({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3f12427d5a0a7c28ae2e285419ace837d6888bebbdd1354f3c93e4f710275420',
        46800,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NovaSquare',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nova Square font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Square
  static TextTheme novaSquareTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.novaSquare(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.novaSquare(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.novaSquare(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.novaSquare(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.novaSquare(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.novaSquare(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.novaSquare(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.novaSquare(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.novaSquare(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.novaSquare(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.novaSquare(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.novaSquare(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.novaSquare(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.novaSquare(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.novaSquare(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Numans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Numans
  static TextStyle numans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '76e8c6d6849d0932e39ea64ccefff66a0af4efbc39d45cddcb7a009aae32fb25',
        35960,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Numans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Numans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Numans
  static TextTheme numansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.numans(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.numans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.numans(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.numans(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.numans(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.numans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.numans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.numans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.numans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.numans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.numans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.numans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.numans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.numans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.numans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nunito font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nunito
  static TextStyle nunito({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aba3aec5c1937c89e85737361694784fe94f7e6c453aa435fbda065b866ad51b',
        125376,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '97ee70c294e5e40d2528d45d91210eae074b7227785790c0a86b62f601051df2',
        125528,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6461c35055a5c0f37ff2a046002ca747fc2120e9070ad00e352de94a94c642f5',
        125492,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '393723bfbe6a0bda78a237d95a3979a689bdbfb3c0cd2bbcff83421e214456aa',
        125616,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e86a54da6ece581b44c65e1a134878058c59ce26ca2d0f8d15f804379b989387',
        125500,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bbca84a0a6bf145e05dde1e02b140632b338f1e394bb1bead7c17610389f5750',
        125428,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '73d02c073d3f9e63a896342053c380815cd1d369542fb753ab51052858be65eb',
        125380,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '75089d4592c459a37eb64c043ebf867ec1c522f15ad97daf69045f09af8871f3',
        125340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1a6e2941a47709575af5838c0a8e7ba83cbd28d4603f6b24ac4ad6e33b83d228',
        128236,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cfd245dc3b871b3c7f8d002d749f72d7a3ec7b3f43e301b6f6be2660eb33a251',
        128496,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9df0db8e7f195cb6199f01f3575aa0345959093a30bb1f112286107cb59be7ec',
        128364,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '66cdbfccf1033ed49a3c6343c2bf065379041975e7acd25b6a8255b7909263e2',
        128428,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ee66e5933b159965a5faf2ce64b83c3d0e35eb6665a1841bfec0ed2a7dd484f0',
        128292,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '74d3470bb1fc49b281b9bc655e587a099f179126cd2fdd66f99a2ca6f74f1d42',
        128232,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b12b8b565c9d896b9f3ab5392f0392fc73df5df98485a8507061c06f1e97e6f3',
        128268,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e2bcfef6f39231b556f13dcfab5daeb84102745728810758e7dc6fb0dd0ab14c',
        128176,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Nunito',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nunito font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nunito
  static TextTheme nunitoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.nunito(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.nunito(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.nunito(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.nunito(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.nunito(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.nunito(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.nunito(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.nunito(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.nunito(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.nunito(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.nunito(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.nunito(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.nunito(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.nunito(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.nunito(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nunito Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nunito+Sans
  static TextStyle nunitoSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a5c5ada6ef95cf1c13032cdd482d1b5b9117898ed48e6e6251cc409409bfb531',
        106596,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ec5dcab16249c6f62ad7636785d7efa6eab623110bcc9692a35b23c0dee43e99',
        106732,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1563a052d1d6552b3b802f10aa4efb3208d7fc91c701b61dbe1edb0548c1c1fa',
        106736,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1f794d51704fe75cd5d5fd0d3c8d96d719f5fd2326479b865c6124f0e13bee17',
        106812,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '94bbbb4ad81df4d26a044fcd34bd878ec319798c7f45882f83e19bc6e2ec5228',
        106844,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '24cd7544420c66af7de45de56c6d14cbc4bf01c7aaf352666a4669a64acbfc44',
        106828,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e4a6a8295fe3163bf8c5fcbed4dbf83ad774d4996abd0d73a4c72539ba3ea519',
        106816,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3f0464ef61461f7f4a40cde4f3f8c89d3050330519ef1fb01eeb3fd14246ee73',
        106796,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c540eb7e51462250810adf1f09ce677351d1e39169c8aa94f0d2c8fe1c0551ac',
        109488,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1e2356039d88c4ba18ca602db9ff1fd2a00b323ef531c1afb21d3e5017698382',
        109672,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'efc6750348e451c17a6e0dddba2c07225332e740d43a24c5a5f70089edf5b2f5',
        109552,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '92babb02554f640b034d27a53897148dbb320f06046f49d0149ba0a3c9d7a539',
        109612,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6cf4c21fcc300343602fa4d216e6af94ab694e4bec30d20fb77384fc1dd9c99d',
        109592,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8fdc285e940a7fc7092160ea88aa30866ad5e706f2220dc38728dedb577ece25',
        109548,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4b073774dac831c613f9c44e1bd159729f0bd3576336b49b60703f1ce48c883a',
        109640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '45a78e8d6e5faad0529a856e832f8baaf7fb3a51d5190485926197c41ba2c31c',
        109572,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NunitoSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nunito Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nunito+Sans
  static TextTheme nunitoSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.nunitoSans(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.nunitoSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.nunitoSans(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.nunitoSans(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.nunitoSans(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.nunitoSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.nunitoSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.nunitoSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.nunitoSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.nunitoSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.nunitoSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.nunitoSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.nunitoSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.nunitoSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.nunitoSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nuosu SIL font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nuosu+SIL
  static TextStyle nuosuSil({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ff221cd5711453322dd44afffaee3becc128ab0fabd1f4dea7013343f45b1b80',
        251700,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NuosuSIL',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nuosu SIL font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nuosu+SIL
  static TextTheme nuosuSilTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.nuosuSil(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.nuosuSil(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.nuosuSil(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.nuosuSil(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.nuosuSil(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.nuosuSil(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.nuosuSil(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.nuosuSil(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.nuosuSil(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.nuosuSil(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.nuosuSil(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.nuosuSil(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.nuosuSil(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.nuosuSil(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.nuosuSil(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Odibee Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Odibee+Sans
  static TextStyle odibeeSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fd3427f8dd374436a3cde20e906aef4795b464a8179ba3e3dcc039ebf84e3bb0',
        28464,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'OdibeeSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Odibee Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Odibee+Sans
  static TextTheme odibeeSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.odibeeSans(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.odibeeSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.odibeeSans(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.odibeeSans(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.odibeeSans(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.odibeeSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.odibeeSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.odibeeSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.odibeeSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.odibeeSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.odibeeSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.odibeeSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.odibeeSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.odibeeSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.odibeeSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Odor Mean Chey font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Odor+Mean+Chey
  static TextStyle odorMeanChey({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '69f4d00a1b39a1cb51ccabad07a1b2d07a383813db087ba7e4cba60253d82466',
        64128,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'OdorMeanChey',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Odor Mean Chey font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Odor+Mean+Chey
  static TextTheme odorMeanCheyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.odorMeanChey(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.odorMeanChey(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.odorMeanChey(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.odorMeanChey(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.odorMeanChey(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.odorMeanChey(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.odorMeanChey(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.odorMeanChey(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.odorMeanChey(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.odorMeanChey(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.odorMeanChey(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.odorMeanChey(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.odorMeanChey(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.odorMeanChey(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.odorMeanChey(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Offside font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Offside
  static TextStyle offside({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '31201e2dbf4c83e4efb3db4e362af68b8256fba1bd11d74c5dcc9791e1665894',
        42312,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Offside',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Offside font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Offside
  static TextTheme offsideTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.offside(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.offside(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.offside(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.offside(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.offside(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.offside(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.offside(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.offside(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.offside(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.offside(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.offside(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.offside(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.offside(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.offside(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.offside(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Oi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oi
  static TextStyle oi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2004b0747df5a6a26cf89cb402192a1c8d6308aa1c81a199e2e28490e42ebd18',
        327048,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Oi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Oi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oi
  static TextTheme oiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.oi(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.oi(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.oi(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.oi(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.oi(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.oi(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.oi(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.oi(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.oi(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.oi(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.oi(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.oi(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.oi(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.oi(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.oi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Old Standard TT font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Old+Standard+TT
  static TextStyle oldStandardTt({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '80753dc9b390c394442d3c19123ef78ddd1ffa0e08c53740244126b598aeceff',
        144196,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7a9abdc46f125d2993ee87d1a5980d24cdfc7fcfab7e3494eec2ff86534e961d',
        160252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '91356ecc0d94564ea762fe912a681d9d9859d263637dccc42f01c44aca5f0461',
        143392,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'OldStandardTT',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Old Standard TT font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Old+Standard+TT
  static TextTheme oldStandardTtTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.oldStandardTt(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.oldStandardTt(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.oldStandardTt(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.oldStandardTt(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.oldStandardTt(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.oldStandardTt(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.oldStandardTt(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.oldStandardTt(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.oldStandardTt(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.oldStandardTt(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.oldStandardTt(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.oldStandardTt(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.oldStandardTt(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.oldStandardTt(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.oldStandardTt(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Oldenburg font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oldenburg
  static TextStyle oldenburg({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '47b9c8049d3693a9d920648f42ca55016bf908fcc346e7a01600075cfd37a413',
        42324,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Oldenburg',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Oldenburg font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oldenburg
  static TextTheme oldenburgTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.oldenburg(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.oldenburg(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.oldenburg(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.oldenburg(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.oldenburg(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.oldenburg(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.oldenburg(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.oldenburg(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.oldenburg(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.oldenburg(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.oldenburg(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.oldenburg(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.oldenburg(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.oldenburg(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.oldenburg(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ole font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ole
  static TextStyle ole({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '896ba4dca76eb29e1b70254dcfdd67e4471a2c321f69931b5cf85ae02a4251e3',
        104388,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Ole',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ole font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ole
  static TextTheme oleTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ole(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.ole(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ole(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.ole(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.ole(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.ole(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ole(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ole(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ole(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ole(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ole(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ole(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ole(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ole(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ole(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Oleo Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oleo+Script
  static TextStyle oleoScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4f4319c5d4f56ab0df7d0fe203c8077e0369fc2cebdc6fc1f0e16f908126c1c4',
        32472,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '96a91a861461d5a30b52f49f8f1e260a2076fd68fcf9803c5ff7f6a2a77a0fcb',
        32108,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'OleoScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Oleo Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oleo+Script
  static TextTheme oleoScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.oleoScript(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.oleoScript(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.oleoScript(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.oleoScript(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.oleoScript(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.oleoScript(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.oleoScript(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.oleoScript(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.oleoScript(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.oleoScript(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.oleoScript(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.oleoScript(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.oleoScript(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.oleoScript(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.oleoScript(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Oleo Script Swash Caps font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oleo+Script+Swash+Caps
  static TextStyle oleoScriptSwashCaps({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6ce2c9a4990ae5d4406bde1a4564bc68d06f449c440ed620fc8f3512c7a73e12',
        37500,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c02d2cb9f21d10bd74c598b8042f60c8e82d9a7c8eb45cc55b82a02229dcceee',
        37232,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'OleoScriptSwashCaps',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Oleo Script Swash Caps font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oleo+Script+Swash+Caps
  static TextTheme oleoScriptSwashCapsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.oleoScriptSwashCaps(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.oleoScriptSwashCaps(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.oleoScriptSwashCaps(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.oleoScriptSwashCaps(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.oleoScriptSwashCaps(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.oleoScriptSwashCaps(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.oleoScriptSwashCaps(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.oleoScriptSwashCaps(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.oleoScriptSwashCaps(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.oleoScriptSwashCaps(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.oleoScriptSwashCaps(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.oleoScriptSwashCaps(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.oleoScriptSwashCaps(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.oleoScriptSwashCaps(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.oleoScriptSwashCaps(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Oooh Baby font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oooh+Baby
  static TextStyle ooohBaby({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a8ae600034afd0207126087f5c13114d49f0ce1d6b6ac91a1ea97168540256b6',
        88552,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'OoohBaby',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Oooh Baby font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oooh+Baby
  static TextTheme ooohBabyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ooohBaby(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.ooohBaby(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ooohBaby(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.ooohBaby(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.ooohBaby(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.ooohBaby(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ooohBaby(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ooohBaby(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ooohBaby(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ooohBaby(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ooohBaby(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ooohBaby(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ooohBaby(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ooohBaby(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ooohBaby(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Open Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Open+Sans
  static TextStyle openSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a814fecad98871b77773b3358e64bdace7f179916110ff8d28bcdbaa67924169',
        98516,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '889e572c297684af03397f282fe91258be815f8e5eee5f0b04ed123315213997',
        98532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c5e57dd001086fd6df425c5d9a2fd1c11549bd2cd18c5b74357b1b3861110919',
        98676,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8d1cd4d2051cca550bbe7df637cf943db610a4bc84e3cb57cc3087f5532c5dc4',
        98456,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '792bdd679ace71e7b4601633e944a3b346e217bc7d7a965a572bf89cfe556450',
        98548,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '30a5ebcba21117f21796d93dd34f554c30be4d11745022e07ff39bba0ad687d9',
        98964,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '17bcb76eb7550dbde7d931cd7c391804dd147132ef18662e1f6188deb51adca7',
        104120,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3d1c217313112b14ff11be1a0f317055b5c540d8065dee540ad60b0469b0648c',
        103820,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1c9c3d5e209f7fd27a122c6eea30bcdc07d83c0856085769e65d9a7b0efa607d',
        104008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2837a9033bcc1a0b86f6089c9a7c4a7eac65dabb4864c16582214048e2febd23',
        103980,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '48ab27fb65881ad0bd6f0fda2b25e424fdb7329651b58cea0b1f3f381e3975af',
        103572,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '09b2e65134f891d1c7b60269c7c9e07da8b6d18f6a58d4907a667a2f6e72dd5e',
        104148,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'OpenSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Open Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Open+Sans
  static TextTheme openSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.openSans(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.openSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.openSans(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.openSans(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.openSans(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.openSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.openSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.openSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.openSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.openSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.openSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.openSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.openSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.openSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.openSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Open Sans Condensed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Open+Sans+Condensed
  static TextStyle openSansCondensed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '534179e03aadc7717b088745a09c21f98cd3947bad7f1ae5642eb554b0e99adf',
        62392,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0a4c01cd5c43ec0ba40be8d2d99bba9b83697264185b95ea884b8dcb0eb13a66',
        66248,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c81d3d6556ebd5e15a18aff55e53cc40e0de66a2109eb60d54866c6ffefadd0e',
        99144,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'OpenSansCondensed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Open Sans Condensed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Open+Sans+Condensed
  static TextTheme openSansCondensedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.openSansCondensed(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.openSansCondensed(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.openSansCondensed(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.openSansCondensed(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.openSansCondensed(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.openSansCondensed(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.openSansCondensed(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.openSansCondensed(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.openSansCondensed(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.openSansCondensed(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.openSansCondensed(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.openSansCondensed(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.openSansCondensed(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.openSansCondensed(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.openSansCondensed(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Oranienbaum font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oranienbaum
  static TextStyle oranienbaum({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cc639ee95e1c8b5bbd81926863c3a9dab47ba3a7091c9988e55db5c4fdbd9c30',
        54820,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Oranienbaum',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Oranienbaum font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oranienbaum
  static TextTheme oranienbaumTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.oranienbaum(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.oranienbaum(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.oranienbaum(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.oranienbaum(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.oranienbaum(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.oranienbaum(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.oranienbaum(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.oranienbaum(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.oranienbaum(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.oranienbaum(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.oranienbaum(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.oranienbaum(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.oranienbaum(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.oranienbaum(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.oranienbaum(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Orbitron font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Orbitron
  static TextStyle orbitron({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a774a4b363014aa3291679941520090d74cd0037d32063197ee356b7da3560f3',
        17728,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cfb4dfbc67171d3dba77d2bb56ccdfc8ae7910bfee821af5efba9e6f036f2f7a',
        17776,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e3f86bf536664f61ed844266b4e48312be08050d596a471d00191736e4a2a1e1',
        17772,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5c3fa971c5845c6ac9ea72144c267ceeb345f838bb0cc89e9ce62bde3189c033',
        17684,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'feb17e09e85423c53a36cce8fd761667ab5900432b30a4f2d8d75dc7bb6c0ce2',
        17744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8295e5022201292b21cda417062667442262c23e7d3d5f61ca80e845e44a49a8',
        16860,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Orbitron',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Orbitron font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Orbitron
  static TextTheme orbitronTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.orbitron(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.orbitron(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.orbitron(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.orbitron(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.orbitron(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.orbitron(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.orbitron(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.orbitron(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.orbitron(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.orbitron(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.orbitron(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.orbitron(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.orbitron(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.orbitron(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.orbitron(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Oregano font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oregano
  static TextStyle oregano({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fab8841a14ab715923369c8a11777fa64808a0c7d0ad3baa08419ef3c6f50f05',
        76892,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a2a433a9370f96c0f434e35691dfd0f470db252c6786ef269e256481bc9056b9',
        82768,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Oregano',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Oregano font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oregano
  static TextTheme oreganoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.oregano(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.oregano(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.oregano(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.oregano(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.oregano(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.oregano(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.oregano(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.oregano(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.oregano(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.oregano(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.oregano(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.oregano(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.oregano(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.oregano(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.oregano(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Orelega One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Orelega+One
  static TextStyle orelegaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '406653318d6b94b9fbc35468348d32c88734b2a8faa28630b3222140f88af284',
        83504,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'OrelegaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Orelega One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Orelega+One
  static TextTheme orelegaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.orelegaOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.orelegaOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.orelegaOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.orelegaOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.orelegaOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.orelegaOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.orelegaOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.orelegaOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.orelegaOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.orelegaOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.orelegaOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.orelegaOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.orelegaOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.orelegaOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.orelegaOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Orienta font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Orienta
  static TextStyle orienta({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c6bd67bc62c6a11bf4e8207ff2f959548958c7005d34032db63869ed63ae3ffe',
        35632,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Orienta',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Orienta font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Orienta
  static TextTheme orientaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.orienta(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.orienta(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.orienta(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.orienta(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.orienta(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.orienta(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.orienta(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.orienta(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.orienta(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.orienta(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.orienta(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.orienta(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.orienta(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.orienta(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.orienta(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Original Surfer font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Original+Surfer
  static TextStyle originalSurfer({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3be3296dc8e03586adf7df74c6fc3d22867e827861a1edd5f580b7f7e6a7fc06',
        55188,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'OriginalSurfer',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Original Surfer font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Original+Surfer
  static TextTheme originalSurferTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.originalSurfer(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.originalSurfer(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.originalSurfer(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.originalSurfer(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.originalSurfer(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.originalSurfer(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.originalSurfer(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.originalSurfer(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.originalSurfer(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.originalSurfer(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.originalSurfer(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.originalSurfer(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.originalSurfer(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.originalSurfer(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.originalSurfer(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Oswald font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oswald
  static TextStyle oswald({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '78690acbb4d13ed8ad93f3742700f8a712068d3fbf2c9dc38fcbd3bae9ef646a',
        62852,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2c76e59ab6aa90a601587cddb55b102e7c719b68d43c48a76336e1a5a59a2078',
        62984,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b534d128c69fd3a3b95d1d4ecf759940066fcdb3784c29abb26b11cb23ff5b1e',
        62884,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ed7312bb7335c99866533ecf4353c8c69e4bf8e2055436e16ac9e99c818d847d',
        63164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '51d959b30be720086e8c433c9dcc9482e8265bbd1f1f6fdda997a97da26465da',
        63200,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '24cd5785a13eadfccb0517905a8c1032222212785fc3470a82b81beedb4e05e7',
        63168,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Oswald',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Oswald font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oswald
  static TextTheme oswaldTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.oswald(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.oswald(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.oswald(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.oswald(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.oswald(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.oswald(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.oswald(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.oswald(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.oswald(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.oswald(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.oswald(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.oswald(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.oswald(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.oswald(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.oswald(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Outfit font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Outfit
  static TextStyle outfit({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7862cd4b53431575b32ae6509a15cb714d274bde8088481d858a1795cd7b7c0e',
        47520,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ffb3337923f8f928ad02b0ed5170bc6d3f57595453b0e8fd2d822552c06fd9eb',
        47872,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd50dc4a5ec5b238e67bd0ca121356315cec4f7bceaebb9cc68b3c7b88be34427',
        47792,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b667551a8e7d406c089cb2fdf754f2fddfb1dc256a33fcc06c690965c6b9d5d7',
        47820,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '593c02128a0077461e58f5c86a2432a3894ad365c8302f13120fc17b2c4aad88',
        47776,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3b9c6753e282f674c8acfa64c24eba2057c1c123830595cba4e3adbf8c5e9f24',
        48432,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8d3a851bbdbcef9f4e7bbee2ffdb74271a80d745c40dbb68888e5759d5976477',
        48316,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '95f91a67031e82a8ddcdbac44fcf4fff74e58f1e017f1759f90087390922f14a',
        48248,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f1d36e271d33f7c75eca8ea0c0192635ae255c4b0d39fb5a49779f42a53bcdb7',
        48300,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Outfit',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Outfit font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Outfit
  static TextTheme outfitTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.outfit(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.outfit(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.outfit(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.outfit(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.outfit(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.outfit(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.outfit(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.outfit(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.outfit(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.outfit(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.outfit(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.outfit(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.outfit(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.outfit(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.outfit(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Over the Rainbow font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Over+the+Rainbow
  static TextStyle overTheRainbow({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '08ef5082fbd92c5d84efdac43b089099889d8f03b491a3f8f7ba0ff3ffdf0f19',
        43616,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'OvertheRainbow',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Over the Rainbow font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Over+the+Rainbow
  static TextTheme overTheRainbowTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.overTheRainbow(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.overTheRainbow(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.overTheRainbow(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.overTheRainbow(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.overTheRainbow(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.overTheRainbow(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.overTheRainbow(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.overTheRainbow(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.overTheRainbow(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.overTheRainbow(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.overTheRainbow(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.overTheRainbow(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.overTheRainbow(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.overTheRainbow(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.overTheRainbow(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Overlock font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Overlock
  static TextStyle overlock({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4b8432e785954643f21b87a6e317318e30604a5d48f763df981ae359569f78fa',
        44008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3acbe21f0cb9eb5b3da2e08bc7d89edd4ca7a3a70b3692af62920d3554e5a66a',
        37456,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7dc805a7a72bb6159b18848811d9646f9d40388a295cedfc74a9783dafb7ae49',
        36948,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '61d527dd5f588366f681091f58ec1a23695bc4c566d33b43bc6e85912d4136e4',
        39084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4ea4e7a0884f56d2196db881577da27112f70ba2347b24b48592268967e1d506',
        37672,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fac4b7d550bf7b2234c43f634b09d9a27ff4f79cdc92622e761ba8aaf56834b2',
        37452,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Overlock',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Overlock font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Overlock
  static TextTheme overlockTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.overlock(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.overlock(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.overlock(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.overlock(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.overlock(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.overlock(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.overlock(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.overlock(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.overlock(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.overlock(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.overlock(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.overlock(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.overlock(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.overlock(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.overlock(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Overlock SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Overlock+SC
  static TextStyle overlockSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4aefe9a6d1d94da44f06300063a1c099d1a9f5e121d6935955d3502513a11b33',
        34584,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'OverlockSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Overlock SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Overlock+SC
  static TextTheme overlockScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.overlockSc(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.overlockSc(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.overlockSc(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.overlockSc(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.overlockSc(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.overlockSc(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.overlockSc(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.overlockSc(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.overlockSc(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.overlockSc(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.overlockSc(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.overlockSc(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.overlockSc(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.overlockSc(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.overlockSc(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Overpass font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Overpass
  static TextStyle overpass({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd43d02088c3fe9dbbb3d8bb00b94beec2f03a6adf010419ff0754165b99068e4',
        163536,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6fdd2b7d9b8f444d71ada561c2aee318967f1a579b60b846dc866d39fcf1a94e',
        164300,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ee8102561bbd1f4106a646ab1bb9dd32466f516777a853967e67f6539efa01ae',
        164276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '441c94488ed963320f54765e04bf6a2e96b72e199971930f620453a433c63af8',
        164096,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '538462d207ad7c113053cf080a32f5ad7c57dcd29b3c2f70945deeb95bf10cd7',
        164228,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fadc641d5e232657605b702bb978701b5f854cba52fe33e0f17c0a28bb27273b',
        163916,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '83b70d07d479eb8c712a57e083875cd16b7b97060f2372e6f628c49d4f806e70',
        164204,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4dc437832bb0952c5a904f48b6656722170d18c0fb5710ed814d49847c62b969',
        163580,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '91f9cc13cb9ea7e50211e2daed8424c1aba219ad9d1dfcc1e66d81bda20c32e1',
        163508,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c04c1e93ea4de294e5f178e459206e66c5676c25e8ac26bf2f786e2ffe34b2e7',
        148024,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b868de065b91cff146f797c58cd378aaf2b7471d93e2a620618b9f82328f81f8',
        148148,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0de4d69355e8f8164a53aaff68d3c594494f48837559e2570ac2b55723ce3ce5',
        148064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'de437b4bc20e161cf57818927b97548f0c7e5fee4f1f7b52b2712fe65d16d15e',
        147796,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '97769880e33f78cf086e379cb8d2df70e0ab5db3a71f640dfbd7b644aee80860',
        147960,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1b8216528e38a5ce76a7fb5c1e422d44529784e4ebc720444e6186211860df36',
        148040,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b788153cc6ee50ac9206d6dbfea6165358b57f65400839326a6f9c8850eb5e6c',
        148044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '662430aae8f37475aea669895feb96bbcea25bb0c98174a4901261c6ea05d927',
        148624,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4444ae1b5f2ce642a0a70ceb04a97061ea296612e1d47736c37fc26a306254e7',
        148616,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Overpass',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Overpass font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Overpass
  static TextTheme overpassTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.overpass(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.overpass(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.overpass(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.overpass(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.overpass(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.overpass(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.overpass(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.overpass(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.overpass(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.overpass(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.overpass(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.overpass(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.overpass(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.overpass(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.overpass(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Overpass Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Overpass+Mono
  static TextStyle overpassMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '28284639a6cc49f56b8012e7527b520a6bc7bd87dd6baeffac746e7a74419323',
        173604,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '25d7f740f2fd31eaf6cb9c1a3995a51e9613ec3580faeaf1c2c6aacde18a3c06',
        174328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9f02d7e9f289cb7916dcbf6da2dd55170084426f8cb4fd89c15c5c34aa83924f',
        174328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5977661019a80fb791d4fc51296668b4ec70785307fcb28429507307f67d1748',
        174272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fa4758f2455ed59830a11b70e267ab3e0e7ee4ebf0a523739a9db941831cd493',
        174252,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'OverpassMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Overpass Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Overpass+Mono
  static TextTheme overpassMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.overpassMono(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.overpassMono(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.overpassMono(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.overpassMono(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.overpassMono(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.overpassMono(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.overpassMono(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.overpassMono(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.overpassMono(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.overpassMono(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.overpassMono(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.overpassMono(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.overpassMono(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.overpassMono(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.overpassMono(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ovo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ovo
  static TextStyle ovo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4772ff76175118698e1b8a1609662571ac66c152abfa0df326ebe51891f43024',
        46140,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Ovo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ovo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ovo
  static TextTheme ovoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ovo(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.ovo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ovo(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.ovo(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.ovo(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.ovo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ovo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ovo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ovo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ovo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ovo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ovo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ovo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ovo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ovo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Oxanium font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oxanium
  static TextStyle oxanium({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6e5d347e8a9abd85591d13ab9c96d1f55aca1227c5f666589b37fdc52f9a9a44',
        24788,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4ac584d7511a8b9c48e723dbb3e251ca7a4fc052797b4d9e1177276a3d1bd091',
        24720,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3154e3bae3e587ce3e81f9009a4a0c82af3e67b2026dbde37ce05c901ecb3052',
        24648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fe88d5d08b20c174c8e62bc5d84b8329840174bbd81806c042ee92131b87ec48',
        24700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '39763616af4524e2d0c7f87a488373b8a3ea42a29664c6be3e84ceac8a708cc7',
        24696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6edc66e78a235920754396944be49b5e8d56a8afd82415d25205eb4cf4fd328a',
        24608,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1b523cc52a4dd854951eb9581549d979beda096e738450d53fe907f5e9efa582',
        24672,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Oxanium',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Oxanium font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oxanium
  static TextTheme oxaniumTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.oxanium(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.oxanium(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.oxanium(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.oxanium(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.oxanium(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.oxanium(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.oxanium(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.oxanium(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.oxanium(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.oxanium(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.oxanium(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.oxanium(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.oxanium(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.oxanium(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.oxanium(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Oxygen font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oxygen
  static TextStyle oxygen({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4b245cc38abd24040a6e60edb56f333ef31497e3c1589e1de95633fd9811ce2b',
        25588,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '018516876dd67d3188322375bd244200747d26c662efc13f53bc3c0d650e19c1',
        27320,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '85b6744c65824ca40e9bd4ec53dc540041328c8af66f65c1a5c41d09045bca47',
        28184,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Oxygen',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Oxygen font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oxygen
  static TextTheme oxygenTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.oxygen(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.oxygen(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.oxygen(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.oxygen(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.oxygen(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.oxygen(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.oxygen(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.oxygen(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.oxygen(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.oxygen(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.oxygen(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.oxygen(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.oxygen(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.oxygen(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.oxygen(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Oxygen Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oxygen+Mono
  static TextStyle oxygenMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ac90c4df99bc15f74876ec69f50382dc704fcef51ab85c458d43ad1736c7c060',
        26340,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'OxygenMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Oxygen Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oxygen+Mono
  static TextTheme oxygenMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.oxygenMono(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.oxygenMono(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.oxygenMono(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.oxygenMono(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.oxygenMono(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.oxygenMono(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.oxygenMono(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.oxygenMono(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.oxygenMono(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.oxygenMono(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.oxygenMono(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.oxygenMono(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.oxygenMono(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.oxygenMono(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.oxygenMono(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the PT Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/PT+Mono
  static TextStyle ptMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '61620675803f698131e86cf064952390b832f3a0f99f62c73ac81154c6750601',
        60420,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PTMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the PT Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/PT+Mono
  static TextTheme ptMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ptMono(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.ptMono(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ptMono(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.ptMono(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.ptMono(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.ptMono(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ptMono(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ptMono(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ptMono(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ptMono(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ptMono(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ptMono(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ptMono(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ptMono(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ptMono(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the PT Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/PT+Sans
  static TextStyle ptSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6a4f45115f0edfd41682c245df0a47b848b5481e2667157d678c2d90b6e1fd0c',
        66220,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '97c20c193a14afdb34dd049d23ae28d22d9ff16b5b4b4c1d1940c98dcea862cd',
        69168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c671689a4d5accf2d33e669688b409bad32c068681501dba0b363dce32c08db7',
        66504,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7cdb63d16bfaabb01ddade50df20bababc0a4dc40933ab9bce7884ec9ab8ae6c',
        67072,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PTSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the PT Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/PT+Sans
  static TextTheme ptSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ptSans(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.ptSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ptSans(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.ptSans(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.ptSans(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.ptSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ptSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ptSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ptSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ptSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ptSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ptSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ptSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ptSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ptSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the PT Sans Caption font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/PT+Sans+Caption
  static TextStyle ptSansCaption({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '130ffd62cde7dba62f9dbe12fbf067fbfdc6fddf257896f0cb161a0d7fa1d313',
        68020,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ea3d1fb9eff3878a6fd779fa9c7307a899e077faca691b72a7c4aa4a00b3d39e',
        68832,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PTSansCaption',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the PT Sans Caption font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/PT+Sans+Caption
  static TextTheme ptSansCaptionTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.ptSansCaption(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.ptSansCaption(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.ptSansCaption(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.ptSansCaption(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.ptSansCaption(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.ptSansCaption(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ptSansCaption(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ptSansCaption(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ptSansCaption(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ptSansCaption(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ptSansCaption(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ptSansCaption(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ptSansCaption(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ptSansCaption(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ptSansCaption(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the PT Sans Narrow font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/PT+Sans+Narrow
  static TextStyle ptSansNarrow({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '552b97d55d9cdc87428c7293def48adeb1b90185d8c4e99c7bb6afc0bc34845f',
        65748,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6c6bb6ece90ad6898c11afd6eca7b6860a040c246833ba6679838d9354806eaf',
        63832,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PTSansNarrow',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the PT Sans Narrow font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/PT+Sans+Narrow
  static TextTheme ptSansNarrowTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ptSansNarrow(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.ptSansNarrow(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ptSansNarrow(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.ptSansNarrow(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.ptSansNarrow(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.ptSansNarrow(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ptSansNarrow(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ptSansNarrow(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ptSansNarrow(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ptSansNarrow(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ptSansNarrow(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ptSansNarrow(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ptSansNarrow(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ptSansNarrow(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ptSansNarrow(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the PT Serif font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/PT+Serif
  static TextStyle ptSerif({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0638ef6b9c547faff0b143e0668bc997224f5fc73e797f5055e39e29c6e2b004',
        78696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f7d2eca0c84d7fa8bdd081cde01acab643250de4f2b20bb00c4d58bf96bb6856',
        82648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '94e0e54c632f18a0814cd6473701b683cff328324b9b9c4c95eac134cfdd8040',
        80936,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7115b024296098d2e652eaea0836b0219c0992a7f32647087807d46107ac477a',
        84164,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PTSerif',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the PT Serif font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/PT+Serif
  static TextTheme ptSerifTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ptSerif(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.ptSerif(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ptSerif(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.ptSerif(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.ptSerif(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.ptSerif(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ptSerif(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ptSerif(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ptSerif(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ptSerif(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ptSerif(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ptSerif(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ptSerif(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ptSerif(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ptSerif(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the PT Serif Caption font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/PT+Serif+Caption
  static TextStyle ptSerifCaption({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '43148a651032c9c84a1d65382e00106356e8a26e79f9eec239ab1c0279e18199',
        69824,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'aac584531c39378baf684f2506643cad4e5ac1ee405cda09a9626a638ba6dcda',
        76520,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PTSerifCaption',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the PT Serif Caption font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/PT+Serif+Caption
  static TextTheme ptSerifCaptionTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.ptSerifCaption(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.ptSerifCaption(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.ptSerifCaption(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.ptSerifCaption(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.ptSerifCaption(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.ptSerifCaption(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ptSerifCaption(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ptSerifCaption(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ptSerifCaption(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ptSerifCaption(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ptSerifCaption(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ptSerifCaption(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ptSerifCaption(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ptSerifCaption(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ptSerifCaption(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Pacifico font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pacifico
  static TextStyle pacifico({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd00add3a7d91f903eb33bcb08d397693c60d68bb5673410ba279a83490f8b054',
        170408,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Pacifico',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Pacifico font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pacifico
  static TextTheme pacificoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.pacifico(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.pacifico(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.pacifico(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.pacifico(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.pacifico(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.pacifico(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.pacifico(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.pacifico(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.pacifico(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.pacifico(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.pacifico(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.pacifico(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.pacifico(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.pacifico(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.pacifico(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Padauk font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Padauk
  static TextStyle padauk({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eb79c2d944e6bad1454af9c526f7b0f455ae9121b057b63fba13233563ecb20e',
        161264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '87ab0343137d5b40f3f68001c44798e863129804436ee6f8e701faf3dee6d0aa',
        161684,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Padauk',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Padauk font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Padauk
  static TextTheme padaukTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.padauk(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.padauk(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.padauk(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.padauk(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.padauk(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.padauk(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.padauk(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.padauk(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.padauk(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.padauk(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.padauk(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.padauk(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.padauk(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.padauk(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.padauk(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Padyakke Expanded One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Padyakke+Expanded+One
  static TextStyle padyakkeExpandedOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e9af55152219cb5e60e9a3923208f771967dca65e44fe1f1d0eb9056d6129f64',
        263848,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PadyakkeExpandedOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Padyakke Expanded One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Padyakke+Expanded+One
  static TextTheme padyakkeExpandedOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.padyakkeExpandedOne(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.padyakkeExpandedOne(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.padyakkeExpandedOne(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.padyakkeExpandedOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.padyakkeExpandedOne(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.padyakkeExpandedOne(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.padyakkeExpandedOne(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.padyakkeExpandedOne(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.padyakkeExpandedOne(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.padyakkeExpandedOne(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.padyakkeExpandedOne(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.padyakkeExpandedOne(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.padyakkeExpandedOne(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.padyakkeExpandedOne(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.padyakkeExpandedOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Palanquin font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Palanquin
  static TextStyle palanquin({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bc78949640efd655010c39e69aaeda9530490c7e743461b068199dec2490ed51',
        266328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f92c8b2448b71e06c16c3aeebb5ad089b8283a712dabddd0fe77c3ea73e0d33e',
        267856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '422da9ad3c93a5266cb5c8a25bd62267dfde9feec5e474592953728ef84ae4cb',
        268072,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7d73cc743a5f5ff41cf04b3bf381ae685a22a04a9363076defa1ed4ca5ca2742',
        276056,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c3ba2aa43b9021b782440d1d83c839344117e146742ab8e92733a04666efbcb8',
        275212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2590e0e5b947eb96b17ddc6d28943c8b4e506ad23525f9f838c08374f4b55cee',
        275368,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a3ab51a4aa09c3d81b3bce84fc223bcf3d8d39b64a1de96327333eb9291be9c9',
        263920,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Palanquin',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Palanquin font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Palanquin
  static TextTheme palanquinTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.palanquin(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.palanquin(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.palanquin(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.palanquin(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.palanquin(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.palanquin(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.palanquin(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.palanquin(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.palanquin(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.palanquin(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.palanquin(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.palanquin(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.palanquin(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.palanquin(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.palanquin(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Palanquin Dark font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Palanquin+Dark
  static TextStyle palanquinDark({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '191fc8a1e3b4668bbb19cc9af2b229e4263c9c2648bcaa6facde50cdc59c4e22',
        258504,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e7c8fd936e57eebbdb1b4fda7f68de616916b9a59f59262c93231b1336688e19',
        265792,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6b32cb1d23c41e4b5986de84c7fdafcfd12a4ffc68d06b34e1969429277b033e',
        267276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '837b8e7dbc881fde1383e15f1eb2a13625f61f388ba02a8ad1f1567edfb59c4f',
        258052,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PalanquinDark',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Palanquin Dark font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Palanquin+Dark
  static TextTheme palanquinDarkTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.palanquinDark(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.palanquinDark(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.palanquinDark(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.palanquinDark(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.palanquinDark(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.palanquinDark(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.palanquinDark(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.palanquinDark(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.palanquinDark(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.palanquinDark(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.palanquinDark(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.palanquinDark(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.palanquinDark(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.palanquinDark(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.palanquinDark(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Pangolin font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pangolin
  static TextStyle pangolin({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1c44a4167df6a652d60eff5592d747a10d1e25c136037d6d899864bc67b5d264',
        235316,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Pangolin',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Pangolin font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pangolin
  static TextTheme pangolinTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.pangolin(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.pangolin(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.pangolin(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.pangolin(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.pangolin(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.pangolin(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.pangolin(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.pangolin(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.pangolin(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.pangolin(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.pangolin(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.pangolin(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.pangolin(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.pangolin(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.pangolin(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Paprika font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Paprika
  static TextStyle paprika({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a2f58eb822f72ee97f41d537a95e3a1d552530a57ba1e38751d57c48df19ee63',
        61404,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Paprika',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Paprika font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Paprika
  static TextTheme paprikaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.paprika(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.paprika(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.paprika(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.paprika(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.paprika(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.paprika(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.paprika(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.paprika(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.paprika(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.paprika(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.paprika(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.paprika(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.paprika(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.paprika(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.paprika(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Parisienne font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Parisienne
  static TextStyle parisienne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd2db2684e8935576e37c73e94f92c3dc60d4efbaddfad9c64afb4aaab4d21e4b',
        57136,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Parisienne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Parisienne font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Parisienne
  static TextTheme parisienneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.parisienne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.parisienne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.parisienne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.parisienne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.parisienne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.parisienne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.parisienne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.parisienne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.parisienne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.parisienne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.parisienne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.parisienne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.parisienne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.parisienne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.parisienne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Passero One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Passero+One
  static TextStyle passeroOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8d6ddfbe03cb652eec90cbf4132a5d73459b20f305864f7ab40be49c77548b08',
        29796,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PasseroOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Passero One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Passero+One
  static TextTheme passeroOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.passeroOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.passeroOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.passeroOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.passeroOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.passeroOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.passeroOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.passeroOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.passeroOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.passeroOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.passeroOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.passeroOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.passeroOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.passeroOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.passeroOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.passeroOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Passion One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Passion+One
  static TextStyle passionOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2ce584979ecc740ed4d94f123f0bc1612989ea03455e8dd26e85d26e218b8228',
        22532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0f60994b94f3453708949987c5f4de2c6565de04b9cc9dee0b6e7994c00ea0c4',
        22332,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4a6387bd194071ae48a95dd6cb519324455a117ebe3d25ec46818cd809460fbc',
        21832,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PassionOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Passion One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Passion+One
  static TextTheme passionOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.passionOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.passionOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.passionOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.passionOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.passionOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.passionOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.passionOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.passionOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.passionOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.passionOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.passionOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.passionOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.passionOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.passionOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.passionOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Passions Conflict font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Passions+Conflict
  static TextStyle passionsConflict({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '14d1d89ec564c9165e51cb0325c0ec56157d53ba4393e12c44ccd3d443cdee68',
        97492,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PassionsConflict',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Passions Conflict font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Passions+Conflict
  static TextTheme passionsConflictTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.passionsConflict(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.passionsConflict(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.passionsConflict(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.passionsConflict(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.passionsConflict(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.passionsConflict(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.passionsConflict(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.passionsConflict(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.passionsConflict(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.passionsConflict(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.passionsConflict(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.passionsConflict(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.passionsConflict(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.passionsConflict(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.passionsConflict(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Pathway Extreme font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pathway+Extreme
  static TextStyle pathwayExtreme({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '32be52a6c083c152b0d05252078e61e818ead9a0098369c31baf97439f6b4134',
        71284,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1dccfb204d86c59c0e001e131fa60fa56437b15009a9609ea16e8955bcfb6e7b',
        71296,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '85e72e8f579b876587e196df1ba953b8cb1d6564c6995e0b315d59970c83d571',
        71296,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '36443c634364bf8734860f42dd9ba253b217b87621e1148e61bc61eb28dff0ca',
        71312,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7b38c8618914002694a0d9f035d401ba6e95889036ae80cdeeeaf0c0bb1d2ded',
        71336,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e7711efa2601306310c95b4c8bf67ebc51f327e09d7a1c995af12c3e5d084e1e',
        71344,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '089eef74e952632f14c0be299517703357a0cee6ebf0d4ef4990cefa91901919',
        71320,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8e01871585e96f1af1e78bde4d3506da34755bf3058f1b1950ae0196e1bd6d79',
        71420,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0300e0b5ade718d4368571574cda34cb3d6506beb5ed7cfa164f52c6efa95659',
        70800,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '99fdb265620b1173db35b2ab7d94643f14803aa300f40efc7f2cde8e6b300452',
        54196,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2150d00c8d3beab5856d168226bb612fbc5b98686f80f1952e65ca76c4f8e67c',
        54232,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '57fc6d7a85be91531f228fb2f0c1ba21de350bf3e83c335414c40074b69eb64b',
        54200,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '283782d3e7e440fc40a549c355404014843831f13768f8d9ca74f365111de8fc',
        54108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e1c7453a1f74c52adf8df11778601fc054e273ca270f6eda022dab3451f0b924',
        54236,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '444bae9e180019d87aff12f7a13aa194649b280c81668f2a73efe89c6bad9c99',
        54288,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '674dd8376561c140ce7c9b25f45bb488f945b4fb86492193eea181f88d49b2a5',
        54224,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ff4a3ac9746d4175435735b25e10e803fc8337d2b442412adf1bb04a004fc72e',
        54404,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6e5c0a5224496beb9ba59840b2c2cf497156306c6ad77399bc6dc2cf18e36b42',
        53808,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PathwayExtreme',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Pathway Extreme font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pathway+Extreme
  static TextTheme pathwayExtremeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.pathwayExtreme(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.pathwayExtreme(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.pathwayExtreme(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.pathwayExtreme(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.pathwayExtreme(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.pathwayExtreme(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.pathwayExtreme(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.pathwayExtreme(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.pathwayExtreme(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.pathwayExtreme(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.pathwayExtreme(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.pathwayExtreme(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.pathwayExtreme(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.pathwayExtreme(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.pathwayExtreme(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Pathway Gothic One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pathway+Gothic+One
  static TextStyle pathwayGothicOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3fed30da7d0fa977883405b4f71b1b092091ea919b5924255b21c0424a209242',
        32260,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PathwayGothicOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Pathway Gothic One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pathway+Gothic+One
  static TextTheme pathwayGothicOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.pathwayGothicOne(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.pathwayGothicOne(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.pathwayGothicOne(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.pathwayGothicOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.pathwayGothicOne(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.pathwayGothicOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.pathwayGothicOne(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.pathwayGothicOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.pathwayGothicOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.pathwayGothicOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.pathwayGothicOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.pathwayGothicOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.pathwayGothicOne(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.pathwayGothicOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.pathwayGothicOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Patrick Hand font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Patrick+Hand
  static TextStyle patrickHand({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '309ba7d5200f03efa6c3d747d7ad47a5a354464ae0a6ffcb02c747286bc50964',
        81712,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PatrickHand',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Patrick Hand font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Patrick+Hand
  static TextTheme patrickHandTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.patrickHand(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.patrickHand(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.patrickHand(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.patrickHand(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.patrickHand(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.patrickHand(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.patrickHand(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.patrickHand(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.patrickHand(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.patrickHand(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.patrickHand(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.patrickHand(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.patrickHand(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.patrickHand(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.patrickHand(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Patrick Hand SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Patrick+Hand+SC
  static TextStyle patrickHandSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '82e5e1a07e448d4b75eeeac02f45e6c1aa44100fb8260c4feeb7a286b1bdadf9',
        80644,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PatrickHandSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Patrick Hand SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Patrick+Hand+SC
  static TextTheme patrickHandScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.patrickHandSc(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.patrickHandSc(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.patrickHandSc(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.patrickHandSc(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.patrickHandSc(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.patrickHandSc(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.patrickHandSc(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.patrickHandSc(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.patrickHandSc(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.patrickHandSc(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.patrickHandSc(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.patrickHandSc(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.patrickHandSc(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.patrickHandSc(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.patrickHandSc(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Pattaya font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pattaya
  static TextStyle pattaya({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '01923c8b76276fa44609912b0aba62665cd0bfa0b62171329c6ac162e18dca99',
        204156,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Pattaya',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Pattaya font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pattaya
  static TextTheme pattayaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.pattaya(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.pattaya(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.pattaya(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.pattaya(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.pattaya(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.pattaya(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.pattaya(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.pattaya(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.pattaya(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.pattaya(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.pattaya(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.pattaya(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.pattaya(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.pattaya(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.pattaya(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Patua One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Patua+One
  static TextStyle patuaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4262d730d1f40976e5f2c67f582a81d98f6001c3dd47c1c79eec8501b04113c7',
        33312,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PatuaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Patua One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Patua+One
  static TextTheme patuaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.patuaOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.patuaOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.patuaOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.patuaOne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.patuaOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.patuaOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.patuaOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.patuaOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.patuaOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.patuaOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.patuaOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.patuaOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.patuaOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.patuaOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.patuaOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Pavanam font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pavanam
  static TextStyle pavanam({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b810ebafb000c09b01ed598d6b0e1d9d0e464568738a970a8d9032e7f648eebd',
        46768,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Pavanam',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Pavanam font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pavanam
  static TextTheme pavanamTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.pavanam(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.pavanam(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.pavanam(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.pavanam(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.pavanam(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.pavanam(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.pavanam(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.pavanam(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.pavanam(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.pavanam(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.pavanam(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.pavanam(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.pavanam(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.pavanam(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.pavanam(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Paytone One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Paytone+One
  static TextStyle paytoneOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2d45bfb9bfc5515838e5ecd83fcb1560c29ef44ddb51258ffa1eddb057207f4e',
        79148,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PaytoneOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Paytone One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Paytone+One
  static TextTheme paytoneOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.paytoneOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.paytoneOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.paytoneOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.paytoneOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.paytoneOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.paytoneOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.paytoneOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.paytoneOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.paytoneOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.paytoneOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.paytoneOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.paytoneOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.paytoneOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.paytoneOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.paytoneOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Peddana font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Peddana
  static TextStyle peddana({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '76a02cbd18995f08626f822b75ab64928d13930841a9e1bc101da523d0ddb3a7',
        439344,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Peddana',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Peddana font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Peddana
  static TextTheme peddanaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.peddana(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.peddana(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.peddana(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.peddana(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.peddana(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.peddana(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.peddana(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.peddana(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.peddana(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.peddana(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.peddana(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.peddana(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.peddana(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.peddana(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.peddana(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Peralta font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Peralta
  static TextStyle peralta({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6fbbce30d76ab765d0d2808216f873765b430cf1d770bdd73a3d501f80301795',
        56848,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Peralta',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Peralta font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Peralta
  static TextTheme peraltaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.peralta(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.peralta(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.peralta(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.peralta(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.peralta(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.peralta(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.peralta(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.peralta(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.peralta(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.peralta(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.peralta(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.peralta(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.peralta(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.peralta(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.peralta(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Permanent Marker font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Permanent+Marker
  static TextStyle permanentMarker({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a96da3e1e3ae127eaecf81d137f7a017e14753955bf2449763b6b4118f98df12',
        72860,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PermanentMarker',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Permanent Marker font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Permanent+Marker
  static TextTheme permanentMarkerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.permanentMarker(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.permanentMarker(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.permanentMarker(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.permanentMarker(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.permanentMarker(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.permanentMarker(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.permanentMarker(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.permanentMarker(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.permanentMarker(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.permanentMarker(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.permanentMarker(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.permanentMarker(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.permanentMarker(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.permanentMarker(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.permanentMarker(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Petemoss font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Petemoss
  static TextStyle petemoss({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5860d03b182eecb6784906194844f7cf4b4d377a91847ac0ca8409d519af5fbe',
        86036,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Petemoss',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Petemoss font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Petemoss
  static TextTheme petemossTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.petemoss(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.petemoss(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.petemoss(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.petemoss(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.petemoss(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.petemoss(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.petemoss(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.petemoss(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.petemoss(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.petemoss(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.petemoss(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.petemoss(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.petemoss(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.petemoss(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.petemoss(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Petit Formal Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Petit+Formal+Script
  static TextStyle petitFormalScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0efc3d4163f42ed319e0ea770c0d6c006be374cc3c665057f6b96e5d1f345062',
        110204,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PetitFormalScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Petit Formal Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Petit+Formal+Script
  static TextTheme petitFormalScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.petitFormalScript(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.petitFormalScript(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.petitFormalScript(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.petitFormalScript(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.petitFormalScript(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.petitFormalScript(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.petitFormalScript(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.petitFormalScript(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.petitFormalScript(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.petitFormalScript(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.petitFormalScript(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.petitFormalScript(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.petitFormalScript(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.petitFormalScript(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.petitFormalScript(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Petrona font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Petrona
  static TextStyle petrona({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '23b7c1f8bc4f40de75932d2b535c8417be16a063f99f79a31f83625d77c99533',
        70500,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '769fe1c23ac7bb65a5f452a3f3c1dfd0ebd9919fba6dce129519399fb3352bb4',
        70960,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2a3ced26dffa571e9af06df2e8f993f618d287a756679e3b5b3b19bbf5cb0878',
        70888,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b70b53a3bab899fa04a4e0521d1db8b6f37ea7a87209505195cd792b43985938',
        70824,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '76b83e6d1c612cf1f5b89053cf6d22211be4d6d4cee356da3c7b3ad5c391467a',
        70884,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '36084dfd35dd36f620da5a26d692b4f197d8000862f791f08161a80b49a21663',
        71244,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ff4c11ff083d56c085e363d0118a5a6f0f8b4013c919a2072f7acfe4c3b68366',
        71240,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '76773c6546827004f1cd5a7e42697dabf5d0e18c4894ad8620800e0a3a52f2a6',
        71272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8f88ac81537802ec95d444acb84398677f854c1f58e5243c1d3ffc83fe5399fd',
        71132,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8dcbb4bf77dc57d1351a739970424cf9c3a47c368efbfa0959ac6acb73c89735',
        74992,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fd28a831091f6587e79747e19dfc4afb4a391b627d8aaab5047a429d59ec7d9e',
        75880,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '68209f40a087d172f8b32dae93a0dc2411f1477884224bbc7a3526f07591b820',
        75904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fc3d173a9dc82a9c6278c6596732c5c1d70936f0eb69142b415b3086ac98f948',
        75900,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c9b65c7c4ace15e886c6da3f96cf6ffb22ef3b3590d9c9b7b04967e5c0551320',
        75988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '766a77e7efbf0917b7f85a7149b7306892c45ac933cbf87e65a6eb74e30e27f7',
        76276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '73a8c527100a39289b4358eb5a703e388c046c0d8ecf75780b3ba46a49add568',
        76220,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b610bdece7ca75d7d6599e37475f1c70b1a5d786b0180c37976480ff8a79c702',
        76284,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '52e3ab7774ed5ad8cec129c90a9c07c5b54386c63d396146abef1a090f3e2485',
        76100,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Petrona',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Petrona font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Petrona
  static TextTheme petronaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.petrona(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.petrona(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.petrona(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.petrona(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.petrona(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.petrona(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.petrona(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.petrona(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.petrona(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.petrona(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.petrona(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.petrona(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.petrona(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.petrona(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.petrona(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Philosopher font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Philosopher
  static TextStyle philosopher({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0ddf1d3369b3c53fbdaf845334102a58e41432e789422d1189432a16d97032e9',
        67416,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '913d6c4d14fc526db65bd55da0ea7d38f7ab96ddfc4b5aa2080a7774d5e21e2d',
        68932,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6a0eedb975dee1fe50f423f1968acb072cd9d03bf3614987ff0fe2a6b2bc9bcf',
        67192,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '012b2a84223455e832e113f3b5001682f24809607b8dbfaab305722b3d07ecfc',
        69384,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Philosopher',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Philosopher font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Philosopher
  static TextTheme philosopherTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.philosopher(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.philosopher(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.philosopher(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.philosopher(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.philosopher(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.philosopher(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.philosopher(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.philosopher(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.philosopher(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.philosopher(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.philosopher(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.philosopher(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.philosopher(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.philosopher(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.philosopher(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Phudu font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Phudu
  static TextStyle phudu({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f0eecde45310f495a829494bd7b53b66798e02c4f5186d8b5d669d3616294b2e',
        64348,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8a7fc88205495ca2de8223a6868c1319e1b5eb582faa3da4bc588495c6d8178a',
        64268,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9e9547b7898cbc339de1646650df1c176d8b92461a7636066fbed3dbe2991f00',
        64304,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '51f5abd8abb7aad78523e1f8ae62f23a380e5da6e0cdb6227df31aaba76b855c',
        64284,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e880a1ebaf84e09f3cb96df2ad18c6da5e3761afe42e0e2ccc17bc75cc1ad37c',
        63604,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd0650da32caad81c291e24d343393874d7e73ae6566742dbc1da7c53c08f3c57',
        64312,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '304bcd125a72c8269ecb393344202eee88c641d6f23b58fc79874710f5f4198d',
        64304,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Phudu',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Phudu font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Phudu
  static TextTheme phuduTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.phudu(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.phudu(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.phudu(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.phudu(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.phudu(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.phudu(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.phudu(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.phudu(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.phudu(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.phudu(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.phudu(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.phudu(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.phudu(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.phudu(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.phudu(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Piazzolla font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Piazzolla
  static TextStyle piazzolla({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eb2223aac39d48a765c374de3ac4a88d46233a0c42a607eb1ecf87643408398e',
        135932,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c66a69851cb91b1e8f28967f5c5efd7ea51453059134d263a9805df7fe8fc9a0',
        136008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3feddf1bd920700903a44e3d552c96f5fc390eb517ec4b1e87849de606e10c00',
        136064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '543eaa1e5a4a4f3cda972f5b90652d2c59eb8885207926911584b5a0b74b3ccd',
        136080,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1557b961c0a64eaed3a8f47405da6beab98a90b6dc4133a4924442ca42c5bbfc',
        136188,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '810b9719ca38ad24d83ce991e24310e00c12b20c13fe50b76b9b002559028eca',
        136284,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '487b305c29bb7491f3de9e2ce80c7b48549864df967a4dec67c2a89cd81b9af3',
        138096,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e6424765532d8e25429993ee43d775502c0ae0410c46a88ad91ca0af3eff4144',
        138224,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3e3a70bfdcf0a95be20a74145764c94e4e6d482bab030e17035a6f33452c6c34',
        138312,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6479232af20f30d89191f0bdd3ad64a69454618decf5d8486b6d422c8deab9c6',
        137184,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8e4b7b1b292eb954cdc19ec23a65a3da5309683b74b39f01d736ddb913f0beea',
        137348,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b2bb50938adb3f51ffd20beb0e884422d37640f2f29e1a6768acebea0544374e',
        137356,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd44563d5f78dc7cb4b91fb07c6df9270b179d17f1bafc390466648ee3376e7b1',
        137208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b04b2b182ae7ae303ee16bc7bef1d4524fb268106938bd073c384c484a0f0cfd',
        137764,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a503b28ea0b4bc3e1143784cc438355b364be93a7847002201f51a5c049c7d95',
        137860,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '06ab2d9147afba6d50e68999834cdca87f61299a11afb6bb91f1b3e4023e876d',
        139392,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2d2aa8acef53d5686d6630166f837cc3f9b22099a286e2f04138626844463f2d',
        139520,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '235fc9de8a70261c796f5da366ba643595782687dd736ab2afae3024eeb84204',
        139520,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Piazzolla',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Piazzolla font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Piazzolla
  static TextTheme piazzollaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.piazzolla(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.piazzolla(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.piazzolla(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.piazzolla(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.piazzolla(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.piazzolla(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.piazzolla(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.piazzolla(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.piazzolla(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.piazzolla(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.piazzolla(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.piazzolla(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.piazzolla(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.piazzolla(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.piazzolla(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Piedra font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Piedra
  static TextStyle piedra({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e6723b2f515c20ab95775753ac7ac4643d0773f784c5b01b6f38c75e73ff15d8',
        73968,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Piedra',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Piedra font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Piedra
  static TextTheme piedraTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.piedra(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.piedra(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.piedra(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.piedra(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.piedra(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.piedra(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.piedra(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.piedra(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.piedra(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.piedra(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.piedra(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.piedra(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.piedra(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.piedra(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.piedra(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Pinyon Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pinyon+Script
  static TextStyle pinyonScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e8a3225c84c1e95d8814d62d3f1495bac69f7265209866e1069a72bc629e8e6b',
        105364,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PinyonScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Pinyon Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pinyon+Script
  static TextTheme pinyonScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.pinyonScript(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.pinyonScript(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.pinyonScript(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.pinyonScript(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.pinyonScript(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.pinyonScript(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.pinyonScript(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.pinyonScript(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.pinyonScript(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.pinyonScript(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.pinyonScript(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.pinyonScript(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.pinyonScript(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.pinyonScript(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.pinyonScript(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Pirata One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pirata+One
  static TextStyle pirataOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3597113a9b547a2f2f1e38b48d5c8c0cfacf0819c4405635c8b79384a8c6c4d5',
        53648,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PirataOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Pirata One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pirata+One
  static TextTheme pirataOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.pirataOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.pirataOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.pirataOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.pirataOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.pirataOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.pirataOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.pirataOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.pirataOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.pirataOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.pirataOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.pirataOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.pirataOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.pirataOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.pirataOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.pirataOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Plaster font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Plaster
  static TextStyle plaster({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a2bac54655d89ca927b46d12c6c011d2ace6eadd6705a2c5aeaf5c32c8d9b3d1',
        28044,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Plaster',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Plaster font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Plaster
  static TextTheme plasterTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.plaster(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.plaster(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.plaster(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.plaster(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.plaster(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.plaster(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.plaster(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.plaster(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.plaster(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.plaster(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.plaster(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.plaster(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.plaster(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.plaster(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.plaster(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Play font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Play
  static TextStyle play({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '87dc25938534fe3359f2320e115b81e55cb90512199be0fb296ce96fea0a4ce3',
        84876,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e48dc9cd68c5304da355ba565b0b8c1b7e6058033acc06b844e46a6e7de5e36b',
        85856,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Play',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Play font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Play
  static TextTheme playTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.play(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.play(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.play(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.play(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.play(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.play(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.play(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.play(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.play(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.play(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.play(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.play(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.play(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.play(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.play(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Playball font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Playball
  static TextStyle playball({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dc2628b3c224cf8259a48469a86d9b02395dd71044f690ea553ec757fb1ceaa4',
        142600,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Playball',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Playball font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Playball
  static TextTheme playballTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.playball(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.playball(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.playball(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.playball(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.playball(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.playball(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.playball(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.playball(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.playball(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.playball(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.playball(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.playball(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.playball(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.playball(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.playball(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Playfair Display font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Playfair+Display
  static TextStyle playfairDisplay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '26252f66458d2b59d34781ad3edc302b6aba9a567198b3417999fd384aeeeeab',
        123176,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7c8900348a0d0bf852e9b7a1ba3e4b115c1a5a107d8507d719ecd46633ba506e',
        123540,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5702f276eac5ce344af67c57df28e8e689ef982f068ae2efbb258bbf9b685143',
        123608,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e3a772adf3668d5394d2a8ca0b8430e09a69ee641744a6133e3054de07434e28',
        123468,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '35fa7d45959af1db8f5c9ffb162748b92a1442ab0bdf604b63d3271a57722b02',
        123540,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '522d9c25ffe9606d2b231248cfafe55d714b1c9443c41553b5bee5425c11425f',
        123464,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '240d7456846b9e76cae058d2c4c9d9766b766426ec32053d3659554a509a78af',
        110776,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0da5f482e9936a888e71abaeb534d78b415a61ddfebcd731fb6b5fdd6017557d',
        111128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c05375a52355aabc27d0afdb64d33dac784826f1ed5eed84a83358f9dc47f843',
        111160,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd4059ae3f7982d96c8b574b12a7775fa83ca6a9ab392fe390622b6a31ed2e401',
        111064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '110b4a179ddae9effa90b7ec44d79bb83605ffaca825486e147d8cb3b4594195',
        111048,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2b37e77291c15edcb1556eeac3f110d24de5e73cf05063459dd717ff7fd0af81',
        110688,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PlayfairDisplay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Playfair Display font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Playfair+Display
  static TextTheme playfairDisplayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.playfairDisplay(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.playfairDisplay(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.playfairDisplay(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.playfairDisplay(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.playfairDisplay(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.playfairDisplay(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.playfairDisplay(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.playfairDisplay(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.playfairDisplay(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.playfairDisplay(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.playfairDisplay(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.playfairDisplay(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.playfairDisplay(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.playfairDisplay(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.playfairDisplay(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Playfair Display SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Playfair+Display+SC
  static TextStyle playfairDisplaySc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2f13bfd324c8d216d47bae4ea721f22eef366014fa840d3f1bac3fd48a73869d',
        94340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7e18e0b16594ec807b46963ad7b21589cd8283f72f087ae288a43c8e80a7df63',
        91492,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a6b28eb0402ac35154975914b6788e6ed1651f39cfcbb2cfe734dee369d9cbd2',
        97320,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '30f58569af160a4acfb1ea34af5a26f20eff5d1d5fffc236c1365fd79bce7415',
        94452,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd1a86f44058098e05949a322ebc45623e9c26f3031184d021604f59f1981d4f2',
        96100,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd8220fb7fdc9826905f9674a3448aa9dc121dec3fd3d69f0fdedc048ae43bbac',
        92760,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PlayfairDisplaySC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Playfair Display SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Playfair+Display+SC
  static TextTheme playfairDisplayScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.playfairDisplaySc(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.playfairDisplaySc(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.playfairDisplaySc(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.playfairDisplaySc(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.playfairDisplaySc(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.playfairDisplaySc(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.playfairDisplaySc(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.playfairDisplaySc(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.playfairDisplaySc(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.playfairDisplaySc(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.playfairDisplaySc(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.playfairDisplaySc(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.playfairDisplaySc(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.playfairDisplaySc(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.playfairDisplaySc(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Plus Jakarta Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Plus+Jakarta+Sans
  static TextStyle plusJakartaSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cd931c02ece53167dcba0ef17aa7deba1c0df77f3dd471e600bbcc03eb3c3b9f',
        63196,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '37ae3c859d5985cae47e412093a518a8c58d8f41996be2bac0c87eb31408af4b',
        63164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4597957691de6665850da72e373fc34e555badca842ea6fdddd2407baadaabe4',
        63144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8e4ed68b5fa75e6081983ad80dfd4e91ba5659b78db8d6ece0073234eec87f20',
        63196,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '941b3282d23f016f5425197fe0d2d2dd20bdcf6e9e40e7e6719b05c21987e443',
        63204,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fa4b65d420cbc7e3b62f74f3760a10cb0abc4d56d156d5d1a94c87c11a5e5c6d',
        63132,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'db749963d6b5e867f19688a6cd716e052d61c506dd27fc9bff8d1c4637fb5891',
        63168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '54c5a80a09fca0930e667cbfb38c1e05caa363f7644fc7ba28ab7a67fedbc959',
        64928,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e13cecddb846261cc524b1a00ec4aa2d870e98e2a3b80fde46985a7356527c45',
        64896,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fb2a33a5975e1a9f51338dead1363cefc4072ea3d6786cf2a5db2c44ce3eff49',
        64660,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '47a2b76a0e9aba1c7b9affd3f4acd986f66cf04cdbb5363e059d0b0d1be4ba31',
        64880,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '755ab0299c20a9edfeb96341fcdeb62e7196599b03a0157c0e83befb3d0d3226',
        64872,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7c124e8d7c0f646ef5c41939fa83d867ebb573067321b70d07c8e95bdce5947d',
        64740,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0054f5b0b7f8e4c4a1247596771bb449eaaec32641e6f09473c7dda7298e171c',
        64824,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PlusJakartaSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Plus Jakarta Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Plus+Jakarta+Sans
  static TextTheme plusJakartaSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.plusJakartaSans(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.plusJakartaSans(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.plusJakartaSans(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.plusJakartaSans(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.plusJakartaSans(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.plusJakartaSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.plusJakartaSans(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.plusJakartaSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.plusJakartaSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.plusJakartaSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.plusJakartaSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.plusJakartaSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.plusJakartaSans(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.plusJakartaSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.plusJakartaSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Podkova font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Podkova
  static TextStyle podkova({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e73a38f29556dbeee2af20850e4b5e08f881a397d52186e36e8a5d68cb252043',
        98128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7de12f42b336fce6abe424926d8e64c940b25ea8639a39fc39143b970cc506ea',
        98264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8c360c687241bd97933fe5d525a0e45408041b9f5ef5edbe5984f2bb7800975a',
        98228,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '97dcbdda1f932f3367875090ee5d041ba60f023c5465c977aad872499756ce0d',
        98144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2d28ca984db4ee29fe787cbc1809a5850511313cd87761fde5ecaf92c893999e',
        97960,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Podkova',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Podkova font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Podkova
  static TextTheme podkovaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.podkova(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.podkova(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.podkova(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.podkova(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.podkova(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.podkova(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.podkova(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.podkova(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.podkova(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.podkova(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.podkova(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.podkova(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.podkova(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.podkova(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.podkova(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Poiret One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Poiret+One
  static TextStyle poiretOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cb10a2b2fd12262b4cc477613596ada8beac64133a493ba6125ab5d17635a312',
        44704,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PoiretOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Poiret One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Poiret+One
  static TextTheme poiretOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.poiretOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.poiretOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.poiretOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.poiretOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.poiretOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.poiretOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.poiretOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.poiretOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.poiretOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.poiretOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.poiretOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.poiretOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.poiretOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.poiretOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.poiretOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Poller One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Poller+One
  static TextStyle pollerOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '801780d5def5239ba7fcd2e398eced436b9fe34dcf0a8e95ef2dbc5ec257fe30',
        28172,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PollerOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Poller One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Poller+One
  static TextTheme pollerOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.pollerOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.pollerOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.pollerOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.pollerOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.pollerOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.pollerOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.pollerOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.pollerOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.pollerOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.pollerOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.pollerOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.pollerOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.pollerOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.pollerOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.pollerOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Poltawski Nowy font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Poltawski+Nowy
  static TextStyle poltawskiNowy({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '94e89c5446e772c9cd78c1cc662272e80360b75f863f38c9b6e27599bcc2bbcc',
        162696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3aa6787055531b48ec8dbf7ebe8a31ae15b5f9f36e5f23f45d123f84167d0982',
        163468,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e8070999fdc9fced391bfd5c6f314427316d2df1f5d9317c7cbcf0ffe877dc29',
        163528,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2f1f211fca1d28cabb59b4083a4c1aecd9f6eb13264ada1e04f3fddbb1fe68f6',
        161604,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1e81709ffbda20b938802c595fc6b862685930fcbb165fe904f1dd0520ea7b9a',
        165672,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '310506b13b1abe971569e2190efa27a532fa6412f28c4fbb8db9534050747f73',
        166856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9c662731f849a25d052d6de710792cf69e213bffb61a42de18e1990a741b8759',
        166948,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '65b274fefbccdffbffc39eb73b8af10cd4449b21f6b8fd2d7b0c160096273728',
        165320,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PoltawskiNowy',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Poltawski Nowy font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Poltawski+Nowy
  static TextTheme poltawskiNowyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.poltawskiNowy(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.poltawskiNowy(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.poltawskiNowy(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.poltawskiNowy(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.poltawskiNowy(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.poltawskiNowy(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.poltawskiNowy(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.poltawskiNowy(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.poltawskiNowy(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.poltawskiNowy(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.poltawskiNowy(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.poltawskiNowy(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.poltawskiNowy(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.poltawskiNowy(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.poltawskiNowy(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Poly font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Poly
  static TextStyle poly({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ff5048298cf73a00572ecfd2b1b5a01f0c95316d6c9572a9a5d447acf64b5eba',
        50944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3a66df60d8b8e0a17998580926c00c9e76393f70bea4f1ece95fd971a331ec5a',
        65812,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Poly',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Poly font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Poly
  static TextTheme polyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.poly(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.poly(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.poly(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.poly(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.poly(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.poly(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.poly(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.poly(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.poly(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.poly(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.poly(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.poly(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.poly(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.poly(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.poly(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Pompiere font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pompiere
  static TextStyle pompiere({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '10d76856928ee3245d8c54871db74b5443bf21650a642d1ee82550402b207e73',
        33288,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Pompiere',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Pompiere font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pompiere
  static TextTheme pompiereTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.pompiere(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.pompiere(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.pompiere(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.pompiere(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.pompiere(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.pompiere(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.pompiere(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.pompiere(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.pompiere(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.pompiere(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.pompiere(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.pompiere(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.pompiere(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.pompiere(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.pompiere(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Pontano Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pontano+Sans
  static TextStyle pontanoSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8fdd7bd71e6e52da5bfb6d9a8b04ffe1528531c843c5daca4508f2b174871f9d',
        41064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ab9d09ef00f909a9151c7fd965cfee7f57ed31fcaed13596aaadeeac2b324b6c',
        40856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a5486e9d9450953453dd2a919b5f386a428e3a91d07ad48ca5bf7e3b9c481749',
        41724,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4f5cd9eaa7092d57cf94be6082253d25aa924a5673fe0db988b10a36797156a0',
        41640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '160447a7c46f78c2e5c2f77c92d1e3c2dd1bb55d6e5973c51a533342355a949d',
        41716,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PontanoSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Pontano Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pontano+Sans
  static TextTheme pontanoSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.pontanoSans(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.pontanoSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.pontanoSans(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.pontanoSans(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.pontanoSans(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.pontanoSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.pontanoSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.pontanoSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.pontanoSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.pontanoSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.pontanoSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.pontanoSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.pontanoSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.pontanoSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.pontanoSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Poor Story font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Poor+Story
  static TextStyle poorStory({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '737ca127bc1d4acf197e258b373c31f20148f17bffcc784b9028b25bf5883eac',
        1802964,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PoorStory',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Poor Story font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Poor+Story
  static TextTheme poorStoryTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.poorStory(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.poorStory(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.poorStory(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.poorStory(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.poorStory(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.poorStory(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.poorStory(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.poorStory(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.poorStory(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.poorStory(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.poorStory(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.poorStory(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.poorStory(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.poorStory(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.poorStory(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Poppins font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Poppins
  static TextStyle poppins({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ad9ae03d8549de3f511f393127a1d1b6b22bdaccdb12ed14be14099ec839221b',
        157864,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '93e1999eddc7ab5b50ba4b350b1cebf75ee119f1bd62f74bfca9933d8f7a2e05',
        183040,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b9f58caa28112f0c392f47e478df266027816bc8e05fa3f8a2153de7639f0742',
        157668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e420a773415c3d6eba38a52fa18270850a33df744c8c4b49996968f1e4b6807e',
        182180,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bb36435e8f368d57e2807b02653757e2f39311982461de642a31966a6c3956fc',
        156144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4c6fcf2be5739f54cf2b72ce3257cf919694e3533a2059584ce08e376207be5d',
        180484,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '705290b12f58c6d70aafcaaf461dbc3d2f7f19d0f4362af1843b107d95d4960a',
        154584,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9944daf2dac6d1c49aef7e4d0e4de71a79d4d65efabcb43945498db8ae119005',
        178076,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a05eb17c43309b14b916303c48995b19407a7cdcf47bc6d8085d464722627918',
        152824,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5dff9130f23647877185ba17e2fe31d83c889f9ac0505b0831a671256ec87ef4',
        176472,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a24a61e9a408f85504dcdcd11edc4995adceb4ab585c0011f39cfbe193248b71',
        151480,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '00e34c6ab7c020708797444bf9ed8e085cd48805ba92df15a1524e1b52d920ec',
        174592,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9ecfd020e9cc0b676025df8390c0dc8cc2062523540887dd04bec0ef4d5a449c',
        150252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'db69b13e2e486582c4431f84cf547907b7fd4fa2858b1619777087bd96f65332',
        172684,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '87d223678cfaeac6f207cfd6f38e16a3dcaf6a1a04bd9d35be56321812672f43',
        149028,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5a916637aaa600bd00e94027737e027dfc6b585767a752677acd96489750b23a',
        169940,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '58bae164452a59c75685191f42f83865d0a9eb41a72af48fa7ddcd15379e7c8d',
        147656,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'df356ffaef0d9c67439829eceeadd432df5a0d0a33cc42ef28f16092226fc84e',
        167640,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Poppins',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Poppins font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Poppins
  static TextTheme poppinsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.poppins(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.poppins(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.poppins(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.poppins(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.poppins(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.poppins(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.poppins(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.poppins(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.poppins(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.poppins(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.poppins(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.poppins(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.poppins(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.poppins(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.poppins(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Port Lligat Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Port+Lligat+Sans
  static TextStyle portLligatSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7e606b04dc6d3beefa63fb8574c5c94ca599a657613dbef25e9d4ffcc516b2ce',
        31556,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PortLligatSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Port Lligat Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Port+Lligat+Sans
  static TextTheme portLligatSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.portLligatSans(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.portLligatSans(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.portLligatSans(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.portLligatSans(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.portLligatSans(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.portLligatSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.portLligatSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.portLligatSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.portLligatSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.portLligatSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.portLligatSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.portLligatSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.portLligatSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.portLligatSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.portLligatSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Port Lligat Slab font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Port+Lligat+Slab
  static TextStyle portLligatSlab({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5ffa3e00fe13d8c796425f086372e09ac506494bc8014cd46c8b979b469a3f36',
        35600,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PortLligatSlab',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Port Lligat Slab font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Port+Lligat+Slab
  static TextTheme portLligatSlabTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.portLligatSlab(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.portLligatSlab(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.portLligatSlab(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.portLligatSlab(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.portLligatSlab(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.portLligatSlab(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.portLligatSlab(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.portLligatSlab(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.portLligatSlab(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.portLligatSlab(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.portLligatSlab(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.portLligatSlab(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.portLligatSlab(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.portLligatSlab(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.portLligatSlab(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Potta One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Potta+One
  static TextStyle pottaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7176e723ac59341e96f8f7fac382d27c5cbc9cf031361c08544cb9f3f7f22407',
        4911476,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PottaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Potta One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Potta+One
  static TextTheme pottaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.pottaOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.pottaOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.pottaOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.pottaOne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.pottaOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.pottaOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.pottaOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.pottaOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.pottaOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.pottaOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.pottaOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.pottaOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.pottaOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.pottaOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.pottaOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Pragati Narrow font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pragati+Narrow
  static TextStyle pragatiNarrow({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '99d6391c41374dd216836cee0f835497bebddfe9f592c78e4b248c213821174b',
        208808,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6be56c0a508027043913912e42c3f32ba498ed449bf54e8e5a5969d99ae8e421',
        208068,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PragatiNarrow',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Pragati Narrow font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pragati+Narrow
  static TextTheme pragatiNarrowTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.pragatiNarrow(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.pragatiNarrow(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.pragatiNarrow(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.pragatiNarrow(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.pragatiNarrow(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.pragatiNarrow(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.pragatiNarrow(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.pragatiNarrow(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.pragatiNarrow(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.pragatiNarrow(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.pragatiNarrow(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.pragatiNarrow(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.pragatiNarrow(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.pragatiNarrow(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.pragatiNarrow(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Praise font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Praise
  static TextStyle praise({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '44421bffc579c56106cf41ebfad49c48cfb88fb84eac0106ab72c26f0d88cfcb',
        97556,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Praise',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Praise font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Praise
  static TextTheme praiseTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.praise(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.praise(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.praise(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.praise(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.praise(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.praise(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.praise(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.praise(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.praise(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.praise(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.praise(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.praise(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.praise(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.praise(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.praise(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Prata font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Prata
  static TextStyle prata({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd929a0daa6abfe6f274a1403b5cc9444e9a186990036134b3477fcbdc46d64d2',
        60248,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Prata',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Prata font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Prata
  static TextTheme prataTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.prata(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.prata(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.prata(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.prata(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.prata(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.prata(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.prata(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.prata(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.prata(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.prata(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.prata(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.prata(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.prata(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.prata(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.prata(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Preahvihear font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Preahvihear
  static TextStyle preahvihear({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '534f5faa2ced868a712042f4c95f231b7c56a6bceafc6615d457a74f5a7f4f3d',
        51828,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Preahvihear',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Preahvihear font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Preahvihear
  static TextTheme preahvihearTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.preahvihear(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.preahvihear(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.preahvihear(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.preahvihear(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.preahvihear(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.preahvihear(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.preahvihear(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.preahvihear(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.preahvihear(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.preahvihear(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.preahvihear(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.preahvihear(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.preahvihear(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.preahvihear(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.preahvihear(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Press Start 2P font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Press+Start+2P
  static TextStyle pressStart2p({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8e9e854f71aebd3bb8342321d0cc92cabf68e27354dd7a90e806bce895da8dca',
        55168,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PressStart2P',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Press Start 2P font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Press+Start+2P
  static TextTheme pressStart2pTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.pressStart2p(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.pressStart2p(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.pressStart2p(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.pressStart2p(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.pressStart2p(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.pressStart2p(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.pressStart2p(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.pressStart2p(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.pressStart2p(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.pressStart2p(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.pressStart2p(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.pressStart2p(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.pressStart2p(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.pressStart2p(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.pressStart2p(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Pridi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pridi
  static TextStyle pridi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5bdb75d17dcd2834ac7b42b5eae0c71b7a88c1091c84a5394b80d930e654900f',
        104492,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aef01661b8a6cdb19ac36278a78ffaf6c67c28838b2599b5cc7f3848b3224ad5',
        106940,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8c84bef1541933cb762ae3f4032a89f606fd34ebcf7e27eb61430a359e4c0c11',
        108224,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7520c73525fd73f1670ace1aa87b801fc26861b95369402742fc49869a97aa48',
        105508,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '054fe054f8dcfa6e63ff29b33a7318bbc2ec682505c26b60e255be50773aaa41',
        102616,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7dff18712926b6289fa42d217619727144fb279b0216926ae4afd9b170ce8989',
        101764,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Pridi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Pridi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pridi
  static TextTheme pridiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.pridi(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.pridi(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.pridi(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.pridi(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.pridi(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.pridi(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.pridi(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.pridi(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.pridi(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.pridi(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.pridi(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.pridi(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.pridi(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.pridi(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.pridi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Princess Sofia font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Princess+Sofia
  static TextStyle princessSofia({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '970bb1a01c8d692ead4dc75da70eae89204fd472ebfc088c529fc1e42aae7d9c',
        270232,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PrincessSofia',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Princess Sofia font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Princess+Sofia
  static TextTheme princessSofiaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.princessSofia(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.princessSofia(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.princessSofia(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.princessSofia(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.princessSofia(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.princessSofia(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.princessSofia(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.princessSofia(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.princessSofia(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.princessSofia(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.princessSofia(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.princessSofia(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.princessSofia(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.princessSofia(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.princessSofia(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Prociono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Prociono
  static TextStyle prociono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cb534d9dfc4a1db0f2035df13b1334824492f3e951f53ce6f47fce4dec43dc9e',
        28440,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Prociono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Prociono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Prociono
  static TextTheme procionoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.prociono(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.prociono(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.prociono(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.prociono(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.prociono(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.prociono(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.prociono(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.prociono(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.prociono(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.prociono(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.prociono(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.prociono(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.prociono(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.prociono(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.prociono(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Prompt font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Prompt
  static TextStyle prompt({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a923972fc6a8f837b08ff28aa393ce8e25915480f9fde8697d9db4b2edcdb79e',
        90928,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '26544c427a79a6119bf94344e57763d9ee8ce3d6ea4aaaf8a84b629c50fad4f0',
        100536,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8d3a1c0cd528f46d2d75523cdb9d6bad276dc53abf9b3fbd9644ad2012f6f54d',
        90896,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2cae4dd896939dd04b4995679220aa164bb417edf97f79fa1e7478e50791dbb4',
        100552,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8d962242d54764061a52e839d1ccde13c8620ef2b9a2bdc9d83580e67565b30c',
        90300,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '070ac0ef78a2a51821bfa8f5ea71bece4b888dc87d4fa5871db43b941f0aa802',
        99952,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c80d481e346d71c2d400d1a7d76a30a38b08b0af0f84c8a3b21a249936da04df',
        90184,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ef8175f765e6c09d08768c173382c9894b2597475633f1635d8e29dd3008fafc',
        98976,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a044b49afd543a590faf28ae6d9a0dcc6b16599caea46881a430f9bcc99158eb',
        90152,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '936420f7119ac4fd8a32517f996411a5d932553b941a9b201f212247050eee55',
        98712,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '60b9ea916e82cfa321e507e359ad34d66325466f676f2519bd741d6b5ce4c1ea',
        88144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'dfcd92f4dd89104220cbabccaf41678e59d3a80a52ccbd3ac2c52587ded7b510',
        98476,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0bce6d5e10c9f6e26959195929cdbc293a347eb5f02b41233c5667c8788cfff7',
        89704,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '322d1b5cfb4160f6d8afc15e0dfe869ecece7a2878a4d47983ee3d8ee7b15931',
        98116,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '499673d9643ba4a3cc8d6197deec7d8581c6b3e1bb70316cf751f76faed9a44e',
        89248,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '877690c0ee29d9f70d35d529c58947286f05a4c1edd34c621799996a9b2f331f',
        97988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5d8a1dad60319b81217377cee15370d9fdae20a5a3358ba2aab442a8a688d88f',
        88988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '626e81a57e26f28c8425e3b6303cdc58301f9feffb867fe8f705dad819aab5ee',
        111796,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Prompt',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Prompt font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Prompt
  static TextTheme promptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.prompt(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.prompt(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.prompt(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.prompt(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.prompt(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.prompt(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.prompt(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.prompt(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.prompt(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.prompt(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.prompt(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.prompt(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.prompt(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.prompt(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.prompt(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Prosto One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Prosto+One
  static TextStyle prostoOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e0d4c5c46d7882d98840549b88ff8d86d6ee75b3fecce6b7a365f8ddbd76a01a',
        41952,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ProstoOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Prosto One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Prosto+One
  static TextTheme prostoOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.prostoOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.prostoOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.prostoOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.prostoOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.prostoOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.prostoOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.prostoOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.prostoOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.prostoOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.prostoOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.prostoOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.prostoOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.prostoOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.prostoOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.prostoOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Proza Libre font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Proza+Libre
  static TextStyle prozaLibre({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b794eb5e68c76f1be231c6abd83206310d36a11079fa39c789b7bcc310e66288',
        76196,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '83bad983eca414b664a29ed143268ad65f1e0994116be3b7437531465af33166',
        76068,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8736a3a1098c5523c6b05fb8b47a4f8ef005df6cd4c8d3cc29d95af6ce08e72c',
        76272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b168db04e9d0e28c9a73b994528dd61226db580191372bc9643a9b436d41fabe',
        76424,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '11121bf929802549ba247318f909f057b9bc81376e6671d815fdac994f3fcb34',
        76508,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0510042f3e1ff0fa3ff2afa95271ec3e5adc7737ec70e8f1604a9f5e596e402b',
        76428,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8a86b73094aafa9de9ab868185799b92d6b67d32ab9cef91b2edff4c225d51d6',
        76084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ec3614b2eee1833771c89e21c4c70eb3770b26b7290e2465e94f7ef7cc7ad065',
        76224,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2b04207f332a3a7c05f6aa3bbb6328ce2f4f5c6fff1c59097f45902f46507f52',
        89932,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9a7c3d16aee13a00d55b67bd114de9890ac30c30aa6fcbfc791e56c76e9d6297',
        89228,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ProzaLibre',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Proza Libre font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Proza+Libre
  static TextTheme prozaLibreTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.prozaLibre(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.prozaLibre(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.prozaLibre(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.prozaLibre(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.prozaLibre(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.prozaLibre(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.prozaLibre(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.prozaLibre(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.prozaLibre(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.prozaLibre(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.prozaLibre(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.prozaLibre(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.prozaLibre(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.prozaLibre(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.prozaLibre(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Public Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Public+Sans
  static TextStyle publicSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '95425d8c31c56289224ea845c070a7fdb09e951a6c6af125e180241e825a3418',
        56000,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '711dae8d1ea4ca1d9425cfe75e761ec52a590a9665023f835b3c551b97003309',
        56164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '54c6a3f69c8d66dd2a93c0515110bc18266f0aec80442fce8d0568cbed8bd47f',
        56164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f4a41453a5a6d8f1d1ffbb50a4ec8faa2e6102c46d52d8bbd8e3c91099d1c4c2',
        56128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c3703872195fd1bffc0f518ad1e2b46d6454110de8a9910196b8a553fdc627a2',
        56116,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '835eed35c373048de033d5b62eaba4dd1281975011c93bedf63423b8ad4790d1',
        56196,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9f49bc2108813ec7bbff80901bd7e110ec7c632fb7bf9199164b517a29d6559e',
        56304,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6d320adbe78c159a32ad46693279e1701dd413b4d7d4b3b3966216f2d33a2a84',
        56468,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e56896212ac49011ef1bb74c107724277e94eea950d211636ef935287708d381',
        56408,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5a10cfd6c83bf8ed9c425364181dbc6116926a6bb5fc61eea3db8c581e8b6ded',
        58248,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0309a9a67a68c1471fceca43c8c787c89896ed9b5e8513e37111e92bef73275c',
        58464,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd174f7374a0cbda5b027d51b0139507b2bbe3b0cfe391eaee912e1205f5eb584',
        58408,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5b851ce56994eb1300246087fbd29288751e3f57b63f2ecc98324ad148dae0e1',
        58264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e1b726e96efc6374fa67e24303547577b8459d751da051167eb6e2637b58bcac',
        58376,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9f65c1b1c63028c1c2c08c2f954f92cd2971b209beb83b7f5fced5d34d5ee2d4',
        58500,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c037e259b9334354a38b0fb647ae093461a5a4368bb8e4b3a1ea25bb1d8dceb3',
        58636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fe6ba2144f9d290de0bfd9408549dc8c795d5639c4316ca4ea4bc4f531d02fd4',
        58844,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fe693c18393e59401e8ff7947d545975d60650a9e3e85021a65e42a6bbb2e755',
        58804,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PublicSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Public Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Public+Sans
  static TextTheme publicSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.publicSans(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.publicSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.publicSans(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.publicSans(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.publicSans(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.publicSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.publicSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.publicSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.publicSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.publicSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.publicSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.publicSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.publicSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.publicSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.publicSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Puppies Play font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Puppies+Play
  static TextStyle puppiesPlay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fe4beaaa9e56f94d986dfc08615189974bf8ecb9c21114796f3471b39bd4a294',
        103680,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PuppiesPlay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Puppies Play font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Puppies+Play
  static TextTheme puppiesPlayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.puppiesPlay(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.puppiesPlay(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.puppiesPlay(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.puppiesPlay(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.puppiesPlay(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.puppiesPlay(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.puppiesPlay(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.puppiesPlay(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.puppiesPlay(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.puppiesPlay(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.puppiesPlay(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.puppiesPlay(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.puppiesPlay(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.puppiesPlay(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.puppiesPlay(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Puritan font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Puritan
  static TextStyle puritan({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5cee34121e6f9605021e3451b4e9a301d0964bd717bb0c8ba82748a10cea8898',
        22596,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6e6136370b0abeed8d4cb41b8ba67f8baa9009d78caf32c1c652f5c4d2c84495',
        23876,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'badf78148b7dcfdcc97d42b082880e74f5561d25dc69dd7c8a33a60252d018d3',
        22364,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '170e876845304805c7cce4dfe37478c67aa8a5a63f3d76fb66f766e348aac270',
        23760,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Puritan',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Puritan font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Puritan
  static TextTheme puritanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.puritan(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.puritan(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.puritan(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.puritan(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.puritan(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.puritan(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.puritan(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.puritan(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.puritan(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.puritan(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.puritan(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.puritan(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.puritan(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.puritan(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.puritan(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Purple Purse font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Purple+Purse
  static TextStyle purplePurse({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f15afa5d9a544514805bcac196e73bde7bf592775059393db8fba3964f2f9e8c',
        59652,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PurplePurse',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Purple Purse font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Purple+Purse
  static TextTheme purplePurseTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.purplePurse(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.purplePurse(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.purplePurse(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.purplePurse(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.purplePurse(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.purplePurse(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.purplePurse(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.purplePurse(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.purplePurse(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.purplePurse(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.purplePurse(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.purplePurse(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.purplePurse(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.purplePurse(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.purplePurse(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Qahiri font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Qahiri
  static TextStyle qahiri({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4f66733e61d4cb2734ba69d9495034c0f98175bba5a7ef95d399e64d9349b70f',
        19704,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Qahiri',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Qahiri font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Qahiri
  static TextTheme qahiriTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.qahiri(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.qahiri(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.qahiri(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.qahiri(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.qahiri(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.qahiri(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.qahiri(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.qahiri(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.qahiri(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.qahiri(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.qahiri(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.qahiri(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.qahiri(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.qahiri(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.qahiri(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Quando font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Quando
  static TextStyle quando({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8f04ebd5403a6a09df087e7ef59fc46d3aee84abd715b6e42db5166bd37fbf2d',
        46320,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Quando',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Quando font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Quando
  static TextTheme quandoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.quando(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.quando(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.quando(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.quando(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.quando(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.quando(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.quando(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.quando(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.quando(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.quando(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.quando(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.quando(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.quando(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.quando(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.quando(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Quantico font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Quantico
  static TextStyle quantico({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a89424bbf5a0f0d453ce3c2514586ef874482c40bc8d1cabf8913b07da2f6742',
        18656,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f2da9865ad4d93a8cbd40c9ff24f950bd530b1f57c41b1bad0eb93ab78841977',
        19836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2c0b2f01ce02dafe867853971f3d54a741ddffade9d90bb36f604efdc827ecd5',
        18616,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ff2c8171333a5953f440dfb3ce36d3c44aa748e849931fc1fe42bc91b1856bc8',
        18340,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Quantico',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Quantico font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Quantico
  static TextTheme quanticoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.quantico(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.quantico(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.quantico(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.quantico(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.quantico(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.quantico(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.quantico(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.quantico(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.quantico(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.quantico(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.quantico(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.quantico(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.quantico(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.quantico(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.quantico(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Quattrocento font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Quattrocento
  static TextStyle quattrocento({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f36a9561fc4986d0aac4878ec4f351a432931773328b293355e3cf1c3655212d',
        65952,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a8a5308cad793492be58b4f5dac884b7917e7a03227cc63898db9643cc13c2ed',
        66664,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Quattrocento',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Quattrocento font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Quattrocento
  static TextTheme quattrocentoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.quattrocento(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.quattrocento(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.quattrocento(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.quattrocento(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.quattrocento(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.quattrocento(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.quattrocento(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.quattrocento(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.quattrocento(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.quattrocento(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.quattrocento(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.quattrocento(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.quattrocento(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.quattrocento(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.quattrocento(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Quattrocento Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Quattrocento+Sans
  static TextStyle quattrocentoSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7bb731cc60b46f91bb52998bec01f9cdb4024f7f5d95311c17bffeee0062024a',
        38944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2dbd5b51296f7b89cabf7e1450033af585ca2aa009d50d2ffe1091472e685579',
        44116,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '65e121fdbdf2cde8fbebe307381dcfdf129c1fd68c5cd08b6b36c5e83062d6cf',
        38464,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5873ed8a6a0482a27a63f010cdb0fc742c8f51debc2d7f2055141d4789440a2d',
        39552,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'QuattrocentoSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Quattrocento Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Quattrocento+Sans
  static TextTheme quattrocentoSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.quattrocentoSans(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.quattrocentoSans(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.quattrocentoSans(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.quattrocentoSans(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.quattrocentoSans(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.quattrocentoSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.quattrocentoSans(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.quattrocentoSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.quattrocentoSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.quattrocentoSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.quattrocentoSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.quattrocentoSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.quattrocentoSans(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.quattrocentoSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.quattrocentoSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Questrial font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Questrial
  static TextStyle questrial({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a03a863ae8309aa6530c0d8df4e28b31603d236ae11b23b87af29c097e43963b',
        115384,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Questrial',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Questrial font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Questrial
  static TextTheme questrialTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.questrial(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.questrial(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.questrial(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.questrial(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.questrial(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.questrial(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.questrial(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.questrial(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.questrial(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.questrial(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.questrial(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.questrial(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.questrial(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.questrial(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.questrial(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Quicksand font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Quicksand
  static TextStyle quicksand({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8e794790f6e0d3994010c693345b1298e6e6f99913be9bca09e53d48e32dbc09',
        72940,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '38526ae67e7c9e3888081c9ab1c460d9638c99fa38f4c8c0536cff80c6c79d8f',
        73176,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '305a7b2e83565b72417626e51a433a5554c76081d9764dd13de6e75c4b79bcd1',
        73152,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a55e7e54fc30ad4e93af3a46bf18ad012fb1d86b187e370c81585c221bf8f03e',
        73060,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3d21add2a5ba9b9c1f61edd393037f38fabf5ae438a0b96b00ac3b01d92e871f',
        72812,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Quicksand',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Quicksand font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Quicksand
  static TextTheme quicksandTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.quicksand(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.quicksand(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.quicksand(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.quicksand(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.quicksand(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.quicksand(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.quicksand(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.quicksand(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.quicksand(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.quicksand(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.quicksand(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.quicksand(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.quicksand(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.quicksand(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.quicksand(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Quintessential font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Quintessential
  static TextStyle quintessential({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '99a6ee281084e78d6098407d7876932be32c04cd4038f8b3709f781c74206532',
        70704,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Quintessential',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Quintessential font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Quintessential
  static TextTheme quintessentialTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.quintessential(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.quintessential(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.quintessential(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.quintessential(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.quintessential(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.quintessential(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.quintessential(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.quintessential(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.quintessential(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.quintessential(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.quintessential(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.quintessential(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.quintessential(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.quintessential(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.quintessential(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Qwigley font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Qwigley
  static TextStyle qwigley({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd19a9b10607f6dc683be17e5bc50fe7067eb82c8a8213de86e273ebe96717a32',
        56936,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Qwigley',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Qwigley font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Qwigley
  static TextTheme qwigleyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.qwigley(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.qwigley(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.qwigley(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.qwigley(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.qwigley(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.qwigley(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.qwigley(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.qwigley(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.qwigley(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.qwigley(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.qwigley(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.qwigley(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.qwigley(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.qwigley(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.qwigley(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Qwitcher Grypen font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Qwitcher+Grypen
  static TextStyle qwitcherGrypen({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '653ec917035edb6a20d810d09da3765735aff67feb83e81d1baa58c0f0497f4a',
        137312,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '577800d5758db9b3b1ea93dcc41a3166aebab0da163bf7105330aad7e653500a',
        142944,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'QwitcherGrypen',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Qwitcher Grypen font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Qwitcher+Grypen
  static TextTheme qwitcherGrypenTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.qwitcherGrypen(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.qwitcherGrypen(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.qwitcherGrypen(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.qwitcherGrypen(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.qwitcherGrypen(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.qwitcherGrypen(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.qwitcherGrypen(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.qwitcherGrypen(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.qwitcherGrypen(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.qwitcherGrypen(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.qwitcherGrypen(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.qwitcherGrypen(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.qwitcherGrypen(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.qwitcherGrypen(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.qwitcherGrypen(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Racing Sans One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Racing+Sans+One
  static TextStyle racingSansOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '09ea6613eb3d049dba88c344b36676d8e39d4a314d64e09f43afaf616070849a',
        75196,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RacingSansOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Racing Sans One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Racing+Sans+One
  static TextTheme racingSansOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.racingSansOne(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.racingSansOne(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.racingSansOne(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.racingSansOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.racingSansOne(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.racingSansOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.racingSansOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.racingSansOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.racingSansOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.racingSansOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.racingSansOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.racingSansOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.racingSansOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.racingSansOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.racingSansOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Radio Canada font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Radio+Canada
  static TextStyle radioCanada({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '32257abdedd7c86b2a543c1e858519793222f5da20ef2b84900c319d05c5d36a',
        126584,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '14af91ccbde862456321fed42b9c8bbc390ab7937404a2f2577190031dc7ca9d',
        126892,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '368137944448577c0e3788bf4c5cdf4ebde73e3d3a28b25b2b5732397cad1420',
        127668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '674d2d64f0ccff3d714349dd27e205e8168e4fbc0f7bf1fb261da978181489be',
        127636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e695540eed85b5a1353eff2d8294ba7d091804efaacd28d10551f347642be304',
        127388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fc74e4ca34d6d1ea27808ce28a5cd4c7cfff8b6158e2f47d38792da19ea6bdd4',
        130016,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0c7939b540846137e75d73ca4c2252faee9c87778847a983c3774a114eb03279',
        130272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e9da5155c675d5c6ddcc68e1dbb9ee8716f5bb77f30b0b891dd686c7896a780d',
        131044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '70ef578c70112c7ba0b5a0678afec6f5e87b378bf8dad30efdcf24ca4b570d7b',
        131020,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3ef6c7927b971da5675ce08c0785ec55c81e9e4c6fa44f3b8bf978fe73b5e24c',
        130776,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RadioCanada',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Radio Canada font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Radio+Canada
  static TextTheme radioCanadaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.radioCanada(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.radioCanada(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.radioCanada(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.radioCanada(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.radioCanada(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.radioCanada(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.radioCanada(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.radioCanada(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.radioCanada(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.radioCanada(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.radioCanada(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.radioCanada(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.radioCanada(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.radioCanada(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.radioCanada(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Radley font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Radley
  static TextStyle radley({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bbb354e66f55792b8c93840f66d0a6198fb3d01578a6a7671253a690947e820d',
        52012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0bf4b788c56a30fc658999ba0e3da142c6bc96fee63eac52b5f0a386551cacb4',
        46536,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Radley',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Radley font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Radley
  static TextTheme radleyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.radley(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.radley(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.radley(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.radley(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.radley(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.radley(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.radley(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.radley(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.radley(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.radley(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.radley(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.radley(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.radley(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.radley(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.radley(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rajdhani font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rajdhani
  static TextStyle rajdhani({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '192b606d14e81260b70011c0b0c5112d9a3e9c65afa4f26b77ad0c86b40d5898',
        217500,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ff6e72fe9cf36e9a1c242b9bfd96b5428d8fffa2f1e051aedb763e7541541cd1',
        216760,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aaaec9e0132fad7581bc52138b8093c83ba03a319a3c304e6c011afbbf789b6d',
        214792,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '28f91a9ceab5666fd1bce81d641f74b66cf748a3d4c71d3ff448c4e68d15a738',
        214296,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9daa5a92fd35dd5dacf143f23fe31b929d06731e83fb82f5e2890ba9dd642111',
        216528,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Rajdhani',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rajdhani font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rajdhani
  static TextTheme rajdhaniTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rajdhani(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.rajdhani(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rajdhani(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.rajdhani(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.rajdhani(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.rajdhani(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rajdhani(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rajdhani(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rajdhani(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rajdhani(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rajdhani(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rajdhani(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rajdhani(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rajdhani(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rajdhani(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rakkas font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rakkas
  static TextStyle rakkas({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ab4556585c087281473cd527076978711bd2c8f4f0910adb6530b5888b349bc9',
        92668,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Rakkas',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rakkas font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rakkas
  static TextTheme rakkasTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rakkas(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.rakkas(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rakkas(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.rakkas(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.rakkas(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.rakkas(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rakkas(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rakkas(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rakkas(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rakkas(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rakkas(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rakkas(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rakkas(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rakkas(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rakkas(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Raleway font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Raleway
  static TextStyle raleway({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '224ecf762c40f4aac88f48353d6b0ce62eeb5d90556e26b7704d024632195809',
        117352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b1c11109ae4f18bfa1065ec0bdfe95ee1d85071b476cdcd7fb5bb7a02eeb79ff',
        117548,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0479039177e871c2b2b4eef8fa0108c929b804f1cae8a0b8de30dd0e701b7112',
        117448,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e549403e4a007249673d041c55e7205d754210d79b962001d95a8313191aa3c2',
        117388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fc2640fc16a60883b8f9db92bd4ff12c5049d45d8b17bceed4fcb21827d76961',
        117392,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dce4cd0ac8892078aa945c86610d15a0d3566a26a8ad62eb0ba48b51dc4a6a66',
        117404,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dc6ebfa9c6e8cb7de1831117fc3b905b63aafc63320665a4f4c722da65f0f76a',
        117312,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e8c6b02dc280974028f39e99d29505c52f275c1e935c741ae6319c94f6022fb1',
        117376,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1d6b10ef732abfb934319e7890bc547c62b0c2f55204eab80601435d045df3a0',
        117060,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a6b001e19ef8909bebaa35afb3823eefe97413a8f5fe209f9a27556355b16c45',
        115344,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3b9a92f6091065537a6fa412ec540204988693313176daacf991e71b0056b3c8',
        115444,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2a57af68d557365701e21f71034bdb64961e599768a02901851405b45f8f113d',
        115424,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6597b943f258602aa9b409278ffc9bed9780c34675313453146044af80113f03',
        115232,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9c58b776ba9e08f651f83df1c6e3e7a09c95d29c0dd58d3ab607a72ccdb23a87',
        115300,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a18b9a23bd09f74381cefe7b868bd094815c56a0bc711f97c6f6888e388491d8',
        115388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fb540d416ec2fb8b6a2bd5de94c89576ab0059ea372e4f44adbe5dbdaee03d18',
        115252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '066aae67341d1789840a58b02741533b290f599fe2874e2d08c54592c4f34610',
        115396,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '845342512e0567b18bc0db3fc6e29e6905ef4ea3b06f677081c1025149cd709c',
        115020,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Raleway',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Raleway font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Raleway
  static TextTheme ralewayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.raleway(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.raleway(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.raleway(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.raleway(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.raleway(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.raleway(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.raleway(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.raleway(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.raleway(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.raleway(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.raleway(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.raleway(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.raleway(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.raleway(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.raleway(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Raleway Dots font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Raleway+Dots
  static TextStyle ralewayDots({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7b86af8d779c05da8d754d41738fab2edce3ea547e19dc1aa1bbb8e20066541d',
        188896,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RalewayDots',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Raleway Dots font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Raleway+Dots
  static TextTheme ralewayDotsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ralewayDots(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.ralewayDots(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ralewayDots(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.ralewayDots(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.ralewayDots(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.ralewayDots(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ralewayDots(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ralewayDots(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ralewayDots(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ralewayDots(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ralewayDots(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ralewayDots(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ralewayDots(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ralewayDots(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ralewayDots(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ramabhadra font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ramabhadra
  static TextStyle ramabhadra({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b475183d7a82e6754bbfebdeadda687af1ee9a3223b405314dfba9236a5acf3d',
        319564,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Ramabhadra',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ramabhadra font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ramabhadra
  static TextTheme ramabhadraTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ramabhadra(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.ramabhadra(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ramabhadra(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.ramabhadra(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.ramabhadra(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.ramabhadra(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ramabhadra(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ramabhadra(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ramabhadra(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ramabhadra(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ramabhadra(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ramabhadra(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ramabhadra(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ramabhadra(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ramabhadra(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ramaraja font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ramaraja
  static TextStyle ramaraja({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '17595caf1dbf5c3235c44859d0b4543d12923808268604b0967ecc4fa1e7dff8',
        440392,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Ramaraja',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ramaraja font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ramaraja
  static TextTheme ramarajaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ramaraja(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.ramaraja(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ramaraja(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.ramaraja(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.ramaraja(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.ramaraja(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ramaraja(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ramaraja(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ramaraja(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ramaraja(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ramaraja(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ramaraja(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ramaraja(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ramaraja(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ramaraja(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rambla font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rambla
  static TextStyle rambla({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '445f78a8f5be7d9ef22efa54929a0e53c95c5212fd40e5323bc5ee27ff263adc',
        32208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f8559dd68b1e4ec33ea8e82aef88e2ac65b5208e90aedcc3570b9e258dde3858',
        34992,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd2ab0095a5821055695a33234b3576af18a07613dcc2864526bb1c5c6e4fecbc',
        32248,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4595e357da22bc7ae81a691962b115024e2cfc624fda09673d4785f4761d7f9b',
        34820,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Rambla',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rambla font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rambla
  static TextTheme ramblaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rambla(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.rambla(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rambla(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.rambla(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.rambla(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.rambla(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rambla(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rambla(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rambla(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rambla(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rambla(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rambla(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rambla(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rambla(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rambla(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rammetto One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rammetto+One
  static TextStyle rammettoOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6d60047f1fef7602ab10a7e8b9513ec1ada634bceed44d7f1c87b1c46852845a',
        28124,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RammettoOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rammetto One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rammetto+One
  static TextTheme rammettoOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rammettoOne(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.rammettoOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rammettoOne(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.rammettoOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.rammettoOne(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.rammettoOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rammettoOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rammettoOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rammettoOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rammettoOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rammettoOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rammettoOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rammettoOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rammettoOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rammettoOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rampart One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rampart+One
  static TextStyle rampartOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a95de23f6169cd71a10becbefdfa6c86c56e87a293e285f16d3d31cfa2fd9415',
        3404536,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RampartOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rampart One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rampart+One
  static TextTheme rampartOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rampartOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.rampartOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rampartOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.rampartOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.rampartOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.rampartOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rampartOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rampartOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rampartOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rampartOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rampartOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rampartOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rampartOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rampartOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rampartOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ranchers font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ranchers
  static TextStyle ranchers({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '30959d0aee674a57c2064a0453d3568bf69f436b1add896dc68f5c563c752806',
        90044,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Ranchers',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ranchers font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ranchers
  static TextTheme ranchersTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ranchers(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.ranchers(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ranchers(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.ranchers(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.ranchers(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.ranchers(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ranchers(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ranchers(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ranchers(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ranchers(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ranchers(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ranchers(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ranchers(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ranchers(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ranchers(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rancho font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rancho
  static TextStyle rancho({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7715bbfd4b158ec0e719c5cd8bb62c31704949c78dbf7880cabaa0d2434fb083',
        43096,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Rancho',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rancho font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rancho
  static TextTheme ranchoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rancho(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.rancho(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rancho(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.rancho(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.rancho(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.rancho(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rancho(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rancho(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rancho(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rancho(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rancho(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rancho(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rancho(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rancho(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rancho(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ranga font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ranga
  static TextStyle ranga({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1c63c0af4da5a4e20b84dbfdb056c7ac1c61d5e48372906d8cf76ce80ce5c9af',
        105756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '961432ef0728647b8fb1733b50f24f6fd6be11f65a4c8970d4726fd301f83c9a',
        113056,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Ranga',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ranga font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ranga
  static TextTheme rangaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ranga(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.ranga(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ranga(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.ranga(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.ranga(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.ranga(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ranga(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ranga(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ranga(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ranga(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ranga(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ranga(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ranga(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ranga(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ranga(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rasa font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rasa
  static TextStyle rasa({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '218c26c408884cf1d34d09427a58a6e59f7d24b5f2bd1f49910bab2722dea657',
        244980,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3a5271399da41e8b1e31e915c0b98acc0ed864f38d5773e65df4e626178664df',
        245792,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fc178c509ac3fd0e8da2aa46a983a36f11e5847a95bbdcb7f26a56787e53466d',
        245796,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8f96b681ebe3e8d196e877a542fde58d2abf66d21ed43c61de8c535062219235',
        245912,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fbb33fcde96fe046c617cc97b1cde74d43ccd00636219162c2163b139b50fc43',
        245080,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ec02d2a4b0891757dc252b2f8c78c7bb252cbeb33b8c5bb3b668600a61a56199',
        148584,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b43c1f80404deff3892b0dacc848c5d1edb3b5d4493f8affcec5820c5ee0874c',
        148504,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '799ccf0289a2e612c150f688e18b9fc39238e3c9873b88fd5feb78487e012391',
        148580,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0c5dd074640c478bbc91d3ed8cd1da24c4c65cec8b31b3983f5b47c3b366c27e',
        148704,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '66faaec965d4b628821c26b2b410dde57bf45eea186843f9de6fc11511ea50c4',
        147832,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Rasa',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rasa font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rasa
  static TextTheme rasaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rasa(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.rasa(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rasa(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.rasa(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.rasa(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.rasa(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rasa(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rasa(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rasa(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rasa(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rasa(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rasa(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rasa(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rasa(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rasa(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rationale font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rationale
  static TextStyle rationale({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '328c172212efc2fb93c1d145a48b9f43489f5f1688d678e66dff1a22b6c07058',
        24416,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Rationale',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rationale font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rationale
  static TextTheme rationaleTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rationale(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.rationale(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rationale(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.rationale(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.rationale(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.rationale(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rationale(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rationale(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rationale(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rationale(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rationale(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rationale(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rationale(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rationale(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rationale(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ravi Prakash font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ravi+Prakash
  static TextStyle raviPrakash({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1c5f4ae0672f4c453482ad920569bda880a2e8f64f9569606544cba6be6463a2',
        214764,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RaviPrakash',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ravi Prakash font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ravi+Prakash
  static TextTheme raviPrakashTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.raviPrakash(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.raviPrakash(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.raviPrakash(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.raviPrakash(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.raviPrakash(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.raviPrakash(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.raviPrakash(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.raviPrakash(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.raviPrakash(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.raviPrakash(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.raviPrakash(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.raviPrakash(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.raviPrakash(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.raviPrakash(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.raviPrakash(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Readex Pro font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Readex+Pro
  static TextStyle readexPro({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '870a3330a3749a6f77ae6869705a73e7cac177a535bebe60323fc706f632267c',
        93952,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '38b0632b8ef49efc7781f129be6231d9e8f2191fe9522a7af3c63f514a1db7c8',
        94064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7782ff7d5dea5d731043a6a9485f9c129227a140122a8d5b066a4139b6db2dcb',
        93604,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dd123b1e15265f38bb1e7ea3130a5b50529e1dd2701fd815a7a2c5ebd773cbf7',
        94112,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd6416f2670653f40b5d522b959fa9cef26de93f1eb07383cd74add81cd540223',
        94252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ea6ca5c476dff3996be03d6f357b8fc79d536b3324a74a2b8cd8d95b0c2d7cec',
        94224,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ReadexPro',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Readex Pro font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Readex+Pro
  static TextTheme readexProTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.readexPro(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.readexPro(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.readexPro(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.readexPro(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.readexPro(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.readexPro(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.readexPro(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.readexPro(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.readexPro(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.readexPro(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.readexPro(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.readexPro(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.readexPro(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.readexPro(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.readexPro(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Recursive font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Recursive
  static TextStyle recursive({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2bde03485b4ea0545c742934e0b1afa69d18cb98ef784a8beb6a3951dc23feb4',
        156188,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c4a8737161e0528d703d65242ce220409c763d81e020c56574e2231d55e42e69',
        156372,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ea489828daaba13e9f6e263aa76e1d5a22b2e609d8d5bcc71618dc3070c53d0d',
        156356,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1099b5f49242cb96ee63e52a0c7274cb4c83d51212340e455653bf18c84b13de',
        156368,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '52c0471e0aaca3cc716d082e756410794fabd13bc720b4049dc94d345ec68ff6',
        156224,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5352dbf3234228a5f2f1c85253d3ae5cfe059604b431df4f1ce6f82f56142c6c',
        156156,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7023fb1d6b76c8f7c9b956c4fbfa0dd19b591fdb1f10421b8c78986edea52bcd',
        156364,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Recursive',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Recursive font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Recursive
  static TextTheme recursiveTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.recursive(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.recursive(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.recursive(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.recursive(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.recursive(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.recursive(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.recursive(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.recursive(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.recursive(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.recursive(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.recursive(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.recursive(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.recursive(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.recursive(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.recursive(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Red Hat Display font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Red+Hat+Display
  static TextStyle redHatDisplay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '99fd560acc3d191acf8d283ceb17245417c155535857d9e8f0ed89c6ca887f13',
        43332,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cf1f9221d04cf2daeb3a8fb9c406f84fa2e3b0d464db6857773d3f9d6626dc53',
        43280,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '01eaa03669d2115d7ef73b46f446f3154a6d914af6ea04773db6e8a82f1c1b52',
        43312,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '090811ece935d038249b8d039587d9c4cc215e6e543284d24ce0c74377e3abbc',
        43328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '47d614745b91e275194b9a717b00b2fbce4afb4224d2e6e9e06d2a855c3d6bac',
        43244,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bd13410d7907334f31023fef89abbbaa4e14e7dd75da5caa20d180a756c27e58',
        43320,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd99775fb88117f4d975f50c9b61a87f8b55752af1725e17a6a22c8345e2ff728',
        43248,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9812b556c4df21374d577d607f470ca7ae2a122328d8bbfab436e12d15e36ec5',
        44824,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '79621cdf1dff9e9e998eb481af1f86beed77b84b14ea01cbd48b8f3ad0905172',
        44672,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '54ffb52681bc27c420a135483e1f37a5e5c23f8c076679c25dd67258a3ea8096',
        44804,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7684038f4f6f323553d30c5f51379a011b66b9738ab51166fd2d4d9a24fd2165',
        44828,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '997430d664482f3c3fb6328cc0ecf65c75b8f27d79539764fe4563cb6bee562b',
        44696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '16189a74aa96649ae4568b1a413ff2978f2411c3357353fbc2ffd8c9605b86f8',
        44820,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cda2936d2e6358e9f702ef7f5cbd8ed5131f2401ea008d324b413284ae018ed7',
        44760,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RedHatDisplay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Red Hat Display font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Red+Hat+Display
  static TextTheme redHatDisplayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.redHatDisplay(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.redHatDisplay(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.redHatDisplay(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.redHatDisplay(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.redHatDisplay(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.redHatDisplay(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.redHatDisplay(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.redHatDisplay(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.redHatDisplay(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.redHatDisplay(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.redHatDisplay(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.redHatDisplay(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.redHatDisplay(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.redHatDisplay(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.redHatDisplay(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Red Hat Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Red+Hat+Mono
  static TextStyle redHatMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '87b8dbca2925e68c75916924ce29fc63605b003bc73ce31a00d77dbb622f5b6a',
        29048,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ff08e544abd325e9c4bc4a640a7ca443b55751126c6a6f0f48c5b9a3ac3b9145',
        28996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '57f2cc69860281dd3e6614f755d9afc941ab8cdc845e5d9cf1fc4dd46deb3f95',
        28972,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7fc5042dc502a91cc598290729e3a2ec2e6d2bc4960099876fd552b9ab437467',
        28988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0ce2186525a945f3b28be88f165550d488c5996cfa68539c5921dae1120eab10',
        28888,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6b7b9bd748ad3eb82ca370863a81967a42ca3800b51153485d289a8eab63fa1d',
        30564,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'bb1fdbd2bb52dd09f6a58369e032b67bd9b0ddadba3e3b6a4ada834734e7e6ce',
        30388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1540971f844835d0fb7815bd63b7721281c242e81ffa6cc024df0f6ceebb5f46',
        30492,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a8f2975226be63f738687110aa5017337cc2de88e06f51214abe54619d98b784',
        30516,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0fc2fce442aceb9864555ecc6ec28904d24928a3798c3525191934034abf5cf8',
        30412,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RedHatMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Red Hat Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Red+Hat+Mono
  static TextTheme redHatMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.redHatMono(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.redHatMono(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.redHatMono(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.redHatMono(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.redHatMono(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.redHatMono(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.redHatMono(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.redHatMono(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.redHatMono(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.redHatMono(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.redHatMono(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.redHatMono(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.redHatMono(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.redHatMono(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.redHatMono(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Red Hat Text font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Red+Hat+Text
  static TextStyle redHatText({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4752624ebdca6a69289a1b6536d83391fd908e8902a706bfa562c3d46d2cd394',
        43364,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '67a7cb611cb66b94ac1b6f742e6023747f439ad20e58c29a72898782804302ad',
        43352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0612d362d8b1863cff5a84136904c7ad349031c98313c482d723fe2e2c6c2f7f',
        43360,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '05870d5e585fce023a4b25c9bf0540c525262e7d15d23bc618752775ec1e422c',
        43376,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '01a4fa61be760893c16187b9f5ba88dbab66556f5bace0e7517de8775d8e4498',
        43272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9c683ffb14040a3db383e89e2e13a842ce8c28c168f8e4fed0b138b4565834b0',
        45004,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '15ae777c644ce918afa4483879e350a980563e4449175443e7a509c24cd58bf2',
        44900,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fa21aebdf69a9af5bc9136bf70c317155a5c3b0c235fef575aebc07c2e028e5d',
        45040,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '698c4f468b4279b88ab6bc760521fe62a9488dbb54789efcd56e468728ecefd8',
        45064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '31f2de7ba05fc26b352b54e582b124a4cb95fca5f75b08d9cfdcc1af1ae5f69a',
        44932,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RedHatText',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Red Hat Text font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Red+Hat+Text
  static TextTheme redHatTextTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.redHatText(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.redHatText(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.redHatText(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.redHatText(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.redHatText(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.redHatText(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.redHatText(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.redHatText(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.redHatText(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.redHatText(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.redHatText(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.redHatText(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.redHatText(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.redHatText(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.redHatText(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Red Rose font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Red+Rose
  static TextStyle redRose({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '46c14c3e0ff65c270e74f12d703c9342654ba7569cc691865ed95d4d3bad8c45',
        62016,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '978beaa148a6104947ae25c087fa6751b40720f1319b22440a3e17b2451801de',
        62060,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '490deaed68387998fb55ab8a1ea94b2417c79d9a8ad36ceb151f2702be3399a2',
        62104,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f10a411a2b5cdac67cf96d6fd27c22aabc2cb2658e57ae87f65e9fe7675f0942',
        62132,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e188bda7580dcc1ab6915b5fb16d6125d2f765979166be1883a24e71b3ca89dc',
        62052,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RedRose',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Red Rose font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Red+Rose
  static TextTheme redRoseTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.redRose(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.redRose(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.redRose(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.redRose(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.redRose(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.redRose(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.redRose(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.redRose(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.redRose(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.redRose(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.redRose(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.redRose(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.redRose(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.redRose(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.redRose(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Redacted font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Redacted
  static TextStyle redacted({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '98855c0fe481273f4b5f5fcda64c44175fd16a637789fd95db79e7ced9e2619b',
        11404,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Redacted',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Redacted font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Redacted
  static TextTheme redactedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.redacted(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.redacted(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.redacted(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.redacted(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.redacted(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.redacted(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.redacted(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.redacted(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.redacted(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.redacted(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.redacted(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.redacted(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.redacted(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.redacted(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.redacted(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Redacted Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Redacted+Script
  static TextStyle redactedScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2e7784827341a4a812e71d0aa01a7325fc0b8c1eef709d744657c17f7781c926',
        70708,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fd8a8e3c46fa17ed6e1ea768d109b1309bf6174c5a8e64e9bcdab61fcb47370c',
        70188,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2e7045615530585024ca8f4b1b4d1ddfa1b4191836087d820c27af41939d9842',
        68168,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RedactedScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Redacted Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Redacted+Script
  static TextTheme redactedScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.redactedScript(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.redactedScript(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.redactedScript(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.redactedScript(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.redactedScript(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.redactedScript(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.redactedScript(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.redactedScript(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.redactedScript(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.redactedScript(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.redactedScript(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.redactedScript(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.redactedScript(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.redactedScript(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.redactedScript(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Redressed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Redressed
  static TextStyle redressed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3dab8ebfcebe403cee7e5b4fd1c947faa438a8ddcfa96776b1181185e46125c8',
        64368,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Redressed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Redressed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Redressed
  static TextTheme redressedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.redressed(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.redressed(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.redressed(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.redressed(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.redressed(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.redressed(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.redressed(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.redressed(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.redressed(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.redressed(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.redressed(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.redressed(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.redressed(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.redressed(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.redressed(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Reem Kufi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Reem+Kufi
  static TextStyle reemKufi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '15507a42fe8d7be5c5f000e9f46a6fe00c0fd0966739ec01a1141590e9cbfff1',
        83008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '93a0ecaf59594d3a375fe669d43f1db09f91dc573dc6b04563ce44cd39e31382',
        83144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2836a3962fd68e8a1ac1e8a3e969b75ebb9e2b1520c46441aeb93e7cb495225f',
        83180,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '46b72538b8b38d7afaf1e43a80aef4f5432e25c31b60808a0bc2b3f65af34a4e',
        82912,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ReemKufi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Reem Kufi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Reem+Kufi
  static TextTheme reemKufiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.reemKufi(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.reemKufi(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.reemKufi(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.reemKufi(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.reemKufi(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.reemKufi(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.reemKufi(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.reemKufi(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.reemKufi(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.reemKufi(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.reemKufi(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.reemKufi(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.reemKufi(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.reemKufi(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.reemKufi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Reem Kufi Fun font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Reem+Kufi+Fun
  static TextStyle reemKufiFun({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e41a7b66d21d31c96fae5c92413012f5095b315b654dea7cf12f898dacb9b64a',
        93284,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f2c38eb5f04435c89a859e4066dae197b702b1a03f2f17621905675cc90ac618',
        93404,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c430d0353d9ba16c242c257c157cff186361dcb724b5c4f184d0346418ae5b3d',
        93444,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '28f1225852aaf4e8d4c39aa2a843cbcc5c29c14ec231aa1ffc9bd90d6d1515ca',
        93184,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ReemKufiFun',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Reem Kufi Fun font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Reem+Kufi+Fun
  static TextTheme reemKufiFunTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.reemKufiFun(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.reemKufiFun(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.reemKufiFun(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.reemKufiFun(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.reemKufiFun(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.reemKufiFun(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.reemKufiFun(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.reemKufiFun(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.reemKufiFun(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.reemKufiFun(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.reemKufiFun(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.reemKufiFun(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.reemKufiFun(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.reemKufiFun(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.reemKufiFun(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Reem Kufi Ink font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Reem+Kufi+Ink
  static TextStyle reemKufiInk({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3cdb4806cb6d99a33b55130fd3014fbecb0eebfe52b6d84f07b10254fb1d835d',
        214256,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ReemKufiInk',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Reem Kufi Ink font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Reem+Kufi+Ink
  static TextTheme reemKufiInkTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.reemKufiInk(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.reemKufiInk(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.reemKufiInk(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.reemKufiInk(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.reemKufiInk(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.reemKufiInk(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.reemKufiInk(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.reemKufiInk(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.reemKufiInk(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.reemKufiInk(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.reemKufiInk(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.reemKufiInk(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.reemKufiInk(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.reemKufiInk(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.reemKufiInk(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Reenie Beanie font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Reenie+Beanie
  static TextStyle reenieBeanie({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '43ce9127ebe100797ba46c3b8f1c279ed38d51811a7338c73a5b52f3b1f1831f',
        74092,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ReenieBeanie',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Reenie Beanie font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Reenie+Beanie
  static TextTheme reenieBeanieTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.reenieBeanie(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.reenieBeanie(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.reenieBeanie(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.reenieBeanie(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.reenieBeanie(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.reenieBeanie(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.reenieBeanie(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.reenieBeanie(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.reenieBeanie(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.reenieBeanie(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.reenieBeanie(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.reenieBeanie(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.reenieBeanie(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.reenieBeanie(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.reenieBeanie(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Reggae One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Reggae+One
  static TextStyle reggaeOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '02517b6ae44f0449c2e10bce7c730d395b316647a6a5f18fef2239b58029edcc',
        1967072,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ReggaeOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Reggae One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Reggae+One
  static TextTheme reggaeOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.reggaeOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.reggaeOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.reggaeOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.reggaeOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.reggaeOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.reggaeOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.reggaeOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.reggaeOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.reggaeOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.reggaeOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.reggaeOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.reggaeOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.reggaeOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.reggaeOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.reggaeOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Revalia font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Revalia
  static TextStyle revalia({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c0f239ab0a13a87460077d722b4aa58527b96e0e757e38a882f54cd034dfdfed',
        32240,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Revalia',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Revalia font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Revalia
  static TextTheme revaliaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.revalia(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.revalia(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.revalia(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.revalia(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.revalia(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.revalia(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.revalia(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.revalia(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.revalia(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.revalia(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.revalia(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.revalia(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.revalia(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.revalia(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.revalia(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rhodium Libre font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rhodium+Libre
  static TextStyle rhodiumLibre({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f77eceac42c29138808b800318b58dd5437335c6904d55f73b5457f8d12b7dc8',
        141492,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RhodiumLibre',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rhodium Libre font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rhodium+Libre
  static TextTheme rhodiumLibreTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rhodiumLibre(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.rhodiumLibre(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rhodiumLibre(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.rhodiumLibre(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.rhodiumLibre(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.rhodiumLibre(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rhodiumLibre(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rhodiumLibre(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rhodiumLibre(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rhodiumLibre(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rhodiumLibre(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rhodiumLibre(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rhodiumLibre(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rhodiumLibre(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rhodiumLibre(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ribeye font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ribeye
  static TextStyle ribeye({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c828bd1f5213ab0a7470cb4b16b50c5c5da647bb41f9aed5cb6f04de7dbbd63b',
        75984,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Ribeye',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ribeye font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ribeye
  static TextTheme ribeyeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ribeye(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.ribeye(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ribeye(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.ribeye(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.ribeye(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.ribeye(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ribeye(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ribeye(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ribeye(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ribeye(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ribeye(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ribeye(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ribeye(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ribeye(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ribeye(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ribeye Marrow font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ribeye+Marrow
  static TextStyle ribeyeMarrow({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '47c18d0007ba02ffd1cf3915d1deca0532dc345b21775802a80ee91a39892d8f',
        73608,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RibeyeMarrow',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ribeye Marrow font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ribeye+Marrow
  static TextTheme ribeyeMarrowTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ribeyeMarrow(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.ribeyeMarrow(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ribeyeMarrow(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.ribeyeMarrow(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.ribeyeMarrow(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.ribeyeMarrow(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ribeyeMarrow(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ribeyeMarrow(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ribeyeMarrow(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ribeyeMarrow(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ribeyeMarrow(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ribeyeMarrow(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ribeyeMarrow(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ribeyeMarrow(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ribeyeMarrow(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Righteous font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Righteous
  static TextStyle righteous({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '40569bf6a851892a48f3108cf90ab6573b3b3974a3578cfc221e25f868268ca2',
        38828,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Righteous',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Righteous font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Righteous
  static TextTheme righteousTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.righteous(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.righteous(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.righteous(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.righteous(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.righteous(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.righteous(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.righteous(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.righteous(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.righteous(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.righteous(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.righteous(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.righteous(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.righteous(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.righteous(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.righteous(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Risque font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Risque
  static TextStyle risque({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a03d52e9202e42ac27fc8fe4725335040f959b51fc5113d0618daed561dcb766',
        56456,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Risque',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Risque font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Risque
  static TextTheme risqueTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.risque(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.risque(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.risque(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.risque(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.risque(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.risque(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.risque(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.risque(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.risque(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.risque(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.risque(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.risque(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.risque(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.risque(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.risque(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Road Rage font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Road+Rage
  static TextStyle roadRage({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '17d38a5696972af5f30f9766fb105a4dbe912315be435c71bc1663d494063af6',
        425896,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RoadRage',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Road Rage font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Road+Rage
  static TextTheme roadRageTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.roadRage(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.roadRage(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.roadRage(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.roadRage(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.roadRage(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.roadRage(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.roadRage(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.roadRage(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.roadRage(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.roadRage(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.roadRage(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.roadRage(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.roadRage(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.roadRage(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.roadRage(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Roboto font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Roboto
  static TextStyle roboto({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ef133d43418a8f7f3ff94acf0d988529de27cb6cb23930482ea51a550df693c5',
        82272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd2a7927713af0acbdc77ab152426a365a2eacd8d9c5af8037961cee2862e4719',
        87224,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bbec9513a9c2e908ad0daf806d486b5d81670e0cb6e048d90c526c39c7226986',
        81704,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f351e28c00d79a9aeb2372efa5626827f4e6a1b7401321dc578fe9917ac40a83',
        86944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd1d7c5f4500eeb1a09e051781906c3642015a3f6c9b69046b905c8bf34c6ad60',
        81044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '02323a7160fcc356c056f7167dc9fdea07b9573ec2e8720914c6c2128be051f0',
        86224,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ec3a64e46e2ee5f546845582e1d5409107780cef55bc43b052ee962f9807aee6',
        82628,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '18b1d7709525b550b77288cfa86d25c90744384cb3158eeafb24e61211beee59',
        87948,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '05b2d0935046846efe2c8786ad1c5d909a11c3431787eea52f2fc70f2a8a6edf',
        82928,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ac35b475460fbf9d94b44ba54ee3d3e7e208c75705f4c6acb7781d0d94cdeb63',
        88076,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b1839e6182fe1be6a6f6ae74edaa1aa16d27b9787ff44aeef04baa0ba2404a9d',
        82956,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4d7232f96ac551205759111c413af725e706eacab3477e429b72b66c74ecdf0a',
        88160,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Roboto',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Roboto font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Roboto
  static TextTheme robotoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.roboto(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.roboto(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.roboto(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.roboto(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.roboto(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.roboto(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.roboto(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.roboto(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.roboto(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.roboto(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.roboto(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.roboto(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.roboto(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.roboto(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.roboto(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Roboto Condensed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Roboto+Condensed
  static TextStyle robotoCondensed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f94c0ff2d341c4c6533e828199343c80668cb5728c0936d2f32823d55540686b',
        80904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5d3383a4476bc585ab3a2d122966fc3ac2156372f18f97749f5bf2caf55bf39f',
        86504,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7580458a2610261a73df8676e738eb2640d45953d64b6ac206aa7fc591755538',
        80400,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0cfb77c93d4ae6a534a1f4a50ea2be208c1821f62b53cf759febb79d0b0c7c56',
        85968,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4828d8acdd8e41a0230d63f2359c5e243e9d2a3f36149c647f1e6aa3c9e64fe9',
        82280,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6d54207482d2128d951b3ead9fcec3d75eeae3c7405952e364b41564a92d4832',
        87508,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RobotoCondensed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Roboto Condensed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Roboto+Condensed
  static TextTheme robotoCondensedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.robotoCondensed(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.robotoCondensed(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.robotoCondensed(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.robotoCondensed(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.robotoCondensed(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.robotoCondensed(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.robotoCondensed(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.robotoCondensed(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.robotoCondensed(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.robotoCondensed(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.robotoCondensed(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.robotoCondensed(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.robotoCondensed(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.robotoCondensed(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.robotoCondensed(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Roboto Flex font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Roboto+Flex
  static TextStyle robotoFlex({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6a9c2a586b937d52f01ee47cb4d33c8d560a0807967a6e2b65ed7d03ec43782b',
        109836,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RobotoFlex',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Roboto Flex font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Roboto+Flex
  static TextTheme robotoFlexTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.robotoFlex(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.robotoFlex(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.robotoFlex(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.robotoFlex(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.robotoFlex(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.robotoFlex(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.robotoFlex(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.robotoFlex(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.robotoFlex(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.robotoFlex(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.robotoFlex(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.robotoFlex(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.robotoFlex(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.robotoFlex(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.robotoFlex(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Roboto Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Roboto+Mono
  static TextStyle robotoMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f047fa51322d92d4d9c9e48ef88451169c44080203b15a2465cc597d12cd55a4',
        79960,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1d3ad626fcc3d0231d74b70b54e5398f30e29545dc0af8b5e44ab6da5a9e9245',
        79876,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9d804343851f927a78e9af4007fca4a299988035b8cb9487a0bfc6c39cbd2728',
        79680,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a2542a94e3d0aad0964930b21a56f151752d3d54b6f1dfdc3cfa5f55032715d8',
        78972,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '740b306cdb4b73cc1a4388c853c13ac72b44ac5c32a35c083685abc2eac5caed',
        78924,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd25f50c005434a6c4f13993054a84f2837266938868b11aa652069b2025b4c4a',
        79164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '60cdc9d3853d6c78cae6cad2bf9bbb8cdab3c335b0beeb9624ba4b83d7d3ec7e',
        79112,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '643a7ae06ac509a905c6f462447774ee43701b2820776955228ced2154129bae',
        84892,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7e7f80eaacc95d55f5462a6b67bdca6b5f017bbad5adc7e49244a7957f106ed0',
        85228,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3d74298ad48d333e5016b5309241fafc0b2585fae6cffa30f76f9c6a0ebe61f8',
        85560,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'faabd0bf11fd9eeeb8adce842a6d1da8bd0ae9ecf70984b8758994543423ee48',
        85680,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2dc402aa9fb74da8e0614789116fd7fab05cb2312b08aa51af02b5293937e68a',
        85732,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '32793be71a98bcabde639be6c87af8225aedea9dfa5b9e9c14c732e73c33abc8',
        85732,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '463ceca2ced7fe3215fe9ce1451cbf92fd55a14aca660b33cd1fb1441a77d817',
        85908,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RobotoMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Roboto Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Roboto+Mono
  static TextTheme robotoMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.robotoMono(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.robotoMono(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.robotoMono(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.robotoMono(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.robotoMono(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.robotoMono(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.robotoMono(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.robotoMono(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.robotoMono(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.robotoMono(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.robotoMono(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.robotoMono(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.robotoMono(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.robotoMono(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.robotoMono(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Roboto Serif font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Roboto+Serif
  static TextStyle robotoSerif({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e2e2cf3ffd3d81cbf08a033c97c8deb37be639d761e285beb4e7b45e6027b861',
        215352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '97cd6e8fc29891932cb635632c959d60c91b8175a501bcb868d43dfe1cf75ae1',
        215584,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b4fa36908daa0094bdfb5caf5e1a90e36906ebcd0d477288bdf7c1f3a56a35ab',
        215600,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '69021861aa51e4e568f4018fbeb92955b63c9333bc20e9d51a0e8a6e8b0e6eac',
        215648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1a56c48dccc823c4268ca8ac1a84e29c11963759f6ffef7d0cdde9b81d9afa9b',
        216028,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bf6132ef1170917cd69c5c78a7e1e90687395c98c53f14584c3d72c2ad128430',
        216056,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e6b9347e365c57ae79fee47b058a3fbf35af9796d92cc8d4793b0de4d3a0d450',
        216100,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7ead326923215959a53ba13206bf2536e1674fe82cab40f4d897f6f83d2d7f57',
        216192,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '21c4ab92088db8b86a40f6b23f4c241d825cde6f6041216f1acf16cab263f345',
        216144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ab610e6fa570a097e91e8e2ba3d7ebc960593a5c72c27ca84acacd75d6112fc4',
        220092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2a623a13d833f9afd4497f3944ad4dbe34135b9edeb03544af3f25d7a968e59a',
        221052,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c441d489398491c43e293fc4f3b6e8554b9a3906a4834377ca496bc701d2a029',
        221044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a9fcb5f638e1316794a3396ff440440609a77bc187848f6ba7763dd78626abbd',
        220952,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '622e1e61a788d30a752f69bf784764153236ee810b7f7af3afedadb6678d970e',
        221664,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e35463558f701e8eef05c68cd9565d0ac15f030bc2a4db486ca1a656b683f1d1',
        221768,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cacc545a15a73e6b4ee8981dcb95c6ce6d4d4e358c9f9946ca8f5b4534c78d11',
        221668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ec05008dd4c1c2d3ffa451c90a36610d76456d9ea5abdb0ab16d035dc4b8f877',
        221860,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '97f7abff9df24acce90c57a399bbb39bcf542f55236da352b6ed2d0f934949fc',
        220208,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RobotoSerif',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Roboto Serif font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Roboto+Serif
  static TextTheme robotoSerifTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.robotoSerif(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.robotoSerif(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.robotoSerif(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.robotoSerif(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.robotoSerif(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.robotoSerif(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.robotoSerif(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.robotoSerif(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.robotoSerif(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.robotoSerif(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.robotoSerif(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.robotoSerif(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.robotoSerif(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.robotoSerif(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.robotoSerif(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Roboto Slab font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Roboto+Slab
  static TextStyle robotoSlab({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bc1ba976fc5d0484a2a093c6205a1b25c5ec98222c33ab6edd343a3d0cba7474',
        100912,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7476319c07fa84a5625150a779b8dedb013352edfe7d9175ecf7e0fe6f55d925',
        101920,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5dade0064c3557e2d27e56eefe5de5c6a7f64922586f56764bb3eab10ed57596',
        101896,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b81ee8e2f9805c313667644c9faa1697e31f12c97762181cc1bcd19c7906a39c',
        101568,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1d024d73b55f36d3ca34f3761c941754c4a08a1c7d7fd7b8565d8d890698ed16',
        102264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8b2a952603cf1abb5756b7439b277376ad5f9d6f20b0273f8b62d21a3ca0b0fd',
        102388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ce46cc5453fd06ef0e593e6e0cd5743c1f4df6da385b348b8d26a98d1eb7572b',
        102244,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3d7c23f9eea2b0cf64cd30a7849dd7cf53cad40e38ea836b7a43b73e984dec5a',
        102432,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2080b30e14474cb0f3f732182f63a77d596f0f9cd44ef091443f58628cc87664',
        102504,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RobotoSlab',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Roboto Slab font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Roboto+Slab
  static TextTheme robotoSlabTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.robotoSlab(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.robotoSlab(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.robotoSlab(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.robotoSlab(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.robotoSlab(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.robotoSlab(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.robotoSlab(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.robotoSlab(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.robotoSlab(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.robotoSlab(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.robotoSlab(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.robotoSlab(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.robotoSlab(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.robotoSlab(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.robotoSlab(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rochester font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rochester
  static TextStyle rochester({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '80de9faa8fed8ea0f25ca0505c1a2de521a903d515ccfb8b9b39b0d350f14ad9',
        35468,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Rochester',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rochester font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rochester
  static TextTheme rochesterTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rochester(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.rochester(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rochester(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.rochester(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.rochester(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.rochester(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rochester(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rochester(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rochester(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rochester(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rochester(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rochester(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rochester(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rochester(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rochester(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rock Salt font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rock+Salt
  static TextStyle rockSalt({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dbe7db1bfdb4d6eaa8664221be0395b8891ec63396c4f152a8fd6d58df0c5f52',
        103664,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RockSalt',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rock Salt font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rock+Salt
  static TextTheme rockSaltTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rockSalt(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.rockSalt(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rockSalt(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.rockSalt(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.rockSalt(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.rockSalt(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rockSalt(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rockSalt(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rockSalt(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rockSalt(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rockSalt(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rockSalt(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rockSalt(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rockSalt(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rockSalt(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the RocknRoll One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/RocknRoll+One
  static TextStyle rocknRollOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4438510a00a1b616f7fa3eb24c641378f59d70240ae08e2613a7537dec7199e7',
        2463076,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RocknRollOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the RocknRoll One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/RocknRoll+One
  static TextTheme rocknRollOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rocknRollOne(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.rocknRollOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rocknRollOne(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.rocknRollOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.rocknRollOne(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.rocknRollOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rocknRollOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rocknRollOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rocknRollOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rocknRollOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rocknRollOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rocknRollOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rocknRollOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rocknRollOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rocknRollOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rokkitt font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rokkitt
  static TextStyle rokkitt({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '21f9eb4761cafbefd0908bba1f0a3827ef99cc35ff7cf46cdfb1e1c60c9ed6fe',
        68416,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8f58144e5a091761505990144ec4fbd361917961dd327776aa4102bda3389654',
        68612,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8c0f6a3e8a783731c45dce6c8719c063509c4b57c0386b87f7d8d89a8aefdeb5',
        68648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0b87bee318cb92e6e3cf9866d04ef5d8e372407132689a127f3cc8b2baa97f79',
        68596,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7a5a13dd20ad63f53af27b31a455cb5530b42a973e98e23a4a0f84774dde2a4f',
        68604,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e1b03c90c58cd62385bab4d7115b449aefa6b997ce13919675607de1b50d97ee',
        69124,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1901791524f1d0f0ce38093ae4e54fde5dd7992324097f41fbf1412cb076d3a1',
        69092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5b67f2a2246402cd48e6565259070fafc9526f64257fd73e25d2b14820b778b4',
        69172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '54065f4f1b2f4c770c615fb079180735e76a9c73b00d492a7f2da2fcebc2263d',
        68844,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '927f2f7650fd90c6fc913ce4fc0958b563cbe2f8392081bb4512a3b9c181f744',
        69744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ac67000cf931144afdaf16087bb351b8db577ea3c6c73553a253bc8083661119',
        69996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '76f306c2ade23412d1873225547495c229b6bbcca3b7baf54f751d6d5bb0b802',
        70000,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8952a2af0e8f7ff8e8f8058112e5e2b6a8a1e57afe592ca47948210afa2d7194',
        69848,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '176c651bdf0584f76914ee51c84a00e2ab1066be92192f44a6d67215d2fd65e7',
        69972,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b8bb843c60d16db0fb1da122d9962d90a8aec7ab46f31f93ee901c5e7b7f089d',
        70240,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6fdfd1fb404c7975e9beb0d7096cc5d6ccad88e6a6e297d6c090346e2f9f3b3d',
        70160,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '271af344b07bfb31da4bc8d76091608402296d066b8f62a97339ab7878f8737b',
        70260,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd4cc8699c3d85767085f0c38470064e7bbba0a636afeac08292398eb64f10d02',
        70096,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Rokkitt',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rokkitt font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rokkitt
  static TextTheme rokkittTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rokkitt(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.rokkitt(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rokkitt(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.rokkitt(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.rokkitt(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.rokkitt(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rokkitt(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rokkitt(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rokkitt(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rokkitt(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rokkitt(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rokkitt(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rokkitt(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rokkitt(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rokkitt(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Romanesco font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Romanesco
  static TextStyle romanesco({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '51cf475bd5f0d3bca83e619f8d8b0a01713278046bc338656b09a991d21d85e5',
        49464,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Romanesco',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Romanesco font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Romanesco
  static TextTheme romanescoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.romanesco(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.romanesco(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.romanesco(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.romanesco(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.romanesco(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.romanesco(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.romanesco(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.romanesco(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.romanesco(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.romanesco(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.romanesco(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.romanesco(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.romanesco(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.romanesco(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.romanesco(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ropa Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ropa+Sans
  static TextStyle ropaSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7447bcf763f63367b00ad78056e47d4e249957010495be3af2c6b441d216f119',
        36216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f20e8ccf3c3940aa615a0e83d84e9fb8fa82ac6ab399be628da543281d61725b',
        39000,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RopaSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ropa Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ropa+Sans
  static TextTheme ropaSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ropaSans(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.ropaSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ropaSans(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.ropaSans(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.ropaSans(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.ropaSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ropaSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ropaSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ropaSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ropaSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ropaSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ropaSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ropaSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ropaSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ropaSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rosario font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rosario
  static TextStyle rosario({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2bfb456f16e63ed0f5f6ee1f3d0f7bb5daa07805e506fa3c09ceb46a2f4e4fbd',
        72908,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '55beb6c3ffe2617b27bc64f13a919f30d4cca04294d29a7b3e474708aa016623',
        73144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b9bebee7de2ae7c9d3da09acd2d39f851343b0cf211c063cd3a35eceb20f51ed',
        73228,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4cfe0469ab4d7c9308be727a2e18e44e8f0fd93a371088c47406eba02c659900',
        73152,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '489162b219a48715c2845edac6e0393959d5ed5f99ca87cb3187e0c10a39b797',
        70964,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4acc1b268c60ccbf26e080573556752cd903bd4dfb622f198fdd65c068a046d6',
        71472,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c851d42c43231c83e4d879332fbd55d9f39f962a189754e14451a3246b9c9001',
        71336,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ebcf9ad33497c7843f37d1213aeea31195cb6dc4c189f630f7550bc797e8f9e3',
        71508,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '82a5ff33aecbdc48e6d905cae10510ee93cc453905095daee50ee2c6495b9632',
        71556,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3ca97411b8cf5bddb170e9fd43a23b5783a00657fab65df5e4a3588df683a52c',
        71160,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Rosario',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rosario font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rosario
  static TextTheme rosarioTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rosario(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.rosario(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rosario(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.rosario(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.rosario(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.rosario(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rosario(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rosario(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rosario(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rosario(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rosario(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rosario(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rosario(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rosario(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rosario(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rosarivo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rosarivo
  static TextStyle rosarivo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ed45cb0937c5954824f4308f33330ce9fbea2367deb0bc20a9299355a2787ad6',
        39448,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7b3292077b859a763a2568971755099c3c2f2d440cc0b20ce31c0f9b872f9fb1',
        37444,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Rosarivo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rosarivo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rosarivo
  static TextTheme rosarivoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rosarivo(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.rosarivo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rosarivo(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.rosarivo(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.rosarivo(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.rosarivo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rosarivo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rosarivo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rosarivo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rosarivo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rosarivo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rosarivo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rosarivo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rosarivo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rosarivo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rouge Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rouge+Script
  static TextStyle rougeScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '52fbcb94f61f04026a0e6ec1f30901bd30ab7c77a9b164a953d349a31ca449a0',
        45028,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RougeScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rouge Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rouge+Script
  static TextTheme rougeScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rougeScript(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.rougeScript(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rougeScript(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.rougeScript(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.rougeScript(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.rougeScript(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rougeScript(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rougeScript(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rougeScript(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rougeScript(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rougeScript(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rougeScript(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rougeScript(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rougeScript(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rougeScript(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rowdies font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rowdies
  static TextStyle rowdies({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bbb3b0b968beb0939d51b59f11b0a9e166b5ff6b0afafeaec547a53e2ffece44',
        50616,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '126986fbb647b44e7f98270e41b5d4b7f943af33363a66e31169c975caaaf655',
        50336,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bed82ff1662b45495eef821bf8c3ecfedbdaa949f7bc39425055ca4477e7e1ee',
        50268,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Rowdies',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rowdies font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rowdies
  static TextTheme rowdiesTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rowdies(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.rowdies(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rowdies(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.rowdies(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.rowdies(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.rowdies(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rowdies(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rowdies(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rowdies(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rowdies(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rowdies(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rowdies(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rowdies(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rowdies(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rowdies(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rozha One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rozha+One
  static TextStyle rozhaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '62a69523fc44eff81975e20074dac3f09d4e4eedbe80d99ece59cca0125ec91a',
        187760,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RozhaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rozha One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rozha+One
  static TextTheme rozhaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rozhaOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.rozhaOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rozhaOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.rozhaOne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.rozhaOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.rozhaOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rozhaOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rozhaOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rozhaOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rozhaOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rozhaOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rozhaOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rozhaOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rozhaOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rozhaOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rubik font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik
  static TextStyle rubik({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a346a6e2e79933812872bfda591c5f36ea10a7f7a8ceb26eab074187e56be5e3',
        114836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '67c15c8e82d1793fed4874d85a2c41f9727933ddcb68dae1fda6c1a09f962e06',
        115412,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3a12313cbb19f8ec324a772645b94b1ed1b933b9e06f4ea015b5a28fa8e5af03',
        116028,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4ac37ade4e3e9bd77bdd3c4fc33cf562c0f897b2104dedf03702154a51f3ade4',
        116020,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '319f0f3714a0e9e113e5741cbc67db7a15e6f3e197c12b2cd16b83fbffe16645',
        115940,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a82a2c6f096a9ff2341f06bda3ac5d11600dda2ebed5970133176ddc9a790a65',
        115812,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '44ae0a7dfe590da4d537dcabf8d98ccd7811bd80e2c76d46c25ad673a6d88258',
        115572,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '949d9d08a3fdfbf25c440752e7968c3e04b26dcec1c43915c44d5c57db7e9ccf',
        113108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '71a501ab8d65c671d4e77612d9ad234c0f9532f2dd6be71f3b0d7ddacfe42e20',
        113432,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3c87e798191c1614d72520be6938603e84689d9abac78f4cce85af485c9da54c',
        114216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '731eaca0c3133eb4850835cb6b8b168e61509f46aa317b6203d5cbf84a31f89f',
        114276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '08f30094e7713dc3ceb2ad66e4dfd4d30b682a9937f3f89d29e2f374adc47d6c',
        114152,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fbd436965241cc2373bfb3ce105e7fa3e32a03969551aeef5a953cb84425e9ef',
        114252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '81c0d961ae02bc641ec896f3a733bd3656758c7947f9df969446aebe126873f2',
        114036,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Rubik',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rubik font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik
  static TextTheme rubikTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rubik(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.rubik(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rubik(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.rubik(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.rubik(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.rubik(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rubik(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rubik(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rubik(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rubik(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rubik(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rubik(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rubik(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rubik(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rubik(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rubik 80s Fade font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+80s+Fade
  static TextStyle rubik80sFade({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bfc4a936e506f6df6ef9463fe886f610c6ee30cf359672df886a139c82215d56',
        3300676,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Rubik80sFade',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rubik 80s Fade font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+80s+Fade
  static TextTheme rubik80sFadeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rubik80sFade(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.rubik80sFade(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rubik80sFade(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.rubik80sFade(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.rubik80sFade(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.rubik80sFade(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rubik80sFade(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rubik80sFade(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rubik80sFade(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rubik80sFade(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rubik80sFade(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rubik80sFade(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rubik80sFade(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rubik80sFade(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rubik80sFade(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rubik Beastly font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Beastly
  static TextStyle rubikBeastly({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a72ae3f6cf91fe781a049aaa8a201fbf5e073a297b34776cbc3d3c210692b886',
        486848,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RubikBeastly',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rubik Beastly font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Beastly
  static TextTheme rubikBeastlyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rubikBeastly(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.rubikBeastly(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rubikBeastly(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.rubikBeastly(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.rubikBeastly(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.rubikBeastly(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rubikBeastly(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rubikBeastly(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rubikBeastly(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rubikBeastly(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rubikBeastly(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rubikBeastly(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rubikBeastly(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rubikBeastly(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rubikBeastly(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rubik Bubbles font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Bubbles
  static TextStyle rubikBubbles({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '141da16469353130fd351e7733bf9eac9ccff14273f519bb744143fbca48400f',
        207396,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RubikBubbles',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rubik Bubbles font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Bubbles
  static TextTheme rubikBubblesTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rubikBubbles(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.rubikBubbles(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rubikBubbles(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.rubikBubbles(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.rubikBubbles(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.rubikBubbles(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rubikBubbles(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rubikBubbles(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rubikBubbles(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rubikBubbles(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rubikBubbles(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rubikBubbles(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rubikBubbles(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rubikBubbles(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rubikBubbles(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rubik Burned font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Burned
  static TextStyle rubikBurned({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '33d672af860a647803b8bc3f8ebd52e5e6e46b52d6a44df0811ed693ea34dc54',
        574084,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RubikBurned',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rubik Burned font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Burned
  static TextTheme rubikBurnedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rubikBurned(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.rubikBurned(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rubikBurned(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.rubikBurned(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.rubikBurned(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.rubikBurned(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rubikBurned(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rubikBurned(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rubikBurned(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rubikBurned(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rubikBurned(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rubikBurned(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rubikBurned(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rubikBurned(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rubikBurned(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rubik Dirt font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Dirt
  static TextStyle rubikDirt({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '14b8e518b32bf5856d1813e0b5bd6f8eceab9b942cc3c1de9cac773901c44b27',
        1429136,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RubikDirt',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rubik Dirt font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Dirt
  static TextTheme rubikDirtTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rubikDirt(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.rubikDirt(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rubikDirt(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.rubikDirt(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.rubikDirt(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.rubikDirt(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rubikDirt(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rubikDirt(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rubikDirt(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rubikDirt(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rubikDirt(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rubikDirt(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rubikDirt(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rubikDirt(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rubikDirt(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rubik Distressed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Distressed
  static TextStyle rubikDistressed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '281b14e112a7b7f9a304e10b3b18f0c823a6848327d96b41a37d2baf17fc31cc',
        851792,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RubikDistressed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rubik Distressed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Distressed
  static TextTheme rubikDistressedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.rubikDistressed(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.rubikDistressed(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.rubikDistressed(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.rubikDistressed(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.rubikDistressed(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.rubikDistressed(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rubikDistressed(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.rubikDistressed(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rubikDistressed(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rubikDistressed(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rubikDistressed(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rubikDistressed(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rubikDistressed(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.rubikDistressed(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rubikDistressed(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rubik Gemstones font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Gemstones
  static TextStyle rubikGemstones({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fd122d18f80622014ad72d93271fe4e9842bfd5026b83014194fe4751657b7c7',
        250204,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RubikGemstones',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rubik Gemstones font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Gemstones
  static TextTheme rubikGemstonesTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.rubikGemstones(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.rubikGemstones(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.rubikGemstones(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.rubikGemstones(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.rubikGemstones(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.rubikGemstones(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rubikGemstones(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rubikGemstones(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rubikGemstones(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rubikGemstones(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rubikGemstones(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rubikGemstones(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rubikGemstones(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rubikGemstones(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rubikGemstones(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rubik Glitch font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Glitch
  static TextStyle rubikGlitch({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f37e1d94da8a99f0c8789fd8a6183fa6de6bdfcbc171d094ffd25aedb614be73',
        384280,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RubikGlitch',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rubik Glitch font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Glitch
  static TextTheme rubikGlitchTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rubikGlitch(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.rubikGlitch(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rubikGlitch(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.rubikGlitch(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.rubikGlitch(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.rubikGlitch(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rubikGlitch(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rubikGlitch(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rubikGlitch(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rubikGlitch(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rubikGlitch(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rubikGlitch(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rubikGlitch(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rubikGlitch(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rubikGlitch(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rubik Iso font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Iso
  static TextStyle rubikIso({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4cfb5518ff076bcf860a3ed14421b4a7ba5e794cd9ca305c550135316057583a',
        124120,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RubikIso',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rubik Iso font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Iso
  static TextTheme rubikIsoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rubikIso(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.rubikIso(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rubikIso(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.rubikIso(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.rubikIso(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.rubikIso(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rubikIso(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rubikIso(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rubikIso(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rubikIso(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rubikIso(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rubikIso(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rubikIso(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rubikIso(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rubikIso(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rubik Marker Hatch font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Marker+Hatch
  static TextStyle rubikMarkerHatch({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e9f0e19305760e393ee283a6fbb507f336119a6b1b9e281bd65a4be0112f5129',
        344528,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RubikMarkerHatch',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rubik Marker Hatch font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Marker+Hatch
  static TextTheme rubikMarkerHatchTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.rubikMarkerHatch(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.rubikMarkerHatch(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.rubikMarkerHatch(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.rubikMarkerHatch(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.rubikMarkerHatch(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.rubikMarkerHatch(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rubikMarkerHatch(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.rubikMarkerHatch(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rubikMarkerHatch(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rubikMarkerHatch(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rubikMarkerHatch(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rubikMarkerHatch(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rubikMarkerHatch(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.rubikMarkerHatch(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rubikMarkerHatch(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rubik Maze font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Maze
  static TextStyle rubikMaze({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6c1d40420fdece1420472a7821524b3bd3cb316b21d7c129b927e00dc1e86cc0',
        437212,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RubikMaze',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rubik Maze font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Maze
  static TextTheme rubikMazeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rubikMaze(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.rubikMaze(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rubikMaze(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.rubikMaze(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.rubikMaze(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.rubikMaze(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rubikMaze(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rubikMaze(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rubikMaze(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rubikMaze(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rubikMaze(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rubikMaze(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rubikMaze(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rubikMaze(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rubikMaze(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rubik Microbe font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Microbe
  static TextStyle rubikMicrobe({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '96fccd0700788940f07716f384a505025a90b9d91e1e8d1e610887b459d47a04',
        1379152,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RubikMicrobe',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rubik Microbe font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Microbe
  static TextTheme rubikMicrobeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rubikMicrobe(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.rubikMicrobe(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rubikMicrobe(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.rubikMicrobe(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.rubikMicrobe(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.rubikMicrobe(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rubikMicrobe(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rubikMicrobe(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rubikMicrobe(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rubikMicrobe(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rubikMicrobe(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rubikMicrobe(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rubikMicrobe(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rubikMicrobe(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rubikMicrobe(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rubik Mono One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Mono+One
  static TextStyle rubikMonoOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3bfd8e7a9f4144c65fe25715c8afe67596fc3c2b58e5544c9662702d988df8c0',
        73488,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RubikMonoOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rubik Mono One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Mono+One
  static TextTheme rubikMonoOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rubikMonoOne(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.rubikMonoOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rubikMonoOne(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.rubikMonoOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.rubikMonoOne(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.rubikMonoOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rubikMonoOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rubikMonoOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rubikMonoOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rubikMonoOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rubikMonoOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rubikMonoOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rubikMonoOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rubikMonoOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rubikMonoOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rubik Moonrocks font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Moonrocks
  static TextStyle rubikMoonrocks({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1e4533afbb8a4f73a90f6f1cf6d26af41c61c246480a8ae45a48199a5c9aa3d2',
        382604,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RubikMoonrocks',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rubik Moonrocks font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Moonrocks
  static TextTheme rubikMoonrocksTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.rubikMoonrocks(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.rubikMoonrocks(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.rubikMoonrocks(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.rubikMoonrocks(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.rubikMoonrocks(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.rubikMoonrocks(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rubikMoonrocks(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rubikMoonrocks(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rubikMoonrocks(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rubikMoonrocks(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rubikMoonrocks(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rubikMoonrocks(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rubikMoonrocks(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rubikMoonrocks(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rubikMoonrocks(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rubik Pixels font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Pixels
  static TextStyle rubikPixels({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4cd7f7aa7710b19f46b74f1ee468e64d4ae8c322bec0bb2adbaf0eb546a5ab3a',
        5425804,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RubikPixels',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rubik Pixels font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Pixels
  static TextTheme rubikPixelsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rubikPixels(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.rubikPixels(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rubikPixels(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.rubikPixels(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.rubikPixels(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.rubikPixels(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rubikPixels(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rubikPixels(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rubikPixels(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rubikPixels(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rubikPixels(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rubikPixels(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rubikPixels(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rubikPixels(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rubikPixels(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rubik Puddles font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Puddles
  static TextStyle rubikPuddles({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'df67a7b7f72916e11460cfc15bd08226f90bc05462d2040bfe75fef5c57c52da',
        383712,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RubikPuddles',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rubik Puddles font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Puddles
  static TextTheme rubikPuddlesTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rubikPuddles(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.rubikPuddles(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rubikPuddles(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.rubikPuddles(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.rubikPuddles(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.rubikPuddles(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rubikPuddles(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rubikPuddles(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rubikPuddles(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rubikPuddles(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rubikPuddles(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rubikPuddles(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rubikPuddles(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rubikPuddles(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rubikPuddles(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rubik Spray Paint font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Spray+Paint
  static TextStyle rubikSprayPaint({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0e6c34931f1175681ffc0a17994fea2ab0c6aec0e7537638808ce9de17ab4048',
        893604,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RubikSprayPaint',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rubik Spray Paint font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Spray+Paint
  static TextTheme rubikSprayPaintTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.rubikSprayPaint(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.rubikSprayPaint(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.rubikSprayPaint(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.rubikSprayPaint(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.rubikSprayPaint(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.rubikSprayPaint(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rubikSprayPaint(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.rubikSprayPaint(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rubikSprayPaint(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rubikSprayPaint(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rubikSprayPaint(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rubikSprayPaint(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rubikSprayPaint(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.rubikSprayPaint(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rubikSprayPaint(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rubik Storm font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Storm
  static TextStyle rubikStorm({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '73646e66c570b0ca3d747faecc59fe1f925990894b1dc4e10deb1e8181ae65bc',
        758672,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RubikStorm',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rubik Storm font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Storm
  static TextTheme rubikStormTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rubikStorm(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.rubikStorm(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rubikStorm(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.rubikStorm(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.rubikStorm(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.rubikStorm(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rubikStorm(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rubikStorm(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rubikStorm(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rubikStorm(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rubikStorm(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rubikStorm(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rubikStorm(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rubikStorm(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rubikStorm(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rubik Vinyl font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Vinyl
  static TextStyle rubikVinyl({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4b866ec0a1a399a86cd5bffe45885d125ef186c05337b11fa114c57cbdb18bba',
        392768,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RubikVinyl',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rubik Vinyl font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Vinyl
  static TextTheme rubikVinylTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rubikVinyl(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.rubikVinyl(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rubikVinyl(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.rubikVinyl(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.rubikVinyl(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.rubikVinyl(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rubikVinyl(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rubikVinyl(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rubikVinyl(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rubikVinyl(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rubikVinyl(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rubikVinyl(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rubikVinyl(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rubikVinyl(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rubikVinyl(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rubik Wet Paint font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Wet+Paint
  static TextStyle rubikWetPaint({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '164e4e6c0d015fc8205770ed061ec3a44a72a50b0bbfcb4f6081c8e3de5a1451',
        418376,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RubikWetPaint',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rubik Wet Paint font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Wet+Paint
  static TextTheme rubikWetPaintTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.rubikWetPaint(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.rubikWetPaint(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.rubikWetPaint(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.rubikWetPaint(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.rubikWetPaint(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.rubikWetPaint(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rubikWetPaint(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rubikWetPaint(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rubikWetPaint(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rubikWetPaint(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rubikWetPaint(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rubikWetPaint(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rubikWetPaint(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rubikWetPaint(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rubikWetPaint(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ruda font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ruda
  static TextStyle ruda({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7b174b19a67b2289f7384d4eb2d62fe40772fd3ec6d4774b613e24407a2e9ca7',
        50532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b7e2cf11f743e3cd00998d2892dd5ce357cb0c7b2399c44e6d65a16654732710',
        50540,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dfc43ae14c219fdec0a09f8cc95e4635f683fd7fdfe9d28770486bddff1e6a8d',
        50540,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5d83564e885daa14b7ed45c4e01123bc06e6eb2110ddffa21a71b5dc3e733844',
        50448,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9b2037d1a5cd031fd72c1f5553796f0128bba3c1b68e379142d6e80a26bf91e3',
        50500,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8be9b1438c78e4a28799b2f0594c8c683137395435aaf248cbc7c8a9154f3c50',
        50304,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Ruda',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ruda font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ruda
  static TextTheme rudaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ruda(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.ruda(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ruda(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.ruda(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.ruda(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.ruda(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ruda(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ruda(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ruda(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ruda(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ruda(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ruda(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ruda(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ruda(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ruda(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rufina font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rufina
  static TextStyle rufina({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6687ee49476043ed89f1fe4eb06a08ee52ebdc6d5dfbc0a54f6fb353701a86c6',
        38092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ea9e7426cd05535fc87ff0ecf870c7242b2d8058e1c78219ce26f8ba0be94ac1',
        38156,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Rufina',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rufina font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rufina
  static TextTheme rufinaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rufina(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.rufina(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rufina(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.rufina(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.rufina(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.rufina(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rufina(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rufina(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rufina(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rufina(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rufina(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rufina(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rufina(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rufina(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rufina(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ruge Boogie font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ruge+Boogie
  static TextStyle rugeBoogie({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a9a5a0be81e802cf1f78141f183e7a7ebc5805cabff1f9020e311f75f85b141a',
        107976,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RugeBoogie',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ruge Boogie font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ruge+Boogie
  static TextTheme rugeBoogieTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rugeBoogie(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.rugeBoogie(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rugeBoogie(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.rugeBoogie(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.rugeBoogie(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.rugeBoogie(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rugeBoogie(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rugeBoogie(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rugeBoogie(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rugeBoogie(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rugeBoogie(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rugeBoogie(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rugeBoogie(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rugeBoogie(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rugeBoogie(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ruluko font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ruluko
  static TextStyle ruluko({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '27f8111a1cf185145e375de9da3f6ceec5d1f9a01d17e92e0caa30e36fd5154d',
        24612,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Ruluko',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ruluko font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ruluko
  static TextTheme rulukoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ruluko(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.ruluko(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ruluko(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.ruluko(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.ruluko(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.ruluko(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ruluko(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ruluko(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ruluko(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ruluko(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ruluko(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ruluko(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ruluko(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ruluko(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ruluko(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rum Raisin font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rum+Raisin
  static TextStyle rumRaisin({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f5e39fa99d36da8247451d8c89c981e743b7f9b3a335b06b359861b18f404cbb',
        59208,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RumRaisin',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rum Raisin font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rum+Raisin
  static TextTheme rumRaisinTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rumRaisin(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.rumRaisin(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rumRaisin(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.rumRaisin(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.rumRaisin(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.rumRaisin(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rumRaisin(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rumRaisin(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rumRaisin(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rumRaisin(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rumRaisin(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rumRaisin(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rumRaisin(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rumRaisin(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rumRaisin(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ruslan Display font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ruslan+Display
  static TextStyle ruslanDisplay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9fdb0198806f5eea2434ff47989147acc339babe8b6a34eed7f0b66c48ceedba',
        54312,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RuslanDisplay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ruslan Display font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ruslan+Display
  static TextTheme ruslanDisplayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.ruslanDisplay(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.ruslanDisplay(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.ruslanDisplay(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.ruslanDisplay(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.ruslanDisplay(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.ruslanDisplay(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ruslanDisplay(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ruslanDisplay(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ruslanDisplay(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ruslanDisplay(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ruslanDisplay(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ruslanDisplay(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ruslanDisplay(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ruslanDisplay(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ruslanDisplay(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Russo One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Russo+One
  static TextStyle russoOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '88a2a5818096666b61126f7d48be79ed3a074b551baeb2a1883788d943653def',
        36600,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RussoOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Russo One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Russo+One
  static TextTheme russoOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.russoOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.russoOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.russoOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.russoOne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.russoOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.russoOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.russoOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.russoOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.russoOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.russoOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.russoOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.russoOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.russoOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.russoOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.russoOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ruthie font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ruthie
  static TextStyle ruthie({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c2233e96695e25da9455b6f20bf62a03fbe0a23b0b4f4351e252e4b28407d225',
        69948,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Ruthie',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ruthie font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ruthie
  static TextTheme ruthieTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ruthie(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.ruthie(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ruthie(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.ruthie(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.ruthie(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.ruthie(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ruthie(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ruthie(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ruthie(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ruthie(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ruthie(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ruthie(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ruthie(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ruthie(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ruthie(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rye font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rye
  static TextStyle rye({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9918f47cf2578af782d66aff0dc3aed2fcf430e2219e91e52f927fb181599cd0',
        80784,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Rye',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rye font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rye
  static TextTheme ryeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rye(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.rye(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rye(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.rye(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.rye(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.rye(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rye(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rye(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rye(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rye(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rye(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rye(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rye(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rye(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rye(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the STIX Two Text font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/STIX+Two+Text
  static TextStyle stixTwoText({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '24ad64547c631567b7ff14ec26ae12d32e541f7111a6b4aed8d1efcd613a8b49',
        190612,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '84b2e65c8870db1dda4216f8268436d5bf82cf73b8fc9b184044a7452dec3fa3',
        190796,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1b9f0127eab8b518c2bf1703bfb6bdafc96dc88da217232b3657b978a9f9b462',
        191132,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8e2731ac330574464ae7e4e70bf2a572a1b98b7800146a31b55199d9d2b46e5c',
        190920,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f549108cb89539ef67015b8b3bd5ca13ecb213a89932fb7b8540d74998def1bf',
        205616,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fc87f1b58336788fd77092e22ea6a013134fef02788ccb1fc472b8bdb21efebf',
        206312,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'df543b71b2a5951063a37eed9a18da79d610b00c65bc5856aa6a8dcea441a284',
        206264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '66e77740927bd076deb43398326c3675d90eead9b4c02fbb2d301135f330cf99',
        205792,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'STIXTwoText',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the STIX Two Text font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/STIX+Two+Text
  static TextTheme stixTwoTextTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.stixTwoText(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.stixTwoText(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.stixTwoText(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.stixTwoText(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.stixTwoText(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.stixTwoText(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.stixTwoText(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.stixTwoText(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.stixTwoText(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.stixTwoText(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.stixTwoText(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.stixTwoText(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.stixTwoText(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.stixTwoText(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.stixTwoText(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sacramento font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sacramento
  static TextStyle sacramento({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '34dbfd36a6384199a173fad5fecbb771523e396c3c943d9907fad66b3c06260c',
        63568,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sacramento',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sacramento font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sacramento
  static TextTheme sacramentoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sacramento(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.sacramento(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sacramento(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.sacramento(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.sacramento(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.sacramento(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sacramento(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sacramento(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sacramento(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sacramento(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sacramento(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sacramento(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sacramento(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sacramento(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sacramento(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sahitya font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sahitya
  static TextStyle sahitya({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd94bb156ce197b27aa1666405ea700150d9511b1957828fdd58fb878b712244c',
        161600,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '53b872f5c843e64b39d7628c6a3c7462fc6799af8b32cabacb3c72d377cc8444',
        161516,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sahitya',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sahitya font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sahitya
  static TextTheme sahityaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sahitya(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.sahitya(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sahitya(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.sahitya(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.sahitya(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.sahitya(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sahitya(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sahitya(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sahitya(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sahitya(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sahitya(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sahitya(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sahitya(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sahitya(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sahitya(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sail font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sail
  static TextStyle sail({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a0a7f27908ad91eef920c40c5db191c8432b8b59824726eaca2304aae331062b',
        30792,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sail',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sail font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sail
  static TextTheme sailTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sail(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.sail(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sail(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.sail(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.sail(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.sail(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sail(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sail(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sail(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sail(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sail(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sail(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sail(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sail(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sail(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Saira font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Saira
  static TextStyle saira({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '52c137265ce0f71c3c6a6fac2ef1403f72189e84575392934e646bb91825d1f7',
        70184,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '08184bf7dfc54923c869a10da2aeafc76f840ec2a8e940153f8fd5e44ed09c93',
        70156,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a8bba172ab0d020726b03c5c7d2846decef8aea8799bde197a2306672d623ce1',
        70032,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd9457083cfb2e33c370f46269b03a03ba2cc36bfaf5d28d680dc822e7202254e',
        70276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '02c606dcd2d224dd110b74d6fdde1361039dfc0c703a144f1d82da5ab2a13882',
        70328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '427f450c115c242f9741de791e30e71e40f70a20b859ca424cb30d4d150ec7d9',
        70176,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '53f81a11177315ba57c1b317a1b921bf760c3677fd91ce4c33a75198a598b9b9',
        70052,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8ff241609757341b158dd66e2564e296e246e4147e9e1cd55e08d93eb5381976',
        70208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '794df5671333c9d259995336c821f67523c4b12cb7c4207122ec43388828e11b',
        70036,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '67d8acd2d944d18dc7bb61164be51184eef48d99860abc440dc6f88945fec103',
        73668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e6b3e508b90dba886abda16460d721380a0c9dbc0ccafbc6eefd0fb6438a66d1',
        73848,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a88663fee48367352489dfa9829f8bbd4d7ae20f00dd83aa40cc7540ad52227b',
        73752,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'aeb7c9ccf87621cb38b92c154c2b7146c52206c8a6312abc60882ee79b8d78ca',
        73792,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2ad2de8122639c8b5428adedef8796d49284453d051ecc0b8ca39c81be0d8c55',
        73868,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '50ee75efe75cf664482378caef477d3e423cb1188bb5c6c66aa62812d79e2144',
        73804,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '943a9d29bcdd374b8242097b254e9d471b6cb5e79d38109a482bf08dfae48327',
        73640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7b8dc05056f69c005469b8658e79aeb7a0a11a3ad2b0d757b75f2b95518893f0',
        73632,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'df29b44072c7a364beee6daec08d6590e25330043161cd95a6667927b84e2efd',
        73364,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Saira',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Saira font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Saira
  static TextTheme sairaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.saira(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.saira(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.saira(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.saira(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.saira(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.saira(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.saira(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.saira(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.saira(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.saira(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.saira(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.saira(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.saira(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.saira(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.saira(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Saira Condensed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Saira+Condensed
  static TextStyle sairaCondensed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9bd7c04654439ad4ede16cbe7e25fff807d0a732ce13bbd6d5328c2638b2a2a4',
        57928,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e75d42919ca5776d296f39edf46fc23d059279bd5cfdcd319767d34b13dcc667',
        58320,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1282a64cb71b9d1fbc9f4d3eb86bc1a92fe708325fe7de4a4cb109d07195ad9a',
        58164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '682a0813bf1a1d5db0a6c2f880ca16529d1053edaac2034cb37dd763fd39f998',
        58252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8007271cdf4b39f28b9b6d13065584286bc9c7d297dd1db90fb07f54941e363b',
        58140,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8795e4b23035b87d0a4c585b2ece1f70d70c5893b343f8aa7a64d9751eb10b85',
        58148,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cd3382129b07316ebd6c13cdcb9f29c5636a9f6a816bf057785a43955ee68d93',
        57916,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9801cbd53c79fae6796f33e110eb24e07d9aaa4acf55110ee9062ac46d17f57e',
        57980,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '40af651a1d26b4eebc37bab6782612d7d64a97117e3fb2496ba635f295fda376',
        57812,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SairaCondensed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Saira Condensed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Saira+Condensed
  static TextTheme sairaCondensedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.sairaCondensed(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.sairaCondensed(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.sairaCondensed(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.sairaCondensed(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.sairaCondensed(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.sairaCondensed(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sairaCondensed(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sairaCondensed(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sairaCondensed(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sairaCondensed(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sairaCondensed(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sairaCondensed(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sairaCondensed(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sairaCondensed(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sairaCondensed(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Saira Extra Condensed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Saira+Extra+Condensed
  static TextStyle sairaExtraCondensed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '13da59dded5882e74ed5ec9bd15ba1447ecb63461c4b0af8a78898d6ca39608f',
        57576,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '65268f4141c38bece46ff21044a3003e9b5ef12c2023949f40ee87201da51c2b',
        58256,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ec60f7ecc326e12d9cfa14f6eea8e6c5a611ba7260e26e9277ca17fcc1ae7ba9',
        58088,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3ad9f6880f157db26daf97403d787998568849dc152818924515ab3f3daf35e5',
        57980,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '86605b25005cabddc294d88848ea5ff5314d59d1bae87c46476d5f28be3a7e90',
        57920,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '286f28d3764973ecbef7e78f90d528522811a43e8457858cc8e1f4e6b8a7fea3',
        58024,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b07e1974692101c848bcfcbcbd3e7c303dcbec2d74dfa84900f6aa0fac172181',
        58012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fc0c05946d2649c5e60110058c5cabb8d03a4fc26339de77f411ad465e0bf314',
        57984,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8705bd10755bc2bd4214d278550202c21b4b84129c56b8d0d777f8b44ec47296',
        57692,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SairaExtraCondensed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Saira Extra Condensed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Saira+Extra+Condensed
  static TextTheme sairaExtraCondensedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.sairaExtraCondensed(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.sairaExtraCondensed(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.sairaExtraCondensed(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.sairaExtraCondensed(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.sairaExtraCondensed(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.sairaExtraCondensed(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.sairaExtraCondensed(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.sairaExtraCondensed(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.sairaExtraCondensed(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.sairaExtraCondensed(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.sairaExtraCondensed(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.sairaExtraCondensed(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.sairaExtraCondensed(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.sairaExtraCondensed(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.sairaExtraCondensed(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Saira Semi Condensed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Saira+Semi+Condensed
  static TextStyle sairaSemiCondensed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fe5aa533bce40274d3df8c65d29d407a1a186aa578e42867106caff979362805',
        58288,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f3ae8d3eabb4477bc626e889893b2c53b82dec8d753f449c7cf1bf34b9a26426',
        58756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '69e923f7d2f6322cece776899ecb99654d5fe5a8130aeed58fef7bdc4321fd16',
        58692,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '02ca3f6a168f3bcdfe677d3a39a48ae233b41c693166a9a7b679cf9131c52359',
        58552,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e1e4b27b6481de4fcf7e9f3b49b7af7031fa5235c2c10f9f40d48600d4e46136',
        58692,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0eec33dbf4d7b9ab3c6494eaf6f88c153eb309ecb60253fb2feffe851e4acdcf',
        58372,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '843fe2b0b4f04cf777ddea948338b170f9fe4048df61f4efb41c16cd68174c53',
        58268,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e067a46334168dcd5c3fe796823c34fe7dedbaad04b6ee95718e00d6b64f53b1',
        58272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7c95d967e351a6097a691dea13c582a58cf527c05d584af32541a81f1bfe98fd',
        58004,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SairaSemiCondensed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Saira Semi Condensed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Saira+Semi+Condensed
  static TextTheme sairaSemiCondensedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.sairaSemiCondensed(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.sairaSemiCondensed(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.sairaSemiCondensed(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.sairaSemiCondensed(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.sairaSemiCondensed(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.sairaSemiCondensed(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.sairaSemiCondensed(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.sairaSemiCondensed(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.sairaSemiCondensed(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sairaSemiCondensed(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.sairaSemiCondensed(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sairaSemiCondensed(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.sairaSemiCondensed(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.sairaSemiCondensed(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.sairaSemiCondensed(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Saira Stencil One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Saira+Stencil+One
  static TextStyle sairaStencilOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0c76109002104246d4207b14d2e00e13816842baa27adb05c16553576b082da7',
        67300,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SairaStencilOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Saira Stencil One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Saira+Stencil+One
  static TextTheme sairaStencilOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.sairaStencilOne(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.sairaStencilOne(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.sairaStencilOne(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.sairaStencilOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.sairaStencilOne(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.sairaStencilOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sairaStencilOne(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.sairaStencilOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sairaStencilOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sairaStencilOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sairaStencilOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sairaStencilOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sairaStencilOne(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.sairaStencilOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sairaStencilOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Salsa font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Salsa
  static TextStyle salsa({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a46377b163060ef8c4358ddfe6eccdd1ec246c9d5109d0d6c5599b0ca5b33a88',
        36320,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Salsa',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Salsa font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Salsa
  static TextTheme salsaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.salsa(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.salsa(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.salsa(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.salsa(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.salsa(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.salsa(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.salsa(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.salsa(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.salsa(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.salsa(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.salsa(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.salsa(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.salsa(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.salsa(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.salsa(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sanchez font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sanchez
  static TextStyle sanchez({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b24439ae25e9e29c8512d0986d8ef7c0c045f8b0fbbfcb995e235de3c8bde69f',
        62352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '353796acdfeb328af16ecd5444722dd71cbfe06db9032fbabd099f780455dde4',
        68532,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sanchez',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sanchez font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sanchez
  static TextTheme sanchezTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sanchez(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.sanchez(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sanchez(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.sanchez(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.sanchez(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.sanchez(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sanchez(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sanchez(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sanchez(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sanchez(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sanchez(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sanchez(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sanchez(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sanchez(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sanchez(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sancreek font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sancreek
  static TextStyle sancreek({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3c99be539bc3d80760018fbee88563b10091f04e8c43c4c18ac923f8b4e17cde',
        47428,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sancreek',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sancreek font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sancreek
  static TextTheme sancreekTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sancreek(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.sancreek(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sancreek(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.sancreek(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.sancreek(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.sancreek(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sancreek(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sancreek(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sancreek(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sancreek(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sancreek(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sancreek(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sancreek(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sancreek(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sancreek(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sansita font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sansita
  static TextStyle sansita({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4a959b67ad71f2a1b722f6785111518ea581d0d0d3fdd1033909071c197f8912',
        43160,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ffb4711bbae77716ac6eade3817c6f301ade1bee0cffd4ab909a3a53876315dd',
        48212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'db2c932f0b94e849053cc974350390cf949bd9df5cebed3a2932ea4ede530964',
        43472,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8281fcdba576290501cefdd2bb1b16ab57ccf26c08863371633fd97599fd7bd6',
        48232,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ec54e4974f3a75fd61d9a6b93557e9d078a74f5c774c8598b9d832bafc4e3ef1',
        43468,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2fc1fdb1cdfe0dd6e4cc89f6bf41ec78005b4cb7b215ceed94081d8954b2b75a',
        48176,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '322faca404d64944f6c59d324586ac3749a0776ed28aaefd6066812b9c4b8023',
        43768,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2172f053e379984a9b862eae2c49a4df1c01757f8d67883a81090d2ae38daafb',
        48916,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sansita',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sansita font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sansita
  static TextTheme sansitaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sansita(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.sansita(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sansita(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.sansita(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.sansita(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.sansita(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sansita(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sansita(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sansita(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sansita(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sansita(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sansita(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sansita(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sansita(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sansita(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sansita Swashed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sansita+Swashed
  static TextStyle sansitaSwashed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3cf73f132b339409280bcb3602dad4488eb45da3968c9763df5211e078d5f96e',
        112152,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd569e326aec8d2efa2d58af2647a0848865a9a179991af415e7c1c73fedf0b78',
        112212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b8cb7abb7ad51f22a89d0461f6d512cc45f0cf95fb1bddffa0bf6d1eef130ccf',
        112228,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0ff177b40651ef4b926fea41ba4aecf5cf9dc7ed3ce10ed49fa19b7adb9d8984',
        112248,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a2700f4a2ad98fbc50cc1cdf5152c798aaa089199de379b24d846912e28ad2e9',
        112140,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '55de1d8202017152f961b03576fd7b1ada104d32c23c345d54f8856a75ee0655',
        112020,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e840274f818a91c1d5fb83f8d92f495fd2d653d9cea2b03a73d3f9e42c40e0b6',
        112172,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SansitaSwashed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sansita Swashed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sansita+Swashed
  static TextTheme sansitaSwashedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.sansitaSwashed(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.sansitaSwashed(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.sansitaSwashed(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.sansitaSwashed(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.sansitaSwashed(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.sansitaSwashed(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sansitaSwashed(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sansitaSwashed(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sansitaSwashed(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sansitaSwashed(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sansitaSwashed(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sansitaSwashed(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sansitaSwashed(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sansitaSwashed(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sansitaSwashed(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sarabun font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sarabun
  static TextStyle sarabun({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b64f8565c6e3f875c2259dc8740b84589ef4d50a281fad308ac0e330ab0eac76',
        81728,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c18418206e19064ce501ff7cf0902e5f438142a2f06e0b545b1fad591bc40697',
        84640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '05598cb501ffae7cec19fc3ac881349217a2d6c94dead4c4c80fa6c280ed659e',
        81572,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0598aa66cdb097049cddae41a93b7a87d061fa4964713c877be5a5d5b282c424',
        84640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1fa806e9f1fe178d910d7b9e67fea47980dcc63fe1aac40e44a74b11b1db2d89',
        81540,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cff07be5c7c443dca58ee8f673ed51cef891fd0b5cecb651d605c4723e859eeb',
        84372,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fb19640f4f4933bab468b0403b152423b343f934581ae34b82bcfbbbc101e4af',
        81452,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1ab6b5c43d64e4a4312e530766e14a6ceed795491ba135bf0f939f97b18c017c',
        84388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0fe489bc41341b8c6bd5a02813d61a3a4d73f206a4eccd28a555b03c3cf3260d',
        81404,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '54c116432f391e03ee9e05b451604011aa53287efe9b33805f6ec5e0eb5dceb1',
        84440,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd0b9f53fabef5320be28e052daadb72e8aca0e805a173d79150f377bd15c865d',
        81284,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd8c59d239a6223b6fbdcb5f94b0e9529f9488a4dd0983a8242b8e143ea1501ef',
        84332,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '92eb40d838e2313cc205299fcde42b70b1ad5b5249adffa9802d4d413a76664b',
        80984,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'bbebd9714d71194bfd8b21a5058229956370a5542c45041579e31acfa36d1ad0',
        84024,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e31530b04017754e944eb87e3399ea818efd03222ae08c829313fa1f593bb17b',
        80968,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f40e6964ca3263921b22bd26b1c5b1c0f6a711acf500850eb01cd9614a6bd36e',
        83760,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sarabun',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sarabun font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sarabun
  static TextTheme sarabunTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sarabun(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.sarabun(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sarabun(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.sarabun(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.sarabun(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.sarabun(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sarabun(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sarabun(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sarabun(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sarabun(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sarabun(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sarabun(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sarabun(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sarabun(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sarabun(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sarala font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sarala
  static TextStyle sarala({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '764b6e30e83b2f2339a25b65181698e61e742a56e21349775ea99ff0fa0c8b93',
        143168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '34e08d256818848369a27a7f000f74b602f1077e3b599a45601234345cf2b70e',
        143504,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sarala',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sarala font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sarala
  static TextTheme saralaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sarala(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.sarala(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sarala(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.sarala(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.sarala(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.sarala(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sarala(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sarala(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sarala(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sarala(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sarala(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sarala(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sarala(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sarala(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sarala(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sarina font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sarina
  static TextStyle sarina({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bce2671dc1d9e585025b92217a14ed463808697c5e60f4c5c6667e70874f17db',
        91928,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sarina',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sarina font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sarina
  static TextTheme sarinaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sarina(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.sarina(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sarina(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.sarina(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.sarina(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.sarina(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sarina(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sarina(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sarina(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sarina(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sarina(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sarina(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sarina(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sarina(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sarina(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sarpanch font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sarpanch
  static TextStyle sarpanch({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '04dfb68e00a7db0f94cf46cc0f2db47e4fce7f0248ac97b35811fcfbc08b7eb1',
        166584,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8b9f36a74f4035605131367e19da8c29b6ef613c2873368fe92b52336f62c06e',
        166152,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1aa9e27f58c25456b6efd16cbeb97b4b0f32d92e7b51ba6bc88e12a498c863f6',
        165904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7dad0d4209f7ad3842d7a1f7df560274384d5fb5cb9a1760df09a3f0bb36fff9',
        166700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e72ec9cf671e85e3935f6da15b74dbb99cf63fb13ad9029e9de273778fa48e5f',
        175188,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ff195a3294897290a909487d5077b6978eb77f6504a37a31adb60cafcbc174d6',
        176452,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sarpanch',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sarpanch font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sarpanch
  static TextTheme sarpanchTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sarpanch(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.sarpanch(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sarpanch(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.sarpanch(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.sarpanch(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.sarpanch(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sarpanch(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sarpanch(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sarpanch(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sarpanch(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sarpanch(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sarpanch(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sarpanch(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sarpanch(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sarpanch(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sassy Frass font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sassy+Frass
  static TextStyle sassyFrass({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bf2826313b6e43477a4379dbf6c0551fe9fdd7e0b006195b1364215b30ba28f3',
        107612,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SassyFrass',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sassy Frass font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sassy+Frass
  static TextTheme sassyFrassTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sassyFrass(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.sassyFrass(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sassyFrass(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.sassyFrass(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.sassyFrass(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.sassyFrass(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sassyFrass(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sassyFrass(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sassyFrass(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sassyFrass(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sassyFrass(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sassyFrass(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sassyFrass(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sassyFrass(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sassyFrass(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Satisfy font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Satisfy
  static TextStyle satisfy({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7a2286c2afb76ca8f5e97dd98605488987fc65f62f82847dacd21a75d1ef14eb',
        46204,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Satisfy',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Satisfy font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Satisfy
  static TextTheme satisfyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.satisfy(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.satisfy(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.satisfy(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.satisfy(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.satisfy(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.satisfy(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.satisfy(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.satisfy(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.satisfy(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.satisfy(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.satisfy(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.satisfy(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.satisfy(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.satisfy(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.satisfy(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sawarabi Gothic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sawarabi+Gothic
  static TextStyle sawarabiGothic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8766618d8ebd731de5aeef48dbc61dc7f017c52d5fedd521c1fd2376c2f920ee',
        1895872,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SawarabiGothic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sawarabi Gothic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sawarabi+Gothic
  static TextTheme sawarabiGothicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.sawarabiGothic(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.sawarabiGothic(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.sawarabiGothic(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.sawarabiGothic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.sawarabiGothic(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.sawarabiGothic(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sawarabiGothic(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sawarabiGothic(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sawarabiGothic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sawarabiGothic(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sawarabiGothic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sawarabiGothic(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sawarabiGothic(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sawarabiGothic(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sawarabiGothic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sawarabi Mincho font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sawarabi+Mincho
  static TextStyle sawarabiMincho({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e9d85674ac4ee2cac13e1321f35867e410d14bacbf8d0c799b678da5ca5b545d',
        1081468,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SawarabiMincho',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sawarabi Mincho font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sawarabi+Mincho
  static TextTheme sawarabiMinchoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.sawarabiMincho(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.sawarabiMincho(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.sawarabiMincho(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.sawarabiMincho(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.sawarabiMincho(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.sawarabiMincho(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sawarabiMincho(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sawarabiMincho(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sawarabiMincho(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sawarabiMincho(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sawarabiMincho(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sawarabiMincho(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sawarabiMincho(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sawarabiMincho(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sawarabiMincho(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Scada font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Scada
  static TextStyle scada({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c0a4ddd37d6cc2b29de39f85bb504dc24c608c5eec3b03cd0a7b9cedd3e1308f',
        52588,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1dbeadc29e5bf5700c83a5ace7e630cbbe45dc6499d8dfe14c23988bb520e95c',
        55920,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '592e8f8debba6f5876fd616256c90d0154c4c0403cd8a547bcec72d73f6d351f',
        52692,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '33f0a5e13fb9907ddac4f6da6792da848d009b809bc9a5a4bf102bcbb12c1261',
        55964,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Scada',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Scada font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Scada
  static TextTheme scadaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.scada(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.scada(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.scada(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.scada(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.scada(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.scada(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.scada(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.scada(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.scada(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.scada(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.scada(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.scada(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.scada(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.scada(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.scada(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Scheherazade New font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Scheherazade+New
  static TextStyle scheherazadeNew({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7401f44d533b71235433be377ea88208d1f85e843923aea305e2e76b96a3283b',
        250660,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a26ba4c5aa5acb39974128f75ded712916f50d55896fcd7d2bdcd5ba7364abf1',
        507364,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ScheherazadeNew',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Scheherazade New font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Scheherazade+New
  static TextTheme scheherazadeNewTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.scheherazadeNew(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.scheherazadeNew(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.scheherazadeNew(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.scheherazadeNew(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.scheherazadeNew(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.scheherazadeNew(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.scheherazadeNew(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.scheherazadeNew(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.scheherazadeNew(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.scheherazadeNew(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.scheherazadeNew(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.scheherazadeNew(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.scheherazadeNew(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.scheherazadeNew(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.scheherazadeNew(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Schibsted Grotesk font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Schibsted+Grotesk
  static TextStyle schibstedGrotesk({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '09a1a39be79004733f325515885f23f890f3a6ad06d1f95127f97189ff82480c',
        93912,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '75868d47ee68e5b32025909e2affb58ff91273d07f7c6a57b327ebf65ce90eec',
        94200,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8d40cd1652eb022eedd33000783a1ca4020e55d37d27b9597e14249542c1ec3c',
        94320,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a9219880e7a0857dc57f3771136480a36bb27c9d57b911ada62571a5d5472a1c',
        94356,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '502104e28f052b41f056f05692251aebe5ae67a3b1e763c07209a23fef4d23d2',
        94672,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bc8dacdb9c44e81fb4f22063764720a7b186e6c8ac422f41f719ac97ccaf1d23',
        94568,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '99cd989b834aaa0863f03d13465529f2c164ff648226bd708178c90226073799',
        95752,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '165ef072109c8bfe89eabd1c18fb9bc68f56ea952b776552abbc8e5c5a691f46',
        96312,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ffcfa8edafad843c5dc7c3b2d16ae639e5cf509a1d541ee244f6a6cdcf31bed8',
        96440,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd137c20b780adb6935999b0882306bf137905d615756a4c59da98610f47af300',
        96376,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e37cb51fe17049fe41ac6b532300ddfb6d697fd6d55ec9c858d38cee1e152d09',
        96756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7315066684a85daad79ea4f19ed60416d0959570fc141714449ac6038f6a6beb',
        96504,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SchibstedGrotesk',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Schibsted Grotesk font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Schibsted+Grotesk
  static TextTheme schibstedGroteskTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.schibstedGrotesk(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.schibstedGrotesk(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.schibstedGrotesk(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.schibstedGrotesk(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.schibstedGrotesk(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.schibstedGrotesk(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.schibstedGrotesk(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.schibstedGrotesk(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.schibstedGrotesk(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.schibstedGrotesk(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.schibstedGrotesk(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.schibstedGrotesk(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.schibstedGrotesk(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.schibstedGrotesk(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.schibstedGrotesk(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Schoolbell font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Schoolbell
  static TextStyle schoolbell({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f6801a0d08960dc1c7662d57e95d870b60f7655aaa9940c94d1d9eda6be6f33f',
        47164,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Schoolbell',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Schoolbell font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Schoolbell
  static TextTheme schoolbellTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.schoolbell(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.schoolbell(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.schoolbell(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.schoolbell(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.schoolbell(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.schoolbell(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.schoolbell(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.schoolbell(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.schoolbell(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.schoolbell(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.schoolbell(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.schoolbell(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.schoolbell(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.schoolbell(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.schoolbell(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Scope One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Scope+One
  static TextStyle scopeOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '612b27ecd6e63baf3daaf8d7461071aebcf9724312240c4be55a9495eec81fb8',
        60168,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ScopeOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Scope One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Scope+One
  static TextTheme scopeOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.scopeOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.scopeOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.scopeOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.scopeOne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.scopeOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.scopeOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.scopeOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.scopeOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.scopeOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.scopeOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.scopeOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.scopeOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.scopeOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.scopeOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.scopeOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Seaweed Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Seaweed+Script
  static TextStyle seaweedScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd5ab91c635c7495e09b98487cd84781cf8e3c8223a86e9a24dc527bd973e495f',
        114804,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SeaweedScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Seaweed Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Seaweed+Script
  static TextTheme seaweedScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.seaweedScript(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.seaweedScript(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.seaweedScript(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.seaweedScript(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.seaweedScript(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.seaweedScript(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.seaweedScript(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.seaweedScript(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.seaweedScript(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.seaweedScript(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.seaweedScript(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.seaweedScript(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.seaweedScript(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.seaweedScript(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.seaweedScript(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Secular One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Secular+One
  static TextStyle secularOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ab956b8cb807639bffb1f583fb4188159a9c3984d7d72666eb893cf4322b84ee',
        53032,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SecularOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Secular One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Secular+One
  static TextTheme secularOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.secularOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.secularOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.secularOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.secularOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.secularOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.secularOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.secularOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.secularOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.secularOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.secularOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.secularOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.secularOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.secularOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.secularOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.secularOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sedgwick Ave font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sedgwick+Ave
  static TextStyle sedgwickAve({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b20adb11d2faba4a6d663ea5cf1b6d963329b9fede0c069ea4d92395283f558f',
        88740,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SedgwickAve',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sedgwick Ave font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sedgwick+Ave
  static TextTheme sedgwickAveTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sedgwickAve(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.sedgwickAve(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sedgwickAve(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.sedgwickAve(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.sedgwickAve(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.sedgwickAve(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sedgwickAve(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sedgwickAve(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sedgwickAve(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sedgwickAve(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sedgwickAve(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sedgwickAve(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sedgwickAve(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sedgwickAve(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sedgwickAve(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sedgwick Ave Display font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sedgwick+Ave+Display
  static TextStyle sedgwickAveDisplay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd38aaf2888c7f01ef1ff5635e06f71717f6f32453082a939cc0a15b92cf64b97',
        85088,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SedgwickAveDisplay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sedgwick Ave Display font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sedgwick+Ave+Display
  static TextTheme sedgwickAveDisplayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.sedgwickAveDisplay(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.sedgwickAveDisplay(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.sedgwickAveDisplay(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.sedgwickAveDisplay(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.sedgwickAveDisplay(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.sedgwickAveDisplay(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.sedgwickAveDisplay(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.sedgwickAveDisplay(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.sedgwickAveDisplay(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sedgwickAveDisplay(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.sedgwickAveDisplay(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sedgwickAveDisplay(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.sedgwickAveDisplay(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.sedgwickAveDisplay(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.sedgwickAveDisplay(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sen font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sen
  static TextStyle sen({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b1841f423f5216a2ac1a5f685113ed4236b73ddd31719273593df294b4e798b1',
        28176,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e2acd6bb9c88ecce0afca0cd17484c0656da1de15c6f7fac66e117bc4ac747d5',
        28104,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3ec33779364f3bddbf8af6974927c65775b8e0024128aa93beea7d654fb1c3ad',
        28012,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sen',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sen font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sen
  static TextTheme senTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sen(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.sen(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sen(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.sen(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.sen(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.sen(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sen(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sen(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sen(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sen(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sen(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sen(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sen(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sen(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sen(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Send Flowers font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Send+Flowers
  static TextStyle sendFlowers({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '077685da0e54a5c195fdd7ee7d16ea2eecbd6d96c6860fcffcfe79745a930184',
        78556,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SendFlowers',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Send Flowers font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Send+Flowers
  static TextTheme sendFlowersTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sendFlowers(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.sendFlowers(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sendFlowers(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.sendFlowers(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.sendFlowers(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.sendFlowers(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sendFlowers(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sendFlowers(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sendFlowers(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sendFlowers(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sendFlowers(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sendFlowers(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sendFlowers(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sendFlowers(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sendFlowers(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sevillana font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sevillana
  static TextStyle sevillana({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '456b5bf976796d0652e289ba19424c1957f345aee53f628a365ef6d77720e404',
        40904,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sevillana',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sevillana font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sevillana
  static TextTheme sevillanaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sevillana(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.sevillana(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sevillana(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.sevillana(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.sevillana(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.sevillana(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sevillana(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sevillana(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sevillana(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sevillana(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sevillana(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sevillana(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sevillana(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sevillana(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sevillana(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Seymour One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Seymour+One
  static TextStyle seymourOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '00ae307b4c810203350a017e559d27982f78d2803138c2dd959f74270846da55',
        40004,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SeymourOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Seymour One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Seymour+One
  static TextTheme seymourOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.seymourOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.seymourOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.seymourOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.seymourOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.seymourOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.seymourOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.seymourOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.seymourOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.seymourOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.seymourOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.seymourOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.seymourOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.seymourOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.seymourOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.seymourOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Shadows Into Light font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shadows+Into+Light
  static TextStyle shadowsIntoLight({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '317886d10964f11fd1bc49025bd8e23ca6ad37d5229107d52e0f0f632907b166',
        38884,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ShadowsIntoLight',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Shadows Into Light font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shadows+Into+Light
  static TextTheme shadowsIntoLightTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.shadowsIntoLight(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.shadowsIntoLight(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.shadowsIntoLight(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.shadowsIntoLight(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.shadowsIntoLight(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.shadowsIntoLight(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.shadowsIntoLight(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.shadowsIntoLight(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.shadowsIntoLight(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.shadowsIntoLight(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.shadowsIntoLight(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.shadowsIntoLight(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.shadowsIntoLight(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.shadowsIntoLight(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.shadowsIntoLight(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Shadows Into Light Two font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shadows+Into+Light+Two
  static TextStyle shadowsIntoLightTwo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '331b1017f8041b5207c82dd31af64f198c82fdfa740fdd10ba9c342d1668206e',
        33896,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ShadowsIntoLightTwo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Shadows Into Light Two font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shadows+Into+Light+Two
  static TextTheme shadowsIntoLightTwoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.shadowsIntoLightTwo(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.shadowsIntoLightTwo(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.shadowsIntoLightTwo(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.shadowsIntoLightTwo(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.shadowsIntoLightTwo(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.shadowsIntoLightTwo(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.shadowsIntoLightTwo(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.shadowsIntoLightTwo(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.shadowsIntoLightTwo(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.shadowsIntoLightTwo(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.shadowsIntoLightTwo(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.shadowsIntoLightTwo(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.shadowsIntoLightTwo(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.shadowsIntoLightTwo(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.shadowsIntoLightTwo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Shalimar font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shalimar
  static TextStyle shalimar({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a48c478fe9be7756a7f96597b875721a63bb33c768d4364e90fdd1c07d54e609',
        86316,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Shalimar',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Shalimar font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shalimar
  static TextTheme shalimarTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.shalimar(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.shalimar(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.shalimar(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.shalimar(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.shalimar(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.shalimar(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.shalimar(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.shalimar(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.shalimar(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.shalimar(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.shalimar(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.shalimar(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.shalimar(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.shalimar(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.shalimar(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Shantell Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shantell+Sans
  static TextStyle shantellSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fc60c55c891306bf15c932167a4c7011b3716849be776c661f5bb07924232b56',
        390836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5826cb6b3467d97f2b0764caa7127a4c47ea9c476461f90079b957c0fc11f828',
        391104,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f823ae8224606e9cae450d538c7f497728c83da3511432efae99cb8686f4c8cc',
        391276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f1aad5ddc12e5dcef7caab8d87d40dbbdd2e4e42175158d49029a20cdc646872',
        391328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e903d465cdeaafe7f1f1b35711229eeea424a565468eb1770515cfbdd8ba5c52',
        391204,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f20594d6617c8996ea16198c35ce4e9327bfa8e0a7c7e05f985e6ec571e92e1d',
        390664,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9335425fdddc651cd5dd90a886841bd496ba68d780c0fea55ddd6fa8d419e8f8',
        400664,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0595c30e9b545260bd8058915946f144d3cdfce339ea37e6eb3f14cd611d2647',
        401240,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e05a3233f44d0b85b26a790845875639df2df6426ad9f6567e4be2f487bd0e94',
        401476,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd1d6be97b88e28bf09b2b418573671eebf16a83516382b61847a8d1bc3e131c4',
        401496,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f0fa381b21be3b6e42d6d2e37f5e5c8cc1679c6a12b5e842e734f5f97210b984',
        401428,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0e7850f59404079d1d22688fcc4272555e22c62bea63f56293f94f40f31f452b',
        400844,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ShantellSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Shantell Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shantell+Sans
  static TextTheme shantellSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.shantellSans(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.shantellSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.shantellSans(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.shantellSans(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.shantellSans(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.shantellSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.shantellSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.shantellSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.shantellSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.shantellSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.shantellSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.shantellSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.shantellSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.shantellSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.shantellSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Shanti font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shanti
  static TextStyle shanti({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ccfdfc1dbacc39fdc8d951303e078b1c0e714a274fd3bc97346614538137e172',
        64388,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Shanti',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Shanti font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shanti
  static TextTheme shantiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.shanti(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.shanti(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.shanti(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.shanti(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.shanti(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.shanti(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.shanti(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.shanti(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.shanti(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.shanti(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.shanti(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.shanti(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.shanti(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.shanti(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.shanti(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Share font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Share
  static TextStyle share({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bffb13e067130ff460c103c575eea971d241f04a2795e9d6b496bf6d1ffe3b25',
        36888,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '42c65ea3c59df26cf35173dd55d3b71fefd82c8a3542bb3347ba4a0196001910',
        38984,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '686db9cfd3671ebadbad00dd2c5866d4adeca68ecd400cb951e2ee0f627973aa',
        36920,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4a4d3da55ef95fe3efe22b867b59d4ba2a3bb41bdf74bac69b7a42a9f2a489d5',
        39016,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Share',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Share font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Share
  static TextTheme shareTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.share(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.share(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.share(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.share(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.share(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.share(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.share(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.share(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.share(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.share(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.share(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.share(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.share(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.share(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.share(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Share Tech font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Share+Tech
  static TextStyle shareTech({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e5b8f118e212f937caf8c425a52ae1f7321985f5f5be3786ae58c3f11c6a49a9',
        27964,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ShareTech',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Share Tech font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Share+Tech
  static TextTheme shareTechTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.shareTech(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.shareTech(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.shareTech(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.shareTech(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.shareTech(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.shareTech(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.shareTech(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.shareTech(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.shareTech(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.shareTech(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.shareTech(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.shareTech(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.shareTech(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.shareTech(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.shareTech(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Share Tech Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Share+Tech+Mono
  static TextStyle shareTechMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd3e100fbddc4352440e6b9a95f20f790cb0a2ec70d837703141831266b223819',
        24416,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ShareTechMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Share Tech Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Share+Tech+Mono
  static TextTheme shareTechMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.shareTechMono(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.shareTechMono(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.shareTechMono(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.shareTechMono(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.shareTechMono(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.shareTechMono(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.shareTechMono(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.shareTechMono(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.shareTechMono(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.shareTechMono(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.shareTechMono(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.shareTechMono(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.shareTechMono(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.shareTechMono(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.shareTechMono(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Shippori Antique font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shippori+Antique
  static TextStyle shipporiAntique({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '93226821bd2ca02cb4f7ad7ac5c88c2bcd3b14bc6ddc208a49914e87e8617520',
        7125988,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ShipporiAntique',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Shippori Antique font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shippori+Antique
  static TextTheme shipporiAntiqueTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.shipporiAntique(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.shipporiAntique(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.shipporiAntique(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.shipporiAntique(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.shipporiAntique(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.shipporiAntique(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.shipporiAntique(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.shipporiAntique(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.shipporiAntique(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.shipporiAntique(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.shipporiAntique(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.shipporiAntique(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.shipporiAntique(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.shipporiAntique(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.shipporiAntique(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Shippori Antique B1 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shippori+Antique+B1
  static TextStyle shipporiAntiqueB1({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ca51f4fae60e42b71f7ee64d4a549754ab7430b5aa1ee5ca01be845457f9c6e6',
        12631180,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ShipporiAntiqueB1',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Shippori Antique B1 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shippori+Antique+B1
  static TextTheme shipporiAntiqueB1TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.shipporiAntiqueB1(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.shipporiAntiqueB1(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.shipporiAntiqueB1(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.shipporiAntiqueB1(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.shipporiAntiqueB1(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.shipporiAntiqueB1(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.shipporiAntiqueB1(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.shipporiAntiqueB1(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.shipporiAntiqueB1(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.shipporiAntiqueB1(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.shipporiAntiqueB1(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.shipporiAntiqueB1(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.shipporiAntiqueB1(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.shipporiAntiqueB1(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.shipporiAntiqueB1(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Shippori Mincho font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shippori+Mincho
  static TextStyle shipporiMincho({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b388b1e4f361a5d2f28fd51f45778ad3013024bb69e364b8e38d866a572fe020',
        8344160,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7012b5083cc105bab2c3d31c39cdaa99c83f4cecd7005ffca4ced10c107029ef',
        8346164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '05827bcff67cad9082048707a04ca26c42cfa066e623446f300ad1440ee39051',
        8316944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1227ef55365f4c64418ba4c593946d307a2431f072b72694219e8dfa254c5ce0',
        8234712,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '32422702a316877b8169557f0757ee8784f3a7b2f0a9321bd78d991a1978188f',
        8233708,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ShipporiMincho',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Shippori Mincho font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shippori+Mincho
  static TextTheme shipporiMinchoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.shipporiMincho(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.shipporiMincho(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.shipporiMincho(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.shipporiMincho(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.shipporiMincho(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.shipporiMincho(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.shipporiMincho(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.shipporiMincho(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.shipporiMincho(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.shipporiMincho(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.shipporiMincho(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.shipporiMincho(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.shipporiMincho(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.shipporiMincho(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.shipporiMincho(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Shippori Mincho B1 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shippori+Mincho+B1
  static TextStyle shipporiMinchoB1({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5ba856e01444cde55b5e25edbf08cf68d0f526479671d7b1e38392cbec48f00b',
        14675264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3dc8dc8fc9f60bb93e8e0d0a4990cab2ee3e0241b9d53a8a7a72389b1b513536',
        14632744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c8707084fadb628d1896a0bad74e1adcabd8108a994107ab0e8a8987dd916af8',
        14606932,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd9ed96a2b744845953bec5b0dc5dae4f1ecc55e611f927b753bd0588ff216cc3',
        14539612,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '59b1565e7595171810883dc9a09b56ccfa536784a3a167d6398472f25f26c9b8',
        14538400,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ShipporiMinchoB1',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Shippori Mincho B1 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shippori+Mincho+B1
  static TextTheme shipporiMinchoB1TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.shipporiMinchoB1(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.shipporiMinchoB1(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.shipporiMinchoB1(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.shipporiMinchoB1(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.shipporiMinchoB1(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.shipporiMinchoB1(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.shipporiMinchoB1(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.shipporiMinchoB1(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.shipporiMinchoB1(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.shipporiMinchoB1(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.shipporiMinchoB1(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.shipporiMinchoB1(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.shipporiMinchoB1(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.shipporiMinchoB1(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.shipporiMinchoB1(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Shojumaru font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shojumaru
  static TextStyle shojumaru({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5ec9e735e703b541d8bd58a84e0d704f2667356d222d7d29429837c87036d4b1',
        68804,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Shojumaru',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Shojumaru font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shojumaru
  static TextTheme shojumaruTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.shojumaru(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.shojumaru(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.shojumaru(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.shojumaru(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.shojumaru(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.shojumaru(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.shojumaru(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.shojumaru(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.shojumaru(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.shojumaru(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.shojumaru(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.shojumaru(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.shojumaru(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.shojumaru(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.shojumaru(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Short Stack font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Short+Stack
  static TextStyle shortStack({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd2161ac0afc2dacc6241432686edcd5e70f34f0e8e42527ea67b5a4fc7d0ace3',
        62808,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ShortStack',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Short Stack font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Short+Stack
  static TextTheme shortStackTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.shortStack(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.shortStack(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.shortStack(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.shortStack(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.shortStack(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.shortStack(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.shortStack(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.shortStack(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.shortStack(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.shortStack(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.shortStack(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.shortStack(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.shortStack(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.shortStack(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.shortStack(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Shrikhand font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shrikhand
  static TextStyle shrikhand({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a25a23bfc75826f532af68d3b70a9bf4757b22813197d9e16b3cd92263437335',
        212744,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Shrikhand',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Shrikhand font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shrikhand
  static TextTheme shrikhandTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.shrikhand(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.shrikhand(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.shrikhand(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.shrikhand(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.shrikhand(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.shrikhand(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.shrikhand(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.shrikhand(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.shrikhand(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.shrikhand(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.shrikhand(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.shrikhand(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.shrikhand(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.shrikhand(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.shrikhand(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Siemreap font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Siemreap
  static TextStyle siemreap({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '92e8a184579df16c09b108e621a5634aeaff95399d2d758dd6b1992c8233c9f2',
        166164,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Siemreap',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Siemreap font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Siemreap
  static TextTheme siemreapTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.siemreap(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.siemreap(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.siemreap(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.siemreap(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.siemreap(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.siemreap(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.siemreap(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.siemreap(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.siemreap(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.siemreap(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.siemreap(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.siemreap(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.siemreap(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.siemreap(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.siemreap(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sigmar font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sigmar
  static TextStyle sigmar({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2f7139d76fabf0db3e67aa7c95f954f96c36aa85bb3167c7a3ebc0377679f8f7',
        112892,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sigmar',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sigmar font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sigmar
  static TextTheme sigmarTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sigmar(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.sigmar(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sigmar(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.sigmar(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.sigmar(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.sigmar(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sigmar(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sigmar(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sigmar(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sigmar(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sigmar(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sigmar(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sigmar(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sigmar(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sigmar(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sigmar One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sigmar+One
  static TextStyle sigmarOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '655d2af4bf10f5fb59ff4b25f842208ba2b1efe20b4f560d6492408f8ac6f019',
        103576,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SigmarOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sigmar One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sigmar+One
  static TextTheme sigmarOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sigmarOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.sigmarOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sigmarOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.sigmarOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.sigmarOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.sigmarOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sigmarOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sigmarOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sigmarOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sigmarOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sigmarOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sigmarOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sigmarOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sigmarOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sigmarOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Signika font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Signika
  static TextStyle signika({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'be0ddb7c19a4da17a9a89682baacd0dcdee3fc9dfa649d370c8992e86944c8cf',
        196892,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2e885791b6143233f1d3cc5a1db3cfcc9439d79d9336ce3e0a948c1985e6084b',
        196956,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8b4963a74d42218dd8bcff514461c35bbbc6cb012ec541a0f904fc83aead5bb4',
        197016,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7fd44834d8991cc966c59fc987aa502957186a15fb9f699a3b2e3312d17015a8',
        197092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '93ed486a6d94b038ee43834a181f995cf40259e9d3a3229c9105ee6c3905eed0',
        197052,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Signika',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Signika font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Signika
  static TextTheme signikaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.signika(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.signika(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.signika(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.signika(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.signika(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.signika(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.signika(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.signika(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.signika(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.signika(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.signika(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.signika(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.signika(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.signika(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.signika(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Signika Negative font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Signika+Negative
  static TextStyle signikaNegative({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '30f0dfaaa1e9b6172a176b82724d8fb7e4216ef314c87783b4d251bc655bd7fd',
        191400,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0e142578557fd8cf70cdb14560ab4e83f26e822c3be3d4236b5d9fdc9537fb75',
        191728,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '042660325ba81247f7293a0051a8ca38ad6c567caf650787a061f0f137cf1c8e',
        191852,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '61a792999c6525119b00aced82103122eb5bf8084bb01a3c469e2a41fbc88ff2',
        191828,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e2f87d2a1fe8f72b1c16dbf65ada6d31ebc91a8dce35304ed0d3b0ec4c73a17c',
        191872,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SignikaNegative',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Signika Negative font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Signika+Negative
  static TextTheme signikaNegativeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.signikaNegative(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.signikaNegative(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.signikaNegative(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.signikaNegative(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.signikaNegative(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.signikaNegative(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.signikaNegative(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.signikaNegative(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.signikaNegative(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.signikaNegative(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.signikaNegative(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.signikaNegative(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.signikaNegative(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.signikaNegative(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.signikaNegative(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Silkscreen font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Silkscreen
  static TextStyle silkscreen({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '96f256490e95bf29dbdec416cfbf2c73d15d8d0d70b3197fb3889e84cd00f599',
        15260,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7e6425261faa18962d1c6021861af5cdf3ccef1c492c658a8979893d86149f34',
        14268,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Silkscreen',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Silkscreen font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Silkscreen
  static TextTheme silkscreenTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.silkscreen(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.silkscreen(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.silkscreen(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.silkscreen(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.silkscreen(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.silkscreen(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.silkscreen(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.silkscreen(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.silkscreen(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.silkscreen(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.silkscreen(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.silkscreen(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.silkscreen(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.silkscreen(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.silkscreen(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Simonetta font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Simonetta
  static TextStyle simonetta({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e31e16a2e96c354d0faf2ae4372767ff50ec43539d336eb8fb6cacc3c0a93bee',
        32668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '73694b0a49993e86d781d0a1f83e7dbdb8a3ae5cc0bf2d470c72e23d88a4606a',
        29980,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1f4ca5b79d82756d0225b6cbeb872886a12142bca49138e0fc2dae8b54abb86c',
        44084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c2b4d9e78085949edd3a436d233a73878cdba439568a455ec9135692207b19d3',
        45400,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Simonetta',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Simonetta font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Simonetta
  static TextTheme simonettaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.simonetta(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.simonetta(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.simonetta(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.simonetta(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.simonetta(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.simonetta(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.simonetta(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.simonetta(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.simonetta(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.simonetta(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.simonetta(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.simonetta(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.simonetta(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.simonetta(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.simonetta(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Single Day font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Single+Day
  static TextStyle singleDay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aaab079fc7fbfe52a59050a4ac19f458a4adfabdbdf5b29f6090e545985f21d7',
        638168,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SingleDay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Single Day font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Single+Day
  static TextTheme singleDayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.singleDay(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.singleDay(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.singleDay(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.singleDay(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.singleDay(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.singleDay(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.singleDay(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.singleDay(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.singleDay(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.singleDay(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.singleDay(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.singleDay(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.singleDay(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.singleDay(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.singleDay(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sintony font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sintony
  static TextStyle sintony({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bc21f6fe2c58a8df601f9f5856b3148fa515bdaa586d78fb61458615eb5fb87e',
        23740,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '940e2bb6b7b2356ca37d6be33e50947fcc41662b21d1bfa169bf4b32c49bf1e6',
        23540,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sintony',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sintony font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sintony
  static TextTheme sintonyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sintony(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.sintony(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sintony(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.sintony(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.sintony(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.sintony(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sintony(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sintony(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sintony(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sintony(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sintony(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sintony(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sintony(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sintony(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sintony(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sirin Stencil font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sirin+Stencil
  static TextStyle sirinStencil({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6916662d8a1cfc2a276583d401f88e5d36ed0aaf7c34e0f4e5fa45e211ecd51a',
        32652,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SirinStencil',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sirin Stencil font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sirin+Stencil
  static TextTheme sirinStencilTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sirinStencil(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.sirinStencil(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sirinStencil(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.sirinStencil(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.sirinStencil(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.sirinStencil(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sirinStencil(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sirinStencil(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sirinStencil(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sirinStencil(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sirinStencil(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sirinStencil(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sirinStencil(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sirinStencil(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sirinStencil(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Six Caps font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Six+Caps
  static TextStyle sixCaps({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3078a1e1d21f12d9cf0dd2b82541b572dfa208672b19155ea7fc24a0fd0b786a',
        24692,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SixCaps',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Six Caps font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Six+Caps
  static TextTheme sixCapsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sixCaps(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.sixCaps(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sixCaps(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.sixCaps(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.sixCaps(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.sixCaps(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sixCaps(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sixCaps(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sixCaps(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sixCaps(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sixCaps(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sixCaps(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sixCaps(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sixCaps(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sixCaps(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Skranji font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Skranji
  static TextStyle skranji({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5302dc7580813cab3e6ebcbf17c41be6bb9d140b684ff6861fd3aa7d7aca8ad8',
        205504,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '86f37e5ddcb0825a877639175de5edbbb6856587b12886732d8c30af6e6c6807',
        204836,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Skranji',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Skranji font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Skranji
  static TextTheme skranjiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.skranji(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.skranji(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.skranji(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.skranji(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.skranji(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.skranji(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.skranji(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.skranji(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.skranji(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.skranji(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.skranji(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.skranji(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.skranji(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.skranji(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.skranji(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Slabo 13px font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Slabo+13px
  static TextStyle slabo13px({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '509eeb1d67122e5af61e1a26d36035a3712ee71fd25beb68808be139ce8b49c3',
        29396,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Slabo13px',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Slabo 13px font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Slabo+13px
  static TextTheme slabo13pxTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.slabo13px(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.slabo13px(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.slabo13px(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.slabo13px(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.slabo13px(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.slabo13px(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.slabo13px(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.slabo13px(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.slabo13px(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.slabo13px(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.slabo13px(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.slabo13px(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.slabo13px(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.slabo13px(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.slabo13px(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Slabo 27px font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Slabo+27px
  static TextStyle slabo27px({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9f0e8b79552fcca72157176f7b576df91226635133b5216943014f40cba2378c',
        31092,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Slabo27px',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Slabo 27px font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Slabo+27px
  static TextTheme slabo27pxTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.slabo27px(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.slabo27px(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.slabo27px(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.slabo27px(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.slabo27px(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.slabo27px(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.slabo27px(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.slabo27px(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.slabo27px(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.slabo27px(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.slabo27px(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.slabo27px(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.slabo27px(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.slabo27px(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.slabo27px(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Slackey font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Slackey
  static TextStyle slackey({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3a83b9817cc42359f7e88bc8e3c131a83f436778e86575393d2ef14b1fabdeed',
        35960,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Slackey',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Slackey font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Slackey
  static TextTheme slackeyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.slackey(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.slackey(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.slackey(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.slackey(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.slackey(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.slackey(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.slackey(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.slackey(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.slackey(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.slackey(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.slackey(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.slackey(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.slackey(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.slackey(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.slackey(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Smokum font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Smokum
  static TextStyle smokum({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd9733e887ebe1f39a128dffb039375e48896938e438a753fa84068da9e799e87',
        61212,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Smokum',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Smokum font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Smokum
  static TextTheme smokumTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.smokum(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.smokum(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.smokum(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.smokum(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.smokum(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.smokum(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.smokum(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.smokum(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.smokum(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.smokum(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.smokum(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.smokum(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.smokum(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.smokum(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.smokum(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Smooch font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Smooch
  static TextStyle smooch({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '208325416048e6727951ca119d0a7e0e287777717b699040d21d2150538d165d',
        198956,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Smooch',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Smooch font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Smooch
  static TextTheme smoochTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.smooch(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.smooch(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.smooch(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.smooch(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.smooch(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.smooch(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.smooch(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.smooch(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.smooch(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.smooch(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.smooch(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.smooch(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.smooch(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.smooch(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.smooch(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Smooch Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Smooch+Sans
  static TextStyle smoochSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '24800ed04b51d3c782d510a0628f3fd54b5391cc941b8dcd5a65058cbf766648',
        57932,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aeea8afb0808de6f6a39a2de44237ada727bd1fde4f95eb95e0528704a480b3c',
        57948,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '44a090fde4b20cc78f4d714758251777ed9e7d3ed09bf0a5a7c844296f72db9a',
        57928,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '72829c9fa7337520a62fb6b5ea831eb54ba7a15c10fd0be1d82c13946284bc5f',
        57916,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fe2c242340dd636eec87428f76fc2a5d3b66e4947550dec271a58e93711e3a1e',
        58020,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7a127d15fc9b2fd094eadfcdaa67ec090cf11d0db948608e2e409c02a5bdb763',
        57988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '83ff6b79d3f542760138813c463911f3e02867598c2b47d12dc899c0e37e4f89',
        57920,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c6ca2eb10f26ac13b11e5bed54db312daeaf75a267ffd7fd2fd61c0da17edd2c',
        58076,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5967ff370ad8dc7498e89c43e1e8cbb4f04ff9860049a35b2d375925aba80118',
        57948,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SmoochSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Smooch Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Smooch+Sans
  static TextTheme smoochSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.smoochSans(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.smoochSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.smoochSans(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.smoochSans(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.smoochSans(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.smoochSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.smoochSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.smoochSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.smoochSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.smoochSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.smoochSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.smoochSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.smoochSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.smoochSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.smoochSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Smythe font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Smythe
  static TextStyle smythe({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0cc64f1ce2b1244b8faab6389df4e79912b139b787b16f882c6600a63e02cd03',
        48020,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Smythe',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Smythe font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Smythe
  static TextTheme smytheTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.smythe(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.smythe(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.smythe(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.smythe(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.smythe(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.smythe(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.smythe(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.smythe(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.smythe(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.smythe(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.smythe(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.smythe(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.smythe(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.smythe(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.smythe(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sniglet font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sniglet
  static TextStyle sniglet({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6f283da78f67cb18afa6381e3b0d7a8a30fd520f2ee1757a232b0c87135f08d8',
        48048,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '191567d55ad02188c38e7f4184ec785fd92a8050805af91d95738ca0aaa5ce12',
        51452,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sniglet',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sniglet font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sniglet
  static TextTheme snigletTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sniglet(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.sniglet(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sniglet(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.sniglet(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.sniglet(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.sniglet(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sniglet(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sniglet(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sniglet(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sniglet(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sniglet(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sniglet(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sniglet(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sniglet(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sniglet(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Snippet font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Snippet
  static TextStyle snippet({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c2f293fccdbd618851f978ca470df2466cc6d562c431c29a65adafb801449c9b',
        36836,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Snippet',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Snippet font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Snippet
  static TextTheme snippetTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.snippet(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.snippet(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.snippet(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.snippet(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.snippet(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.snippet(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.snippet(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.snippet(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.snippet(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.snippet(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.snippet(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.snippet(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.snippet(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.snippet(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.snippet(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Snowburst One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Snowburst+One
  static TextStyle snowburstOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '56c8b3fddf7ab2ff8447336f6b51a5dfbf91a77aa463d3be36be8b92f89c74a9',
        50668,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SnowburstOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Snowburst One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Snowburst+One
  static TextTheme snowburstOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.snowburstOne(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.snowburstOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.snowburstOne(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.snowburstOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.snowburstOne(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.snowburstOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.snowburstOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.snowburstOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.snowburstOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.snowburstOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.snowburstOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.snowburstOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.snowburstOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.snowburstOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.snowburstOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sofadi One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sofadi+One
  static TextStyle sofadiOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '40fc5d9d4077c73125cf72d087667aef1a45465d0573813ca0e9dc2ca618936c',
        32124,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SofadiOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sofadi One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sofadi+One
  static TextTheme sofadiOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sofadiOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.sofadiOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sofadiOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.sofadiOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.sofadiOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.sofadiOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sofadiOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sofadiOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sofadiOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sofadiOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sofadiOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sofadiOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sofadiOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sofadiOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sofadiOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sofia font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sofia
  static TextStyle sofia({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a18c05dadae10ae5c7b4dbe5d1393309d267cf820b7f6bafe87225d9190e11dd',
        27816,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sofia',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sofia font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sofia
  static TextTheme sofiaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sofia(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.sofia(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sofia(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.sofia(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.sofia(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.sofia(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sofia(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sofia(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sofia(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sofia(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sofia(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sofia(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sofia(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sofia(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sofia(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sofia Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sofia+Sans
  static TextStyle sofiaSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9972c14e33f75b33a422a185a8e1f2274d6aa6ebb27b70b1430fa7bebf74c1e6',
        110720,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'db7a3f2794e7f3509502d45640eae3597881e44f29c565f3965ec086c432fa6f',
        110816,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e6cf947332fa6eb23685ceaf4749ae3e6d01148a68736a427d29e276f50a1f3e',
        110752,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7c297ccf18997a208d83b4965858b053c7148af7ed697a519710d578f8a2e288',
        110600,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5a442a5b1bc5c3dbfb6a4692b7b7bab3d40dca771a3e12e037d7a76f132fd535',
        110760,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '85bbc8bbc36f8aff4808363634f0842791359b6c904d33194f452fab5d7a745b',
        110716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '329cb1dc97710eff5dbcf8000f908d727d2dc1ba1b00ba906f30f8f3c561427c',
        110684,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3787e3d3370f4ba6e2e39e90ab960df9d30e6233d9fe7a7574d543e78677a723',
        110776,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cdaab197b1c7d9ce6dd95e803bb3669ca77369c94b3707ab41c91ae6f66e1edb',
        110672,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a7deb20dbec0fc5be4055fc52eab937bf4e53ab96c7bd57e7638df62a649ac92',
        100024,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2492101344c437fffa90d7e7c06865ab890e20151e13757d73881dc0e7e21a96',
        100128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e8c55d8dbfa1e0484bd2100df2dfd19d1bf02613a99db409c7296b316a1c17cd',
        100128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '891ab08d3dbc7faeb0306df127f3d4cf523685648d63d6a2eeae656c43159714',
        99836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3e7fb72268b0f8abc3d4c6cad1c80d0061418a966543cf3748505e229e8e29d7',
        100124,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '80970c6146f8ebd5da56b3503841a118bba9c9c0d0ac15739499c30ef36021c1',
        100128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '13eb8a1c524ea4e32e80ad8dbc0688858a6250799750fb1bdd06bc9e292f2ce9',
        99980,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9ad3a36dd102bfdba4f31e547f76909d4169f347c742a3f3a6853d508181bc56',
        100244,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '772c25c1a5bade3f25180d61ef4f49d7068c442193a9157b0c794b414b1527ce',
        100092,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SofiaSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sofia Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sofia+Sans
  static TextTheme sofiaSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sofiaSans(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.sofiaSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sofiaSans(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.sofiaSans(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.sofiaSans(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.sofiaSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sofiaSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sofiaSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sofiaSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sofiaSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sofiaSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sofiaSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sofiaSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sofiaSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sofiaSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sofia Sans Condensed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sofia+Sans+Condensed
  static TextStyle sofiaSansCondensed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a59cbe42c610fadd3a3bb30a549d2d6e1daf6673c7069e2c646f599d5512f216',
        108888,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '537d4af0b893690161e8d707b0b16558b20dbb3c293303a4518c967bd22e6132',
        109072,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1ace241ad269771eae10919a7576054cd801c8d18d825cc9a2db7bbc1788126e',
        109036,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3a5349891ec75920c8c3f8d3e41da095664a216d2dde34aef6de51dc4e3fc500',
        109012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0732007875eadf27e1b566c06a3ca8b783fad6c77c0df69a4b7d9de9b09b3801',
        109024,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '83d50897343aa645a57c10d02a3bbb6a736ea89d6ee32f8f008bbf41bb354800',
        109136,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '879d3667965880d9bca4c814b20d5c8124c0b90ee9f415464d07400f23d85c72',
        109036,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '30af96c94793c80cdcfc9ce181ac05afaecde6523843c57ca1097b7b096dee3d',
        109168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '004a70e953365e9cf5e38da91e8a4449e90f98245614b23375cf4fe6d3fdbe1e',
        108984,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ae7d64419d6fe3d6a01c5e20944b51397855ac600346539646f134635d5d4867',
        98784,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '72cadbeb269166a3a31fd2492f11cf38ee22e3f3d0596f9ea631654371643836',
        98896,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8b8f40b86b77bcc9787355eba0c58d90175cf1fdf8769c05ad10ae8a476e2686',
        98828,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b6e69f3a3c03996058ac4c0cf7ef190dc0bf115d3b16e5dd945995919eb053f5',
        98716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2cbce20e05cad804cb5d852bec8c8b320bcd5ee3a0c5e5cc1de3b07e65873561',
        98872,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '46e369b43e4f328ff2a71120fceb882b722c5d072420daf4b62b7fefdfb1ea78',
        98924,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '953e85747b1ef34ddb600130270f73c9e94f62c917448c52171ddf5f55971ae0',
        98784,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1a73194c3b3564a97f984c16bda6829f29ccf9c2f167e39728345d4d93690efe',
        98972,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd74c365cc49fd43dd727df35ad079708e2d65912f9889dcb8b63739743385d20',
        98948,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SofiaSansCondensed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sofia Sans Condensed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sofia+Sans+Condensed
  static TextTheme sofiaSansCondensedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.sofiaSansCondensed(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.sofiaSansCondensed(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.sofiaSansCondensed(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.sofiaSansCondensed(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.sofiaSansCondensed(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.sofiaSansCondensed(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.sofiaSansCondensed(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.sofiaSansCondensed(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.sofiaSansCondensed(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sofiaSansCondensed(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.sofiaSansCondensed(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sofiaSansCondensed(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.sofiaSansCondensed(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.sofiaSansCondensed(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.sofiaSansCondensed(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sofia Sans Extra Condensed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sofia+Sans+Extra+Condensed
  static TextStyle sofiaSansExtraCondensed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0ec7b011c649d0bfb9e1de0da25f3388751da7661d7a073f605315eaaa100e62',
        108464,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e85fa30aa1bce2a2342af3707a19a9f7b0c3b4934b48ee1ea3a07f8a43d85d77',
        108680,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4d58701ecdaf4eb27c8934fa8c41cad5187fc590d7e05a9635f6faa71e3dc6ef',
        108664,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cc9e2b83b383da3f9e261d4115edfe35ad8dca1befe418f384929a2d4c2f8c62',
        108628,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '17c490056c26dcb1d4f05aaba0c42a273aa3b1342fe4cd6c4b85fb21e2569dc4',
        108712,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '460c85d84ee9c2d2e540362f7533f3547a4b90ae214e8d8a9873babd659effb3',
        108764,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '30ca3cf45f4d218a0536cce7ad088903f9d17af52551480b9f415f37b3d0e134',
        108720,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0d08467db95a99d95ccd7a8764bba5b94d2e2921e4041d7297702ee1f18da95c',
        108724,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ca64a500c4f02c909be53ed42188a09ee5f5deacb7b796f53b6af5ab23670e51',
        108672,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f221c831eb3bbc5ecf403bd8d4ce0c104bd1c3622168e61ea039251f1a9a7c27',
        96904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '72a8554592144ecd0076b348604d266fdc0dd7d3c51a1d61ad46834409786bfe',
        97004,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'feec36edf605d834ff5f727291f14a96433d4ed269c6142901e0370f3b0f5f8f',
        97008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '12de66a0154b355a0dbec286e1c96a54d6f3a76c8a54a97ff34fe8e6cbba2178',
        96804,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd24eb5023415b18d6cc7530fb1b8851eb3a54cbeb8b4e438de69b51cdc356699',
        97028,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd8fea75e8fccf981156f038f4934a7a8e82e9627839b1a36878d76100dc8513e',
        97156,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '46f76054c5794ce9b3aa0e6dbc683f7a05ce1b5aca9f2dd2fa5c508be563d7f2',
        97072,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2a1125b14ce4f4e70e48acfc8be0b8091f289327b9612b615a1e07393d3f4799',
        97284,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd4d0fc8d431664e61dfa8cda73807eb868d8c94c5b196977395d025da58e3008',
        97196,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SofiaSansExtraCondensed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sofia Sans Extra Condensed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sofia+Sans+Extra+Condensed
  static TextTheme sofiaSansExtraCondensedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sofiaSansExtraCondensed(
          textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.sofiaSansExtraCondensed(
          textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sofiaSansExtraCondensed(
          textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.sofiaSansExtraCondensed(
          textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.sofiaSansExtraCondensed(
          textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.sofiaSansExtraCondensed(
          textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.sofiaSansExtraCondensed(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.sofiaSansExtraCondensed(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.sofiaSansExtraCondensed(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.sofiaSansExtraCondensed(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.sofiaSansExtraCondensed(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.sofiaSansExtraCondensed(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.sofiaSansExtraCondensed(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.sofiaSansExtraCondensed(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.sofiaSansExtraCondensed(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sofia Sans Semi Condensed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sofia+Sans+Semi+Condensed
  static TextStyle sofiaSansSemiCondensed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '194645f5400c447798cac8854d14d51c26059d09281b8305d9db3d71e5cc5f35',
        110856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7d2487814fbd8d5e07abdce289b33930e73965e1cecf7d1cc555d99802dff86f',
        110920,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f16307defaa8d7a9ba4fdf77258a3ebf82f5ffdaae864700df943320aa6551f1',
        110884,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f576973b7a3763055630a985ecb1000b3075c9c5daa942fc4270ee6ec1a8a1ba',
        110872,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '10d0f30ead66ecc76999f064d4a682585b25831be535907115e9ec2ce9fd41fa',
        110948,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e69a12c3235979879a7cd1f04df591972865bcdb7c0cf05e41170622c58c2fad',
        110960,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e7b56cc315a3032631343083a8b014e9cc97c6fa2f6b1d37ce8d6d6e898bab3d',
        110920,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fa7f23df55b1465000ff795dd39838849f38ab790f7f44c091c050b0f59c563d',
        110944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '788e1dd87d2c3329c8233eedcd442ae70666baa2ecf1df3d1af1731b6eea20c4',
        110852,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '890357a9a0c39af5a05288e5a32f0ae2a913d5173e9421ffc3b0553d0390a7e6',
        100564,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1fe577e1bc3666c24165aac1d000b3881c10056ac0d4d2002c5c244595a0707b',
        100760,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3b9788f69e5d4c86b19e137354674c484fd01aa6efd89462489b2a1486d82906',
        100652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c7729fa63ae8653fb51206c790cd113566ab6346a50b26b03257f8237e7323a9',
        100440,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '93206d18ea2d1fec45399ba9cce72a20a44843641db78c91951c4393cbe01cb2',
        100724,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f2cc79cd2dc40b88b5bbb5dc6b5189ca08ec37ba3d3d50581c21cbcab8687996',
        100696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3d62d0bd1dfb4e92c8a92395440edab8480dd05e2b06c18dafc140c2a2f4e75f',
        100632,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '084f8ddd098c0d4c83d04f157c7cd7f68c2ded56fe7fbc40d9b34bee5b9ae62f',
        100724,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'df76b51396b86fc820003c9ab23478fb9bc32d386b075eaa7d15fbffd1dd54ce',
        100620,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SofiaSansSemiCondensed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sofia Sans Semi Condensed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sofia+Sans+Semi+Condensed
  static TextTheme sofiaSansSemiCondensedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.sofiaSansSemiCondensed(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.sofiaSansSemiCondensed(
          textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.sofiaSansSemiCondensed(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.sofiaSansSemiCondensed(
          textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.sofiaSansSemiCondensed(
          textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.sofiaSansSemiCondensed(
          textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.sofiaSansSemiCondensed(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.sofiaSansSemiCondensed(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.sofiaSansSemiCondensed(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.sofiaSansSemiCondensed(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.sofiaSansSemiCondensed(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.sofiaSansSemiCondensed(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.sofiaSansSemiCondensed(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.sofiaSansSemiCondensed(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.sofiaSansSemiCondensed(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Solitreo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Solitreo
  static TextStyle solitreo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6fca90482e2f284d5b35cab38a3fde1b5387aa1080de012a458e612e7ccf6cda',
        65136,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Solitreo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Solitreo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Solitreo
  static TextTheme solitreoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.solitreo(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.solitreo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.solitreo(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.solitreo(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.solitreo(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.solitreo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.solitreo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.solitreo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.solitreo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.solitreo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.solitreo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.solitreo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.solitreo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.solitreo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.solitreo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Solway font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Solway
  static TextStyle solway({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c525b4c52569f56fd1a208f8b939db3726cdc5e2f0b902d9fc07a0a8f301ef0a',
        34204,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'acec6761ae85d19050e2130cfc530ed6794fe6de6426ee0d39e1e1db3f0cf258',
        36552,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fe6240acbd6ea654f61d5c85043a966ba930b4d0f035739ed2729e7ed5250226',
        36552,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aba66594e6993d0941b6e6824171973522e5cc596b67792b4aa682729176a677',
        37092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ab335061864d156ad23780be407706be73a40e1a39fa1ec7d27552436ae665f8',
        37424,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Solway',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Solway font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Solway
  static TextTheme solwayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.solway(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.solway(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.solway(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.solway(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.solway(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.solway(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.solway(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.solway(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.solway(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.solway(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.solway(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.solway(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.solway(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.solway(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.solway(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Song Myung font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Song+Myung
  static TextStyle songMyung({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '68c08420ba02124468dda80f84c16023e208309db8e41bf1b398a7309bbde411',
        1202620,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SongMyung',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Song Myung font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Song+Myung
  static TextTheme songMyungTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.songMyung(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.songMyung(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.songMyung(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.songMyung(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.songMyung(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.songMyung(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.songMyung(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.songMyung(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.songMyung(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.songMyung(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.songMyung(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.songMyung(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.songMyung(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.songMyung(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.songMyung(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sono
  static TextStyle sono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '631fd4af931aa0797d0d41e578221dcc4ecb774d7fbc92efe7cf9463d7f6a166',
        63092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4e638505143269c3f784b04b278f80afcc09d0148742954a312fa2a074b54b4c',
        63296,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0ebd24fdc02a56dc816e4aa88ea3a4b05cd895250c23834c9255944d134d842f',
        63196,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '661749f91e514c7dae5f7dbf44151e736d6bf46711959318c94293f55341daf7',
        63168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4ddd6d40211d98c1c99f3571e78813d32eb3189b141e10a7fd0a284171ee82e4',
        63152,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c312cd7b07b2b52ff7c0c81b0906056c6c1d49ebf0c5b220c9c67a7fdd224ea4',
        63108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd7e6b5bebee95338cb5ff8a8183a1d99917b7c186db66476099270e2c0afba15',
        62984,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sono
  static TextTheme sonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sono(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.sono(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sono(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.sono(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.sono(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.sono(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sono(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sono(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sono(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sono(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sono(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sono(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sono(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sono(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sono(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sonsie One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sonsie+One
  static TextStyle sonsieOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '77ebb659b444335feb985b00b45ab2881cbcd3c790c9247364a03e5f15360534',
        70196,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SonsieOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sonsie One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sonsie+One
  static TextTheme sonsieOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sonsieOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.sonsieOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sonsieOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.sonsieOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.sonsieOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.sonsieOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sonsieOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sonsieOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sonsieOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sonsieOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sonsieOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sonsieOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sonsieOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sonsieOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sonsieOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sora font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sora
  static TextStyle sora({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3dfe329518c2b4e1c917ba20ca7163be68ef2fa21e1fa56a69e27ad842cf945c',
        46160,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '230454769de56e0b2f3150f2e35d927e60eaa9e73fad7828696c5d1eaea6ebdd',
        46272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c8dc3132bdb39ee4f5e589559a0706fab78986a0fb452326b3aa7b9bf7faadf5',
        46216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9f886efd61001880a34e52a49fdd0a2204d2d78f662b2f8dc922715685e156d8',
        46016,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7679c1ce44cd46113634bca96060d2a089f49ebe56d16b705813b6f49d2ac6bf',
        46100,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ad594905493beb2ac88bcac2dfd9286abc6dc40bc2c00f90b51349aff64315cb',
        46164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c5a54d9481bdc8e83d2e89b1b06d2b273d3b6fd419634b8429b0b52c667281a0',
        46080,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '073ce658314a77413445f392d682b61c519ae9f9a996f24a6d6cacb168c3cbd3',
        46140,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sora',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sora font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sora
  static TextTheme soraTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sora(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.sora(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sora(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.sora(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.sora(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.sora(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sora(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sora(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sora(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sora(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sora(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sora(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sora(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sora(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sora(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sorts Mill Goudy font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sorts+Mill+Goudy
  static TextStyle sortsMillGoudy({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cdae1f476791b91413d8c634564c75ba77492e9b19bcd57b2beb745f0b1ecf0e',
        77680,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd878bc35c9e4dd269292312cec6939f07c267acb3018dd58548783c645811a7b',
        88084,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SortsMillGoudy',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sorts Mill Goudy font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sorts+Mill+Goudy
  static TextTheme sortsMillGoudyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.sortsMillGoudy(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.sortsMillGoudy(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.sortsMillGoudy(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.sortsMillGoudy(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.sortsMillGoudy(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.sortsMillGoudy(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sortsMillGoudy(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sortsMillGoudy(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sortsMillGoudy(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sortsMillGoudy(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sortsMillGoudy(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sortsMillGoudy(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sortsMillGoudy(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sortsMillGoudy(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sortsMillGoudy(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Source Code Pro font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Source+Code+Pro
  static TextStyle sourceCodePro({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '38230444eeb879adcedffe5961baa0cf512018b38987e08b4b1fe16c292fd792',
        107756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8c5b81423867a68e15aa6282910a55cf48b1752947fcdbf6a4e236a07419e8b5',
        108124,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '72ef2b17cba80b57096f414510583bad8183b7504cb14c39534b3b72e43ea5ec',
        107988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '96e757888cc634ea4089067bc3c31d03f88661bd73ac9151c43d6d4c875b57dc',
        107792,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '733d66c9cf0612c6883f387c5964ba3bad3ab4bfb6527d06de975583b06e1ac0',
        107788,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1156faf3a1ae32432fb656b31076f4d1a81e31632d263793dc166d558b3cdecc',
        107840,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e3f65783e714fa76345a4cb3be65a06cc7c7396e44ac7b4a9f6a8ee7c1e48a7d',
        107868,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5cc44c9a271605c91589f39cd8e52f41ba6c582507ec8e0f1666fa96d23500d3',
        107376,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5e4f2af3eb9905185d874f19966991ce5200e8d2697ff53bde5bf4e8c804900e',
        91228,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7476a178eff6b987ef5e3318ea840a091b1355baf43e49d18cbc32d209b6cd7f',
        91536,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b751d96bbfc85aca5d869aa94010e2eddce12b106c45f37e7c8c1304806e9bc4',
        91348,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ce86d38b4f1a82933800bccb11db64bc8088a4f84d6ece9a0abd6f74dcb87e07',
        91316,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '77337de48844dd42c8b931a2b0b61a94df863daeb205bb8a06a7bee1860cbef5',
        91312,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '54569e5e96163f68323a2f6d0a1045d76c13677e1d379aaee8fd71bc2adc09df',
        91296,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '78c76895935797cb519b18451af7030987854548402276bc605296d059c0b6f3',
        91364,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2cff825eaa6a891ab68130ff6aac1285371a680f5f88f709226bd6e8927f5992',
        91056,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SourceCodePro',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Source Code Pro font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Source+Code+Pro
  static TextTheme sourceCodeProTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.sourceCodePro(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.sourceCodePro(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.sourceCodePro(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.sourceCodePro(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.sourceCodePro(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.sourceCodePro(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sourceCodePro(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sourceCodePro(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sourceCodePro(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sourceCodePro(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sourceCodePro(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sourceCodePro(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sourceCodePro(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sourceCodePro(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sourceCodePro(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Source Sans 3 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Source+Sans+3
  static TextStyle sourceSans3({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '46690e4e2e4c332e052a4e19077e73cb20342a082b3a92193ab25ae1b4babcd1',
        217784,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '057c440a6932196e83ced8fe86012ebad90656505c777cbf0a7e8c41a54f1ba8',
        218752,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9a591d7fc585965516401ed687cd0a784803c6d02e37cd463f2fa44ffe4f3fe6',
        218868,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '524dbfcdee77858d7f0393cbd8194d90fad2fa0070a4972050aa1a43dbe9b821',
        218656,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3d440ca6003c155850b08f9664fcae8d9645cfab5761c7e29b8ecef96f851fa9',
        218832,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd4f28c396c3d225e6b3307be7d602126dd7113b85a49a965cab13bce9c3b839c',
        218808,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c15fea8f0779a1edd749d6f96b5b7153f75282cb7ade26481d4de311cb8c1066',
        218812,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5c24342db4b685bc959b8add705197257427c74e47995d47f8735ad193901a9f',
        217764,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'bdada1d43d4898460468df0ae3b4be9de7150e944861712a9357182593de90a7',
        192420,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '606d3f0325f1c4856960f2c4272499ceec0df2c73a9b7908810905d787769ec7',
        193596,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8bd985b410fd45400f41036a781d7cd16aa23455087f15a45b4914f9883345b3',
        193436,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7d617e1fc189f32960f908f0cf623e7842989cf335596850dbc26c2600fd3da1',
        193252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a333a175e72f3cc5517a0b58e08afe38a710b00464f0d6fbb1173cbc9078963a',
        193404,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a9e9b3bfd7378c4345e89be0f659e60c2ee23bdbe541e5698b3041c3495654ba',
        193424,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ae9889fca87dd5c93aca86892ee81691f6edda25a111751b14a5b7cdc3df79b2',
        193324,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '364e0f72406c6391bd90b75e8b9023aba63fd132928a6a2774ed53a16f37c5c9',
        191984,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SourceSans3',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Source Sans 3 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Source+Sans+3
  static TextTheme sourceSans3TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sourceSans3(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.sourceSans3(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sourceSans3(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.sourceSans3(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.sourceSans3(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.sourceSans3(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sourceSans3(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sourceSans3(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sourceSans3(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sourceSans3(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sourceSans3(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sourceSans3(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sourceSans3(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sourceSans3(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sourceSans3(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Source Sans Pro font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Source+Sans+Pro
  static TextStyle sourceSansPro({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0268f93022d372f0837563cead28b34b006fa17c11de25a83ff80577772bbf44',
        166564,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7b4e2d81e9773f359cab7d801bfacadc13a51c0f99f342e1911b360325d744ab',
        96856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '27671c31d69c69c6d60289267df5c4ba68b327e590bc7d269d31ba1173462573',
        167276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'acd5848b6c71a90b0fd0c694a36d7d6f7272a1fbfdd8e1c3e02012e81b058862',
        97500,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '48f8cf1609a77a2e6e5ff6670089d9c8b921f65a73ad75b8250e5ed6390ed328',
        167952,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fdde95a58b2c76abb0e21a2cb4b06c18d97aebb1ddd23ddd691a29da7108e3d6',
        96968,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '918213748bccf07ee3b20ed95cc824bb329b9b048732700e32c241bba63a029b',
        167636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6f11c0c46c3a578f8098b39c8ce70e15cfad941e4691eb79e0dc2f75436f673f',
        96708,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bab549066b369608c9bfbc6e7ad5b3519371d968dcbb8c7ab6f0e11bc6c199ab',
        167524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd4386fbdccbc8128bec3c58677ac74595e3d7ecd34453cf3952c0800aff8f001',
        96680,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e46de402f539c1b8b6b566d3c90ded7a044a36bde9097ea36d330870bf401487',
        167004,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4cd4520183a06b006f1f911f0c30f64a4f7f51ecf03464aa5ac2338a29d029bb',
        95872,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SourceSansPro',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Source Sans Pro font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Source+Sans+Pro
  static TextTheme sourceSansProTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.sourceSansPro(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.sourceSansPro(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.sourceSansPro(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.sourceSansPro(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.sourceSansPro(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.sourceSansPro(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sourceSansPro(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sourceSansPro(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sourceSansPro(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sourceSansPro(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sourceSansPro(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sourceSansPro(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sourceSansPro(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sourceSansPro(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sourceSansPro(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Source Serif 4 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Source+Serif+4
  static TextStyle sourceSerif4({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3069afab2d909649103ca3607d9d5b1149ad6e46f635b76885f2765d7adae404',
        193552,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '55769690125bfeec5f4edfc9b275462340a9c519a83df3144612eb6bd4885130',
        193708,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '405a293fa81d93da25f81d0554c9b236ceba67c76bb9831288ab46b98a19da94',
        193664,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '48ee505371270619d5fff9e360fbf55e8c9f7335b935c54d6bdf210548863735',
        193916,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4e0e11f6bee6f58b9de29a0819036d1bf9aaa35004a519a9fa858a3879110579',
        194000,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ac2ef8782c759dd0cf98bc6263c82440dceb2790b6fedcba78fae8a9c9cb8b6f',
        193960,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'da8e2b5a5d4a40b21131b78e0d1f186e4e8071c4bea403c146412cb5ce5f9b42',
        193996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ee6546bd7b081c48bcf77aa0b3a6d1b40d84e12f5d8220bc0819b92ad3e77257',
        193920,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '388451d294d5bf584eea3c073a73f2e2460e2daebccc872ea8e2edd996cfb7e9',
        182088,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3a5f5bfe55a27b78416d0976c0dc447470786bcb6481ab8cdf25ff2b07b0f908',
        182216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1ccba58df07c311f8f7a9d765ca1b99f07014dc49dd1568402766f881dbc03ab',
        182072,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b019ce6854d31cbca3693106f36646c4a6e036ba0d07b12062b797c026414200',
        182240,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '02835f5614d3d2a515ad5a6019cdd9895f9878186a91edb6d8550f484e49185f',
        182212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '772540f077cf0fead68715d5dca690bf097fe8ac10b7316e16a243e32cefa100',
        182168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '79d5f7fdf07a7af0e6a4528869db232e80d32f6a29c9a123f71d763c0bd3195f',
        182280,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b62ea5211087b4ed18873c46b45cfb275a78f35a027259880c64a6c053703c70',
        182244,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SourceSerif4',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Source Serif 4 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Source+Serif+4
  static TextTheme sourceSerif4TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sourceSerif4(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.sourceSerif4(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sourceSerif4(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.sourceSerif4(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.sourceSerif4(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.sourceSerif4(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sourceSerif4(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sourceSerif4(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sourceSerif4(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sourceSerif4(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sourceSerif4(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sourceSerif4(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sourceSerif4(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sourceSerif4(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sourceSerif4(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Source Serif Pro font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Source+Serif+Pro
  static TextStyle sourceSerifPro({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '66e47842a72b1e64bbf7124d20bec63dac313bffb330d56c02b12de10a5a95e8',
        157208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '89a673f760676ed19a36bf3af56184b8cfa20dbab087a6a153515d0d28237340',
        155136,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7ad250d6aa644fbbd6876cefbf10903719b8d262c6636e0e7affafb51b51e546',
        160012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ab348fb9b7867f6383a566b7eb9b6ca0bcd15eeb3a399b46ffd396834ee26e17',
        158084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1dffc2be5e0dc2051d1f2e8be8573d22760a5f7163909f43ed4a573cfc266ae4',
        159488,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '749f40a652585f62308a52a6e73d8ccd4b07f17e5d6b383632f52010b2ea58cf',
        156532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e72f9df69a91b8f1ee9b8c60a1a5a1f5d55f4f01a79a10320d355800f85da08c',
        160352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '66271135b5aaa32dcc0bc19da869ac76ad67dd6ce2f6825adf66140875637215',
        159096,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f560930f5b8c8b3523d63165b2282565a8dbec8fb020bb1ba512ca37a165b505',
        160392,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2df6157bc9f75ec1eef0767ae9cd67022a245db0759f8c6dd1e5491df7fbc65f',
        159044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ee7aebb202643eb4d52fce6a5fbfa29cb0ae27f6509e62cbbdb228a95f9a19d6',
        160644,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '72a6401d7fd17f763fd2cb8a1e306a8e678284c567ab8950a3873cd1e1ec97f0',
        156152,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SourceSerifPro',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Source Serif Pro font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Source+Serif+Pro
  static TextTheme sourceSerifProTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.sourceSerifPro(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.sourceSerifPro(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.sourceSerifPro(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.sourceSerifPro(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.sourceSerifPro(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.sourceSerifPro(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sourceSerifPro(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sourceSerifPro(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sourceSerifPro(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sourceSerifPro(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sourceSerifPro(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sourceSerifPro(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sourceSerifPro(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sourceSerifPro(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sourceSerifPro(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Space Grotesk font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Space+Grotesk
  static TextStyle spaceGrotesk({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6e5f8dd98285fec19bf7d724b5931c81578702164726c2da4d751b47158addf0',
        69376,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '92987d1ea129ede2a7423b1ade9cd343818be4dfbaa19591a3d752839050d4b4',
        69332,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5cdfab4298d319da58e932ea1cafc521cb126afee429b96e1adc6b367f9e154b',
        69380,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2bcbdde0787cf564bd15ff2b4cfcb5ab75e0e7162b738da98d448cb521687418',
        69308,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '96ec8bff9a3bcf6e74ebef883a0e15be6b867471f4f7372549fd25fae21cb989',
        69256,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SpaceGrotesk',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Space Grotesk font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Space+Grotesk
  static TextTheme spaceGroteskTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.spaceGrotesk(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.spaceGrotesk(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.spaceGrotesk(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.spaceGrotesk(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.spaceGrotesk(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.spaceGrotesk(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.spaceGrotesk(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.spaceGrotesk(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.spaceGrotesk(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.spaceGrotesk(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.spaceGrotesk(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.spaceGrotesk(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.spaceGrotesk(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.spaceGrotesk(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.spaceGrotesk(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Space Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Space+Mono
  static TextStyle spaceMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '297e574cea7d73441ee015a692f4ac77e568d00e6f673d3bbf766b19f6ea1847',
        48212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '67a1ccce8c6e50cdd2c8df7cf87ce542970510a75253a1ca3d54b7e3ee8041cd',
        54092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '679861e0b21bf9b88d80ec2315e8db88aca7f4e714b881bae4a09f81987d83e7',
        47484,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f670bb068858ac1cbea9eb58ac28b0264f5ed8cb17571d8f05c7cdc3586eb7d6',
        51892,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SpaceMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Space Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Space+Mono
  static TextTheme spaceMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.spaceMono(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.spaceMono(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.spaceMono(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.spaceMono(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.spaceMono(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.spaceMono(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.spaceMono(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.spaceMono(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.spaceMono(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.spaceMono(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.spaceMono(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.spaceMono(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.spaceMono(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.spaceMono(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.spaceMono(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Special Elite font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Special+Elite
  static TextStyle specialElite({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ded65eb5905cf9e7d31ff36040588af54d5d8ce32450d92635b002c7e0878041',
        150108,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SpecialElite',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Special Elite font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Special+Elite
  static TextTheme specialEliteTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.specialElite(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.specialElite(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.specialElite(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.specialElite(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.specialElite(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.specialElite(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.specialElite(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.specialElite(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.specialElite(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.specialElite(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.specialElite(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.specialElite(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.specialElite(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.specialElite(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.specialElite(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Spectral font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Spectral
  static TextStyle spectral({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '143489bdb33446843a7f5057dbc54aa03819611f7c51b91eda3d2cfcdb99146c',
        122192,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7d1080be325941a08c30c3d3e659edeec80d1e86d42e052154f637253f1dbe41',
        131480,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ed70c3fdfbe06ee68ddda4f0eb9cff96b861bd00537bce55c21c732f73e2127d',
        130228,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'aca59f120085a381420ed835342614c602db6a15ec1fca6eb4ea41ff6906d35e',
        140812,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '26ff588f0b0091d70f199c596f26a37c46ec5974fae68ab83dced38fb4ba7b4a',
        125132,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'de3a4052569421b916b26db38fe0debdc53b3105250634af24a8f575ea833856',
        136032,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a350df193e643e1d49c5e5321b00290710960594763d9d388f81c5ca98670e8b',
        131832,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b14d802583c02441dcaeb4af09b834e079a14835dc700ac6e80fe5bd8def81e5',
        141440,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'db7a4efc093ffebca58478681f68167941c380c78c9a953cf287cd57c2ba1b1c',
        131904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b8cb236e60a988e1bd30b9bdb9ed4084eeb8cf408130c662036c1d3c54611f83',
        141264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '85aecd0b4d4675b980a374ce588d5020116a5e728439f257f2c867c75439448b',
        131808,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a81dc681006f72164f3d2c01e29e8bff6c1af5d29286f8087f340d69b46fbb90',
        141528,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b5b954075b1430acfd3685291478b568ba1394dcb40da87b89c9aad09a53b510',
        125748,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '18d3f52ff388af6194a0f0166e64221cc7bf675a9a8d52aef0ca06e7273a916a',
        133316,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Spectral',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Spectral font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Spectral
  static TextTheme spectralTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.spectral(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.spectral(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.spectral(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.spectral(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.spectral(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.spectral(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.spectral(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.spectral(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.spectral(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.spectral(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.spectral(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.spectral(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.spectral(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.spectral(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.spectral(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Spectral SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Spectral+SC
  static TextStyle spectralSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eb4b65c727ef9da65a9efc85f710c4d5a202dd9b9bc77ba602298d038ddccab4',
        111132,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd5dac141218d62e6a3a3c42ee6320766d33063f2225ab69129bad0240832e4f2',
        123508,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b3a808ddb0854bd202a668f8c2d0aa67c28645b46d0e004067d367bb61f9db04',
        127760,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '91ab0f7716e797f92eedeee78f7e0acd71037e35d3220b67333bf999d370b4dc',
        133880,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'efd0c0d2d3df37e13f8630753e02f6bd21d78180e6955749fc046d32c6a20904',
        125908,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1e9e31728f2a0b91a5b7e4f637c5a422901915c36d3b0b01895917f88e29c4ae',
        128120,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cc7f899027f61f5d3b481fd27b13ee942769d1794f60f9b58184ca69ab77ab2f',
        132684,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '15dad6b22d494e11ab5ff630ec4439e08945defafb54982e24d3225a44dbc8ed',
        135288,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '56d62ffb467d62f0453b745a3b803925be196fab4ae0c7738637323102ea57b6',
        132760,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f3b3ba7715e9f1f8545d2c26276c9e949916e67693ef1bec38c7ec5e1f041783',
        135276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd9a132853c4e87c300a391bb0364f3d3277e8f2640e4b79dda34b3410a4a3a78',
        132652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '314da550ee2a39143066fd61ba3e0f8e448aee5e58fcdda5d62541857edef8b9',
        135416,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b72090a22468df07e11763296411501d85d96f1a9070ff0c5956bfe82c8d9c29',
        126212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f291f55fc740972bc0b25a119946cc3b39435d69fce8cc1f2c95ea11d88be50e',
        130492,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SpectralSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Spectral SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Spectral+SC
  static TextTheme spectralScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.spectralSc(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.spectralSc(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.spectralSc(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.spectralSc(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.spectralSc(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.spectralSc(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.spectralSc(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.spectralSc(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.spectralSc(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.spectralSc(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.spectralSc(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.spectralSc(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.spectralSc(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.spectralSc(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.spectralSc(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Spicy Rice font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Spicy+Rice
  static TextStyle spicyRice({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3f23212b7644f0d098c51df07ecdd076135c829eaf20f0c448755d48bdc6669e',
        64660,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SpicyRice',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Spicy Rice font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Spicy+Rice
  static TextTheme spicyRiceTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.spicyRice(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.spicyRice(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.spicyRice(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.spicyRice(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.spicyRice(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.spicyRice(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.spicyRice(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.spicyRice(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.spicyRice(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.spicyRice(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.spicyRice(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.spicyRice(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.spicyRice(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.spicyRice(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.spicyRice(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Spinnaker font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Spinnaker
  static TextStyle spinnaker({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ec972853b499cde4a4a047672070c18ce3cc04cef997e6451cc91748555bd87c',
        19580,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Spinnaker',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Spinnaker font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Spinnaker
  static TextTheme spinnakerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.spinnaker(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.spinnaker(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.spinnaker(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.spinnaker(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.spinnaker(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.spinnaker(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.spinnaker(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.spinnaker(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.spinnaker(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.spinnaker(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.spinnaker(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.spinnaker(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.spinnaker(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.spinnaker(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.spinnaker(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Spirax font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Spirax
  static TextStyle spirax({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3e3a97f90a754ec544d9ceae7de625b106a472e860d8d1108c22736cc0c413c3',
        46520,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Spirax',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Spirax font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Spirax
  static TextTheme spiraxTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.spirax(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.spirax(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.spirax(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.spirax(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.spirax(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.spirax(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.spirax(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.spirax(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.spirax(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.spirax(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.spirax(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.spirax(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.spirax(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.spirax(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.spirax(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Splash font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Splash
  static TextStyle splash({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c949f9989891dcefa6876d13148a4166767f770ed9cf21fffd51f8a4fd665ea4',
        781932,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Splash',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Splash font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Splash
  static TextTheme splashTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.splash(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.splash(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.splash(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.splash(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.splash(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.splash(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.splash(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.splash(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.splash(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.splash(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.splash(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.splash(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.splash(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.splash(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.splash(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Spline Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Spline+Sans
  static TextStyle splineSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '427b4b0764d03509165f2856956bd19d1422f38d8966c5cc135e56981fdc9078',
        51136,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2dd45e4e8253cb7bfa7c61403d904a8929b23ae544fe85ae6133aff693bc3002',
        51328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '31a0790e308cbc1ce87497e6e7f63d00c5381c6d76a32dec83ff42a933f7cb5f',
        51308,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '248fd2193cbb1a0a6466d18babda305df42883221c440fcdd49e770f0ba948c4',
        51444,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '30b8a030e9f1c202eda0ee3a4a824bf4b1824b20acf6dd6dee6cd018075af6b9',
        51444,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SplineSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Spline Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Spline+Sans
  static TextTheme splineSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.splineSans(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.splineSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.splineSans(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.splineSans(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.splineSans(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.splineSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.splineSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.splineSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.splineSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.splineSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.splineSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.splineSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.splineSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.splineSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.splineSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Spline Sans Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Spline+Sans+Mono
  static TextStyle splineSansMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5e246be9a17fc6f9e73c6c52052e9d75b3e06e120c41a8e4fb17a199630c3eee',
        37728,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f0337089ed5003e9ad398d2feefe8b0b497e9ea124098b256f308de77231aeaf',
        37756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '26619a8f281de9d9e3d2698d6bb6e8deb50c2ce98217ebe88362d43019b14ca3',
        37716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'de77cdd032f4e01b850d22b6801d236715fbba747d79bf1cc5735fd0d2f3ee59',
        38024,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '341c8c0447c12fd308ce43465ae4f5a0eb9d77200bbc84796adbc2df52cea3a5',
        38004,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b2129d54e42122bfcd7f7810646d23228da772ee8b8798ed464ef5e3b5c9bfd9',
        37336,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e235735ca12c335a768c0248954903d83164e1ffc9d34d8d8bfb17cfd0f90ead',
        37204,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4aea987d3949a079800520c727abe16f8b4f4b14de624aa0593d24c400934260',
        37256,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '88ea5702a44c32037626df5f206b8e13fd2188ee3f27875316ec19bfdf9947a1',
        37460,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '67fa8727d13a05fb50439094ebb7f20a7943666bb060debe8e0d22ef95958874',
        37488,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SplineSansMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Spline Sans Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Spline+Sans+Mono
  static TextTheme splineSansMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.splineSansMono(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.splineSansMono(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.splineSansMono(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.splineSansMono(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.splineSansMono(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.splineSansMono(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.splineSansMono(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.splineSansMono(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.splineSansMono(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.splineSansMono(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.splineSansMono(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.splineSansMono(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.splineSansMono(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.splineSansMono(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.splineSansMono(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Squada One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Squada+One
  static TextStyle squadaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '649d377d2ee635545c3d2fa1cd3afee132a8d276bd7cff4e20571002c353a43c',
        17200,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SquadaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Squada One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Squada+One
  static TextTheme squadaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.squadaOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.squadaOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.squadaOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.squadaOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.squadaOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.squadaOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.squadaOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.squadaOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.squadaOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.squadaOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.squadaOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.squadaOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.squadaOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.squadaOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.squadaOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Square Peg font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Square+Peg
  static TextStyle squarePeg({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c4d9a624cebe7b103039b5e7f0d0ba10873d6ae44cc27d7faed3bd983949feaf',
        88820,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SquarePeg',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Square Peg font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Square+Peg
  static TextTheme squarePegTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.squarePeg(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.squarePeg(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.squarePeg(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.squarePeg(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.squarePeg(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.squarePeg(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.squarePeg(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.squarePeg(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.squarePeg(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.squarePeg(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.squarePeg(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.squarePeg(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.squarePeg(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.squarePeg(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.squarePeg(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sree Krushnadevaraya font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sree+Krushnadevaraya
  static TextStyle sreeKrushnadevaraya({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd111491f9e55c069d74ceaec1655d7b871fd9c08a1d793086ec88c100e9b1f44',
        405624,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SreeKrushnadevaraya',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sree Krushnadevaraya font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sree+Krushnadevaraya
  static TextTheme sreeKrushnadevarayaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.sreeKrushnadevaraya(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.sreeKrushnadevaraya(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.sreeKrushnadevaraya(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.sreeKrushnadevaraya(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.sreeKrushnadevaraya(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.sreeKrushnadevaraya(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.sreeKrushnadevaraya(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.sreeKrushnadevaraya(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.sreeKrushnadevaraya(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.sreeKrushnadevaraya(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.sreeKrushnadevaraya(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.sreeKrushnadevaraya(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.sreeKrushnadevaraya(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.sreeKrushnadevaraya(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.sreeKrushnadevaraya(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sriracha font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sriracha
  static TextStyle sriracha({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2abdfb413a84bb590f0ef33fd5d1f909101491d6ed38685da67943a2a5f3c5da',
        196204,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sriracha',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sriracha font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sriracha
  static TextTheme srirachaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sriracha(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.sriracha(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sriracha(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.sriracha(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.sriracha(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.sriracha(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sriracha(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sriracha(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sriracha(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sriracha(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sriracha(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sriracha(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sriracha(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sriracha(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sriracha(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Srisakdi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Srisakdi
  static TextStyle srisakdi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7775169e0ffb04258245a10dc995dd95347714eb5f3a371a4712444fb78aca9f',
        96252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '56babac71f8dce0d0a1d042b2f8e0ff70d5c8103846d8fd5e5d03058b6f509db',
        96120,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Srisakdi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Srisakdi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Srisakdi
  static TextTheme srisakdiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.srisakdi(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.srisakdi(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.srisakdi(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.srisakdi(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.srisakdi(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.srisakdi(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.srisakdi(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.srisakdi(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.srisakdi(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.srisakdi(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.srisakdi(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.srisakdi(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.srisakdi(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.srisakdi(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.srisakdi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Staatliches font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Staatliches
  static TextStyle staatliches({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '23de749d408e7db5a138e6830bab7f2c918e308097b07c06f30a2cff885c51df',
        42160,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Staatliches',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Staatliches font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Staatliches
  static TextTheme staatlichesTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.staatliches(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.staatliches(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.staatliches(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.staatliches(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.staatliches(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.staatliches(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.staatliches(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.staatliches(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.staatliches(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.staatliches(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.staatliches(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.staatliches(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.staatliches(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.staatliches(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.staatliches(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Stalemate font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Stalemate
  static TextStyle stalemate({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '607880ee5021fac7190fc4a4cb165f884eb30fcc673aaca4e6ea8679b3128d52',
        71080,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Stalemate',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Stalemate font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Stalemate
  static TextTheme stalemateTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.stalemate(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.stalemate(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.stalemate(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.stalemate(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.stalemate(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.stalemate(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.stalemate(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.stalemate(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.stalemate(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.stalemate(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.stalemate(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.stalemate(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.stalemate(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.stalemate(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.stalemate(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Stalinist One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Stalinist+One
  static TextStyle stalinistOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eb988ecd9c0cf915a42e4d13d57c507654f4ac231c167ca32d6b7e4aad9600b6',
        28864,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'StalinistOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Stalinist One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Stalinist+One
  static TextTheme stalinistOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.stalinistOne(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.stalinistOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.stalinistOne(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.stalinistOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.stalinistOne(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.stalinistOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.stalinistOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.stalinistOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.stalinistOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.stalinistOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.stalinistOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.stalinistOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.stalinistOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.stalinistOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.stalinistOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Stardos Stencil font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Stardos+Stencil
  static TextStyle stardosStencil({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f36d178fe86ede4b4236dc32256e0c39b00c9de99db521edb78736e37a853dba',
        42388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3af5016db7cfe1b84326a7f95fdd0ced69e486d50e472e4e7a80befbce89ff92',
        33020,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'StardosStencil',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Stardos Stencil font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Stardos+Stencil
  static TextTheme stardosStencilTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.stardosStencil(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.stardosStencil(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.stardosStencil(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.stardosStencil(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.stardosStencil(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.stardosStencil(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.stardosStencil(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.stardosStencil(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.stardosStencil(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.stardosStencil(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.stardosStencil(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.stardosStencil(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.stardosStencil(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.stardosStencil(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.stardosStencil(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Stick font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Stick
  static TextStyle stick({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bf2bb88f1912ad15d2888d4b6727ad289fc7302162a5c72244ca4c5b0e594990',
        2043188,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Stick',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Stick font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Stick
  static TextTheme stickTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.stick(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.stick(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.stick(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.stick(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.stick(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.stick(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.stick(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.stick(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.stick(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.stick(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.stick(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.stick(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.stick(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.stick(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.stick(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Stick No Bills font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Stick+No+Bills
  static TextStyle stickNoBills({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6d5d9ff20417ce1f80785df19587ef0a87eae06e25d2e17806f583827c07b2e7',
        162984,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9ff8f6fc09d8b0ddec07f4e030c7ce7e66fbf6707a9567c1889190fa359ef98c',
        163180,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1430733b3935f72bf394d90bbbd33a5caa669389daeeba19194ef3ca9432a58c',
        163108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bc04affef19976fba4c7e00172c815acabaedeb1ba9965ec93eaecd10e7e3f1e',
        163132,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f09df27e656aa4af3c48b64c96e7b1b3346079845129aca6650cecff510c24b7',
        163080,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a969cd4a16c7539136167a51f770e7fb5a5036aed01305fd4f6c22ac58853667',
        163008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f66a58699fcf189c4fa69e5f372b4c0d0657871c02a996277e2cc87d68b67ce7',
        162680,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'StickNoBills',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Stick No Bills font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Stick+No+Bills
  static TextTheme stickNoBillsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.stickNoBills(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.stickNoBills(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.stickNoBills(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.stickNoBills(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.stickNoBills(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.stickNoBills(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.stickNoBills(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.stickNoBills(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.stickNoBills(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.stickNoBills(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.stickNoBills(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.stickNoBills(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.stickNoBills(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.stickNoBills(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.stickNoBills(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Stint Ultra Condensed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Stint+Ultra+Condensed
  static TextStyle stintUltraCondensed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '92f1fbfd5959d3630e8b3089aa74ba48d94ac6135462d9a707f19c0a05ccebda',
        36820,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'StintUltraCondensed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Stint Ultra Condensed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Stint+Ultra+Condensed
  static TextTheme stintUltraCondensedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.stintUltraCondensed(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.stintUltraCondensed(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.stintUltraCondensed(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.stintUltraCondensed(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.stintUltraCondensed(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.stintUltraCondensed(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.stintUltraCondensed(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.stintUltraCondensed(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.stintUltraCondensed(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.stintUltraCondensed(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.stintUltraCondensed(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.stintUltraCondensed(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.stintUltraCondensed(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.stintUltraCondensed(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.stintUltraCondensed(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Stint Ultra Expanded font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Stint+Ultra+Expanded
  static TextStyle stintUltraExpanded({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '59f41bd2e6cb1217c2059007117776f4f16a970d00f7bb3b1f221375c7730bb8',
        38968,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'StintUltraExpanded',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Stint Ultra Expanded font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Stint+Ultra+Expanded
  static TextTheme stintUltraExpandedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.stintUltraExpanded(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.stintUltraExpanded(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.stintUltraExpanded(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.stintUltraExpanded(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.stintUltraExpanded(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.stintUltraExpanded(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.stintUltraExpanded(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.stintUltraExpanded(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.stintUltraExpanded(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.stintUltraExpanded(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.stintUltraExpanded(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.stintUltraExpanded(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.stintUltraExpanded(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.stintUltraExpanded(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.stintUltraExpanded(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Stoke font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Stoke
  static TextStyle stoke({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd1e813881f40c7ee61e307e5dc32a337ea84da34c46302ac9a5b9c655edf1852',
        47264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a8d7d95f256cba1b351361463ecc70f1f8fecdadead17c8bda888c3896af6632',
        49124,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Stoke',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Stoke font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Stoke
  static TextTheme stokeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.stoke(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.stoke(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.stoke(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.stoke(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.stoke(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.stoke(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.stoke(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.stoke(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.stoke(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.stoke(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.stoke(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.stoke(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.stoke(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.stoke(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.stoke(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Strait font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Strait
  static TextStyle strait({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '391a7049085bcd6098a7768dabb2633d4f79c8b28107ac2e3a370a71412b3f22',
        38616,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Strait',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Strait font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Strait
  static TextTheme straitTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.strait(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.strait(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.strait(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.strait(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.strait(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.strait(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.strait(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.strait(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.strait(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.strait(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.strait(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.strait(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.strait(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.strait(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.strait(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Style Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Style+Script
  static TextStyle styleScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '626a9eefaba4202d29c6a4e0a1dafac0a266ce59dc4e2d0898364b53d64bf55f',
        93416,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'StyleScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Style Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Style+Script
  static TextTheme styleScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.styleScript(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.styleScript(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.styleScript(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.styleScript(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.styleScript(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.styleScript(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.styleScript(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.styleScript(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.styleScript(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.styleScript(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.styleScript(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.styleScript(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.styleScript(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.styleScript(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.styleScript(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Stylish font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Stylish
  static TextStyle stylish({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3616563b126bf5118b3d276b3f7c501f3b3733f8379124cced0bf9171c311186',
        6162664,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Stylish',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Stylish font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Stylish
  static TextTheme stylishTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.stylish(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.stylish(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.stylish(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.stylish(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.stylish(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.stylish(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.stylish(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.stylish(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.stylish(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.stylish(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.stylish(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.stylish(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.stylish(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.stylish(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.stylish(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sue Ellen Francisco font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sue+Ellen+Francisco
  static TextStyle sueEllenFrancisco({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1e3c8fd6ff235b6aa67dec3e1070517d30cfd8fb927f69c588ab9b0175f0fae0',
        38440,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SueEllenFrancisco',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sue Ellen Francisco font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sue+Ellen+Francisco
  static TextTheme sueEllenFranciscoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.sueEllenFrancisco(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.sueEllenFrancisco(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.sueEllenFrancisco(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.sueEllenFrancisco(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.sueEllenFrancisco(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.sueEllenFrancisco(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.sueEllenFrancisco(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.sueEllenFrancisco(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.sueEllenFrancisco(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sueEllenFrancisco(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.sueEllenFrancisco(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sueEllenFrancisco(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.sueEllenFrancisco(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.sueEllenFrancisco(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.sueEllenFrancisco(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Suez One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Suez+One
  static TextStyle suezOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ac48638ba24c5aaa76e704e9dece13d3b7856c39639366c0d9c43b1158239cf2',
        62960,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SuezOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Suez One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Suez+One
  static TextTheme suezOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.suezOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.suezOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.suezOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.suezOne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.suezOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.suezOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.suezOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.suezOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.suezOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.suezOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.suezOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.suezOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.suezOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.suezOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.suezOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sulphur Point font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sulphur+Point
  static TextStyle sulphurPoint({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '87bc11a73ff1fbac689043334a0f6e890d0d4093842e48267f0f5dc2600e882f',
        36536,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '115dc8c9a9090d7a27c41084ac14e3d060cb9a298cdd5fe70ae01e919d6fc772',
        34424,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5822e7db7610cc19e7a9af7fe3abdcac0b08bd5f64aef598977cad72e8d01c49',
        36196,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SulphurPoint',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sulphur Point font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sulphur+Point
  static TextTheme sulphurPointTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sulphurPoint(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.sulphurPoint(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sulphurPoint(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.sulphurPoint(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.sulphurPoint(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.sulphurPoint(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sulphurPoint(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sulphurPoint(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sulphurPoint(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sulphurPoint(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sulphurPoint(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sulphurPoint(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sulphurPoint(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sulphurPoint(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sulphurPoint(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sumana font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sumana
  static TextStyle sumana({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '487d0e8078f8118146c6b53e28205b07d518aa4de959efc17744dca773dd5f61',
        129900,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5f322c9c6dacffa7f8c0db28af9e3a3c07e08bccfd722c668fccdc96e54026b8',
        127732,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sumana',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sumana font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sumana
  static TextTheme sumanaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sumana(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.sumana(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sumana(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.sumana(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.sumana(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.sumana(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sumana(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sumana(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sumana(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sumana(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sumana(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sumana(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sumana(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sumana(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sumana(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sunflower font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sunflower
  static TextStyle sunflower({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '702d7463c73e6221ed6fd530572eb67b90508b5d046284b90a476500e6ca2106',
        352904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ea20fd8e9711c9d50a2396b42caa1eb1c49403d3bf7e26fa77bc88d2add48707',
        341128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b45493f14607808e3bb43efa006c98ed31fc4f9bfa9180fb64090f9505021aa0',
        347780,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sunflower',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sunflower font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sunflower
  static TextTheme sunflowerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sunflower(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.sunflower(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sunflower(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.sunflower(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.sunflower(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.sunflower(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sunflower(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sunflower(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sunflower(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sunflower(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sunflower(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sunflower(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sunflower(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sunflower(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sunflower(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sunshiney font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sunshiney
  static TextStyle sunshiney({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '340a040155260d2c6c13405367407afba0f4e8823b92c82b7dd09f7d73c42e58',
        158216,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sunshiney',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sunshiney font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sunshiney
  static TextTheme sunshineyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sunshiney(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.sunshiney(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sunshiney(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.sunshiney(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.sunshiney(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.sunshiney(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sunshiney(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sunshiney(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sunshiney(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sunshiney(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sunshiney(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sunshiney(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sunshiney(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sunshiney(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sunshiney(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Supermercado One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Supermercado+One
  static TextStyle supermercadoOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0625bb98567e3dbc95ea8fc02cde0caae40d48052acdc7376b0c511cc957f58d',
        74196,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SupermercadoOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Supermercado One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Supermercado+One
  static TextTheme supermercadoOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.supermercadoOne(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.supermercadoOne(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.supermercadoOne(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.supermercadoOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.supermercadoOne(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.supermercadoOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.supermercadoOne(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.supermercadoOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.supermercadoOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.supermercadoOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.supermercadoOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.supermercadoOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.supermercadoOne(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.supermercadoOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.supermercadoOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sura font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sura
  static TextStyle sura({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd9f9ba02d52ff32486116bdcff81404de5e347a887fc6ec22e08a24e1624ef09',
        96908,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '226020841a8951aff5fe07ef05a32dc8a1e495ab82bc07a24b81a7352e392626',
        97028,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sura',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sura font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sura
  static TextTheme suraTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sura(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.sura(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sura(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.sura(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.sura(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.sura(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sura(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sura(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sura(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sura(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sura(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sura(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sura(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sura(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sura(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Suranna font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Suranna
  static TextStyle suranna({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '04cb9ee9218da469b2a81c8746333d7e155ae3f8899ff7db453db59a6422a21e',
        383148,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Suranna',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Suranna font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Suranna
  static TextTheme surannaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.suranna(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.suranna(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.suranna(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.suranna(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.suranna(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.suranna(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.suranna(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.suranna(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.suranna(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.suranna(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.suranna(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.suranna(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.suranna(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.suranna(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.suranna(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Suravaram font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Suravaram
  static TextStyle suravaram({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8275b2a12413f07eba65c1a222f413a6d5d61da37ec93df6ef10419f1cfbda9a',
        182608,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Suravaram',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Suravaram font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Suravaram
  static TextTheme suravaramTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.suravaram(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.suravaram(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.suravaram(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.suravaram(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.suravaram(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.suravaram(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.suravaram(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.suravaram(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.suravaram(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.suravaram(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.suravaram(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.suravaram(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.suravaram(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.suravaram(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.suravaram(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Suwannaphum font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Suwannaphum
  static TextStyle suwannaphum({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7c08f1f8a5abb75a2f20676514446f8a6202f459e9d49c2bceab03691ca039ce',
        62464,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1e432a4efee3218827a8c17075c7da226126fea3c07695ccf80aec519192b62d',
        57808,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f442c219ee82985141b3a92a32f121e9c66b7ca22adee54b963813b1f61fd4f6',
        56828,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '62a80c3022032a8a2a404ec9c968172272178136c0f1d66ce4ee181049f46d32',
        55700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '77b72bf41c5c33ee56a3f7792ad3538fd4efad52f863562314b140a9a397d61f',
        54804,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Suwannaphum',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Suwannaphum font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Suwannaphum
  static TextTheme suwannaphumTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.suwannaphum(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.suwannaphum(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.suwannaphum(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.suwannaphum(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.suwannaphum(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.suwannaphum(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.suwannaphum(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.suwannaphum(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.suwannaphum(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.suwannaphum(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.suwannaphum(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.suwannaphum(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.suwannaphum(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.suwannaphum(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.suwannaphum(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Swanky and Moo Moo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Swanky+and+Moo+Moo
  static TextStyle swankyAndMooMoo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ee6f7a875b433b03c4b4185484db8cbc4044393e4d6079aa81b216f44d0b539f',
        44056,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SwankyandMooMoo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Swanky and Moo Moo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Swanky+and+Moo+Moo
  static TextTheme swankyAndMooMooTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.swankyAndMooMoo(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.swankyAndMooMoo(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.swankyAndMooMoo(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.swankyAndMooMoo(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.swankyAndMooMoo(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.swankyAndMooMoo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.swankyAndMooMoo(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.swankyAndMooMoo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.swankyAndMooMoo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.swankyAndMooMoo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.swankyAndMooMoo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.swankyAndMooMoo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.swankyAndMooMoo(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.swankyAndMooMoo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.swankyAndMooMoo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Syncopate font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Syncopate
  static TextStyle syncopate({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b523d6dcedd385bff1738ee2cc5900ba7b0b56526911294cae898c0125aa4d85',
        35164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3be799d0a60f3a214c42f4af5aeb45ae81b5e1987ae925d399f6ddac16cb7548',
        32604,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Syncopate',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Syncopate font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Syncopate
  static TextTheme syncopateTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.syncopate(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.syncopate(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.syncopate(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.syncopate(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.syncopate(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.syncopate(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.syncopate(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.syncopate(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.syncopate(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.syncopate(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.syncopate(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.syncopate(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.syncopate(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.syncopate(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.syncopate(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Syne font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Syne
  static TextStyle syne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3b50ba67d570fde939dd3615183624c0c2d1618a18a30963ae3902218ee70f85',
        52344,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4cbdaab5748d9994029fa028e7452d2b44e92ad062e2604cb9b2143e72e813b4',
        52616,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '81eab38144227888f0acc178ecbe0c6fe6cfaa8125952194cc4a86e8ae7f7f62',
        52736,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f802f340811b9d19b277fca970a0200b58ad867936d8ba34f477ea867764c77c',
        52708,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b954dc011310056b9966299070ba11169135b2d354acd0ebfc0e31530faf46f4',
        52844,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Syne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Syne font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Syne
  static TextTheme syneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.syne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.syne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.syne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.syne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.syne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.syne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.syne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.syne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.syne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.syne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.syne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.syne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.syne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.syne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.syne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Syne Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Syne+Mono
  static TextStyle syneMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fafc4cf13bf0649bcbac840cc061d6d2e296031c5e99fcfd8cf6375694b134c4',
        35128,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SyneMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Syne Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Syne+Mono
  static TextTheme syneMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.syneMono(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.syneMono(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.syneMono(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.syneMono(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.syneMono(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.syneMono(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.syneMono(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.syneMono(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.syneMono(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.syneMono(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.syneMono(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.syneMono(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.syneMono(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.syneMono(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.syneMono(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Syne Tactile font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Syne+Tactile
  static TextStyle syneTactile({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dcb27bc1f445cc3306d9c5054884e1b614167b14839ccf3c67491ed56f8aa108',
        86160,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SyneTactile',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Syne Tactile font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Syne+Tactile
  static TextTheme syneTactileTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.syneTactile(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.syneTactile(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.syneTactile(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.syneTactile(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.syneTactile(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.syneTactile(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.syneTactile(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.syneTactile(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.syneTactile(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.syneTactile(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.syneTactile(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.syneTactile(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.syneTactile(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.syneTactile(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.syneTactile(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tai Heritage Pro font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tai+Heritage+Pro
  static TextStyle taiHeritagePro({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c4cb28ee1f62d20533dda12607c7f5eddf2df77696704b2adcad40d7d76e1b95',
        106972,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b9a0873f28d7f3ff6d3423fe46b929e89a2d736d5fcf5541b594d49680fa9e5a',
        103692,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TaiHeritagePro',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tai Heritage Pro font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tai+Heritage+Pro
  static TextTheme taiHeritageProTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.taiHeritagePro(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.taiHeritagePro(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.taiHeritagePro(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.taiHeritagePro(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.taiHeritagePro(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.taiHeritagePro(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.taiHeritagePro(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.taiHeritagePro(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.taiHeritagePro(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.taiHeritagePro(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.taiHeritagePro(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.taiHeritagePro(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.taiHeritagePro(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.taiHeritagePro(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.taiHeritagePro(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tajawal font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tajawal
  static TextStyle tajawal({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7d7f723168513d81f59a1499ecf308578b59e77e6352b416ab5c8bc87c7891bd',
        51368,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a696e9a0a4864794db9ebca8d28075143ab4d7a64320f0509683e649edc5bb05',
        56216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eddd8791604c4f2b6d5cf01b9a50e1259fe9bd4f2db37e58f3f197a67de4d08c',
        55044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'decd29a8bbbb3f40ba753413d3c76993f0b74a7e71de4b56991c6556037785dc',
        56256,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b8ef3bfb6783a3609db9bf5b3da46388819ba20c4f94d08fcbba0aabd74b1179',
        55492,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '143897c5ad37d074cd75d336ee13d04e52020e1652d10eabe663ff704a4f1617',
        55216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9ba0894d1ad1143701d2ea8b40af86c2da1615804a2820d080b485873a5b8857',
        54644,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Tajawal',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tajawal font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tajawal
  static TextTheme tajawalTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.tajawal(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.tajawal(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.tajawal(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.tajawal(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.tajawal(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.tajawal(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.tajawal(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.tajawal(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.tajawal(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.tajawal(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.tajawal(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.tajawal(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.tajawal(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.tajawal(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.tajawal(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tangerine font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tangerine
  static TextStyle tangerine({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5a3626f76f155e7e69250a64efb24a12a43745fd229898a9400f1b23421feb0f',
        38832,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '93f92f8d2b9ef4f2e186003fbae8ae8682a8a7c5006428de453595e1f0143d93',
        38720,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Tangerine',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tangerine font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tangerine
  static TextTheme tangerineTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.tangerine(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.tangerine(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.tangerine(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.tangerine(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.tangerine(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.tangerine(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.tangerine(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.tangerine(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.tangerine(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.tangerine(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.tangerine(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.tangerine(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.tangerine(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.tangerine(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.tangerine(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tapestry font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tapestry
  static TextStyle tapestry({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4a06aef2df716ee4102dea28d165726c1a2690c744e9f3c87816e71f6cfe0477',
        93052,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Tapestry',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tapestry font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tapestry
  static TextTheme tapestryTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.tapestry(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.tapestry(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.tapestry(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.tapestry(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.tapestry(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.tapestry(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.tapestry(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.tapestry(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.tapestry(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.tapestry(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.tapestry(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.tapestry(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.tapestry(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.tapestry(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.tapestry(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Taprom font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Taprom
  static TextStyle taprom({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7669af092c80eddc5def893028e28acc2a3b9d110d9b7b4ba7dff16180e09a9b',
        152892,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Taprom',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Taprom font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Taprom
  static TextTheme tapromTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.taprom(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.taprom(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.taprom(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.taprom(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.taprom(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.taprom(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.taprom(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.taprom(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.taprom(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.taprom(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.taprom(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.taprom(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.taprom(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.taprom(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.taprom(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tauri font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tauri
  static TextStyle tauri({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6bc44f28438c8cb05e71545534deecf4012b8947f0a9ec41ff1cd7ce971f1698',
        22384,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Tauri',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tauri font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tauri
  static TextTheme tauriTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.tauri(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.tauri(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.tauri(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.tauri(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.tauri(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.tauri(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.tauri(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.tauri(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.tauri(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.tauri(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.tauri(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.tauri(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.tauri(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.tauri(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.tauri(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Taviraj font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Taviraj
  static TextStyle taviraj({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6509616a6331565ae511d2abd7c6c50c25e7c584b15a858f5444d77ed6c451dd',
        121120,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '971651f04c7c25aa7ecb04e006ea64c16b738968a86d391f0c5a9290135f39c0',
        134768,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e50f00be6043a477c7462208b1346502e71967e52e6bc9ddaa09fbfe763761b3',
        121048,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7ca6fd4bc96be6d0bd4df1f1c6e3d406bb6e780dc551f6eb08a7ec5956068eb0',
        135428,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '12833a181318408b66fa9687fdeeba0a41d3818603aa909c4a00a85cafb6481e',
        120532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8aad082d1b234e7483e26b9081d2c95fbc778304a066c47b9dac898d7858e986',
        135464,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f364febeca23e97031db2342d4c58ceb04a4d5babee864ae4f2482482891bb2b',
        121308,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3dc3bda6cc5d571412446b9053b460d89c8440c596a45e09994aa9866c28d3fd',
        135232,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f4d884d9d543e94bda0d2e659163c4f1962d351995234f4be40d36e09dd62b24',
        120460,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '56d57f1a35373660a96fb32ffda225722566a3ebc1d8f8bc780ab1655e157d01',
        136224,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '89aa381d33d04364440f9643f40026ac69f15ea7ab77c1b085f56bfd0dbcb517',
        120184,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6b7fc92dd6057a58b01a446b026312e4616ad9e7ac8b266b8c5ad9cc86074ce2',
        134776,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '15e73e6b696247902645cf1c5b9a07ef34c14b68461b5709f9d4d4cacc43f4f5',
        119372,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c303d90503526f2a8c576415eb7ad60dcfbd85c70a4d0f7516bf477d171811ad',
        134564,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ed3dbb109822c9054a9d4113edbf523a8804098beafa0ccca6fc1de10c0e2a77',
        119284,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8f1735dc04afd66e4d1a8ddeb667a293fe582d608bd2853f84569cb23744f50c',
        133664,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0402a63853855c10d6ee39942caf785116d2cbb4ba0bc0bca9403439eb6d0a35',
        118736,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f5d2815958c4bb0a0e7dc77d21436f291262aa97b23c3c8caf35ed06be0d6688',
        129244,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Taviraj',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Taviraj font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Taviraj
  static TextTheme tavirajTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.taviraj(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.taviraj(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.taviraj(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.taviraj(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.taviraj(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.taviraj(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.taviraj(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.taviraj(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.taviraj(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.taviraj(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.taviraj(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.taviraj(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.taviraj(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.taviraj(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.taviraj(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Teko font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Teko
  static TextStyle teko({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9568357ebc72bf58d4beb0f4519e1513a0e2d93ca2dad42de87a351f37ff123a',
        166884,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '72bcd5d81fd820b558477015bd29d1db649dfda1ed373a0dfe68f37d163360fa',
        173328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd875485ab0a5fac7c8497081d4bfc06193da186b4bd1db61d78acc6d749a40af',
        174748,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '896465663c99260a74bc102ab2117be9f0b55f0ed504018a995c225287433cfc',
        174108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd40050a8acc3a7bf9a053c66efe1e42a9c23742084ff910044a333346db6d7b8',
        161840,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Teko',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Teko font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Teko
  static TextTheme tekoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.teko(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.teko(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.teko(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.teko(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.teko(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.teko(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.teko(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.teko(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.teko(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.teko(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.teko(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.teko(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.teko(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.teko(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.teko(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Telex font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Telex
  static TextStyle telex({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '00b4deea7be43b3ce0e29a1561eb6a0e17b1a24de612edb06ba810d2183eaad0',
        22916,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Telex',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Telex font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Telex
  static TextTheme telexTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.telex(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.telex(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.telex(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.telex(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.telex(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.telex(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.telex(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.telex(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.telex(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.telex(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.telex(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.telex(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.telex(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.telex(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.telex(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tenali Ramakrishna font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tenali+Ramakrishna
  static TextStyle tenaliRamakrishna({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9f5f65a4a935911d6091fa2fed08c184001fe00461d9c2417cb4b55652166b95',
        431736,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TenaliRamakrishna',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tenali Ramakrishna font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tenali+Ramakrishna
  static TextTheme tenaliRamakrishnaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.tenaliRamakrishna(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.tenaliRamakrishna(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.tenaliRamakrishna(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.tenaliRamakrishna(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.tenaliRamakrishna(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.tenaliRamakrishna(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.tenaliRamakrishna(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.tenaliRamakrishna(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.tenaliRamakrishna(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.tenaliRamakrishna(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.tenaliRamakrishna(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.tenaliRamakrishna(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.tenaliRamakrishna(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.tenaliRamakrishna(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.tenaliRamakrishna(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tenor Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tenor+Sans
  static TextStyle tenorSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a90594ee7b823ae5e9cf6cbb2638add42e666223af9be097941df085e60b4d0e',
        58944,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TenorSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tenor Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tenor+Sans
  static TextTheme tenorSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.tenorSans(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.tenorSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.tenorSans(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.tenorSans(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.tenorSans(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.tenorSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.tenorSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.tenorSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.tenorSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.tenorSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.tenorSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.tenorSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.tenorSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.tenorSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.tenorSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Text Me One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Text+Me+One
  static TextStyle textMeOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '959812e0a8f25a959c4520fe3c6870c2c3363b025c019a5f22dd8eff445194a5',
        35128,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TextMeOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Text Me One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Text+Me+One
  static TextTheme textMeOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.textMeOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.textMeOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.textMeOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.textMeOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.textMeOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.textMeOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.textMeOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.textMeOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.textMeOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.textMeOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.textMeOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.textMeOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.textMeOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.textMeOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.textMeOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Texturina font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Texturina
  static TextStyle texturina({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '61495cc700cfd8a0d524fe0463063f9d8d0b0126092bce85c6de8f1f68297735',
        83628,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '33854847582666dfbffa8f9ff29b4d173d16519c984c36d778431ccf837f2399',
        83712,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '85e0991c6e6b79564ec066270e6880c43ced684c5018a91bf1454ee1fedb4bc7',
        83660,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '49b1aaee802706f363d0802cb9f886c6f7da857c38abfd9b19f0a4e9ee77a54d',
        83636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1b7d12c1f286cd6164c3b21949e9d96f6503bffa56c0b0f7da9112044054ee69',
        83668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ea4081035f9ae841fd96cdefe98629c36e296aa0b36822f3cdab6ca1db89c3be',
        83584,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e23bfb5580052ee666662ff6fd0cd62080129e4fe2a85f62625c57322f280866',
        83596,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '570d7994ba06c962e12e1724d2ca58c3b6b9e69883f14bb96284cc9f3d6564a4',
        83552,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6651890efbf8089d027860fe8298dc04ea82ca491fcbf084a0fc90111c5c00ef',
        83532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b10773ac8ade360d6c9fcb70e4da8d96b04ec5447f638579161f063da0c5cb41',
        84192,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f4f11274f0be176deef8d3cc33628fde7e4d7cb6ceec21193ddc8d1f2f32e99c',
        84244,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '20bff09b893637820029e4890c614ff09a2c53defdc6357b9beddb173d19a7e6',
        84108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3970c8183a32e6ce021aca2baf6d31f4e2bcc9d7a813aef115e8d8e37bafa8b7',
        84020,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '65636eaba0f0462cec16bef05f315fab3242e2ad52014b740cdbe0c19c5fa791',
        84128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e8734b9097550fe7def85052af4c5b2e74922528bb5baa3f93968505f7b39e86',
        84176,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e3e37730146baae9263343217f947dbc5cd74b13fc848f5874b48869a36ab1d3',
        84148,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3f6b10840239fb4fd9047a7f5b708cd2364e3ac8952dd4f3438f03617a6935c9',
        84216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '350de765201e27ee27ede82429a5bae18af5a602d959885049dcaa16e26bfe97',
        84244,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Texturina',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Texturina font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Texturina
  static TextTheme texturinaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.texturina(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.texturina(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.texturina(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.texturina(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.texturina(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.texturina(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.texturina(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.texturina(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.texturina(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.texturina(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.texturina(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.texturina(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.texturina(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.texturina(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.texturina(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Thasadith font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Thasadith
  static TextStyle thasadith({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '270140e7e1d89ed4e736df35c9b8bd5b75ea3362517333a433ca078459eb9323',
        86212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7ada4a235e09bae13e7f77cc8bdf1a343d94135afb109c6947faf8b09f941cd2',
        89192,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'be833b1150bfbacf67fa3ec12e7b7d96e4ef4f3511cc4566faf20d945e2417fb',
        86580,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2cca1f53203ccce2d78ce9573669fa970878bf7015bd2dfc0fd7ce04f41b79d6',
        89588,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Thasadith',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Thasadith font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Thasadith
  static TextTheme thasadithTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.thasadith(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.thasadith(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.thasadith(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.thasadith(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.thasadith(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.thasadith(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.thasadith(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.thasadith(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.thasadith(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.thasadith(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.thasadith(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.thasadith(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.thasadith(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.thasadith(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.thasadith(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the The Girl Next Door font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/The+Girl+Next+Door
  static TextStyle theGirlNextDoor({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '77183c34d8c3d854c5f30ac3a3bc6a1c61abbc21706f38504a205d0a3ff08601',
        41860,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TheGirlNextDoor',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the The Girl Next Door font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/The+Girl+Next+Door
  static TextTheme theGirlNextDoorTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.theGirlNextDoor(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.theGirlNextDoor(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.theGirlNextDoor(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.theGirlNextDoor(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.theGirlNextDoor(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.theGirlNextDoor(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.theGirlNextDoor(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.theGirlNextDoor(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.theGirlNextDoor(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.theGirlNextDoor(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.theGirlNextDoor(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.theGirlNextDoor(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.theGirlNextDoor(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.theGirlNextDoor(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.theGirlNextDoor(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the The Nautigal font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/The+Nautigal
  static TextStyle theNautigal({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e3b78b9c0d16707a9202be4c24e7fe36fb8dce5d50cb456ca6a8b4de4b544131',
        108556,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ee1f32a71ad54dd10774dc409c533ae70d6cd5a5e49f365ad3c53a7ee3e2f991',
        108028,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TheNautigal',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the The Nautigal font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/The+Nautigal
  static TextTheme theNautigalTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.theNautigal(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.theNautigal(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.theNautigal(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.theNautigal(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.theNautigal(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.theNautigal(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.theNautigal(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.theNautigal(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.theNautigal(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.theNautigal(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.theNautigal(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.theNautigal(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.theNautigal(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.theNautigal(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.theNautigal(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tienne font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tienne
  static TextStyle tienne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd464bae8fe9ec18f0b6c2092699eda523f5bd8efd853a074218a87897986267d',
        39320,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '127b3ca5d9108ab427bf14c814de07ed3947de3e38cb3fd3bb9ca330dd0af260',
        37372,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5f3bfee1d66a1d333e8d4d7bc617c8aeb1396048315adfdcb3b3364a81871a95',
        33700,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Tienne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tienne font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tienne
  static TextTheme tienneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.tienne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.tienne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.tienne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.tienne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.tienne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.tienne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.tienne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.tienne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.tienne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.tienne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.tienne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.tienne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.tienne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.tienne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.tienne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tillana font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tillana
  static TextStyle tillana({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1a19a2df2750e5ed83064b1f7a67f418e7dcd4bd31f7018a1880e940a310cb92',
        216284,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a9eb0a5a3b8a551c351bf25f37dda3fbbd9d9d0497752d50bd079849c931bbb3',
        220652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bcd0ea40bb7a7741d243a67b44dd4018837d3bec75f596750143fc427707cf5c',
        221392,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0c90fa25b9f7097597de0823b0d1112af121a0875bac0f9f9ce98aab5948bf63',
        220924,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '98b43554a1fb85013b2e348325c5a9c5cd8e66bb942a3df923c2585c71fee3a2',
        221112,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Tillana',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tillana font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tillana
  static TextTheme tillanaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.tillana(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.tillana(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.tillana(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.tillana(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.tillana(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.tillana(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.tillana(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.tillana(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.tillana(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.tillana(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.tillana(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.tillana(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.tillana(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.tillana(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.tillana(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tilt Neon font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tilt+Neon
  static TextStyle tiltNeon({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5bcb605cb7f771b18ceadf974ee0574ee1de6a12d464126637cd7135b053a27f',
        89348,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TiltNeon',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tilt Neon font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tilt+Neon
  static TextTheme tiltNeonTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.tiltNeon(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.tiltNeon(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.tiltNeon(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.tiltNeon(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.tiltNeon(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.tiltNeon(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.tiltNeon(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.tiltNeon(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.tiltNeon(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.tiltNeon(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.tiltNeon(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.tiltNeon(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.tiltNeon(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.tiltNeon(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.tiltNeon(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tilt Prism font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tilt+Prism
  static TextStyle tiltPrism({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '816c05603fa0ca374d0d748d0a1c029c7d5b8fa7f3068d858440b0e4755f968a',
        174756,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TiltPrism',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tilt Prism font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tilt+Prism
  static TextTheme tiltPrismTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.tiltPrism(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.tiltPrism(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.tiltPrism(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.tiltPrism(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.tiltPrism(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.tiltPrism(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.tiltPrism(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.tiltPrism(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.tiltPrism(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.tiltPrism(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.tiltPrism(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.tiltPrism(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.tiltPrism(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.tiltPrism(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.tiltPrism(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tilt Warp font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tilt+Warp
  static TextStyle tiltWarp({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4ecf1622fb5236d16feb943641f704377337d346f1c19bfab88babe2bc76a618',
        59624,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TiltWarp',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tilt Warp font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tilt+Warp
  static TextTheme tiltWarpTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.tiltWarp(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.tiltWarp(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.tiltWarp(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.tiltWarp(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.tiltWarp(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.tiltWarp(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.tiltWarp(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.tiltWarp(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.tiltWarp(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.tiltWarp(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.tiltWarp(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.tiltWarp(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.tiltWarp(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.tiltWarp(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.tiltWarp(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Timmana font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Timmana
  static TextStyle timmana({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0123471088f58816de3b9e9331ed8e46a447570e0eb5c817e3927db8124196b2',
        431972,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Timmana',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Timmana font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Timmana
  static TextTheme timmanaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.timmana(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.timmana(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.timmana(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.timmana(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.timmana(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.timmana(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.timmana(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.timmana(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.timmana(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.timmana(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.timmana(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.timmana(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.timmana(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.timmana(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.timmana(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tinos font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tinos
  static TextStyle tinos({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '23e68bc98222339eb30959aade856a732c4f3ea04e5c229e00cede6c5378c2ed',
        246568,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1751ba26644fb09379dcddda6f5c0065988cf041859f8027ef182b99ba145c22',
        248184,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1072711f4d2e7b23ff31277fde58d4b1dfd846d0a31410102b39aa8a95943b84',
        240620,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b951c5c411f9fb34b0f43af03345658f01741e07d1f73b23bf1e4b68e278729c',
        246184,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Tinos',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tinos font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tinos
  static TextTheme tinosTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.tinos(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.tinos(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.tinos(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.tinos(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.tinos(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.tinos(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.tinos(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.tinos(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.tinos(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.tinos(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.tinos(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.tinos(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.tinos(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.tinos(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.tinos(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tiro Bangla font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tiro+Bangla
  static TextStyle tiroBangla({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6bb112fe0b99f59a55ea20409d2a2139151881033562ccfa9ebb12cc8c09970a',
        193128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '85c804ae6757832bb60c86dddb0ea08524558dc077631a0a60443be724d238f8',
        197520,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TiroBangla',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tiro Bangla font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tiro+Bangla
  static TextTheme tiroBanglaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.tiroBangla(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.tiroBangla(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.tiroBangla(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.tiroBangla(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.tiroBangla(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.tiroBangla(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.tiroBangla(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.tiroBangla(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.tiroBangla(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.tiroBangla(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.tiroBangla(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.tiroBangla(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.tiroBangla(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.tiroBangla(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.tiroBangla(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tiro Devanagari Hindi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tiro+Devanagari+Hindi
  static TextStyle tiroDevanagariHindi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '79f9b78b96c3d89b3f45803facad00dc5cf7a958e433f03aa0b2dc34dfa1846d',
        250692,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0504e39af7e5ed18179046973556aa791a247ba24f0851a26da501144dcaf4f0',
        253924,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TiroDevanagariHindi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tiro Devanagari Hindi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tiro+Devanagari+Hindi
  static TextTheme tiroDevanagariHindiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.tiroDevanagariHindi(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.tiroDevanagariHindi(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.tiroDevanagariHindi(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.tiroDevanagariHindi(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.tiroDevanagariHindi(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.tiroDevanagariHindi(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.tiroDevanagariHindi(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.tiroDevanagariHindi(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.tiroDevanagariHindi(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.tiroDevanagariHindi(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.tiroDevanagariHindi(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.tiroDevanagariHindi(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.tiroDevanagariHindi(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.tiroDevanagariHindi(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.tiroDevanagariHindi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tiro Devanagari Marathi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tiro+Devanagari+Marathi
  static TextStyle tiroDevanagariMarathi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9a0c2ac07584ef3e1bd3b08a3f609e89e64a9eec24307e69df956c2024312262',
        249320,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e047c3da37621e0d6f74d12aad194f6ae81741ef61c3db9a9a587348c099412a',
        252588,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TiroDevanagariMarathi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tiro Devanagari Marathi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tiro+Devanagari+Marathi
  static TextTheme tiroDevanagariMarathiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.tiroDevanagariMarathi(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.tiroDevanagariMarathi(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.tiroDevanagariMarathi(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.tiroDevanagariMarathi(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.tiroDevanagariMarathi(
          textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.tiroDevanagariMarathi(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.tiroDevanagariMarathi(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.tiroDevanagariMarathi(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.tiroDevanagariMarathi(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.tiroDevanagariMarathi(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.tiroDevanagariMarathi(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.tiroDevanagariMarathi(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.tiroDevanagariMarathi(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.tiroDevanagariMarathi(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.tiroDevanagariMarathi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tiro Devanagari Sanskrit font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tiro+Devanagari+Sanskrit
  static TextStyle tiroDevanagariSanskrit({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '052519e5e106e8076839f1f9a188de11e0b651456882c00287124a36fb453327',
        429356,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e2f99cde582e8da3ee4d3d868c8c2bda946b80cac43d29bff8d5d6a9790f82f9',
        434360,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TiroDevanagariSanskrit',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tiro Devanagari Sanskrit font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tiro+Devanagari+Sanskrit
  static TextTheme tiroDevanagariSanskritTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.tiroDevanagariSanskrit(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.tiroDevanagariSanskrit(
          textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.tiroDevanagariSanskrit(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.tiroDevanagariSanskrit(
          textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.tiroDevanagariSanskrit(
          textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.tiroDevanagariSanskrit(
          textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.tiroDevanagariSanskrit(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.tiroDevanagariSanskrit(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.tiroDevanagariSanskrit(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.tiroDevanagariSanskrit(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.tiroDevanagariSanskrit(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.tiroDevanagariSanskrit(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.tiroDevanagariSanskrit(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.tiroDevanagariSanskrit(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.tiroDevanagariSanskrit(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tiro Gurmukhi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tiro+Gurmukhi
  static TextStyle tiroGurmukhi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '530b5e3b59e5e96f1eb00dd80f3c721ec7b7bc86410e84111d6751b2ca49e9f2',
        86168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8921dc96a6f8f39787c4b2fa08c9fa414785e0732f88f7385a4005c85abae73a',
        87292,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TiroGurmukhi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tiro Gurmukhi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tiro+Gurmukhi
  static TextTheme tiroGurmukhiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.tiroGurmukhi(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.tiroGurmukhi(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.tiroGurmukhi(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.tiroGurmukhi(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.tiroGurmukhi(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.tiroGurmukhi(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.tiroGurmukhi(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.tiroGurmukhi(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.tiroGurmukhi(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.tiroGurmukhi(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.tiroGurmukhi(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.tiroGurmukhi(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.tiroGurmukhi(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.tiroGurmukhi(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.tiroGurmukhi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tiro Kannada font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tiro+Kannada
  static TextStyle tiroKannada({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e5b4a800e61db5c515c013e87667fdf5b612fa26efe1d5d3a82a8d92dd0e304e',
        278956,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'da7d1a133cb1067623fe388dd7618834d4725ce9b2bc067b556ab48e67fee713',
        281068,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TiroKannada',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tiro Kannada font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tiro+Kannada
  static TextTheme tiroKannadaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.tiroKannada(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.tiroKannada(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.tiroKannada(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.tiroKannada(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.tiroKannada(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.tiroKannada(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.tiroKannada(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.tiroKannada(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.tiroKannada(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.tiroKannada(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.tiroKannada(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.tiroKannada(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.tiroKannada(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.tiroKannada(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.tiroKannada(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tiro Tamil font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tiro+Tamil
  static TextStyle tiroTamil({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b8c1bd98a0dd7710c57cf37f8982c5d7c93e9b432d42397ae45d3ab30d2ad9c1',
        106120,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ecdd0ac7d54528cacf5fdad74de5a1818c5a77931691b816621c935649675169',
        107380,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TiroTamil',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tiro Tamil font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tiro+Tamil
  static TextTheme tiroTamilTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.tiroTamil(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.tiroTamil(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.tiroTamil(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.tiroTamil(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.tiroTamil(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.tiroTamil(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.tiroTamil(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.tiroTamil(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.tiroTamil(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.tiroTamil(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.tiroTamil(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.tiroTamil(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.tiroTamil(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.tiroTamil(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.tiroTamil(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tiro Telugu font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tiro+Telugu
  static TextStyle tiroTelugu({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9aeb5fe6b5d101a3f2480e8097d0431b134f1502385bd0f648b3564b4a3ef4c6',
        395380,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '70ed1c0fe4f8b128b26bda89ad0c94f13ff87f15180904d5c43505770d88b937',
        392340,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TiroTelugu',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tiro Telugu font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tiro+Telugu
  static TextTheme tiroTeluguTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.tiroTelugu(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.tiroTelugu(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.tiroTelugu(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.tiroTelugu(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.tiroTelugu(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.tiroTelugu(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.tiroTelugu(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.tiroTelugu(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.tiroTelugu(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.tiroTelugu(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.tiroTelugu(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.tiroTelugu(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.tiroTelugu(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.tiroTelugu(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.tiroTelugu(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Titan One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Titan+One
  static TextStyle titanOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bc56c15aa1df450667660510bcbf78be7d79aa2c6baa92cc09c1e5a715b3df3b',
        52164,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TitanOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Titan One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Titan+One
  static TextTheme titanOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.titanOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.titanOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.titanOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.titanOne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.titanOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.titanOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.titanOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.titanOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.titanOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.titanOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.titanOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.titanOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.titanOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.titanOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.titanOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Titillium Web font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Titillium+Web
  static TextStyle titilliumWeb({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '66fcc18bb0eed2a11b259d4b563301f5304f6a4a33212b12297784f76da716b4',
        53388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cc466f513e5942757bb8b8dd68a85cc1187bea91b71e348745039bde3138f94b',
        57408,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '90b92cf2b88bd8a39a354c6de10a23b69fd0d9ffc6948a7fdfb5bc30b25be7e0',
        54196,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2809d7a2139916867089a91e03178d3f2064f5666d3cee743b65bc7507620b1b',
        60640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '82e1e5dc2e10e02cf451358b8979b49da6648646407c7df2c77319c5bb23535f',
        53956,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4a373e84f0f61333fc2f9b881fe8afed4fdb496b2653e5772eb273509dde4570',
        61348,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c43fe9e52fdd252279f52156429f1924d344076634e3b924ec835e046f90a7d7',
        53224,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'acc13d4a166f449f3e72fb3f2566cacc3d64f74ba147a49c93b8f8cc301facbf',
        60880,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5e97ca3e2e4bee48dafb653d0a983c978573f21fe9f231f805716632539b0267',
        51392,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fa12f4c6e2e9a2341b01779259eedc153b79dbecd7bfd7969d1a3419248365b9',
        59216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '35ae1c36fea4e51c627d38747c43f4abb864f1f3a4d6fb431b98eb1d10b23ca0',
        41708,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TitilliumWeb',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Titillium Web font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Titillium+Web
  static TextTheme titilliumWebTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.titilliumWeb(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.titilliumWeb(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.titilliumWeb(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.titilliumWeb(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.titilliumWeb(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.titilliumWeb(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.titilliumWeb(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.titilliumWeb(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.titilliumWeb(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.titilliumWeb(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.titilliumWeb(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.titilliumWeb(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.titilliumWeb(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.titilliumWeb(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.titilliumWeb(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tomorrow font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tomorrow
  static TextStyle tomorrow({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '080f99d103faadc82c695a76be2ca32871d4c85d8c21289aaf4c1690edb04551',
        54872,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '86e5cbcb354f6213bbd5e84938e077a926d0b1d120de5ff5e0941f757b09ceb2',
        58008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dddb19f7f441ff5ccb8cfd026392ce5c341cce831ab853fcfc913a049f021e70',
        56872,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '397031ba312efa113c38db902bd1c61e477a6647ada7141a7882cb8ca0945b17',
        58892,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7523c7205bb169a2bd1b534e94e5c7b23b06f3a52a254d27f3a7f93f604b6e27',
        56908,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9914cad59f50b0711a01fca7561de378c6981ba04a76a6b4619d94bce66a43d0',
        58928,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5772788b55e5b0c9bdd119d61271a63e3fde377ae65d4537aa64428473cbc715',
        56716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c0bbfb9ddbd0fff4ccd9588169d57a038b7bd83919cc9b449cad784c840c6d46',
        58568,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '554d3f3f3ce56d2b7eecd39497c89e8e3d633c7f7fd46501bddab4ed7c05da04',
        56172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3394f9521765d3f64c473e5c2028f4943bbc4f9157a9041b4a24e9ce051a75cd',
        58112,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '089b644d3b56da6f022b6f02df0a33a33e0fdebe9d6f335c228cd00554527852',
        56784,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cc0ba7c251af83c6c414cad86da892409468dafb5ce6a92345ecba2980bca140',
        59016,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '38b6331b802279a4ca468f8f7d1c47ce6c9123f6d3b4c22fd9e369e3d5065c41',
        55956,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '60e5c8a0707ee50cf0716c508f6b60f435a00a6378bd6ba6aa1b0ce8807e63de',
        58964,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5d74be4e616a66f913c1759ecc239890ce8d4487a2c60cc984d8a91d466a091e',
        56584,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8f69efbd837e542de6e8eaa0e4ef42308b72d4c5ca3f8672dfe62e180b4356e0',
        59704,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1e837b171eef6720b2d46e0a1855bd89e69ba9c837ec064f35dcedb26dbf5c64',
        52332,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '002c1d542fbbbeb3443244e5ff3abdf70964770ad31bc6b26514999396f8c45d',
        55780,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Tomorrow',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tomorrow font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tomorrow
  static TextTheme tomorrowTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.tomorrow(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.tomorrow(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.tomorrow(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.tomorrow(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.tomorrow(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.tomorrow(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.tomorrow(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.tomorrow(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.tomorrow(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.tomorrow(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.tomorrow(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.tomorrow(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.tomorrow(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.tomorrow(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.tomorrow(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tourney font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tourney
  static TextStyle tourney({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '47b30251344f5f93137bcf964fe20a943ca9634a57e20752f3e18328dc5ed8a7',
        61996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8919f59e39e1c61577612c4997099b41744c302189fd902fd7c4982fb048d78a',
        61996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '05c09db091c5d7aed999ab3a7d2fbb9b50b85d615139a41046dd9e7f13d81dae',
        61976,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '17da8b076f0652f6a10cdc074c79cf2bd45b662e02f46044c1324a0851684c6d',
        61984,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '43d8defaadf14ceff1fd930e1c64fbf5f633245beb8bdae31273edd39e36d18a',
        62000,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '080c1888f1e69a9a81444ee76daa78b61d3e3540720b36d5541990c4f0ea8fa6',
        62020,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '743b950df5d95a7418b33b4a8491a621f7afe1eee5f5052d2b451418da2bfe01',
        61972,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ce933021a3c9a7ddaf1f579b90624413281e1022962ad685b1711d84dca3303d',
        62100,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cf7a5d75e79bc62013d192a698931a1279065084d6a36be26a8f902380ec8821',
        61640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '26668e8e4ef69533a03b5562c988ae81f0f2d0112e136b373611a69af3925bee',
        64620,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f32131f36f3b4501b00a9de3e00e898daaf5d72ca34de17f1fc50c1fff34c2e7',
        64716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0772f043a940f5ab570bdc0f4f29667b153ac0034fb088ddbd91ce1ca2726eb7',
        64652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3fecd81fb1182916acf480c4adf937db1a4acc20836a2c495efeb2621bc9cd7e',
        64576,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4edd05b2ac1a6868fed87ba9f10ce33529bd196b3e6c93e0e50342c9189e9d7b',
        64676,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd87b6c0b7d67cdd62e5d2e39f05770cd2e743fc229614fe6b58a711e74ecff90',
        64692,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '47903071b69fab5ce58def6663aa95554b5c94fbb6a6ae7907def0a99d0523b8',
        64620,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cef929ad43d71e9e9b11eb725972ea6c207a599d108cdbb81746ed0c6c3b56b9',
        64748,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '31dae0e7024e52980c0fa0bc3428fcdf54703f8fe5798e103defa90255de6d91',
        64112,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Tourney',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tourney font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tourney
  static TextTheme tourneyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.tourney(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.tourney(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.tourney(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.tourney(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.tourney(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.tourney(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.tourney(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.tourney(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.tourney(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.tourney(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.tourney(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.tourney(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.tourney(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.tourney(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.tourney(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Trade Winds font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Trade+Winds
  static TextStyle tradeWinds({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '252a872a37c49baa2b7f08491686adcb3d8ffa241e45e9346bb526a69672fccf',
        83508,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TradeWinds',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Trade Winds font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Trade+Winds
  static TextTheme tradeWindsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.tradeWinds(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.tradeWinds(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.tradeWinds(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.tradeWinds(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.tradeWinds(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.tradeWinds(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.tradeWinds(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.tradeWinds(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.tradeWinds(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.tradeWinds(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.tradeWinds(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.tradeWinds(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.tradeWinds(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.tradeWinds(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.tradeWinds(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Train One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Train+One
  static TextStyle trainOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '02805e668ac3b32000486d0fb0c5e15a0830eee2a5693ec8cd16a7260f5eac4f',
        1945180,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TrainOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Train One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Train+One
  static TextTheme trainOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.trainOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.trainOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.trainOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.trainOne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.trainOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.trainOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.trainOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.trainOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.trainOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.trainOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.trainOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.trainOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.trainOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.trainOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.trainOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Trirong font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Trirong
  static TextStyle trirong({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b70c497193f211aeaa449c0f8e88b91389ac33dc5c30d61d961426e2333ccfd6',
        114784,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ef4d3745bea259cb738a06d439e2cbb7b44138516dc07470b2731c18b93c26bd',
        129296,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5fd71235d4d5cbfaaf9769081f251787193b1f6fcf7cf9a460f82b66eb65bae3',
        114832,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '75424f3630a8bbd6276c6868e3de00e80d9d0074c5fe592f7229f8c9ed61b2cb',
        130660,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '03b8619acb82ad072a0dd64921d3992a2b6be44d1825c06b2c572cf70567b83b',
        115836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b635783e3b733d7928b473e369278d4eede7ebc7e0dcf66a33c1a8878d54276a',
        130640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ec0188813e5eb57d4ddfd0fb0f7308a0d2d6ec78cd28129384cf95a378ebd6b9',
        116096,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3ab8f99425589bbb96043d4dccbf0cf2f6f6f8545a4bea4525e192148fe0331f',
        132696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ddb7f49d41e1e912b0fd25de00887f7fdd91d478fd6f770c4b6bfaca0d36a4fa',
        116388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '37a646c814469f85e077ea3c0b97a81f13d4257350c3bf9173583dce61413703',
        129380,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e8c07945b6b3a893482cb80fb7af2692708571ee011b2e89c77192181ca110e6',
        116124,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8c4404912d4ba11cc99dd7194c2388c0cba32a87e36cfec97b626a827bbcee67',
        129528,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '906a2f9bf7f58a4d796d11d69b5665021748b14755bc6fa5139da5125abb6a6b',
        116276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd1bceb1de3d844afa043c58bb97779582398eee6e8a88714ece49a2eb9a69135',
        133164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9d76a0f4f823729fc9abc94656338cb285cb8d1f5532f6a0ef867ac78a6fbcfe',
        116140,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0f350248e73418bc4ab4705611a3b5cb25415485c42d422ab41609a63172affe',
        132628,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '50937be8e1637589ed595eaa698f43a1191201adfd8e2707c2ec34214e32d54c',
        116124,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '521b80e200a756bae2db43e394c8c394872b995c7a422050999a79fb309d09b9',
        132888,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Trirong',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Trirong font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Trirong
  static TextTheme trirongTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.trirong(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.trirong(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.trirong(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.trirong(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.trirong(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.trirong(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.trirong(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.trirong(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.trirong(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.trirong(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.trirong(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.trirong(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.trirong(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.trirong(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.trirong(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Trispace font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Trispace
  static TextStyle trispace({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '882cfe76eedeb3a81d58595e430a26a176c7f75be826b41c78d6fcccfd69e815',
        59608,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '45749eb562b5c001b78b92e2b6633a8c114c1d51a51f44a2e906c62842a284c4',
        59764,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3745a311ce4a0e34046a84e5aff0666f84eaa1a323655ef5d62d9c2ea77d25c4',
        59764,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '368fb4e90257422b15835622d87398f037221575b7701255a9c04c85a36ae05a',
        59728,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '678cf96bda4b38db1c9909070d1e7e0d74f0357917d707d5c7497374bf4b5424',
        59808,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ef3c3a7bcc47544d6af05719c955a534a8c761fbec89a28129e0666c0ff38d79',
        59992,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c9e2943c697783382293c806cd3188530dc43787a80f13dd85f2ef15c8771171',
        60084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '02813fad86496a0371a95d4f334d86e4593f5af31de13b12dc07a82774ff6ea7',
        60344,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Trispace',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Trispace font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Trispace
  static TextTheme trispaceTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.trispace(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.trispace(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.trispace(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.trispace(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.trispace(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.trispace(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.trispace(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.trispace(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.trispace(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.trispace(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.trispace(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.trispace(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.trispace(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.trispace(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.trispace(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Trocchi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Trocchi
  static TextStyle trocchi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5c85c761f448064c4c6d75277f0386ec20c593b42ffa8ef471c85009b1f4fadb',
        41408,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Trocchi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Trocchi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Trocchi
  static TextTheme trocchiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.trocchi(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.trocchi(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.trocchi(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.trocchi(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.trocchi(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.trocchi(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.trocchi(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.trocchi(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.trocchi(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.trocchi(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.trocchi(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.trocchi(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.trocchi(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.trocchi(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.trocchi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Trochut font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Trochut
  static TextStyle trochut({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '994b31ddcc5e04b33ab1e9f2a0f91b23eed88d22e33f80adc26c299ad3195818',
        23156,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7077e81d46c1ee8b4aad564aa9bfb3c7342de82a9f0fd51fe4cb23cbfa240991',
        25740,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '958b749469e1628226ca18f165313831ee9f96bdee4f5410cf61bfa73cef5b83',
        23104,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Trochut',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Trochut font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Trochut
  static TextTheme trochutTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.trochut(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.trochut(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.trochut(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.trochut(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.trochut(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.trochut(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.trochut(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.trochut(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.trochut(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.trochut(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.trochut(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.trochut(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.trochut(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.trochut(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.trochut(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Truculenta font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Truculenta
  static TextStyle truculenta({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e3e8c98a055dc1f9fbec6d712b405c59af41a28bd7dc68f707d418080dc86d6b',
        126276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5ab4a4eb2918fc064f40dd33ad31c0ffb0bb5962a401740122fef4c1c2b02b1d',
        126508,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b03b5ce089e7c9d9944d1f8b53cf7d507de00a64ced3c05513669f600022516d',
        126520,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e11c1a88d2a596b3c589437b0be73bb1c35fa9542c7ffa596b96f358c368037a',
        126000,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7168d884a00b585afc65b705c6ad80ab7684b91d7573376df8e4c79c70bd631c',
        126720,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2a83600123b802e6cae5a9bfd2ee3af346ec2ed7fca3713e0da5e1643ed53199',
        130444,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a84bd388b6f35bcf4ee75f2af151d8c3a2b26eb7873bb64f34c65ad92724aaf8',
        130428,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '920f17b546fbf0a49d0593481bfab329a4f7fd55be0516afc0c6ec379e227844',
        130596,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '82fd9964fb2ecaf5aa2c076bb46a100546a29f21bcedd469aeb58903bc91292c',
        130556,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Truculenta',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Truculenta font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Truculenta
  static TextTheme truculentaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.truculenta(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.truculenta(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.truculenta(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.truculenta(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.truculenta(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.truculenta(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.truculenta(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.truculenta(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.truculenta(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.truculenta(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.truculenta(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.truculenta(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.truculenta(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.truculenta(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.truculenta(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Trykker font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Trykker
  static TextStyle trykker({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ca7a70bd53438d7f42a2d42c02d3f5e43ca3cb69aef552de5383d678537109f6',
        35444,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Trykker',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Trykker font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Trykker
  static TextTheme trykkerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.trykker(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.trykker(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.trykker(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.trykker(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.trykker(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.trykker(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.trykker(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.trykker(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.trykker(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.trykker(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.trykker(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.trykker(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.trykker(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.trykker(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.trykker(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tulpen One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tulpen+One
  static TextStyle tulpenOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f2ff4ce783b928b53d9f2a420d3fa0c3283190ff1c3d675e6f7ea40a25f7b8d7',
        33392,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TulpenOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tulpen One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tulpen+One
  static TextTheme tulpenOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.tulpenOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.tulpenOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.tulpenOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.tulpenOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.tulpenOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.tulpenOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.tulpenOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.tulpenOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.tulpenOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.tulpenOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.tulpenOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.tulpenOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.tulpenOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.tulpenOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.tulpenOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Turret Road font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Turret+Road
  static TextStyle turretRoad({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5ed9c264a975efe9997c3ffc7cbd67d9fffcc8978564cfbf1ef95d4d67e198f3',
        31752,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd8b708bf755f50880e49f302e7c36489b433f2f2c1987084c3802bcd09aed291',
        31504,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4f41f2dd77dc975face1d57da2cb318e241f76e3d33a5c78fef8a86e3dbd3208',
        31648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a0e98a692fcfb687021aa315ae66516f1a7ad0c23574e3c2d5fe9352edaa3662',
        31556,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '93826ba43402ca21b703487e42f0fe1efd1833586ee5546d5197e8d99103a521',
        30868,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c3ab0504a9bc5f3f44854ab7584d3cab77bd77bf472ffab8ddc52f16348c2a9e',
        31516,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TurretRoad',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Turret Road font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Turret+Road
  static TextTheme turretRoadTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.turretRoad(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.turretRoad(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.turretRoad(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.turretRoad(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.turretRoad(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.turretRoad(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.turretRoad(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.turretRoad(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.turretRoad(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.turretRoad(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.turretRoad(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.turretRoad(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.turretRoad(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.turretRoad(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.turretRoad(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Twinkle Star font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Twinkle+Star
  static TextStyle twinkleStar({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8381f0773503cd88de31d43619c618bbc44a45b5fd1032a7c6db1ba0987c17c3',
        120584,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TwinkleStar',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Twinkle Star font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Twinkle+Star
  static TextTheme twinkleStarTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.twinkleStar(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.twinkleStar(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.twinkleStar(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.twinkleStar(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.twinkleStar(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.twinkleStar(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.twinkleStar(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.twinkleStar(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.twinkleStar(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.twinkleStar(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.twinkleStar(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.twinkleStar(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.twinkleStar(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.twinkleStar(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.twinkleStar(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ubuntu font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ubuntu
  static TextStyle ubuntu({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a47c8ef66f4571dfde5f8bae62263d581a3cb43b414574219145cfe0bbc6087a',
        145972,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd060388a26470af6e9866b24636cea1a2353ad593308cd1f1fd62cd46dd6d458',
        162240,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0c6760f323ee57525ee9fec23bf7c14af2667970250d0931f33a7f195e7ac11b',
        154420,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '81e4ac216d2e6324a7690639b25e32d9a9b7cafa59bab76c03b6a59b10ca031b',
        158020,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ff4f5b6a457d5a8f672b09ca8968ec29dac69de860566d18d2cac669f1149470',
        153712,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2f405a0141171fb36ee2b9db0ec65a172ad42ecd904b5ff4dcee4d59ce9bdba6',
        159400,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9b2505ebc304cfd0570e37d34f5d067de5fbddd54ce0908f41f217b4d1a4996b',
        153588,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '88774d4ad39da2b059fa471515c1ad7eec8268be06a10fcedba3658c940dc9a6',
        169232,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Ubuntu',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ubuntu font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ubuntu
  static TextTheme ubuntuTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ubuntu(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.ubuntu(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ubuntu(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.ubuntu(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.ubuntu(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.ubuntu(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ubuntu(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ubuntu(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ubuntu(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ubuntu(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ubuntu(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ubuntu(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ubuntu(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ubuntu(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ubuntu(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ubuntu Condensed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ubuntu+Condensed
  static TextStyle ubuntuCondensed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '173b8f0c3210383802a1d8c4208a8b46e0b877cbb4753d50f445b9620050566a',
        164556,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'UbuntuCondensed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ubuntu Condensed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ubuntu+Condensed
  static TextTheme ubuntuCondensedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.ubuntuCondensed(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.ubuntuCondensed(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.ubuntuCondensed(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.ubuntuCondensed(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.ubuntuCondensed(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.ubuntuCondensed(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ubuntuCondensed(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.ubuntuCondensed(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ubuntuCondensed(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ubuntuCondensed(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ubuntuCondensed(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ubuntuCondensed(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ubuntuCondensed(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.ubuntuCondensed(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ubuntuCondensed(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ubuntu Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ubuntu+Mono
  static TextStyle ubuntuMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ef8cd8ab550b2ac95d8a6afa037afeb9ead1630ed8e135a374d171f9d4e03698',
        97980,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '01f30a2e1e6f2b3854b3319ce6d706e1160186649cce8aa089e865db82468c73',
        102780,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1d75371c8840ea6ea45ff541a2545de7b45bd90c280a0febb4adc15858e9406c',
        96860,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '03abb6786289973fffb7dfc450dc1f4e337cbce645eeaca89f5dd518ca1e0c1e',
        102128,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'UbuntuMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ubuntu Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ubuntu+Mono
  static TextTheme ubuntuMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ubuntuMono(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.ubuntuMono(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ubuntuMono(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.ubuntuMono(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.ubuntuMono(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.ubuntuMono(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ubuntuMono(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ubuntuMono(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ubuntuMono(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ubuntuMono(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ubuntuMono(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ubuntuMono(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ubuntuMono(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ubuntuMono(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ubuntuMono(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Uchen font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Uchen
  static TextStyle uchen({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cc26e05fc952d41b442ad00b78f88d5ad00335aa1d1ecf7a849ea618c6b92269',
        800808,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Uchen',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Uchen font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Uchen
  static TextTheme uchenTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.uchen(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.uchen(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.uchen(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.uchen(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.uchen(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.uchen(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.uchen(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.uchen(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.uchen(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.uchen(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.uchen(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.uchen(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.uchen(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.uchen(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.uchen(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ultra font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ultra
  static TextStyle ultra({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5ab1d6dcad80a60014e7fcbd71e90d4d52cb1cc0a0d4dd4ab9802bd8c55efb0d',
        50316,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Ultra',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ultra font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ultra
  static TextTheme ultraTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ultra(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.ultra(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ultra(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.ultra(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.ultra(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.ultra(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ultra(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ultra(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ultra(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ultra(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ultra(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ultra(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ultra(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ultra(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ultra(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Unbounded font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Unbounded
  static TextStyle unbounded({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4614e983311b7110ca80f8986e0ab4c17ada0e36de2ba630e8b16024821e3ad7',
        342020,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ab43d06cc409d7311d68e475bef2ee80c34863cd6d02ed17d67f8128c524e353',
        344636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3b7ac4d609bf9a247e57b6a739b5c9086c4bc390267be9be379a999359144473',
        343580,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8008be4a3b38a8fe449b1fff36360a8db2fffe5f35e8b65ccd010d7d03ada767',
        347324,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '40a6b67885008b4b512fa5f0ad310f707b6bf3196b7bda1a04d459c66d5cd82e',
        348084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6ace2d8e99cb69f55bfe89ad06fc72389ff796f51abd2806b316694d63083ef7',
        349224,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '168528c3393339e692150a07842c3760668e99c52aa1cad1f02b54d64297259a',
        399752,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'acadebb563a84b50bb8f7293b2b9629f7f476de35daa0ba0891f29e21ef5a95f',
        395768,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Unbounded',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Unbounded font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Unbounded
  static TextTheme unboundedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.unbounded(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.unbounded(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.unbounded(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.unbounded(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.unbounded(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.unbounded(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.unbounded(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.unbounded(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.unbounded(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.unbounded(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.unbounded(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.unbounded(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.unbounded(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.unbounded(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.unbounded(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Uncial Antiqua font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Uncial+Antiqua
  static TextStyle uncialAntiqua({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '41728ed55d0e54aec51750112ed99f922b217d7dfe8d6909dc0830913e43e5ef',
        60616,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'UncialAntiqua',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Uncial Antiqua font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Uncial+Antiqua
  static TextTheme uncialAntiquaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.uncialAntiqua(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.uncialAntiqua(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.uncialAntiqua(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.uncialAntiqua(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.uncialAntiqua(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.uncialAntiqua(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.uncialAntiqua(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.uncialAntiqua(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.uncialAntiqua(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.uncialAntiqua(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.uncialAntiqua(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.uncialAntiqua(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.uncialAntiqua(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.uncialAntiqua(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.uncialAntiqua(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Underdog font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Underdog
  static TextStyle underdog({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a7abc36e556f51243d974e19fe54e10f906e8d222f060dc1678e58264a2a4498',
        43728,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Underdog',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Underdog font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Underdog
  static TextTheme underdogTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.underdog(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.underdog(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.underdog(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.underdog(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.underdog(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.underdog(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.underdog(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.underdog(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.underdog(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.underdog(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.underdog(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.underdog(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.underdog(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.underdog(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.underdog(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Unica One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Unica+One
  static TextStyle unicaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a2db78e9c8b06c54b0243a447e8e99f93f738470670d2a85377db7cfa0b5c73b',
        49836,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'UnicaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Unica One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Unica+One
  static TextTheme unicaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.unicaOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.unicaOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.unicaOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.unicaOne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.unicaOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.unicaOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.unicaOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.unicaOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.unicaOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.unicaOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.unicaOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.unicaOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.unicaOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.unicaOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.unicaOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the UnifrakturCook font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/UnifrakturCook
  static TextStyle unifrakturCook({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd8e074d3f3a10741eb512a044660449d7d05d7953273b453cc7db573c17cb297',
        35620,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'UnifrakturCook',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the UnifrakturCook font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/UnifrakturCook
  static TextTheme unifrakturCookTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.unifrakturCook(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.unifrakturCook(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.unifrakturCook(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.unifrakturCook(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.unifrakturCook(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.unifrakturCook(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.unifrakturCook(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.unifrakturCook(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.unifrakturCook(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.unifrakturCook(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.unifrakturCook(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.unifrakturCook(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.unifrakturCook(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.unifrakturCook(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.unifrakturCook(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the UnifrakturMaguntia font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/UnifrakturMaguntia
  static TextStyle unifrakturMaguntia({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'da0d18b09971ee17c4013fcde8e378ed92a502de1b520b291cf55390e5926ecf',
        56652,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'UnifrakturMaguntia',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the UnifrakturMaguntia font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/UnifrakturMaguntia
  static TextTheme unifrakturMaguntiaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.unifrakturMaguntia(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.unifrakturMaguntia(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.unifrakturMaguntia(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.unifrakturMaguntia(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.unifrakturMaguntia(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.unifrakturMaguntia(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.unifrakturMaguntia(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.unifrakturMaguntia(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.unifrakturMaguntia(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.unifrakturMaguntia(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.unifrakturMaguntia(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.unifrakturMaguntia(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.unifrakturMaguntia(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.unifrakturMaguntia(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.unifrakturMaguntia(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Unkempt font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Unkempt
  static TextStyle unkempt({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3c7ed0bc3a72d6a3873308b20efefecacc7b296a9d43e501e82f3f014d0a2105',
        190344,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e485762c250d7cc9ff4c15f344be45569c435f697fe7f41a57763d6e83cc3935',
        188700,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Unkempt',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Unkempt font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Unkempt
  static TextTheme unkemptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.unkempt(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.unkempt(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.unkempt(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.unkempt(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.unkempt(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.unkempt(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.unkempt(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.unkempt(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.unkempt(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.unkempt(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.unkempt(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.unkempt(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.unkempt(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.unkempt(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.unkempt(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Unlock font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Unlock
  static TextStyle unlock({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b2c42bd7b30873ac128a6a9aad39c535781c15e6541985c8a4085406eb366537',
        34852,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Unlock',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Unlock font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Unlock
  static TextTheme unlockTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.unlock(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.unlock(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.unlock(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.unlock(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.unlock(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.unlock(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.unlock(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.unlock(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.unlock(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.unlock(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.unlock(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.unlock(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.unlock(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.unlock(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.unlock(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Unna font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Unna
  static TextStyle unna({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ef1faa488673b825c6be9390a0252787afb44f0d693765e773313163fa9f0afe',
        37964,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9c21cd08574d376a52a04407644e6f1e77fb1a252d4b92779e775a7fb81d1a49',
        43884,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2f463178f6e0320734be202b93e23a829e52c9aadda63899c51adff9583adb16',
        38572,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c4dd9b939a132a083272c72d6691f6977d836e18f23d1ab2cd661381cc3e7faf',
        44840,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Unna',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Unna font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Unna
  static TextTheme unnaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.unna(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.unna(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.unna(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.unna(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.unna(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.unna(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.unna(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.unna(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.unna(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.unna(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.unna(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.unna(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.unna(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.unna(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.unna(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Updock font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Updock
  static TextStyle updock({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3d2ea4e019d7fad0153e73a20891f0f3eeb94fc24e2d1294238c0670159c81cd',
        75336,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Updock',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Updock font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Updock
  static TextTheme updockTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.updock(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.updock(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.updock(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.updock(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.updock(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.updock(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.updock(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.updock(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.updock(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.updock(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.updock(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.updock(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.updock(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.updock(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.updock(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Urbanist font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Urbanist
  static TextStyle urbanist({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7ccb27b1e48bec9cc96e010ff3dc49563a630f5e0b9700ba8d259afa2d67810a',
        40912,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bb490c6d47b78fb609e20c3776b80e944b1891bb2bcf91a29d09b2049245e9a1',
        41136,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '07c4958279c71bce17c7edf7729c10f287732103c5aef6f144ded71342a364c4',
        41104,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd601305cb24b44701742e5acace20662ff08d7eb304d4ca7fa4593e2739ef02e',
        41036,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8cbd58acc622a6a9d12ca7faae7614106fc0bf00a85dc3aeb8f8e71c6f6a77aa',
        41092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c319914eb7a2f989f368f7863e7e54b20a375e384fa42b38587430d4cc2cefd4',
        41072,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fdb61ae6c93fc6832494bbc9d221668cb2b6ed13acd5b417ae2e2aea8caecb73',
        40932,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '23eea7bd5577051e6ceb13746c9ab8c8a8eea1e0a1b6011ce4a8728fca12e7b8',
        41220,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2c409f6b7f2eaf9920efeab4fbadbf11aa2230d1f6b51fb3fc731c23af2a2e83',
        41088,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f80ede6ee8db2e424f02aea8c8d9dbb7e119dbfc2c50659fd9e5f1c0f0ccc72c',
        41880,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a81bbbc4513e8c11e7da9b2e24a2cd69295f42a76f84e67588e52436f0d0e77e',
        42144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '31f41760f9e7e3c03d3881fad2c4a58fd253a6990b8b056280038863c442c367',
        42072,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '18332ab7dd48e992dff70738d3a751b5fc13e1eb8b502105102d406828d28e4e',
        41996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '785502a3a33b26a51420b2265d1bd3109413f0f43f368443287697128c99c185',
        42100,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '14b2f34491271642644f2db1b75b02c04353ce3b3313123e74af47c43fcecfe6',
        42108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd6be3b4e6d8fba80e233667d8b6c37e4723962b41d1ec13dbd160fc40d852ce1',
        41888,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6fb7ddf11c985d579bae9ead1c60304f687691d36f805a3db24c5a7963953e2c',
        42212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ed99a987ac54e910c9c488aee12e0a082f6aee946f4df288632203522c227d29',
        42068,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Urbanist',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Urbanist font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Urbanist
  static TextTheme urbanistTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.urbanist(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.urbanist(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.urbanist(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.urbanist(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.urbanist(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.urbanist(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.urbanist(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.urbanist(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.urbanist(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.urbanist(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.urbanist(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.urbanist(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.urbanist(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.urbanist(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.urbanist(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the VT323 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/VT323
  static TextStyle vt323({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '351bb21ecaae045391ee603df58d4f2cf9a3d586c5fd3743fee2257bd3223ae4',
        102756,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'VT323',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the VT323 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/VT323
  static TextTheme vt323TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.vt323(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.vt323(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.vt323(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.vt323(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.vt323(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.vt323(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.vt323(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.vt323(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.vt323(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.vt323(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.vt323(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.vt323(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.vt323(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.vt323(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.vt323(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Vampiro One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Vampiro+One
  static TextStyle vampiroOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6f0a67bf6e55ce905c19acfd170fe2ad4fd8dde861a429dc838b8f91eaf28255',
        20340,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'VampiroOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Vampiro One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Vampiro+One
  static TextTheme vampiroOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.vampiroOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.vampiroOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.vampiroOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.vampiroOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.vampiroOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.vampiroOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.vampiroOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.vampiroOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.vampiroOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.vampiroOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.vampiroOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.vampiroOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.vampiroOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.vampiroOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.vampiroOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Varela font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Varela
  static TextStyle varela({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b8f3a3817461c73b138cc5e749a7f802c6281c5f3ecbbb40550548db3f615db0',
        59496,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Varela',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Varela font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Varela
  static TextTheme varelaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.varela(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.varela(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.varela(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.varela(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.varela(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.varela(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.varela(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.varela(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.varela(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.varela(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.varela(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.varela(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.varela(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.varela(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.varela(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Varela Round font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Varela+Round
  static TextStyle varelaRound({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '152c718649787d4b4b78a4b65dcc88f1e58b55df459680bd0d5f5ced2549d127',
        97980,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'VarelaRound',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Varela Round font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Varela+Round
  static TextTheme varelaRoundTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.varelaRound(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.varelaRound(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.varelaRound(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.varelaRound(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.varelaRound(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.varelaRound(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.varelaRound(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.varelaRound(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.varelaRound(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.varelaRound(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.varelaRound(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.varelaRound(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.varelaRound(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.varelaRound(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.varelaRound(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Varta font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Varta
  static TextStyle varta({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'be9bec5184ee313e88b98c32b21aadaa3de69ad634fc1f3430fe08cdb93b12bc',
        65188,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '067659f9b3f9bcfd2a8e5620904c702c8d865bdf9e34961ea9a7df1c28b9dfc4',
        65080,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6baeba27463e519c9c8110eddadf5b72ba355268d5847efd64b390738f38fdaf',
        65180,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd745e94b56b588e648ace88a9c0f19d94b159ac5f43a1efe488c6c762e8ea3e2',
        65156,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c7b4ab01cce266358bd36c21d350b566b84d03bbf44d7d4057911f2a6c1b0cb8',
        64956,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Varta',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Varta font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Varta
  static TextTheme vartaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.varta(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.varta(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.varta(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.varta(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.varta(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.varta(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.varta(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.varta(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.varta(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.varta(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.varta(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.varta(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.varta(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.varta(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.varta(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Vast Shadow font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Vast+Shadow
  static TextStyle vastShadow({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a36d9acf19123a5f56ab054197d42e3df0bec989971fd10198658e574cd19270',
        58360,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'VastShadow',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Vast Shadow font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Vast+Shadow
  static TextTheme vastShadowTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.vastShadow(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.vastShadow(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.vastShadow(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.vastShadow(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.vastShadow(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.vastShadow(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.vastShadow(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.vastShadow(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.vastShadow(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.vastShadow(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.vastShadow(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.vastShadow(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.vastShadow(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.vastShadow(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.vastShadow(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Vazirmatn font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Vazirmatn
  static TextStyle vazirmatn({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e99a99fb1ad45228c4b8c76764c027c40247e68773a1650ecc070f247aadc87b',
        104372,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a0a5606b7fd67bb5093f16f3dda721776f4f07799d2f614e6d34a5caa4e5bac9',
        104680,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3fbe20bef5c73fb42837eb7e1fe1be3a20ab02d0a4da8e56f1265c8caf344e83',
        104636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '110713c7af1906a70df2bd754c9520f5abe4a06b217bebbcd0861dd0cf0cc673',
        104616,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ffebd8b3aebd10cd3cedf5ef19937e2b38f6b2aaff92803ecc67a27e458bc4af',
        104700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'efe03b3317944d3d9befa4e7b6cb1ae5eb78d33d6b9fc4d2d64f43ca42d60159',
        104844,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b7708b496794e5d1ab76070d56d5b2ea2a621e20c411343e92444b5d1a5e0af5',
        105204,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1bf18c1f654fd918ce05387fb81c173d0f6c72211daf3760400d2f4c16c7c628',
        105380,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1b8e0e79a26522a4195b609a578b025ba127a940cabf89c19f9765bad612c7b0',
        105400,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Vazirmatn',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Vazirmatn font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Vazirmatn
  static TextTheme vazirmatnTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.vazirmatn(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.vazirmatn(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.vazirmatn(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.vazirmatn(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.vazirmatn(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.vazirmatn(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.vazirmatn(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.vazirmatn(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.vazirmatn(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.vazirmatn(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.vazirmatn(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.vazirmatn(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.vazirmatn(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.vazirmatn(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.vazirmatn(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Vesper Libre font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Vesper+Libre
  static TextStyle vesperLibre({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'badad7ef59ce3a55517b1114139e20cd3e2a38b6c9b5cd97fd84b773f7dd6303',
        161640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aff5eb26af761eaaac3ee56b4f45e3925af49e61ecb55397b3903c1af9e52ba0',
        163912,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '02576e8c7ea8eb1f3829849fec4cfb69bdd4ffeac96ec752ebe87f07c9d84f3f',
        163772,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bdb316fceb26d01a0c19ef2f47270cdca854e2ead62f921c42dc703d6c3446e1',
        161856,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'VesperLibre',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Vesper Libre font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Vesper+Libre
  static TextTheme vesperLibreTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.vesperLibre(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.vesperLibre(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.vesperLibre(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.vesperLibre(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.vesperLibre(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.vesperLibre(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.vesperLibre(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.vesperLibre(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.vesperLibre(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.vesperLibre(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.vesperLibre(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.vesperLibre(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.vesperLibre(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.vesperLibre(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.vesperLibre(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Viaoda Libre font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Viaoda+Libre
  static TextStyle viaodaLibre({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5cd9fa7366844c7fa0e7fcb7eb8a89ff520272aa66626cf52c12ddc6db53886a',
        104232,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ViaodaLibre',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Viaoda Libre font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Viaoda+Libre
  static TextTheme viaodaLibreTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.viaodaLibre(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.viaodaLibre(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.viaodaLibre(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.viaodaLibre(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.viaodaLibre(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.viaodaLibre(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.viaodaLibre(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.viaodaLibre(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.viaodaLibre(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.viaodaLibre(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.viaodaLibre(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.viaodaLibre(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.viaodaLibre(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.viaodaLibre(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.viaodaLibre(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Vibes font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Vibes
  static TextStyle vibes({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e33238f8c2e24ad46821776d2ccfea97ec4904fe3c41fdf3e51982a6ccc3461b',
        49952,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Vibes',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Vibes font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Vibes
  static TextTheme vibesTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.vibes(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.vibes(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.vibes(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.vibes(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.vibes(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.vibes(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.vibes(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.vibes(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.vibes(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.vibes(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.vibes(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.vibes(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.vibes(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.vibes(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.vibes(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Vibur font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Vibur
  static TextStyle vibur({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd4ea981f715f63b3720f08d1830f568e6fd79e3e2998c8faf5e7c1097a2913a0',
        60552,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Vibur',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Vibur font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Vibur
  static TextTheme viburTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.vibur(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.vibur(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.vibur(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.vibur(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.vibur(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.vibur(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.vibur(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.vibur(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.vibur(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.vibur(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.vibur(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.vibur(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.vibur(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.vibur(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.vibur(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Vidaloka font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Vidaloka
  static TextStyle vidaloka({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6c6592100a850080279f5e151be96330c0741aa288a811284d88673a3b9326da',
        37520,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Vidaloka',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Vidaloka font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Vidaloka
  static TextTheme vidalokaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.vidaloka(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.vidaloka(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.vidaloka(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.vidaloka(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.vidaloka(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.vidaloka(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.vidaloka(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.vidaloka(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.vidaloka(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.vidaloka(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.vidaloka(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.vidaloka(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.vidaloka(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.vidaloka(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.vidaloka(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Viga font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Viga
  static TextStyle viga({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '02c2468f6c3515d37a943cf86734653f4e5d7b51016379e7f15c4055e58dae81',
        25000,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Viga',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Viga font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Viga
  static TextTheme vigaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.viga(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.viga(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.viga(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.viga(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.viga(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.viga(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.viga(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.viga(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.viga(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.viga(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.viga(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.viga(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.viga(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.viga(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.viga(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Vina Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Vina+Sans
  static TextStyle vinaSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2353bd63f98289da30eb6cb7493598b39bdfe80211fb5ee8cff241216fdcbd95',
        42416,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'VinaSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Vina Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Vina+Sans
  static TextTheme vinaSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.vinaSans(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.vinaSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.vinaSans(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.vinaSans(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.vinaSans(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.vinaSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.vinaSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.vinaSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.vinaSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.vinaSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.vinaSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.vinaSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.vinaSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.vinaSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.vinaSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Voces font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Voces
  static TextStyle voces({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '05466ef678a5d745296fac575119a68a54cc3b0978dfe5714424b4ab0dfc9d0a',
        73856,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Voces',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Voces font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Voces
  static TextTheme vocesTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.voces(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.voces(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.voces(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.voces(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.voces(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.voces(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.voces(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.voces(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.voces(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.voces(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.voces(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.voces(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.voces(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.voces(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.voces(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Volkhov font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Volkhov
  static TextStyle volkhov({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '666c0e832ada07c0e3454cb2a4f98526aaf42725a7241de1d01085974babcb80',
        31508,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e6038e861c6b8ae994bd876508ee1e73e4c716b00fd60ba4f460dab15e8713d3',
        32420,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b092f086c2bf80a82c5c58383c690eed8ea94ccfa64aa84e8bb9ad6ba3b23d5d',
        31436,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3b872f6f2a82abd5239cb1f610aa6a8acddab65778c883c54a0bdd2175c2cf51',
        33948,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Volkhov',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Volkhov font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Volkhov
  static TextTheme volkhovTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.volkhov(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.volkhov(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.volkhov(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.volkhov(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.volkhov(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.volkhov(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.volkhov(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.volkhov(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.volkhov(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.volkhov(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.volkhov(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.volkhov(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.volkhov(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.volkhov(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.volkhov(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Vollkorn font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Vollkorn
  static TextStyle vollkorn({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2e01351a10abce7ebd02220693bd48419165fe6c1b745a867d7ec5855d1ea573',
        229048,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '11acb1d4a6b1bafbc915d3534f102e82946664cb177a7ed8249e30b2246328d0',
        230508,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '293bd61bf7d50593d1d4ede8c79ca5c5a97787990f7dffcefad63a56c244e4eb',
        230572,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a9f3360698cf73ed36e444f39897e66f2fed2d0394e848ebf94351df595bbc30',
        231260,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '35d3a1ed173ec4065b4d6a27e53307d8eec975ae50af99c69c0d8bcb9151004e',
        231992,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd497046a94e1e9ad6b71365d66a1c61bacdac88c4e3e26d297496f25e135c7d5',
        231660,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b68a775f129a5cc85cfd8bbbf579fb769984ab88b833c9c8c8d59ec8af56c2fb',
        226096,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6f7d64f91355fefe206199095d8aa93cf8c926e40f1eaa5ffcb73d031f3d6b63',
        226784,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7b8956b3d4e7a5bc2f4d9f67dad05db9ae10b01d817b453aab5311936184308e',
        226864,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e96240b16fc6687086cabbfe689502d35800cf766ad6eaac7c8923a0e281bc58',
        227652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e5135bf74bdb4ec314f311eeb09c451fe6011762cc06c7d2575948789a5b68ee',
        228216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '402dab6aa8a46b15fc535cddbf78c34d9d432450a2a7cfb8262963c1e1a2fa4a',
        227996,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Vollkorn',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Vollkorn font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Vollkorn
  static TextTheme vollkornTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.vollkorn(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.vollkorn(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.vollkorn(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.vollkorn(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.vollkorn(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.vollkorn(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.vollkorn(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.vollkorn(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.vollkorn(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.vollkorn(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.vollkorn(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.vollkorn(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.vollkorn(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.vollkorn(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.vollkorn(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Vollkorn SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Vollkorn+SC
  static TextStyle vollkornSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '59f17bf5d6c21eac82b4345c6ca2c8419809acba8791d22f0bfd8d633aed82d0',
        126312,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'caa72e033b48b14bd346bfc152c1a621ff0cf8d44154fa6c58abfded37d4a9ab',
        128396,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6ff980dbf53ef2403b6ac0ffa7eba229391a04234e09dba84dbc517d8928d131',
        128572,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '64f67b0220d47738705145a0cdc31267ad1322e3c1e258451c231b0a7187d909',
        127804,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'VollkornSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Vollkorn SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Vollkorn+SC
  static TextTheme vollkornScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.vollkornSc(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.vollkornSc(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.vollkornSc(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.vollkornSc(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.vollkornSc(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.vollkornSc(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.vollkornSc(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.vollkornSc(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.vollkornSc(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.vollkornSc(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.vollkornSc(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.vollkornSc(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.vollkornSc(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.vollkornSc(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.vollkornSc(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Voltaire font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Voltaire
  static TextStyle voltaire({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '13f3d355b65d2763edee28f1ce8ae0b51c76942915fc4631c77d5a827ed09e33',
        239228,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Voltaire',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Voltaire font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Voltaire
  static TextTheme voltaireTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.voltaire(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.voltaire(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.voltaire(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.voltaire(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.voltaire(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.voltaire(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.voltaire(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.voltaire(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.voltaire(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.voltaire(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.voltaire(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.voltaire(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.voltaire(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.voltaire(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.voltaire(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Vujahday Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Vujahday+Script
  static TextStyle vujahdayScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e8020b0c3c02968f56889aaa7f27b3681c287d63e4ec28e39db7fe9fa2ab4165',
        151768,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'VujahdayScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Vujahday Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Vujahday+Script
  static TextTheme vujahdayScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.vujahdayScript(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.vujahdayScript(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.vujahdayScript(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.vujahdayScript(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.vujahdayScript(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.vujahdayScript(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.vujahdayScript(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.vujahdayScript(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.vujahdayScript(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.vujahdayScript(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.vujahdayScript(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.vujahdayScript(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.vujahdayScript(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.vujahdayScript(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.vujahdayScript(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Waiting for the Sunrise font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Waiting+for+the+Sunrise
  static TextStyle waitingForTheSunrise({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1b55e2f4e1a827b9e9e774821db21cc9f209b710a6b9ff9cc1000a0b366b2c69',
        40908,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'WaitingfortheSunrise',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Waiting for the Sunrise font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Waiting+for+the+Sunrise
  static TextTheme waitingForTheSunriseTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.waitingForTheSunrise(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.waitingForTheSunrise(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.waitingForTheSunrise(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.waitingForTheSunrise(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.waitingForTheSunrise(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.waitingForTheSunrise(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.waitingForTheSunrise(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.waitingForTheSunrise(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.waitingForTheSunrise(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.waitingForTheSunrise(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.waitingForTheSunrise(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.waitingForTheSunrise(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.waitingForTheSunrise(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.waitingForTheSunrise(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.waitingForTheSunrise(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Wallpoet font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Wallpoet
  static TextStyle wallpoet({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c273a53871251d0f345ad21055de168569c600fb8faed4a9d023464dc1344c2a',
        20836,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Wallpoet',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Wallpoet font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Wallpoet
  static TextTheme wallpoetTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.wallpoet(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.wallpoet(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.wallpoet(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.wallpoet(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.wallpoet(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.wallpoet(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.wallpoet(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.wallpoet(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.wallpoet(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.wallpoet(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.wallpoet(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.wallpoet(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.wallpoet(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.wallpoet(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.wallpoet(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Walter Turncoat font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Walter+Turncoat
  static TextStyle walterTurncoat({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1bd0b09d83a5b3ffbab053f669e969f1f45c23f0dd1c60da06e6c9888e092a11',
        151768,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'WalterTurncoat',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Walter Turncoat font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Walter+Turncoat
  static TextTheme walterTurncoatTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.walterTurncoat(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.walterTurncoat(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.walterTurncoat(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.walterTurncoat(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.walterTurncoat(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.walterTurncoat(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.walterTurncoat(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.walterTurncoat(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.walterTurncoat(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.walterTurncoat(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.walterTurncoat(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.walterTurncoat(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.walterTurncoat(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.walterTurncoat(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.walterTurncoat(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Warnes font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Warnes
  static TextStyle warnes({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c1e2b0440a70a23a81be9d81f13b64884876d3fd72a6225e58480e49e0e79129',
        45216,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Warnes',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Warnes font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Warnes
  static TextTheme warnesTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.warnes(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.warnes(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.warnes(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.warnes(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.warnes(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.warnes(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.warnes(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.warnes(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.warnes(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.warnes(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.warnes(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.warnes(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.warnes(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.warnes(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.warnes(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Water Brush font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Water+Brush
  static TextStyle waterBrush({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0da0b02040b720e50769cbb4e610e763bcec90f21181aaf9657d1ae2148c5147',
        236932,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'WaterBrush',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Water Brush font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Water+Brush
  static TextTheme waterBrushTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.waterBrush(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.waterBrush(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.waterBrush(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.waterBrush(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.waterBrush(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.waterBrush(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.waterBrush(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.waterBrush(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.waterBrush(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.waterBrush(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.waterBrush(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.waterBrush(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.waterBrush(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.waterBrush(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.waterBrush(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Waterfall font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Waterfall
  static TextStyle waterfall({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aff2e43d6c50ed57d2b89367822fe150bab59be324079822d0dd6df64309723f',
        137892,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Waterfall',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Waterfall font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Waterfall
  static TextTheme waterfallTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.waterfall(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.waterfall(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.waterfall(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.waterfall(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.waterfall(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.waterfall(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.waterfall(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.waterfall(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.waterfall(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.waterfall(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.waterfall(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.waterfall(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.waterfall(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.waterfall(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.waterfall(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Wellfleet font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Wellfleet
  static TextStyle wellfleet({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3156a542183c4784e3f69698b81de5aa5d63eaa92c8a40b6920f75dde4bdb7b3',
        77544,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Wellfleet',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Wellfleet font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Wellfleet
  static TextTheme wellfleetTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.wellfleet(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.wellfleet(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.wellfleet(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.wellfleet(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.wellfleet(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.wellfleet(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.wellfleet(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.wellfleet(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.wellfleet(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.wellfleet(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.wellfleet(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.wellfleet(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.wellfleet(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.wellfleet(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.wellfleet(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Wendy One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Wendy+One
  static TextStyle wendyOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8060a04d16597d47480194de94a665dc025abbd8dbf8eb82280b474884d7259a',
        21064,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'WendyOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Wendy One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Wendy+One
  static TextTheme wendyOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.wendyOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.wendyOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.wendyOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.wendyOne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.wendyOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.wendyOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.wendyOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.wendyOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.wendyOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.wendyOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.wendyOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.wendyOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.wendyOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.wendyOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.wendyOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Whisper font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Whisper
  static TextStyle whisper({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2182bc0ae60c7846f3e7271e14d16421938477813137c0976a87889086926d2e',
        85700,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Whisper',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Whisper font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Whisper
  static TextTheme whisperTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.whisper(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.whisper(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.whisper(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.whisper(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.whisper(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.whisper(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.whisper(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.whisper(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.whisper(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.whisper(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.whisper(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.whisper(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.whisper(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.whisper(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.whisper(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the WindSong font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/WindSong
  static TextStyle windSong({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fdda975ccb09915cb2f76bdb7fdb3c360c84bda543041149cf77bc8130b0ad70',
        102256,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3b1b28c604ffda10da35548449eb24d78def6927efe58e279e9b8b835a9d1a74',
        109364,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'WindSong',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the WindSong font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/WindSong
  static TextTheme windSongTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.windSong(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.windSong(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.windSong(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.windSong(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.windSong(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.windSong(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.windSong(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.windSong(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.windSong(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.windSong(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.windSong(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.windSong(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.windSong(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.windSong(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.windSong(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Wire One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Wire+One
  static TextStyle wireOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '49796a0c0059ae2dbecf5e1683bf288a44e31340cb81d03f5e442251bd9c6c52',
        31772,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'WireOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Wire One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Wire+One
  static TextTheme wireOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.wireOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.wireOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.wireOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.wireOne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.wireOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.wireOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.wireOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.wireOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.wireOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.wireOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.wireOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.wireOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.wireOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.wireOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.wireOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Wix Madefor Display font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Wix+Madefor+Display
  static TextStyle wixMadeforDisplay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ae0667e4d0c56c5b84dc8a4b6cf27734a211fcb54fbd93e2b474a46eefec802a',
        83148,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9b218f9d0b785010b4ab07f42db790348664b567697ea2e174649d5f2067d4e3',
        83244,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '811f2880524aceca0f473cb4485cd06f3b173117464ebb01f7bdd6417fb56059',
        83260,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '29d8a8499173fd184eb19dbc2565cc255a3aaaf2e60551295d3c2804b1f22edf',
        83192,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f9cd42a0cc4c90291a6a1de9d733afc6bed712f04550f44c47fca4d556c56ebe',
        83288,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'WixMadeforDisplay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Wix Madefor Display font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Wix+Madefor+Display
  static TextTheme wixMadeforDisplayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.wixMadeforDisplay(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.wixMadeforDisplay(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.wixMadeforDisplay(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.wixMadeforDisplay(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.wixMadeforDisplay(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.wixMadeforDisplay(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.wixMadeforDisplay(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.wixMadeforDisplay(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.wixMadeforDisplay(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.wixMadeforDisplay(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.wixMadeforDisplay(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.wixMadeforDisplay(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.wixMadeforDisplay(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.wixMadeforDisplay(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.wixMadeforDisplay(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Wix Madefor Text font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Wix+Madefor+Text
  static TextStyle wixMadeforText({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '39e06b688bd1ebcac84cd3759a704dc4f07cbfc9766b9fe51b017fb25f65cf4e',
        79164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0cd22715b493d44eba74e0e5956b0b32747cf8247ddd15278827655553ac777f',
        44864,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b9b7460af2a02f518c7186931e27cae83074ddb867fdbba241df65c23f4c806f',
        79880,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '44ee304e328bf67d0bb50e1ac9e5f76b54d113a28158cf7f369908aeb364bc62',
        46480,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '12f02f1a25eaaaa71cd86c17299589316bf2deed43fba246e7c9a192d4d7e749',
        79956,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '26f1a055852f876a4e13795de29bace472d47ba80a8d5236c611680c90486ca7',
        46496,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '87735b24f074c316e7cfea8a1ec4cfc5bbdf51124b63a78ee0ebbe69d8080552',
        79900,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a463a59c035d40adbeca2593f8e4a1d0351422ad3275f6cc9955416fc8a85354',
        46008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e810e1c3c5cd47087a9f12a8a574aa553cceb7f560e6b2d7d80c98068a867aec',
        79804,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8d40b445ab580c15ec73c82a83cc470ffb3e92c7f2fe546106f2f19769b1dc11',
        45936,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'WixMadeforText',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Wix Madefor Text font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Wix+Madefor+Text
  static TextTheme wixMadeforTextTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.wixMadeforText(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.wixMadeforText(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.wixMadeforText(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.wixMadeforText(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.wixMadeforText(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.wixMadeforText(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.wixMadeforText(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.wixMadeforText(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.wixMadeforText(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.wixMadeforText(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.wixMadeforText(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.wixMadeforText(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.wixMadeforText(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.wixMadeforText(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.wixMadeforText(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Work Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Work+Sans
  static TextStyle workSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2a81cf4612e1205a70dac916c617ff8c43182f6cac021685038f896e88975c72',
        116724,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8efe3d2a544c4fab1aa1c2aafa0915509de6d2ba2932e87d585618ffda15972d',
        117084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9b2a8063da063e55ea2dd6e28fabc97a964d58f55053cb4647f3cb17308955df',
        117072,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '60f88dc2cce3ddf583afe9022585e7c6df3b11f992537a49f3052f0d978f6174',
        116940,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fe1d427cdb46d1777afc6b35a9565560d6add95a8e2fa536882e84cbef857c63',
        117220,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '912ca20e7c96a44e28e00add833fe861585447ef83ac84b09635c4986bc7d615',
        117272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0b8a69b6f7d4de8bf52d22c217a91fdd83a325888d1615a9107a40b645c1953c',
        117208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '942dcfe4da0a9d613dec0e85281b2095a81ee0e342cc0ca4e26ab718eb1a5a64',
        117280,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4e89bcdbfa62cf271d810a7d58a2949beef8bb901ca83d16ed849e22dd536eba',
        116908,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'de4e53e5c4292366667b2d362d0e00b6e3e250f7eb982d4a0220646da7f268a1',
        111332,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '24de90a8224a549319ee740a1a1f223555ed45b87402a1a3dc2d2e7819be8e3d',
        111576,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cc557d9332dcbda21103661462e6d59c6648b03f513e60b7215d836418210271',
        111512,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2a4d53725d76fc3408d62acb4174afbed74a14f73807a0a5ffd7a93808ec94e5',
        111208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '27167c4064c2e7652b6f83562b2c2c2e61d566dd1ebd7a41b8943c91e9d996ea',
        111728,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a274ce5f864b8b4c01118d4984515464db701976204c9a3002c632a8dedabc88',
        111736,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cb511f615f3d1d5cc44d05837920dae0ed6167d3a0f2921af054782af9058e36',
        111636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '02f27e4d1aa7c21dd9d2ee551a31d57494b5711376cab9a7e52b43a086dfa967',
        111724,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8ac10e180a0d236260a7459dc8be75c2bd9e0d8306dc621e4c6351bfdf3431a4',
        111576,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'WorkSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Work Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Work+Sans
  static TextTheme workSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.workSans(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.workSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.workSans(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.workSans(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.workSans(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.workSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.workSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.workSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.workSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.workSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.workSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.workSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.workSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.workSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.workSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Xanh Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Xanh+Mono
  static TextStyle xanhMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0325d32d45e93b20f30f53d8f184999ccfd62f97a0eb016689dbfb3a0d60d6e0',
        38648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '57ec286629a38ab8e434c175017c9222e08d6de91a464c8d8fb72434ca6b8bd4',
        41664,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'XanhMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Xanh Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Xanh+Mono
  static TextTheme xanhMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.xanhMono(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.xanhMono(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.xanhMono(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.xanhMono(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.xanhMono(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.xanhMono(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.xanhMono(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.xanhMono(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.xanhMono(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.xanhMono(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.xanhMono(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.xanhMono(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.xanhMono(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.xanhMono(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.xanhMono(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Yaldevi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yaldevi
  static TextStyle yaldevi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '01d784070789652eba80646aae811ab4e91be2285acc590b6e4e11389383407c',
        265716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ab427c9fad89f47afd6f17f1bad129750fbfbe5037c1f3a3dcab27ca9ca531ae',
        266340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '911a8d73d5596b0867f83aba4b4e0b8b41282c700583451a742644cda469d864',
        266552,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c03eadee56f99b14ef0207bd52b5eb43d59bc4ba61edc8e1bc8803569d3d6d64',
        266668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bf668a0ffb6a6ad07d20b65b94848d6495a27738c8c35edece2ec7bf8952d369',
        266816,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fafafaf3f6901d980a8820ae9c0915a2278a7a7d63b6028b0eff748800e8475f',
        266040,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Yaldevi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Yaldevi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yaldevi
  static TextTheme yaldeviTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.yaldevi(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.yaldevi(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.yaldevi(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.yaldevi(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.yaldevi(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.yaldevi(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.yaldevi(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.yaldevi(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.yaldevi(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.yaldevi(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.yaldevi(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.yaldevi(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.yaldevi(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.yaldevi(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.yaldevi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Yanone Kaffeesatz font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yanone+Kaffeesatz
  static TextStyle yanoneKaffeesatz({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8e6c46e9d17b3f72525d4cf2373c543bbbf229e1761f80cba6f09f3023d9152a',
        70824,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ec668a9d6260655a7821a0e406f6f79d1091c51f7e974208b885e31ddb457829',
        71232,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'edf6e1bc21d8f578c4384b3f7df2dd7fd74f5795f8f68379e37339fb843dfa5f',
        71248,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd8c68d4cb1fe344dae05b0faa2eccc3a28c3c0060c1463bb9226c565c189f24f',
        71272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ba3a1df8ede1da7ffa620ecf6962306322ff2c3b75e0aef5d718a0d6ac276b78',
        71196,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '740ed9214fcf6fabab24e7f9ba6e5b4d35358f217f23f7ccd8bbf6295151ac04',
        71072,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'YanoneKaffeesatz',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Yanone Kaffeesatz font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yanone+Kaffeesatz
  static TextTheme yanoneKaffeesatzTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.yanoneKaffeesatz(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.yanoneKaffeesatz(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.yanoneKaffeesatz(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.yanoneKaffeesatz(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.yanoneKaffeesatz(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.yanoneKaffeesatz(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.yanoneKaffeesatz(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.yanoneKaffeesatz(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.yanoneKaffeesatz(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.yanoneKaffeesatz(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.yanoneKaffeesatz(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.yanoneKaffeesatz(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.yanoneKaffeesatz(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.yanoneKaffeesatz(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.yanoneKaffeesatz(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Yantramanav font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yantramanav
  static TextStyle yantramanav({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '27f0433d3b522418f9609229aca4f4e53b189b4cb903d24313ba00ce3441545d',
        100516,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c9d41f0d9e6af06e8efa3883581a953330daee5026f1b758ef0cfe13cff01694',
        98840,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a9e6a510bb7e0cd8fc2cfcb00b32015297fe5ad3967828e5a4ee41b81ffe21a4',
        98748,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'be7c544af92d139f568f2143263dca5d9aaaa2aac4119955c4deb5bcf1b711d0',
        97680,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '05bc80fdd4a65e6b94ec8857159f79854477a5bee6abe5429fc65dcc8b1b9684',
        98144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8a71a599c8ffa62585af0aa0d2d7275b8f07123d6986547f8cdc1a258a2eab1b',
        97960,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Yantramanav',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Yantramanav font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yantramanav
  static TextTheme yantramanavTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.yantramanav(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.yantramanav(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.yantramanav(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.yantramanav(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.yantramanav(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.yantramanav(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.yantramanav(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.yantramanav(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.yantramanav(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.yantramanav(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.yantramanav(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.yantramanav(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.yantramanav(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.yantramanav(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.yantramanav(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Yatra One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yatra+One
  static TextStyle yatraOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1186b7bd1945106e35a4ce4e71402db39e66d631aa1ac349ea3d94f36443d7ae',
        195904,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'YatraOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Yatra One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yatra+One
  static TextTheme yatraOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.yatraOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.yatraOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.yatraOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.yatraOne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.yatraOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.yatraOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.yatraOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.yatraOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.yatraOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.yatraOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.yatraOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.yatraOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.yatraOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.yatraOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.yatraOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Yellowtail font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yellowtail
  static TextStyle yellowtail({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9b215ff924143953aab36ca98f8e4de07ec4da8df9cd16fc8188f8925b57ae35',
        60864,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Yellowtail',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Yellowtail font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yellowtail
  static TextTheme yellowtailTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.yellowtail(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.yellowtail(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.yellowtail(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.yellowtail(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.yellowtail(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.yellowtail(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.yellowtail(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.yellowtail(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.yellowtail(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.yellowtail(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.yellowtail(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.yellowtail(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.yellowtail(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.yellowtail(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.yellowtail(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Yeon Sung font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yeon+Sung
  static TextStyle yeonSung({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2df96f5b33472f315b4b95c979fbc86e16cf6cb3be06d844568b067525f83c3c',
        1698764,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'YeonSung',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Yeon Sung font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yeon+Sung
  static TextTheme yeonSungTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.yeonSung(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.yeonSung(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.yeonSung(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.yeonSung(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.yeonSung(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.yeonSung(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.yeonSung(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.yeonSung(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.yeonSung(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.yeonSung(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.yeonSung(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.yeonSung(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.yeonSung(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.yeonSung(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.yeonSung(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Yeseva One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yeseva+One
  static TextStyle yesevaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a129ac93b1da5e259167ee9a5bfc83662111f6731f81ea0efa727f6d56b48acb',
        70252,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'YesevaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Yeseva One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yeseva+One
  static TextTheme yesevaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.yesevaOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.yesevaOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.yesevaOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.yesevaOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.yesevaOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.yesevaOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.yesevaOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.yesevaOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.yesevaOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.yesevaOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.yesevaOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.yesevaOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.yesevaOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.yesevaOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.yesevaOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Yesteryear font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yesteryear
  static TextStyle yesteryear({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1e040479dec03b0fc812e56248398d3930c00787568583df2a616064a71be2f2',
        60608,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Yesteryear',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Yesteryear font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yesteryear
  static TextTheme yesteryearTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.yesteryear(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.yesteryear(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.yesteryear(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.yesteryear(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.yesteryear(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.yesteryear(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.yesteryear(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.yesteryear(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.yesteryear(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.yesteryear(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.yesteryear(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.yesteryear(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.yesteryear(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.yesteryear(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.yesteryear(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Yomogi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yomogi
  static TextStyle yomogi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9599d0d1b154655fd4884d9369cb9acc252fd6ba42fefcd53838194c3f5fadbd',
        4033948,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Yomogi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Yomogi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yomogi
  static TextTheme yomogiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.yomogi(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.yomogi(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.yomogi(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.yomogi(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.yomogi(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.yomogi(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.yomogi(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.yomogi(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.yomogi(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.yomogi(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.yomogi(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.yomogi(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.yomogi(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.yomogi(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.yomogi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Yrsa font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yrsa
  static TextStyle yrsa({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a38ee67425620355a3aebcaeb06b763249a78c34d2239bb3e98437025c620f5f',
        114724,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4093a43a011befc898beb6eb48b4543de39a5ee7a13bac0840246be2f2db2434',
        114980,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e351dc4b7449c4acfe6c0eeb242198682c38b66e54453bc17df1cc5f646eea55',
        115032,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '284884fe11d549aaa04dd224332a79aa9a3923f022620f59a84315888a1efa6d',
        115120,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '190934276fcb1e8782c619708b577a330d310a5d4a2759be92d9df6fbf82794c',
        114424,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6a82287a8181a39ac9d7a225c90c8c00ca733baeca1e4d96b9e9623d21a0ef97',
        148544,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'dd306532549a3e66009d1c94ab81a7a776328e8e20a6e86b0b8a628ddb87f279',
        148460,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '11e022d3ce90023e4e151faf00b8e4bbcaa691cd9639efaade983a72937cad33',
        148536,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cd90fd330610600c92ed43da5c35c3437c5a7272abf0d4c8d3d0a982c1b24bf4',
        148660,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '15ee1b646387e54475ae131d9fe26251e55bc64002d8efc49cf88c3806295c5f',
        147788,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Yrsa',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Yrsa font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yrsa
  static TextTheme yrsaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.yrsa(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.yrsa(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.yrsa(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.yrsa(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.yrsa(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.yrsa(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.yrsa(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.yrsa(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.yrsa(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.yrsa(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.yrsa(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.yrsa(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.yrsa(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.yrsa(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.yrsa(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ysabeau font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ysabeau
  static TextStyle ysabeau({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '46a9f5b6b3fdd4055f8039f4ef7f42afc679ec186228db3abd0e78756c92dd60',
        129156,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4596ffe7cfddc2e702ef6e94bbb57278085373a325d4ed6904f33a0173956535',
        129232,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '968e2c3fdd784a59f151029d5b5aee1ad330cb4215e8ba8ec9f38e2bc1b39239',
        129212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c4a1fbeb322910c08a55abec2b0dde5f49dd315b87de46c7cdaa2a81a0b76c90',
        129292,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd366684292f5a434cd81475539ea878bfd1a1500ad11940acc1dfc7a640daffd',
        129204,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0a7642818c00b64deba44fa9bc99ea50377d986d2eaefdf0b2a2e179dc666d57',
        129612,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cfbdcf170a2bcd5a3e749b3c719ccd17d158dbd2567c4c9aaa538a0e6d34193f',
        129304,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '77667702210af816615ccd77129e2a869011741f6a286a6655eb10d5b113b182',
        130216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7fdd25d4399340af1308331c8a93115e7d3b288a11530c1f719309e4114d099b',
        130968,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '17fc7c74c4aca82b5a9b2d2225130c5be4c5d76d55855dc5534fe8fa75189b88',
        137484,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3e6c0d74992da8cf2a19730b400c667ad707797e656a0611be88af941b96bbef',
        137736,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f3e54487d047d772869018d9206c32c1fcb832440b0a63cc0ec3e6747e906388',
        137556,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '93d564599fe8de27294b8afeca2edc4e0c0bcd5168792330b73551bf5a765fa7',
        137488,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '92dd8818cae4bb32ca8aa9843700f783e5f81fff338eb3b0ea6c540e78e2000a',
        137688,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6eba3f9290df92d303bfbee965de3550b7b36d5a1be7631ccfc97bde71febbcc',
        137884,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '96e3dce6c1d98225f10cd6084c2ddaa6fe22d80105ae5737bd69526c9b120be9',
        137636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c79097aab30f9af9910ed8068054e18e47281785a7523ac5f4e75fd4bc94d14a',
        138668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5e4716408e6061a9d3d9df14d743087f3d277ff38e1b788ed994159ab4f43cbb',
        138888,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Ysabeau',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ysabeau font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ysabeau
  static TextTheme ysabeauTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ysabeau(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.ysabeau(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ysabeau(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.ysabeau(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.ysabeau(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.ysabeau(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ysabeau(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ysabeau(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ysabeau(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ysabeau(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ysabeau(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ysabeau(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ysabeau(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ysabeau(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ysabeau(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Yuji Boku font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yuji+Boku
  static TextStyle yujiBoku({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8d03c76f62b49981fee9d4f9b3d186a70ac8613d232a75b7a334bd667ef8f49a',
        7847404,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'YujiBoku',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Yuji Boku font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yuji+Boku
  static TextTheme yujiBokuTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.yujiBoku(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.yujiBoku(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.yujiBoku(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.yujiBoku(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.yujiBoku(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.yujiBoku(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.yujiBoku(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.yujiBoku(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.yujiBoku(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.yujiBoku(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.yujiBoku(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.yujiBoku(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.yujiBoku(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.yujiBoku(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.yujiBoku(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Yuji Mai font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yuji+Mai
  static TextStyle yujiMai({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd6741e6df72abe0287210735f84bb297fb8704e9e44ae1bd53e9366f75215ce8',
        7830152,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'YujiMai',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Yuji Mai font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yuji+Mai
  static TextTheme yujiMaiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.yujiMai(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.yujiMai(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.yujiMai(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.yujiMai(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.yujiMai(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.yujiMai(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.yujiMai(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.yujiMai(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.yujiMai(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.yujiMai(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.yujiMai(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.yujiMai(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.yujiMai(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.yujiMai(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.yujiMai(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Yuji Syuku font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yuji+Syuku
  static TextStyle yujiSyuku({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0647d204ae1a4232cce1a635b3e9503bc9ad48ac3bcaa4114131e2514c49f7e8',
        7779080,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'YujiSyuku',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Yuji Syuku font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yuji+Syuku
  static TextTheme yujiSyukuTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.yujiSyuku(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.yujiSyuku(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.yujiSyuku(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.yujiSyuku(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.yujiSyuku(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.yujiSyuku(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.yujiSyuku(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.yujiSyuku(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.yujiSyuku(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.yujiSyuku(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.yujiSyuku(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.yujiSyuku(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.yujiSyuku(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.yujiSyuku(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.yujiSyuku(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Yusei Magic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yusei+Magic
  static TextStyle yuseiMagic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c9386186a8664fa5a6aba964e82e856d0ff81ca2a37c1e30a3cbe9d8d1e6afff',
        3129936,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'YuseiMagic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Yusei Magic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yusei+Magic
  static TextTheme yuseiMagicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.yuseiMagic(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.yuseiMagic(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.yuseiMagic(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.yuseiMagic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.yuseiMagic(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.yuseiMagic(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.yuseiMagic(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.yuseiMagic(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.yuseiMagic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.yuseiMagic(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.yuseiMagic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.yuseiMagic(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.yuseiMagic(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.yuseiMagic(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.yuseiMagic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the ZCOOL KuaiLe font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/ZCOOL+KuaiLe
  static TextStyle zcoolKuaiLe({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0f6b0ea1eee74c44e089a9336b9f21d4092d7634e8e65406ba9bdfb761f8b808',
        1509564,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ZCOOLKuaiLe',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the ZCOOL KuaiLe font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/ZCOOL+KuaiLe
  static TextTheme zcoolKuaiLeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.zcoolKuaiLe(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.zcoolKuaiLe(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.zcoolKuaiLe(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.zcoolKuaiLe(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.zcoolKuaiLe(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.zcoolKuaiLe(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.zcoolKuaiLe(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.zcoolKuaiLe(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.zcoolKuaiLe(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.zcoolKuaiLe(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.zcoolKuaiLe(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.zcoolKuaiLe(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.zcoolKuaiLe(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.zcoolKuaiLe(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.zcoolKuaiLe(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the ZCOOL QingKe HuangYou font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/ZCOOL+QingKe+HuangYou
  static TextStyle zcoolQingKeHuangYou({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '34eb0e090dcfa4189711cd20f5bbafeb1fb9e95321cbdd2fb3899daa440b624e',
        5827424,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ZCOOLQingKeHuangYou',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the ZCOOL QingKe HuangYou font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/ZCOOL+QingKe+HuangYou
  static TextTheme zcoolQingKeHuangYouTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.zcoolQingKeHuangYou(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.zcoolQingKeHuangYou(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.zcoolQingKeHuangYou(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.zcoolQingKeHuangYou(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.zcoolQingKeHuangYou(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.zcoolQingKeHuangYou(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.zcoolQingKeHuangYou(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.zcoolQingKeHuangYou(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.zcoolQingKeHuangYou(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.zcoolQingKeHuangYou(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.zcoolQingKeHuangYou(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.zcoolQingKeHuangYou(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.zcoolQingKeHuangYou(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.zcoolQingKeHuangYou(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.zcoolQingKeHuangYou(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the ZCOOL XiaoWei font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/ZCOOL+XiaoWei
  static TextStyle zcoolXiaoWei({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '88f3becb57e71d70863951a31de6f30f09beacc4a0da4efd887409c265d21f9a',
        3917592,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ZCOOLXiaoWei',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the ZCOOL XiaoWei font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/ZCOOL+XiaoWei
  static TextTheme zcoolXiaoWeiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.zcoolXiaoWei(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.zcoolXiaoWei(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.zcoolXiaoWei(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.zcoolXiaoWei(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.zcoolXiaoWei(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.zcoolXiaoWei(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.zcoolXiaoWei(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.zcoolXiaoWei(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.zcoolXiaoWei(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.zcoolXiaoWei(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.zcoolXiaoWei(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.zcoolXiaoWei(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.zcoolXiaoWei(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.zcoolXiaoWei(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.zcoolXiaoWei(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Zen Antique font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zen+Antique
  static TextStyle zenAntique({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5194e2ed9f0bcce89bbfc2b6e65da19646fa1dd59e90d81803a59e87a9d07d87',
        5505072,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ZenAntique',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Zen Antique font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zen+Antique
  static TextTheme zenAntiqueTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.zenAntique(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.zenAntique(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.zenAntique(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.zenAntique(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.zenAntique(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.zenAntique(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.zenAntique(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.zenAntique(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.zenAntique(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.zenAntique(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.zenAntique(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.zenAntique(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.zenAntique(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.zenAntique(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.zenAntique(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Zen Antique Soft font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zen+Antique+Soft
  static TextStyle zenAntiqueSoft({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd6c11851b251a8fd6164f4085b8541094e5f5a6e2e5e37754e8642b13ff87c19',
        7092760,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ZenAntiqueSoft',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Zen Antique Soft font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zen+Antique+Soft
  static TextTheme zenAntiqueSoftTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.zenAntiqueSoft(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.zenAntiqueSoft(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.zenAntiqueSoft(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.zenAntiqueSoft(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.zenAntiqueSoft(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.zenAntiqueSoft(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.zenAntiqueSoft(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.zenAntiqueSoft(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.zenAntiqueSoft(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.zenAntiqueSoft(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.zenAntiqueSoft(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.zenAntiqueSoft(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.zenAntiqueSoft(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.zenAntiqueSoft(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.zenAntiqueSoft(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Zen Dots font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zen+Dots
  static TextStyle zenDots({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4473b0732ea501800777ae17dbf7eed235b701b2fda8c05c1eb47021a5ec3d95',
        23284,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ZenDots',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Zen Dots font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zen+Dots
  static TextTheme zenDotsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.zenDots(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.zenDots(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.zenDots(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.zenDots(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.zenDots(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.zenDots(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.zenDots(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.zenDots(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.zenDots(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.zenDots(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.zenDots(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.zenDots(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.zenDots(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.zenDots(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.zenDots(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Zen Kaku Gothic Antique font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zen+Kaku+Gothic+Antique
  static TextStyle zenKakuGothicAntique({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '879eda0688dc66d9f75724b943063b642bbf9c10d27041bdbe54a19385bffff7',
        2181520,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f8f766619fbcebc8728cde4d1c345c7ae3f2e012e2ce8716550eea3b81bd40ef',
        2367728,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '345923bcd9164cd011ac6ad1b0ab7522a65f3a5083ffe4a89b7a00d294ae0575',
        2335124,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c1e86da71257da251b5d93d9e387bd5da1c9438888cf93054ef87650598c3e25',
        2321792,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6b5908821fe4d8ddf6beac247278a143e393e2cd760aa6fe865f5d335eecd3bc',
        2305916,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ZenKakuGothicAntique',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Zen Kaku Gothic Antique font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zen+Kaku+Gothic+Antique
  static TextTheme zenKakuGothicAntiqueTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.zenKakuGothicAntique(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.zenKakuGothicAntique(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.zenKakuGothicAntique(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.zenKakuGothicAntique(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.zenKakuGothicAntique(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.zenKakuGothicAntique(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.zenKakuGothicAntique(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.zenKakuGothicAntique(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.zenKakuGothicAntique(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.zenKakuGothicAntique(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.zenKakuGothicAntique(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.zenKakuGothicAntique(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.zenKakuGothicAntique(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.zenKakuGothicAntique(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.zenKakuGothicAntique(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Zen Kaku Gothic New font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zen+Kaku+Gothic+New
  static TextStyle zenKakuGothicNew({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4d1f5078420704aa71b49ed380d154b9949b1dfc510891d6a1ed41cd310b0169',
        2178212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4384a380487f151e98d8845a1ddc928caf2f431ee7a53fb9324c335cadf57bf8',
        2357564,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bfbc923f2ce82449df1cb5b17683c7e44f6b9afc774333081f5428531ba458f3',
        2325364,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ed51ae15929ce38c43c433f44e39005968a3f453cc3fe80a644d012c5fa370e1',
        2311740,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9b820ccd251759d7fe0512238fdca3ddab53aea7d264e047ebc1bdaa05fa53d7',
        2297792,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ZenKakuGothicNew',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Zen Kaku Gothic New font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zen+Kaku+Gothic+New
  static TextTheme zenKakuGothicNewTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.zenKakuGothicNew(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.zenKakuGothicNew(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.zenKakuGothicNew(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.zenKakuGothicNew(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.zenKakuGothicNew(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.zenKakuGothicNew(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.zenKakuGothicNew(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.zenKakuGothicNew(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.zenKakuGothicNew(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.zenKakuGothicNew(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.zenKakuGothicNew(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.zenKakuGothicNew(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.zenKakuGothicNew(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.zenKakuGothicNew(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.zenKakuGothicNew(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Zen Kurenaido font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zen+Kurenaido
  static TextStyle zenKurenaido({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3d59a527dea3692702f7274f4dfd42d9ada242c16e7fd9d894b3e4df0d86f727',
        4300388,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ZenKurenaido',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Zen Kurenaido font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zen+Kurenaido
  static TextTheme zenKurenaidoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.zenKurenaido(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.zenKurenaido(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.zenKurenaido(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.zenKurenaido(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.zenKurenaido(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.zenKurenaido(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.zenKurenaido(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.zenKurenaido(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.zenKurenaido(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.zenKurenaido(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.zenKurenaido(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.zenKurenaido(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.zenKurenaido(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.zenKurenaido(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.zenKurenaido(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Zen Loop font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zen+Loop
  static TextStyle zenLoop({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f4b47f9c020e99a5c6ffbd0b0d39c1f91452cdfa2eb4618a2d9e4587f36856b7',
        29512,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5c578d20ba661b151e7d2a6ca01ab8751c2e677f8c10cabee89b057d9a895adc',
        31116,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ZenLoop',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Zen Loop font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zen+Loop
  static TextTheme zenLoopTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.zenLoop(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.zenLoop(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.zenLoop(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.zenLoop(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.zenLoop(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.zenLoop(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.zenLoop(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.zenLoop(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.zenLoop(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.zenLoop(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.zenLoop(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.zenLoop(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.zenLoop(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.zenLoop(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.zenLoop(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Zen Maru Gothic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zen+Maru+Gothic
  static TextStyle zenMaruGothic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6f364b37a65191d3ed3358707168db14641f56cbd0c76f41ed5ba0d629e28f5f',
        3720592,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '315c1964171ce61e0c6dbe1b4c19e945a0f797babdfcf85583d9ac6f682246b4',
        3830008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '264a433ac84944fd11a8220a4a3af42442d3d49eb73b3314d67dc04f5c17c171',
        3808184,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '68fb56f30194e4d394b7d8f6f7833e1837a9ea6d2b1a1121ccca01821ed7fd29',
        3776316,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '23cd6e1b6542e8e85384732bec7b86c88be9b7176973e0283a5c6ea68f992c11',
        3707524,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ZenMaruGothic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Zen Maru Gothic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zen+Maru+Gothic
  static TextTheme zenMaruGothicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.zenMaruGothic(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.zenMaruGothic(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.zenMaruGothic(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.zenMaruGothic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.zenMaruGothic(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.zenMaruGothic(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.zenMaruGothic(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.zenMaruGothic(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.zenMaruGothic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.zenMaruGothic(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.zenMaruGothic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.zenMaruGothic(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.zenMaruGothic(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.zenMaruGothic(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.zenMaruGothic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Zen Old Mincho font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zen+Old+Mincho
  static TextStyle zenOldMincho({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5cb3236e701ca61184bf1b03f5ac596cd20bbc2118b71471ed35f54b59792b81',
        5439672,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fd7ef1dad492f0e6b89bd02b7c8be88a6dbff7aafb074325fc3b8d577deb989f',
        5499928,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e9ab8116608784c966e101d6b62e52cf6fb620e3a04662750663d9a92246decc',
        5518476,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c903f98b02d463d21d6badc34ebe84793527294260ab3540d97c88c137fcd541',
        5433620,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2731661d4a53117dbe5c10612e4b7abcd24ccdc478765763ac6c083bd7533b17',
        5413444,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ZenOldMincho',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Zen Old Mincho font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zen+Old+Mincho
  static TextTheme zenOldMinchoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.zenOldMincho(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.zenOldMincho(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.zenOldMincho(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.zenOldMincho(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.zenOldMincho(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.zenOldMincho(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.zenOldMincho(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.zenOldMincho(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.zenOldMincho(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.zenOldMincho(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.zenOldMincho(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.zenOldMincho(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.zenOldMincho(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.zenOldMincho(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.zenOldMincho(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Zen Tokyo Zoo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zen+Tokyo+Zoo
  static TextStyle zenTokyoZoo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fbfc6eee5f92cac1950061ce6b0998c7ab27c687c34a50485c6a702bfe4b2be6',
        33740,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ZenTokyoZoo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Zen Tokyo Zoo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zen+Tokyo+Zoo
  static TextTheme zenTokyoZooTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.zenTokyoZoo(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.zenTokyoZoo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.zenTokyoZoo(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.zenTokyoZoo(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.zenTokyoZoo(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.zenTokyoZoo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.zenTokyoZoo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.zenTokyoZoo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.zenTokyoZoo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.zenTokyoZoo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.zenTokyoZoo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.zenTokyoZoo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.zenTokyoZoo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.zenTokyoZoo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.zenTokyoZoo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Zeyada font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zeyada
  static TextStyle zeyada({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '65b038b5002309a2081fd95f61c8473008817396af46a1805698dfd24f0a6349',
        48344,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Zeyada',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Zeyada font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zeyada
  static TextTheme zeyadaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.zeyada(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.zeyada(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.zeyada(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.zeyada(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.zeyada(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.zeyada(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.zeyada(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.zeyada(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.zeyada(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.zeyada(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.zeyada(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.zeyada(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.zeyada(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.zeyada(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.zeyada(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Zhi Mang Xing font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zhi+Mang+Xing
  static TextStyle zhiMangXing({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f69c13808c57a2c742095a0944055a3db681e2949262bef05f1bf114d63212af',
        4051716,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ZhiMangXing',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Zhi Mang Xing font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zhi+Mang+Xing
  static TextTheme zhiMangXingTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.zhiMangXing(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.zhiMangXing(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.zhiMangXing(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.zhiMangXing(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.zhiMangXing(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.zhiMangXing(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.zhiMangXing(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.zhiMangXing(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.zhiMangXing(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.zhiMangXing(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.zhiMangXing(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.zhiMangXing(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.zhiMangXing(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.zhiMangXing(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.zhiMangXing(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Zilla Slab font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zilla+Slab
  static TextStyle zillaSlab({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '098ff14d2da0e9b254366520823452caf90d5bbb05d1a48594e4cec4ed982c23',
        94340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b3e58722827737d990592c2fbd798dc34c949d152a9915651da6f352a182b9ad',
        98148,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9e27c73aa9c860c6cf5484b60fbf2877b47a2a764cf554023ff9a1659b5a9527',
        94940,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ceef98f8a000770741f1bf7debf5d727fa115637763220e1b4f6b062ad16e691',
        99388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eb07656a0c6d822b90741d452a3f26c08a8912d417984d1b998f1eb23108e0ec',
        95756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b04ac0c02cc7094cd2a7dc7c448fa4fa76b0bbfecac528eaf4e8bb86e4ddd6ec',
        100732,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '19dd95c6a0ac56fe64ac4b5f0dc27b15b4acc44769355893f9324fa2af8b6ccd',
        95628,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2a1f8b9172d2ac7fcc41bfaf2c657d5a98d46b8ce0546daf30b379e955c61e63',
        100636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9e09657275ee68dcf7ce71c430ebb52f717ca867f011cc7c645674a8e6df7212',
        96044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '12ed12c56a8283c4f35d6267f08faf96ecbaca7934ede56d72b36d3800a6a38d',
        100780,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ZillaSlab',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Zilla Slab font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zilla+Slab
  static TextTheme zillaSlabTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.zillaSlab(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.zillaSlab(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.zillaSlab(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.zillaSlab(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.zillaSlab(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.zillaSlab(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.zillaSlab(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.zillaSlab(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.zillaSlab(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.zillaSlab(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.zillaSlab(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.zillaSlab(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.zillaSlab(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.zillaSlab(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.zillaSlab(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Zilla Slab Highlight font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zilla+Slab+Highlight
  static TextStyle zillaSlabHighlight({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '06544adfdf9578cdab69d4a38ad7c46872faa3ab86fe50adf7d2e71469b4e33f',
        80696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '786dcdd5f3fca211765ed1e6b5797b1363e53702c947b6227a8dcbc501760df7',
        79820,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ZillaSlabHighlight',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Zilla Slab Highlight font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zilla+Slab+Highlight
  static TextTheme zillaSlabHighlightTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.zillaSlabHighlight(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.zillaSlabHighlight(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.zillaSlabHighlight(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.zillaSlabHighlight(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.zillaSlabHighlight(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.zillaSlabHighlight(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.zillaSlabHighlight(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.zillaSlabHighlight(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.zillaSlabHighlight(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.zillaSlabHighlight(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.zillaSlabHighlight(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.zillaSlabHighlight(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.zillaSlabHighlight(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.zillaSlabHighlight(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.zillaSlabHighlight(textStyle: textTheme.labelSmall),
    );
  }
}
